/* This file is autogenerated by sid_tables.py from sid.h. Do not edit directly. */

/*
 * Copyright 2015-2019 Advanced Micro Devices, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * on the rights to use, copy, modify, merge, publish, distribute, sub
 * license, and/or sell copies of the Software, and to permit persons to whom
 * the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHOR(S) AND/OR THEIR SUPPLIERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
 * USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 */

#ifndef SID_TABLES_H
#define SID_TABLES_H

struct si_field {
        unsigned name_offset;
        unsigned mask;
        unsigned num_values;
        unsigned values_offset; /* offset into sid_strings_offsets */
};

struct si_reg {
        unsigned name_offset;
        unsigned offset;
        unsigned num_fields;
        unsigned fields_offset;
};

struct si_packet3 {
        unsigned name_offset;
        unsigned op;
};

static const struct si_packet3 packet3_table[] = {
	{0, PKT3_NOP},
	{4, PKT3_SET_BASE},
	{13, PKT3_CLEAR_STATE},
	{25, PKT3_INDEX_BUFFER_SIZE},
	{43, PKT3_DISPATCH_DIRECT},
	{59, PKT3_DISPATCH_INDIRECT},
	{77, PKT3_OCCLUSION_QUERY},
	{93, PKT3_SET_PREDICATION},
	{109, PKT3_COND_EXEC},
	{119, PKT3_PRED_EXEC},
	{129, PKT3_DRAW_INDIRECT},
	{143, PKT3_DRAW_INDEX_INDIRECT},
	{163, PKT3_INDEX_BASE},
	{174, PKT3_DRAW_INDEX_2},
	{187, PKT3_CONTEXT_CONTROL},
	{203, PKT3_INDEX_TYPE},
	{214, PKT3_DRAW_INDIRECT_MULTI},
	{234, PKT3_DRAW_INDEX_AUTO},
	{250, PKT3_DRAW_INDEX_IMMD},
	{266, PKT3_NUM_INSTANCES},
	{280, PKT3_DRAW_INDEX_MULTI_AUTO},
	{302, PKT3_INDIRECT_BUFFER_SI},
	{321, PKT3_INDIRECT_BUFFER_CONST},
	{343, PKT3_STRMOUT_BUFFER_UPDATE},
	{365, PKT3_DRAW_INDEX_OFFSET_2},
	{385, PKT3_WRITE_DATA},
	{396, PKT3_DRAW_INDEX_INDIRECT_MULTI},
	{422, PKT3_MEM_SEMAPHORE},
	{436, PKT3_MPEG_INDEX},
	{447, PKT3_WAIT_REG_MEM},
	{460, PKT3_MEM_WRITE},
	{470, PKT3_INDIRECT_BUFFER_CIK},
	{490, PKT3_COPY_DATA},
	{500, PKT3_PFP_SYNC_ME},
	{512, PKT3_SURFACE_SYNC},
	{525, PKT3_ME_INITIALIZE},
	{539, PKT3_COND_WRITE},
	{550, PKT3_EVENT_WRITE},
	{562, PKT3_EVENT_WRITE_EOP},
	{578, PKT3_EVENT_WRITE_EOS},
	{594, PKT3_RELEASE_MEM},
	{606, PKT3_CONTEXT_REG_RMW},
	{622, PKT3_ONE_REG_WRITE},
	{636, PKT3_ACQUIRE_MEM},
	{648, PKT3_REWIND},
	{655, PKT3_LOAD_UCONFIG_REG},
	{672, PKT3_LOAD_SH_REG},
	{684, PKT3_LOAD_CONTEXT_REG},
	{701, PKT3_SET_CONFIG_REG},
	{716, PKT3_SET_CONTEXT_REG},
	{732, PKT3_SET_SH_REG},
	{743, PKT3_SET_SH_REG_OFFSET},
	{761, PKT3_SET_UCONFIG_REG},
	{777, PKT3_SET_UCONFIG_REG_INDEX},
	{799, PKT3_LOAD_CONST_RAM},
	{814, PKT3_WRITE_CONST_RAM},
	{830, PKT3_DUMP_CONST_RAM},
	{845, PKT3_INCREMENT_CE_COUNTER},
	{866, PKT3_INCREMENT_DE_COUNTER},
	{887, PKT3_WAIT_ON_CE_COUNTER},
	{906, PKT3_SET_SH_REG_INDEX},
	{923, PKT3_LOAD_CONTEXT_REG_INDEX},
	{946, PKT3_IT_OPCODE_C},
	{958, PKT3_CP_DMA},
	{965, PKT3_DMA_DATA},
};

static const struct si_reg gfx10_reg_table[] = {
	{974, 1028, 10, 0},
	{987, 1032, 20, 10},
	{1002, 1036, 10, 30},
	{1018, 1040, 12, 40},
	{1039, 1044, 4, 52},
	{1057, 1048, 3, 56},
	{1075, 1052, 11, 59},
	{1090, 1056, 1, 70},
	{1104, 1060, 1, 71},
	{1118, 1064, 1, 72},
	{1135, 1076, 9, 73},
	{1151, 1080, 1, 82},
	{1168, 1116, 5, 83},
	{1183, 1120, 7, 88},
	{1198, 1124, 2, 95},
	{1218, 1128, 1, 97},
	{1237, 1132, 4, 98},
	{1257, 1136, 7, 102},
	{1273, 2480, 1, 109},
	{1287, 2484, 1, 109},
	{1301, 2488, 1, 109},
	{1315, 2492, 1, 109},
	{1329, 2496, 1, 109},
	{1343, 2500, 1, 109},
	{1357, 2504, 1, 109},
	{1371, 2508, 1, 109},
	{1385, 2512, 1, 109},
	{1399, 2516, 1, 109},
	{1413, 2520, 1, 109},
	{1428, 2524, 1, 109},
	{1443, 2528, 1, 109},
	{1458, 2532, 1, 109},
	{1473, 2536, 1, 109},
	{1488, 2540, 1, 109},
	{1503, 2544, 1, 110},
	{1514, 2552, 1, 111},
	{1530, 2556, 1, 112},
	{1546, 2560, 1, 109},
	{1570, 2564, 1, 109},
	{1594, 2568, 1, 113},
	{1618, 32776, 27, 114},
	{1631, 32784, 21, 141},
	{1643, 32788, 14, 162},
	{1659, 32792, 14, 162},
	{1675, 32796, 15, 176},
	{1688, 32824, 14, 162},
	{1704, 32828, 14, 162},
	{1720, 33296, 21, 191},
	{1734, 33300, 28, 212},
	{1751, 33304, 15, 240},
	{1772, 33308, 28, 255},
	{1786, 33312, 32, 283},
	{1803, 33316, 13, 315},
	{1824, 33320, 9, 328},
	{1842, 33324, 1, 337},
	{1865, 33344, 2, 338},
	{1886, 33348, 1, 340},
	{1906, 33352, 1, 341},
	{1929, 33356, 9, 342},
	{1947, 33436, 1, 351},
	{1970, 36096, 1, 352},
	{1996, 36100, 2, 353},
	{2022, 36104, 1, 352},
	{2048, 36108, 2, 353},
	{2074, 36112, 2, 355},
	{2095, 36116, 4, 357},
	{2116, 36120, 4, 361},
	{2143, 36124, 17, 365},
	{2164, 36128, 6, 382},
	{2187, 36132, 1, 388},
	{2216, 36140, 1, 388},
	{2246, 36144, 1, 388},
	{2278, 36148, 1, 388},
	{2309, 36152, 1, 388},
	{2342, 36348, 5, 389},
	{2351, 36608, 1, 394},
	{2369, 36612, 4, 395},
	{2387, 36616, 1, 399},
	{2405, 36620, 10, 400},
	{2423, 36656, 14, 410},
	{2441, 36660, 4, 424},
	{2459, 36664, 12, 428},
	{2477, 36668, 2, 440},
	{2495, 37120, 9, 442},
	{2511, 39160, 5, 451},
	{2526, 39184, 5, 456},
	{2540, 39188, 5, 456},
	{2554, 39192, 5, 456},
	{2568, 39196, 5, 456},
	{2582, 39200, 5, 456},
	{2596, 39204, 5, 456},
	{2610, 39208, 5, 456},
	{2624, 39212, 5, 456},
	{2638, 39216, 5, 456},
	{2652, 39220, 5, 456},
	{2666, 39224, 5, 456},
	{2681, 39228, 5, 456},
	{2696, 39232, 5, 456},
	{2711, 39236, 5, 456},
	{2726, 39240, 5, 456},
	{2741, 39244, 5, 456},
	{2756, 39248, 5, 456},
	{2771, 39252, 5, 456},
	{2786, 39256, 5, 456},
	{2801, 39260, 5, 456},
	{2816, 39264, 5, 456},
	{2831, 39268, 5, 456},
	{2846, 39272, 5, 456},
	{2861, 39276, 5, 456},
	{2876, 39280, 5, 456},
	{2891, 39284, 5, 456},
	{2906, 39288, 5, 456},
	{2921, 39292, 5, 456},
	{2936, 39296, 5, 456},
	{2951, 39300, 5, 456},
	{2966, 39304, 5, 456},
	{2981, 39308, 5, 456},
	{2996, 39312, 4, 461},
	{3015, 39316, 4, 461},
	{3034, 39320, 4, 461},
	{3053, 39324, 4, 461},
	{3072, 39328, 4, 461},
	{3091, 39332, 4, 461},
	{3110, 39336, 4, 461},
	{3129, 39340, 4, 461},
	{3148, 39344, 4, 461},
	{3167, 39348, 4, 461},
	{3186, 39352, 4, 461},
	{3206, 39356, 4, 461},
	{3226, 39360, 4, 461},
	{3246, 39364, 4, 461},
	{3266, 39368, 4, 461},
	{3286, 39372, 4, 461},
	{3306, 40960},
	{3324, 40964, 4, 465},
	{3342, 40968, 3, 469},
	{3360, 40972, 9, 472},
	{3378, 40976, 2, 481},
	{3396, 40980, 7, 483},
	{3414, 40984, 10, 490},
	{3432, 40988},
	{3450, 45060, 1, 500},
	{3474, 45080, 1, 501},
	{3499, 45084, 3, 502},
	{3523, 45088, 1, 505},
	{3544, 45092, 1, 506},
	{3565, 45096, 11, 507},
	{3589, 45100, 10, 518},
	{3613, 45104, 1, 109},
	{3639, 45108, 1, 109},
	{3665, 45112, 1, 109},
	{3691, 45116, 1, 109},
	{3717, 45120, 1, 109},
	{3743, 45124, 1, 109},
	{3769, 45128, 1, 109},
	{3795, 45132, 1, 109},
	{3821, 45136, 1, 109},
	{3847, 45140, 1, 109},
	{3873, 45144, 1, 109},
	{3900, 45148, 1, 109},
	{3927, 45152, 1, 109},
	{3954, 45156, 1, 109},
	{3981, 45160, 1, 109},
	{4008, 45164, 1, 109},
	{4035, 45168, 1, 109},
	{4062, 45172, 1, 109},
	{4089, 45176, 1, 109},
	{4116, 45180, 1, 109},
	{4143, 45184, 1, 109},
	{4170, 45188, 1, 109},
	{4197, 45192, 1, 109},
	{4224, 45196, 1, 109},
	{4251, 45200, 1, 109},
	{4278, 45204, 1, 109},
	{4305, 45208, 1, 109},
	{4332, 45212, 1, 109},
	{4359, 45216, 1, 109},
	{4386, 45220, 1, 109},
	{4413, 45224, 1, 109},
	{4440, 45228, 1, 109},
	{4467, 45248, 8, 528},
	{4490, 45252, 5, 536},
	{4523, 45256, 1, 541},
	{4550, 45260, 1, 541},
	{4577, 45264, 1, 541},
	{4604, 45268, 1, 541},
	{4631, 45316, 1, 500},
	{4655, 45332, 1, 501},
	{4680, 45336, 3, 502},
	{4704, 45340, 1, 542},
	{4729, 45344, 1, 505},
	{4750, 45348, 1, 506},
	{4771, 45352, 12, 543},
	{4795, 45356, 14, 555},
	{4819, 45360, 1, 109},
	{4845, 45364, 1, 109},
	{4871, 45368, 1, 109},
	{4897, 45372, 1, 109},
	{4923, 45376, 1, 109},
	{4949, 45380, 1, 109},
	{4975, 45384, 1, 109},
	{5001, 45388, 1, 109},
	{5027, 45392, 1, 109},
	{5053, 45396, 1, 109},
	{5079, 45400, 1, 109},
	{5106, 45404, 1, 109},
	{5133, 45408, 1, 109},
	{5160, 45412, 1, 109},
	{5187, 45416, 1, 109},
	{5214, 45420, 1, 109},
	{5241, 45424, 1, 109},
	{5268, 45428, 1, 109},
	{5295, 45432, 1, 109},
	{5322, 45436, 1, 109},
	{5349, 45440, 1, 109},
	{5376, 45444, 1, 109},
	{5403, 45448, 1, 109},
	{5430, 45452, 1, 109},
	{5457, 45456, 1, 109},
	{5484, 45460, 1, 109},
	{5511, 45464, 1, 109},
	{5538, 45468, 1, 109},
	{5565, 45472, 1, 109},
	{5592, 45476, 1, 109},
	{5619, 45480, 1, 109},
	{5646, 45484, 1, 109},
	{5673, 45504, 8, 528},
	{5696, 45508, 5, 536},
	{5729, 45512, 1, 541},
	{5756, 45516, 1, 541},
	{5783, 45520, 1, 541},
	{5810, 45524, 1, 541},
	{5837, 45548, 9, 569},
	{5864, 45552, 6, 578},
	{5891, 45556, 5, 584},
	{5918, 45568, 1, 501},
	{5943, 45572, 2, 589},
	{5967, 45576, 1, 505},
	{5999, 45580, 1, 505},
	{6031, 45584, 1, 505},
	{6055, 45588, 1, 506},
	{6079, 45596, 4, 591},
	{6103, 45600, 1, 505},
	{6124, 45604, 1, 506},
	{6145, 45608, 13, 595},
	{6169, 45612, 9, 608},
	{6193, 45616, 1, 109},
	{6219, 45620, 1, 109},
	{6245, 45624, 1, 109},
	{6271, 45628, 1, 109},
	{6297, 45632, 1, 109},
	{6323, 45636, 1, 109},
	{6349, 45640, 1, 109},
	{6375, 45644, 1, 109},
	{6401, 45648, 1, 109},
	{6427, 45652, 1, 109},
	{6453, 45656, 1, 109},
	{6480, 45660, 1, 109},
	{6507, 45664, 1, 109},
	{6534, 45668, 1, 109},
	{6561, 45672, 1, 109},
	{6588, 45676, 1, 109},
	{6615, 45680, 1, 109},
	{6642, 45684, 1, 109},
	{6669, 45688, 1, 109},
	{6696, 45692, 1, 109},
	{6723, 45696, 1, 109},
	{6750, 45700, 1, 109},
	{6777, 45704, 1, 109},
	{6804, 45708, 1, 109},
	{6831, 45712, 1, 109},
	{6858, 45716, 1, 109},
	{6885, 45720, 1, 109},
	{6912, 45724, 1, 109},
	{6939, 45728, 1, 109},
	{6966, 45732, 1, 109},
	{6993, 45736, 1, 109},
	{7020, 45740, 1, 109},
	{7047, 45760, 8, 528},
	{7072, 45764, 5, 536},
	{7107, 45768, 1, 541},
	{7136, 45772, 1, 541},
	{7165, 45776, 1, 541},
	{7194, 45780, 1, 541},
	{7223, 45808, 6, 578},
	{7250, 45852, 4, 591},
	{7274, 45856, 1, 505},
	{7295, 45860, 1, 506},
	{7316, 45864, 10, 617},
	{7340, 45868, 6, 578},
	{7364, 45872, 1, 109},
	{7390, 45876, 1, 109},
	{7416, 45880, 1, 109},
	{7442, 45884, 1, 109},
	{7468, 45888, 1, 109},
	{7494, 45892, 1, 109},
	{7520, 45896, 1, 109},
	{7546, 45900, 1, 109},
	{7572, 45904, 1, 109},
	{7598, 45908, 1, 109},
	{7624, 45912, 1, 109},
	{7651, 45916, 1, 109},
	{7678, 45920, 1, 109},
	{7705, 45924, 1, 109},
	{7732, 45928, 1, 109},
	{7759, 45932, 1, 109},
	{7786, 46068, 5, 584},
	{7813, 46080, 1, 501},
	{7838, 46084, 1, 500},
	{7862, 46088, 1, 505},
	{7894, 46092, 1, 505},
	{7926, 46096, 1, 505},
	{7950, 46100, 1, 506},
	{7974, 46108, 4, 627},
	{7998, 46112, 1, 505},
	{8019, 46116, 1, 506},
	{8040, 46120, 12, 631},
	{8064, 46124, 9, 643},
	{8088, 46128, 1, 109},
	{8114, 46132, 1, 109},
	{8140, 46136, 1, 109},
	{8166, 46140, 1, 109},
	{8192, 46144, 1, 109},
	{8218, 46148, 1, 109},
	{8244, 46152, 1, 109},
	{8270, 46156, 1, 109},
	{8296, 46160, 1, 109},
	{8322, 46164, 1, 109},
	{8348, 46168, 1, 109},
	{8375, 46172, 1, 109},
	{8402, 46176, 1, 109},
	{8429, 46180, 1, 109},
	{8456, 46184, 1, 109},
	{8483, 46188, 1, 109},
	{8510, 46192, 1, 109},
	{8537, 46196, 1, 109},
	{8564, 46200, 1, 109},
	{8591, 46204, 1, 109},
	{8618, 46208, 1, 109},
	{8645, 46212, 1, 109},
	{8672, 46216, 1, 109},
	{8699, 46220, 1, 109},
	{8726, 46224, 1, 109},
	{8753, 46228, 1, 109},
	{8780, 46232, 1, 109},
	{8807, 46236, 1, 109},
	{8834, 46240, 1, 109},
	{8861, 46244, 1, 109},
	{8888, 46248, 1, 109},
	{8915, 46252, 1, 109},
	{8942, 46272, 8, 528},
	{8967, 46276, 5, 536},
	{9002, 46280, 1, 541},
	{9031, 46284, 1, 541},
	{9060, 46288, 1, 541},
	{9089, 46292, 1, 541},
	{9118, 46324, 5, 584},
	{9145, 46364, 4, 591},
	{9169, 46368, 1, 505},
	{9190, 46372, 1, 506},
	{9211, 46376, 9, 652},
	{9235, 46380, 5, 584},
	{9259, 46384, 1, 109},
	{9285, 46388, 1, 109},
	{9311, 46392, 1, 109},
	{9337, 46396, 1, 109},
	{9363, 46400, 1, 109},
	{9389, 46404, 1, 109},
	{9415, 46408, 1, 109},
	{9441, 46412, 1, 109},
	{9467, 46416, 1, 109},
	{9493, 46420, 1, 109},
	{9519, 46424, 1, 109},
	{9546, 46428, 1, 109},
	{9573, 46432, 1, 109},
	{9600, 46436, 1, 109},
	{9627, 46440, 1, 109},
	{9654, 46444, 1, 109},
	{9681, 47104, 13, 661},
	{9708, 47108, 1, 674},
	{9722, 47112, 1, 674},
	{9736, 47116, 1, 674},
	{9750, 47120, 1, 675},
	{9766, 47124, 1, 675},
	{9782, 47128, 1, 675},
	{9798, 47132, 2, 676},
	{9819, 47136, 2, 676},
	{9840, 47140, 2, 676},
	{9861, 47144, 1, 678},
	{9889, 47148, 1, 679},
	{9914, 47152, 1, 109},
	{9929, 47156, 1, 680},
	{9944, 47160, 1, 109},
	{9973, 47164, 1, 680},
	{10002, 47168, 1, 109},
	{10035, 47172, 1, 680},
	{10068, 47176, 12, 681},
	{10086, 47180, 11, 693},
	{10104, 47184, 1, 704},
	{10117, 47188, 6, 705},
	{10141, 47192, 1, 711},
	{10168, 47196, 1, 711},
	{10195, 47200, 2, 712},
	{10216, 47204, 1, 711},
	{10243, 47208, 1, 711},
	{10270, 47212, 1, 714},
	{10288, 47216, 1, 714},
	{10306, 47220, 1, 714},
	{10324, 47224, 1, 715},
	{10352, 47228, 5, 716},
	{10374, 47232, 1, 721},
	{10394, 47236, 1, 722},
	{10417, 47240, 9, 723},
	{10434, 47248, 1, 541},
	{10455, 47252, 1, 541},
	{10476, 47256, 1, 541},
	{10497, 47260, 1, 541},
	{10518, 47264, 1, 732},
	{10536, 47268, 1, 733},
	{10555, 47272, 1, 501},
	{10577, 47276, 3, 734},
	{10594, 47280, 1, 737},
	{10623, 47284, 1, 738},
	{10652, 47288, 3, 734},
	{10670, 47360, 1, 109},
	{10690, 47364, 1, 109},
	{10710, 47368, 1, 109},
	{10730, 47372, 1, 109},
	{10750, 47376, 1, 109},
	{10770, 47380, 1, 109},
	{10790, 47384, 1, 109},
	{10810, 47388, 1, 109},
	{10830, 47392, 1, 109},
	{10850, 47396, 1, 109},
	{10870, 47400, 1, 109},
	{10891, 47404, 1, 109},
	{10912, 47408, 1, 109},
	{10933, 47412, 1, 109},
	{10954, 47416, 1, 109},
	{10975, 47420, 1, 109},
	{10996, 47604, 2, 739},
	{11020, 47608, 1, 109},
	{11041, 47612, 1, 109},
	{11057, 163840, 10, 741},
	{11075, 163844, 11, 751},
	{11092, 163848, 7, 762},
	{11106, 163852, 23, 769},
	{11125, 163856, 16, 792},
	{11145, 163860, 1, 808},
	{11164, 163868, 2, 809},
	{11181, 163872, 1, 811},
	{11201, 163876, 1, 812},
	{11221, 163880, 1, 813},
	{11238, 163884, 1, 814},
	{11253, 163888, 2, 815},
	{11277, 163892, 2, 817},
	{11301, 163896, 3, 819},
	{11317, 163900, 8, 822},
	{11335, 163904, 14, 830},
	{11345, 163908, 9, 844},
	{11361, 163912, 1, 808},
	{11376, 163916, 1, 808},
	{11397, 163920, 1, 808},
	{11413, 163924, 1, 808},
	{11435, 163928, 2, 853},
	{11453, 163932, 1, 855},
	{11471, 163944, 1, 856},
	{11489, 163948, 1, 856},
	{11513, 163952, 1, 856},
	{11532, 163956, 1, 856},
	{11557, 163960, 1, 856},
	{11579, 163964, 9, 857},
	{11603, 163968, 1, 866},
	{11619, 163972, 1, 867},
	{11638, 164328, 1, 868},
	{11659, 164332, 1, 868},
	{11680, 164336, 1, 868},
	{11701, 164340, 1, 868},
	{11722, 164344, 1, 869},
	{11740, 164348, 1, 869},
	{11758, 164352, 2, 870},
	{11778, 164356, 3, 872},
	{11802, 164360, 2, 875},
	{11826, 164364, 1, 877},
	{11846, 164368, 2, 872},
	{11866, 164372, 2, 875},
	{11886, 164376, 2, 872},
	{11906, 164380, 2, 875},
	{11926, 164384, 2, 872},
	{11946, 164388, 2, 875},
	{11966, 164392, 2, 872},
	{11986, 164396, 2, 875},
	{12006, 164400, 7, 878},
	{12021, 164404, 2, 885},
	{12050, 164408, 8, 887},
	{12065, 164412, 8, 895},
	{12080, 164416, 3, 872},
	{12105, 164420, 2, 875},
	{12130, 164424, 1, 869},
	{12148, 164428, 1, 869},
	{12166, 164432, 3, 872},
	{12191, 164436, 2, 875},
	{12216, 164440, 3, 872},
	{12241, 164444, 2, 875},
	{12266, 164448, 3, 872},
	{12291, 164452, 2, 875},
	{12316, 164456, 3, 872},
	{12341, 164460, 2, 875},
	{12366, 164464, 3, 872},
	{12391, 164468, 2, 875},
	{12416, 164472, 3, 872},
	{12441, 164476, 2, 875},
	{12466, 164480, 3, 872},
	{12491, 164484, 2, 875},
	{12516, 164488, 3, 872},
	{12541, 164492, 2, 875},
	{12566, 164496, 3, 872},
	{12591, 164500, 2, 875},
	{12616, 164504, 3, 872},
	{12641, 164508, 2, 875},
	{12666, 164512, 3, 872},
	{12692, 164516, 2, 875},
	{12718, 164520, 3, 872},
	{12744, 164524, 2, 875},
	{12770, 164528, 3, 872},
	{12796, 164532, 2, 875},
	{12822, 164536, 3, 872},
	{12848, 164540, 2, 875},
	{12874, 164544, 3, 872},
	{12900, 164548, 2, 875},
	{12926, 164552, 3, 872},
	{12952, 164556, 2, 875},
	{12978, 164560, 1, 903},
	{12997, 164564, 1, 904},
	{13016, 164568, 1, 903},
	{13035, 164572, 1, 904},
	{13054, 164576, 1, 903},
	{13073, 164580, 1, 904},
	{13092, 164584, 1, 903},
	{13111, 164588, 1, 904},
	{13130, 164592, 1, 903},
	{13149, 164596, 1, 904},
	{13168, 164600, 1, 903},
	{13187, 164604, 1, 904},
	{13206, 164608, 1, 903},
	{13225, 164612, 1, 904},
	{13244, 164616, 1, 903},
	{13263, 164620, 1, 904},
	{13282, 164624, 1, 903},
	{13301, 164628, 1, 904},
	{13320, 164632, 1, 903},
	{13339, 164636, 1, 904},
	{13358, 164640, 1, 903},
	{13378, 164644, 1, 904},
	{13398, 164648, 1, 903},
	{13418, 164652, 1, 904},
	{13438, 164656, 1, 903},
	{13458, 164660, 1, 904},
	{13478, 164664, 1, 903},
	{13498, 164668, 1, 904},
	{13518, 164672, 1, 903},
	{13538, 164676, 1, 904},
	{13558, 164680, 1, 903},
	{13578, 164684, 1, 904},
	{13598, 164688, 15, 905},
	{13618, 164692, 3, 920},
	{13640, 164696, 2, 923},
	{13668, 164700, 7, 925},
	{13697, 164704, 1, 932},
	{13718, 164708, 1, 933},
	{13728, 164712, 1, 934},
	{13736, 164768, 4, 935},
	{13758, 164772, 4, 935},
	{13779, 164776, 4, 939},
	{13796, 164864, 1, 943},
	{13813, 164868, 1, 944},
	{13830, 164872, 1, 945},
	{13846, 164876, 1, 946},
	{13875, 164880, 10, 947},
	{13900, 164884, 1, 957},
	{13913, 164888, 1, 958},
	{13928, 164892, 1, 959},
	{13942, 164896, 1, 960},
	{13957, 164900, 8, 961},
	{13972, 164904, 4, 969},
	{13996, 164908, 6, 973},
	{14015, 164912, 4, 979},
	{14033, 164916, 4, 983},
	{14054, 164924, 1, 987},
	{14073, 164928, 1, 988},
	{14093, 164932, 1, 989},
	{14112, 164936, 1, 990},
	{14132, 164940, 1, 991},
	{14151, 164944, 1, 992},
	{14171, 164948, 1, 987},
	{14192, 164952, 1, 988},
	{14214, 164956, 1, 989},
	{14235, 164960, 1, 990},
	{14257, 164964, 1, 991},
	{14278, 164968, 1, 992},
	{14300, 164972, 1, 987},
	{14321, 164976, 1, 988},
	{14343, 164980, 1, 989},
	{14364, 164984, 1, 990},
	{14386, 164988, 1, 991},
	{14407, 164992, 1, 992},
	{14429, 164996, 1, 987},
	{14450, 165000, 1, 988},
	{14472, 165004, 1, 989},
	{14493, 165008, 1, 990},
	{14515, 165012, 1, 991},
	{14536, 165016, 1, 992},
	{14558, 165020, 1, 987},
	{14579, 165024, 1, 988},
	{14601, 165028, 1, 989},
	{14622, 165032, 1, 990},
	{14644, 165036, 1, 991},
	{14665, 165040, 1, 992},
	{14687, 165044, 1, 987},
	{14708, 165048, 1, 988},
	{14730, 165052, 1, 989},
	{14751, 165056, 1, 990},
	{14773, 165060, 1, 991},
	{14794, 165064, 1, 992},
	{14816, 165068, 1, 987},
	{14837, 165072, 1, 988},
	{14859, 165076, 1, 989},
	{14880, 165080, 1, 990},
	{14902, 165084, 1, 991},
	{14923, 165088, 1, 992},
	{14945, 165092, 1, 987},
	{14966, 165096, 1, 988},
	{14988, 165100, 1, 989},
	{15009, 165104, 1, 990},
	{15031, 165108, 1, 991},
	{15052, 165112, 1, 992},
	{15074, 165116, 1, 987},
	{15095, 165120, 1, 988},
	{15117, 165124, 1, 989},
	{15138, 165128, 1, 990},
	{15160, 165132, 1, 991},
	{15181, 165136, 1, 992},
	{15203, 165140, 1, 987},
	{15224, 165144, 1, 988},
	{15246, 165148, 1, 989},
	{15267, 165152, 1, 990},
	{15289, 165156, 1, 991},
	{15310, 165160, 1, 992},
	{15332, 165164, 1, 987},
	{15354, 165168, 1, 988},
	{15377, 165172, 1, 989},
	{15399, 165176, 1, 990},
	{15422, 165180, 1, 991},
	{15444, 165184, 1, 992},
	{15467, 165188, 1, 987},
	{15489, 165192, 1, 988},
	{15512, 165196, 1, 989},
	{15534, 165200, 1, 990},
	{15557, 165204, 1, 991},
	{15579, 165208, 1, 992},
	{15602, 165212, 1, 987},
	{15624, 165216, 1, 988},
	{15647, 165220, 1, 989},
	{15669, 165224, 1, 990},
	{15692, 165228, 1, 991},
	{15714, 165232, 1, 992},
	{15737, 165236, 1, 987},
	{15759, 165240, 1, 988},
	{15782, 165244, 1, 989},
	{15804, 165248, 1, 990},
	{15827, 165252, 1, 991},
	{15849, 165256, 1, 992},
	{15872, 165260, 1, 987},
	{15894, 165264, 1, 988},
	{15917, 165268, 1, 989},
	{15939, 165272, 1, 990},
	{15962, 165276, 1, 991},
	{15984, 165280, 1, 992},
	{16007, 165284, 1, 987},
	{16029, 165288, 1, 988},
	{16052, 165292, 1, 989},
	{16074, 165296, 1, 990},
	{16097, 165300, 1, 991},
	{16119, 165304, 1, 992},
	{16142, 165308, 1, 993},
	{16156, 165312, 1, 993},
	{16170, 165316, 1, 993},
	{16184, 165320, 1, 993},
	{16198, 165324, 1, 993},
	{16212, 165328, 1, 993},
	{16226, 165332, 1, 993},
	{16240, 165336, 1, 993},
	{16254, 165340, 1, 993},
	{16268, 165344, 1, 993},
	{16282, 165348, 1, 993},
	{16296, 165352, 1, 993},
	{16310, 165356, 1, 993},
	{16324, 165360, 1, 993},
	{16338, 165364, 1, 993},
	{16352, 165368, 1, 993},
	{16366, 165372, 1, 993},
	{16380, 165376, 1, 993},
	{16394, 165380, 1, 993},
	{16408, 165384, 1, 993},
	{16422, 165388, 1, 993},
	{16436, 165392, 1, 993},
	{16450, 165396, 1, 993},
	{16464, 165400, 1, 993},
	{16478, 165404, 1, 993},
	{16501, 165444, 12, 994},
	{16521, 165448, 12, 994},
	{16541, 165452, 12, 994},
	{16561, 165456, 12, 994},
	{16581, 165460, 12, 994},
	{16601, 165464, 12, 994},
	{16621, 165468, 12, 994},
	{16641, 165472, 12, 994},
	{16661, 165476, 12, 994},
	{16681, 165480, 12, 994},
	{16701, 165484, 12, 994},
	{16722, 165488, 12, 994},
	{16743, 165492, 12, 994},
	{16764, 165496, 12, 994},
	{16785, 165500, 12, 994},
	{16806, 165504, 12, 994},
	{16827, 165508, 12, 994},
	{16848, 165512, 12, 994},
	{16869, 165516, 12, 994},
	{16890, 165520, 12, 994},
	{16911, 165524, 9, 1006},
	{16932, 165528, 9, 1006},
	{16953, 165532, 9, 1006},
	{16974, 165536, 9, 1006},
	{16995, 165540, 9, 1006},
	{17016, 165544, 9, 1006},
	{17037, 165548, 9, 1006},
	{17058, 165552, 9, 1006},
	{17079, 165556, 9, 1006},
	{17100, 165560, 9, 1006},
	{17121, 165564, 9, 1006},
	{17142, 165568, 9, 1006},
	{17163, 165572, 3, 1015},
	{17181, 165580, 16, 1018},
	{17198, 165584, 16, 1018},
	{17216, 165588, 7, 1034},
	{17237, 165592, 6, 1041},
	{17255, 165600, 7, 1047},
	{17270, 165608, 2, 712},
	{17287, 165640, 1, 1054},
	{17309, 165644, 5, 1055},
	{17331, 165648, 1, 1060},
	{17351, 165652, 8, 1061},
	{17373, 165716, 8, 1069},
	{17391, 165720, 8, 1077},
	{17412, 165724, 17, 1085},
	{17433, 165728, 6, 1102},
	{17451, 165732, 6, 1102},
	{17469, 165736, 6, 1102},
	{17487, 165740, 6, 1102},
	{17505, 165744, 6, 1102},
	{17523, 165748, 6, 1102},
	{17541, 165752, 6, 1102},
	{17559, 165756, 6, 1102},
	{17577, 165760, 9, 1108},
	{17595, 165764, 9, 1108},
	{17613, 165768, 9, 1108},
	{17631, 165772, 9, 1108},
	{17649, 165776, 9, 1108},
	{17667, 165780, 9, 1108},
	{17685, 165784, 9, 1108},
	{17703, 165788, 9, 1108},
	{17721, 165836, 1, 1117},
	{17735, 165840, 1, 1117},
	{17750, 165844, 1, 993},
	{17768, 165848, 1, 993},
	{17786, 165852, 1, 993},
	{17803, 165856, 1, 993},
	{17824, 165860, 1, 1118},
	{17840, 165864, 1, 1119},
	{17853, 165872, 8, 1120},
	{17872, 165876, 1, 109},
	{17887, 165880, 1, 1128},
	{17909, 165884, 1, 1129},
	{17936, 165888, 10, 1130},
	{17953, 165892, 12, 1140},
	{17961, 165896, 4, 1152},
	{17978, 165900, 17, 1156},
	{17996, 165904, 20, 1173},
	{18012, 165908, 16, 1193},
	{18031, 165912, 10, 1209},
	{18046, 165916, 28, 1219},
	{18064, 165920, 16, 1247},
	{18082, 165924, 4, 1263},
	{18106, 165928, 1, 1267},
	{18131, 165932, 11, 1268},
	{18154, 165936, 7, 1279},
	{18183, 165940, 2, 1286},
	{18205, 165944, 2, 1288},
	{18220, 165948, 5, 1290},
	{18250, 165952, 5, 1295},
	{18265, 165956, 1, 1300},
	{18283, 166400, 2, 1301},
	{18300, 166404, 2, 1303},
	{18319, 166408, 1, 1305},
	{18335, 166412, 4, 1306},
	{18354, 166416, 1, 1310},
	{18375, 166420, 1, 1311},
	{18388, 166424, 1, 1312},
	{18411, 166428, 1, 1313},
	{18434, 166432, 1, 1314},
	{18454, 166436, 4, 1315},
	{18474, 166440, 1, 1319},
	{18495, 166444, 1, 1320},
	{18510, 166448, 6, 1321},
	{18532, 166452, 6, 1321},
	{18554, 166456, 8, 1327},
	{18580, 166460, 8, 1327},
	{18606, 166464, 15, 1335},
	{18618, 166468, 3, 1350},
	{18637, 166472, 7, 1353},
	{18655, 166476, 24, 1360},
	{18673, 166480, 1, 1384},
	{18685, 166484, 1, 1385},
	{18699, 166488, 1, 1386},
	{18713, 166492, 1, 1387},
	{18727, 166496, 1, 1388},
	{18750, 166500, 1, 1388},
	{18773, 166504, 1, 1388},
	{18796, 166508, 5, 1389},
	{18817, 166512, 1, 1384},
	{18828, 166516, 1, 1394},
	{18841, 166520, 1, 1395},
	{18858, 166524, 8, 1396},
	{18877, 166528, 1, 1384},
	{18888, 166532, 3, 1404},
	{18907, 166536, 1, 1407},
	{18929, 166540, 1, 1408},
	{18951, 166544, 3, 1409},
	{18971, 166548, 2, 1412},
	{18998, 166552, 5, 1414},
	{19020, 166560, 1, 1419},
	{19045, 166564, 1, 1419},
	{19070, 166568, 6, 1420},
	{19089, 166572, 1, 1426},
	{19112, 166576, 1, 1426},
	{19135, 166580, 1, 1427},
	{19149, 166584, 1, 1428},
	{19164, 166588, 9, 1429},
	{19181, 166592, 4, 1438},
	{19208, 166596, 4, 1442},
	{19235, 166600, 4, 1446},
	{19254, 166608, 1, 674},
	{19280, 166612, 1, 1450},
	{19305, 166620, 1, 1451},
	{19333, 166624, 1, 674},
	{19359, 166628, 1, 1450},
	{19384, 166636, 1, 1451},
	{19412, 166640, 1, 674},
	{19438, 166644, 1, 1450},
	{19463, 166652, 1, 1451},
	{19491, 166656, 1, 674},
	{19517, 166660, 1, 1450},
	{19542, 166668, 1, 1451},
	{19570, 166696, 1, 1451},
	{19601, 166700, 1, 674},
	{19644, 166704, 1, 1452},
	{19682, 166712, 1, 1453},
	{19702, 166732, 2, 1454},
	{19721, 166736, 5, 1456},
	{19743, 166740, 19, 1461},
	{19764, 166744, 3, 1480},
	{19781, 166748, 1, 1426},
	{19802, 166752, 1, 1426},
	{19825, 166756, 1, 1426},
	{19848, 166760, 1, 1426},
	{19871, 166764, 12, 1483},
	{19884, 166768, 6, 1495},
	{19901, 166772, 1, 1501},
	{19925, 166776, 2, 1502},
	{19955, 166780, 1, 1504},
	{19979, 166784, 1, 1505},
	{20009, 166788, 1, 1451},
	{20040, 166792, 1, 1505},
	{20069, 166796, 1, 1451},
	{20099, 166800, 3, 1506},
	{20119, 166804, 8, 1509},
	{20138, 166808, 4, 1517},
	{20164, 166812, 3, 1409},
	{20188, 166868, 8, 1521},
	{20214, 166872, 8, 1529},
	{20240, 166876, 5, 1537},
	{20256, 166880, 6, 1542},
	{20272, 166884, 3, 1548},
	{20287, 166888, 1, 993},
	{20310, 166892, 1, 993},
	{20333, 166896, 1, 993},
	{20356, 166900, 1, 993},
	{20379, 166904, 8, 1551},
	{20413, 166908, 8, 1559},
	{20447, 166912, 8, 1567},
	{20481, 166916, 8, 1575},
	{20515, 166920, 8, 1551},
	{20549, 166924, 8, 1559},
	{20583, 166928, 8, 1567},
	{20617, 166932, 8, 1575},
	{20651, 166936, 8, 1551},
	{20685, 166940, 8, 1559},
	{20719, 166944, 8, 1567},
	{20753, 166948, 8, 1575},
	{20787, 166952, 8, 1551},
	{20821, 166956, 8, 1559},
	{20855, 166960, 8, 1567},
	{20889, 166964, 8, 1575},
	{20923, 166968, 2, 1583},
	{20947, 166972, 2, 1585},
	{20971, 166976, 4, 1587},
	{20992, 166980, 12, 1591},
	{21012, 166984, 2, 1603},
	{21032, 166988, 20, 1605},
	{21070, 166992, 2, 1625},
	{21090, 167000, 1, 1627},
	{21118, 167004, 1, 1628},
	{21139, 167008, 1, 808},
	{21154, 167012, 2, 1629},
	{21170, 167016, 1, 1631},
	{21186, 167020, 3, 1632},
	{21201, 167024, 19, 1635},
	{21216, 167028, 8, 1654},
	{21233, 167032, 12, 1662},
	{21255, 167036, 1, 808},
	{21271, 167040, 1, 1674},
	{21293, 167044, 1, 808},
	{21309, 167048, 1, 1631},
	{21331, 167052, 1, 1675},
	{21353, 167056, 1, 1676},
	{21375, 167060, 1, 808},
	{21394, 167068, 1, 808},
	{21409, 167072, 2, 1629},
	{21425, 167076, 1, 1631},
	{21441, 167080, 3, 1632},
	{21456, 167084, 19, 1635},
	{21471, 167088, 8, 1654},
	{21488, 167092, 12, 1662},
	{21510, 167096, 1, 808},
	{21526, 167100, 1, 1674},
	{21548, 167104, 1, 808},
	{21564, 167108, 1, 1631},
	{21586, 167112, 1, 1675},
	{21608, 167116, 1, 1676},
	{21630, 167120, 1, 808},
	{21649, 167128, 1, 808},
	{21664, 167132, 2, 1629},
	{21680, 167136, 1, 1631},
	{21696, 167140, 3, 1632},
	{21711, 167144, 19, 1635},
	{21726, 167148, 8, 1654},
	{21743, 167152, 12, 1662},
	{21765, 167156, 1, 808},
	{21781, 167160, 1, 1674},
	{21803, 167164, 1, 808},
	{21819, 167168, 1, 1631},
	{21841, 167172, 1, 1675},
	{21863, 167176, 1, 1676},
	{21885, 167180, 1, 808},
	{21904, 167188, 1, 808},
	{21919, 167192, 2, 1629},
	{21935, 167196, 1, 1631},
	{21951, 167200, 3, 1632},
	{21966, 167204, 19, 1635},
	{21981, 167208, 8, 1654},
	{21998, 167212, 12, 1662},
	{22020, 167216, 1, 808},
	{22036, 167220, 1, 1674},
	{22058, 167224, 1, 808},
	{22074, 167228, 1, 1631},
	{22096, 167232, 1, 1675},
	{22118, 167236, 1, 1676},
	{22140, 167240, 1, 808},
	{22159, 167248, 1, 808},
	{22174, 167252, 2, 1629},
	{22190, 167256, 1, 1631},
	{22206, 167260, 3, 1632},
	{22221, 167264, 19, 1635},
	{22236, 167268, 8, 1654},
	{22253, 167272, 12, 1662},
	{22275, 167276, 1, 808},
	{22291, 167280, 1, 1674},
	{22313, 167284, 1, 808},
	{22329, 167288, 1, 1631},
	{22351, 167292, 1, 1675},
	{22373, 167296, 1, 1676},
	{22395, 167300, 1, 808},
	{22414, 167308, 1, 808},
	{22429, 167312, 2, 1629},
	{22445, 167316, 1, 1631},
	{22461, 167320, 3, 1632},
	{22476, 167324, 19, 1635},
	{22491, 167328, 8, 1654},
	{22508, 167332, 12, 1662},
	{22530, 167336, 1, 808},
	{22546, 167340, 1, 1674},
	{22568, 167344, 1, 808},
	{22584, 167348, 1, 1631},
	{22606, 167352, 1, 1675},
	{22628, 167356, 1, 1676},
	{22650, 167360, 1, 808},
	{22669, 167368, 1, 808},
	{22684, 167372, 2, 1629},
	{22700, 167376, 1, 1631},
	{22716, 167380, 3, 1632},
	{22731, 167384, 19, 1635},
	{22746, 167388, 8, 1654},
	{22763, 167392, 12, 1662},
	{22785, 167396, 1, 808},
	{22801, 167400, 1, 1674},
	{22823, 167404, 1, 808},
	{22839, 167408, 1, 1631},
	{22861, 167412, 1, 1675},
	{22883, 167416, 1, 1676},
	{22905, 167420, 1, 808},
	{22924, 167428, 1, 808},
	{22939, 167432, 2, 1629},
	{22955, 167436, 1, 1631},
	{22971, 167440, 3, 1632},
	{22986, 167444, 19, 1635},
	{23001, 167448, 8, 1654},
	{23018, 167452, 12, 1662},
	{23040, 167456, 1, 808},
	{23056, 167460, 1, 1674},
	{23078, 167464, 1, 808},
	{23094, 167468, 1, 1631},
	{23116, 167472, 1, 1675},
	{23138, 167476, 1, 1676},
	{23160, 167480, 1, 808},
	{23179, 167488, 1, 1677},
	{23198, 167492, 1, 1677},
	{23217, 167496, 1, 1677},
	{23236, 167500, 1, 1677},
	{23255, 167504, 1, 1677},
	{23274, 167508, 1, 1677},
	{23293, 167512, 1, 1677},
	{23312, 167516, 1, 1677},
	{23331, 167520, 1, 1677},
	{23356, 167524, 1, 1677},
	{23381, 167528, 1, 1677},
	{23406, 167532, 1, 1677},
	{23431, 167536, 1, 1677},
	{23456, 167540, 1, 1677},
	{23481, 167544, 1, 1677},
	{23506, 167548, 1, 1677},
	{23531, 167552, 1, 1677},
	{23556, 167556, 1, 1677},
	{23581, 167560, 1, 1677},
	{23606, 167564, 1, 1677},
	{23631, 167568, 1, 1677},
	{23656, 167572, 1, 1677},
	{23681, 167576, 1, 1677},
	{23706, 167580, 1, 1677},
	{23731, 167584, 1, 1677},
	{23754, 167588, 1, 1677},
	{23777, 167592, 1, 1677},
	{23800, 167596, 1, 1677},
	{23823, 167600, 1, 1677},
	{23846, 167604, 1, 1677},
	{23869, 167608, 1, 1677},
	{23892, 167612, 1, 1677},
	{23915, 167616, 3, 1678},
	{23933, 167620, 3, 1678},
	{23951, 167624, 3, 1678},
	{23969, 167628, 3, 1678},
	{23987, 167632, 3, 1678},
	{24005, 167636, 3, 1678},
	{24023, 167640, 3, 1678},
	{24041, 167644, 3, 1678},
	{24059, 167648, 8, 1681},
	{24077, 167652, 8, 1681},
	{24095, 167656, 8, 1681},
	{24113, 167660, 8, 1681},
	{24131, 167664, 8, 1681},
	{24149, 167668, 8, 1681},
	{24167, 167672, 8, 1681},
	{24185, 167676, 8, 1681},
	{24203, 196608, 1, 1689},
	{24223, 196612, 1, 1690},
	{24243, 196616, 1, 1691},
	{24263, 196620, 1, 1692},
	{24283, 196624, 1, 1693},
	{24304, 196628, 1, 1694},
	{24325, 196632, 1, 1695},
	{24347, 196636, 1, 1696},
	{24369, 196640, 1, 1697},
	{24399, 196644, 1, 1698},
	{24429, 196648, 1, 1699},
	{24458, 196652, 1, 1700},
	{24487, 196656, 1, 1701},
	{24517, 196660, 1, 1702},
	{24547, 196664, 1, 1703},
	{24576, 196668, 1, 1704},
	{24605, 196672, 1, 1705},
	{24635, 196676, 1, 1706},
	{24665, 196680, 1, 1707},
	{24694, 196684, 1, 1708},
	{24723, 196688, 1, 1709},
	{24753, 196692, 1, 1710},
	{24783, 196696, 1, 1711},
	{24812, 196700, 1, 1712},
	{24841, 196704, 1, 1713},
	{24863, 196708, 1, 1714},
	{24885, 196712, 1, 1715},
	{24908, 196716, 1, 1716},
	{24931, 196720, 1, 1717},
	{24954, 196724, 1, 1718},
	{24977, 196728, 1, 1719},
	{25000, 196732, 1, 1720},
	{25023, 196736, 1, 1721},
	{25047, 196740, 1, 1722},
	{25071, 196744, 1, 1723},
	{25095, 196748, 1, 1724},
	{25119, 196752, 1, 1725},
	{25143, 196756, 1, 1726},
	{25167, 196760, 1, 1727},
	{25191, 196764, 1, 1728},
	{25215, 196768, 1, 1729},
	{25237, 196772, 1, 1730},
	{25259, 196776, 1, 1731},
	{25280, 196780, 1, 1732},
	{25301, 196784, 1, 1733},
	{25325, 196788, 1, 1734},
	{25349, 196792, 1, 1735},
	{25373, 196796, 1, 1735},
	{25397, 196800, 1, 1736},
	{25421, 196804, 1, 1737},
	{25445, 196808, 1, 1738},
	{25466, 196812, 1, 1738},
	{25489, 196816, 1, 1738},
	{25505, 196852, 1, 1739},
	{25527, 196856, 1, 1739},
	{25549, 196860, 1, 1740},
	{25565, 196864, 1, 1741},
	{25578, 196868, 1, 1742},
	{25591, 196872, 1, 1743},
	{25604, 196876, 1, 1744},
	{25617, 196880, 1, 1745},
	{25630, 196884, 1, 1746},
	{25643, 196888, 1, 1747},
	{25656, 196892, 1, 1748},
	{25669, 196896, 1, 1738},
	{25692, 196908, 1, 680},
	{25711, 196912, 1, 109},
	{25729, 196916, 1, 1749},
	{25756, 196920, 1, 1749},
	{25783, 196928, 2, 1750},
	{25796, 196932, 1, 1752},
	{25809, 196936, 1, 1753},
	{25832, 196940, 1, 1754},
	{25855, 196944, 1, 1755},
	{25883, 196948, 1, 1756},
	{25911, 196952, 1, 1757},
	{25939, 196956, 1, 1758},
	{25967, 196960, 1, 1759},
	{25985, 196964, 4, 1760},
	{26003, 196968, 1, 109},
	{26018, 196972, 1, 1749},
	{26042, 196976, 1, 1749},
	{26066, 196980, 1, 1753},
	{26085, 196984, 1, 1754},
	{26104, 196988, 1, 1755},
	{26128, 196992, 1, 1756},
	{26152, 196996, 1, 1757},
	{26176, 197000, 1, 1758},
	{26200, 197028, 1, 1764},
	{26218, 197032, 2, 1765},
	{26236, 197036, 1, 1767},
	{26254, 197040, 1, 1768},
	{26272, 197044, 1, 1769},
	{26290, 197048, 2, 1770},
	{26308, 197052, 1, 1772},
	{26326, 197056, 2, 1773},
	{26345, 197060, 5, 1775},
	{26364, 197072, 1, 1780},
	{26388, 197076, 2, 1773},
	{26408, 197080, 5, 1775},
	{26428, 197084, 7, 1781},
	{26447, 197088, 7, 1781},
	{26465, 197092, 1, 1788},
	{26482, 197100, 1, 1789},
	{26503, 197104, 13, 1790},
	{26517, 197108, 1, 1803},
	{26531, 197112, 1, 1804},
	{26545, 197116, 2, 1805},
	{26561, 197120, 1, 1807},
	{26580, 197124, 1, 1808},
	{26602, 197128, 1, 1809},
	{26621, 197132, 1, 1810},
	{26643, 197136, 7, 1811},
	{26661, 197140, 1, 1807},
	{26681, 197144, 1, 1808},
	{26704, 197148, 1, 1809},
	{26724, 197152, 1, 1810},
	{26747, 197156, 7, 1811},
	{26766, 197160, 7, 1818},
	{26778, 197164, 2, 1825},
	{26795, 197168, 1, 1827},
	{26812, 197172, 1, 1828},
	{26830, 197176, 4, 1829},
	{26850, 197180, 2, 1833},
	{26867, 197184, 1, 340},
	{26883, 197188, 1, 1835},
	{26896, 197192, 1, 1836},
	{26910, 197196, 1, 1837},
	{26924, 197200, 1, 1838},
	{26946, 197204, 1, 1839},
	{26966, 197208, 1, 1840},
	{26988, 197212, 1, 1841},
	{27008, 197216, 1, 1836},
	{27025, 197220, 1, 1837},
	{27042, 197224, 1, 1842},
	{27056, 197232, 2, 1843},
	{27078, 197236, 2, 1845},
	{27100, 197240, 2, 1843},
	{27123, 197244, 2, 1845},
	{27146, 197248, 2, 1843},
	{27168, 197252, 2, 1845},
	{27190, 197364, 1, 1847},
	{27211, 197368, 1, 1848},
	{27231, 197372, 1, 1849},
	{27251, 197376, 1, 1848},
	{27268, 197380, 1, 1849},
	{27285, 197384, 1, 1850},
	{27301, 197388, 1, 1851},
	{27320, 197392, 1, 1852},
	{27339, 197396, 1, 1853},
	{27356, 197400, 1, 1854},
	{27374, 197404, 1, 1855},
	{27392, 197408, 1, 1856},
	{27408, 197412, 1, 1857},
	{27426, 197416, 1, 1858},
	{27444, 197420, 1, 1859},
	{27460, 197424, 1, 1854},
	{27475, 197428, 1, 1855},
	{27490, 197432, 1, 1856},
	{27503, 197436, 1, 1857},
	{27518, 197440, 1, 1858},
	{27533, 197444, 1, 1859},
	{27546, 197448, 1, 1860},
	{27560, 197452, 1, 1861},
	{27574, 197456, 1, 1862},
	{27586, 197460, 4, 1863},
	{27609, 197464, 3, 1867},
	{27631, 197468, 1, 1870},
	{27651, 197472, 1, 1871},
	{27665, 197476, 1, 1872},
	{27679, 197480, 1, 1873},
	{27691, 197484, 1, 1874},
	{27707, 197488, 1, 1871},
	{27724, 197492, 1, 1872},
	{27741, 197496, 1, 1873},
	{27756, 197500, 1, 1874},
	{27775, 197552, 1, 1875},
	{27800, 197556, 1, 1875},
	{27824, 197560, 1, 1876},
	{27844, 197568, 1, 1877},
	{27870, 197572, 1, 1690},
	{27899, 197576, 1, 1877},
	{27924, 197580, 1, 1690},
	{27952, 197584, 1, 1877},
	{27975, 197588, 1, 1690},
	{28001, 197592, 1, 1877},
	{28023, 197596, 1, 1690},
	{28048, 197600, 1, 1877},
	{28067, 197604, 1, 1690},
	{28089, 197608, 1, 1396},
	{28103, 197612, 1, 1877},
	{28120, 197616, 1, 1690},
	{28140, 197620, 8, 1878},
	{28157, 197624, 13, 1886},
	{28174, 197628, 1, 1803},
	{28191, 197632, 1, 1827},
	{28211, 197636, 1, 1804},
	{28228, 197640, 1, 1788},
	{28248, 197644, 2, 1899},
	{28267, 197888, 8, 1901},
	{28288, 197892, 8, 1901},
	{28309, 198656, 6, 1909},
	{28324, 198912, 1, 1915},
	{28347, 198916, 1, 1915},
	{28370, 198920, 1, 1916},
	{28389, 198924, 1, 1396},
	{28404, 198928, 1, 674},
	{28437, 198932, 1, 674},
	{28470, 198936, 1, 674},
	{28503, 198940, 1, 674},
	{28536, 198948, 1, 944},
	{28552, 198952, 1, 945},
	{28567, 198956, 2, 1412},
	{28593, 198960, 1, 1394},
	{28609, 198964, 1, 1407},
	{28627, 198968, 1, 1917},
	{28648, 198972, 2, 1918},
	{28673, 198976, 1, 1920},
	{28696, 198980, 1, 1921},
	{28715, 198984, 1, 1920},
	{28731, 198988, 1, 856},
	{28750, 198992, 1, 1920},
	{28770, 198996, 1, 856},
	{28793, 199000, 1, 1920},
	{28811, 199004, 1, 856},
	{28832, 199008, 9, 1922},
	{28857, 199012, 1, 943},
	{28873, 199016, 1, 1931},
	{28894, 199020, 4, 1932},
	{28902, 199024, 1, 109},
	{28916, 199028, 1, 109},
	{28930, 199032, 1, 109},
	{28944, 199036, 3, 1936},
	{28959, 199040, 2, 1939},
	{28971, 199044, 1, 856},
	{28997, 199048, 3, 1941},
	{29013, 199168, 1, 1944},
	{29038, 199172, 2, 1945},
	{29063, 199184, 2, 1947},
	{29089, 199188, 2, 1947},
	{29115, 199192, 2, 1947},
	{29141, 199212, 2, 1947},
	{29167, 199296, 2, 1949},
	{29195, 199300, 1, 1951},
	{29219, 199304, 1, 1952},
	{29243, 199308, 1, 1953},
	{29276, 199312, 1, 1953},
	{29304, 199328, 2, 1949},
	{29333, 199332, 1, 1951},
	{29358, 199336, 1, 1952},
	{29383, 199340, 1, 1953},
	{29417, 199344, 1, 1953},
	{29446, 199360, 2, 1949},
	{29470, 199364, 1, 1951},
	{29490, 199368, 1, 1952},
	{29510, 199372, 1, 1953},
	{29539, 199376, 1, 1953},
	{29563, 199936, 1, 109},
	{29590, 199940, 1, 109},
	{29617, 199944, 1, 109},
	{29644, 199948, 1, 109},
	{29671, 199952, 1, 109},
	{29698, 199956, 1, 109},
	{29725, 199960, 1, 109},
	{29752, 199964, 1, 109},
	{29779, 199968, 7, 1954},
	{29790, 199972, 2, 1961},
	{29804, 200192, 1, 866},
	{29823, 200196, 1, 867},
	{29845, 200448, 1, 1963},
	{29869, 200452, 1, 1964},
	{29892, 200456, 1, 1963},
	{29916, 200460, 1, 1964},
	{29939, 200464, 1, 1963},
	{29963, 200468, 1, 1964},
	{29986, 200472, 1, 1963},
	{30010, 200476, 1, 1964},
	{30033, 200696, 1, 1963},
	{30052, 200700, 1, 1964},
	{30070, 200704, 1, 1965},
	{30082, 200708, 1, 1966},
	{30094, 200712, 1, 1967},
	{30112, 200716, 1, 1968},
	{30131, 200720, 1, 1969},
	{30149, 200724, 1, 1970},
	{30161, 200728, 1, 1971},
	{30173, 200732, 1, 1970},
	{30191, 200736, 1, 1971},
	{30209, 200740, 1, 1972},
	{30228, 200744, 4, 1973},
	{30242, 200748, 2, 1977},
	{30260, 200752, 2, 1979},
	{30274, 200756, 2, 1981},
	{30288, 200760, 2, 1983},
	{30305, 200764, 2, 1985},
	{30322, 200768, 1, 1987},
	{30335, 200772, 2, 1988},
	{30347, 200776, 1, 109},
	{30361, 200780, 1, 109},
	{30377, 200784, 1, 109},
	{30391, 200788, 1, 109},
	{30407, 200792, 1, 109},
	{30422, 200796, 1, 109},
	{30439, 200800, 1, 109},
	{30454, 200804, 1, 109},
	{30471, 200808, 2, 1990},
	{30493, 200812, 10, 1992},
	{30510, 200816, 2, 2002},
	{30531, 200820, 2, 2004},
	{30543, 200824, 1, 2006},
	{30558, 200828, 6, 2007},
	{30573, 200832, 2, 2013},
	{30587, 200836, 1, 2015},
	{30604, 200960, 1, 2016},
	{30626, 200964, 1, 2016},
	{30650, 200968, 1, 2016},
	{30674, 200972, 1, 2016},
	{30700, 212992, 1, 2017},
	{30720, 212996, 1, 2018},
	{30740, 213000, 1, 2017},
	{30760, 213004, 1, 2018},
	{30780, 213008, 1, 2017},
	{30800, 213012, 1, 2018},
	{30820, 213016, 1, 2017},
	{30840, 213020, 1, 2018},
	{30860, 213024, 1, 2017},
	{30880, 213028, 1, 2018},
	{30900, 213032, 1, 2017},
	{30920, 213036, 1, 2018},
	{30940, 213040, 1, 109},
	{30963, 213044, 1, 109},
	{30986, 213048, 1, 109},
	{31009, 213248, 1, 2017},
	{31030, 213252, 1, 2018},
	{31051, 213260, 1, 2017},
	{31072, 213264, 1, 2018},
	{31093, 213268, 1, 2017},
	{31117, 213272, 1, 2018},
	{31141, 213276, 1, 2017},
	{31165, 213280, 1, 2018},
	{31189, 213284, 1, 2017},
	{31213, 213288, 1, 2018},
	{31237, 213292, 1, 2017},
	{31261, 213296, 1, 2018},
	{31285, 213504, 1, 2017},
	{31304, 213508, 1, 2018},
	{31323, 213512, 1, 2017},
	{31342, 213516, 1, 2018},
	{31361, 213520, 1, 2017},
	{31380, 213524, 1, 2018},
	{31399, 213528, 1, 2017},
	{31418, 213532, 1, 2018},
	{31437, 213536, 1, 2017},
	{31456, 213540, 1, 2018},
	{31475, 213544, 1, 2017},
	{31494, 213548, 1, 2018},
	{31513, 213552, 1, 2017},
	{31532, 213556, 1, 2018},
	{31551, 213560, 1, 2017},
	{31570, 213564, 1, 2018},
	{31589, 213568, 1, 2017},
	{31608, 213572, 1, 2018},
	{31627, 213576, 1, 2017},
	{31646, 213580, 1, 2018},
	{31665, 213584, 1, 2017},
	{31685, 213588, 1, 2018},
	{31705, 213592, 1, 2017},
	{31725, 213596, 1, 2018},
	{31745, 214016, 1, 2017},
	{31767, 214020, 1, 2019},
	{31789, 214024, 1, 2017},
	{31811, 214028, 1, 2019},
	{31833, 214032, 1, 2017},
	{31855, 214036, 1, 2019},
	{31877, 214040, 1, 2017},
	{31899, 214044, 1, 2019},
	{31921, 214272, 1, 2017},
	{31943, 214276, 1, 2018},
	{31965, 214280, 1, 2017},
	{31987, 214284, 1, 2018},
	{32009, 214288, 1, 2017},
	{32031, 214292, 1, 2018},
	{32053, 214296, 1, 2017},
	{32075, 214300, 1, 2018},
	{32097, 214304, 1, 2017},
	{32119, 214308, 1, 2018},
	{32141, 214312, 1, 2017},
	{32163, 214316, 1, 2018},
	{32185, 214320, 1, 2017},
	{32207, 214324, 1, 2018},
	{32229, 214328, 1, 2017},
	{32251, 214332, 1, 2018},
	{32273, 214528, 1, 2018},
	{32293, 214532, 1, 2017},
	{32313, 214536, 1, 2018},
	{32333, 214540, 1, 2017},
	{32353, 214544, 1, 2018},
	{32373, 214548, 1, 2017},
	{32393, 214552, 1, 2018},
	{32413, 214556, 1, 2017},
	{32433, 214560, 1, 2018},
	{32453, 214564, 1, 2017},
	{32473, 214568, 1, 2018},
	{32493, 214572, 1, 2017},
	{32513, 214784, 1, 2017},
	{32532, 214788, 1, 2018},
	{32551, 214792, 1, 2017},
	{32570, 214796, 1, 2018},
	{32589, 214800, 1, 2017},
	{32608, 214804, 1, 2018},
	{32627, 214808, 1, 2017},
	{32646, 214812, 1, 2018},
	{32665, 214816, 1, 2017},
	{32684, 214820, 1, 2018},
	{32703, 214824, 1, 2017},
	{32722, 214828, 1, 2018},
	{32741, 214832, 1, 2017},
	{32760, 214836, 1, 2018},
	{32779, 214840, 1, 2017},
	{32798, 214844, 1, 2018},
	{32817, 214848, 1, 2017},
	{32836, 214852, 1, 2018},
	{32855, 214856, 1, 2017},
	{32874, 214860, 1, 2018},
	{32893, 214864, 1, 2017},
	{32913, 214868, 1, 2018},
	{32933, 214872, 1, 2017},
	{32953, 214876, 1, 2018},
	{32973, 214880, 1, 2017},
	{32993, 214884, 1, 2018},
	{33013, 214888, 1, 2017},
	{33033, 214892, 1, 2018},
	{33053, 214896, 1, 2017},
	{33073, 214900, 1, 2018},
	{33093, 214904, 1, 2017},
	{33113, 214908, 1, 2018},
	{33133, 215296, 1, 2017},
	{33152, 215300, 1, 2018},
	{33171, 215304, 1, 2017},
	{33190, 215308, 1, 2018},
	{33209, 215312, 1, 2017},
	{33228, 215316, 1, 2018},
	{33247, 215320, 1, 2017},
	{33266, 215324, 1, 2018},
	{33285, 215424, 1, 2017},
	{33306, 215428, 1, 2018},
	{33327, 215552, 1, 2017},
	{33347, 215556, 1, 2018},
	{33367, 215560, 1, 2017},
	{33387, 215564, 1, 2018},
	{33407, 215568, 1, 2017},
	{33427, 215572, 1, 2018},
	{33447, 215576, 1, 2017},
	{33467, 215580, 1, 2018},
	{33487, 215808, 1, 2017},
	{33506, 215812, 1, 2018},
	{33525, 215816, 1, 2017},
	{33544, 215820, 1, 2018},
	{33563, 216064, 1, 2017},
	{33582, 216068, 1, 2018},
	{33601, 216072, 1, 2017},
	{33620, 216076, 1, 2018},
	{33639, 216320, 1, 2017},
	{33659, 216324, 1, 2018},
	{33679, 216328, 1, 2017},
	{33699, 216332, 1, 2018},
	{33719, 216336, 1, 2017},
	{33739, 216340, 1, 2018},
	{33759, 216344, 1, 2017},
	{33779, 216348, 1, 2018},
	{33799, 216576, 1, 2017},
	{33820, 216580, 1, 2018},
	{33841, 216584, 1, 2017},
	{33862, 216588, 1, 2018},
	{33883, 216592, 1, 2017},
	{33904, 216596, 1, 2018},
	{33925, 216600, 1, 2017},
	{33946, 216604, 1, 2018},
	{33967, 216640, 1, 2017},
	{33988, 216644, 1, 2018},
	{34009, 216648, 1, 2017},
	{34030, 216652, 1, 2018},
	{34051, 216656, 1, 2017},
	{34072, 216660, 1, 2018},
	{34093, 216664, 1, 2017},
	{34114, 216668, 1, 2018},
	{34135, 216704, 1, 2017},
	{34156, 216708, 1, 2018},
	{34177, 216712, 1, 2017},
	{34198, 216716, 1, 2018},
	{34219, 216720, 1, 2017},
	{34240, 216724, 1, 2018},
	{34261, 216728, 1, 2017},
	{34282, 216732, 1, 2018},
	{34303, 216832, 1, 2017},
	{34323, 216836, 1, 2018},
	{34343, 216840, 1, 2017},
	{34363, 216844, 1, 2018},
	{34383, 216848, 1, 2017},
	{34403, 216852, 1, 2018},
	{34423, 216856, 1, 2017},
	{34443, 216860, 1, 2018},
	{34463, 216864, 1, 2017},
	{34484, 216868, 1, 2018},
	{34505, 216872, 1, 2017},
	{34526, 216876, 1, 2018},
	{34547, 216880, 1, 2017},
	{34568, 216884, 1, 2018},
	{34589, 216888, 1, 2017},
	{34610, 216892, 1, 2018},
	{34631, 217112, 1, 2017},
	{34650, 217116, 1, 2018},
	{34669, 217120, 1, 2017},
	{34688, 217124, 1, 2018},
	{34707, 217128, 1, 2017},
	{34726, 217132, 1, 2018},
	{34745, 217136, 1, 2017},
	{34764, 217140, 1, 2018},
	{34783, 217344, 1, 2017},
	{34802, 217348, 1, 2018},
	{34821, 217352, 1, 2017},
	{34840, 217356, 1, 2018},
	{34859, 217360, 1, 2017},
	{34878, 217364, 1, 2018},
	{34897, 217368, 1, 2017},
	{34916, 217372, 1, 2018},
	{34935, 217600, 1, 2017},
	{34955, 217604, 1, 2018},
	{34975, 217608, 1, 2017},
	{34995, 217612, 1, 2018},
	{35015, 217856, 1, 2017},
	{35035, 217860, 1, 2018},
	{35055, 217864, 1, 2017},
	{35075, 217868, 1, 2018},
	{35095, 217872, 1, 2017},
	{35115, 217876, 1, 2018},
	{35135, 217880, 1, 2017},
	{35155, 217884, 1, 2018},
	{35175, 217984, 1, 2020},
	{35200, 217988, 2, 2021},
	{35225, 218016, 1, 2020},
	{35251, 218020, 2, 2021},
	{35277, 218080, 1, 2017},
	{35302, 218084, 1, 2017},
	{35327, 218088, 1, 2018},
	{35352, 218092, 1, 2018},
	{35377, 218096, 1, 2017},
	{35403, 218100, 1, 2018},
	{35429, 218224, 1, 2017},
	{35451, 218228, 1, 2018},
	{35473, 218232, 1, 2017},
	{35495, 218236, 1, 2018},
	{35517, 218240, 1, 2017},
	{35537, 218244, 1, 2018},
	{35557, 218248, 1, 2017},
	{35577, 218252, 1, 2018},
	{35597, 218624, 1, 2017},
	{35619, 218628, 1, 2018},
	{35641, 218632, 1, 2017},
	{35663, 218636, 1, 2018},
	{35685, 218640, 1, 2017},
	{35707, 218644, 1, 2018},
	{35729, 218648, 1, 2017},
	{35751, 218652, 1, 2018},
	{35773, 218656, 1, 2017},
	{35795, 218660, 1, 2018},
	{35817, 218664, 1, 2017},
	{35839, 218668, 1, 2018},
	{35861, 218672, 1, 2017},
	{35883, 218676, 1, 2018},
	{35905, 218680, 1, 2017},
	{35927, 218684, 1, 2018},
	{35949, 218880, 1, 2017},
	{35970, 218884, 1, 2018},
	{35991, 218888, 1, 2017},
	{36012, 218892, 1, 2018},
	{36033, 218896, 1, 2017},
	{36054, 218900, 1, 2018},
	{36075, 218904, 1, 2017},
	{36096, 218908, 1, 2018},
	{36117, 219136, 1, 2017},
	{36137, 219140, 1, 2018},
	{36157, 219144, 1, 2017},
	{36177, 219148, 1, 2018},
	{36197, 219152, 1, 2017},
	{36217, 219156, 1, 2018},
	{36237, 219160, 1, 2017},
	{36257, 219164, 1, 2018},
	{36277, 219392, 1, 2017},
	{36297, 219396, 1, 2018},
	{36317, 221184, 5, 2023},
	{36341, 221188, 4, 2028},
	{36366, 221192, 5, 2023},
	{36390, 221196, 5, 2023},
	{36414, 221200, 4, 2028},
	{36439, 221204, 5, 2023},
	{36463, 221208, 4, 2028},
	{36488, 221212, 5, 2023},
	{36512, 221216, 4, 2032},
	{36528, 221220, 5, 2023},
	{36552, 221224, 3, 2036},
	{36586, 221228, 3, 2039},
	{36620, 221232, 3, 2042},
	{36645, 221236, 3, 2045},
	{36670, 221240, 3, 2042},
	{36695, 221248, 1, 2048},
	{36710, 221252, 1, 1953},
	{36733, 221256, 1, 2049},
	{36756, 221260, 1, 2050},
	{36774, 221264, 2, 2051},
	{36792, 221268, 4, 2053},
	{36812, 221440, 20, 2057},
	{36837, 221444, 20, 2057},
	{36862, 221448, 15, 2077},
	{36890, 221452, 15, 2077},
	{36918, 221456, 15, 2077},
	{36946, 221460, 15, 2077},
	{36974, 221492, 8, 2092},
	{37002, 221496, 8, 2092},
	{37030, 221696, 5, 2100},
	{37053, 221700, 4, 2105},
	{37077, 221704, 5, 2100},
	{37100, 221708, 4, 2105},
	{37124, 221712, 5, 2100},
	{37147, 221716, 4, 2105},
	{37171, 221720, 5, 2100},
	{37194, 221724, 4, 2105},
	{37218, 221728, 2, 2109},
	{37241, 221736, 2, 2109},
	{37264, 221744, 2, 2109},
	{37287, 221752, 2, 2109},
	{37310, 221760, 2, 2109},
	{37333, 221768, 2, 2109},
	{37356, 221776, 2, 2109},
	{37380, 221784, 2, 2109},
	{37404, 222208, 5, 2111},
	{37430, 222212, 4, 2116},
	{37457, 222216, 5, 2111},
	{37483, 222220, 4, 2116},
	{37510, 222224, 5, 2111},
	{37536, 222228, 4, 2116},
	{37563, 222232, 5, 2111},
	{37589, 222236, 4, 2116},
	{37616, 222464, 5, 2111},
	{37642, 222468, 4, 2116},
	{37669, 222472, 1, 2023},
	{37695, 222476, 1, 2023},
	{37721, 222480, 1, 2023},
	{37747, 222484, 1, 2023},
	{37773, 222488, 1, 2023},
	{37799, 222492, 1, 2023},
	{37825, 222496, 1, 2023},
	{37851, 222720, 5, 2111},
	{37875, 222724, 5, 2111},
	{37899, 222728, 5, 2111},
	{37923, 222732, 5, 2111},
	{37947, 222736, 4, 2116},
	{37972, 222740, 4, 2116},
	{37997, 222744, 4, 2116},
	{38022, 222748, 4, 2116},
	{38047, 222752, 1, 2023},
	{38071, 222756, 1, 2023},
	{38095, 222760, 8, 2120},
	{38116, 222976, 4, 2128},
	{38139, 222980, 4, 2128},
	{38162, 222984, 4, 2128},
	{38185, 222988, 4, 2128},
	{38208, 222992, 4, 2128},
	{38231, 222996, 4, 2128},
	{38254, 223000, 4, 2128},
	{38277, 223004, 4, 2128},
	{38300, 223008, 4, 2128},
	{38323, 223012, 4, 2128},
	{38346, 223016, 4, 2128},
	{38370, 223020, 4, 2128},
	{38394, 223024, 4, 2128},
	{38418, 223028, 4, 2128},
	{38442, 223032, 4, 2128},
	{38466, 223036, 4, 2128},
	{38490, 223104, 9, 2132},
	{38510, 223112, 1, 2141},
	{38531, 223232, 5, 2111},
	{38556, 223236, 4, 2116},
	{38582, 223240, 8, 2142},
	{38605, 223488, 3, 2150},
	{38628, 223492, 3, 2150},
	{38651, 223496, 3, 2150},
	{38674, 223500, 3, 2150},
	{38697, 223504, 2, 2153},
	{38721, 223508, 2, 2153},
	{38745, 223744, 5, 2111},
	{38769, 223748, 5, 2111},
	{38793, 223752, 5, 2111},
	{38817, 223756, 5, 2111},
	{38841, 223760, 4, 2116},
	{38866, 224000, 5, 2155},
	{38889, 224004, 4, 2160},
	{38913, 224008, 3, 2164},
	{38936, 224256, 5, 2155},
	{38959, 224260, 4, 2160},
	{38983, 224264, 3, 2164},
	{39006, 224512, 5, 2111},
	{39030, 224516, 4, 2116},
	{39055, 224520, 5, 2111},
	{39079, 224524, 4, 2116},
	{39104, 224528, 3, 2167},
	{39128, 224532, 3, 2167},
	{39152, 224768, 5, 2111},
	{39177, 224772, 4, 2105},
	{39203, 224776, 5, 2111},
	{39228, 224780, 4, 2105},
	{39254, 224784, 3, 2167},
	{39279, 224788, 3, 2167},
	{39304, 224832, 5, 2111},
	{39329, 224836, 4, 2105},
	{39355, 224840, 5, 2111},
	{39380, 224844, 4, 2105},
	{39406, 224848, 3, 2167},
	{39431, 224852, 3, 2167},
	{39456, 224896, 5, 2111},
	{39481, 224900, 4, 2105},
	{39507, 224904, 3, 2167},
	{39532, 224908, 3, 2167},
	{39557, 224912, 3, 2167},
	{39582, 225024, 5, 2111},
	{39606, 225028, 4, 2105},
	{39631, 225032, 3, 2167},
	{39655, 225036, 3, 2167},
	{39679, 225040, 3, 2167},
	{39703, 225048, 5, 2111},
	{39728, 225052, 4, 2105},
	{39754, 225056, 3, 2167},
	{39779, 225060, 3, 2167},
	{39804, 225064, 3, 2167},
	{39829, 225280, 12, 2170},
	{39851, 225284, 5, 2182},
	{39874, 225288, 4, 2187},
	{39898, 225292, 2, 2191},
	{39921, 225296, 2, 2191},
	{39944, 225300, 2, 2191},
	{39967, 225536, 5, 2111},
	{39990, 225540, 4, 2116},
	{40014, 225544, 5, 2111},
	{40037, 225548, 4, 2116},
	{40061, 225552, 5, 2111},
	{40084, 225560, 5, 2111},
	{40107, 225792, 4, 2193},
	{40128, 225796, 1, 2197},
	{40157, 225800, 2, 2198},
	{40186, 225804, 1, 2200},
	{40212, 225808, 7, 2201},
	{40241, 225812, 1, 2208},
	{40260, 225816, 2, 2209},
	{40286, 225820, 2, 2211},
	{40309, 225824, 1, 2213},
	{40332, 225828, 2, 2214},
	{40359, 225832, 1, 2213},
	{40386, 225836, 2, 2216},
	{40411, 225840, 2, 2218},
	{40439, 225844, 2, 2220},
	{40467, 225848, 2, 2222},
	{40490, 225852, 2, 2224},
	{40513, 225856, 1, 2226},
	{40546, 225860, 2, 2227},
	{40579, 225864, 1, 2229},
	{40611, 225868, 2, 2227},
	{40643, 225872, 2, 2230},
	{40662, 225876, 2, 2232},
	{40689, 225880, 1, 2234},
	{40716, 225884, 2, 2235},
	{40743, 225888, 2, 2237},
	{40770, 225892, 10, 2239},
	{40791, 225896, 8, 2249},
	{40810, 225900, 8, 2257},
	{40829, 225904, 2, 2265},
	{40853, 225908, 2, 2267},
	{40885, 225912, 2, 2269},
	{40915, 225916, 4, 2271},
	{40951, 225920, 3, 2275},
	{40984, 225924, 1, 2278},
	{41002, 225932, 1, 2279},
	{41022, 226048, 2, 2280},
	{41039, 226052, 1, 2282},
	{41063, 226056, 1, 2282},
	{41087, 226060, 4, 2283},
	{41113, 226064, 3, 2287},
	{41142, 226068, 1, 109},
	{41171, 226072, 3, 2287},
	{41200, 226076, 1, 109},
	{41229, 226192, 1, 2290},
	{41250, 226196, 1, 2290},
	{41277, 226304, 5, 2182},
	{41301, 226308, 4, 2187},
	{41326, 226312, 2, 2191},
	{41350, 226316, 5, 2182},
	{41374, 226320, 4, 2187},
	{41399, 226324, 2, 2191},
	{41423, 226328, 10, 2291},
	{41445, 226432, 5, 2301},
	{41472, 226436, 5, 2301},
	{41499, 226440, 6, 2306},
	{41531, 226480, 5, 2301},
	{41559, 226484, 5, 2301},
	{41587, 226488, 5, 2301},
	{41615, 226492, 5, 2301},
	{41643, 226496, 5, 2301},
	{41671, 226500, 5, 2301},
	{41699, 226504, 5, 2301},
	{41727, 226508, 5, 2301},
	{41755, 226512, 6, 2306},
	{41788, 226544, 5, 2111},
	{41817, 226548, 5, 2111},
	{41846, 226552, 4, 2116},
	{41876, 226556, 4, 2116},
	{41906, 226560, 8, 2142},
	{41933, 226564, 8, 2142},
	{41960, 226608, 5, 2111},
	{41990, 226612, 4, 2116},
	{42021, 226616, 8, 2142},
	{42049, 226688, 5, 2182},
	{42073, 226692, 4, 2187},
	{42098, 226696, 3, 2312},
	{42122, 226700, 2, 2315},
	{42148, 226704, 2, 2315},
	{42174, 226816, 5, 2111},
	{42200, 226820, 4, 2116},
	{42227, 226824, 5, 2111},
	{42253, 226828, 5, 2111},
	{42279, 226832, 5, 2111},
	{42305, 226836, 1, 2023},
	{42331, 226840, 1, 2023},
	{42357, 226844, 1, 2023},
	{42383, 226848, 1, 2023},
	{42409, 226880, 4, 2116},
	{42436, 226884, 4, 2116},
	{42463, 226888, 4, 2116},
	{42490, 227072, 5, 2111},
	{42515, 227076, 4, 2105},
	{42541, 227080, 3, 2167},
	{42566, 227084, 3, 2167},
	{42591, 227088, 3, 2167},
	{42616, 227200, 5, 2111},
	{42640, 227204, 4, 2105},
	{42665, 227208, 3, 2167},
	{42689, 227212, 3, 2167},
	{42713, 227216, 3, 2167},
	{42737, 227328, 5, 2111},
	{42761, 227332, 4, 2116},
	{42786, 227336, 8, 2142},
	{195, 880, 4, 2317},
	{42808, 881},
	{26631, 882},
	{42820, 1008},
	{42831, 1009},
	{26819, 1010, 3, 2321},
	{42842, 1040, 1, 2324},
	{42855, 1041, 5, 2325},
	{42868, 1042, 1, 2330},
	{42881, 1043, 1, 1810},
	{26653, 1045, 7, 2331},
	{42894, 1168, 12, 2338},
	{42909, 1280, 6, 2350},
	{42924, 1281},
	{26590, 1282},
	{42808, 1283},
	{26631, 1284},
	{42936, 1414, 15, 2356},
};

static const struct si_reg gfx103_reg_table[] = {
	{42945, 40, 1, 2371},
	{42960, 44, 1, 2371},
	{974, 1028, 8, 0},
	{987, 1032, 20, 10},
	{1002, 1036, 10, 2372},
	{1018, 1040, 12, 40},
	{1039, 1044, 4, 52},
	{1057, 1048, 3, 56},
	{1075, 1052, 8, 2382},
	{1090, 1056, 1, 70},
	{1104, 1060, 1, 71},
	{1118, 1064, 1, 72},
	{1135, 1076, 2, 80},
	{1151, 1080, 1, 82},
	{1546, 1104, 1, 109},
	{1570, 1108, 1, 109},
	{1168, 1116, 5, 83},
	{1183, 1120, 6, 88},
	{1198, 1124, 2, 95},
	{1218, 1128, 1, 97},
	{1237, 1132, 4, 98},
	{1257, 1136, 5, 102},
	{42983, 1140, 1, 2390},
	{1273, 2480, 1, 109},
	{1287, 2484, 1, 109},
	{1301, 2488, 1, 109},
	{1315, 2492, 1, 109},
	{1329, 2496, 1, 109},
	{1343, 2500, 1, 109},
	{1357, 2504, 1, 109},
	{1371, 2508, 1, 109},
	{1385, 2512, 1, 109},
	{1399, 2516, 1, 109},
	{1413, 2520, 1, 109},
	{1428, 2524, 1, 109},
	{1443, 2528, 1, 109},
	{1458, 2532, 1, 109},
	{1473, 2536, 1, 109},
	{1488, 2540, 1, 109},
	{1503, 2544, 1, 110},
	{1514, 2552, 1, 111},
	{1530, 2556, 1, 112},
	{1618, 32776, 29, 2391},
	{1631, 32784, 20, 2420},
	{1643, 32788, 14, 162},
	{1659, 32792, 14, 162},
	{1675, 32796, 15, 176},
	{1688, 32824, 14, 162},
	{1704, 32828, 14, 162},
	{1720, 33296, 21, 191},
	{1734, 33300, 28, 212},
	{1751, 33304, 15, 240},
	{1772, 33308, 28, 255},
	{1786, 33312, 32, 283},
	{1803, 33316, 13, 315},
	{1824, 33320, 9, 328},
	{1842, 33324, 1, 337},
	{43005, 33328, 1, 2440},
	{1865, 33344, 2, 338},
	{1886, 33348, 1, 340},
	{1906, 33352, 1, 341},
	{1929, 33356, 9, 342},
	{1947, 33436, 1, 351},
	{1970, 36096, 1, 352},
	{1996, 36100, 2, 353},
	{2022, 36104, 1, 352},
	{2048, 36108, 2, 353},
	{2074, 36112, 2, 355},
	{2095, 36116, 4, 357},
	{2116, 36120, 6, 2441},
	{2143, 36124, 20, 2447},
	{2164, 36128, 7, 2467},
	{2187, 36132, 1, 388},
	{2216, 36140, 1, 388},
	{2246, 36144, 1, 388},
	{2278, 36148, 1, 388},
	{2309, 36152, 1, 388},
	{43032, 36156, 3, 2474},
	{2342, 36348, 5, 389},
	{2351, 36608, 1, 394},
	{2369, 36612, 4, 395},
	{2387, 36616, 1, 399},
	{2405, 36620, 11, 2477},
	{2423, 36656, 14, 410},
	{2441, 36660, 4, 424},
	{2459, 36664, 12, 428},
	{2477, 36668, 2, 440},
	{2495, 37168, 9, 2488},
	{2511, 39160, 6, 2497},
	{3306, 40960},
	{3324, 40964, 4, 465},
	{3342, 40968, 3, 469},
	{3360, 40972, 9, 472},
	{3378, 40976, 3, 2503},
	{3396, 40980, 8, 2506},
	{3414, 40984, 11, 2514},
	{3432, 40988},
	{3450, 45060, 1, 500},
	{3474, 45080, 1, 501},
	{3499, 45084, 3, 502},
	{3523, 45088, 1, 505},
	{3544, 45092, 1, 506},
	{3565, 45096, 12, 2525},
	{3589, 45100, 10, 518},
	{3613, 45104, 1, 109},
	{3639, 45108, 1, 109},
	{3665, 45112, 1, 109},
	{3691, 45116, 1, 109},
	{3717, 45120, 1, 109},
	{3743, 45124, 1, 109},
	{3769, 45128, 1, 109},
	{3795, 45132, 1, 109},
	{3821, 45136, 1, 109},
	{3847, 45140, 1, 109},
	{3873, 45144, 1, 109},
	{3900, 45148, 1, 109},
	{3927, 45152, 1, 109},
	{3954, 45156, 1, 109},
	{3981, 45160, 1, 109},
	{4008, 45164, 1, 109},
	{4035, 45168, 1, 109},
	{4062, 45172, 1, 109},
	{4089, 45176, 1, 109},
	{4116, 45180, 1, 109},
	{4143, 45184, 1, 109},
	{4170, 45188, 1, 109},
	{4197, 45192, 1, 109},
	{4224, 45196, 1, 109},
	{4251, 45200, 1, 109},
	{4278, 45204, 1, 109},
	{4305, 45208, 1, 109},
	{4332, 45212, 1, 109},
	{4359, 45216, 1, 109},
	{4386, 45220, 1, 109},
	{4413, 45224, 1, 109},
	{4440, 45228, 1, 109},
	{4467, 45248, 8, 528},
	{4523, 45256, 1, 541},
	{4550, 45260, 1, 541},
	{4577, 45264, 1, 541},
	{4604, 45268, 1, 541},
	{4631, 45316, 1, 500},
	{4655, 45332, 1, 501},
	{4680, 45336, 3, 502},
	{4704, 45340, 1, 542},
	{4729, 45344, 1, 505},
	{4750, 45348, 1, 506},
	{4771, 45352, 12, 543},
	{4795, 45356, 14, 555},
	{4819, 45360, 1, 109},
	{4845, 45364, 1, 109},
	{4871, 45368, 1, 109},
	{4897, 45372, 1, 109},
	{4923, 45376, 1, 109},
	{4949, 45380, 1, 109},
	{4975, 45384, 1, 109},
	{5001, 45388, 1, 109},
	{5027, 45392, 1, 109},
	{5053, 45396, 1, 109},
	{5079, 45400, 1, 109},
	{5106, 45404, 1, 109},
	{5133, 45408, 1, 109},
	{5160, 45412, 1, 109},
	{5187, 45416, 1, 109},
	{5214, 45420, 1, 109},
	{5241, 45424, 1, 109},
	{5268, 45428, 1, 109},
	{5295, 45432, 1, 109},
	{5322, 45436, 1, 109},
	{5349, 45440, 1, 109},
	{5376, 45444, 1, 109},
	{5403, 45448, 1, 109},
	{5430, 45452, 1, 109},
	{5457, 45456, 1, 109},
	{5484, 45460, 1, 109},
	{5511, 45464, 1, 109},
	{5538, 45468, 1, 109},
	{5565, 45472, 1, 109},
	{5592, 45476, 1, 109},
	{5619, 45480, 1, 109},
	{5646, 45484, 1, 109},
	{5673, 45504, 8, 528},
	{5729, 45512, 1, 541},
	{5756, 45516, 1, 541},
	{5783, 45520, 1, 541},
	{5810, 45524, 1, 541},
	{5837, 45548, 9, 569},
	{5918, 45568, 1, 501},
	{5943, 45572, 2, 589},
	{5967, 45576, 1, 505},
	{5999, 45580, 1, 505},
	{6031, 45584, 1, 505},
	{6055, 45588, 1, 506},
	{6079, 45596, 4, 591},
	{6103, 45600, 1, 505},
	{6124, 45604, 1, 506},
	{6145, 45608, 13, 595},
	{6169, 45612, 9, 608},
	{6193, 45616, 1, 109},
	{6219, 45620, 1, 109},
	{6245, 45624, 1, 109},
	{6271, 45628, 1, 109},
	{6297, 45632, 1, 109},
	{6323, 45636, 1, 109},
	{6349, 45640, 1, 109},
	{6375, 45644, 1, 109},
	{6401, 45648, 1, 109},
	{6427, 45652, 1, 109},
	{6453, 45656, 1, 109},
	{6480, 45660, 1, 109},
	{6507, 45664, 1, 109},
	{6534, 45668, 1, 109},
	{6561, 45672, 1, 109},
	{6588, 45676, 1, 109},
	{6615, 45680, 1, 109},
	{6642, 45684, 1, 109},
	{6669, 45688, 1, 109},
	{6696, 45692, 1, 109},
	{6723, 45696, 1, 109},
	{6750, 45700, 1, 109},
	{6777, 45704, 1, 109},
	{6804, 45708, 1, 109},
	{6831, 45712, 1, 109},
	{6858, 45716, 1, 109},
	{6885, 45720, 1, 109},
	{6912, 45724, 1, 109},
	{6939, 45728, 1, 109},
	{6966, 45732, 1, 109},
	{6993, 45736, 1, 109},
	{7020, 45740, 1, 109},
	{7047, 45760, 8, 528},
	{7107, 45768, 1, 541},
	{7136, 45772, 1, 541},
	{7165, 45776, 1, 541},
	{7194, 45780, 1, 541},
	{7274, 45856, 1, 505},
	{7295, 45860, 1, 506},
	{7813, 46080, 1, 501},
	{7838, 46084, 1, 500},
	{7862, 46088, 1, 505},
	{7894, 46092, 1, 505},
	{7926, 46096, 1, 505},
	{7950, 46100, 1, 506},
	{7974, 46108, 4, 627},
	{7998, 46112, 1, 505},
	{8019, 46116, 1, 506},
	{8040, 46120, 12, 631},
	{8064, 46124, 9, 643},
	{8088, 46128, 1, 109},
	{8114, 46132, 1, 109},
	{8140, 46136, 1, 109},
	{8166, 46140, 1, 109},
	{8192, 46144, 1, 109},
	{8218, 46148, 1, 109},
	{8244, 46152, 1, 109},
	{8270, 46156, 1, 109},
	{8296, 46160, 1, 109},
	{8322, 46164, 1, 109},
	{8348, 46168, 1, 109},
	{8375, 46172, 1, 109},
	{8402, 46176, 1, 109},
	{8429, 46180, 1, 109},
	{8456, 46184, 1, 109},
	{8483, 46188, 1, 109},
	{8510, 46192, 1, 109},
	{8537, 46196, 1, 109},
	{8564, 46200, 1, 109},
	{8591, 46204, 1, 109},
	{8618, 46208, 1, 109},
	{8645, 46212, 1, 109},
	{8672, 46216, 1, 109},
	{8699, 46220, 1, 109},
	{8726, 46224, 1, 109},
	{8753, 46228, 1, 109},
	{8780, 46232, 1, 109},
	{8807, 46236, 1, 109},
	{8834, 46240, 1, 109},
	{8861, 46244, 1, 109},
	{8888, 46248, 1, 109},
	{8915, 46252, 1, 109},
	{8942, 46272, 8, 528},
	{9002, 46280, 1, 541},
	{9031, 46284, 1, 541},
	{9060, 46288, 1, 541},
	{9089, 46292, 1, 541},
	{9169, 46368, 1, 505},
	{9190, 46372, 1, 506},
	{9681, 47104, 13, 661},
	{9708, 47108, 1, 674},
	{9722, 47112, 1, 674},
	{9736, 47116, 1, 674},
	{9750, 47120, 1, 675},
	{9766, 47124, 1, 675},
	{9782, 47128, 1, 675},
	{9798, 47132, 2, 676},
	{9819, 47136, 2, 676},
	{9840, 47140, 2, 676},
	{9861, 47144, 1, 678},
	{9889, 47148, 1, 679},
	{9914, 47152, 1, 109},
	{9929, 47156, 1, 680},
	{9944, 47160, 1, 109},
	{9973, 47164, 1, 680},
	{10002, 47168, 1, 109},
	{10035, 47172, 1, 680},
	{10068, 47176, 12, 681},
	{10086, 47180, 11, 693},
	{10104, 47184, 1, 704},
	{10117, 47188, 6, 705},
	{10141, 47192, 1, 711},
	{10168, 47196, 1, 711},
	{10195, 47200, 2, 712},
	{10216, 47204, 1, 711},
	{10243, 47208, 1, 711},
	{10270, 47212, 1, 714},
	{10288, 47216, 1, 714},
	{10306, 47220, 1, 714},
	{10324, 47224, 1, 715},
	{10352, 47228, 5, 716},
	{10374, 47232, 1, 721},
	{10394, 47236, 1, 722},
	{10417, 47240, 9, 723},
	{10434, 47248, 1, 541},
	{10455, 47252, 1, 541},
	{10476, 47256, 1, 541},
	{10497, 47260, 1, 541},
	{10518, 47264, 1, 732},
	{10536, 47268, 1, 733},
	{10555, 47272, 1, 501},
	{10577, 47276, 3, 734},
	{10594, 47280, 1, 737},
	{10623, 47284, 1, 738},
	{10652, 47288, 3, 734},
	{10670, 47360, 1, 109},
	{10690, 47364, 1, 109},
	{10710, 47368, 1, 109},
	{10730, 47372, 1, 109},
	{10750, 47376, 1, 109},
	{10770, 47380, 1, 109},
	{10790, 47384, 1, 109},
	{10810, 47388, 1, 109},
	{10830, 47392, 1, 109},
	{10850, 47396, 1, 109},
	{10870, 47400, 1, 109},
	{10891, 47404, 1, 109},
	{10912, 47408, 1, 109},
	{10933, 47412, 1, 109},
	{10954, 47416, 1, 109},
	{10975, 47420, 1, 109},
	{10996, 47604, 2, 739},
	{11020, 47608, 1, 109},
	{11041, 47612, 1, 109},
	{43056, 47616, 1, 109},
	{43073, 47620, 1, 109},
	{11057, 163840, 11, 2537},
	{11075, 163844, 11, 751},
	{11092, 163848, 7, 762},
	{11106, 163852, 23, 769},
	{11125, 163856, 18, 2548},
	{11145, 163860, 1, 808},
	{11164, 163868, 2, 809},
	{11181, 163872, 1, 811},
	{11201, 163876, 1, 812},
	{11221, 163880, 1, 813},
	{11238, 163884, 1, 814},
	{11253, 163888, 2, 815},
	{11277, 163892, 2, 817},
	{11301, 163896, 3, 819},
	{11317, 163900, 8, 822},
	{11335, 163904, 14, 830},
	{11345, 163908, 9, 844},
	{11361, 163912, 1, 808},
	{11376, 163916, 1, 808},
	{11397, 163920, 1, 808},
	{11413, 163924, 1, 808},
	{11435, 163928, 2, 853},
	{11453, 163932, 1, 855},
	{43090, 163940, 3, 2566},
	{11471, 163944, 1, 856},
	{11489, 163948, 1, 856},
	{11513, 163952, 1, 856},
	{11532, 163956, 1, 856},
	{11557, 163960, 1, 856},
	{11579, 163964, 13, 2569},
	{11603, 163968, 1, 866},
	{11619, 163972, 1, 867},
	{11638, 164328, 1, 868},
	{11659, 164332, 1, 868},
	{11680, 164336, 1, 868},
	{11701, 164340, 1, 868},
	{11722, 164344, 1, 869},
	{11740, 164348, 1, 869},
	{11758, 164352, 2, 870},
	{11778, 164356, 3, 872},
	{11802, 164360, 2, 875},
	{11826, 164364, 1, 877},
	{11846, 164368, 2, 872},
	{11866, 164372, 2, 875},
	{11886, 164376, 2, 872},
	{11906, 164380, 2, 875},
	{11926, 164384, 2, 872},
	{11946, 164388, 2, 875},
	{11966, 164392, 2, 872},
	{11986, 164396, 2, 875},
	{12006, 164400, 7, 878},
	{12021, 164404, 2, 885},
	{12050, 164408, 8, 887},
	{12065, 164412, 8, 895},
	{12080, 164416, 3, 872},
	{12105, 164420, 2, 875},
	{12130, 164424, 1, 869},
	{12148, 164428, 1, 869},
	{12166, 164432, 3, 872},
	{12191, 164436, 2, 875},
	{12216, 164440, 3, 872},
	{12241, 164444, 2, 875},
	{12266, 164448, 3, 872},
	{12291, 164452, 2, 875},
	{12316, 164456, 3, 872},
	{12341, 164460, 2, 875},
	{12366, 164464, 3, 872},
	{12391, 164468, 2, 875},
	{12416, 164472, 3, 872},
	{12441, 164476, 2, 875},
	{12466, 164480, 3, 872},
	{12491, 164484, 2, 875},
	{12516, 164488, 3, 872},
	{12541, 164492, 2, 875},
	{12566, 164496, 3, 872},
	{12591, 164500, 2, 875},
	{12616, 164504, 3, 872},
	{12641, 164508, 2, 875},
	{12666, 164512, 3, 872},
	{12692, 164516, 2, 875},
	{12718, 164520, 3, 872},
	{12744, 164524, 2, 875},
	{12770, 164528, 3, 872},
	{12796, 164532, 2, 875},
	{12822, 164536, 3, 872},
	{12848, 164540, 2, 875},
	{12874, 164544, 3, 872},
	{12900, 164548, 2, 875},
	{12926, 164552, 3, 872},
	{12952, 164556, 2, 875},
	{12978, 164560, 1, 903},
	{12997, 164564, 1, 904},
	{13016, 164568, 1, 903},
	{13035, 164572, 1, 904},
	{13054, 164576, 1, 903},
	{13073, 164580, 1, 904},
	{13092, 164584, 1, 903},
	{13111, 164588, 1, 904},
	{13130, 164592, 1, 903},
	{13149, 164596, 1, 904},
	{13168, 164600, 1, 903},
	{13187, 164604, 1, 904},
	{13206, 164608, 1, 903},
	{13225, 164612, 1, 904},
	{13244, 164616, 1, 903},
	{13263, 164620, 1, 904},
	{13282, 164624, 1, 903},
	{13301, 164628, 1, 904},
	{13320, 164632, 1, 903},
	{13339, 164636, 1, 904},
	{13358, 164640, 1, 903},
	{13378, 164644, 1, 904},
	{13398, 164648, 1, 903},
	{13418, 164652, 1, 904},
	{13438, 164656, 1, 903},
	{13458, 164660, 1, 904},
	{13478, 164664, 1, 903},
	{13498, 164668, 1, 904},
	{13518, 164672, 1, 903},
	{13538, 164676, 1, 904},
	{13558, 164680, 1, 903},
	{13578, 164684, 1, 904},
	{13598, 164688, 15, 905},
	{13618, 164692, 3, 920},
	{13640, 164696, 2, 923},
	{13668, 164700, 6, 2582},
	{13697, 164704, 1, 932},
	{13718, 164708, 1, 933},
	{13728, 164712, 1, 934},
	{43111, 164716, 1, 109},
	{43133, 164720, 1, 109},
	{13796, 164864, 1, 943},
	{13813, 164868, 1, 944},
	{13830, 164872, 1, 945},
	{13846, 164876, 1, 946},
	{13875, 164880, 14, 2588},
	{13900, 164884, 1, 957},
	{13913, 164888, 1, 958},
	{13928, 164892, 1, 959},
	{13942, 164896, 1, 960},
	{13957, 164900, 8, 961},
	{13972, 164904, 4, 969},
	{13996, 164908, 6, 973},
	{14015, 164912, 4, 979},
	{14033, 164916, 4, 983},
	{14054, 164924, 1, 987},
	{14073, 164928, 1, 988},
	{14093, 164932, 1, 989},
	{14112, 164936, 1, 990},
	{14132, 164940, 1, 991},
	{14151, 164944, 1, 992},
	{14171, 164948, 1, 987},
	{14192, 164952, 1, 988},
	{14214, 164956, 1, 989},
	{14235, 164960, 1, 990},
	{14257, 164964, 1, 991},
	{14278, 164968, 1, 992},
	{14300, 164972, 1, 987},
	{14321, 164976, 1, 988},
	{14343, 164980, 1, 989},
	{14364, 164984, 1, 990},
	{14386, 164988, 1, 991},
	{14407, 164992, 1, 992},
	{14429, 164996, 1, 987},
	{14450, 165000, 1, 988},
	{14472, 165004, 1, 989},
	{14493, 165008, 1, 990},
	{14515, 165012, 1, 991},
	{14536, 165016, 1, 992},
	{14558, 165020, 1, 987},
	{14579, 165024, 1, 988},
	{14601, 165028, 1, 989},
	{14622, 165032, 1, 990},
	{14644, 165036, 1, 991},
	{14665, 165040, 1, 992},
	{14687, 165044, 1, 987},
	{14708, 165048, 1, 988},
	{14730, 165052, 1, 989},
	{14751, 165056, 1, 990},
	{14773, 165060, 1, 991},
	{14794, 165064, 1, 992},
	{14816, 165068, 1, 987},
	{14837, 165072, 1, 988},
	{14859, 165076, 1, 989},
	{14880, 165080, 1, 990},
	{14902, 165084, 1, 991},
	{14923, 165088, 1, 992},
	{14945, 165092, 1, 987},
	{14966, 165096, 1, 988},
	{14988, 165100, 1, 989},
	{15009, 165104, 1, 990},
	{15031, 165108, 1, 991},
	{15052, 165112, 1, 992},
	{15074, 165116, 1, 987},
	{15095, 165120, 1, 988},
	{15117, 165124, 1, 989},
	{15138, 165128, 1, 990},
	{15160, 165132, 1, 991},
	{15181, 165136, 1, 992},
	{15203, 165140, 1, 987},
	{15224, 165144, 1, 988},
	{15246, 165148, 1, 989},
	{15267, 165152, 1, 990},
	{15289, 165156, 1, 991},
	{15310, 165160, 1, 992},
	{15332, 165164, 1, 987},
	{15354, 165168, 1, 988},
	{15377, 165172, 1, 989},
	{15399, 165176, 1, 990},
	{15422, 165180, 1, 991},
	{15444, 165184, 1, 992},
	{15467, 165188, 1, 987},
	{15489, 165192, 1, 988},
	{15512, 165196, 1, 989},
	{15534, 165200, 1, 990},
	{15557, 165204, 1, 991},
	{15579, 165208, 1, 992},
	{15602, 165212, 1, 987},
	{15624, 165216, 1, 988},
	{15647, 165220, 1, 989},
	{15669, 165224, 1, 990},
	{15692, 165228, 1, 991},
	{15714, 165232, 1, 992},
	{15737, 165236, 1, 987},
	{15759, 165240, 1, 988},
	{15782, 165244, 1, 989},
	{15804, 165248, 1, 990},
	{15827, 165252, 1, 991},
	{15849, 165256, 1, 992},
	{15872, 165260, 1, 987},
	{15894, 165264, 1, 988},
	{15917, 165268, 1, 989},
	{15939, 165272, 1, 990},
	{15962, 165276, 1, 991},
	{15984, 165280, 1, 992},
	{16007, 165284, 1, 987},
	{16029, 165288, 1, 988},
	{16052, 165292, 1, 989},
	{16074, 165296, 1, 990},
	{16097, 165300, 1, 991},
	{16119, 165304, 1, 992},
	{16142, 165308, 1, 993},
	{16156, 165312, 1, 993},
	{16170, 165316, 1, 993},
	{16184, 165320, 1, 993},
	{16198, 165324, 1, 993},
	{16212, 165328, 1, 993},
	{16226, 165332, 1, 993},
	{16240, 165336, 1, 993},
	{16254, 165340, 1, 993},
	{16268, 165344, 1, 993},
	{16282, 165348, 1, 993},
	{16296, 165352, 1, 993},
	{16310, 165356, 1, 993},
	{16324, 165360, 1, 993},
	{16338, 165364, 1, 993},
	{16352, 165368, 1, 993},
	{16366, 165372, 1, 993},
	{16380, 165376, 1, 993},
	{16394, 165380, 1, 993},
	{16408, 165384, 1, 993},
	{16422, 165388, 1, 993},
	{16436, 165392, 1, 993},
	{16450, 165396, 1, 993},
	{16464, 165400, 1, 993},
	{16478, 165404, 1, 993},
	{16501, 165444, 13, 2602},
	{16521, 165448, 13, 2602},
	{16541, 165452, 13, 2602},
	{16561, 165456, 13, 2602},
	{16581, 165460, 13, 2602},
	{16601, 165464, 13, 2602},
	{16621, 165468, 13, 2602},
	{16641, 165472, 13, 2602},
	{16661, 165476, 13, 2602},
	{16681, 165480, 13, 2602},
	{16701, 165484, 13, 2602},
	{16722, 165488, 13, 2602},
	{16743, 165492, 13, 2602},
	{16764, 165496, 13, 2602},
	{16785, 165500, 13, 2602},
	{16806, 165504, 13, 2602},
	{16827, 165508, 13, 2602},
	{16848, 165512, 13, 2602},
	{16869, 165516, 13, 2602},
	{16890, 165520, 13, 2602},
	{16911, 165524, 10, 2615},
	{16932, 165528, 10, 2615},
	{16953, 165532, 10, 2615},
	{16974, 165536, 10, 2615},
	{16995, 165540, 10, 2615},
	{17016, 165544, 10, 2615},
	{17037, 165548, 10, 2615},
	{17058, 165552, 10, 2615},
	{17079, 165556, 10, 2615},
	{17100, 165560, 10, 2615},
	{17121, 165564, 10, 2615},
	{17142, 165568, 10, 2615},
	{17163, 165572, 4, 2625},
	{17181, 165580, 16, 1018},
	{17198, 165584, 16, 1018},
	{17216, 165588, 7, 1034},
	{17237, 165592, 6, 2629},
	{17255, 165600, 7, 1047},
	{17270, 165608, 2, 712},
	{17287, 165640, 1, 1054},
	{17309, 165644, 5, 1055},
	{17331, 165648, 1, 1060},
	{17351, 165652, 8, 1061},
	{43155, 165712, 8, 2635},
	{17373, 165716, 8, 2643},
	{17391, 165720, 8, 1077},
	{17412, 165724, 17, 1085},
	{17433, 165728, 6, 1102},
	{17451, 165732, 6, 1102},
	{17469, 165736, 6, 1102},
	{17487, 165740, 6, 1102},
	{17505, 165744, 6, 1102},
	{17523, 165748, 6, 1102},
	{17541, 165752, 6, 1102},
	{17559, 165756, 6, 1102},
	{17577, 165760, 9, 1108},
	{17595, 165764, 9, 1108},
	{17613, 165768, 9, 1108},
	{17631, 165772, 9, 1108},
	{17649, 165776, 9, 1108},
	{17667, 165780, 9, 1108},
	{17685, 165784, 9, 1108},
	{17703, 165788, 9, 1108},
	{17721, 165836, 1, 1117},
	{17735, 165840, 1, 1117},
	{17750, 165844, 1, 993},
	{17768, 165848, 1, 993},
	{17786, 165852, 1, 993},
	{17803, 165856, 1, 993},
	{17824, 165860, 1, 1118},
	{17840, 165864, 1, 1119},
	{17853, 165872, 6, 2651},
	{17872, 165876, 1, 109},
	{17887, 165880, 1, 1128},
	{17909, 165884, 1, 1129},
	{17936, 165888, 10, 1130},
	{17953, 165892, 12, 1140},
	{17961, 165896, 5, 2657},
	{17978, 165900, 17, 1156},
	{17996, 165904, 20, 1173},
	{18012, 165908, 16, 1193},
	{18031, 165912, 10, 1209},
	{18046, 165916, 30, 2662},
	{18064, 165920, 16, 1247},
	{18082, 165924, 4, 1263},
	{18106, 165928, 1, 1267},
	{18131, 165932, 11, 1268},
	{18154, 165936, 5, 1279},
	{18205, 165944, 3, 2692},
	{18220, 165948, 5, 1290},
	{18250, 165952, 5, 1295},
	{18265, 165956, 1, 1300},
	{43181, 165960, 6, 2695},
	{18283, 166400, 2, 1301},
	{18300, 166404, 2, 1303},
	{18319, 166408, 1, 1305},
	{18335, 166412, 4, 1306},
	{18354, 166416, 1, 1310},
	{18375, 166420, 1, 1311},
	{18388, 166424, 1, 1312},
	{18411, 166428, 1, 1313},
	{18434, 166432, 1, 1314},
	{18454, 166436, 4, 1315},
	{18474, 166440, 1, 1319},
	{18495, 166444, 1, 1320},
	{18510, 166448, 6, 1321},
	{18532, 166452, 6, 1321},
	{18554, 166456, 8, 1327},
	{18580, 166460, 8, 1327},
	{18606, 166464, 15, 1335},
	{18618, 166468, 3, 1350},
	{18637, 166472, 6, 2701},
	{18655, 166476, 24, 1360},
	{18673, 166480, 1, 1384},
	{18685, 166484, 1, 1385},
	{18699, 166488, 1, 1386},
	{18713, 166492, 1, 1387},
	{18727, 166496, 1, 1388},
	{18750, 166500, 1, 1388},
	{18773, 166504, 1, 1388},
	{18796, 166508, 5, 1389},
	{18817, 166512, 1, 1384},
	{18828, 166516, 1, 1394},
	{18841, 166520, 1, 1395},
	{18858, 166524, 9, 2707},
	{18877, 166528, 1, 1384},
	{18888, 166532, 3, 1404},
	{18907, 166536, 1, 1407},
	{18929, 166540, 1, 1408},
	{18951, 166544, 3, 1409},
	{18971, 166548, 2, 1412},
	{18998, 166552, 4, 2716},
	{19020, 166560, 1, 1419},
	{19045, 166564, 1, 1419},
	{19070, 166568, 6, 1420},
	{19089, 166572, 1, 1426},
	{19112, 166576, 1, 1426},
	{19135, 166580, 1, 1427},
	{19149, 166584, 1, 1428},
	{19164, 166588, 10, 2720},
	{19181, 166592, 4, 1438},
	{19208, 166596, 4, 1442},
	{19235, 166600, 4, 1446},
	{19254, 166608, 1, 674},
	{19280, 166612, 1, 1450},
	{19305, 166620, 1, 1451},
	{19333, 166624, 1, 674},
	{19359, 166628, 1, 1450},
	{19384, 166636, 1, 1451},
	{19412, 166640, 1, 674},
	{19438, 166644, 1, 1450},
	{19463, 166652, 1, 1451},
	{19491, 166656, 1, 674},
	{19517, 166660, 1, 1450},
	{19542, 166668, 1, 1451},
	{19570, 166696, 1, 1451},
	{19601, 166700, 1, 674},
	{19644, 166704, 1, 1452},
	{19682, 166712, 1, 1453},
	{19702, 166732, 2, 1454},
	{19721, 166736, 5, 1456},
	{19743, 166740, 20, 2730},
	{19764, 166744, 3, 1480},
	{19781, 166748, 1, 1426},
	{19802, 166752, 1, 1426},
	{19825, 166756, 1, 1426},
	{19848, 166760, 1, 1426},
	{19871, 166764, 12, 1483},
	{19884, 166768, 6, 1495},
	{19901, 166772, 1, 1501},
	{19925, 166776, 2, 1502},
	{19955, 166780, 1, 1504},
	{19979, 166784, 1, 1505},
	{20009, 166788, 1, 1451},
	{20040, 166792, 1, 1505},
	{20069, 166796, 1, 1451},
	{20099, 166800, 3, 1506},
	{20119, 166804, 8, 1509},
	{20138, 166808, 4, 1517},
	{20164, 166812, 3, 1409},
	{20188, 166868, 8, 1521},
	{20214, 166872, 8, 1529},
	{20240, 166876, 5, 1537},
	{20256, 166880, 8, 2750},
	{20272, 166884, 3, 1548},
	{20287, 166888, 1, 993},
	{20310, 166892, 1, 993},
	{20333, 166896, 1, 993},
	{20356, 166900, 1, 993},
	{20379, 166904, 8, 1551},
	{20413, 166908, 8, 1559},
	{20447, 166912, 8, 1567},
	{20481, 166916, 8, 1575},
	{20515, 166920, 8, 1551},
	{20549, 166924, 8, 1559},
	{20583, 166928, 8, 1567},
	{20617, 166932, 8, 1575},
	{20651, 166936, 8, 1551},
	{20685, 166940, 8, 1559},
	{20719, 166944, 8, 1567},
	{20753, 166948, 8, 1575},
	{20787, 166952, 8, 1551},
	{20821, 166956, 8, 1559},
	{20855, 166960, 8, 1567},
	{20889, 166964, 8, 1575},
	{20923, 166968, 2, 1583},
	{20947, 166972, 2, 1585},
	{20971, 166976, 4, 1587},
	{20992, 166980, 12, 1591},
	{21012, 166984, 2, 1603},
	{21032, 166988, 20, 1605},
	{21070, 166992, 2, 1625},
	{21090, 167000, 1, 1627},
	{21118, 167004, 1, 1628},
	{21139, 167008, 1, 808},
	{21154, 167012, 2, 1629},
	{21170, 167016, 1, 1631},
	{21186, 167020, 3, 1632},
	{21201, 167024, 19, 2758},
	{21216, 167028, 8, 1654},
	{21233, 167032, 14, 2777},
	{21255, 167036, 1, 808},
	{21271, 167040, 1, 1674},
	{21293, 167044, 1, 808},
	{21309, 167048, 1, 1631},
	{21331, 167052, 1, 1675},
	{21353, 167056, 1, 1676},
	{21375, 167060, 1, 808},
	{21394, 167068, 1, 808},
	{21409, 167072, 2, 1629},
	{21425, 167076, 1, 1631},
	{21441, 167080, 3, 1632},
	{21456, 167084, 19, 2758},
	{21471, 167088, 8, 1654},
	{21488, 167092, 14, 2777},
	{21510, 167096, 1, 808},
	{21526, 167100, 1, 1674},
	{21548, 167104, 1, 808},
	{21564, 167108, 1, 1631},
	{21586, 167112, 1, 1675},
	{21608, 167116, 1, 1676},
	{21630, 167120, 1, 808},
	{21649, 167128, 1, 808},
	{21664, 167132, 2, 1629},
	{21680, 167136, 1, 1631},
	{21696, 167140, 3, 1632},
	{21711, 167144, 19, 2758},
	{21726, 167148, 8, 1654},
	{21743, 167152, 14, 2777},
	{21765, 167156, 1, 808},
	{21781, 167160, 1, 1674},
	{21803, 167164, 1, 808},
	{21819, 167168, 1, 1631},
	{21841, 167172, 1, 1675},
	{21863, 167176, 1, 1676},
	{21885, 167180, 1, 808},
	{21904, 167188, 1, 808},
	{21919, 167192, 2, 1629},
	{21935, 167196, 1, 1631},
	{21951, 167200, 3, 1632},
	{21966, 167204, 19, 2758},
	{21981, 167208, 8, 1654},
	{21998, 167212, 14, 2777},
	{22020, 167216, 1, 808},
	{22036, 167220, 1, 1674},
	{22058, 167224, 1, 808},
	{22074, 167228, 1, 1631},
	{22096, 167232, 1, 1675},
	{22118, 167236, 1, 1676},
	{22140, 167240, 1, 808},
	{22159, 167248, 1, 808},
	{22174, 167252, 2, 1629},
	{22190, 167256, 1, 1631},
	{22206, 167260, 3, 1632},
	{22221, 167264, 19, 2758},
	{22236, 167268, 8, 1654},
	{22253, 167272, 14, 2777},
	{22275, 167276, 1, 808},
	{22291, 167280, 1, 1674},
	{22313, 167284, 1, 808},
	{22329, 167288, 1, 1631},
	{22351, 167292, 1, 1675},
	{22373, 167296, 1, 1676},
	{22395, 167300, 1, 808},
	{22414, 167308, 1, 808},
	{22429, 167312, 2, 1629},
	{22445, 167316, 1, 1631},
	{22461, 167320, 3, 1632},
	{22476, 167324, 19, 2758},
	{22491, 167328, 8, 1654},
	{22508, 167332, 14, 2777},
	{22530, 167336, 1, 808},
	{22546, 167340, 1, 1674},
	{22568, 167344, 1, 808},
	{22584, 167348, 1, 1631},
	{22606, 167352, 1, 1675},
	{22628, 167356, 1, 1676},
	{22650, 167360, 1, 808},
	{22669, 167368, 1, 808},
	{22684, 167372, 2, 1629},
	{22700, 167376, 1, 1631},
	{22716, 167380, 3, 1632},
	{22731, 167384, 19, 2758},
	{22746, 167388, 8, 1654},
	{22763, 167392, 14, 2777},
	{22785, 167396, 1, 808},
	{22801, 167400, 1, 1674},
	{22823, 167404, 1, 808},
	{22839, 167408, 1, 1631},
	{22861, 167412, 1, 1675},
	{22883, 167416, 1, 1676},
	{22905, 167420, 1, 808},
	{22924, 167428, 1, 808},
	{22939, 167432, 2, 1629},
	{22955, 167436, 1, 1631},
	{22971, 167440, 3, 1632},
	{22986, 167444, 19, 2758},
	{23001, 167448, 8, 1654},
	{23018, 167452, 14, 2777},
	{23040, 167456, 1, 808},
	{23056, 167460, 1, 1674},
	{23078, 167464, 1, 808},
	{23094, 167468, 1, 1631},
	{23116, 167472, 1, 1675},
	{23138, 167476, 1, 1676},
	{23160, 167480, 1, 808},
	{23179, 167488, 1, 1677},
	{23198, 167492, 1, 1677},
	{23217, 167496, 1, 1677},
	{23236, 167500, 1, 1677},
	{23255, 167504, 1, 1677},
	{23274, 167508, 1, 1677},
	{23293, 167512, 1, 1677},
	{23312, 167516, 1, 1677},
	{23331, 167520, 1, 1677},
	{23356, 167524, 1, 1677},
	{23381, 167528, 1, 1677},
	{23406, 167532, 1, 1677},
	{23431, 167536, 1, 1677},
	{23456, 167540, 1, 1677},
	{23481, 167544, 1, 1677},
	{23506, 167548, 1, 1677},
	{23531, 167552, 1, 1677},
	{23556, 167556, 1, 1677},
	{23581, 167560, 1, 1677},
	{23606, 167564, 1, 1677},
	{23631, 167568, 1, 1677},
	{23656, 167572, 1, 1677},
	{23681, 167576, 1, 1677},
	{23706, 167580, 1, 1677},
	{23731, 167584, 1, 1677},
	{23754, 167588, 1, 1677},
	{23777, 167592, 1, 1677},
	{23800, 167596, 1, 1677},
	{23823, 167600, 1, 1677},
	{23846, 167604, 1, 1677},
	{23869, 167608, 1, 1677},
	{23892, 167612, 1, 1677},
	{23915, 167616, 3, 1678},
	{23933, 167620, 3, 1678},
	{23951, 167624, 3, 1678},
	{23969, 167628, 3, 1678},
	{23987, 167632, 3, 1678},
	{24005, 167636, 3, 1678},
	{24023, 167640, 3, 1678},
	{24041, 167644, 3, 1678},
	{24059, 167648, 9, 2791},
	{24077, 167652, 9, 2791},
	{24095, 167656, 9, 2791},
	{24113, 167660, 9, 2791},
	{24131, 167664, 9, 2791},
	{24149, 167668, 9, 2791},
	{24167, 167672, 9, 2791},
	{24185, 167676, 9, 2791},
	{24203, 196608, 1, 1689},
	{24223, 196612, 1, 1690},
	{24243, 196616, 1, 1691},
	{24263, 196620, 1, 1692},
	{24283, 196624, 1, 1693},
	{24304, 196628, 1, 1694},
	{24325, 196632, 1, 1695},
	{24347, 196636, 1, 1696},
	{24369, 196640, 1, 1697},
	{24399, 196644, 1, 1698},
	{24429, 196648, 1, 1699},
	{24458, 196652, 1, 1700},
	{24487, 196656, 1, 1701},
	{24517, 196660, 1, 1702},
	{24547, 196664, 1, 1703},
	{24576, 196668, 1, 1704},
	{24605, 196672, 1, 1705},
	{24635, 196676, 1, 1706},
	{24665, 196680, 1, 1707},
	{24694, 196684, 1, 1708},
	{24723, 196688, 1, 1709},
	{24753, 196692, 1, 1710},
	{24783, 196696, 1, 1711},
	{24812, 196700, 1, 1712},
	{24841, 196704, 1, 1713},
	{24863, 196708, 1, 1714},
	{24885, 196712, 1, 1715},
	{24908, 196716, 1, 1716},
	{24931, 196720, 1, 1717},
	{24954, 196724, 1, 1718},
	{24977, 196728, 1, 1719},
	{25000, 196732, 1, 1720},
	{25023, 196736, 1, 1721},
	{25047, 196740, 1, 1722},
	{25071, 196744, 1, 1723},
	{25095, 196748, 1, 1724},
	{25119, 196752, 1, 1725},
	{25143, 196756, 1, 1726},
	{25167, 196760, 1, 1727},
	{25191, 196764, 1, 1728},
	{25215, 196768, 1, 1729},
	{25237, 196772, 1, 1730},
	{25259, 196776, 1, 1731},
	{25280, 196780, 1, 1732},
	{25301, 196784, 1, 1733},
	{25325, 196788, 1, 1734},
	{25349, 196792, 1, 1735},
	{25373, 196796, 1, 1735},
	{25397, 196800, 1, 1736},
	{25421, 196804, 1, 1737},
	{25505, 196852, 1, 1739},
	{25527, 196856, 1, 1739},
	{25549, 196860, 1, 1740},
	{25565, 196864, 1, 1741},
	{25578, 196868, 1, 1742},
	{25591, 196872, 1, 1743},
	{25604, 196876, 1, 1744},
	{25617, 196880, 1, 1745},
	{25630, 196884, 1, 1746},
	{25643, 196888, 1, 1747},
	{25656, 196892, 1, 1748},
	{43196, 196896, 5, 2800},
	{25692, 196908, 1, 680},
	{25711, 196912, 1, 109},
	{25729, 196916, 1, 1749},
	{25756, 196920, 1, 1749},
	{25783, 196928, 2, 1750},
	{25796, 196932, 1, 1752},
	{25809, 196936, 1, 1753},
	{25832, 196940, 1, 1754},
	{25855, 196944, 1, 1755},
	{25883, 196948, 1, 1756},
	{25911, 196952, 1, 1757},
	{25939, 196956, 1, 1758},
	{25967, 196960, 1, 1759},
	{25985, 196964, 4, 1760},
	{26003, 196968, 1, 109},
	{26018, 196972, 1, 1749},
	{26042, 196976, 1, 1749},
	{26066, 196980, 1, 1753},
	{26085, 196984, 1, 1754},
	{26104, 196988, 1, 1755},
	{26128, 196992, 1, 1756},
	{26152, 196996, 1, 1757},
	{26176, 197000, 1, 1758},
	{26200, 197028, 1, 1764},
	{26218, 197032, 2, 1765},
	{26236, 197036, 1, 1767},
	{26254, 197040, 1, 1768},
	{26272, 197044, 1, 1769},
	{26290, 197048, 2, 1770},
	{26308, 197052, 1, 1772},
	{26326, 197056, 2, 2805},
	{26345, 197060, 5, 1775},
	{26364, 197072, 1, 1780},
	{26388, 197076, 2, 2805},
	{26408, 197080, 5, 1775},
	{26428, 197084, 7, 1781},
	{26447, 197088, 7, 1781},
	{26465, 197092, 1, 1788},
	{26482, 197100, 1, 1789},
	{26503, 197104, 13, 1790},
	{26517, 197108, 1, 1803},
	{26531, 197112, 1, 1804},
	{26545, 197116, 2, 1805},
	{26561, 197120, 1, 1807},
	{26580, 197124, 1, 1808},
	{26602, 197128, 1, 1809},
	{26621, 197132, 1, 1810},
	{26643, 197136, 7, 1811},
	{26661, 197140, 1, 1807},
	{26681, 197144, 1, 1808},
	{26704, 197148, 1, 1809},
	{26724, 197152, 1, 1810},
	{26747, 197156, 7, 1811},
	{26766, 197160, 7, 1818},
	{26778, 197164, 2, 1825},
	{26795, 197168, 1, 1827},
	{26812, 197172, 1, 1828},
	{26830, 197176, 5, 2807},
	{26850, 197180, 2, 338},
	{26867, 197184, 1, 340},
	{26883, 197188, 1, 1835},
	{26910, 197196, 1, 1837},
	{26966, 197208, 1, 1840},
	{26988, 197212, 1, 1841},
	{27008, 197216, 1, 1836},
	{27025, 197220, 1, 1837},
	{27042, 197224, 1, 1842},
	{27056, 197232, 2, 1843},
	{27078, 197236, 2, 1845},
	{27100, 197240, 2, 1843},
	{27123, 197244, 2, 1845},
	{27146, 197248, 2, 1843},
	{27168, 197252, 2, 1845},
	{43215, 197256, 1, 109},
	{43237, 197260, 1, 109},
	{43259, 197280, 1, 1753},
	{43281, 197284, 1, 1754},
	{43303, 197288, 1, 1755},
	{43330, 197292, 1, 1756},
	{43357, 197296, 1, 1757},
	{43384, 197300, 1, 1758},
	{27190, 197364, 1, 1847},
	{27211, 197368, 1, 1848},
	{27231, 197372, 1, 1849},
	{27268, 197380, 1, 1849},
	{27285, 197384, 1, 1850},
	{27301, 197388, 1, 1851},
	{27320, 197392, 1, 1852},
	{27339, 197396, 1, 1853},
	{27356, 197400, 1, 1854},
	{27374, 197404, 1, 1855},
	{27392, 197408, 1, 1856},
	{27408, 197412, 1, 1857},
	{27426, 197416, 1, 1858},
	{27444, 197420, 1, 1859},
	{27503, 197436, 1, 1857},
	{27518, 197440, 1, 1858},
	{27533, 197444, 1, 1859},
	{27546, 197448, 1, 1860},
	{27560, 197452, 1, 1861},
	{27574, 197456, 1, 1862},
	{27586, 197460, 4, 1863},
	{27609, 197464, 5, 2812},
	{27631, 197468, 1, 1870},
	{27651, 197472, 1, 1871},
	{27665, 197476, 1, 1872},
	{27679, 197480, 1, 1873},
	{27691, 197484, 1, 1874},
	{27707, 197488, 1, 1871},
	{27724, 197492, 1, 1872},
	{27741, 197496, 1, 1873},
	{27756, 197500, 1, 1874},
	{27775, 197552, 1, 1875},
	{27800, 197556, 1, 1875},
	{27824, 197560, 1, 1876},
	{27844, 197568, 1, 1877},
	{27870, 197572, 1, 1690},
	{27899, 197576, 1, 1877},
	{27924, 197580, 1, 1690},
	{27952, 197584, 1, 1877},
	{27975, 197588, 1, 1690},
	{28001, 197592, 1, 1877},
	{28023, 197596, 1, 1690},
	{28048, 197600, 1, 1877},
	{28067, 197604, 1, 1690},
	{28089, 197608, 1, 1396},
	{28103, 197612, 1, 1877},
	{28120, 197616, 1, 1690},
	{28140, 197620, 8, 1878},
	{28157, 197624, 13, 1886},
	{28174, 197628, 1, 1803},
	{28191, 197632, 1, 1827},
	{28211, 197636, 1, 1804},
	{28228, 197640, 1, 1788},
	{28248, 197644, 2, 1899},
	{28267, 197888, 8, 1901},
	{28288, 197892, 8, 1901},
	{28309, 198656, 6, 1909},
	{28324, 198912, 1, 1915},
	{28347, 198916, 1, 1915},
	{28370, 198920, 1, 1916},
	{28389, 198924, 2, 2817},
	{28404, 198928, 1, 674},
	{28437, 198932, 1, 674},
	{28470, 198936, 1, 674},
	{28503, 198940, 1, 674},
	{28536, 198948, 1, 944},
	{28552, 198952, 1, 945},
	{28567, 198956, 2, 1412},
	{28593, 198960, 1, 1394},
	{28609, 198964, 1, 1407},
	{28627, 198968, 1, 1917},
	{28648, 198972, 2, 2819},
	{28673, 198976, 1, 1920},
	{28696, 198980, 1, 1921},
	{28715, 198984, 1, 1920},
	{28731, 198988, 1, 856},
	{28750, 198992, 1, 1920},
	{28770, 198996, 1, 856},
	{28793, 199000, 1, 1920},
	{28811, 199004, 1, 856},
	{28832, 199008, 9, 1922},
	{28857, 199012, 1, 943},
	{28873, 199016, 1, 1931},
	{28894, 199020, 4, 1932},
	{28902, 199024, 1, 109},
	{28916, 199028, 1, 109},
	{28930, 199032, 1, 109},
	{28944, 199036, 3, 1936},
	{28959, 199040, 2, 1939},
	{28971, 199044, 1, 856},
	{28997, 199048, 3, 1941},
	{43411, 199052, 2, 2821},
	{29013, 199168, 1, 1944},
	{29038, 199172, 2, 1945},
	{29063, 199184, 2, 1947},
	{29089, 199188, 2, 1947},
	{29115, 199192, 2, 1947},
	{29141, 199212, 2, 1947},
	{29167, 199296, 2, 1949},
	{29195, 199300, 1, 1951},
	{29219, 199304, 1, 1952},
	{29243, 199308, 1, 1953},
	{29276, 199312, 1, 1953},
	{29304, 199328, 2, 1949},
	{29333, 199332, 1, 1951},
	{29358, 199336, 1, 1952},
	{29383, 199340, 1, 1953},
	{29417, 199344, 1, 1953},
	{29446, 199360, 2, 1949},
	{29470, 199364, 1, 1951},
	{29490, 199368, 1, 1952},
	{29510, 199372, 1, 1953},
	{29539, 199376, 1, 1953},
	{29563, 199936, 1, 109},
	{29590, 199940, 1, 109},
	{29617, 199944, 1, 109},
	{29644, 199948, 1, 109},
	{29671, 199952, 1, 109},
	{29698, 199956, 1, 109},
	{29725, 199960, 1, 109},
	{29752, 199964, 1, 109},
	{29779, 199968, 5, 2823},
	{29804, 200192, 1, 866},
	{29823, 200196, 1, 867},
	{29845, 200448, 1, 1963},
	{29869, 200452, 1, 1964},
	{29892, 200456, 1, 1963},
	{29916, 200460, 1, 1964},
	{29939, 200464, 1, 1963},
	{29963, 200468, 1, 1964},
	{29986, 200472, 1, 1963},
	{30010, 200476, 1, 1964},
	{30033, 200696, 1, 1963},
	{30052, 200700, 1, 1964},
	{30070, 200704, 1, 1965},
	{30082, 200708, 1, 1966},
	{30094, 200712, 1, 1967},
	{30112, 200716, 1, 1968},
	{30131, 200720, 1, 1969},
	{30149, 200724, 1, 1970},
	{30161, 200728, 1, 1971},
	{30173, 200732, 1, 1970},
	{30191, 200736, 1, 1971},
	{30209, 200740, 1, 1972},
	{30228, 200744, 4, 1973},
	{30242, 200748, 2, 1977},
	{30260, 200752, 2, 1979},
	{30274, 200756, 2, 1981},
	{30288, 200760, 2, 1983},
	{30305, 200764, 2, 1985},
	{30322, 200768, 1, 1987},
	{30335, 200772, 2, 1988},
	{30347, 200776, 1, 109},
	{30361, 200780, 1, 109},
	{30377, 200784, 1, 109},
	{30391, 200788, 1, 109},
	{30407, 200792, 1, 109},
	{30422, 200796, 1, 109},
	{30439, 200800, 1, 109},
	{30454, 200804, 1, 109},
	{30471, 200808, 2, 1990},
	{30493, 200812, 11, 2828},
	{30510, 200816, 2, 2002},
	{30531, 200820, 2, 2004},
	{30543, 200824, 1, 2006},
	{30558, 200828, 6, 2007},
	{30573, 200832, 2, 2013},
	{30587, 200836, 1, 2015},
	{30604, 200960, 1, 2016},
	{30626, 200964, 1, 2016},
	{30650, 200968, 1, 2016},
	{30674, 200972, 1, 2016},
	{30700, 212992, 1, 2017},
	{30720, 212996, 1, 2018},
	{30740, 213000, 1, 2017},
	{30760, 213004, 1, 2018},
	{30780, 213008, 1, 2017},
	{30800, 213012, 1, 2018},
	{30820, 213016, 1, 2017},
	{30840, 213020, 1, 2018},
	{30860, 213024, 1, 2017},
	{30880, 213028, 1, 2018},
	{30900, 213032, 1, 2017},
	{30920, 213036, 1, 2018},
	{30940, 213040, 1, 109},
	{30963, 213044, 1, 109},
	{30986, 213048, 1, 109},
	{31009, 213248, 1, 2017},
	{31030, 213252, 1, 2018},
	{31051, 213260, 1, 2017},
	{31072, 213264, 1, 2018},
	{31093, 213268, 1, 2017},
	{31117, 213272, 1, 2018},
	{31141, 213276, 1, 2017},
	{31165, 213280, 1, 2018},
	{31189, 213284, 1, 2017},
	{31213, 213288, 1, 2018},
	{31237, 213292, 1, 2017},
	{31261, 213296, 1, 2018},
	{43423, 213648, 1, 2017},
	{43443, 213652, 1, 2018},
	{43463, 213656, 1, 2017},
	{43483, 213660, 1, 2018},
	{43503, 213664, 1, 2017},
	{43523, 213668, 1, 2018},
	{43543, 213672, 1, 2017},
	{43563, 213676, 1, 2018},
	{43583, 213680, 1, 2017},
	{43608, 213684, 1, 2018},
	{43633, 213688, 1, 2017},
	{43658, 213692, 1, 2018},
	{43683, 213696, 1, 2017},
	{43708, 213700, 1, 2018},
	{43733, 213704, 1, 2017},
	{43758, 213708, 1, 2018},
	{43783, 213712, 1, 2017},
	{43806, 213716, 1, 2018},
	{43829, 213720, 1, 2017},
	{43852, 213724, 1, 2018},
	{43875, 213728, 1, 2017},
	{43898, 213732, 1, 2018},
	{43921, 213736, 1, 2017},
	{43944, 213740, 1, 2018},
	{31745, 214016, 1, 2017},
	{31767, 214020, 1, 2018},
	{31789, 214024, 1, 2017},
	{31811, 214028, 1, 2018},
	{31833, 214032, 1, 2017},
	{31855, 214036, 1, 2018},
	{31877, 214040, 1, 2017},
	{31899, 214044, 1, 2018},
	{31921, 214272, 1, 2017},
	{31943, 214276, 1, 2018},
	{31965, 214280, 1, 2017},
	{31987, 214284, 1, 2018},
	{32009, 214288, 1, 2017},
	{32031, 214292, 1, 2018},
	{32053, 214296, 1, 2017},
	{32075, 214300, 1, 2018},
	{32097, 214304, 1, 2017},
	{32119, 214308, 1, 2018},
	{32141, 214312, 1, 2017},
	{32163, 214316, 1, 2018},
	{32185, 214320, 1, 2017},
	{32207, 214324, 1, 2018},
	{32229, 214328, 1, 2017},
	{32251, 214332, 1, 2018},
	{32273, 214528, 1, 2018},
	{32293, 214532, 1, 2017},
	{32313, 214536, 1, 2018},
	{32333, 214540, 1, 2017},
	{32353, 214544, 1, 2018},
	{32373, 214548, 1, 2017},
	{32393, 214552, 1, 2018},
	{32413, 214556, 1, 2017},
	{32433, 214560, 1, 2018},
	{32453, 214564, 1, 2017},
	{32473, 214568, 1, 2018},
	{32493, 214572, 1, 2017},
	{32513, 214784, 1, 2017},
	{32532, 214788, 1, 2018},
	{32551, 214792, 1, 2017},
	{32570, 214796, 1, 2018},
	{32589, 214800, 1, 2017},
	{32608, 214804, 1, 2018},
	{32627, 214808, 1, 2017},
	{32646, 214812, 1, 2018},
	{32665, 214816, 1, 2017},
	{32684, 214820, 1, 2018},
	{32703, 214824, 1, 2017},
	{32722, 214828, 1, 2018},
	{32741, 214832, 1, 2017},
	{32760, 214836, 1, 2018},
	{32779, 214840, 1, 2017},
	{32798, 214844, 1, 2018},
	{32817, 214848, 1, 2017},
	{32836, 214852, 1, 2018},
	{32855, 214856, 1, 2017},
	{32874, 214860, 1, 2018},
	{32893, 214864, 1, 2017},
	{32913, 214868, 1, 2018},
	{32933, 214872, 1, 2017},
	{32953, 214876, 1, 2018},
	{32973, 214880, 1, 2017},
	{32993, 214884, 1, 2018},
	{33013, 214888, 1, 2017},
	{33033, 214892, 1, 2018},
	{33053, 214896, 1, 2017},
	{33073, 214900, 1, 2018},
	{33093, 214904, 1, 2017},
	{33113, 214908, 1, 2018},
	{33133, 215296, 1, 2017},
	{33152, 215300, 1, 2018},
	{33171, 215304, 1, 2017},
	{33190, 215308, 1, 2018},
	{33209, 215312, 1, 2017},
	{33228, 215316, 1, 2018},
	{33247, 215320, 1, 2017},
	{33266, 215324, 1, 2018},
	{33285, 215424, 1, 2017},
	{33306, 215428, 1, 2018},
	{43967, 215432, 1, 2020},
	{43987, 215436, 2, 2021},
	{33327, 215552, 1, 2017},
	{33347, 215556, 1, 2018},
	{33367, 215560, 1, 2017},
	{33387, 215564, 1, 2018},
	{33407, 215568, 1, 2017},
	{33427, 215572, 1, 2018},
	{33447, 215576, 1, 2017},
	{33467, 215580, 1, 2018},
	{33487, 215808, 1, 2017},
	{33506, 215812, 1, 2018},
	{33525, 215816, 1, 2017},
	{33544, 215820, 1, 2018},
	{33563, 216064, 1, 2017},
	{33582, 216068, 1, 2018},
	{33601, 216072, 1, 2017},
	{33620, 216076, 1, 2018},
	{33639, 216320, 1, 2017},
	{33659, 216324, 1, 2018},
	{33679, 216328, 1, 2017},
	{33699, 216332, 1, 2018},
	{33719, 216336, 1, 2017},
	{33739, 216340, 1, 2018},
	{33759, 216344, 1, 2017},
	{33779, 216348, 1, 2018},
	{33799, 216576, 1, 2017},
	{33820, 216580, 1, 2018},
	{33841, 216584, 1, 2017},
	{33862, 216588, 1, 2018},
	{33883, 216592, 1, 2017},
	{33904, 216596, 1, 2018},
	{33925, 216600, 1, 2017},
	{33946, 216604, 1, 2018},
	{33967, 216640, 1, 2017},
	{33988, 216644, 1, 2018},
	{34009, 216648, 1, 2017},
	{34030, 216652, 1, 2018},
	{34051, 216656, 1, 2017},
	{34072, 216660, 1, 2018},
	{34093, 216664, 1, 2017},
	{34114, 216668, 1, 2018},
	{34135, 216704, 1, 2017},
	{34156, 216708, 1, 2018},
	{34177, 216712, 1, 2017},
	{34198, 216716, 1, 2018},
	{34219, 216720, 1, 2017},
	{34240, 216724, 1, 2018},
	{34261, 216728, 1, 2017},
	{34282, 216732, 1, 2018},
	{34303, 216832, 1, 2017},
	{34323, 216836, 1, 2018},
	{34343, 216840, 1, 2017},
	{34363, 216844, 1, 2018},
	{34383, 216848, 1, 2017},
	{34403, 216852, 1, 2018},
	{34423, 216856, 1, 2017},
	{34443, 216860, 1, 2018},
	{34463, 216864, 1, 2017},
	{34484, 216868, 1, 2018},
	{34505, 216872, 1, 2017},
	{34526, 216876, 1, 2018},
	{34547, 216880, 1, 2017},
	{34568, 216884, 1, 2018},
	{34589, 216888, 1, 2017},
	{34610, 216892, 1, 2018},
	{34631, 217112, 1, 2017},
	{34650, 217116, 1, 2018},
	{34669, 217120, 1, 2017},
	{34688, 217124, 1, 2018},
	{34707, 217128, 1, 2017},
	{34726, 217132, 1, 2018},
	{34745, 217136, 1, 2017},
	{34764, 217140, 1, 2018},
	{34783, 217344, 1, 2017},
	{34802, 217348, 1, 2018},
	{34821, 217352, 1, 2017},
	{34840, 217356, 1, 2018},
	{34859, 217360, 1, 2017},
	{34878, 217364, 1, 2018},
	{34897, 217368, 1, 2017},
	{34916, 217372, 1, 2018},
	{34935, 217600, 1, 2017},
	{34955, 217604, 1, 2018},
	{34975, 217608, 1, 2017},
	{34995, 217612, 1, 2018},
	{35015, 217856, 1, 2017},
	{35035, 217860, 1, 2018},
	{35055, 217864, 1, 2017},
	{35075, 217868, 1, 2018},
	{35095, 217872, 1, 2017},
	{35115, 217876, 1, 2018},
	{35135, 217880, 1, 2017},
	{35155, 217884, 1, 2018},
	{35225, 218016, 1, 2020},
	{35251, 218020, 2, 2021},
	{44007, 218024, 1, 2020},
	{44030, 218028, 2, 2021},
	{35277, 218080, 1, 2017},
	{35302, 218084, 1, 2017},
	{35327, 218088, 1, 2018},
	{35352, 218092, 1, 2018},
	{35429, 218224, 1, 2017},
	{35451, 218228, 1, 2018},
	{35473, 218232, 1, 2017},
	{35495, 218236, 1, 2018},
	{35517, 218240, 1, 2017},
	{35537, 218244, 1, 2018},
	{35557, 218248, 1, 2017},
	{35577, 218252, 1, 2018},
	{35597, 218624, 1, 2017},
	{35619, 218628, 1, 2018},
	{35641, 218632, 1, 2017},
	{35663, 218636, 1, 2018},
	{35685, 218640, 1, 2017},
	{35707, 218644, 1, 2018},
	{35729, 218648, 1, 2017},
	{35751, 218652, 1, 2018},
	{35773, 218656, 1, 2017},
	{35795, 218660, 1, 2018},
	{35817, 218664, 1, 2017},
	{35839, 218668, 1, 2018},
	{35861, 218672, 1, 2017},
	{35883, 218676, 1, 2018},
	{35905, 218680, 1, 2017},
	{35927, 218684, 1, 2018},
	{35949, 218880, 1, 2017},
	{35970, 218884, 1, 2018},
	{35991, 218888, 1, 2017},
	{36012, 218892, 1, 2018},
	{36033, 218896, 1, 2017},
	{36054, 218900, 1, 2018},
	{36075, 218904, 1, 2017},
	{36096, 218908, 1, 2018},
	{36117, 219136, 1, 2017},
	{36137, 219140, 1, 2018},
	{36157, 219144, 1, 2017},
	{36177, 219148, 1, 2018},
	{36197, 219152, 1, 2017},
	{36217, 219156, 1, 2018},
	{36237, 219160, 1, 2017},
	{36257, 219164, 1, 2018},
	{36277, 219392, 1, 2017},
	{36297, 219396, 1, 2018},
	{44053, 219400, 1, 2020},
	{44072, 219404, 2, 2021},
	{44091, 219520, 1, 2020},
	{44120, 219524, 2, 2021},
	{44149, 219528, 1, 2017},
	{44171, 219532, 1, 2018},
	{44193, 219536, 1, 2017},
	{44215, 219540, 1, 2018},
	{44237, 219568, 1, 2020},
	{44266, 219572, 2, 2021},
	{44295, 219576, 1, 2017},
	{44317, 219580, 1, 2018},
	{44339, 219584, 1, 2017},
	{44361, 219588, 1, 2018},
	{44383, 219616, 1, 2020},
	{44412, 219620, 2, 2021},
	{44441, 219624, 1, 2017},
	{44463, 219628, 1, 2018},
	{44485, 219632, 1, 2017},
	{44507, 219636, 1, 2018},
	{44529, 219664, 1, 2020},
	{44558, 219668, 2, 2021},
	{44587, 219672, 1, 2017},
	{44609, 219676, 1, 2018},
	{44631, 219680, 1, 2017},
	{44653, 219684, 1, 2018},
	{36317, 221184, 5, 2023},
	{36341, 221188, 4, 2028},
	{36366, 221192, 5, 2023},
	{36390, 221196, 5, 2023},
	{36414, 221200, 4, 2028},
	{36439, 221204, 5, 2023},
	{36463, 221208, 4, 2028},
	{36488, 221212, 5, 2023},
	{36512, 221216, 4, 2032},
	{36528, 221220, 5, 2023},
	{36552, 221224, 3, 2036},
	{36586, 221228, 3, 2039},
	{36620, 221232, 3, 2042},
	{36645, 221236, 3, 2045},
	{36670, 221240, 3, 2042},
	{36695, 221248, 1, 2048},
	{36710, 221252, 1, 1953},
	{36733, 221256, 1, 2049},
	{36756, 221260, 1, 2050},
	{36774, 221264, 2, 2051},
	{36792, 221268, 4, 2053},
	{36812, 221440, 20, 2057},
	{36837, 221444, 20, 2057},
	{36862, 221448, 15, 2077},
	{36890, 221452, 15, 2077},
	{36918, 221456, 15, 2077},
	{36946, 221460, 15, 2077},
	{36974, 221492, 8, 2092},
	{37002, 221496, 8, 2092},
	{44675, 221840, 5, 2100},
	{44699, 221844, 4, 2105},
	{44724, 221848, 5, 2100},
	{44748, 221852, 4, 2105},
	{44773, 221856, 5, 2100},
	{44797, 221860, 4, 2105},
	{44822, 221864, 5, 2100},
	{44846, 221868, 4, 2105},
	{44871, 221872, 5, 2100},
	{44900, 221876, 4, 2105},
	{44930, 221880, 5, 2100},
	{44959, 221884, 4, 2105},
	{44989, 221888, 5, 2100},
	{45018, 221892, 4, 2105},
	{45048, 221896, 5, 2100},
	{45077, 221900, 4, 2105},
	{45107, 221904, 5, 2100},
	{45134, 221908, 4, 2105},
	{45162, 221912, 5, 2100},
	{45189, 221916, 4, 2105},
	{45217, 221920, 5, 2100},
	{45244, 221924, 4, 2105},
	{45272, 221928, 5, 2100},
	{45299, 221932, 4, 2105},
	{37404, 222208, 5, 2111},
	{37430, 222212, 4, 2116},
	{37457, 222216, 5, 2111},
	{37483, 222220, 4, 2116},
	{37510, 222224, 5, 2111},
	{37536, 222228, 4, 2116},
	{37563, 222232, 5, 2111},
	{37589, 222236, 4, 2116},
	{37616, 222464, 5, 2111},
	{37642, 222468, 4, 2116},
	{37669, 222472, 1, 2023},
	{37695, 222476, 1, 2023},
	{37721, 222480, 1, 2023},
	{37747, 222484, 1, 2023},
	{37773, 222488, 1, 2023},
	{37799, 222492, 1, 2023},
	{37825, 222496, 1, 2023},
	{37851, 222720, 5, 2111},
	{37875, 222724, 5, 2111},
	{37899, 222728, 5, 2111},
	{37923, 222732, 5, 2111},
	{37947, 222736, 4, 2116},
	{37972, 222740, 4, 2116},
	{37997, 222744, 4, 2116},
	{38022, 222748, 4, 2116},
	{38047, 222752, 1, 2023},
	{38071, 222756, 1, 2023},
	{38095, 222760, 8, 2120},
	{38116, 222976, 3, 2839},
	{38139, 222980, 3, 2839},
	{38162, 222984, 3, 2839},
	{38185, 222988, 3, 2839},
	{38208, 222992, 3, 2839},
	{38231, 222996, 3, 2839},
	{38254, 223000, 3, 2839},
	{38277, 223004, 3, 2839},
	{38300, 223008, 3, 2839},
	{38323, 223012, 3, 2839},
	{38346, 223016, 3, 2839},
	{38370, 223020, 3, 2839},
	{38394, 223024, 3, 2839},
	{38418, 223028, 3, 2839},
	{38442, 223032, 3, 2839},
	{38466, 223036, 3, 2839},
	{38490, 223104, 15, 2842},
	{38510, 223112, 1, 2141},
	{38531, 223232, 5, 2111},
	{38556, 223236, 4, 2116},
	{38582, 223240, 8, 2142},
	{45327, 223244, 5, 2301},
	{45349, 223248, 5, 2301},
	{45371, 223252, 6, 2306},
	{38605, 223488, 5, 2111},
	{38628, 223492, 5, 2111},
	{38651, 223496, 3, 2167},
	{38674, 223500, 3, 2167},
	{38697, 223504, 4, 2116},
	{38721, 223508, 4, 2116},
	{38745, 223744, 5, 2111},
	{38769, 223748, 5, 2111},
	{38793, 223752, 5, 2111},
	{38817, 223756, 5, 2111},
	{38841, 223760, 4, 2116},
	{45398, 223764, 4, 2116},
	{45423, 223768, 4, 2116},
	{45448, 223772, 4, 2116},
	{38866, 224000, 5, 2111},
	{38889, 224004, 4, 2116},
	{38913, 224008, 3, 2167},
	{38936, 224256, 5, 2111},
	{38959, 224260, 4, 2116},
	{38983, 224264, 3, 2167},
	{39006, 224512, 5, 2111},
	{39030, 224516, 4, 2116},
	{39055, 224520, 5, 2111},
	{39079, 224524, 4, 2116},
	{39104, 224528, 3, 2167},
	{39128, 224532, 3, 2167},
	{39152, 224768, 5, 2111},
	{39177, 224772, 4, 2105},
	{39203, 224776, 5, 2111},
	{39228, 224780, 4, 2105},
	{39254, 224784, 3, 2167},
	{39279, 224788, 3, 2167},
	{39304, 224832, 5, 2111},
	{39329, 224836, 4, 2105},
	{39355, 224840, 5, 2111},
	{39380, 224844, 4, 2105},
	{39406, 224848, 3, 2167},
	{39431, 224852, 3, 2167},
	{39456, 224896, 5, 2111},
	{39481, 224900, 4, 2105},
	{39507, 224904, 3, 2167},
	{39532, 224908, 3, 2167},
	{39557, 224912, 3, 2167},
	{39582, 225024, 5, 2111},
	{39606, 225028, 4, 2105},
	{39631, 225032, 3, 2167},
	{39655, 225036, 3, 2167},
	{39679, 225040, 3, 2167},
	{39703, 225048, 5, 2111},
	{39728, 225052, 4, 2105},
	{39754, 225056, 3, 2167},
	{39779, 225060, 3, 2167},
	{39804, 225064, 3, 2167},
	{39829, 225280, 12, 2170},
	{39851, 225284, 5, 2182},
	{39874, 225288, 4, 2187},
	{39898, 225292, 2, 2191},
	{39921, 225296, 2, 2191},
	{39944, 225300, 2, 2191},
	{39967, 225536, 5, 2111},
	{39990, 225540, 4, 2116},
	{40014, 225544, 5, 2111},
	{40037, 225548, 4, 2116},
	{40061, 225552, 5, 2111},
	{40084, 225560, 5, 2111},
	{40107, 225792, 4, 2193},
	{40128, 225796, 1, 2197},
	{40157, 225800, 2, 2198},
	{40186, 225804, 1, 2200},
	{40212, 225808, 7, 2201},
	{40241, 225812, 1, 2208},
	{40260, 225816, 2, 2209},
	{40286, 225820, 2, 2211},
	{40309, 225824, 1, 2213},
	{40332, 225828, 2, 2214},
	{40359, 225832, 1, 2213},
	{40386, 225836, 2, 2216},
	{40411, 225840, 2, 2218},
	{40439, 225844, 2, 2220},
	{40467, 225848, 2, 2222},
	{40490, 225852, 2, 2224},
	{40513, 225856, 1, 2226},
	{40546, 225860, 2, 2227},
	{40579, 225864, 1, 2229},
	{40611, 225868, 2, 2227},
	{40643, 225872, 2, 2230},
	{40662, 225876, 2, 2232},
	{40689, 225880, 1, 2234},
	{40716, 225884, 2, 2857},
	{40743, 225888, 2, 2237},
	{40770, 225892, 17, 2859},
	{40791, 225896, 9, 2876},
	{40810, 225900, 19, 2885},
	{40829, 225904, 1, 2265},
	{40853, 225908, 1, 2267},
	{40885, 225912, 2, 2269},
	{40915, 225916, 4, 2271},
	{40951, 225920, 3, 2275},
	{40984, 225924, 1, 2278},
	{45473, 225928, 7, 2201},
	{41002, 225932, 1, 2279},
	{45506, 225936, 1, 2904},
	{45533, 225940, 1, 2905},
	{45559, 225944, 4, 2271},
	{45599, 225948, 2, 2906},
	{45633, 225952, 2, 2906},
	{45663, 225956, 2, 2232},
	{45694, 225960, 1, 2234},
	{45725, 225964, 4, 2908},
	{45759, 225968, 3, 2275},
	{45796, 225972, 3, 2912},
	{41022, 226048, 2, 2280},
	{41039, 226052, 1, 2282},
	{41063, 226056, 1, 2282},
	{41087, 226060, 4, 2283},
	{41113, 226064, 3, 2287},
	{41142, 226068, 1, 109},
	{41171, 226072, 3, 2287},
	{41200, 226076, 1, 109},
	{41229, 226192, 1, 2290},
	{41277, 226304, 5, 2182},
	{41301, 226308, 4, 2187},
	{41326, 226312, 2, 2191},
	{41350, 226316, 5, 2182},
	{41374, 226320, 4, 2187},
	{41399, 226324, 2, 2191},
	{41423, 226328, 10, 2291},
	{41531, 226480, 5, 2301},
	{41559, 226484, 5, 2301},
	{41587, 226488, 5, 2301},
	{41615, 226492, 5, 2301},
	{41643, 226496, 5, 2301},
	{41671, 226500, 5, 2301},
	{41699, 226504, 5, 2301},
	{41727, 226508, 5, 2301},
	{41755, 226512, 6, 2306},
	{45837, 226516, 5, 2301},
	{45862, 226520, 5, 2301},
	{45887, 226524, 5, 2301},
	{45912, 226528, 5, 2301},
	{45937, 226532, 6, 2306},
	{41788, 226544, 5, 2111},
	{41817, 226548, 5, 2111},
	{41846, 226552, 4, 2116},
	{41876, 226556, 4, 2116},
	{41906, 226560, 8, 2142},
	{41933, 226564, 8, 2142},
	{42049, 226688, 5, 2182},
	{42073, 226692, 4, 2187},
	{42098, 226696, 3, 2312},
	{42122, 226700, 2, 2315},
	{42148, 226704, 2, 2315},
	{42174, 226816, 5, 2111},
	{42200, 226820, 4, 2116},
	{42227, 226824, 5, 2111},
	{42253, 226828, 5, 2111},
	{42279, 226832, 5, 2111},
	{42305, 226836, 1, 2023},
	{42331, 226840, 1, 2023},
	{42357, 226844, 1, 2023},
	{42383, 226848, 1, 2023},
	{42409, 226880, 4, 2116},
	{42436, 226884, 4, 2116},
	{42463, 226888, 4, 2116},
	{42490, 227072, 5, 2111},
	{42515, 227076, 4, 2105},
	{42541, 227080, 3, 2167},
	{42566, 227084, 3, 2167},
	{42591, 227088, 3, 2167},
	{42616, 227200, 5, 2111},
	{42640, 227204, 4, 2105},
	{42665, 227208, 3, 2167},
	{42689, 227212, 3, 2167},
	{42713, 227216, 3, 2167},
	{42737, 227328, 5, 2111},
	{42761, 227332, 4, 2116},
	{42786, 227336, 8, 2142},
	{45967, 227340, 5, 2301},
	{45988, 227344, 5, 2301},
	{46009, 227348, 6, 2306},
	{46035, 227456, 5, 2301},
	{46066, 227460, 5, 2301},
	{46097, 227464, 6, 2306},
	{46133, 227468, 1, 2915},
	{46157, 227472, 5, 2111},
	{46183, 227476, 4, 2116},
	{46210, 227480, 5, 2111},
	{46236, 227484, 4, 2116},
	{46263, 227504, 5, 2301},
	{46294, 227508, 5, 2301},
	{46325, 227512, 6, 2306},
	{46361, 227516, 1, 2915},
	{46385, 227520, 5, 2111},
	{46411, 227524, 4, 2116},
	{46438, 227528, 5, 2111},
	{46464, 227532, 4, 2116},
	{46491, 227552, 5, 2301},
	{46522, 227556, 5, 2301},
	{46553, 227560, 6, 2306},
	{46589, 227564, 1, 2915},
	{46613, 227568, 5, 2111},
	{46639, 227572, 4, 2116},
	{46666, 227576, 5, 2111},
	{46692, 227580, 4, 2116},
	{46719, 227600, 5, 2301},
	{46750, 227604, 5, 2301},
	{46781, 227608, 6, 2306},
	{46817, 227612, 1, 2915},
	{46841, 227616, 5, 2111},
	{46867, 227620, 4, 2116},
	{46894, 227624, 5, 2111},
	{46920, 227628, 4, 2116},
	{195, 880, 4, 2317},
	{42808, 881},
	{26631, 882},
	{42820, 1008},
	{42831, 1009},
	{26819, 1010, 3, 2321},
	{42842, 1040, 1, 2324},
	{42855, 1041, 5, 2325},
	{42868, 1042, 1, 2330},
	{42881, 1043, 1, 1810},
	{26653, 1045, 7, 2331},
	{42894, 1168, 12, 2338},
	{42909, 1280, 6, 2350},
	{42924, 1281},
	{26590, 1282},
	{42808, 1283},
	{26631, 1284},
	{42936, 1414, 15, 2356},
};

static const struct si_reg gfx6_reg_table[] = {
	{974, 68, 9, 2916},
	{987, 72, 24, 2925},
	{1002, 76, 3, 2949},
	{46947, 80, 11, 2952},
	{1039, 84, 4, 2963},
	{1057, 88, 2, 2967},
	{1075, 92, 4, 2969},
	{1090, 96, 1, 70},
	{1104, 100, 1, 2973},
	{1118, 104, 1, 72},
	{46961, 108, 1, 2974},
	{46978, 112, 13, 2975},
	{46994, 2480, 1, 1877},
	{47009, 2484, 1, 2988},
	{47024, 2488, 1, 1877},
	{47039, 2492, 1, 2988},
	{1273, 2496, 1, 109},
	{1287, 2500, 1, 109},
	{1301, 2504, 1, 109},
	{1315, 2508, 1, 109},
	{1329, 2512, 1, 109},
	{1343, 2516, 1, 109},
	{1357, 2520, 1, 109},
	{1371, 2524, 1, 109},
	{1385, 2528, 1, 109},
	{1399, 2532, 1, 109},
	{1413, 2536, 1, 109},
	{1428, 2540, 1, 109},
	{1503, 2544, 1, 110},
	{1514, 2552, 1, 111},
	{1530, 2556, 1, 112},
	{47054, 3660, 21, 2989},
	{47067, 3664, 20, 3010},
	{47079, 3668, 16, 3030},
	{47092, 32768, 1, 3046},
	{47102, 32772, 2, 3047},
	{1618, 32776, 17, 3049},
	{47117, 32780, 2, 3066},
	{1631, 32784, 24, 3068},
	{1643, 32788, 11, 3092},
	{1659, 32792, 11, 3092},
	{47131, 32800, 6, 3103},
	{47147, 32804, 1, 3109},
	{47163, 32808, 1, 109},
	{28309, 32812, 6, 3110},
	{47179, 32816, 2, 3116},
	{47199, 32820, 1, 3118},
	{47221, 32848, 6, 3119},
	{47232, 32852, 22, 3125},
	{47252, 32856, 4, 3147},
	{47268, 32864, 2, 3151},
	{36812, 32880, 19, 3153},
	{36837, 32884, 19, 3153},
	{31009, 32888, 1, 2017},
	{31030, 32892, 1, 2018},
	{31051, 32896, 1, 2017},
	{31072, 32900, 1, 2018},
	{36862, 32920, 12, 3172},
	{36890, 32924, 12, 3172},
	{31093, 32936, 1, 2017},
	{31117, 32940, 1, 2018},
	{31141, 32944, 1, 2017},
	{31165, 32948, 1, 2018},
	{47282, 33008, 1, 3184},
	{47168, 33012, 1, 3185},
	{47294, 33020, 1, 109},
	{47307, 33024, 1, 1741},
	{47325, 33028, 1, 1742},
	{47343, 33032, 1, 1743},
	{47361, 33036, 1, 1744},
	{47379, 33040, 1, 1745},
	{47397, 33044, 1, 1746},
	{47415, 33048, 1, 1747},
	{47433, 33052, 1, 1748},
	{47451, 33536, 10, 3186},
	{24203, 33792, 2, 3196},
	{24223, 33796, 1, 1690},
	{24243, 33800, 1, 1691},
	{24263, 33804, 1, 1692},
	{24283, 33808, 1, 1693},
	{24304, 33812, 1, 1694},
	{24325, 33816, 2, 3198},
	{24347, 33820, 1, 3200},
	{24369, 33824, 1, 1697},
	{24399, 33828, 1, 1698},
	{24429, 33832, 1, 1699},
	{24458, 33836, 1, 1700},
	{24487, 33840, 1, 1701},
	{24517, 33844, 1, 1702},
	{24547, 33848, 1, 1703},
	{24576, 33852, 1, 1704},
	{24605, 33856, 1, 1705},
	{24635, 33860, 1, 1706},
	{24665, 33864, 1, 1707},
	{24694, 33868, 1, 1708},
	{24723, 33872, 1, 1709},
	{24753, 33876, 1, 1710},
	{24783, 33880, 1, 1711},
	{24812, 33884, 1, 1712},
	{24841, 33888, 2, 3201},
	{24863, 33892, 1, 3203},
	{24885, 33896, 1, 1715},
	{24908, 33900, 1, 1716},
	{24931, 33904, 1, 1717},
	{24954, 33908, 1, 1718},
	{24977, 33912, 1, 1719},
	{25000, 33916, 1, 1720},
	{25023, 33920, 1, 1721},
	{25047, 33924, 1, 1722},
	{25071, 33928, 1, 1723},
	{25095, 33932, 1, 1724},
	{25119, 33936, 1, 1725},
	{25143, 33940, 1, 1726},
	{25167, 33944, 1, 1727},
	{25191, 33948, 1, 1728},
	{25215, 33952, 1, 1729},
	{25237, 33956, 1, 1730},
	{25259, 33960, 1, 1731},
	{25280, 33964, 1, 1732},
	{25301, 33968, 1, 1733},
	{25325, 33972, 1, 1734},
	{25349, 33976, 1, 1735},
	{25373, 33980, 1, 1735},
	{25397, 33984, 1, 1736},
	{25421, 33988, 1, 1737},
	{25549, 34044, 1, 1740},
	{25565, 34048, 1, 1741},
	{25578, 34052, 1, 1742},
	{25591, 34056, 1, 1743},
	{25604, 34060, 1, 1744},
	{25617, 34064, 1, 1745},
	{25630, 34068, 1, 1746},
	{25643, 34072, 1, 1747},
	{25656, 34076, 1, 1748},
	{25783, 34112, 2, 1750},
	{25796, 34116, 1, 1752},
	{25967, 34144, 1, 1759},
	{25985, 34148, 3, 3204},
	{26003, 34152, 1, 109},
	{26018, 34156, 1, 1749},
	{26042, 34160, 1, 1749},
	{26066, 34164, 1, 1753},
	{26085, 34168, 1, 1754},
	{26104, 34172, 1, 1755},
	{26128, 34176, 1, 1756},
	{26152, 34180, 1, 1757},
	{26176, 34184, 1, 1758},
	{26200, 34212, 2, 3207},
	{26218, 34216, 1, 3209},
	{26236, 34220, 1, 1767},
	{26254, 34224, 1, 1768},
	{26272, 34228, 2, 3210},
	{26290, 34232, 1, 3212},
	{26308, 34236, 1, 1772},
	{26326, 34240, 2, 1773},
	{26345, 34244, 5, 3213},
	{26364, 34256, 1, 1780},
	{26388, 34260, 2, 1773},
	{26408, 34264, 5, 3213},
	{26482, 34284, 1, 1789},
	{26503, 34288, 23, 3218},
	{26517, 34292, 1, 1803},
	{26531, 34296, 1, 1804},
	{26545, 34300, 4, 3241},
	{26561, 34304, 1, 1807},
	{26580, 34308, 1, 3245},
	{26602, 34312, 1, 1809},
	{26621, 34316, 1, 3246},
	{26643, 34320, 9, 3247},
	{26661, 34324, 1, 1807},
	{26681, 34328, 1, 3245},
	{26704, 34332, 1, 1809},
	{26724, 34336, 1, 3246},
	{26747, 34340, 9, 3247},
	{26766, 34344, 5, 3256},
	{26778, 34348, 2, 1825},
	{26812, 34356, 1, 3261},
	{26830, 34360, 5, 2807},
	{26850, 34364, 1, 1833},
	{26867, 34368, 1, 340},
	{26883, 34372, 1, 1835},
	{26896, 34376, 1, 1836},
	{26910, 34380, 1, 1837},
	{26924, 34384, 1, 1838},
	{26946, 34388, 1, 1839},
	{26966, 34392, 1, 1840},
	{26988, 34396, 1, 1841},
	{47474, 34416, 15, 3262},
	{47491, 34420, 18, 3277},
	{47508, 34424, 31, 3295},
	{47525, 34428, 16, 3326},
	{47538, 34432, 24, 3342},
	{47546, 34436, 1, 3366},
	{47564, 34440, 1, 3367},
	{47583, 34444, 3, 3368},
	{47602, 34448, 1, 3371},
	{47620, 34460, 1, 3372},
	{47641, 34512, 2, 3373},
	{47653, 34516, 1, 3375},
	{47665, 34520, 9, 3376},
	{47676, 34528, 4, 3385},
	{47689, 34532, 1, 3389},
	{47706, 34552, 1, 3390},
	{47718, 34556, 1, 3390},
	{47730, 34560, 1, 3390},
	{47742, 34564, 2, 3391},
	{47759, 34568, 2, 3393},
	{27301, 34572, 1, 1851},
	{27320, 34576, 1, 3395},
	{27339, 34580, 1, 1853},
	{27356, 34584, 1, 1854},
	{27374, 34588, 1, 3396},
	{27392, 34592, 1, 1856},
	{27408, 34596, 1, 1857},
	{27426, 34600, 1, 3397},
	{27444, 34604, 1, 1859},
	{27460, 34608, 1, 1854},
	{27475, 34612, 1, 3396},
	{27490, 34616, 1, 1856},
	{27503, 34620, 1, 1857},
	{27518, 34624, 1, 3397},
	{27533, 34628, 1, 1859},
	{27546, 34632, 1, 1860},
	{27560, 34636, 1, 3398},
	{27574, 34640, 1, 1862},
	{47780, 34644, 4, 3399},
	{47799, 34648, 4, 3403},
	{47818, 34652, 3, 3407},
	{47836, 34656, 2, 3410},
	{47856, 34660, 2, 3412},
	{47874, 34664, 2, 3414},
	{47887, 34668, 1, 3416},
	{47900, 34672, 1, 3417},
	{47914, 34676, 1, 3418},
	{47927, 34680, 3, 3419},
	{47940, 34684, 1, 3422},
	{47952, 34688, 2, 3423},
	{47967, 34692, 2, 3425},
	{47983, 34696, 2, 3427},
	{47999, 34700, 1, 3429},
	{48011, 34708, 2, 3430},
	{48023, 34712, 2, 3432},
	{48037, 34716, 1, 3434},
	{48051, 34720, 2, 3435},
	{48069, 34724, 2, 3437},
	{48088, 34728, 2, 3439},
	{48107, 34780, 12, 3441},
	{36512, 34812, 4, 2032},
	{48125, 34944, 5, 3453},
	{48148, 34948, 2, 3458},
	{48171, 34952, 2, 3458},
	{48194, 34956, 2, 3458},
	{48217, 34960, 1, 2017},
	{48236, 34964, 1, 2018},
	{48255, 34968, 1, 2017},
	{48274, 34972, 1, 2018},
	{48293, 34976, 1, 2017},
	{48312, 34980, 1, 2018},
	{48331, 34984, 1, 2017},
	{48350, 34988, 1, 2018},
	{48369, 34992, 1, 3460},
	{48392, 34996, 1, 3461},
	{48416, 35000, 1, 3462},
	{48439, 35004, 1, 3463},
	{48464, 35008, 2, 3464},
	{48484, 35012, 8, 3466},
	{48507, 35016, 1, 1915},
	{48526, 35020, 1, 1915},
	{48545, 35024, 4, 3474},
	{48561, 35028, 1, 3478},
	{48581, 35032, 1, 3479},
	{48597, 35036, 5, 3480},
	{48612, 35040, 2, 3485},
	{48627, 35044, 1, 109},
	{48642, 35048, 2, 3487},
	{48656, 35052, 1, 109},
	{48670, 35056, 10, 3489},
	{48686, 35100, 1, 3499},
	{48712, 35104, 5, 3453},
	{48736, 35108, 5, 3453},
	{48760, 35112, 2, 3458},
	{48784, 35116, 2, 3458},
	{48808, 35120, 1, 2017},
	{48828, 35124, 1, 2018},
	{48848, 35128, 1, 2017},
	{48868, 35132, 1, 2018},
	{48888, 35136, 1, 2017},
	{48908, 35140, 1, 2018},
	{48928, 35144, 1, 2017},
	{48948, 35148, 1, 2018},
	{28370, 35160, 1, 3500},
	{28389, 35164, 1, 3501},
	{28404, 35168, 1, 674},
	{28437, 35172, 1, 674},
	{28470, 35176, 1, 674},
	{28503, 35180, 1, 674},
	{28593, 35184, 1, 1394},
	{28609, 35188, 1, 1407},
	{48968, 35196, 10, 3502},
	{48986, 35200, 2, 3512},
	{49003, 35204, 10, 3514},
	{49020, 35208, 1, 1917},
	{49037, 35212, 3, 3524},
	{49052, 35248, 2, 3527},
	{49073, 35256, 1, 1920},
	{49092, 35260, 4, 3529},
	{49118, 35264, 4, 3529},
	{49146, 35328, 1, 3533},
	{49163, 35332, 1, 109},
	{49180, 35344, 1, 3534},
	{49198, 35348, 9, 3535},
	{49212, 35352, 10, 3544},
	{37404, 35360, 3, 3453},
	{37457, 35364, 3, 3453},
	{37510, 35368, 2, 2164},
	{37563, 35372, 2, 2164},
	{31745, 35376, 1, 2017},
	{31767, 35380, 1, 2019},
	{31789, 35384, 1, 2017},
	{31811, 35388, 1, 2019},
	{31833, 35392, 1, 2017},
	{31855, 35396, 1, 2019},
	{31877, 35400, 1, 2017},
	{31899, 35404, 1, 2019},
	{49229, 35408, 1, 3554},
	{49247, 35412, 1, 3555},
	{29013, 35424, 1, 1944},
	{37616, 35456, 3, 3556},
	{37669, 35460, 1, 2128},
	{37695, 35464, 1, 2128},
	{37721, 35468, 1, 2128},
	{37747, 35472, 1, 2128},
	{37773, 35476, 1, 2128},
	{37799, 35480, 1, 2128},
	{37825, 35484, 1, 2128},
	{31921, 35488, 1, 2017},
	{31943, 35492, 1, 2018},
	{31965, 35496, 1, 2017},
	{31987, 35500, 1, 2018},
	{32009, 35504, 1, 2017},
	{32031, 35508, 1, 2018},
	{32053, 35512, 1, 2017},
	{32075, 35516, 1, 2018},
	{32097, 35520, 1, 2017},
	{32119, 35524, 1, 2018},
	{32141, 35528, 1, 2017},
	{32163, 35532, 1, 2018},
	{32185, 35536, 1, 2017},
	{32207, 35540, 1, 2018},
	{32229, 35544, 1, 2017},
	{32251, 35548, 1, 2018},
	{29038, 35600, 2, 1945},
	{49269, 35620, 2, 3559},
	{49294, 35624, 10, 3561},
	{49311, 35788, 4, 3571},
	{49327, 35796, 4, 3575},
	{49346, 35800, 1, 3579},
	{49363, 35804, 1, 109},
	{49380, 35824, 26, 3580},
	{49394, 35840, 9, 3606},
	{49404, 35844, 9, 3615},
	{29779, 35848, 3, 3624},
	{49415, 35852, 3, 3627},
	{49434, 35856, 6, 3630},
	{49449, 35860, 4, 3636},
	{38490, 35864, 9, 3640},
	{49463, 35868, 4, 3649},
	{49483, 35872, 4, 3649},
	{49505, 35876, 4, 3653},
	{32513, 35968, 1, 2017},
	{32532, 35972, 1, 2018},
	{32551, 35976, 1, 2017},
	{32570, 35980, 1, 2018},
	{32589, 35984, 1, 2017},
	{32608, 35988, 1, 2018},
	{32627, 35992, 1, 2017},
	{32646, 35996, 1, 2018},
	{32665, 36000, 1, 2017},
	{32684, 36004, 1, 2018},
	{32703, 36008, 1, 2017},
	{32722, 36012, 1, 2018},
	{32741, 36016, 1, 2017},
	{32760, 36020, 1, 2018},
	{32779, 36024, 1, 2017},
	{32798, 36028, 1, 2018},
	{32817, 36032, 1, 2017},
	{32836, 36036, 1, 2018},
	{32855, 36040, 1, 2017},
	{32874, 36044, 1, 2018},
	{32893, 36048, 1, 2017},
	{32913, 36052, 1, 2018},
	{32933, 36056, 1, 2017},
	{32953, 36060, 1, 2018},
	{32973, 36064, 1, 2017},
	{32993, 36068, 1, 2018},
	{33013, 36072, 1, 2017},
	{33033, 36076, 1, 2018},
	{33053, 36080, 1, 2017},
	{33073, 36084, 1, 2018},
	{33093, 36088, 1, 2017},
	{33113, 36092, 1, 2018},
	{38116, 36096, 6, 3657},
	{38139, 36100, 6, 3657},
	{38162, 36104, 6, 3657},
	{38185, 36108, 6, 3657},
	{38208, 36112, 6, 3657},
	{38231, 36116, 6, 3657},
	{38254, 36120, 6, 3657},
	{38277, 36124, 6, 3657},
	{38300, 36128, 6, 3657},
	{38323, 36132, 6, 3657},
	{38346, 36136, 6, 3657},
	{38370, 36140, 6, 3657},
	{38394, 36144, 6, 3657},
	{38418, 36148, 6, 3657},
	{38442, 36152, 6, 3657},
	{38466, 36156, 6, 3657},
	{49525, 36224, 2, 3663},
	{49541, 36228, 2, 3663},
	{49557, 36232, 4, 3665},
	{49574, 36236, 4, 3665},
	{49592, 36320, 8, 3669},
	{49605, 36324, 1, 109},
	{49617, 36336, 1, 3677},
	{49628, 36340, 1, 3677},
	{49639, 36352, 1, 737},
	{49660, 36356, 1, 3678},
	{2095, 36360, 8, 3679},
	{2116, 36364, 3, 3687},
	{49681, 36368, 2, 3690},
	{29563, 36384, 1, 109},
	{29590, 36388, 1, 109},
	{29617, 36392, 1, 109},
	{29644, 36396, 1, 109},
	{2074, 36400, 2, 3692},
	{2164, 36404, 5, 3694},
	{49707, 36408, 15, 3699},
	{2143, 36412, 1, 3714},
	{49728, 36416, 1, 388},
	{49749, 36424, 1, 3715},
	{49773, 36440, 3, 3716},
	{49791, 36444, 4, 3719},
	{49810, 36448, 3, 3723},
	{49825, 36452, 1, 109},
	{49847, 36456, 1, 109},
	{49869, 36460, 1, 109},
	{49891, 36464, 1, 109},
	{49913, 36480, 4, 3726},
	{49928, 36484, 3, 3730},
	{49939, 36488, 3, 3733},
	{49950, 36492, 4, 3736},
	{2351, 36608, 1, 394},
	{2369, 36612, 4, 395},
	{2387, 36616, 1, 399},
	{2405, 36620, 14, 3740},
	{3306, 36624, 1, 394},
	{3324, 36628, 5, 3754},
	{3342, 36632, 4, 3759},
	{3360, 36636, 11, 3763},
	{3378, 36640, 2, 3774},
	{3396, 36644, 2, 3776},
	{3414, 36648, 4, 3778},
	{3432, 36652, 1, 3782},
	{2423, 36656, 13, 3783},
	{2441, 36660, 4, 424},
	{2459, 36664, 9, 3796},
	{2477, 36668, 3, 3805},
	{2495, 37120, 6, 442},
	{29804, 38156, 1, 866},
	{2511, 39160, 9, 3808},
	{2526, 39184, 6, 3817},
	{2540, 39188, 5, 3818},
	{2554, 39192, 5, 3818},
	{2568, 39196, 5, 3818},
	{2582, 39200, 5, 3818},
	{2596, 39204, 5, 3818},
	{2610, 39208, 5, 3818},
	{2624, 39212, 5, 3818},
	{2638, 39216, 5, 3818},
	{2652, 39220, 5, 3818},
	{2666, 39224, 5, 3818},
	{2681, 39228, 5, 3818},
	{2696, 39232, 5, 3818},
	{2711, 39236, 5, 3818},
	{2726, 39240, 5, 3818},
	{2741, 39244, 5, 3818},
	{2756, 39248, 5, 3818},
	{2771, 39252, 5, 3818},
	{2786, 39256, 5, 3818},
	{2801, 39260, 5, 3818},
	{2816, 39264, 5, 3818},
	{2831, 39268, 5, 3818},
	{2846, 39272, 5, 3818},
	{2861, 39276, 5, 3818},
	{2876, 39280, 5, 3818},
	{2891, 39284, 5, 3818},
	{2906, 39288, 5, 3818},
	{2921, 39292, 5, 3818},
	{2936, 39296, 5, 3818},
	{2951, 39300, 5, 3818},
	{2966, 39304, 5, 3818},
	{2981, 39308, 5, 3818},
	{49962, 45056, 1, 505},
	{49983, 45060, 1, 506},
	{50004, 45064, 1, 505},
	{50025, 45068, 1, 506},
	{3523, 45088, 1, 505},
	{3544, 45092, 1, 506},
	{3565, 45096, 11, 3823},
	{3589, 45100, 6, 3834},
	{3613, 45104, 1, 109},
	{3639, 45108, 1, 109},
	{3665, 45112, 1, 109},
	{3691, 45116, 1, 109},
	{3717, 45120, 1, 109},
	{3743, 45124, 1, 109},
	{3769, 45128, 1, 109},
	{3795, 45132, 1, 109},
	{3821, 45136, 1, 109},
	{3847, 45140, 1, 109},
	{3873, 45144, 1, 109},
	{3900, 45148, 1, 109},
	{3927, 45152, 1, 109},
	{3954, 45156, 1, 109},
	{3981, 45160, 1, 109},
	{4008, 45164, 1, 109},
	{50046, 45312, 1, 505},
	{50067, 45316, 1, 506},
	{50088, 45320, 1, 505},
	{50109, 45324, 1, 506},
	{4729, 45344, 1, 505},
	{4750, 45348, 1, 506},
	{4771, 45352, 12, 3840},
	{4795, 45356, 10, 3852},
	{4819, 45360, 1, 109},
	{4845, 45364, 1, 109},
	{4871, 45368, 1, 109},
	{4897, 45372, 1, 109},
	{4923, 45376, 1, 109},
	{4949, 45380, 1, 109},
	{4975, 45384, 1, 109},
	{5001, 45388, 1, 109},
	{5027, 45392, 1, 109},
	{5053, 45396, 1, 109},
	{5079, 45400, 1, 109},
	{5106, 45404, 1, 109},
	{5133, 45408, 1, 109},
	{5160, 45412, 1, 109},
	{5187, 45416, 1, 109},
	{5214, 45420, 1, 109},
	{50130, 45568, 1, 505},
	{50151, 45572, 1, 506},
	{50172, 45576, 1, 505},
	{50193, 45580, 1, 506},
	{6103, 45600, 1, 505},
	{6124, 45604, 1, 506},
	{6145, 45608, 11, 3862},
	{6169, 45612, 4, 3873},
	{6193, 45616, 1, 109},
	{6219, 45620, 1, 109},
	{6245, 45624, 1, 109},
	{6271, 45628, 1, 109},
	{6297, 45632, 1, 109},
	{6323, 45636, 1, 109},
	{6349, 45640, 1, 109},
	{6375, 45644, 1, 109},
	{6401, 45648, 1, 109},
	{6427, 45652, 1, 109},
	{6453, 45656, 1, 109},
	{6480, 45660, 1, 109},
	{6507, 45664, 1, 109},
	{6534, 45668, 1, 109},
	{6561, 45672, 1, 109},
	{6588, 45676, 1, 109},
	{50214, 45824, 1, 505},
	{50235, 45828, 1, 506},
	{50256, 45832, 1, 505},
	{50277, 45836, 1, 506},
	{7274, 45856, 1, 505},
	{7295, 45860, 1, 506},
	{7316, 45864, 12, 3840},
	{7340, 45868, 6, 3877},
	{7364, 45872, 1, 109},
	{7390, 45876, 1, 109},
	{7416, 45880, 1, 109},
	{7442, 45884, 1, 109},
	{7468, 45888, 1, 109},
	{7494, 45892, 1, 109},
	{7520, 45896, 1, 109},
	{7546, 45900, 1, 109},
	{7572, 45904, 1, 109},
	{7598, 45908, 1, 109},
	{7624, 45912, 1, 109},
	{7651, 45916, 1, 109},
	{7678, 45920, 1, 109},
	{7705, 45924, 1, 109},
	{7732, 45928, 1, 109},
	{7759, 45932, 1, 109},
	{50298, 46080, 1, 505},
	{50319, 46084, 1, 506},
	{50340, 46088, 1, 505},
	{50361, 46092, 1, 506},
	{7998, 46112, 1, 505},
	{8019, 46116, 1, 506},
	{8040, 46120, 10, 3883},
	{8064, 46124, 6, 3893},
	{8088, 46128, 1, 109},
	{8114, 46132, 1, 109},
	{8140, 46136, 1, 109},
	{8166, 46140, 1, 109},
	{8192, 46144, 1, 109},
	{8218, 46148, 1, 109},
	{8244, 46152, 1, 109},
	{8270, 46156, 1, 109},
	{8296, 46160, 1, 109},
	{8322, 46164, 1, 109},
	{8348, 46168, 1, 109},
	{8375, 46172, 1, 109},
	{8402, 46176, 1, 109},
	{8429, 46180, 1, 109},
	{8456, 46184, 1, 109},
	{8483, 46188, 1, 109},
	{50382, 46336, 1, 505},
	{50403, 46340, 1, 506},
	{50424, 46344, 1, 505},
	{50445, 46348, 1, 506},
	{9169, 46368, 1, 505},
	{9190, 46372, 1, 506},
	{9211, 46376, 11, 3899},
	{9235, 46380, 5, 3910},
	{9259, 46384, 1, 109},
	{9285, 46388, 1, 109},
	{9311, 46392, 1, 109},
	{9337, 46396, 1, 109},
	{9363, 46400, 1, 109},
	{9389, 46404, 1, 109},
	{9415, 46408, 1, 109},
	{9441, 46412, 1, 109},
	{9467, 46416, 1, 109},
	{9493, 46420, 1, 109},
	{9519, 46424, 1, 109},
	{9546, 46428, 1, 109},
	{9573, 46432, 1, 109},
	{9600, 46436, 1, 109},
	{9627, 46440, 1, 109},
	{9654, 46444, 1, 109},
	{9681, 47104, 12, 3915},
	{9708, 47108, 1, 674},
	{9722, 47112, 1, 674},
	{9736, 47116, 1, 674},
	{9750, 47120, 1, 675},
	{9766, 47124, 1, 675},
	{9782, 47128, 1, 675},
	{9798, 47132, 2, 676},
	{9819, 47136, 2, 676},
	{9840, 47140, 2, 676},
	{50466, 47148, 1, 3927},
	{9914, 47152, 1, 109},
	{9929, 47156, 2, 3928},
	{50486, 47160, 1, 109},
	{50501, 47164, 1, 680},
	{50516, 47168, 1, 109},
	{50531, 47172, 1, 680},
	{10068, 47176, 10, 3930},
	{10086, 47180, 11, 693},
	{10104, 47184, 1, 704},
	{10117, 47188, 7, 3940},
	{50546, 47192, 2, 3947},
	{50577, 47196, 2, 3947},
	{10195, 47200, 2, 712},
	{10670, 47360, 1, 109},
	{10690, 47364, 1, 109},
	{10710, 47368, 1, 109},
	{10730, 47372, 1, 109},
	{10750, 47376, 1, 109},
	{10770, 47380, 1, 109},
	{10790, 47384, 1, 109},
	{10810, 47388, 1, 109},
	{10830, 47392, 1, 109},
	{10850, 47396, 1, 109},
	{10870, 47400, 1, 109},
	{10891, 47404, 1, 109},
	{10912, 47408, 1, 109},
	{10933, 47412, 1, 109},
	{10954, 47416, 1, 109},
	{10975, 47420, 1, 109},
	{50608, 53300, 29, 3949},
	{50625, 55348, 29, 3949},
	{11057, 163840, 9, 741},
	{11075, 163844, 9, 3978},
	{11092, 163848, 4, 3987},
	{11106, 163852, 23, 769},
	{11125, 163856, 15, 792},
	{11145, 163860, 1, 808},
	{11181, 163872, 1, 811},
	{11201, 163876, 1, 812},
	{11221, 163880, 1, 813},
	{11238, 163884, 1, 814},
	{11253, 163888, 2, 815},
	{11277, 163892, 2, 817},
	{50642, 163900, 7, 3991},
	{11335, 163904, 8, 3998},
	{11345, 163908, 5, 4006},
	{11361, 163912, 1, 808},
	{11376, 163916, 1, 808},
	{11397, 163920, 1, 808},
	{11413, 163924, 1, 808},
	{50656, 163928, 2, 4011},
	{50670, 163932, 1, 4013},
	{11603, 163968, 1, 866},
	{11722, 164344, 1, 869},
	{11740, 164348, 1, 869},
	{11758, 164352, 2, 870},
	{11778, 164356, 3, 872},
	{11802, 164360, 2, 875},
	{11826, 164364, 1, 877},
	{11846, 164368, 2, 872},
	{11866, 164372, 2, 875},
	{11886, 164376, 2, 872},
	{11906, 164380, 2, 875},
	{11926, 164384, 2, 872},
	{11946, 164388, 2, 875},
	{11966, 164392, 2, 872},
	{11986, 164396, 2, 875},
	{12006, 164400, 7, 878},
	{12021, 164404, 2, 885},
	{12050, 164408, 8, 887},
	{12065, 164412, 8, 895},
	{12080, 164416, 3, 872},
	{12105, 164420, 2, 875},
	{12130, 164424, 1, 869},
	{12148, 164428, 1, 869},
	{12166, 164432, 3, 872},
	{12191, 164436, 2, 875},
	{12216, 164440, 3, 872},
	{12241, 164444, 2, 875},
	{12266, 164448, 3, 872},
	{12291, 164452, 2, 875},
	{12316, 164456, 3, 872},
	{12341, 164460, 2, 875},
	{12366, 164464, 3, 872},
	{12391, 164468, 2, 875},
	{12416, 164472, 3, 872},
	{12441, 164476, 2, 875},
	{12466, 164480, 3, 872},
	{12491, 164484, 2, 875},
	{12516, 164488, 3, 872},
	{12541, 164492, 2, 875},
	{12566, 164496, 3, 872},
	{12591, 164500, 2, 875},
	{12616, 164504, 3, 872},
	{12641, 164508, 2, 875},
	{12666, 164512, 3, 872},
	{12692, 164516, 2, 875},
	{12718, 164520, 3, 872},
	{12744, 164524, 2, 875},
	{12770, 164528, 3, 872},
	{12796, 164532, 2, 875},
	{12822, 164536, 3, 872},
	{12848, 164540, 2, 875},
	{12874, 164544, 3, 872},
	{12900, 164548, 2, 875},
	{12926, 164552, 3, 872},
	{12952, 164556, 2, 875},
	{12978, 164560, 1, 903},
	{12997, 164564, 1, 904},
	{13016, 164568, 1, 903},
	{13035, 164572, 1, 904},
	{13054, 164576, 1, 903},
	{13073, 164580, 1, 904},
	{13092, 164584, 1, 903},
	{13111, 164588, 1, 904},
	{13130, 164592, 1, 903},
	{13149, 164596, 1, 904},
	{13168, 164600, 1, 903},
	{13187, 164604, 1, 904},
	{13206, 164608, 1, 903},
	{13225, 164612, 1, 904},
	{13244, 164616, 1, 903},
	{13263, 164620, 1, 904},
	{13282, 164624, 1, 903},
	{13301, 164628, 1, 904},
	{13320, 164632, 1, 903},
	{13339, 164636, 1, 904},
	{13358, 164640, 1, 903},
	{13378, 164644, 1, 904},
	{13398, 164648, 1, 903},
	{13418, 164652, 1, 904},
	{13438, 164656, 1, 903},
	{13458, 164660, 1, 904},
	{13478, 164664, 1, 903},
	{13498, 164668, 1, 904},
	{13518, 164672, 1, 903},
	{13538, 164676, 1, 904},
	{13558, 164680, 1, 903},
	{13578, 164684, 1, 904},
	{13598, 164688, 15, 905},
	{13697, 164704, 1, 932},
	{50685, 164708, 1, 4014},
	{13728, 164712, 1, 934},
	{13796, 164864, 1, 943},
	{13813, 164868, 1, 944},
	{13830, 164872, 1, 945},
	{13846, 164876, 1, 946},
	{13900, 164884, 1, 957},
	{13913, 164888, 1, 958},
	{13928, 164892, 1, 959},
	{13942, 164896, 1, 960},
	{13996, 164908, 6, 973},
	{14015, 164912, 4, 979},
	{14033, 164916, 4, 983},
	{14054, 164924, 1, 987},
	{14073, 164928, 1, 988},
	{14093, 164932, 1, 989},
	{14112, 164936, 1, 990},
	{14132, 164940, 1, 991},
	{14151, 164944, 1, 992},
	{14171, 164948, 1, 987},
	{14192, 164952, 1, 988},
	{14214, 164956, 1, 989},
	{14235, 164960, 1, 990},
	{14257, 164964, 1, 991},
	{14278, 164968, 1, 992},
	{14300, 164972, 1, 987},
	{14321, 164976, 1, 988},
	{14343, 164980, 1, 989},
	{14364, 164984, 1, 990},
	{14386, 164988, 1, 991},
	{14407, 164992, 1, 992},
	{14429, 164996, 1, 987},
	{14450, 165000, 1, 988},
	{14472, 165004, 1, 989},
	{14493, 165008, 1, 990},
	{14515, 165012, 1, 991},
	{14536, 165016, 1, 992},
	{14558, 165020, 1, 987},
	{14579, 165024, 1, 988},
	{14601, 165028, 1, 989},
	{14622, 165032, 1, 990},
	{14644, 165036, 1, 991},
	{14665, 165040, 1, 992},
	{14687, 165044, 1, 987},
	{14708, 165048, 1, 988},
	{14730, 165052, 1, 989},
	{14751, 165056, 1, 990},
	{14773, 165060, 1, 991},
	{14794, 165064, 1, 992},
	{14816, 165068, 1, 987},
	{14837, 165072, 1, 988},
	{14859, 165076, 1, 989},
	{14880, 165080, 1, 990},
	{14902, 165084, 1, 991},
	{14923, 165088, 1, 992},
	{14945, 165092, 1, 987},
	{14966, 165096, 1, 988},
	{14988, 165100, 1, 989},
	{15009, 165104, 1, 990},
	{15031, 165108, 1, 991},
	{15052, 165112, 1, 992},
	{15074, 165116, 1, 987},
	{15095, 165120, 1, 988},
	{15117, 165124, 1, 989},
	{15138, 165128, 1, 990},
	{15160, 165132, 1, 991},
	{15181, 165136, 1, 992},
	{15203, 165140, 1, 987},
	{15224, 165144, 1, 988},
	{15246, 165148, 1, 989},
	{15267, 165152, 1, 990},
	{15289, 165156, 1, 991},
	{15310, 165160, 1, 992},
	{15332, 165164, 1, 987},
	{15354, 165168, 1, 988},
	{15377, 165172, 1, 989},
	{15399, 165176, 1, 990},
	{15422, 165180, 1, 991},
	{15444, 165184, 1, 992},
	{15467, 165188, 1, 987},
	{15489, 165192, 1, 988},
	{15512, 165196, 1, 989},
	{15534, 165200, 1, 990},
	{15557, 165204, 1, 991},
	{15579, 165208, 1, 992},
	{15602, 165212, 1, 987},
	{15624, 165216, 1, 988},
	{15647, 165220, 1, 989},
	{15669, 165224, 1, 990},
	{15692, 165228, 1, 991},
	{15714, 165232, 1, 992},
	{15737, 165236, 1, 987},
	{15759, 165240, 1, 988},
	{15782, 165244, 1, 989},
	{15804, 165248, 1, 990},
	{15827, 165252, 1, 991},
	{15849, 165256, 1, 992},
	{15872, 165260, 1, 987},
	{15894, 165264, 1, 988},
	{15917, 165268, 1, 989},
	{15939, 165272, 1, 990},
	{15962, 165276, 1, 991},
	{15984, 165280, 1, 992},
	{16007, 165284, 1, 987},
	{16029, 165288, 1, 988},
	{16052, 165292, 1, 989},
	{16074, 165296, 1, 990},
	{16097, 165300, 1, 991},
	{16119, 165304, 1, 992},
	{16142, 165308, 1, 993},
	{16156, 165312, 1, 993},
	{16170, 165316, 1, 993},
	{16184, 165320, 1, 993},
	{16198, 165324, 1, 993},
	{16212, 165328, 1, 993},
	{16226, 165332, 1, 993},
	{16240, 165336, 1, 993},
	{16254, 165340, 1, 993},
	{16268, 165344, 1, 993},
	{16282, 165348, 1, 993},
	{16296, 165352, 1, 993},
	{16310, 165356, 1, 993},
	{16324, 165360, 1, 993},
	{16338, 165364, 1, 993},
	{16352, 165368, 1, 993},
	{16366, 165372, 1, 993},
	{16380, 165376, 1, 993},
	{16394, 165380, 1, 993},
	{16408, 165384, 1, 993},
	{16422, 165388, 1, 993},
	{16436, 165392, 1, 993},
	{16450, 165396, 1, 993},
	{16464, 165400, 1, 993},
	{16501, 165444, 6, 994},
	{16521, 165448, 6, 994},
	{16541, 165452, 6, 994},
	{16561, 165456, 6, 994},
	{16581, 165460, 6, 994},
	{16601, 165464, 6, 994},
	{16621, 165468, 6, 994},
	{16641, 165472, 6, 994},
	{16661, 165476, 6, 994},
	{16681, 165480, 6, 994},
	{16701, 165484, 6, 994},
	{16722, 165488, 6, 994},
	{16743, 165492, 6, 994},
	{16764, 165496, 6, 994},
	{16785, 165500, 6, 994},
	{16806, 165504, 6, 994},
	{16827, 165508, 6, 994},
	{16848, 165512, 6, 994},
	{16869, 165516, 6, 994},
	{16890, 165520, 6, 994},
	{16911, 165524, 4, 1006},
	{16932, 165528, 4, 1006},
	{16953, 165532, 4, 1006},
	{16974, 165536, 4, 1006},
	{16995, 165540, 4, 1006},
	{17016, 165544, 4, 1006},
	{17037, 165548, 4, 1006},
	{17058, 165552, 4, 1006},
	{17079, 165556, 4, 1006},
	{17100, 165560, 4, 1006},
	{17121, 165564, 4, 1006},
	{17142, 165568, 4, 1006},
	{17163, 165572, 2, 1015},
	{17181, 165580, 16, 1018},
	{17198, 165584, 16, 1018},
	{17216, 165588, 7, 1034},
	{17237, 165592, 3, 4015},
	{17255, 165600, 7, 1047},
	{17270, 165608, 2, 712},
	{17309, 165644, 4, 1055},
	{17331, 165648, 1, 1060},
	{17351, 165652, 8, 1061},
	{17577, 165760, 9, 1108},
	{17595, 165764, 9, 1108},
	{17613, 165768, 9, 1108},
	{17631, 165772, 9, 1108},
	{17649, 165776, 9, 1108},
	{17667, 165780, 9, 1108},
	{17685, 165784, 9, 1108},
	{17703, 165788, 9, 1108},
	{17721, 165836, 1, 1117},
	{17735, 165840, 1, 1117},
	{17750, 165844, 1, 993},
	{17768, 165848, 1, 993},
	{17786, 165852, 1, 993},
	{17803, 165856, 1, 993},
	{17824, 165860, 1, 4018},
	{17840, 165864, 1, 1119},
	{17853, 165872, 5, 1120},
	{17872, 165876, 1, 109},
	{17887, 165880, 1, 1128},
	{17936, 165888, 10, 1130},
	{17953, 165892, 12, 1140},
	{17961, 165896, 3, 4019},
	{17978, 165900, 12, 1156},
	{17996, 165904, 19, 1173},
	{18012, 165908, 13, 1193},
	{18031, 165912, 10, 1209},
	{18046, 165916, 26, 1219},
	{18064, 165920, 16, 1247},
	{18082, 165924, 4, 1263},
	{18106, 165928, 1, 1267},
	{18131, 165932, 11, 1268},
	{18283, 166400, 2, 1301},
	{18300, 166404, 2, 1303},
	{18319, 166408, 1, 1305},
	{18335, 166412, 4, 1306},
	{18354, 166416, 1, 1310},
	{18375, 166420, 1, 1311},
	{18388, 166424, 1, 1312},
	{18411, 166428, 1, 1313},
	{18434, 166432, 1, 1314},
	{18454, 166436, 4, 4022},
	{18474, 166440, 1, 1319},
	{18495, 166444, 1, 1320},
	{18510, 166448, 6, 1321},
	{18532, 166452, 6, 1321},
	{18554, 166456, 8, 1327},
	{18580, 166460, 8, 1327},
	{18606, 166464, 15, 1335},
	{18637, 166472, 4, 1353},
	{18655, 166476, 24, 1360},
	{18673, 166480, 1, 1384},
	{18685, 166484, 1, 1385},
	{18699, 166488, 1, 1386},
	{18713, 166492, 1, 1387},
	{18727, 166496, 1, 1388},
	{18750, 166500, 1, 1388},
	{18773, 166504, 1, 1388},
	{18796, 166508, 5, 4026},
	{18817, 166512, 1, 1384},
	{18828, 166516, 1, 1394},
	{18841, 166520, 1, 1395},
	{18858, 166524, 7, 4031},
	{18888, 166532, 2, 1404},
	{18907, 166536, 1, 1407},
	{18929, 166540, 1, 1408},
	{18951, 166544, 3, 4038},
	{18971, 166548, 1, 1412},
	{19020, 166560, 1, 1419},
	{19045, 166564, 1, 1419},
	{19070, 166568, 6, 1420},
	{19089, 166572, 1, 1426},
	{19112, 166576, 1, 1426},
	{19135, 166580, 1, 1427},
	{19149, 166584, 1, 1428},
	{19164, 166588, 7, 4041},
	{19181, 166592, 4, 1438},
	{19208, 166596, 4, 1442},
	{19235, 166600, 4, 1446},
	{19254, 166608, 1, 674},
	{19280, 166612, 1, 1450},
	{19305, 166620, 1, 1451},
	{19333, 166624, 1, 674},
	{19359, 166628, 1, 1450},
	{19384, 166636, 1, 1451},
	{19412, 166640, 1, 674},
	{19438, 166644, 1, 1450},
	{19463, 166652, 1, 1451},
	{19491, 166656, 1, 674},
	{19517, 166660, 1, 1450},
	{19542, 166668, 1, 1451},
	{19570, 166696, 1, 1451},
	{19601, 166700, 1, 674},
	{19644, 166704, 1, 1452},
	{19682, 166712, 1, 1453},
	{19743, 166740, 6, 1461},
	{19764, 166744, 3, 1480},
	{19781, 166748, 1, 1426},
	{19802, 166752, 1, 1426},
	{19825, 166756, 1, 1426},
	{19848, 166760, 1, 1426},
	{19871, 166764, 8, 4048},
	{19884, 166768, 6, 1495},
	{19925, 166776, 2, 1502},
	{19955, 166780, 1, 1504},
	{19979, 166784, 1, 1505},
	{20009, 166788, 1, 1451},
	{20040, 166792, 1, 1505},
	{20069, 166796, 1, 1451},
	{20099, 166800, 2, 1506},
	{20119, 166804, 7, 4056},
	{20138, 166808, 4, 1517},
	{20188, 166868, 8, 1521},
	{20214, 166872, 8, 1529},
	{20240, 166876, 4, 1537},
	{20256, 166880, 5, 1542},
	{20272, 166884, 3, 1548},
	{20287, 166888, 1, 993},
	{20310, 166892, 1, 993},
	{20333, 166896, 1, 993},
	{20356, 166900, 1, 993},
	{20379, 166904, 8, 1551},
	{20413, 166908, 8, 1559},
	{20447, 166912, 8, 1567},
	{20481, 166916, 8, 1575},
	{20515, 166920, 8, 1551},
	{20549, 166924, 8, 1559},
	{20583, 166928, 8, 1567},
	{20617, 166932, 8, 1575},
	{20651, 166936, 8, 1551},
	{20685, 166940, 8, 1559},
	{20719, 166944, 8, 1567},
	{20753, 166948, 8, 1575},
	{20787, 166952, 8, 1551},
	{20821, 166956, 8, 1559},
	{20855, 166960, 8, 1567},
	{20889, 166964, 8, 1575},
	{20923, 166968, 2, 1583},
	{20947, 166972, 2, 1585},
	{21090, 167000, 1, 1627},
	{21118, 167004, 1, 1628},
	{21139, 167008, 1, 808},
	{21154, 167012, 2, 1629},
	{21170, 167016, 1, 1631},
	{21186, 167020, 2, 3987},
	{21201, 167024, 15, 4063},
	{21216, 167028, 6, 1654},
	{21255, 167036, 1, 808},
	{21271, 167040, 1, 1674},
	{21293, 167044, 1, 808},
	{21309, 167048, 1, 1631},
	{21331, 167052, 1, 1675},
	{21353, 167056, 1, 1676},
	{21394, 167068, 1, 808},
	{21409, 167072, 2, 1629},
	{21425, 167076, 1, 1631},
	{21441, 167080, 2, 3987},
	{21456, 167084, 15, 4063},
	{21471, 167088, 6, 1654},
	{21510, 167096, 1, 808},
	{21526, 167100, 1, 1674},
	{21548, 167104, 1, 808},
	{21564, 167108, 1, 1631},
	{21586, 167112, 1, 1675},
	{21608, 167116, 1, 1676},
	{21649, 167128, 1, 808},
	{21664, 167132, 2, 1629},
	{21680, 167136, 1, 1631},
	{21696, 167140, 2, 3987},
	{21711, 167144, 15, 4063},
	{21726, 167148, 6, 1654},
	{21765, 167156, 1, 808},
	{21781, 167160, 1, 1674},
	{21803, 167164, 1, 808},
	{21819, 167168, 1, 1631},
	{21841, 167172, 1, 1675},
	{21863, 167176, 1, 1676},
	{21904, 167188, 1, 808},
	{21919, 167192, 2, 1629},
	{21935, 167196, 1, 1631},
	{21951, 167200, 2, 3987},
	{21966, 167204, 15, 4063},
	{21981, 167208, 6, 1654},
	{22020, 167216, 1, 808},
	{22036, 167220, 1, 1674},
	{22058, 167224, 1, 808},
	{22074, 167228, 1, 1631},
	{22096, 167232, 1, 1675},
	{22118, 167236, 1, 1676},
	{22159, 167248, 1, 808},
	{22174, 167252, 2, 1629},
	{22190, 167256, 1, 1631},
	{22206, 167260, 2, 3987},
	{22221, 167264, 15, 4063},
	{22236, 167268, 6, 1654},
	{22275, 167276, 1, 808},
	{22291, 167280, 1, 1674},
	{22313, 167284, 1, 808},
	{22329, 167288, 1, 1631},
	{22351, 167292, 1, 1675},
	{22373, 167296, 1, 1676},
	{22414, 167308, 1, 808},
	{22429, 167312, 2, 1629},
	{22445, 167316, 1, 1631},
	{22461, 167320, 2, 3987},
	{22476, 167324, 15, 4063},
	{22491, 167328, 6, 1654},
	{22530, 167336, 1, 808},
	{22546, 167340, 1, 1674},
	{22568, 167344, 1, 808},
	{22584, 167348, 1, 1631},
	{22606, 167352, 1, 1675},
	{22628, 167356, 1, 1676},
	{22669, 167368, 1, 808},
	{22684, 167372, 2, 1629},
	{22700, 167376, 1, 1631},
	{22716, 167380, 2, 3987},
	{22731, 167384, 15, 4063},
	{22746, 167388, 6, 1654},
	{22785, 167396, 1, 808},
	{22801, 167400, 1, 1674},
	{22823, 167404, 1, 808},
	{22839, 167408, 1, 1631},
	{22861, 167412, 1, 1675},
	{22883, 167416, 1, 1676},
	{22924, 167428, 1, 808},
	{22939, 167432, 2, 1629},
	{22955, 167436, 1, 1631},
	{22971, 167440, 2, 3987},
	{22986, 167444, 15, 4063},
	{23001, 167448, 6, 1654},
	{23040, 167456, 1, 808},
	{23056, 167460, 1, 1674},
	{23078, 167464, 1, 808},
	{23094, 167468, 1, 1631},
	{23116, 167472, 1, 1675},
	{23138, 167476, 1, 1676},
	{195, 880, 4, 4078},
	{42808, 881},
	{26631, 882},
	{42820, 1008},
	{42831, 1009},
	{26819, 1010, 3, 2321},
	{42842, 1040, 1, 2324},
	{42855, 1041, 5, 4082},
	{42868, 1042, 1, 2330},
	{42881, 1043, 1, 1810},
	{26653, 1045, 9, 4087},
	{42909, 1280, 4, 4096},
	{42924, 1281},
	{26590, 1282},
	{42808, 1283},
	{26631, 1284},
};

static const struct si_reg gfx7_reg_table[] = {
	{974, 68, 9, 4100},
	{987, 72, 24, 2925},
	{1002, 76, 3, 4109},
	{46947, 80, 11, 4112},
	{1039, 84, 4, 2963},
	{1057, 88, 2, 2967},
	{1075, 92, 4, 4123},
	{1090, 96, 1, 70},
	{1104, 100, 1, 2973},
	{1118, 104, 1, 72},
	{46961, 108, 1, 2974},
	{46978, 112, 13, 2975},
	{46994, 2480, 1, 1877},
	{47009, 2484, 1, 2988},
	{47024, 2488, 1, 1877},
	{47039, 2492, 1, 2988},
	{1273, 2496, 1, 109},
	{1287, 2500, 1, 109},
	{1301, 2504, 1, 109},
	{1315, 2508, 1, 109},
	{1329, 2512, 1, 109},
	{1343, 2516, 1, 109},
	{1357, 2520, 1, 109},
	{1371, 2524, 1, 109},
	{1385, 2528, 1, 109},
	{1399, 2532, 1, 109},
	{1413, 2536, 1, 109},
	{1428, 2540, 1, 109},
	{1503, 2544, 1, 110},
	{1514, 2552, 1, 111},
	{1530, 2556, 1, 112},
	{47054, 3660, 21, 2989},
	{47067, 3664, 20, 3010},
	{47079, 3668, 16, 3030},
	{1618, 32776, 17, 4127},
	{1631, 32784, 24, 3068},
	{1643, 32788, 11, 3092},
	{1659, 32792, 11, 3092},
	{1688, 32824, 11, 3092},
	{1704, 32828, 11, 3092},
	{1720, 33296, 16, 4144},
	{1734, 33300, 28, 212},
	{1751, 33304, 17, 4160},
	{1772, 33308, 18, 4177},
	{1786, 33312, 31, 4195},
	{1803, 33316, 7, 4226},
	{50695, 33320, 1, 3372},
	{1842, 33324, 1, 337},
	{1865, 33344, 1, 1833},
	{1886, 33348, 1, 340},
	{1947, 33436, 1, 351},
	{49639, 36352, 1, 737},
	{49660, 36356, 1, 3678},
	{2095, 36360, 9, 4233},
	{2116, 36364, 3, 3687},
	{49681, 36368, 2, 3690},
	{50710, 36372, 2, 4242},
	{50732, 36376, 1, 4244},
	{2074, 36400, 2, 3692},
	{2164, 36404, 5, 4245},
	{49707, 36408, 15, 3699},
	{2143, 36412, 1, 3714},
	{49728, 36416, 1, 388},
	{49749, 36424, 1, 3715},
	{2351, 36608, 1, 394},
	{2369, 36612, 4, 395},
	{2387, 36616, 1, 399},
	{2405, 36620, 14, 3740},
	{3306, 36624, 1, 394},
	{3324, 36628, 5, 3754},
	{3342, 36632, 4, 3759},
	{3360, 36636, 11, 3763},
	{3378, 36640, 2, 3774},
	{3396, 36644, 2, 3776},
	{3414, 36648, 4, 3778},
	{3432, 36652, 1, 3782},
	{2423, 36656, 13, 3783},
	{2441, 36660, 4, 424},
	{2459, 36664, 9, 3796},
	{2477, 36668, 3, 3805},
	{2495, 37120, 6, 442},
	{2511, 39160, 9, 3808},
	{2526, 39184, 5, 3818},
	{2540, 39188, 5, 3818},
	{2554, 39192, 5, 3818},
	{2568, 39196, 5, 3818},
	{2582, 39200, 5, 3818},
	{2596, 39204, 5, 3818},
	{2610, 39208, 5, 3818},
	{2624, 39212, 5, 3818},
	{2638, 39216, 5, 3818},
	{2652, 39220, 5, 3818},
	{2666, 39224, 5, 3818},
	{2681, 39228, 5, 3818},
	{2696, 39232, 5, 3818},
	{2711, 39236, 5, 3818},
	{2726, 39240, 5, 3818},
	{2741, 39244, 5, 3818},
	{2756, 39248, 5, 3818},
	{2771, 39252, 5, 3818},
	{2786, 39256, 5, 3818},
	{2801, 39260, 5, 3818},
	{2816, 39264, 5, 3818},
	{2831, 39268, 5, 3818},
	{2846, 39272, 5, 3818},
	{2861, 39276, 5, 3818},
	{2876, 39280, 5, 3818},
	{2891, 39284, 5, 3818},
	{2906, 39288, 5, 3818},
	{2921, 39292, 5, 3818},
	{2936, 39296, 5, 3818},
	{2951, 39300, 5, 3818},
	{2966, 39304, 5, 3818},
	{2981, 39308, 5, 3818},
	{2996, 39312, 4, 461},
	{3015, 39316, 4, 461},
	{3034, 39320, 4, 461},
	{3053, 39324, 4, 461},
	{3072, 39328, 4, 461},
	{3091, 39332, 4, 461},
	{3110, 39336, 4, 461},
	{3129, 39340, 4, 461},
	{3148, 39344, 4, 461},
	{3167, 39348, 4, 461},
	{3186, 39352, 4, 461},
	{3206, 39356, 4, 461},
	{3226, 39360, 4, 461},
	{3246, 39364, 4, 461},
	{3266, 39368, 4, 461},
	{3286, 39372, 4, 461},
	{49962, 45056, 1, 505},
	{49983, 45060, 1, 506},
	{50004, 45064, 1, 505},
	{50025, 45068, 1, 506},
	{3499, 45084, 3, 502},
	{3523, 45088, 1, 505},
	{3544, 45092, 1, 506},
	{3565, 45096, 11, 3823},
	{3589, 45100, 6, 518},
	{3613, 45104, 1, 109},
	{3639, 45108, 1, 109},
	{3665, 45112, 1, 109},
	{3691, 45116, 1, 109},
	{3717, 45120, 1, 109},
	{3743, 45124, 1, 109},
	{3769, 45128, 1, 109},
	{3795, 45132, 1, 109},
	{3821, 45136, 1, 109},
	{3847, 45140, 1, 109},
	{3873, 45144, 1, 109},
	{3900, 45148, 1, 109},
	{3927, 45152, 1, 109},
	{3954, 45156, 1, 109},
	{3981, 45160, 1, 109},
	{4008, 45164, 1, 109},
	{50046, 45312, 1, 505},
	{50067, 45316, 1, 506},
	{50088, 45320, 1, 505},
	{50109, 45324, 1, 506},
	{4680, 45336, 3, 502},
	{4704, 45340, 1, 542},
	{4729, 45344, 1, 505},
	{4750, 45348, 1, 506},
	{4771, 45352, 12, 3840},
	{4795, 45356, 10, 555},
	{4819, 45360, 1, 109},
	{4845, 45364, 1, 109},
	{4871, 45368, 1, 109},
	{4897, 45372, 1, 109},
	{4923, 45376, 1, 109},
	{4949, 45380, 1, 109},
	{4975, 45384, 1, 109},
	{5001, 45388, 1, 109},
	{5027, 45392, 1, 109},
	{5053, 45396, 1, 109},
	{5079, 45400, 1, 109},
	{5106, 45404, 1, 109},
	{5133, 45408, 1, 109},
	{5160, 45412, 1, 109},
	{5187, 45416, 1, 109},
	{5214, 45420, 1, 109},
	{5864, 45552, 6, 578},
	{5891, 45556, 5, 584},
	{50130, 45568, 1, 505},
	{50151, 45572, 1, 506},
	{50172, 45576, 1, 505},
	{50193, 45580, 1, 506},
	{6079, 45596, 3, 502},
	{6103, 45600, 1, 505},
	{6124, 45604, 1, 506},
	{6145, 45608, 11, 3862},
	{6169, 45612, 4, 569},
	{6193, 45616, 1, 109},
	{6219, 45620, 1, 109},
	{6245, 45624, 1, 109},
	{6271, 45628, 1, 109},
	{6297, 45632, 1, 109},
	{6323, 45636, 1, 109},
	{6349, 45640, 1, 109},
	{6375, 45644, 1, 109},
	{6401, 45648, 1, 109},
	{6427, 45652, 1, 109},
	{6453, 45656, 1, 109},
	{6480, 45660, 1, 109},
	{6507, 45664, 1, 109},
	{6534, 45668, 1, 109},
	{6561, 45672, 1, 109},
	{6588, 45676, 1, 109},
	{7223, 45808, 6, 578},
	{50214, 45824, 1, 505},
	{50235, 45828, 1, 506},
	{50256, 45832, 1, 505},
	{50277, 45836, 1, 506},
	{7250, 45852, 3, 502},
	{7274, 45856, 1, 505},
	{7295, 45860, 1, 506},
	{7316, 45864, 12, 3840},
	{7340, 45868, 6, 578},
	{7364, 45872, 1, 109},
	{7390, 45876, 1, 109},
	{7416, 45880, 1, 109},
	{7442, 45884, 1, 109},
	{7468, 45888, 1, 109},
	{7494, 45892, 1, 109},
	{7520, 45896, 1, 109},
	{7546, 45900, 1, 109},
	{7572, 45904, 1, 109},
	{7598, 45908, 1, 109},
	{7624, 45912, 1, 109},
	{7651, 45916, 1, 109},
	{7678, 45920, 1, 109},
	{7705, 45924, 1, 109},
	{7732, 45928, 1, 109},
	{7759, 45932, 1, 109},
	{7786, 46068, 5, 584},
	{50298, 46080, 1, 505},
	{50319, 46084, 1, 506},
	{50340, 46088, 1, 505},
	{50361, 46092, 1, 506},
	{7974, 46108, 2, 627},
	{7998, 46112, 1, 505},
	{8019, 46116, 1, 506},
	{8040, 46120, 10, 3883},
	{8064, 46124, 6, 643},
	{8088, 46128, 1, 109},
	{8114, 46132, 1, 109},
	{8140, 46136, 1, 109},
	{8166, 46140, 1, 109},
	{8192, 46144, 1, 109},
	{8218, 46148, 1, 109},
	{8244, 46152, 1, 109},
	{8270, 46156, 1, 109},
	{8296, 46160, 1, 109},
	{8322, 46164, 1, 109},
	{8348, 46168, 1, 109},
	{8375, 46172, 1, 109},
	{8402, 46176, 1, 109},
	{8429, 46180, 1, 109},
	{8456, 46184, 1, 109},
	{8483, 46188, 1, 109},
	{9118, 46324, 5, 584},
	{50382, 46336, 1, 505},
	{50403, 46340, 1, 506},
	{50424, 46344, 1, 505},
	{50445, 46348, 1, 506},
	{9145, 46364, 3, 502},
	{9169, 46368, 1, 505},
	{9190, 46372, 1, 506},
	{9211, 46376, 11, 3899},
	{9235, 46380, 5, 584},
	{9259, 46384, 1, 109},
	{9285, 46388, 1, 109},
	{9311, 46392, 1, 109},
	{9337, 46396, 1, 109},
	{9363, 46400, 1, 109},
	{9389, 46404, 1, 109},
	{9415, 46408, 1, 109},
	{9441, 46412, 1, 109},
	{9467, 46416, 1, 109},
	{9493, 46420, 1, 109},
	{9519, 46424, 1, 109},
	{9546, 46428, 1, 109},
	{9573, 46432, 1, 109},
	{9600, 46436, 1, 109},
	{9627, 46440, 1, 109},
	{9654, 46444, 1, 109},
	{9681, 47104, 12, 3915},
	{9708, 47108, 1, 674},
	{9722, 47112, 1, 674},
	{9736, 47116, 1, 674},
	{9750, 47120, 1, 675},
	{9766, 47124, 1, 675},
	{9782, 47128, 1, 675},
	{9798, 47132, 2, 676},
	{9819, 47136, 2, 676},
	{9840, 47140, 2, 676},
	{9861, 47144, 1, 678},
	{9889, 47148, 1, 679},
	{9914, 47152, 1, 109},
	{9929, 47156, 2, 3928},
	{50486, 47160, 1, 109},
	{50501, 47164, 1, 680},
	{50516, 47168, 1, 109},
	{50531, 47172, 1, 680},
	{10068, 47176, 10, 3930},
	{10086, 47180, 11, 693},
	{10104, 47184, 1, 704},
	{10117, 47188, 6, 705},
	{50546, 47192, 2, 3947},
	{50577, 47196, 2, 3947},
	{10195, 47200, 2, 712},
	{50760, 47204, 2, 3947},
	{50791, 47208, 2, 3947},
	{10270, 47212, 1, 714},
	{10288, 47216, 1, 714},
	{10306, 47220, 1, 714},
	{10324, 47224, 1, 715},
	{10352, 47228, 4, 716},
	{10670, 47360, 1, 109},
	{10690, 47364, 1, 109},
	{10710, 47368, 1, 109},
	{10730, 47372, 1, 109},
	{10750, 47376, 1, 109},
	{10770, 47380, 1, 109},
	{10790, 47384, 1, 109},
	{10810, 47388, 1, 109},
	{10830, 47392, 1, 109},
	{10850, 47396, 1, 109},
	{10870, 47400, 1, 109},
	{10891, 47404, 1, 109},
	{10912, 47408, 1, 109},
	{10933, 47412, 1, 109},
	{10954, 47416, 1, 109},
	{10975, 47420, 1, 109},
	{50608, 53300, 29, 3949},
	{50625, 55348, 29, 3949},
	{11057, 163840, 9, 741},
	{11075, 163844, 9, 3978},
	{11092, 163848, 4, 3987},
	{11106, 163852, 23, 769},
	{11125, 163856, 15, 792},
	{11145, 163860, 1, 808},
	{11181, 163872, 1, 811},
	{11201, 163876, 1, 812},
	{11221, 163880, 1, 813},
	{11238, 163884, 1, 814},
	{11253, 163888, 2, 815},
	{11277, 163892, 2, 817},
	{50642, 163900, 7, 3991},
	{11335, 163904, 8, 3998},
	{11345, 163908, 5, 4006},
	{11361, 163912, 1, 808},
	{11376, 163916, 1, 808},
	{11397, 163920, 1, 808},
	{11413, 163924, 1, 808},
	{50656, 163928, 2, 4011},
	{50670, 163932, 1, 4013},
	{11603, 163968, 1, 866},
	{11619, 163972, 1, 867},
	{11638, 164328, 1, 4250},
	{11659, 164332, 1, 4250},
	{11680, 164336, 1, 4250},
	{11701, 164340, 1, 4250},
	{11722, 164344, 1, 869},
	{11740, 164348, 1, 869},
	{11758, 164352, 2, 870},
	{11778, 164356, 3, 872},
	{11802, 164360, 2, 875},
	{11826, 164364, 1, 877},
	{11846, 164368, 2, 872},
	{11866, 164372, 2, 875},
	{11886, 164376, 2, 872},
	{11906, 164380, 2, 875},
	{11926, 164384, 2, 872},
	{11946, 164388, 2, 875},
	{11966, 164392, 2, 872},
	{11986, 164396, 2, 875},
	{12006, 164400, 7, 878},
	{12021, 164404, 2, 885},
	{12050, 164408, 8, 887},
	{12065, 164412, 8, 895},
	{12080, 164416, 3, 872},
	{12105, 164420, 2, 875},
	{12130, 164424, 1, 869},
	{12148, 164428, 1, 869},
	{12166, 164432, 3, 872},
	{12191, 164436, 2, 875},
	{12216, 164440, 3, 872},
	{12241, 164444, 2, 875},
	{12266, 164448, 3, 872},
	{12291, 164452, 2, 875},
	{12316, 164456, 3, 872},
	{12341, 164460, 2, 875},
	{12366, 164464, 3, 872},
	{12391, 164468, 2, 875},
	{12416, 164472, 3, 872},
	{12441, 164476, 2, 875},
	{12466, 164480, 3, 872},
	{12491, 164484, 2, 875},
	{12516, 164488, 3, 872},
	{12541, 164492, 2, 875},
	{12566, 164496, 3, 872},
	{12591, 164500, 2, 875},
	{12616, 164504, 3, 872},
	{12641, 164508, 2, 875},
	{12666, 164512, 3, 872},
	{12692, 164516, 2, 875},
	{12718, 164520, 3, 872},
	{12744, 164524, 2, 875},
	{12770, 164528, 3, 872},
	{12796, 164532, 2, 875},
	{12822, 164536, 3, 872},
	{12848, 164540, 2, 875},
	{12874, 164544, 3, 872},
	{12900, 164548, 2, 875},
	{12926, 164552, 3, 872},
	{12952, 164556, 2, 875},
	{12978, 164560, 1, 903},
	{12997, 164564, 1, 904},
	{13016, 164568, 1, 903},
	{13035, 164572, 1, 904},
	{13054, 164576, 1, 903},
	{13073, 164580, 1, 904},
	{13092, 164584, 1, 903},
	{13111, 164588, 1, 904},
	{13130, 164592, 1, 903},
	{13149, 164596, 1, 904},
	{13168, 164600, 1, 903},
	{13187, 164604, 1, 904},
	{13206, 164608, 1, 903},
	{13225, 164612, 1, 904},
	{13244, 164616, 1, 903},
	{13263, 164620, 1, 904},
	{13282, 164624, 1, 903},
	{13301, 164628, 1, 904},
	{13320, 164632, 1, 903},
	{13339, 164636, 1, 904},
	{13358, 164640, 1, 903},
	{13378, 164644, 1, 904},
	{13398, 164648, 1, 903},
	{13418, 164652, 1, 904},
	{13438, 164656, 1, 903},
	{13458, 164660, 1, 904},
	{13478, 164664, 1, 903},
	{13498, 164668, 1, 904},
	{13518, 164672, 1, 903},
	{13538, 164676, 1, 904},
	{13558, 164680, 1, 903},
	{13578, 164684, 1, 904},
	{13598, 164688, 15, 905},
	{13618, 164692, 3, 920},
	{13640, 164696, 2, 923},
	{13697, 164704, 1, 932},
	{50685, 164708, 1, 4014},
	{13728, 164712, 1, 934},
	{13796, 164864, 1, 943},
	{13813, 164868, 1, 944},
	{13830, 164872, 1, 945},
	{13846, 164876, 1, 946},
	{13900, 164884, 1, 957},
	{13913, 164888, 1, 958},
	{13928, 164892, 1, 959},
	{13942, 164896, 1, 960},
	{13996, 164908, 6, 973},
	{14015, 164912, 4, 979},
	{14033, 164916, 4, 983},
	{14054, 164924, 1, 987},
	{14073, 164928, 1, 988},
	{14093, 164932, 1, 989},
	{14112, 164936, 1, 990},
	{14132, 164940, 1, 991},
	{14151, 164944, 1, 992},
	{14171, 164948, 1, 987},
	{14192, 164952, 1, 988},
	{14214, 164956, 1, 989},
	{14235, 164960, 1, 990},
	{14257, 164964, 1, 991},
	{14278, 164968, 1, 992},
	{14300, 164972, 1, 987},
	{14321, 164976, 1, 988},
	{14343, 164980, 1, 989},
	{14364, 164984, 1, 990},
	{14386, 164988, 1, 991},
	{14407, 164992, 1, 992},
	{14429, 164996, 1, 987},
	{14450, 165000, 1, 988},
	{14472, 165004, 1, 989},
	{14493, 165008, 1, 990},
	{14515, 165012, 1, 991},
	{14536, 165016, 1, 992},
	{14558, 165020, 1, 987},
	{14579, 165024, 1, 988},
	{14601, 165028, 1, 989},
	{14622, 165032, 1, 990},
	{14644, 165036, 1, 991},
	{14665, 165040, 1, 992},
	{14687, 165044, 1, 987},
	{14708, 165048, 1, 988},
	{14730, 165052, 1, 989},
	{14751, 165056, 1, 990},
	{14773, 165060, 1, 991},
	{14794, 165064, 1, 992},
	{14816, 165068, 1, 987},
	{14837, 165072, 1, 988},
	{14859, 165076, 1, 989},
	{14880, 165080, 1, 990},
	{14902, 165084, 1, 991},
	{14923, 165088, 1, 992},
	{14945, 165092, 1, 987},
	{14966, 165096, 1, 988},
	{14988, 165100, 1, 989},
	{15009, 165104, 1, 990},
	{15031, 165108, 1, 991},
	{15052, 165112, 1, 992},
	{15074, 165116, 1, 987},
	{15095, 165120, 1, 988},
	{15117, 165124, 1, 989},
	{15138, 165128, 1, 990},
	{15160, 165132, 1, 991},
	{15181, 165136, 1, 992},
	{15203, 165140, 1, 987},
	{15224, 165144, 1, 988},
	{15246, 165148, 1, 989},
	{15267, 165152, 1, 990},
	{15289, 165156, 1, 991},
	{15310, 165160, 1, 992},
	{15332, 165164, 1, 987},
	{15354, 165168, 1, 988},
	{15377, 165172, 1, 989},
	{15399, 165176, 1, 990},
	{15422, 165180, 1, 991},
	{15444, 165184, 1, 992},
	{15467, 165188, 1, 987},
	{15489, 165192, 1, 988},
	{15512, 165196, 1, 989},
	{15534, 165200, 1, 990},
	{15557, 165204, 1, 991},
	{15579, 165208, 1, 992},
	{15602, 165212, 1, 987},
	{15624, 165216, 1, 988},
	{15647, 165220, 1, 989},
	{15669, 165224, 1, 990},
	{15692, 165228, 1, 991},
	{15714, 165232, 1, 992},
	{15737, 165236, 1, 987},
	{15759, 165240, 1, 988},
	{15782, 165244, 1, 989},
	{15804, 165248, 1, 990},
	{15827, 165252, 1, 991},
	{15849, 165256, 1, 992},
	{15872, 165260, 1, 987},
	{15894, 165264, 1, 988},
	{15917, 165268, 1, 989},
	{15939, 165272, 1, 990},
	{15962, 165276, 1, 991},
	{15984, 165280, 1, 992},
	{16007, 165284, 1, 987},
	{16029, 165288, 1, 988},
	{16052, 165292, 1, 989},
	{16074, 165296, 1, 990},
	{16097, 165300, 1, 991},
	{16119, 165304, 1, 992},
	{16142, 165308, 1, 993},
	{16156, 165312, 1, 993},
	{16170, 165316, 1, 993},
	{16184, 165320, 1, 993},
	{16198, 165324, 1, 993},
	{16212, 165328, 1, 993},
	{16226, 165332, 1, 993},
	{16240, 165336, 1, 993},
	{16254, 165340, 1, 993},
	{16268, 165344, 1, 993},
	{16282, 165348, 1, 993},
	{16296, 165352, 1, 993},
	{16310, 165356, 1, 993},
	{16324, 165360, 1, 993},
	{16338, 165364, 1, 993},
	{16352, 165368, 1, 993},
	{16366, 165372, 1, 993},
	{16380, 165376, 1, 993},
	{16394, 165380, 1, 993},
	{16408, 165384, 1, 993},
	{16422, 165388, 1, 993},
	{16436, 165392, 1, 993},
	{16450, 165396, 1, 993},
	{16464, 165400, 1, 993},
	{16501, 165444, 6, 994},
	{16521, 165448, 6, 994},
	{16541, 165452, 6, 994},
	{16561, 165456, 6, 994},
	{16581, 165460, 6, 994},
	{16601, 165464, 6, 994},
	{16621, 165468, 6, 994},
	{16641, 165472, 6, 994},
	{16661, 165476, 6, 994},
	{16681, 165480, 6, 994},
	{16701, 165484, 6, 994},
	{16722, 165488, 6, 994},
	{16743, 165492, 6, 994},
	{16764, 165496, 6, 994},
	{16785, 165500, 6, 994},
	{16806, 165504, 6, 994},
	{16827, 165508, 6, 994},
	{16848, 165512, 6, 994},
	{16869, 165516, 6, 994},
	{16890, 165520, 6, 994},
	{16911, 165524, 4, 1006},
	{16932, 165528, 4, 1006},
	{16953, 165532, 4, 1006},
	{16974, 165536, 4, 1006},
	{16995, 165540, 4, 1006},
	{17016, 165544, 4, 1006},
	{17037, 165548, 4, 1006},
	{17058, 165552, 4, 1006},
	{17079, 165556, 4, 1006},
	{17100, 165560, 4, 1006},
	{17121, 165564, 4, 1006},
	{17142, 165568, 4, 1006},
	{17163, 165572, 2, 1015},
	{17181, 165580, 16, 1018},
	{17198, 165584, 16, 1018},
	{17216, 165588, 7, 1034},
	{17237, 165592, 3, 4015},
	{17255, 165600, 7, 1047},
	{17270, 165608, 2, 712},
	{17309, 165644, 4, 1055},
	{17331, 165648, 1, 1060},
	{17351, 165652, 8, 1061},
	{17577, 165760, 9, 1108},
	{17595, 165764, 9, 1108},
	{17613, 165768, 9, 1108},
	{17631, 165772, 9, 1108},
	{17649, 165776, 9, 1108},
	{17667, 165780, 9, 1108},
	{17685, 165784, 9, 1108},
	{17703, 165788, 9, 1108},
	{17721, 165836, 1, 1117},
	{17735, 165840, 1, 1117},
	{17750, 165844, 1, 993},
	{17768, 165848, 1, 993},
	{17786, 165852, 1, 993},
	{17803, 165856, 1, 993},
	{17824, 165860, 1, 4018},
	{17840, 165864, 1, 1119},
	{17853, 165872, 5, 1120},
	{17872, 165876, 1, 109},
	{17887, 165880, 1, 1128},
	{17936, 165888, 10, 1130},
	{17953, 165892, 12, 1140},
	{17961, 165896, 3, 4019},
	{17978, 165900, 12, 1156},
	{17996, 165904, 19, 1173},
	{18012, 165908, 13, 1193},
	{18031, 165912, 10, 1209},
	{18046, 165916, 26, 1219},
	{18064, 165920, 16, 1247},
	{18082, 165924, 4, 1263},
	{18106, 165928, 1, 1267},
	{18131, 165932, 11, 1268},
	{18283, 166400, 2, 1301},
	{18300, 166404, 2, 1303},
	{18319, 166408, 1, 1305},
	{18335, 166412, 4, 1306},
	{18354, 166416, 1, 1310},
	{18375, 166420, 1, 1311},
	{18388, 166424, 1, 1312},
	{18411, 166428, 1, 1313},
	{18434, 166432, 1, 1314},
	{18454, 166436, 4, 4022},
	{18474, 166440, 1, 1319},
	{18495, 166444, 1, 1320},
	{18510, 166448, 6, 1321},
	{18532, 166452, 6, 1321},
	{18554, 166456, 8, 1327},
	{18580, 166460, 8, 1327},
	{18606, 166464, 15, 1335},
	{18618, 166468, 2, 1350},
	{18637, 166472, 4, 1353},
	{18655, 166476, 24, 1360},
	{18673, 166480, 1, 1384},
	{18685, 166484, 1, 1385},
	{18699, 166488, 1, 1386},
	{18713, 166492, 1, 1387},
	{18727, 166496, 1, 1388},
	{18750, 166500, 1, 1388},
	{18773, 166504, 1, 1388},
	{18796, 166508, 5, 4026},
	{18817, 166512, 1, 1384},
	{18828, 166516, 1, 1394},
	{18841, 166520, 1, 1395},
	{18858, 166524, 7, 4031},
	{18877, 166528, 1, 1384},
	{18888, 166532, 2, 1404},
	{18907, 166536, 1, 1407},
	{18929, 166540, 1, 1408},
	{18951, 166544, 3, 4038},
	{18971, 166548, 1, 1412},
	{19020, 166560, 1, 1419},
	{19045, 166564, 1, 1419},
	{19070, 166568, 6, 1420},
	{19089, 166572, 1, 1426},
	{19112, 166576, 1, 1426},
	{19135, 166580, 1, 1427},
	{19149, 166584, 1, 1428},
	{19164, 166588, 7, 4041},
	{19181, 166592, 4, 1438},
	{19208, 166596, 4, 1442},
	{19235, 166600, 4, 1446},
	{19254, 166608, 1, 674},
	{19280, 166612, 1, 1450},
	{19305, 166620, 1, 1451},
	{19333, 166624, 1, 674},
	{19359, 166628, 1, 1450},
	{19384, 166636, 1, 1451},
	{19412, 166640, 1, 674},
	{19438, 166644, 1, 1450},
	{19463, 166652, 1, 1451},
	{19491, 166656, 1, 674},
	{19517, 166660, 1, 1450},
	{19542, 166668, 1, 1451},
	{19570, 166696, 1, 1451},
	{19601, 166700, 1, 674},
	{19644, 166704, 1, 1452},
	{19682, 166712, 1, 1453},
	{19743, 166740, 6, 1461},
	{19764, 166744, 3, 1480},
	{19781, 166748, 1, 1426},
	{19802, 166752, 1, 1426},
	{19825, 166756, 1, 1426},
	{19848, 166760, 1, 1426},
	{19871, 166764, 8, 4048},
	{19884, 166768, 6, 1495},
	{19901, 166772, 1, 1501},
	{19925, 166776, 2, 1502},
	{19955, 166780, 1, 1504},
	{19979, 166784, 1, 1505},
	{20009, 166788, 1, 1451},
	{20040, 166792, 1, 1505},
	{20069, 166796, 1, 1451},
	{20099, 166800, 2, 1506},
	{20119, 166804, 7, 4056},
	{20138, 166808, 4, 1517},
	{20188, 166868, 8, 1521},
	{20214, 166872, 8, 1529},
	{20240, 166876, 4, 1537},
	{20256, 166880, 5, 1542},
	{20272, 166884, 3, 1548},
	{20287, 166888, 1, 993},
	{20310, 166892, 1, 993},
	{20333, 166896, 1, 993},
	{20356, 166900, 1, 993},
	{20379, 166904, 8, 1551},
	{20413, 166908, 8, 1559},
	{20447, 166912, 8, 1567},
	{20481, 166916, 8, 1575},
	{20515, 166920, 8, 1551},
	{20549, 166924, 8, 1559},
	{20583, 166928, 8, 1567},
	{20617, 166932, 8, 1575},
	{20651, 166936, 8, 1551},
	{20685, 166940, 8, 1559},
	{20719, 166944, 8, 1567},
	{20753, 166948, 8, 1575},
	{20787, 166952, 8, 1551},
	{20821, 166956, 8, 1559},
	{20855, 166960, 8, 1567},
	{20889, 166964, 8, 1575},
	{20923, 166968, 2, 1583},
	{20947, 166972, 2, 1585},
	{21090, 167000, 1, 1627},
	{21118, 167004, 1, 1628},
	{21139, 167008, 1, 808},
	{21154, 167012, 2, 1629},
	{21170, 167016, 1, 1631},
	{21186, 167020, 2, 3987},
	{21201, 167024, 15, 4063},
	{21216, 167028, 6, 1654},
	{21255, 167036, 1, 808},
	{21271, 167040, 1, 1674},
	{21293, 167044, 1, 808},
	{21309, 167048, 1, 1631},
	{21331, 167052, 1, 1675},
	{21353, 167056, 1, 1676},
	{21394, 167068, 1, 808},
	{21409, 167072, 2, 1629},
	{21425, 167076, 1, 1631},
	{21441, 167080, 2, 3987},
	{21456, 167084, 15, 4063},
	{21471, 167088, 6, 1654},
	{21510, 167096, 1, 808},
	{21526, 167100, 1, 1674},
	{21548, 167104, 1, 808},
	{21564, 167108, 1, 1631},
	{21586, 167112, 1, 1675},
	{21608, 167116, 1, 1676},
	{21649, 167128, 1, 808},
	{21664, 167132, 2, 1629},
	{21680, 167136, 1, 1631},
	{21696, 167140, 2, 3987},
	{21711, 167144, 15, 4063},
	{21726, 167148, 6, 1654},
	{21765, 167156, 1, 808},
	{21781, 167160, 1, 1674},
	{21803, 167164, 1, 808},
	{21819, 167168, 1, 1631},
	{21841, 167172, 1, 1675},
	{21863, 167176, 1, 1676},
	{21904, 167188, 1, 808},
	{21919, 167192, 2, 1629},
	{21935, 167196, 1, 1631},
	{21951, 167200, 2, 3987},
	{21966, 167204, 15, 4063},
	{21981, 167208, 6, 1654},
	{22020, 167216, 1, 808},
	{22036, 167220, 1, 1674},
	{22058, 167224, 1, 808},
	{22074, 167228, 1, 1631},
	{22096, 167232, 1, 1675},
	{22118, 167236, 1, 1676},
	{22159, 167248, 1, 808},
	{22174, 167252, 2, 1629},
	{22190, 167256, 1, 1631},
	{22206, 167260, 2, 3987},
	{22221, 167264, 15, 4063},
	{22236, 167268, 6, 1654},
	{22275, 167276, 1, 808},
	{22291, 167280, 1, 1674},
	{22313, 167284, 1, 808},
	{22329, 167288, 1, 1631},
	{22351, 167292, 1, 1675},
	{22373, 167296, 1, 1676},
	{22414, 167308, 1, 808},
	{22429, 167312, 2, 1629},
	{22445, 167316, 1, 1631},
	{22461, 167320, 2, 3987},
	{22476, 167324, 15, 4063},
	{22491, 167328, 6, 1654},
	{22530, 167336, 1, 808},
	{22546, 167340, 1, 1674},
	{22568, 167344, 1, 808},
	{22584, 167348, 1, 1631},
	{22606, 167352, 1, 1675},
	{22628, 167356, 1, 1676},
	{22669, 167368, 1, 808},
	{22684, 167372, 2, 1629},
	{22700, 167376, 1, 1631},
	{22716, 167380, 2, 3987},
	{22731, 167384, 15, 4063},
	{22746, 167388, 6, 1654},
	{22785, 167396, 1, 808},
	{22801, 167400, 1, 1674},
	{22823, 167404, 1, 808},
	{22839, 167408, 1, 1631},
	{22861, 167412, 1, 1675},
	{22883, 167416, 1, 1676},
	{22924, 167428, 1, 808},
	{22939, 167432, 2, 1629},
	{22955, 167436, 1, 1631},
	{22971, 167440, 2, 3987},
	{22986, 167444, 15, 4063},
	{23001, 167448, 6, 1654},
	{23040, 167456, 1, 808},
	{23056, 167460, 1, 1674},
	{23078, 167464, 1, 808},
	{23094, 167468, 1, 1631},
	{23116, 167472, 1, 1675},
	{23138, 167476, 1, 1676},
	{24203, 196608, 2, 3196},
	{24223, 196612, 1, 1690},
	{24243, 196616, 1, 1691},
	{24263, 196620, 1, 1692},
	{24283, 196624, 1, 1693},
	{24304, 196628, 1, 1694},
	{24325, 196632, 2, 3198},
	{24347, 196636, 1, 1696},
	{24369, 196640, 1, 1697},
	{24399, 196644, 1, 1698},
	{24429, 196648, 1, 1699},
	{24458, 196652, 1, 1700},
	{24487, 196656, 1, 1701},
	{24517, 196660, 1, 1702},
	{24547, 196664, 1, 1703},
	{24576, 196668, 1, 1704},
	{24605, 196672, 1, 1705},
	{24635, 196676, 1, 1706},
	{24665, 196680, 1, 1707},
	{24694, 196684, 1, 1708},
	{24723, 196688, 1, 1709},
	{24753, 196692, 1, 1710},
	{24783, 196696, 1, 1711},
	{24812, 196700, 1, 1712},
	{24841, 196704, 2, 3201},
	{24863, 196708, 1, 1714},
	{24885, 196712, 1, 1715},
	{24908, 196716, 1, 1716},
	{24931, 196720, 1, 1717},
	{24954, 196724, 1, 1718},
	{24977, 196728, 1, 1719},
	{25000, 196732, 1, 1720},
	{25023, 196736, 1, 1721},
	{25047, 196740, 1, 1722},
	{25071, 196744, 1, 1723},
	{25095, 196748, 1, 1724},
	{25119, 196752, 1, 1725},
	{25143, 196756, 1, 1726},
	{25167, 196760, 1, 1727},
	{25191, 196764, 1, 1728},
	{25215, 196768, 1, 1729},
	{25237, 196772, 1, 1730},
	{25259, 196776, 1, 1731},
	{25280, 196780, 1, 1732},
	{25301, 196784, 1, 1733},
	{25325, 196788, 1, 1734},
	{25349, 196792, 1, 1735},
	{25373, 196796, 1, 1735},
	{25397, 196800, 1, 1736},
	{25421, 196804, 1, 1737},
	{25549, 196860, 1, 1740},
	{25565, 196864, 1, 1741},
	{25578, 196868, 1, 1742},
	{25591, 196872, 1, 1743},
	{25604, 196876, 1, 1744},
	{25617, 196880, 1, 1745},
	{25630, 196884, 1, 1746},
	{25643, 196888, 1, 1747},
	{25656, 196892, 1, 1748},
	{25783, 196928, 2, 1750},
	{25796, 196932, 1, 1752},
	{25809, 196936, 1, 1753},
	{25832, 196940, 1, 1754},
	{25855, 196944, 1, 1755},
	{25883, 196948, 1, 1756},
	{25911, 196952, 1, 1757},
	{25939, 196956, 1, 1758},
	{25967, 196960, 1, 1759},
	{25985, 196964, 3, 4251},
	{26003, 196968, 1, 109},
	{26018, 196972, 1, 1749},
	{26042, 196976, 1, 1749},
	{26066, 196980, 1, 1753},
	{26085, 196984, 1, 1754},
	{26104, 196988, 1, 1755},
	{26128, 196992, 1, 1756},
	{26152, 196996, 1, 1757},
	{26176, 197000, 1, 1758},
	{26200, 197028, 2, 3207},
	{26218, 197032, 1, 1765},
	{26236, 197036, 1, 1767},
	{26254, 197040, 1, 1768},
	{26272, 197044, 2, 3210},
	{26290, 197048, 1, 1770},
	{26308, 197052, 1, 1772},
	{26326, 197056, 2, 1773},
	{26345, 197060, 5, 1775},
	{26364, 197072, 1, 1780},
	{26388, 197076, 2, 1773},
	{26408, 197080, 5, 1775},
	{26428, 197084, 8, 4254},
	{26447, 197088, 8, 4254},
	{26465, 197092, 1, 1788},
	{26482, 197100, 1, 1789},
	{26503, 197104, 23, 3218},
	{26517, 197108, 1, 1803},
	{26531, 197112, 1, 1804},
	{26545, 197116, 4, 3241},
	{26561, 197120, 1, 1807},
	{26580, 197124, 1, 1808},
	{26602, 197128, 1, 1809},
	{26621, 197132, 1, 1810},
	{26643, 197136, 9, 3247},
	{26661, 197140, 1, 1807},
	{26681, 197144, 1, 1808},
	{26704, 197148, 1, 1809},
	{26724, 197152, 1, 1810},
	{26747, 197156, 9, 3247},
	{26766, 197160, 5, 3256},
	{26778, 197164, 2, 1825},
	{26795, 197168, 1, 1827},
	{26812, 197172, 1, 1828},
	{26830, 197176, 5, 2807},
	{26850, 197180, 1, 1833},
	{26867, 197184, 1, 340},
	{26883, 197188, 1, 1835},
	{26896, 197192, 1, 1836},
	{26910, 197196, 1, 1837},
	{26924, 197200, 1, 1838},
	{26946, 197204, 1, 1839},
	{26966, 197208, 1, 1840},
	{26988, 197212, 1, 1841},
	{27008, 197216, 1, 1836},
	{27025, 197220, 1, 1837},
	{27042, 197224, 1, 1842},
	{27301, 197388, 1, 1851},
	{27320, 197392, 1, 1852},
	{27339, 197396, 1, 1853},
	{27356, 197400, 1, 1854},
	{27374, 197404, 1, 1855},
	{27392, 197408, 1, 1856},
	{27408, 197412, 1, 1857},
	{27426, 197416, 1, 1858},
	{27444, 197420, 1, 1859},
	{27460, 197424, 1, 1854},
	{27475, 197428, 1, 1855},
	{27490, 197432, 1, 1856},
	{27503, 197436, 1, 1857},
	{27518, 197440, 1, 1858},
	{27533, 197444, 1, 1859},
	{27546, 197448, 1, 1860},
	{27560, 197452, 1, 1861},
	{27574, 197456, 1, 1862},
	{27586, 197460, 4, 4262},
	{27609, 197464, 4, 4266},
	{28309, 198656, 6, 3110},
	{48507, 198912, 1, 1915},
	{48526, 198916, 1, 1915},
	{28370, 198920, 1, 3500},
	{28389, 198924, 1, 3501},
	{28404, 198928, 1, 674},
	{28437, 198932, 1, 674},
	{28470, 198936, 1, 674},
	{28503, 198940, 1, 674},
	{28593, 198960, 1, 1394},
	{28609, 198964, 1, 1407},
	{49020, 198968, 1, 1917},
	{49052, 198972, 2, 1918},
	{49073, 198976, 1, 1920},
	{29013, 199168, 1, 1944},
	{29038, 199172, 2, 1945},
	{29063, 199184, 2, 1947},
	{29089, 199188, 2, 1947},
	{29115, 199192, 2, 1947},
	{29141, 199212, 2, 1947},
	{29167, 199296, 2, 1949},
	{29195, 199300, 1, 1951},
	{29219, 199304, 1, 1952},
	{29243, 199308, 1, 1953},
	{29276, 199312, 1, 1953},
	{29304, 199328, 2, 1949},
	{29333, 199332, 1, 1951},
	{29358, 199336, 1, 1952},
	{29383, 199340, 1, 1953},
	{29417, 199344, 1, 1953},
	{29446, 199360, 2, 1949},
	{29470, 199364, 1, 1951},
	{29490, 199368, 1, 1952},
	{29510, 199372, 1, 1953},
	{29539, 199376, 1, 1953},
	{29563, 199936, 1, 109},
	{29590, 199940, 1, 109},
	{29617, 199944, 1, 109},
	{29644, 199948, 1, 109},
	{29779, 199968, 3, 3624},
	{29804, 200192, 1, 866},
	{29823, 200196, 1, 867},
	{29845, 200448, 1, 1963},
	{29869, 200452, 1, 1964},
	{29892, 200456, 1, 1963},
	{29916, 200460, 1, 1964},
	{29939, 200464, 1, 1963},
	{29963, 200468, 1, 1964},
	{29986, 200472, 1, 1963},
	{30010, 200476, 1, 1964},
	{30033, 200696, 1, 1963},
	{30052, 200700, 1, 1964},
	{30070, 200704, 1, 1965},
	{30082, 200708, 1, 1966},
	{30094, 200712, 1, 1967},
	{30112, 200716, 1, 1968},
	{30131, 200720, 1, 1969},
	{30149, 200724, 1, 1970},
	{30161, 200728, 1, 1971},
	{30173, 200732, 1, 1970},
	{30191, 200736, 1, 1971},
	{30209, 200740, 1, 1972},
	{30228, 200744, 4, 4270},
	{30242, 200748, 2, 1977},
	{30260, 200752, 2, 1979},
	{30274, 200756, 2, 1981},
	{30288, 200760, 2, 1983},
	{30305, 200764, 2, 1985},
	{30322, 200768, 1, 1987},
	{30335, 200772, 2, 1988},
	{30347, 200776, 1, 109},
	{30361, 200780, 1, 109},
	{30377, 200784, 1, 109},
	{30391, 200788, 1, 109},
	{30407, 200792, 1, 109},
	{30422, 200796, 1, 109},
	{30439, 200800, 1, 109},
	{30454, 200804, 1, 109},
	{30471, 200808, 2, 1990},
	{30493, 200812, 9, 4274},
	{30510, 200816, 2, 2002},
	{30531, 200820, 2, 2004},
	{30543, 200824, 1, 2006},
	{30558, 200828, 6, 2007},
	{30573, 200832, 2, 2013},
	{30587, 200836, 1, 2015},
	{30700, 212992, 1, 2017},
	{30720, 212996, 1, 2018},
	{30740, 213000, 1, 2017},
	{30760, 213004, 1, 2018},
	{30780, 213008, 1, 2017},
	{30800, 213012, 1, 2018},
	{30820, 213016, 1, 2017},
	{30840, 213020, 1, 2018},
	{30860, 213024, 1, 2017},
	{30880, 213028, 1, 2018},
	{30900, 213032, 1, 2017},
	{30920, 213036, 1, 2018},
	{31009, 213248, 1, 2017},
	{31030, 213252, 1, 2018},
	{31051, 213260, 1, 2017},
	{31072, 213264, 1, 2018},
	{31093, 213268, 1, 2017},
	{31117, 213272, 1, 2018},
	{31141, 213276, 1, 2017},
	{31165, 213280, 1, 2018},
	{31189, 213284, 1, 2017},
	{31213, 213288, 1, 2018},
	{31237, 213292, 1, 2017},
	{31261, 213296, 1, 2018},
	{50822, 213504, 1, 2017},
	{50841, 213508, 1, 2018},
	{50860, 213512, 1, 2017},
	{50879, 213516, 1, 2018},
	{50898, 213520, 1, 2017},
	{50917, 213524, 1, 2018},
	{50936, 213528, 1, 2017},
	{50955, 213532, 1, 2018},
	{48217, 213536, 1, 2017},
	{48236, 213540, 1, 2018},
	{48255, 213544, 1, 2017},
	{48274, 213548, 1, 2018},
	{48293, 213552, 1, 2017},
	{48312, 213556, 1, 2018},
	{48331, 213560, 1, 2017},
	{48350, 213564, 1, 2018},
	{48808, 213568, 1, 2017},
	{48828, 213572, 1, 2018},
	{48848, 213576, 1, 2017},
	{48868, 213580, 1, 2018},
	{48888, 213584, 1, 2017},
	{48908, 213588, 1, 2018},
	{48928, 213592, 1, 2017},
	{48948, 213596, 1, 2018},
	{31745, 214016, 1, 2017},
	{31767, 214020, 1, 2019},
	{31789, 214024, 1, 2017},
	{31811, 214028, 1, 2019},
	{31833, 214032, 1, 2017},
	{31855, 214036, 1, 2019},
	{31877, 214040, 1, 2017},
	{31899, 214044, 1, 2019},
	{31921, 214272, 1, 2017},
	{31943, 214276, 1, 2018},
	{31965, 214280, 1, 2017},
	{31987, 214284, 1, 2018},
	{32009, 214288, 1, 2017},
	{32031, 214292, 1, 2018},
	{32053, 214296, 1, 2017},
	{32075, 214300, 1, 2018},
	{32097, 214304, 1, 2017},
	{32119, 214308, 1, 2018},
	{32141, 214312, 1, 2017},
	{32163, 214316, 1, 2018},
	{32185, 214320, 1, 2017},
	{32207, 214324, 1, 2018},
	{32229, 214328, 1, 2017},
	{32251, 214332, 1, 2018},
	{32273, 214528, 1, 2018},
	{32293, 214532, 1, 2017},
	{32313, 214536, 1, 2018},
	{32333, 214540, 1, 2017},
	{32353, 214544, 1, 2018},
	{32373, 214548, 1, 2017},
	{32393, 214552, 1, 2018},
	{32413, 214556, 1, 2017},
	{32433, 214560, 1, 2018},
	{32453, 214564, 1, 2017},
	{32473, 214568, 1, 2018},
	{32493, 214572, 1, 2017},
	{32513, 214784, 1, 2017},
	{32532, 214788, 1, 2018},
	{32551, 214792, 1, 2017},
	{32570, 214796, 1, 2018},
	{32589, 214800, 1, 2017},
	{32608, 214804, 1, 2018},
	{32627, 214808, 1, 2017},
	{32646, 214812, 1, 2018},
	{32665, 214816, 1, 2017},
	{32684, 214820, 1, 2018},
	{32703, 214824, 1, 2017},
	{32722, 214828, 1, 2018},
	{32741, 214832, 1, 2017},
	{32760, 214836, 1, 2018},
	{32779, 214840, 1, 2017},
	{32798, 214844, 1, 2018},
	{32817, 214848, 1, 2017},
	{32836, 214852, 1, 2018},
	{32855, 214856, 1, 2017},
	{32874, 214860, 1, 2018},
	{32893, 214864, 1, 2017},
	{32913, 214868, 1, 2018},
	{32933, 214872, 1, 2017},
	{32953, 214876, 1, 2018},
	{32973, 214880, 1, 2017},
	{32993, 214884, 1, 2018},
	{33013, 214888, 1, 2017},
	{33033, 214892, 1, 2018},
	{33053, 214896, 1, 2017},
	{33073, 214900, 1, 2018},
	{33093, 214904, 1, 2017},
	{33113, 214908, 1, 2018},
	{33133, 215296, 1, 2017},
	{33152, 215300, 1, 2018},
	{33171, 215304, 1, 2017},
	{33190, 215308, 1, 2018},
	{33209, 215312, 1, 2017},
	{33228, 215316, 1, 2018},
	{33247, 215320, 1, 2017},
	{33266, 215324, 1, 2018},
	{33327, 215552, 1, 2017},
	{33347, 215556, 1, 2018},
	{33367, 215560, 1, 2017},
	{33387, 215564, 1, 2018},
	{33407, 215568, 1, 2017},
	{33427, 215572, 1, 2018},
	{33447, 215576, 1, 2017},
	{33467, 215580, 1, 2018},
	{33487, 215808, 1, 2017},
	{33506, 215812, 1, 2018},
	{33525, 215816, 1, 2017},
	{33544, 215820, 1, 2018},
	{33563, 216064, 1, 2017},
	{33582, 216068, 1, 2018},
	{33601, 216072, 1, 2017},
	{33620, 216076, 1, 2018},
	{33639, 216320, 1, 2017},
	{33659, 216324, 1, 2018},
	{33679, 216328, 1, 2017},
	{33699, 216332, 1, 2018},
	{33719, 216336, 1, 2017},
	{33739, 216340, 1, 2018},
	{33759, 216344, 1, 2017},
	{33779, 216348, 1, 2018},
	{50974, 216576, 1, 2017},
	{50994, 216580, 1, 2018},
	{51014, 216584, 1, 2017},
	{51034, 216588, 1, 2018},
	{51054, 216592, 1, 2017},
	{51074, 216596, 1, 2018},
	{51094, 216600, 1, 2017},
	{51114, 216604, 1, 2018},
	{51134, 216640, 1, 2017},
	{51154, 216644, 1, 2018},
	{51174, 216648, 1, 2017},
	{51194, 216652, 1, 2018},
	{51214, 216656, 1, 2017},
	{51234, 216660, 1, 2018},
	{51254, 216664, 1, 2017},
	{51274, 216668, 1, 2018},
	{51294, 216704, 1, 2017},
	{51314, 216708, 1, 2018},
	{51334, 216712, 1, 2017},
	{51354, 216716, 1, 2018},
	{51374, 216720, 1, 2017},
	{51394, 216724, 1, 2018},
	{51414, 216728, 1, 2017},
	{51434, 216732, 1, 2018},
	{34631, 217112, 1, 2017},
	{34650, 217116, 1, 2018},
	{34669, 217120, 1, 2017},
	{34688, 217124, 1, 2018},
	{34707, 217128, 1, 2017},
	{34726, 217132, 1, 2018},
	{34745, 217136, 1, 2017},
	{34764, 217140, 1, 2018},
	{34783, 217344, 1, 2017},
	{34802, 217348, 1, 2018},
	{34821, 217352, 1, 2017},
	{34840, 217356, 1, 2018},
	{34859, 217360, 1, 2017},
	{34878, 217364, 1, 2018},
	{34897, 217368, 1, 2017},
	{34916, 217372, 1, 2018},
	{34935, 217600, 1, 2017},
	{34955, 217604, 1, 2018},
	{34975, 217608, 1, 2017},
	{34995, 217612, 1, 2018},
	{36317, 221184, 1, 2057},
	{36341, 221188, 2, 4283},
	{36366, 221192, 3, 4285},
	{36390, 221196, 1, 2057},
	{36414, 221200, 2, 4283},
	{36439, 221204, 1, 2057},
	{36463, 221208, 2, 4283},
	{36488, 221212, 3, 4285},
	{36512, 221216, 4, 2032},
	{36528, 221220, 3, 4285},
	{36695, 221248, 1, 2048},
	{36710, 221252, 1, 1953},
	{36733, 221256, 1, 2049},
	{36756, 221260, 1, 2050},
	{36774, 221264, 2, 2051},
	{36792, 221268, 4, 2053},
	{36812, 221440, 19, 3153},
	{36837, 221444, 19, 3153},
	{36862, 221448, 12, 3172},
	{36890, 221452, 12, 3172},
	{36918, 221456, 12, 3172},
	{36946, 221460, 12, 3172},
	{51454, 221696, 2, 3458},
	{51477, 221700, 2, 3458},
	{51500, 221704, 2, 3458},
	{51523, 221708, 2, 3458},
	{48125, 221712, 5, 2111},
	{48148, 221716, 2, 3458},
	{48171, 221720, 2, 3458},
	{48194, 221724, 2, 3458},
	{51546, 221728, 4, 2116},
	{48712, 221744, 5, 2111},
	{48736, 221748, 5, 2111},
	{48760, 221752, 2, 3458},
	{48784, 221756, 2, 3458},
	{51570, 221760, 4, 2116},
	{51595, 221764, 4, 2116},
	{48686, 221776, 1, 3499},
	{37404, 222208, 3, 2111},
	{37430, 222212, 2, 2028},
	{37457, 222216, 3, 2111},
	{37483, 222220, 2, 2028},
	{37510, 222224, 2, 2167},
	{37563, 222228, 2, 2167},
	{37616, 222464, 3, 2111},
	{37642, 222468, 2, 2028},
	{37669, 222472, 1, 2023},
	{37695, 222476, 1, 2023},
	{37721, 222480, 1, 2023},
	{37747, 222484, 1, 2023},
	{37773, 222488, 1, 2023},
	{37799, 222492, 1, 2023},
	{37825, 222496, 1, 2023},
	{37851, 222720, 3, 2111},
	{37875, 222724, 3, 2111},
	{37899, 222728, 3, 2111},
	{37923, 222732, 3, 2111},
	{37947, 222736, 2, 2028},
	{37972, 222740, 2, 2028},
	{37997, 222744, 2, 2028},
	{38022, 222748, 2, 2028},
	{38047, 222752, 1, 2155},
	{38071, 222756, 1, 2155},
	{38095, 222760, 8, 2120},
	{38116, 222976, 6, 4288},
	{38139, 222980, 6, 4288},
	{38162, 222984, 6, 4288},
	{38185, 222988, 6, 4288},
	{38208, 222992, 6, 4288},
	{38231, 222996, 6, 4288},
	{38254, 223000, 6, 4288},
	{38277, 223004, 6, 4288},
	{38300, 223008, 6, 4288},
	{38323, 223012, 6, 4288},
	{38346, 223016, 6, 4288},
	{38370, 223020, 6, 4288},
	{38394, 223024, 6, 4288},
	{38418, 223028, 6, 4288},
	{38442, 223032, 6, 4288},
	{38466, 223036, 6, 4288},
	{38490, 223104, 9, 3640},
	{51620, 223108, 2, 3690},
	{38510, 223112, 1, 2141},
	{38605, 223488, 3, 2150},
	{38628, 223492, 3, 2150},
	{38651, 223496, 3, 2150},
	{38674, 223500, 3, 2150},
	{38697, 223504, 2, 2153},
	{38721, 223508, 2, 2153},
	{38745, 223744, 3, 2150},
	{38769, 223748, 3, 2150},
	{38793, 223752, 3, 2150},
	{38817, 223756, 3, 2150},
	{38841, 223760, 2, 2153},
	{38866, 224000, 5, 2155},
	{38889, 224004, 4, 2160},
	{38913, 224008, 5, 2155},
	{38936, 224256, 5, 2155},
	{38959, 224260, 4, 2160},
	{38983, 224264, 5, 2155},
	{39006, 224512, 5, 2111},
	{39030, 224516, 4, 2116},
	{39055, 224520, 5, 2111},
	{39079, 224524, 4, 2116},
	{39104, 224528, 3, 2167},
	{39128, 224532, 3, 2167},
	{51640, 224768, 5, 2111},
	{51664, 224772, 4, 2105},
	{51689, 224776, 5, 2111},
	{51713, 224780, 4, 2105},
	{51738, 224784, 3, 2167},
	{51762, 224788, 3, 2167},
	{51786, 224832, 5, 2111},
	{51810, 224836, 4, 2105},
	{51835, 224840, 5, 2111},
	{51859, 224844, 4, 2105},
	{51884, 224848, 3, 2167},
	{51908, 224852, 3, 2167},
	{51932, 224896, 5, 2111},
	{51956, 224900, 4, 2105},
	{51981, 224904, 3, 2167},
	{52005, 224908, 3, 2167},
	{52029, 224912, 3, 2167},
	{39829, 225280, 12, 2170},
	{39851, 225284, 5, 2182},
	{39874, 225288, 4, 2187},
	{39898, 225292, 2, 2191},
	{39921, 225296, 2, 2191},
	{39944, 225300, 2, 2191},
	{39967, 225536, 5, 2111},
	{39990, 225540, 4, 2116},
	{40014, 225544, 5, 2111},
	{40037, 225548, 4, 2116},
	{40061, 225552, 5, 2111},
	{40084, 225560, 5, 2111},
	{40107, 225792, 4, 2193},
	{40128, 225796, 1, 2197},
	{40157, 225800, 2, 2198},
	{40186, 225804, 1, 2200},
	{40212, 225808, 7, 2201},
	{40286, 225812, 1, 4294},
	{40309, 225816, 1, 2213},
	{52053, 225820, 2, 4295},
	{52086, 225824, 2, 4295},
	{52119, 225828, 2, 4295},
	{52152, 225832, 2, 4295},
	{52184, 225836, 2, 4295},
	{52216, 225840, 2, 4295},
	{52248, 225844, 2, 4295},
	{52281, 225848, 2, 4295},
	{52313, 225856, 2, 4295},
	{52345, 225860, 2, 4295},
	{52378, 225864, 2, 4295},
	{52411, 225868, 2, 4295},
	{52444, 225872, 2, 4295},
	{52476, 225876, 2, 4295},
	{52508, 225880, 2, 4295},
	{52541, 225884, 2, 4295},
	{52574, 225888, 2, 4295},
	{52607, 225892, 2, 4295},
	{52640, 225896, 2, 4295},
	{40332, 225900, 1, 4294},
	{40359, 225904, 1, 2213},
	{40241, 225908, 1, 2208},
	{40260, 225912, 1, 4297},
	{52672, 225916, 2, 4295},
	{52706, 225920, 2, 4295},
	{52740, 225924, 2, 4295},
	{52774, 225928, 2, 4295},
	{41022, 226048, 2, 2280},
	{41039, 226052, 1, 2282},
	{41063, 226056, 1, 2282},
	{195, 880, 4, 2317},
	{42808, 881},
	{26631, 882},
	{42820, 1008},
	{42831, 1009},
	{26819, 1010, 3, 2321},
	{42842, 1040, 1, 2324},
	{42855, 1041, 5, 4298},
	{42868, 1042, 1, 2330},
	{42881, 1043, 1, 1810},
	{26653, 1045, 9, 4087},
	{42909, 1280, 6, 4303},
	{42924, 1281},
	{26590, 1282},
	{42808, 1283},
	{26631, 1284},
};

static const struct si_reg gfx8_reg_table[] = {
	{974, 68, 10, 4309},
	{987, 72, 23, 4319},
	{1002, 76, 4, 4342},
	{46947, 80, 11, 4112},
	{1039, 84, 4, 2963},
	{1057, 88, 2, 2967},
	{1075, 92, 6, 4346},
	{1090, 96, 1, 70},
	{1104, 100, 1, 2973},
	{1118, 104, 1, 72},
	{46961, 108, 1, 2974},
	{46978, 112, 13, 4352},
	{1135, 116, 5, 4365},
	{46994, 2480, 1, 1877},
	{47009, 2484, 1, 2988},
	{47024, 2488, 1, 1877},
	{47039, 2492, 1, 2988},
	{1273, 2496, 1, 109},
	{1287, 2500, 1, 109},
	{1301, 2504, 1, 109},
	{1315, 2508, 1, 109},
	{1329, 2512, 1, 109},
	{1343, 2516, 1, 109},
	{1357, 2520, 1, 109},
	{1371, 2524, 1, 109},
	{1385, 2528, 1, 109},
	{1399, 2532, 1, 109},
	{1413, 2536, 1, 109},
	{1428, 2540, 1, 109},
	{1503, 2544, 1, 110},
	{1514, 2552, 1, 111},
	{1530, 2556, 1, 112},
	{47054, 3660, 21, 2989},
	{47067, 3664, 20, 3010},
	{47079, 3668, 16, 3030},
	{1618, 32776, 18, 4370},
	{1631, 32784, 24, 3068},
	{1643, 32788, 11, 3092},
	{1659, 32792, 11, 3092},
	{1688, 32824, 11, 3092},
	{1704, 32828, 11, 3092},
	{1720, 33296, 15, 4388},
	{1734, 33300, 28, 212},
	{1751, 33304, 14, 4403},
	{1772, 33308, 21, 4417},
	{1786, 33312, 31, 4195},
	{1803, 33316, 9, 4438},
	{1842, 33324, 1, 337},
	{1865, 33344, 1, 338},
	{1886, 33348, 1, 340},
	{1947, 33436, 1, 351},
	{49728, 36416, 1, 388},
	{2351, 36608, 1, 394},
	{2369, 36612, 4, 395},
	{2387, 36616, 1, 399},
	{2405, 36620, 14, 4447},
	{3306, 36624, 1, 394},
	{3324, 36628, 5, 4461},
	{3342, 36632, 4, 3759},
	{3360, 36636, 11, 3763},
	{3378, 36640, 2, 3774},
	{3396, 36644, 2, 3776},
	{3414, 36648, 8, 4466},
	{3432, 36652, 1, 4474},
	{2423, 36656, 14, 4475},
	{2441, 36660, 4, 424},
	{2459, 36664, 10, 4489},
	{2477, 36668, 3, 3805},
	{2495, 37120, 6, 442},
	{2511, 39160, 9, 3808},
	{2526, 39184, 5, 3818},
	{2540, 39188, 5, 3818},
	{2554, 39192, 5, 3818},
	{2568, 39196, 5, 3818},
	{2582, 39200, 5, 3818},
	{2596, 39204, 5, 3818},
	{2610, 39208, 5, 3818},
	{2624, 39212, 5, 3818},
	{2638, 39216, 5, 3818},
	{2652, 39220, 5, 3818},
	{2666, 39224, 5, 3818},
	{2681, 39228, 5, 3818},
	{2696, 39232, 5, 3818},
	{2711, 39236, 5, 3818},
	{2726, 39240, 5, 3818},
	{2741, 39244, 5, 3818},
	{2756, 39248, 5, 3818},
	{2771, 39252, 5, 3818},
	{2786, 39256, 5, 3818},
	{2801, 39260, 5, 3818},
	{2816, 39264, 5, 3818},
	{2831, 39268, 5, 3818},
	{2846, 39272, 5, 3818},
	{2861, 39276, 5, 3818},
	{2876, 39280, 5, 3818},
	{2891, 39284, 5, 3818},
	{2906, 39288, 5, 3818},
	{2921, 39292, 5, 3818},
	{2936, 39296, 5, 3818},
	{2951, 39300, 5, 3818},
	{2966, 39304, 5, 3818},
	{2981, 39308, 5, 3818},
	{2996, 39312, 4, 461},
	{3015, 39316, 4, 461},
	{3034, 39320, 4, 461},
	{3053, 39324, 4, 461},
	{3072, 39328, 4, 461},
	{3091, 39332, 4, 461},
	{3110, 39336, 4, 461},
	{3129, 39340, 4, 461},
	{3148, 39344, 4, 461},
	{3167, 39348, 4, 461},
	{3186, 39352, 4, 461},
	{3206, 39356, 4, 461},
	{3226, 39360, 4, 461},
	{3246, 39364, 4, 461},
	{3266, 39368, 4, 461},
	{3286, 39372, 4, 461},
	{49962, 45056, 1, 505},
	{49983, 45060, 1, 506},
	{50004, 45064, 1, 505},
	{50025, 45068, 1, 506},
	{3499, 45084, 3, 502},
	{3523, 45088, 1, 505},
	{3544, 45092, 1, 506},
	{3565, 45096, 11, 3823},
	{3589, 45100, 6, 518},
	{3613, 45104, 1, 109},
	{3639, 45108, 1, 109},
	{3665, 45112, 1, 109},
	{3691, 45116, 1, 109},
	{3717, 45120, 1, 109},
	{3743, 45124, 1, 109},
	{3769, 45128, 1, 109},
	{3795, 45132, 1, 109},
	{3821, 45136, 1, 109},
	{3847, 45140, 1, 109},
	{3873, 45144, 1, 109},
	{3900, 45148, 1, 109},
	{3927, 45152, 1, 109},
	{3954, 45156, 1, 109},
	{3981, 45160, 1, 109},
	{4008, 45164, 1, 109},
	{50046, 45312, 1, 505},
	{50067, 45316, 1, 506},
	{50088, 45320, 1, 505},
	{50109, 45324, 1, 506},
	{4680, 45336, 3, 502},
	{4704, 45340, 1, 542},
	{4729, 45344, 1, 505},
	{4750, 45348, 1, 506},
	{4771, 45352, 12, 3840},
	{4795, 45356, 11, 4499},
	{4819, 45360, 1, 109},
	{4845, 45364, 1, 109},
	{4871, 45368, 1, 109},
	{4897, 45372, 1, 109},
	{4923, 45376, 1, 109},
	{4949, 45380, 1, 109},
	{4975, 45384, 1, 109},
	{5001, 45388, 1, 109},
	{5027, 45392, 1, 109},
	{5053, 45396, 1, 109},
	{5079, 45400, 1, 109},
	{5106, 45404, 1, 109},
	{5133, 45408, 1, 109},
	{5160, 45412, 1, 109},
	{5187, 45416, 1, 109},
	{5214, 45420, 1, 109},
	{5864, 45552, 6, 578},
	{5891, 45556, 5, 584},
	{50130, 45568, 1, 505},
	{50151, 45572, 1, 506},
	{50172, 45576, 1, 505},
	{50193, 45580, 1, 506},
	{6079, 45596, 4, 591},
	{6103, 45600, 1, 505},
	{6124, 45604, 1, 506},
	{6145, 45608, 11, 3862},
	{6169, 45612, 4, 569},
	{6193, 45616, 1, 109},
	{6219, 45620, 1, 109},
	{6245, 45624, 1, 109},
	{6271, 45628, 1, 109},
	{6297, 45632, 1, 109},
	{6323, 45636, 1, 109},
	{6349, 45640, 1, 109},
	{6375, 45644, 1, 109},
	{6401, 45648, 1, 109},
	{6427, 45652, 1, 109},
	{6453, 45656, 1, 109},
	{6480, 45660, 1, 109},
	{6507, 45664, 1, 109},
	{6534, 45668, 1, 109},
	{6561, 45672, 1, 109},
	{6588, 45676, 1, 109},
	{7223, 45808, 6, 578},
	{50214, 45824, 1, 505},
	{50235, 45828, 1, 506},
	{50256, 45832, 1, 505},
	{50277, 45836, 1, 506},
	{7250, 45852, 4, 591},
	{7274, 45856, 1, 505},
	{7295, 45860, 1, 506},
	{7316, 45864, 12, 3840},
	{7340, 45868, 6, 578},
	{7364, 45872, 1, 109},
	{7390, 45876, 1, 109},
	{7416, 45880, 1, 109},
	{7442, 45884, 1, 109},
	{7468, 45888, 1, 109},
	{7494, 45892, 1, 109},
	{7520, 45896, 1, 109},
	{7546, 45900, 1, 109},
	{7572, 45904, 1, 109},
	{7598, 45908, 1, 109},
	{7624, 45912, 1, 109},
	{7651, 45916, 1, 109},
	{7678, 45920, 1, 109},
	{7705, 45924, 1, 109},
	{7732, 45928, 1, 109},
	{7759, 45932, 1, 109},
	{7786, 46068, 5, 584},
	{50298, 46080, 1, 505},
	{50319, 46084, 1, 506},
	{50340, 46088, 1, 505},
	{50361, 46092, 1, 506},
	{7974, 46108, 3, 627},
	{7998, 46112, 1, 505},
	{8019, 46116, 1, 506},
	{8040, 46120, 10, 3883},
	{8064, 46124, 6, 643},
	{8088, 46128, 1, 109},
	{8114, 46132, 1, 109},
	{8140, 46136, 1, 109},
	{8166, 46140, 1, 109},
	{8192, 46144, 1, 109},
	{8218, 46148, 1, 109},
	{8244, 46152, 1, 109},
	{8270, 46156, 1, 109},
	{8296, 46160, 1, 109},
	{8322, 46164, 1, 109},
	{8348, 46168, 1, 109},
	{8375, 46172, 1, 109},
	{8402, 46176, 1, 109},
	{8429, 46180, 1, 109},
	{8456, 46184, 1, 109},
	{8483, 46188, 1, 109},
	{9118, 46324, 5, 584},
	{50382, 46336, 1, 505},
	{50403, 46340, 1, 506},
	{50424, 46344, 1, 505},
	{50445, 46348, 1, 506},
	{9145, 46364, 4, 591},
	{9169, 46368, 1, 505},
	{9190, 46372, 1, 506},
	{9211, 46376, 11, 3899},
	{9235, 46380, 5, 584},
	{9259, 46384, 1, 109},
	{9285, 46388, 1, 109},
	{9311, 46392, 1, 109},
	{9337, 46396, 1, 109},
	{9363, 46400, 1, 109},
	{9389, 46404, 1, 109},
	{9415, 46408, 1, 109},
	{9441, 46412, 1, 109},
	{9467, 46416, 1, 109},
	{9493, 46420, 1, 109},
	{9519, 46424, 1, 109},
	{9546, 46428, 1, 109},
	{9573, 46432, 1, 109},
	{9600, 46436, 1, 109},
	{9627, 46440, 1, 109},
	{9654, 46444, 1, 109},
	{9681, 47104, 12, 3915},
	{9708, 47108, 1, 674},
	{9722, 47112, 1, 674},
	{9736, 47116, 1, 674},
	{9750, 47120, 1, 675},
	{9766, 47124, 1, 675},
	{9782, 47128, 1, 675},
	{9798, 47132, 2, 676},
	{9819, 47136, 2, 676},
	{9840, 47140, 2, 676},
	{9861, 47144, 1, 678},
	{9889, 47148, 1, 679},
	{9914, 47152, 1, 109},
	{9929, 47156, 2, 3928},
	{50486, 47160, 1, 109},
	{50501, 47164, 1, 680},
	{50516, 47168, 1, 109},
	{50531, 47172, 1, 680},
	{10068, 47176, 10, 3930},
	{10086, 47180, 11, 693},
	{10104, 47184, 1, 704},
	{10117, 47188, 6, 705},
	{50546, 47192, 2, 3947},
	{50577, 47196, 2, 3947},
	{10195, 47200, 2, 712},
	{50760, 47204, 2, 3947},
	{50791, 47208, 2, 3947},
	{10270, 47212, 1, 714},
	{10288, 47216, 1, 714},
	{10306, 47220, 1, 714},
	{10324, 47224, 1, 715},
	{10352, 47228, 5, 716},
	{10374, 47232, 1, 721},
	{10394, 47236, 1, 722},
	{10577, 47240, 3, 734},
	{10594, 47244, 1, 737},
	{10623, 47248, 1, 738},
	{52808, 47252, 2, 4510},
	{10670, 47360, 1, 109},
	{10690, 47364, 1, 109},
	{10710, 47368, 1, 109},
	{10730, 47372, 1, 109},
	{10750, 47376, 1, 109},
	{10770, 47380, 1, 109},
	{10790, 47384, 1, 109},
	{10810, 47388, 1, 109},
	{10830, 47392, 1, 109},
	{10850, 47396, 1, 109},
	{10870, 47400, 1, 109},
	{10891, 47404, 1, 109},
	{10912, 47408, 1, 109},
	{10933, 47412, 1, 109},
	{10954, 47416, 1, 109},
	{10975, 47420, 1, 109},
	{11041, 47612, 1, 109},
	{50608, 53300, 29, 3949},
	{50625, 55348, 29, 3949},
	{11057, 163840, 10, 741},
	{11075, 163844, 9, 3978},
	{11092, 163848, 4, 3987},
	{11106, 163852, 23, 769},
	{11125, 163856, 15, 792},
	{11145, 163860, 1, 808},
	{11181, 163872, 1, 811},
	{11201, 163876, 1, 812},
	{11221, 163880, 1, 813},
	{11238, 163884, 1, 814},
	{11253, 163888, 2, 815},
	{11277, 163892, 2, 817},
	{50642, 163900, 7, 3991},
	{11335, 163904, 10, 4512},
	{11345, 163908, 6, 4522},
	{11361, 163912, 1, 808},
	{11376, 163916, 1, 808},
	{11397, 163920, 1, 808},
	{11413, 163924, 1, 808},
	{50656, 163928, 2, 4011},
	{50670, 163932, 1, 4013},
	{11603, 163968, 1, 866},
	{11619, 163972, 1, 867},
	{11638, 164328, 1, 4250},
	{11659, 164332, 1, 4250},
	{11680, 164336, 1, 4250},
	{11701, 164340, 1, 4250},
	{11722, 164344, 1, 869},
	{11740, 164348, 1, 869},
	{11758, 164352, 2, 870},
	{11778, 164356, 3, 872},
	{11802, 164360, 2, 875},
	{11826, 164364, 1, 877},
	{11846, 164368, 2, 872},
	{11866, 164372, 2, 875},
	{11886, 164376, 2, 872},
	{11906, 164380, 2, 875},
	{11926, 164384, 2, 872},
	{11946, 164388, 2, 875},
	{11966, 164392, 2, 872},
	{11986, 164396, 2, 875},
	{12006, 164400, 7, 878},
	{12021, 164404, 2, 885},
	{12050, 164408, 8, 887},
	{12065, 164412, 8, 895},
	{12080, 164416, 3, 872},
	{12105, 164420, 2, 875},
	{12130, 164424, 1, 869},
	{12148, 164428, 1, 869},
	{12166, 164432, 3, 872},
	{12191, 164436, 2, 875},
	{12216, 164440, 3, 872},
	{12241, 164444, 2, 875},
	{12266, 164448, 3, 872},
	{12291, 164452, 2, 875},
	{12316, 164456, 3, 872},
	{12341, 164460, 2, 875},
	{12366, 164464, 3, 872},
	{12391, 164468, 2, 875},
	{12416, 164472, 3, 872},
	{12441, 164476, 2, 875},
	{12466, 164480, 3, 872},
	{12491, 164484, 2, 875},
	{12516, 164488, 3, 872},
	{12541, 164492, 2, 875},
	{12566, 164496, 3, 872},
	{12591, 164500, 2, 875},
	{12616, 164504, 3, 872},
	{12641, 164508, 2, 875},
	{12666, 164512, 3, 872},
	{12692, 164516, 2, 875},
	{12718, 164520, 3, 872},
	{12744, 164524, 2, 875},
	{12770, 164528, 3, 872},
	{12796, 164532, 2, 875},
	{12822, 164536, 3, 872},
	{12848, 164540, 2, 875},
	{12874, 164544, 3, 872},
	{12900, 164548, 2, 875},
	{12926, 164552, 3, 872},
	{12952, 164556, 2, 875},
	{12978, 164560, 1, 903},
	{12997, 164564, 1, 904},
	{13016, 164568, 1, 903},
	{13035, 164572, 1, 904},
	{13054, 164576, 1, 903},
	{13073, 164580, 1, 904},
	{13092, 164584, 1, 903},
	{13111, 164588, 1, 904},
	{13130, 164592, 1, 903},
	{13149, 164596, 1, 904},
	{13168, 164600, 1, 903},
	{13187, 164604, 1, 904},
	{13206, 164608, 1, 903},
	{13225, 164612, 1, 904},
	{13244, 164616, 1, 903},
	{13263, 164620, 1, 904},
	{13282, 164624, 1, 903},
	{13301, 164628, 1, 904},
	{13320, 164632, 1, 903},
	{13339, 164636, 1, 904},
	{13358, 164640, 1, 903},
	{13378, 164644, 1, 904},
	{13398, 164648, 1, 903},
	{13418, 164652, 1, 904},
	{13438, 164656, 1, 903},
	{13458, 164660, 1, 904},
	{13478, 164664, 1, 903},
	{13498, 164668, 1, 904},
	{13518, 164672, 1, 903},
	{13538, 164676, 1, 904},
	{13558, 164680, 1, 903},
	{13578, 164684, 1, 904},
	{13598, 164688, 15, 905},
	{13618, 164692, 3, 920},
	{13640, 164696, 2, 923},
	{13697, 164704, 1, 932},
	{50685, 164708, 1, 4014},
	{13728, 164712, 1, 934},
	{13796, 164864, 1, 943},
	{13813, 164868, 1, 944},
	{13830, 164872, 1, 945},
	{13846, 164876, 1, 946},
	{13900, 164884, 1, 957},
	{13913, 164888, 1, 958},
	{13928, 164892, 1, 959},
	{13942, 164896, 1, 960},
	{13957, 164900, 3, 4528},
	{13996, 164908, 6, 973},
	{14015, 164912, 4, 979},
	{14033, 164916, 4, 983},
	{14054, 164924, 1, 987},
	{14073, 164928, 1, 988},
	{14093, 164932, 1, 989},
	{14112, 164936, 1, 990},
	{14132, 164940, 1, 991},
	{14151, 164944, 1, 992},
	{14171, 164948, 1, 987},
	{14192, 164952, 1, 988},
	{14214, 164956, 1, 989},
	{14235, 164960, 1, 990},
	{14257, 164964, 1, 991},
	{14278, 164968, 1, 992},
	{14300, 164972, 1, 987},
	{14321, 164976, 1, 988},
	{14343, 164980, 1, 989},
	{14364, 164984, 1, 990},
	{14386, 164988, 1, 991},
	{14407, 164992, 1, 992},
	{14429, 164996, 1, 987},
	{14450, 165000, 1, 988},
	{14472, 165004, 1, 989},
	{14493, 165008, 1, 990},
	{14515, 165012, 1, 991},
	{14536, 165016, 1, 992},
	{14558, 165020, 1, 987},
	{14579, 165024, 1, 988},
	{14601, 165028, 1, 989},
	{14622, 165032, 1, 990},
	{14644, 165036, 1, 991},
	{14665, 165040, 1, 992},
	{14687, 165044, 1, 987},
	{14708, 165048, 1, 988},
	{14730, 165052, 1, 989},
	{14751, 165056, 1, 990},
	{14773, 165060, 1, 991},
	{14794, 165064, 1, 992},
	{14816, 165068, 1, 987},
	{14837, 165072, 1, 988},
	{14859, 165076, 1, 989},
	{14880, 165080, 1, 990},
	{14902, 165084, 1, 991},
	{14923, 165088, 1, 992},
	{14945, 165092, 1, 987},
	{14966, 165096, 1, 988},
	{14988, 165100, 1, 989},
	{15009, 165104, 1, 990},
	{15031, 165108, 1, 991},
	{15052, 165112, 1, 992},
	{15074, 165116, 1, 987},
	{15095, 165120, 1, 988},
	{15117, 165124, 1, 989},
	{15138, 165128, 1, 990},
	{15160, 165132, 1, 991},
	{15181, 165136, 1, 992},
	{15203, 165140, 1, 987},
	{15224, 165144, 1, 988},
	{15246, 165148, 1, 989},
	{15267, 165152, 1, 990},
	{15289, 165156, 1, 991},
	{15310, 165160, 1, 992},
	{15332, 165164, 1, 987},
	{15354, 165168, 1, 988},
	{15377, 165172, 1, 989},
	{15399, 165176, 1, 990},
	{15422, 165180, 1, 991},
	{15444, 165184, 1, 992},
	{15467, 165188, 1, 987},
	{15489, 165192, 1, 988},
	{15512, 165196, 1, 989},
	{15534, 165200, 1, 990},
	{15557, 165204, 1, 991},
	{15579, 165208, 1, 992},
	{15602, 165212, 1, 987},
	{15624, 165216, 1, 988},
	{15647, 165220, 1, 989},
	{15669, 165224, 1, 990},
	{15692, 165228, 1, 991},
	{15714, 165232, 1, 992},
	{15737, 165236, 1, 987},
	{15759, 165240, 1, 988},
	{15782, 165244, 1, 989},
	{15804, 165248, 1, 990},
	{15827, 165252, 1, 991},
	{15849, 165256, 1, 992},
	{15872, 165260, 1, 987},
	{15894, 165264, 1, 988},
	{15917, 165268, 1, 989},
	{15939, 165272, 1, 990},
	{15962, 165276, 1, 991},
	{15984, 165280, 1, 992},
	{16007, 165284, 1, 987},
	{16029, 165288, 1, 988},
	{16052, 165292, 1, 989},
	{16074, 165296, 1, 990},
	{16097, 165300, 1, 991},
	{16119, 165304, 1, 992},
	{16142, 165308, 1, 993},
	{16156, 165312, 1, 993},
	{16170, 165316, 1, 993},
	{16184, 165320, 1, 993},
	{16198, 165324, 1, 993},
	{16212, 165328, 1, 993},
	{16226, 165332, 1, 993},
	{16240, 165336, 1, 993},
	{16254, 165340, 1, 993},
	{16268, 165344, 1, 993},
	{16282, 165348, 1, 993},
	{16296, 165352, 1, 993},
	{16310, 165356, 1, 993},
	{16324, 165360, 1, 993},
	{16338, 165364, 1, 993},
	{16352, 165368, 1, 993},
	{16366, 165372, 1, 993},
	{16380, 165376, 1, 993},
	{16394, 165380, 1, 993},
	{16408, 165384, 1, 993},
	{16422, 165388, 1, 993},
	{16436, 165392, 1, 993},
	{16450, 165396, 1, 993},
	{16464, 165400, 1, 993},
	{16501, 165444, 12, 994},
	{16521, 165448, 12, 994},
	{16541, 165452, 12, 994},
	{16561, 165456, 12, 994},
	{16581, 165460, 12, 994},
	{16601, 165464, 12, 994},
	{16621, 165468, 12, 994},
	{16641, 165472, 12, 994},
	{16661, 165476, 12, 994},
	{16681, 165480, 12, 994},
	{16701, 165484, 12, 994},
	{16722, 165488, 12, 994},
	{16743, 165492, 12, 994},
	{16764, 165496, 12, 994},
	{16785, 165500, 12, 994},
	{16806, 165504, 12, 994},
	{16827, 165508, 12, 994},
	{16848, 165512, 12, 994},
	{16869, 165516, 12, 994},
	{16890, 165520, 12, 994},
	{16911, 165524, 9, 1006},
	{16932, 165528, 9, 1006},
	{16953, 165532, 9, 1006},
	{16974, 165536, 9, 1006},
	{16995, 165540, 9, 1006},
	{17016, 165544, 9, 1006},
	{17037, 165548, 9, 1006},
	{17058, 165552, 9, 1006},
	{17079, 165556, 9, 1006},
	{17100, 165560, 9, 1006},
	{17121, 165564, 9, 1006},
	{17142, 165568, 9, 1006},
	{17163, 165572, 2, 1015},
	{17181, 165580, 16, 1018},
	{17198, 165584, 16, 1018},
	{17216, 165588, 7, 1034},
	{17237, 165592, 3, 4015},
	{17255, 165600, 7, 1047},
	{17270, 165608, 2, 712},
	{17309, 165644, 4, 1055},
	{17331, 165648, 1, 1060},
	{17351, 165652, 8, 1061},
	{17577, 165760, 9, 1108},
	{17595, 165764, 9, 1108},
	{17613, 165768, 9, 1108},
	{17631, 165772, 9, 1108},
	{17649, 165776, 9, 1108},
	{17667, 165780, 9, 1108},
	{17685, 165784, 9, 1108},
	{17703, 165788, 9, 1108},
	{17721, 165836, 1, 1117},
	{17735, 165840, 1, 1117},
	{17750, 165844, 1, 993},
	{17768, 165848, 1, 993},
	{17786, 165852, 1, 993},
	{17803, 165856, 1, 993},
	{17824, 165860, 1, 4018},
	{17840, 165864, 1, 1119},
	{17853, 165872, 5, 1120},
	{17872, 165876, 1, 109},
	{17887, 165880, 1, 1128},
	{17936, 165888, 10, 1130},
	{17953, 165892, 12, 1140},
	{17961, 165896, 3, 4531},
	{17978, 165900, 12, 1156},
	{17996, 165904, 19, 1173},
	{18012, 165908, 13, 1193},
	{18031, 165912, 10, 1209},
	{18046, 165916, 27, 4534},
	{18064, 165920, 16, 1247},
	{18082, 165924, 4, 1263},
	{18106, 165928, 1, 1267},
	{18131, 165932, 11, 1268},
	{18283, 166400, 2, 1301},
	{18300, 166404, 2, 1303},
	{18319, 166408, 1, 1305},
	{18335, 166412, 4, 1306},
	{18354, 166416, 1, 1310},
	{18375, 166420, 1, 1311},
	{18388, 166424, 1, 1312},
	{18411, 166428, 1, 1313},
	{18434, 166432, 1, 1314},
	{18454, 166436, 4, 4022},
	{18474, 166440, 1, 1319},
	{18495, 166444, 1, 1320},
	{18510, 166448, 6, 1321},
	{18532, 166452, 6, 1321},
	{18554, 166456, 8, 1327},
	{18580, 166460, 8, 1327},
	{18606, 166464, 15, 4561},
	{18618, 166468, 2, 1350},
	{18637, 166472, 4, 1353},
	{18655, 166476, 24, 1360},
	{18673, 166480, 1, 1384},
	{18685, 166484, 1, 1385},
	{18699, 166488, 1, 1386},
	{18713, 166492, 1, 1387},
	{18727, 166496, 1, 1388},
	{18750, 166500, 1, 1388},
	{18773, 166504, 1, 1388},
	{18796, 166508, 5, 4026},
	{18817, 166512, 1, 1384},
	{18828, 166516, 1, 1394},
	{18841, 166520, 1, 1395},
	{18858, 166524, 7, 4576},
	{18877, 166528, 1, 1384},
	{18888, 166532, 2, 1404},
	{18907, 166536, 1, 1407},
	{18929, 166540, 1, 1408},
	{18951, 166544, 3, 4583},
	{18971, 166548, 1, 1412},
	{19020, 166560, 1, 1419},
	{19045, 166564, 1, 1419},
	{19070, 166568, 7, 4586},
	{19089, 166572, 1, 1426},
	{19112, 166576, 1, 1426},
	{19135, 166580, 1, 1427},
	{19149, 166584, 1, 1428},
	{19164, 166588, 8, 4593},
	{19181, 166592, 4, 1438},
	{19208, 166596, 4, 1442},
	{19235, 166600, 4, 1446},
	{19254, 166608, 1, 674},
	{19280, 166612, 1, 1450},
	{19305, 166620, 1, 1451},
	{19333, 166624, 1, 674},
	{19359, 166628, 1, 1450},
	{19384, 166636, 1, 1451},
	{19412, 166640, 1, 674},
	{19438, 166644, 1, 1450},
	{19463, 166652, 1, 1451},
	{19491, 166656, 1, 674},
	{19517, 166660, 1, 1450},
	{19542, 166668, 1, 1451},
	{19570, 166696, 1, 1451},
	{19601, 166700, 1, 674},
	{19644, 166704, 1, 1452},
	{19682, 166712, 1, 1453},
	{19721, 166736, 3, 1456},
	{19743, 166740, 10, 1461},
	{19764, 166744, 3, 1480},
	{19781, 166748, 1, 1426},
	{19802, 166752, 1, 1426},
	{19825, 166756, 1, 1426},
	{19848, 166760, 1, 1426},
	{19871, 166764, 10, 4601},
	{19884, 166768, 6, 1495},
	{19901, 166772, 1, 1501},
	{19925, 166776, 2, 1502},
	{19955, 166780, 1, 1504},
	{19979, 166784, 1, 1505},
	{20009, 166788, 1, 1451},
	{20040, 166792, 1, 1505},
	{20069, 166796, 1, 1451},
	{20099, 166800, 2, 1506},
	{20119, 166804, 7, 4056},
	{20138, 166808, 4, 1517},
	{20188, 166868, 8, 1521},
	{20214, 166872, 8, 1529},
	{20240, 166876, 4, 1537},
	{20256, 166880, 5, 1542},
	{20272, 166884, 3, 1548},
	{20287, 166888, 1, 993},
	{20310, 166892, 1, 993},
	{20333, 166896, 1, 993},
	{20356, 166900, 1, 993},
	{20379, 166904, 8, 1551},
	{20413, 166908, 8, 1559},
	{20447, 166912, 8, 1567},
	{20481, 166916, 8, 1575},
	{20515, 166920, 8, 1551},
	{20549, 166924, 8, 1559},
	{20583, 166928, 8, 1567},
	{20617, 166932, 8, 1575},
	{20651, 166936, 8, 1551},
	{20685, 166940, 8, 1559},
	{20719, 166944, 8, 1567},
	{20753, 166948, 8, 1575},
	{20787, 166952, 8, 1551},
	{20821, 166956, 8, 1559},
	{20855, 166960, 8, 1567},
	{20889, 166964, 8, 1575},
	{20923, 166968, 2, 1583},
	{20947, 166972, 2, 1585},
	{21090, 167000, 1, 1627},
	{21118, 167004, 1, 1628},
	{21139, 167008, 1, 808},
	{21154, 167012, 2, 1629},
	{21170, 167016, 1, 1631},
	{21186, 167020, 2, 3987},
	{21201, 167024, 18, 4611},
	{21216, 167028, 6, 1654},
	{21233, 167032, 9, 1662},
	{21255, 167036, 1, 808},
	{21271, 167040, 1, 1674},
	{21293, 167044, 1, 808},
	{21309, 167048, 1, 1631},
	{21331, 167052, 1, 1675},
	{21353, 167056, 1, 1676},
	{21375, 167060, 1, 808},
	{21394, 167068, 1, 808},
	{21409, 167072, 2, 1629},
	{21425, 167076, 1, 1631},
	{21441, 167080, 2, 3987},
	{21456, 167084, 18, 4611},
	{21471, 167088, 6, 1654},
	{21488, 167092, 9, 1662},
	{21510, 167096, 1, 808},
	{21526, 167100, 1, 1674},
	{21548, 167104, 1, 808},
	{21564, 167108, 1, 1631},
	{21586, 167112, 1, 1675},
	{21608, 167116, 1, 1676},
	{21630, 167120, 1, 808},
	{21649, 167128, 1, 808},
	{21664, 167132, 2, 1629},
	{21680, 167136, 1, 1631},
	{21696, 167140, 2, 3987},
	{21711, 167144, 18, 4611},
	{21726, 167148, 6, 1654},
	{21743, 167152, 9, 1662},
	{21765, 167156, 1, 808},
	{21781, 167160, 1, 1674},
	{21803, 167164, 1, 808},
	{21819, 167168, 1, 1631},
	{21841, 167172, 1, 1675},
	{21863, 167176, 1, 1676},
	{21885, 167180, 1, 808},
	{21904, 167188, 1, 808},
	{21919, 167192, 2, 1629},
	{21935, 167196, 1, 1631},
	{21951, 167200, 2, 3987},
	{21966, 167204, 18, 4611},
	{21981, 167208, 6, 1654},
	{21998, 167212, 9, 1662},
	{22020, 167216, 1, 808},
	{22036, 167220, 1, 1674},
	{22058, 167224, 1, 808},
	{22074, 167228, 1, 1631},
	{22096, 167232, 1, 1675},
	{22118, 167236, 1, 1676},
	{22140, 167240, 1, 808},
	{22159, 167248, 1, 808},
	{22174, 167252, 2, 1629},
	{22190, 167256, 1, 1631},
	{22206, 167260, 2, 3987},
	{22221, 167264, 18, 4611},
	{22236, 167268, 6, 1654},
	{22253, 167272, 9, 1662},
	{22275, 167276, 1, 808},
	{22291, 167280, 1, 1674},
	{22313, 167284, 1, 808},
	{22329, 167288, 1, 1631},
	{22351, 167292, 1, 1675},
	{22373, 167296, 1, 1676},
	{22395, 167300, 1, 808},
	{22414, 167308, 1, 808},
	{22429, 167312, 2, 1629},
	{22445, 167316, 1, 1631},
	{22461, 167320, 2, 3987},
	{22476, 167324, 18, 4611},
	{22491, 167328, 6, 1654},
	{22508, 167332, 9, 1662},
	{22530, 167336, 1, 808},
	{22546, 167340, 1, 1674},
	{22568, 167344, 1, 808},
	{22584, 167348, 1, 1631},
	{22606, 167352, 1, 1675},
	{22628, 167356, 1, 1676},
	{22650, 167360, 1, 808},
	{22669, 167368, 1, 808},
	{22684, 167372, 2, 1629},
	{22700, 167376, 1, 1631},
	{22716, 167380, 2, 3987},
	{22731, 167384, 18, 4611},
	{22746, 167388, 6, 1654},
	{22763, 167392, 9, 1662},
	{22785, 167396, 1, 808},
	{22801, 167400, 1, 1674},
	{22823, 167404, 1, 808},
	{22839, 167408, 1, 1631},
	{22861, 167412, 1, 1675},
	{22883, 167416, 1, 1676},
	{22905, 167420, 1, 808},
	{22924, 167428, 1, 808},
	{22939, 167432, 2, 1629},
	{22955, 167436, 1, 1631},
	{22971, 167440, 2, 3987},
	{22986, 167444, 18, 4611},
	{23001, 167448, 6, 1654},
	{23018, 167452, 9, 1662},
	{23040, 167456, 1, 808},
	{23056, 167460, 1, 1674},
	{23078, 167464, 1, 808},
	{23094, 167468, 1, 1631},
	{23116, 167472, 1, 1675},
	{23138, 167476, 1, 1676},
	{23160, 167480, 1, 808},
	{24203, 196608, 1, 1689},
	{24223, 196612, 1, 1690},
	{24243, 196616, 1, 1691},
	{24263, 196620, 1, 1692},
	{24283, 196624, 1, 1693},
	{24304, 196628, 1, 1694},
	{24325, 196632, 1, 1695},
	{24347, 196636, 1, 1696},
	{24369, 196640, 1, 1697},
	{24399, 196644, 1, 1698},
	{24429, 196648, 1, 1699},
	{24458, 196652, 1, 1700},
	{24487, 196656, 1, 1701},
	{24517, 196660, 1, 1702},
	{24547, 196664, 1, 1703},
	{24576, 196668, 1, 1704},
	{24605, 196672, 1, 1705},
	{24635, 196676, 1, 1706},
	{24665, 196680, 1, 1707},
	{24694, 196684, 1, 1708},
	{24723, 196688, 1, 1709},
	{24753, 196692, 1, 1710},
	{24783, 196696, 1, 1711},
	{24812, 196700, 1, 1712},
	{24841, 196704, 1, 1713},
	{24863, 196708, 1, 1714},
	{24885, 196712, 1, 1715},
	{24908, 196716, 1, 1716},
	{24931, 196720, 1, 1717},
	{24954, 196724, 1, 1718},
	{24977, 196728, 1, 1719},
	{25000, 196732, 1, 1720},
	{25023, 196736, 1, 1721},
	{25047, 196740, 1, 1722},
	{25071, 196744, 1, 1723},
	{25095, 196748, 1, 1724},
	{25119, 196752, 1, 1725},
	{25143, 196756, 1, 1726},
	{25167, 196760, 1, 1727},
	{25191, 196764, 1, 1728},
	{25215, 196768, 1, 1729},
	{25237, 196772, 1, 1730},
	{25259, 196776, 1, 1731},
	{25280, 196780, 1, 1732},
	{25301, 196784, 1, 1733},
	{25325, 196788, 1, 1734},
	{25349, 196792, 1, 1735},
	{25373, 196796, 1, 1735},
	{25397, 196800, 1, 1736},
	{25421, 196804, 1, 1737},
	{25505, 196852, 2, 4629},
	{25527, 196856, 2, 4629},
	{25549, 196860, 1, 1740},
	{25565, 196864, 1, 1741},
	{25578, 196868, 1, 1742},
	{25591, 196872, 1, 1743},
	{25604, 196876, 1, 1744},
	{25617, 196880, 1, 1745},
	{25630, 196884, 1, 1746},
	{25643, 196888, 1, 1747},
	{25656, 196892, 1, 1748},
	{25783, 196928, 2, 1750},
	{25796, 196932, 1, 1752},
	{25809, 196936, 1, 1753},
	{25832, 196940, 1, 1754},
	{25855, 196944, 1, 1755},
	{25883, 196948, 1, 1756},
	{25911, 196952, 1, 1757},
	{25939, 196956, 1, 1758},
	{25967, 196960, 1, 1759},
	{25985, 196964, 5, 4631},
	{26003, 196968, 1, 109},
	{26018, 196972, 1, 1749},
	{26042, 196976, 1, 1749},
	{26066, 196980, 1, 1753},
	{26085, 196984, 1, 1754},
	{26104, 196988, 1, 1755},
	{26128, 196992, 1, 1756},
	{26152, 196996, 1, 1757},
	{26176, 197000, 1, 1758},
	{26200, 197028, 2, 3207},
	{26218, 197032, 3, 4636},
	{26236, 197036, 1, 1767},
	{26254, 197040, 1, 1768},
	{26272, 197044, 2, 3210},
	{26290, 197048, 3, 4639},
	{26308, 197052, 1, 1772},
	{26326, 197056, 2, 1773},
	{26345, 197060, 5, 1775},
	{26364, 197072, 1, 1780},
	{26388, 197076, 2, 1773},
	{26408, 197080, 5, 1775},
	{26428, 197084, 8, 4642},
	{26447, 197088, 8, 4642},
	{26465, 197092, 1, 1788},
	{26482, 197100, 1, 1789},
	{26503, 197104, 26, 4650},
	{26517, 197108, 1, 1803},
	{26531, 197112, 1, 1804},
	{26545, 197116, 4, 3241},
	{26561, 197120, 1, 1807},
	{26580, 197124, 1, 1808},
	{26602, 197128, 1, 1809},
	{26621, 197132, 1, 1810},
	{26643, 197136, 9, 3247},
	{26661, 197140, 1, 1807},
	{26681, 197144, 1, 1808},
	{26704, 197148, 1, 1809},
	{26724, 197152, 1, 1810},
	{26747, 197156, 9, 3247},
	{26766, 197160, 5, 3256},
	{26778, 197164, 2, 1825},
	{26795, 197168, 1, 1827},
	{26812, 197172, 1, 1828},
	{26830, 197176, 4, 1829},
	{26850, 197180, 1, 1833},
	{26867, 197184, 1, 340},
	{26883, 197188, 1, 1835},
	{26896, 197192, 1, 1836},
	{26910, 197196, 1, 1837},
	{26924, 197200, 1, 1838},
	{26946, 197204, 1, 1839},
	{26966, 197208, 1, 1840},
	{26988, 197212, 1, 1841},
	{27008, 197216, 1, 1836},
	{27025, 197220, 1, 1837},
	{27042, 197224, 1, 1842},
	{52837, 197228, 1, 1835},
	{27301, 197388, 1, 1851},
	{27320, 197392, 1, 1852},
	{27339, 197396, 1, 1853},
	{27356, 197400, 1, 1854},
	{27374, 197404, 1, 1855},
	{27392, 197408, 1, 1856},
	{27408, 197412, 1, 1857},
	{27426, 197416, 1, 1858},
	{27444, 197420, 1, 1859},
	{27460, 197424, 1, 1854},
	{27475, 197428, 1, 1855},
	{27490, 197432, 1, 1856},
	{27503, 197436, 1, 1857},
	{27518, 197440, 1, 1858},
	{27533, 197444, 1, 1859},
	{27546, 197448, 1, 1860},
	{27560, 197452, 1, 1861},
	{27574, 197456, 1, 1862},
	{27586, 197460, 4, 4676},
	{27609, 197464, 4, 4266},
	{27631, 197468, 1, 4680},
	{27775, 197552, 1, 1875},
	{27800, 197556, 1, 1875},
	{27824, 197560, 1, 1876},
	{27844, 197568, 1, 1877},
	{27870, 197572, 1, 1690},
	{27899, 197576, 1, 1877},
	{27924, 197580, 1, 1690},
	{27952, 197584, 1, 1877},
	{27975, 197588, 1, 1690},
	{28001, 197592, 1, 1877},
	{28023, 197596, 1, 1690},
	{28048, 197600, 1, 1877},
	{28067, 197604, 1, 1690},
	{28089, 197608, 1, 1396},
	{28103, 197612, 1, 1877},
	{28120, 197616, 1, 1690},
	{28140, 197620, 8, 1878},
	{28309, 198656, 6, 3110},
	{48507, 198912, 1, 1915},
	{48526, 198916, 1, 1915},
	{28370, 198920, 1, 3500},
	{28389, 198924, 1, 1396},
	{28404, 198928, 1, 674},
	{28437, 198932, 1, 674},
	{28470, 198936, 1, 674},
	{28503, 198940, 1, 674},
	{28593, 198960, 1, 1394},
	{28609, 198964, 1, 1407},
	{49020, 198968, 1, 1917},
	{49052, 198972, 2, 1918},
	{49073, 198976, 1, 1920},
	{29013, 199168, 1, 1944},
	{29038, 199172, 2, 1945},
	{29063, 199184, 2, 1947},
	{29089, 199188, 2, 1947},
	{29115, 199192, 2, 1947},
	{29141, 199212, 2, 1947},
	{29167, 199296, 2, 1949},
	{29195, 199300, 1, 1951},
	{29219, 199304, 1, 1952},
	{29243, 199308, 1, 1953},
	{29276, 199312, 1, 1953},
	{29304, 199328, 2, 1949},
	{29333, 199332, 1, 1951},
	{29358, 199336, 1, 1952},
	{29383, 199340, 1, 1953},
	{29417, 199344, 1, 1953},
	{29446, 199360, 2, 1949},
	{29470, 199364, 1, 1951},
	{29490, 199368, 1, 1952},
	{29510, 199372, 1, 1953},
	{29539, 199376, 1, 1953},
	{49639, 199872, 1, 737},
	{49660, 199876, 1, 3678},
	{2095, 199880, 8, 4233},
	{2116, 199884, 3, 3687},
	{49681, 199888, 2, 3690},
	{2143, 199892, 1, 3714},
	{49707, 199896, 15, 3699},
	{50710, 199900, 1, 4242},
	{50732, 199904, 1, 4681},
	{2074, 199908, 2, 3692},
	{2164, 199912, 5, 4245},
	{49749, 199916, 1, 3715},
	{29563, 199936, 1, 109},
	{29590, 199940, 1, 109},
	{29617, 199944, 1, 109},
	{29644, 199948, 1, 109},
	{29779, 199968, 6, 1954},
	{29790, 199972, 2, 1961},
	{29804, 200192, 1, 866},
	{29823, 200196, 1, 867},
	{29845, 200448, 1, 1963},
	{29869, 200452, 1, 1964},
	{29892, 200456, 1, 1963},
	{29916, 200460, 1, 1964},
	{29939, 200464, 1, 1963},
	{29963, 200468, 1, 1964},
	{29986, 200472, 1, 1963},
	{30010, 200476, 1, 1964},
	{30033, 200696, 1, 1963},
	{30052, 200700, 1, 1964},
	{30070, 200704, 1, 1965},
	{30082, 200708, 1, 1966},
	{30094, 200712, 1, 1967},
	{30112, 200716, 1, 1968},
	{30131, 200720, 1, 1969},
	{30149, 200724, 1, 1970},
	{30161, 200728, 1, 1971},
	{30173, 200732, 1, 1970},
	{30191, 200736, 1, 1971},
	{30209, 200740, 1, 1972},
	{30228, 200744, 4, 1973},
	{30242, 200748, 2, 1977},
	{30260, 200752, 2, 1979},
	{30274, 200756, 2, 1981},
	{30288, 200760, 2, 1983},
	{30305, 200764, 2, 1985},
	{30322, 200768, 1, 1987},
	{30335, 200772, 2, 1988},
	{30347, 200776, 1, 109},
	{30361, 200780, 1, 109},
	{30377, 200784, 1, 109},
	{30391, 200788, 1, 109},
	{30407, 200792, 1, 109},
	{30422, 200796, 1, 109},
	{30439, 200800, 1, 109},
	{30454, 200804, 1, 109},
	{30471, 200808, 2, 1990},
	{30493, 200812, 9, 4274},
	{30510, 200816, 2, 2002},
	{30531, 200820, 2, 2004},
	{30543, 200824, 1, 2006},
	{30558, 200828, 6, 4682},
	{30573, 200832, 2, 2013},
	{30587, 200836, 1, 2015},
	{30700, 212992, 1, 2017},
	{30720, 212996, 1, 2018},
	{30740, 213000, 1, 2017},
	{30760, 213004, 1, 2018},
	{30780, 213008, 1, 2017},
	{30800, 213012, 1, 2018},
	{30820, 213016, 1, 2017},
	{30840, 213020, 1, 2018},
	{30860, 213024, 1, 2017},
	{30880, 213028, 1, 2018},
	{30900, 213032, 1, 2017},
	{30920, 213036, 1, 2018},
	{31009, 213248, 1, 2017},
	{31030, 213252, 1, 2018},
	{31051, 213260, 1, 2017},
	{31072, 213264, 1, 2018},
	{31093, 213268, 1, 2017},
	{31117, 213272, 1, 2018},
	{31141, 213276, 1, 2017},
	{31165, 213280, 1, 2018},
	{31189, 213284, 1, 2017},
	{31213, 213288, 1, 2018},
	{31237, 213292, 1, 2017},
	{31261, 213296, 1, 2018},
	{50822, 213504, 1, 2017},
	{50841, 213508, 1, 2018},
	{50860, 213512, 1, 2017},
	{50879, 213516, 1, 2018},
	{50898, 213520, 1, 2017},
	{50917, 213524, 1, 2018},
	{50936, 213528, 1, 2017},
	{50955, 213532, 1, 2018},
	{48217, 213536, 1, 2017},
	{48236, 213540, 1, 2018},
	{48255, 213544, 1, 2017},
	{48274, 213548, 1, 2018},
	{48293, 213552, 1, 2017},
	{48312, 213556, 1, 2018},
	{48331, 213560, 1, 2017},
	{48350, 213564, 1, 2018},
	{48808, 213568, 1, 2017},
	{48828, 213572, 1, 2018},
	{48848, 213576, 1, 2017},
	{48868, 213580, 1, 2018},
	{48888, 213584, 1, 2017},
	{48908, 213588, 1, 2018},
	{48928, 213592, 1, 2017},
	{48948, 213596, 1, 2018},
	{31745, 214016, 1, 2017},
	{31767, 214020, 1, 2019},
	{31789, 214024, 1, 2017},
	{31811, 214028, 1, 2019},
	{31833, 214032, 1, 2017},
	{31855, 214036, 1, 2019},
	{31877, 214040, 1, 2017},
	{31899, 214044, 1, 2019},
	{31921, 214272, 1, 2017},
	{31943, 214276, 1, 2018},
	{31965, 214280, 1, 2017},
	{31987, 214284, 1, 2018},
	{32009, 214288, 1, 2017},
	{32031, 214292, 1, 2018},
	{32053, 214296, 1, 2017},
	{32075, 214300, 1, 2018},
	{32097, 214304, 1, 2017},
	{32119, 214308, 1, 2018},
	{32141, 214312, 1, 2017},
	{32163, 214316, 1, 2018},
	{32185, 214320, 1, 2017},
	{32207, 214324, 1, 2018},
	{32229, 214328, 1, 2017},
	{32251, 214332, 1, 2018},
	{32273, 214528, 1, 2018},
	{32293, 214532, 1, 2017},
	{32313, 214536, 1, 2018},
	{32333, 214540, 1, 2017},
	{32353, 214544, 1, 2018},
	{32373, 214548, 1, 2017},
	{32393, 214552, 1, 2018},
	{32413, 214556, 1, 2017},
	{32433, 214560, 1, 2018},
	{32453, 214564, 1, 2017},
	{32473, 214568, 1, 2018},
	{32493, 214572, 1, 2017},
	{32513, 214784, 1, 2017},
	{32532, 214788, 1, 2018},
	{32551, 214792, 1, 2017},
	{32570, 214796, 1, 2018},
	{32589, 214800, 1, 2017},
	{32608, 214804, 1, 2018},
	{32627, 214808, 1, 2017},
	{32646, 214812, 1, 2018},
	{32665, 214816, 1, 2017},
	{32684, 214820, 1, 2018},
	{32703, 214824, 1, 2017},
	{32722, 214828, 1, 2018},
	{32741, 214832, 1, 2017},
	{32760, 214836, 1, 2018},
	{32779, 214840, 1, 2017},
	{32798, 214844, 1, 2018},
	{32817, 214848, 1, 2017},
	{32836, 214852, 1, 2018},
	{32855, 214856, 1, 2017},
	{32874, 214860, 1, 2018},
	{32893, 214864, 1, 2017},
	{32913, 214868, 1, 2018},
	{32933, 214872, 1, 2017},
	{32953, 214876, 1, 2018},
	{32973, 214880, 1, 2017},
	{32993, 214884, 1, 2018},
	{33013, 214888, 1, 2017},
	{33033, 214892, 1, 2018},
	{33053, 214896, 1, 2017},
	{33073, 214900, 1, 2018},
	{33093, 214904, 1, 2017},
	{33113, 214908, 1, 2018},
	{33133, 215296, 1, 2017},
	{33152, 215300, 1, 2018},
	{33171, 215304, 1, 2017},
	{33190, 215308, 1, 2018},
	{33209, 215312, 1, 2017},
	{33228, 215316, 1, 2018},
	{33247, 215320, 1, 2017},
	{33266, 215324, 1, 2018},
	{33327, 215552, 1, 2017},
	{33347, 215556, 1, 2018},
	{33367, 215560, 1, 2017},
	{33387, 215564, 1, 2018},
	{33407, 215568, 1, 2017},
	{33427, 215572, 1, 2018},
	{33447, 215576, 1, 2017},
	{33467, 215580, 1, 2018},
	{33487, 215808, 1, 2017},
	{33506, 215812, 1, 2018},
	{33525, 215816, 1, 2017},
	{33544, 215820, 1, 2018},
	{33563, 216064, 1, 2017},
	{33582, 216068, 1, 2018},
	{33601, 216072, 1, 2017},
	{33620, 216076, 1, 2018},
	{33639, 216320, 1, 2017},
	{33659, 216324, 1, 2018},
	{33679, 216328, 1, 2017},
	{33699, 216332, 1, 2018},
	{33719, 216336, 1, 2017},
	{33739, 216340, 1, 2018},
	{33759, 216344, 1, 2017},
	{33779, 216348, 1, 2018},
	{50974, 216576, 1, 2017},
	{50994, 216580, 1, 2018},
	{51014, 216584, 1, 2017},
	{51034, 216588, 1, 2018},
	{51054, 216592, 1, 2017},
	{51074, 216596, 1, 2018},
	{51094, 216600, 1, 2017},
	{51114, 216604, 1, 2018},
	{51134, 216640, 1, 2017},
	{51154, 216644, 1, 2018},
	{51174, 216648, 1, 2017},
	{51194, 216652, 1, 2018},
	{51214, 216656, 1, 2017},
	{51234, 216660, 1, 2018},
	{51254, 216664, 1, 2017},
	{51274, 216668, 1, 2018},
	{34631, 217112, 1, 2017},
	{34650, 217116, 1, 2018},
	{34669, 217120, 1, 2017},
	{34688, 217124, 1, 2018},
	{34707, 217128, 1, 2017},
	{34726, 217132, 1, 2018},
	{34745, 217136, 1, 2017},
	{34764, 217140, 1, 2018},
	{34783, 217344, 1, 2017},
	{34802, 217348, 1, 2018},
	{34821, 217352, 1, 2017},
	{34840, 217356, 1, 2018},
	{34859, 217360, 1, 2017},
	{34878, 217364, 1, 2018},
	{34897, 217368, 1, 2017},
	{34916, 217372, 1, 2018},
	{34935, 217600, 1, 2017},
	{34955, 217604, 1, 2018},
	{34975, 217608, 1, 2017},
	{34995, 217612, 1, 2018},
	{36317, 221184, 1, 2057},
	{36341, 221188, 2, 4283},
	{36366, 221192, 3, 4285},
	{36390, 221196, 1, 2057},
	{36414, 221200, 2, 4283},
	{36439, 221204, 1, 2057},
	{36463, 221208, 2, 4283},
	{36488, 221212, 3, 4285},
	{36512, 221216, 4, 2032},
	{36528, 221220, 3, 4285},
	{36695, 221248, 1, 2048},
	{36710, 221252, 1, 1953},
	{36733, 221256, 1, 2049},
	{36756, 221260, 1, 2050},
	{36774, 221264, 2, 2051},
	{36792, 221268, 4, 2053},
	{36812, 221440, 19, 3153},
	{36837, 221444, 19, 3153},
	{36862, 221448, 12, 3172},
	{36890, 221452, 12, 3172},
	{36918, 221456, 12, 3172},
	{36946, 221460, 12, 3172},
	{51454, 221696, 2, 3458},
	{51477, 221700, 2, 3458},
	{51500, 221704, 2, 3458},
	{51523, 221708, 2, 3458},
	{48125, 221712, 5, 2111},
	{48148, 221716, 2, 3458},
	{48171, 221720, 2, 3458},
	{48194, 221724, 2, 3458},
	{51546, 221728, 4, 2116},
	{48712, 221744, 5, 2111},
	{48736, 221748, 5, 2111},
	{48760, 221752, 2, 3458},
	{48784, 221756, 2, 3458},
	{51570, 221760, 4, 2116},
	{51595, 221764, 4, 2116},
	{48686, 221776, 1, 3499},
	{37404, 222208, 3, 2111},
	{37430, 222212, 2, 2028},
	{37457, 222216, 3, 2111},
	{37483, 222220, 2, 2028},
	{37510, 222224, 2, 2167},
	{37563, 222228, 2, 2167},
	{37616, 222464, 3, 2111},
	{37642, 222468, 2, 2028},
	{37669, 222472, 1, 2023},
	{37695, 222476, 1, 2023},
	{37721, 222480, 1, 2023},
	{37747, 222484, 1, 2023},
	{37773, 222488, 1, 2023},
	{37799, 222492, 1, 2023},
	{37825, 222496, 1, 2023},
	{37851, 222720, 3, 2111},
	{37875, 222724, 3, 2111},
	{37899, 222728, 3, 2111},
	{37923, 222732, 3, 2111},
	{37947, 222736, 2, 2028},
	{37972, 222740, 2, 2028},
	{37997, 222744, 2, 2028},
	{38022, 222748, 2, 2028},
	{38047, 222752, 1, 2155},
	{38071, 222756, 1, 2155},
	{38095, 222760, 8, 2120},
	{38116, 222976, 6, 3657},
	{38139, 222980, 6, 3657},
	{38162, 222984, 6, 3657},
	{38185, 222988, 6, 3657},
	{38208, 222992, 6, 3657},
	{38231, 222996, 6, 3657},
	{38254, 223000, 6, 3657},
	{38277, 223004, 6, 3657},
	{38300, 223008, 6, 3657},
	{38323, 223012, 6, 3657},
	{38346, 223016, 6, 3657},
	{38370, 223020, 6, 3657},
	{38394, 223024, 6, 3657},
	{38418, 223028, 6, 3657},
	{38442, 223032, 6, 3657},
	{38466, 223036, 6, 3657},
	{38490, 223104, 9, 3640},
	{51620, 223108, 2, 3690},
	{38510, 223112, 1, 2141},
	{38605, 223488, 3, 2150},
	{38628, 223492, 3, 2150},
	{38651, 223496, 3, 2150},
	{38674, 223500, 3, 2150},
	{38697, 223504, 2, 2153},
	{38721, 223508, 2, 2153},
	{38745, 223744, 3, 2150},
	{38769, 223748, 3, 2150},
	{38793, 223752, 3, 2150},
	{38817, 223756, 3, 2150},
	{38841, 223760, 2, 2153},
	{38866, 224000, 5, 2155},
	{38889, 224004, 4, 2160},
	{38913, 224008, 5, 2155},
	{38936, 224256, 5, 2155},
	{38959, 224260, 4, 2160},
	{38983, 224264, 5, 2155},
	{39006, 224512, 5, 2111},
	{39030, 224516, 4, 2116},
	{39055, 224520, 5, 2111},
	{39079, 224524, 4, 2116},
	{39104, 224528, 3, 2167},
	{39128, 224532, 3, 2167},
	{51640, 224768, 5, 2111},
	{51664, 224772, 4, 2105},
	{51689, 224776, 5, 2111},
	{51713, 224780, 4, 2105},
	{51738, 224784, 3, 2167},
	{51762, 224788, 3, 2167},
	{51786, 224832, 5, 2111},
	{51810, 224836, 4, 2105},
	{51835, 224840, 5, 2111},
	{51859, 224844, 4, 2105},
	{51884, 224848, 3, 2167},
	{51908, 224852, 3, 2167},
	{39829, 225280, 12, 2170},
	{39851, 225284, 5, 2182},
	{39874, 225288, 4, 2187},
	{39898, 225292, 2, 2191},
	{39921, 225296, 2, 2191},
	{39944, 225300, 2, 2191},
	{39967, 225536, 5, 2111},
	{39990, 225540, 4, 2116},
	{40014, 225544, 5, 2111},
	{40037, 225548, 4, 2116},
	{40061, 225552, 5, 2111},
	{40084, 225560, 5, 2111},
	{40107, 225792, 4, 2193},
	{40128, 225796, 1, 2197},
	{40157, 225800, 2, 2198},
	{40186, 225804, 1, 2200},
	{40212, 225808, 7, 2201},
	{40286, 225812, 1, 4294},
	{40309, 225816, 1, 2213},
	{52053, 225820, 2, 4295},
	{52086, 225824, 2, 4295},
	{52119, 225828, 2, 4295},
	{52152, 225832, 2, 4295},
	{52184, 225836, 2, 4295},
	{52216, 225840, 2, 4295},
	{52248, 225844, 2, 4295},
	{52281, 225848, 2, 4295},
	{52313, 225856, 2, 4295},
	{52345, 225860, 2, 4295},
	{52378, 225864, 2, 4295},
	{52411, 225868, 2, 4295},
	{52444, 225872, 2, 4295},
	{52476, 225876, 2, 4295},
	{52508, 225880, 2, 4295},
	{52541, 225884, 2, 4295},
	{52574, 225888, 2, 4295},
	{52640, 225896, 2, 4295},
	{40332, 225900, 1, 4294},
	{40359, 225904, 1, 2213},
	{40241, 225908, 1, 2208},
	{40260, 225912, 1, 4297},
	{52672, 225916, 2, 4295},
	{52706, 225920, 2, 4295},
	{52740, 225924, 2, 4295},
	{52774, 225928, 2, 4295},
	{41229, 226044, 1, 2290},
	{41022, 226048, 2, 2280},
	{41039, 226052, 1, 2282},
	{41063, 226056, 1, 2282},
	{195, 880, 4, 2317},
	{42808, 881},
	{26631, 882},
	{42820, 1008},
	{42831, 1009},
	{26819, 1010, 3, 2321},
	{42842, 1040, 1, 2324},
	{42855, 1041, 5, 4298},
	{42868, 1042, 1, 2330},
	{42881, 1043, 1, 1810},
	{26653, 1045, 9, 4087},
	{42909, 1280, 6, 4303},
	{42924, 1281},
	{26590, 1282},
	{42808, 1283},
	{26631, 1284},
};

static const struct si_reg gfx81_reg_table[] = {
	{974, 68, 10, 4309},
	{987, 72, 23, 4319},
	{1002, 76, 4, 4342},
	{46947, 80, 11, 4112},
	{1039, 84, 4, 2963},
	{1057, 88, 2, 2967},
	{1075, 92, 6, 4346},
	{1090, 96, 1, 70},
	{1104, 100, 1, 71},
	{1118, 104, 1, 72},
	{46961, 108, 1, 2974},
	{46978, 112, 13, 4352},
	{1135, 116, 5, 4365},
	{46994, 2480, 1, 1877},
	{47009, 2484, 1, 2988},
	{47024, 2488, 1, 1877},
	{47039, 2492, 1, 2988},
	{1273, 2496, 1, 109},
	{1287, 2500, 1, 109},
	{1301, 2504, 1, 109},
	{1315, 2508, 1, 109},
	{1329, 2512, 1, 109},
	{1343, 2516, 1, 109},
	{1357, 2520, 1, 109},
	{1371, 2524, 1, 109},
	{1385, 2528, 1, 109},
	{1399, 2532, 1, 109},
	{1413, 2536, 1, 109},
	{1428, 2540, 1, 109},
	{1503, 2544, 1, 110},
	{1514, 2552, 1, 111},
	{1530, 2556, 1, 112},
	{47054, 3660, 21, 2989},
	{47067, 3664, 20, 3010},
	{47079, 3668, 16, 3030},
	{1618, 32776, 18, 4370},
	{1631, 32784, 24, 3068},
	{1643, 32788, 11, 3092},
	{1659, 32792, 11, 3092},
	{1688, 32824, 11, 3092},
	{1704, 32828, 11, 3092},
	{1720, 33296, 15, 4388},
	{1734, 33300, 28, 212},
	{1751, 33304, 14, 4403},
	{1772, 33308, 21, 4417},
	{1786, 33312, 31, 4195},
	{1803, 33316, 9, 4438},
	{1842, 33324, 1, 337},
	{1865, 33344, 1, 338},
	{1886, 33348, 1, 340},
	{1947, 33436, 1, 351},
	{49728, 36416, 1, 388},
	{2351, 36608, 1, 394},
	{2369, 36612, 4, 395},
	{2387, 36616, 1, 399},
	{2405, 36620, 14, 4447},
	{3306, 36624, 1, 394},
	{3324, 36628, 5, 4688},
	{3342, 36632, 4, 3759},
	{3360, 36636, 11, 3763},
	{3378, 36640, 2, 3774},
	{3396, 36644, 2, 3776},
	{3414, 36648, 8, 4466},
	{3432, 36652, 1, 4474},
	{2423, 36656, 14, 4475},
	{2441, 36660, 4, 424},
	{2459, 36664, 10, 4489},
	{2477, 36668, 3, 3805},
	{2495, 37120, 6, 442},
	{2511, 39160, 9, 3808},
	{2526, 39184, 5, 3818},
	{2540, 39188, 5, 3818},
	{2554, 39192, 5, 3818},
	{2568, 39196, 5, 3818},
	{2582, 39200, 5, 3818},
	{2596, 39204, 5, 3818},
	{2610, 39208, 5, 3818},
	{2624, 39212, 5, 3818},
	{2638, 39216, 5, 3818},
	{2652, 39220, 5, 3818},
	{2666, 39224, 5, 3818},
	{2681, 39228, 5, 3818},
	{2696, 39232, 5, 3818},
	{2711, 39236, 5, 3818},
	{2726, 39240, 5, 3818},
	{2741, 39244, 5, 3818},
	{2756, 39248, 5, 3818},
	{2771, 39252, 5, 3818},
	{2786, 39256, 5, 3818},
	{2801, 39260, 5, 3818},
	{2816, 39264, 5, 3818},
	{2831, 39268, 5, 3818},
	{2846, 39272, 5, 3818},
	{2861, 39276, 5, 3818},
	{2876, 39280, 5, 3818},
	{2891, 39284, 5, 3818},
	{2906, 39288, 5, 3818},
	{2921, 39292, 5, 3818},
	{2936, 39296, 5, 3818},
	{2951, 39300, 5, 3818},
	{2966, 39304, 5, 3818},
	{2981, 39308, 5, 3818},
	{2996, 39312, 4, 461},
	{3015, 39316, 4, 461},
	{3034, 39320, 4, 461},
	{3053, 39324, 4, 461},
	{3072, 39328, 4, 461},
	{3091, 39332, 4, 461},
	{3110, 39336, 4, 461},
	{3129, 39340, 4, 461},
	{3148, 39344, 4, 461},
	{3167, 39348, 4, 461},
	{3186, 39352, 4, 461},
	{3206, 39356, 4, 461},
	{3226, 39360, 4, 461},
	{3246, 39364, 4, 461},
	{3266, 39368, 4, 461},
	{3286, 39372, 4, 461},
	{49962, 45056, 1, 505},
	{49983, 45060, 1, 506},
	{50004, 45064, 1, 505},
	{50025, 45068, 1, 506},
	{3499, 45084, 3, 502},
	{3523, 45088, 1, 505},
	{3544, 45092, 1, 506},
	{3565, 45096, 11, 3823},
	{3589, 45100, 6, 518},
	{3613, 45104, 1, 109},
	{3639, 45108, 1, 109},
	{3665, 45112, 1, 109},
	{3691, 45116, 1, 109},
	{3717, 45120, 1, 109},
	{3743, 45124, 1, 109},
	{3769, 45128, 1, 109},
	{3795, 45132, 1, 109},
	{3821, 45136, 1, 109},
	{3847, 45140, 1, 109},
	{3873, 45144, 1, 109},
	{3900, 45148, 1, 109},
	{3927, 45152, 1, 109},
	{3954, 45156, 1, 109},
	{3981, 45160, 1, 109},
	{4008, 45164, 1, 109},
	{50046, 45312, 1, 505},
	{50067, 45316, 1, 506},
	{50088, 45320, 1, 505},
	{50109, 45324, 1, 506},
	{4680, 45336, 3, 502},
	{4704, 45340, 1, 542},
	{4729, 45344, 1, 505},
	{4750, 45348, 1, 506},
	{4771, 45352, 12, 3840},
	{4795, 45356, 11, 4499},
	{4819, 45360, 1, 109},
	{4845, 45364, 1, 109},
	{4871, 45368, 1, 109},
	{4897, 45372, 1, 109},
	{4923, 45376, 1, 109},
	{4949, 45380, 1, 109},
	{4975, 45384, 1, 109},
	{5001, 45388, 1, 109},
	{5027, 45392, 1, 109},
	{5053, 45396, 1, 109},
	{5079, 45400, 1, 109},
	{5106, 45404, 1, 109},
	{5133, 45408, 1, 109},
	{5160, 45412, 1, 109},
	{5187, 45416, 1, 109},
	{5214, 45420, 1, 109},
	{5864, 45552, 6, 578},
	{5891, 45556, 5, 584},
	{50130, 45568, 1, 505},
	{50151, 45572, 1, 506},
	{50172, 45576, 1, 505},
	{50193, 45580, 1, 506},
	{6079, 45596, 4, 591},
	{6103, 45600, 1, 505},
	{6124, 45604, 1, 506},
	{6145, 45608, 11, 3862},
	{6169, 45612, 4, 569},
	{6193, 45616, 1, 109},
	{6219, 45620, 1, 109},
	{6245, 45624, 1, 109},
	{6271, 45628, 1, 109},
	{6297, 45632, 1, 109},
	{6323, 45636, 1, 109},
	{6349, 45640, 1, 109},
	{6375, 45644, 1, 109},
	{6401, 45648, 1, 109},
	{6427, 45652, 1, 109},
	{6453, 45656, 1, 109},
	{6480, 45660, 1, 109},
	{6507, 45664, 1, 109},
	{6534, 45668, 1, 109},
	{6561, 45672, 1, 109},
	{6588, 45676, 1, 109},
	{7223, 45808, 6, 578},
	{50214, 45824, 1, 505},
	{50235, 45828, 1, 506},
	{50256, 45832, 1, 505},
	{50277, 45836, 1, 506},
	{7250, 45852, 4, 591},
	{7274, 45856, 1, 505},
	{7295, 45860, 1, 506},
	{7316, 45864, 12, 3840},
	{7340, 45868, 6, 578},
	{7364, 45872, 1, 109},
	{7390, 45876, 1, 109},
	{7416, 45880, 1, 109},
	{7442, 45884, 1, 109},
	{7468, 45888, 1, 109},
	{7494, 45892, 1, 109},
	{7520, 45896, 1, 109},
	{7546, 45900, 1, 109},
	{7572, 45904, 1, 109},
	{7598, 45908, 1, 109},
	{7624, 45912, 1, 109},
	{7651, 45916, 1, 109},
	{7678, 45920, 1, 109},
	{7705, 45924, 1, 109},
	{7732, 45928, 1, 109},
	{7759, 45932, 1, 109},
	{7786, 46068, 5, 584},
	{50298, 46080, 1, 505},
	{50319, 46084, 1, 506},
	{50340, 46088, 1, 505},
	{50361, 46092, 1, 506},
	{7974, 46108, 3, 627},
	{7998, 46112, 1, 505},
	{8019, 46116, 1, 506},
	{8040, 46120, 10, 3883},
	{8064, 46124, 6, 643},
	{8088, 46128, 1, 109},
	{8114, 46132, 1, 109},
	{8140, 46136, 1, 109},
	{8166, 46140, 1, 109},
	{8192, 46144, 1, 109},
	{8218, 46148, 1, 109},
	{8244, 46152, 1, 109},
	{8270, 46156, 1, 109},
	{8296, 46160, 1, 109},
	{8322, 46164, 1, 109},
	{8348, 46168, 1, 109},
	{8375, 46172, 1, 109},
	{8402, 46176, 1, 109},
	{8429, 46180, 1, 109},
	{8456, 46184, 1, 109},
	{8483, 46188, 1, 109},
	{9118, 46324, 5, 584},
	{50382, 46336, 1, 505},
	{50403, 46340, 1, 506},
	{50424, 46344, 1, 505},
	{50445, 46348, 1, 506},
	{9145, 46364, 4, 591},
	{9169, 46368, 1, 505},
	{9190, 46372, 1, 506},
	{9211, 46376, 11, 3899},
	{9235, 46380, 5, 584},
	{9259, 46384, 1, 109},
	{9285, 46388, 1, 109},
	{9311, 46392, 1, 109},
	{9337, 46396, 1, 109},
	{9363, 46400, 1, 109},
	{9389, 46404, 1, 109},
	{9415, 46408, 1, 109},
	{9441, 46412, 1, 109},
	{9467, 46416, 1, 109},
	{9493, 46420, 1, 109},
	{9519, 46424, 1, 109},
	{9546, 46428, 1, 109},
	{9573, 46432, 1, 109},
	{9600, 46436, 1, 109},
	{9627, 46440, 1, 109},
	{9654, 46444, 1, 109},
	{9681, 47104, 12, 3915},
	{9708, 47108, 1, 674},
	{9722, 47112, 1, 674},
	{9736, 47116, 1, 674},
	{9750, 47120, 1, 675},
	{9766, 47124, 1, 675},
	{9782, 47128, 1, 675},
	{9798, 47132, 2, 676},
	{9819, 47136, 2, 676},
	{9840, 47140, 2, 676},
	{9861, 47144, 1, 678},
	{9889, 47148, 1, 679},
	{9914, 47152, 1, 109},
	{9929, 47156, 2, 3928},
	{50486, 47160, 1, 109},
	{50501, 47164, 1, 680},
	{50516, 47168, 1, 109},
	{50531, 47172, 1, 680},
	{10068, 47176, 10, 3930},
	{10086, 47180, 11, 693},
	{10104, 47184, 1, 704},
	{10117, 47188, 6, 705},
	{50546, 47192, 2, 3947},
	{50577, 47196, 2, 3947},
	{10195, 47200, 2, 712},
	{50760, 47204, 2, 3947},
	{50791, 47208, 2, 3947},
	{10270, 47212, 1, 714},
	{10288, 47216, 1, 714},
	{10306, 47220, 1, 714},
	{10324, 47224, 1, 715},
	{10352, 47228, 5, 716},
	{10374, 47232, 1, 721},
	{10394, 47236, 1, 722},
	{10577, 47240, 3, 734},
	{10594, 47244, 1, 737},
	{10623, 47248, 1, 738},
	{52808, 47252, 2, 4510},
	{10670, 47360, 1, 109},
	{10690, 47364, 1, 109},
	{10710, 47368, 1, 109},
	{10730, 47372, 1, 109},
	{10750, 47376, 1, 109},
	{10770, 47380, 1, 109},
	{10790, 47384, 1, 109},
	{10810, 47388, 1, 109},
	{10830, 47392, 1, 109},
	{10850, 47396, 1, 109},
	{10870, 47400, 1, 109},
	{10891, 47404, 1, 109},
	{10912, 47408, 1, 109},
	{10933, 47412, 1, 109},
	{10954, 47416, 1, 109},
	{10975, 47420, 1, 109},
	{11041, 47612, 1, 109},
	{50608, 53300, 29, 3949},
	{50625, 55348, 29, 3949},
	{11057, 163840, 10, 741},
	{11075, 163844, 9, 3978},
	{11092, 163848, 4, 3987},
	{11106, 163852, 23, 769},
	{11125, 163856, 15, 792},
	{11145, 163860, 1, 808},
	{11181, 163872, 1, 811},
	{11201, 163876, 1, 812},
	{11221, 163880, 1, 813},
	{11238, 163884, 1, 814},
	{11253, 163888, 2, 815},
	{11277, 163892, 2, 817},
	{50642, 163900, 7, 3991},
	{11335, 163904, 10, 4512},
	{11345, 163908, 6, 4522},
	{11361, 163912, 1, 808},
	{11376, 163916, 1, 808},
	{11397, 163920, 1, 808},
	{11413, 163924, 1, 808},
	{50656, 163928, 2, 4011},
	{50670, 163932, 1, 4013},
	{11603, 163968, 1, 866},
	{11619, 163972, 1, 867},
	{11638, 164328, 1, 4250},
	{11659, 164332, 1, 4250},
	{11680, 164336, 1, 4250},
	{11701, 164340, 1, 4250},
	{11722, 164344, 1, 869},
	{11740, 164348, 1, 869},
	{11758, 164352, 2, 870},
	{11778, 164356, 3, 872},
	{11802, 164360, 2, 875},
	{11826, 164364, 1, 877},
	{11846, 164368, 2, 872},
	{11866, 164372, 2, 875},
	{11886, 164376, 2, 872},
	{11906, 164380, 2, 875},
	{11926, 164384, 2, 872},
	{11946, 164388, 2, 875},
	{11966, 164392, 2, 872},
	{11986, 164396, 2, 875},
	{12006, 164400, 7, 878},
	{12021, 164404, 2, 885},
	{12050, 164408, 8, 887},
	{12065, 164412, 8, 895},
	{12080, 164416, 3, 872},
	{12105, 164420, 2, 875},
	{12130, 164424, 1, 869},
	{12148, 164428, 1, 869},
	{12166, 164432, 3, 872},
	{12191, 164436, 2, 875},
	{12216, 164440, 3, 872},
	{12241, 164444, 2, 875},
	{12266, 164448, 3, 872},
	{12291, 164452, 2, 875},
	{12316, 164456, 3, 872},
	{12341, 164460, 2, 875},
	{12366, 164464, 3, 872},
	{12391, 164468, 2, 875},
	{12416, 164472, 3, 872},
	{12441, 164476, 2, 875},
	{12466, 164480, 3, 872},
	{12491, 164484, 2, 875},
	{12516, 164488, 3, 872},
	{12541, 164492, 2, 875},
	{12566, 164496, 3, 872},
	{12591, 164500, 2, 875},
	{12616, 164504, 3, 872},
	{12641, 164508, 2, 875},
	{12666, 164512, 3, 872},
	{12692, 164516, 2, 875},
	{12718, 164520, 3, 872},
	{12744, 164524, 2, 875},
	{12770, 164528, 3, 872},
	{12796, 164532, 2, 875},
	{12822, 164536, 3, 872},
	{12848, 164540, 2, 875},
	{12874, 164544, 3, 872},
	{12900, 164548, 2, 875},
	{12926, 164552, 3, 872},
	{12952, 164556, 2, 875},
	{12978, 164560, 1, 903},
	{12997, 164564, 1, 904},
	{13016, 164568, 1, 903},
	{13035, 164572, 1, 904},
	{13054, 164576, 1, 903},
	{13073, 164580, 1, 904},
	{13092, 164584, 1, 903},
	{13111, 164588, 1, 904},
	{13130, 164592, 1, 903},
	{13149, 164596, 1, 904},
	{13168, 164600, 1, 903},
	{13187, 164604, 1, 904},
	{13206, 164608, 1, 903},
	{13225, 164612, 1, 904},
	{13244, 164616, 1, 903},
	{13263, 164620, 1, 904},
	{13282, 164624, 1, 903},
	{13301, 164628, 1, 904},
	{13320, 164632, 1, 903},
	{13339, 164636, 1, 904},
	{13358, 164640, 1, 903},
	{13378, 164644, 1, 904},
	{13398, 164648, 1, 903},
	{13418, 164652, 1, 904},
	{13438, 164656, 1, 903},
	{13458, 164660, 1, 904},
	{13478, 164664, 1, 903},
	{13498, 164668, 1, 904},
	{13518, 164672, 1, 903},
	{13538, 164676, 1, 904},
	{13558, 164680, 1, 903},
	{13578, 164684, 1, 904},
	{13598, 164688, 15, 905},
	{13618, 164692, 3, 920},
	{13640, 164696, 2, 923},
	{13697, 164704, 1, 932},
	{50685, 164708, 1, 4014},
	{13728, 164712, 1, 934},
	{13796, 164864, 1, 943},
	{13813, 164868, 1, 944},
	{13830, 164872, 1, 945},
	{13846, 164876, 1, 946},
	{13900, 164884, 1, 957},
	{13913, 164888, 1, 958},
	{13928, 164892, 1, 959},
	{13942, 164896, 1, 960},
	{13957, 164900, 3, 4528},
	{13996, 164908, 6, 973},
	{14015, 164912, 4, 979},
	{14033, 164916, 4, 983},
	{14054, 164924, 1, 987},
	{14073, 164928, 1, 988},
	{14093, 164932, 1, 989},
	{14112, 164936, 1, 990},
	{14132, 164940, 1, 991},
	{14151, 164944, 1, 992},
	{14171, 164948, 1, 987},
	{14192, 164952, 1, 988},
	{14214, 164956, 1, 989},
	{14235, 164960, 1, 990},
	{14257, 164964, 1, 991},
	{14278, 164968, 1, 992},
	{14300, 164972, 1, 987},
	{14321, 164976, 1, 988},
	{14343, 164980, 1, 989},
	{14364, 164984, 1, 990},
	{14386, 164988, 1, 991},
	{14407, 164992, 1, 992},
	{14429, 164996, 1, 987},
	{14450, 165000, 1, 988},
	{14472, 165004, 1, 989},
	{14493, 165008, 1, 990},
	{14515, 165012, 1, 991},
	{14536, 165016, 1, 992},
	{14558, 165020, 1, 987},
	{14579, 165024, 1, 988},
	{14601, 165028, 1, 989},
	{14622, 165032, 1, 990},
	{14644, 165036, 1, 991},
	{14665, 165040, 1, 992},
	{14687, 165044, 1, 987},
	{14708, 165048, 1, 988},
	{14730, 165052, 1, 989},
	{14751, 165056, 1, 990},
	{14773, 165060, 1, 991},
	{14794, 165064, 1, 992},
	{14816, 165068, 1, 987},
	{14837, 165072, 1, 988},
	{14859, 165076, 1, 989},
	{14880, 165080, 1, 990},
	{14902, 165084, 1, 991},
	{14923, 165088, 1, 992},
	{14945, 165092, 1, 987},
	{14966, 165096, 1, 988},
	{14988, 165100, 1, 989},
	{15009, 165104, 1, 990},
	{15031, 165108, 1, 991},
	{15052, 165112, 1, 992},
	{15074, 165116, 1, 987},
	{15095, 165120, 1, 988},
	{15117, 165124, 1, 989},
	{15138, 165128, 1, 990},
	{15160, 165132, 1, 991},
	{15181, 165136, 1, 992},
	{15203, 165140, 1, 987},
	{15224, 165144, 1, 988},
	{15246, 165148, 1, 989},
	{15267, 165152, 1, 990},
	{15289, 165156, 1, 991},
	{15310, 165160, 1, 992},
	{15332, 165164, 1, 987},
	{15354, 165168, 1, 988},
	{15377, 165172, 1, 989},
	{15399, 165176, 1, 990},
	{15422, 165180, 1, 991},
	{15444, 165184, 1, 992},
	{15467, 165188, 1, 987},
	{15489, 165192, 1, 988},
	{15512, 165196, 1, 989},
	{15534, 165200, 1, 990},
	{15557, 165204, 1, 991},
	{15579, 165208, 1, 992},
	{15602, 165212, 1, 987},
	{15624, 165216, 1, 988},
	{15647, 165220, 1, 989},
	{15669, 165224, 1, 990},
	{15692, 165228, 1, 991},
	{15714, 165232, 1, 992},
	{15737, 165236, 1, 987},
	{15759, 165240, 1, 988},
	{15782, 165244, 1, 989},
	{15804, 165248, 1, 990},
	{15827, 165252, 1, 991},
	{15849, 165256, 1, 992},
	{15872, 165260, 1, 987},
	{15894, 165264, 1, 988},
	{15917, 165268, 1, 989},
	{15939, 165272, 1, 990},
	{15962, 165276, 1, 991},
	{15984, 165280, 1, 992},
	{16007, 165284, 1, 987},
	{16029, 165288, 1, 988},
	{16052, 165292, 1, 989},
	{16074, 165296, 1, 990},
	{16097, 165300, 1, 991},
	{16119, 165304, 1, 992},
	{16142, 165308, 1, 993},
	{16156, 165312, 1, 993},
	{16170, 165316, 1, 993},
	{16184, 165320, 1, 993},
	{16198, 165324, 1, 993},
	{16212, 165328, 1, 993},
	{16226, 165332, 1, 993},
	{16240, 165336, 1, 993},
	{16254, 165340, 1, 993},
	{16268, 165344, 1, 993},
	{16282, 165348, 1, 993},
	{16296, 165352, 1, 993},
	{16310, 165356, 1, 993},
	{16324, 165360, 1, 993},
	{16338, 165364, 1, 993},
	{16352, 165368, 1, 993},
	{16366, 165372, 1, 993},
	{16380, 165376, 1, 993},
	{16394, 165380, 1, 993},
	{16408, 165384, 1, 993},
	{16422, 165388, 1, 993},
	{16436, 165392, 1, 993},
	{16450, 165396, 1, 993},
	{16464, 165400, 1, 993},
	{16501, 165444, 12, 994},
	{16521, 165448, 12, 994},
	{16541, 165452, 12, 994},
	{16561, 165456, 12, 994},
	{16581, 165460, 12, 994},
	{16601, 165464, 12, 994},
	{16621, 165468, 12, 994},
	{16641, 165472, 12, 994},
	{16661, 165476, 12, 994},
	{16681, 165480, 12, 994},
	{16701, 165484, 12, 994},
	{16722, 165488, 12, 994},
	{16743, 165492, 12, 994},
	{16764, 165496, 12, 994},
	{16785, 165500, 12, 994},
	{16806, 165504, 12, 994},
	{16827, 165508, 12, 994},
	{16848, 165512, 12, 994},
	{16869, 165516, 12, 994},
	{16890, 165520, 12, 994},
	{16911, 165524, 9, 1006},
	{16932, 165528, 9, 1006},
	{16953, 165532, 9, 1006},
	{16974, 165536, 9, 1006},
	{16995, 165540, 9, 1006},
	{17016, 165544, 9, 1006},
	{17037, 165548, 9, 1006},
	{17058, 165552, 9, 1006},
	{17079, 165556, 9, 1006},
	{17100, 165560, 9, 1006},
	{17121, 165564, 9, 1006},
	{17142, 165568, 9, 1006},
	{17163, 165572, 2, 1015},
	{17181, 165580, 16, 1018},
	{17198, 165584, 16, 1018},
	{17216, 165588, 7, 1034},
	{17237, 165592, 3, 4015},
	{17255, 165600, 7, 1047},
	{17270, 165608, 2, 712},
	{17309, 165644, 4, 1055},
	{17331, 165648, 1, 1060},
	{17351, 165652, 8, 1061},
	{17373, 165716, 8, 1069},
	{17391, 165720, 8, 1077},
	{17412, 165724, 17, 1085},
	{17433, 165728, 6, 1102},
	{17451, 165732, 6, 1102},
	{17469, 165736, 6, 1102},
	{17487, 165740, 6, 1102},
	{17505, 165744, 6, 1102},
	{17523, 165748, 6, 1102},
	{17541, 165752, 6, 1102},
	{17559, 165756, 6, 1102},
	{17577, 165760, 9, 1108},
	{17595, 165764, 9, 1108},
	{17613, 165768, 9, 1108},
	{17631, 165772, 9, 1108},
	{17649, 165776, 9, 1108},
	{17667, 165780, 9, 1108},
	{17685, 165784, 9, 1108},
	{17703, 165788, 9, 1108},
	{17721, 165836, 1, 1117},
	{17735, 165840, 1, 1117},
	{17750, 165844, 1, 993},
	{17768, 165848, 1, 993},
	{17786, 165852, 1, 993},
	{17803, 165856, 1, 993},
	{17824, 165860, 1, 4018},
	{17840, 165864, 1, 1119},
	{17853, 165872, 5, 1120},
	{17872, 165876, 1, 109},
	{17887, 165880, 1, 1128},
	{17936, 165888, 10, 1130},
	{17953, 165892, 12, 1140},
	{17961, 165896, 4, 4693},
	{17978, 165900, 13, 1156},
	{17996, 165904, 19, 1173},
	{18012, 165908, 13, 1193},
	{18031, 165912, 10, 1209},
	{18046, 165916, 27, 4534},
	{18064, 165920, 16, 1247},
	{18082, 165924, 4, 1263},
	{18106, 165928, 1, 1267},
	{18131, 165932, 11, 1268},
	{18283, 166400, 2, 1301},
	{18300, 166404, 2, 1303},
	{18319, 166408, 1, 1305},
	{18335, 166412, 4, 1306},
	{18354, 166416, 1, 1310},
	{18375, 166420, 1, 1311},
	{18388, 166424, 1, 1312},
	{18411, 166428, 1, 1313},
	{18434, 166432, 1, 1314},
	{18454, 166436, 4, 4022},
	{18474, 166440, 1, 1319},
	{18495, 166444, 1, 1320},
	{18510, 166448, 6, 1321},
	{18532, 166452, 6, 1321},
	{18554, 166456, 8, 1327},
	{18580, 166460, 8, 1327},
	{18606, 166464, 15, 4561},
	{18618, 166468, 2, 1350},
	{18637, 166472, 4, 1353},
	{18655, 166476, 24, 1360},
	{18673, 166480, 1, 1384},
	{18685, 166484, 1, 1385},
	{18699, 166488, 1, 1386},
	{18713, 166492, 1, 1387},
	{18727, 166496, 1, 1388},
	{18750, 166500, 1, 1388},
	{18773, 166504, 1, 1388},
	{18796, 166508, 5, 4026},
	{18817, 166512, 1, 1384},
	{18828, 166516, 1, 1394},
	{18841, 166520, 1, 1395},
	{18858, 166524, 7, 4576},
	{18877, 166528, 1, 1384},
	{18888, 166532, 2, 1404},
	{18907, 166536, 1, 1407},
	{18929, 166540, 1, 1408},
	{18951, 166544, 3, 4583},
	{18971, 166548, 1, 1412},
	{19020, 166560, 1, 1419},
	{19045, 166564, 1, 1419},
	{19070, 166568, 7, 4586},
	{19089, 166572, 1, 1426},
	{19112, 166576, 1, 1426},
	{19135, 166580, 1, 1427},
	{19149, 166584, 1, 1428},
	{19164, 166588, 8, 4593},
	{19181, 166592, 4, 1438},
	{19208, 166596, 4, 1442},
	{19235, 166600, 4, 1446},
	{19254, 166608, 1, 674},
	{19280, 166612, 1, 1450},
	{19305, 166620, 1, 1451},
	{19333, 166624, 1, 674},
	{19359, 166628, 1, 1450},
	{19384, 166636, 1, 1451},
	{19412, 166640, 1, 674},
	{19438, 166644, 1, 1450},
	{19463, 166652, 1, 1451},
	{19491, 166656, 1, 674},
	{19517, 166660, 1, 1450},
	{19542, 166668, 1, 1451},
	{19570, 166696, 1, 1451},
	{19601, 166700, 1, 674},
	{19644, 166704, 1, 1452},
	{19682, 166712, 1, 1453},
	{19721, 166736, 4, 4697},
	{19743, 166740, 10, 1461},
	{19764, 166744, 3, 1480},
	{19781, 166748, 1, 1426},
	{19802, 166752, 1, 1426},
	{19825, 166756, 1, 1426},
	{19848, 166760, 1, 1426},
	{19871, 166764, 10, 4601},
	{19884, 166768, 6, 1495},
	{19901, 166772, 1, 1501},
	{19925, 166776, 2, 1502},
	{19955, 166780, 1, 1504},
	{19979, 166784, 1, 1505},
	{20009, 166788, 1, 1451},
	{20040, 166792, 1, 1505},
	{20069, 166796, 1, 1451},
	{20099, 166800, 2, 1506},
	{20119, 166804, 7, 4056},
	{20138, 166808, 4, 1517},
	{20188, 166868, 8, 1521},
	{20214, 166872, 8, 1529},
	{20240, 166876, 4, 1537},
	{20256, 166880, 5, 1542},
	{20272, 166884, 3, 1548},
	{20287, 166888, 1, 993},
	{20310, 166892, 1, 993},
	{20333, 166896, 1, 993},
	{20356, 166900, 1, 993},
	{20379, 166904, 8, 1551},
	{20413, 166908, 8, 1559},
	{20447, 166912, 8, 1567},
	{20481, 166916, 8, 1575},
	{20515, 166920, 8, 1551},
	{20549, 166924, 8, 1559},
	{20583, 166928, 8, 1567},
	{20617, 166932, 8, 1575},
	{20651, 166936, 8, 1551},
	{20685, 166940, 8, 1559},
	{20719, 166944, 8, 1567},
	{20753, 166948, 8, 1575},
	{20787, 166952, 8, 1551},
	{20821, 166956, 8, 1559},
	{20855, 166960, 8, 1567},
	{20889, 166964, 8, 1575},
	{20923, 166968, 2, 1583},
	{20947, 166972, 2, 1585},
	{20971, 166976, 1, 1587},
	{21090, 167000, 1, 1627},
	{21118, 167004, 1, 1628},
	{21139, 167008, 1, 808},
	{21154, 167012, 2, 1629},
	{21170, 167016, 1, 1631},
	{21186, 167020, 2, 3987},
	{21201, 167024, 18, 4701},
	{21216, 167028, 6, 1654},
	{21233, 167032, 9, 1662},
	{21255, 167036, 1, 808},
	{21271, 167040, 1, 1674},
	{21293, 167044, 1, 808},
	{21309, 167048, 1, 1631},
	{21331, 167052, 1, 1675},
	{21353, 167056, 1, 1676},
	{21375, 167060, 1, 808},
	{21394, 167068, 1, 808},
	{21409, 167072, 2, 1629},
	{21425, 167076, 1, 1631},
	{21441, 167080, 2, 3987},
	{21456, 167084, 18, 4701},
	{21471, 167088, 6, 1654},
	{21488, 167092, 9, 1662},
	{21510, 167096, 1, 808},
	{21526, 167100, 1, 1674},
	{21548, 167104, 1, 808},
	{21564, 167108, 1, 1631},
	{21586, 167112, 1, 1675},
	{21608, 167116, 1, 1676},
	{21630, 167120, 1, 808},
	{21649, 167128, 1, 808},
	{21664, 167132, 2, 1629},
	{21680, 167136, 1, 1631},
	{21696, 167140, 2, 3987},
	{21711, 167144, 18, 4701},
	{21726, 167148, 6, 1654},
	{21743, 167152, 9, 1662},
	{21765, 167156, 1, 808},
	{21781, 167160, 1, 1674},
	{21803, 167164, 1, 808},
	{21819, 167168, 1, 1631},
	{21841, 167172, 1, 1675},
	{21863, 167176, 1, 1676},
	{21885, 167180, 1, 808},
	{21904, 167188, 1, 808},
	{21919, 167192, 2, 1629},
	{21935, 167196, 1, 1631},
	{21951, 167200, 2, 3987},
	{21966, 167204, 18, 4701},
	{21981, 167208, 6, 1654},
	{21998, 167212, 9, 1662},
	{22020, 167216, 1, 808},
	{22036, 167220, 1, 1674},
	{22058, 167224, 1, 808},
	{22074, 167228, 1, 1631},
	{22096, 167232, 1, 1675},
	{22118, 167236, 1, 1676},
	{22140, 167240, 1, 808},
	{22159, 167248, 1, 808},
	{22174, 167252, 2, 1629},
	{22190, 167256, 1, 1631},
	{22206, 167260, 2, 3987},
	{22221, 167264, 18, 4701},
	{22236, 167268, 6, 1654},
	{22253, 167272, 9, 1662},
	{22275, 167276, 1, 808},
	{22291, 167280, 1, 1674},
	{22313, 167284, 1, 808},
	{22329, 167288, 1, 1631},
	{22351, 167292, 1, 1675},
	{22373, 167296, 1, 1676},
	{22395, 167300, 1, 808},
	{22414, 167308, 1, 808},
	{22429, 167312, 2, 1629},
	{22445, 167316, 1, 1631},
	{22461, 167320, 2, 3987},
	{22476, 167324, 18, 4701},
	{22491, 167328, 6, 1654},
	{22508, 167332, 9, 1662},
	{22530, 167336, 1, 808},
	{22546, 167340, 1, 1674},
	{22568, 167344, 1, 808},
	{22584, 167348, 1, 1631},
	{22606, 167352, 1, 1675},
	{22628, 167356, 1, 1676},
	{22650, 167360, 1, 808},
	{22669, 167368, 1, 808},
	{22684, 167372, 2, 1629},
	{22700, 167376, 1, 1631},
	{22716, 167380, 2, 3987},
	{22731, 167384, 18, 4701},
	{22746, 167388, 6, 1654},
	{22763, 167392, 9, 1662},
	{22785, 167396, 1, 808},
	{22801, 167400, 1, 1674},
	{22823, 167404, 1, 808},
	{22839, 167408, 1, 1631},
	{22861, 167412, 1, 1675},
	{22883, 167416, 1, 1676},
	{22905, 167420, 1, 808},
	{22924, 167428, 1, 808},
	{22939, 167432, 2, 1629},
	{22955, 167436, 1, 1631},
	{22971, 167440, 2, 3987},
	{22986, 167444, 18, 4701},
	{23001, 167448, 6, 1654},
	{23018, 167452, 9, 1662},
	{23040, 167456, 1, 808},
	{23056, 167460, 1, 1674},
	{23078, 167464, 1, 808},
	{23094, 167468, 1, 1631},
	{23116, 167472, 1, 1675},
	{23138, 167476, 1, 1676},
	{23160, 167480, 1, 808},
	{24203, 196608, 1, 1689},
	{24223, 196612, 1, 1690},
	{24243, 196616, 1, 1691},
	{24263, 196620, 1, 1692},
	{24283, 196624, 1, 1693},
	{24304, 196628, 1, 1694},
	{24325, 196632, 1, 1695},
	{24347, 196636, 1, 1696},
	{24369, 196640, 1, 1697},
	{24399, 196644, 1, 1698},
	{24429, 196648, 1, 1699},
	{24458, 196652, 1, 1700},
	{24487, 196656, 1, 1701},
	{24517, 196660, 1, 1702},
	{24547, 196664, 1, 1703},
	{24576, 196668, 1, 1704},
	{24605, 196672, 1, 1705},
	{24635, 196676, 1, 1706},
	{24665, 196680, 1, 1707},
	{24694, 196684, 1, 1708},
	{24723, 196688, 1, 1709},
	{24753, 196692, 1, 1710},
	{24783, 196696, 1, 1711},
	{24812, 196700, 1, 1712},
	{24841, 196704, 1, 1713},
	{24863, 196708, 1, 1714},
	{24885, 196712, 1, 1715},
	{24908, 196716, 1, 1716},
	{24931, 196720, 1, 1717},
	{24954, 196724, 1, 1718},
	{24977, 196728, 1, 1719},
	{25000, 196732, 1, 1720},
	{25023, 196736, 1, 1721},
	{25047, 196740, 1, 1722},
	{25071, 196744, 1, 1723},
	{25095, 196748, 1, 1724},
	{25119, 196752, 1, 1725},
	{25143, 196756, 1, 1726},
	{25167, 196760, 1, 1727},
	{25191, 196764, 1, 1728},
	{25215, 196768, 1, 1729},
	{25237, 196772, 1, 1730},
	{25259, 196776, 1, 1731},
	{25280, 196780, 1, 1732},
	{25301, 196784, 1, 1733},
	{25325, 196788, 1, 1734},
	{25349, 196792, 1, 1735},
	{25373, 196796, 1, 1735},
	{25397, 196800, 1, 1736},
	{25421, 196804, 1, 1737},
	{25505, 196852, 2, 4629},
	{25527, 196856, 2, 4629},
	{25549, 196860, 1, 1740},
	{25565, 196864, 1, 1741},
	{25578, 196868, 1, 1742},
	{25591, 196872, 1, 1743},
	{25604, 196876, 1, 1744},
	{25617, 196880, 1, 1745},
	{25630, 196884, 1, 1746},
	{25643, 196888, 1, 1747},
	{25656, 196892, 1, 1748},
	{25783, 196928, 2, 1750},
	{25796, 196932, 1, 1752},
	{25809, 196936, 1, 1753},
	{25832, 196940, 1, 1754},
	{25855, 196944, 1, 1755},
	{25883, 196948, 1, 1756},
	{25911, 196952, 1, 1757},
	{25939, 196956, 1, 1758},
	{25967, 196960, 1, 1759},
	{25985, 196964, 5, 4631},
	{26003, 196968, 1, 109},
	{26018, 196972, 1, 1749},
	{26042, 196976, 1, 1749},
	{26066, 196980, 1, 1753},
	{26085, 196984, 1, 1754},
	{26104, 196988, 1, 1755},
	{26128, 196992, 1, 1756},
	{26152, 196996, 1, 1757},
	{26176, 197000, 1, 1758},
	{26200, 197028, 2, 3207},
	{26218, 197032, 3, 4636},
	{26236, 197036, 1, 1767},
	{26254, 197040, 1, 1768},
	{26272, 197044, 2, 3210},
	{26290, 197048, 3, 4639},
	{26308, 197052, 1, 1772},
	{26326, 197056, 2, 1773},
	{26345, 197060, 5, 1775},
	{26364, 197072, 1, 1780},
	{26388, 197076, 2, 1773},
	{26408, 197080, 5, 1775},
	{26428, 197084, 8, 4642},
	{26447, 197088, 8, 4642},
	{26465, 197092, 1, 1788},
	{26482, 197100, 1, 1789},
	{26503, 197104, 26, 4650},
	{26517, 197108, 1, 1803},
	{26531, 197112, 1, 1804},
	{26545, 197116, 4, 3241},
	{26561, 197120, 1, 1807},
	{26580, 197124, 1, 1808},
	{26602, 197128, 1, 1809},
	{26621, 197132, 1, 1810},
	{26643, 197136, 9, 3247},
	{26661, 197140, 1, 1807},
	{26681, 197144, 1, 1808},
	{26704, 197148, 1, 1809},
	{26724, 197152, 1, 1810},
	{26747, 197156, 9, 3247},
	{26766, 197160, 5, 3256},
	{26778, 197164, 2, 1825},
	{26795, 197168, 1, 1827},
	{26812, 197172, 1, 1828},
	{26830, 197176, 4, 1829},
	{26850, 197180, 1, 1833},
	{26867, 197184, 1, 340},
	{26883, 197188, 1, 1835},
	{26896, 197192, 1, 1836},
	{26910, 197196, 1, 1837},
	{26924, 197200, 1, 1838},
	{26946, 197204, 1, 1839},
	{26966, 197208, 1, 1840},
	{26988, 197212, 1, 1841},
	{27008, 197216, 1, 1836},
	{27025, 197220, 1, 1837},
	{27042, 197224, 1, 1842},
	{52837, 197228, 1, 1835},
	{27301, 197388, 1, 1851},
	{27320, 197392, 1, 1852},
	{27339, 197396, 1, 1853},
	{27356, 197400, 1, 1854},
	{27374, 197404, 1, 1855},
	{27392, 197408, 1, 1856},
	{27408, 197412, 1, 1857},
	{27426, 197416, 1, 1858},
	{27444, 197420, 1, 1859},
	{27460, 197424, 1, 1854},
	{27475, 197428, 1, 1855},
	{27490, 197432, 1, 1856},
	{27503, 197436, 1, 1857},
	{27518, 197440, 1, 1858},
	{27533, 197444, 1, 1859},
	{27546, 197448, 1, 1860},
	{27560, 197452, 1, 1861},
	{27574, 197456, 1, 1862},
	{27586, 197460, 4, 4676},
	{27609, 197464, 4, 4266},
	{27631, 197468, 1, 4680},
	{27775, 197552, 1, 1875},
	{27800, 197556, 1, 1875},
	{27824, 197560, 1, 1876},
	{27844, 197568, 1, 1877},
	{27870, 197572, 1, 1690},
	{27899, 197576, 1, 1877},
	{27924, 197580, 1, 1690},
	{27952, 197584, 1, 1877},
	{27975, 197588, 1, 1690},
	{28001, 197592, 1, 1877},
	{28023, 197596, 1, 1690},
	{28048, 197600, 1, 1877},
	{28067, 197604, 1, 1690},
	{28089, 197608, 1, 1396},
	{28103, 197612, 1, 1877},
	{28120, 197616, 1, 1690},
	{28140, 197620, 8, 1878},
	{28309, 198656, 6, 3110},
	{48507, 198912, 1, 1915},
	{48526, 198916, 1, 1915},
	{28370, 198920, 1, 3500},
	{28389, 198924, 1, 1396},
	{28404, 198928, 1, 674},
	{28437, 198932, 1, 674},
	{28470, 198936, 1, 674},
	{28503, 198940, 1, 674},
	{28593, 198960, 1, 1394},
	{28609, 198964, 1, 1407},
	{49020, 198968, 1, 1917},
	{49052, 198972, 2, 1918},
	{49073, 198976, 1, 1920},
	{29013, 199168, 1, 1944},
	{29038, 199172, 2, 1945},
	{29063, 199184, 2, 1947},
	{29089, 199188, 2, 1947},
	{29115, 199192, 2, 1947},
	{29141, 199212, 2, 1947},
	{29167, 199296, 2, 1949},
	{29195, 199300, 1, 1951},
	{29219, 199304, 1, 1952},
	{29243, 199308, 1, 1953},
	{29276, 199312, 1, 1953},
	{29304, 199328, 2, 1949},
	{29333, 199332, 1, 1951},
	{29358, 199336, 1, 1952},
	{29383, 199340, 1, 1953},
	{29417, 199344, 1, 1953},
	{29446, 199360, 2, 1949},
	{29470, 199364, 1, 1951},
	{29490, 199368, 1, 1952},
	{29510, 199372, 1, 1953},
	{29539, 199376, 1, 1953},
	{49639, 199872, 1, 737},
	{49660, 199876, 1, 3678},
	{2095, 199880, 8, 4233},
	{2116, 199884, 3, 3687},
	{49681, 199888, 2, 3690},
	{2143, 199892, 1, 3714},
	{49707, 199896, 15, 3699},
	{50710, 199900, 1, 4242},
	{50732, 199904, 1, 4681},
	{2074, 199908, 2, 3692},
	{2164, 199912, 5, 4245},
	{49749, 199916, 1, 3715},
	{29563, 199936, 1, 109},
	{29590, 199940, 1, 109},
	{29617, 199944, 1, 109},
	{29644, 199948, 1, 109},
	{29779, 199968, 6, 1954},
	{29790, 199972, 2, 1961},
	{29804, 200192, 1, 866},
	{29823, 200196, 1, 867},
	{29845, 200448, 1, 1963},
	{29869, 200452, 1, 1964},
	{29892, 200456, 1, 1963},
	{29916, 200460, 1, 1964},
	{29939, 200464, 1, 1963},
	{29963, 200468, 1, 1964},
	{29986, 200472, 1, 1963},
	{30010, 200476, 1, 1964},
	{30033, 200696, 1, 1963},
	{30052, 200700, 1, 1964},
	{30070, 200704, 1, 1965},
	{30082, 200708, 1, 1966},
	{30094, 200712, 1, 1967},
	{30112, 200716, 1, 1968},
	{30131, 200720, 1, 1969},
	{30149, 200724, 1, 1970},
	{30161, 200728, 1, 1971},
	{30173, 200732, 1, 1970},
	{30191, 200736, 1, 1971},
	{30209, 200740, 1, 1972},
	{30228, 200744, 4, 1973},
	{30242, 200748, 2, 1977},
	{30260, 200752, 2, 1979},
	{30274, 200756, 2, 1981},
	{30288, 200760, 2, 1983},
	{30305, 200764, 2, 1985},
	{30322, 200768, 1, 1987},
	{30335, 200772, 2, 1988},
	{30347, 200776, 1, 109},
	{30361, 200780, 1, 109},
	{30377, 200784, 1, 109},
	{30391, 200788, 1, 109},
	{30407, 200792, 1, 109},
	{30422, 200796, 1, 109},
	{30439, 200800, 1, 109},
	{30454, 200804, 1, 109},
	{30471, 200808, 2, 1990},
	{30493, 200812, 9, 4719},
	{30510, 200816, 2, 2002},
	{30531, 200820, 2, 2004},
	{30543, 200824, 1, 2006},
	{30558, 200828, 6, 4682},
	{30573, 200832, 2, 2013},
	{30587, 200836, 1, 2015},
	{30700, 212992, 1, 2017},
	{30720, 212996, 1, 2018},
	{30740, 213000, 1, 2017},
	{30760, 213004, 1, 2018},
	{30780, 213008, 1, 2017},
	{30800, 213012, 1, 2018},
	{30820, 213016, 1, 2017},
	{30840, 213020, 1, 2018},
	{30860, 213024, 1, 2017},
	{30880, 213028, 1, 2018},
	{30900, 213032, 1, 2017},
	{30920, 213036, 1, 2018},
	{31009, 213248, 1, 2017},
	{31030, 213252, 1, 2018},
	{31051, 213260, 1, 2017},
	{31072, 213264, 1, 2018},
	{31093, 213268, 1, 2017},
	{31117, 213272, 1, 2018},
	{31141, 213276, 1, 2017},
	{31165, 213280, 1, 2018},
	{31189, 213284, 1, 2017},
	{31213, 213288, 1, 2018},
	{31237, 213292, 1, 2017},
	{31261, 213296, 1, 2018},
	{50822, 213504, 1, 2017},
	{50841, 213508, 1, 2018},
	{50860, 213512, 1, 2017},
	{50879, 213516, 1, 2018},
	{50898, 213520, 1, 2017},
	{50917, 213524, 1, 2018},
	{50936, 213528, 1, 2017},
	{50955, 213532, 1, 2018},
	{48217, 213536, 1, 2017},
	{48236, 213540, 1, 2018},
	{48255, 213544, 1, 2017},
	{48274, 213548, 1, 2018},
	{48293, 213552, 1, 2017},
	{48312, 213556, 1, 2018},
	{48331, 213560, 1, 2017},
	{48350, 213564, 1, 2018},
	{48808, 213568, 1, 2017},
	{48828, 213572, 1, 2018},
	{48848, 213576, 1, 2017},
	{48868, 213580, 1, 2018},
	{48888, 213584, 1, 2017},
	{48908, 213588, 1, 2018},
	{48928, 213592, 1, 2017},
	{48948, 213596, 1, 2018},
	{31745, 214016, 1, 2017},
	{31767, 214020, 1, 2019},
	{31789, 214024, 1, 2017},
	{31811, 214028, 1, 2019},
	{31833, 214032, 1, 2017},
	{31855, 214036, 1, 2019},
	{31877, 214040, 1, 2017},
	{31899, 214044, 1, 2019},
	{31921, 214272, 1, 2017},
	{31943, 214276, 1, 2018},
	{31965, 214280, 1, 2017},
	{31987, 214284, 1, 2018},
	{32009, 214288, 1, 2017},
	{32031, 214292, 1, 2018},
	{32053, 214296, 1, 2017},
	{32075, 214300, 1, 2018},
	{32097, 214304, 1, 2017},
	{32119, 214308, 1, 2018},
	{32141, 214312, 1, 2017},
	{32163, 214316, 1, 2018},
	{32185, 214320, 1, 2017},
	{32207, 214324, 1, 2018},
	{32229, 214328, 1, 2017},
	{32251, 214332, 1, 2018},
	{32273, 214528, 1, 2018},
	{32293, 214532, 1, 2017},
	{32313, 214536, 1, 2018},
	{32333, 214540, 1, 2017},
	{32353, 214544, 1, 2018},
	{32373, 214548, 1, 2017},
	{32393, 214552, 1, 2018},
	{32413, 214556, 1, 2017},
	{32433, 214560, 1, 2018},
	{32453, 214564, 1, 2017},
	{32473, 214568, 1, 2018},
	{32493, 214572, 1, 2017},
	{32513, 214784, 1, 2017},
	{32532, 214788, 1, 2018},
	{32551, 214792, 1, 2017},
	{32570, 214796, 1, 2018},
	{32589, 214800, 1, 2017},
	{32608, 214804, 1, 2018},
	{32627, 214808, 1, 2017},
	{32646, 214812, 1, 2018},
	{32665, 214816, 1, 2017},
	{32684, 214820, 1, 2018},
	{32703, 214824, 1, 2017},
	{32722, 214828, 1, 2018},
	{32741, 214832, 1, 2017},
	{32760, 214836, 1, 2018},
	{32779, 214840, 1, 2017},
	{32798, 214844, 1, 2018},
	{32817, 214848, 1, 2017},
	{32836, 214852, 1, 2018},
	{32855, 214856, 1, 2017},
	{32874, 214860, 1, 2018},
	{32893, 214864, 1, 2017},
	{32913, 214868, 1, 2018},
	{32933, 214872, 1, 2017},
	{32953, 214876, 1, 2018},
	{32973, 214880, 1, 2017},
	{32993, 214884, 1, 2018},
	{33013, 214888, 1, 2017},
	{33033, 214892, 1, 2018},
	{33053, 214896, 1, 2017},
	{33073, 214900, 1, 2018},
	{33093, 214904, 1, 2017},
	{33113, 214908, 1, 2018},
	{33133, 215296, 1, 2017},
	{33152, 215300, 1, 2018},
	{33171, 215304, 1, 2017},
	{33190, 215308, 1, 2018},
	{33209, 215312, 1, 2017},
	{33228, 215316, 1, 2018},
	{33247, 215320, 1, 2017},
	{33266, 215324, 1, 2018},
	{33327, 215552, 1, 2017},
	{33347, 215556, 1, 2018},
	{33367, 215560, 1, 2017},
	{33387, 215564, 1, 2018},
	{33407, 215568, 1, 2017},
	{33427, 215572, 1, 2018},
	{33447, 215576, 1, 2017},
	{33467, 215580, 1, 2018},
	{33487, 215808, 1, 2017},
	{33506, 215812, 1, 2018},
	{33525, 215816, 1, 2017},
	{33544, 215820, 1, 2018},
	{33563, 216064, 1, 2017},
	{33582, 216068, 1, 2018},
	{33601, 216072, 1, 2017},
	{33620, 216076, 1, 2018},
	{33639, 216320, 1, 2017},
	{33659, 216324, 1, 2018},
	{33679, 216328, 1, 2017},
	{33699, 216332, 1, 2018},
	{33719, 216336, 1, 2017},
	{33739, 216340, 1, 2018},
	{33759, 216344, 1, 2017},
	{33779, 216348, 1, 2018},
	{50974, 216576, 1, 2017},
	{50994, 216580, 1, 2018},
	{51014, 216584, 1, 2017},
	{51034, 216588, 1, 2018},
	{51054, 216592, 1, 2017},
	{51074, 216596, 1, 2018},
	{51094, 216600, 1, 2017},
	{51114, 216604, 1, 2018},
	{51134, 216640, 1, 2017},
	{51154, 216644, 1, 2018},
	{51174, 216648, 1, 2017},
	{51194, 216652, 1, 2018},
	{51214, 216656, 1, 2017},
	{51234, 216660, 1, 2018},
	{51254, 216664, 1, 2017},
	{51274, 216668, 1, 2018},
	{34631, 217112, 1, 2017},
	{34650, 217116, 1, 2018},
	{34669, 217120, 1, 2017},
	{34688, 217124, 1, 2018},
	{34707, 217128, 1, 2017},
	{34726, 217132, 1, 2018},
	{34745, 217136, 1, 2017},
	{34764, 217140, 1, 2018},
	{34783, 217344, 1, 2017},
	{34802, 217348, 1, 2018},
	{34821, 217352, 1, 2017},
	{34840, 217356, 1, 2018},
	{34859, 217360, 1, 2017},
	{34878, 217364, 1, 2018},
	{34897, 217368, 1, 2017},
	{34916, 217372, 1, 2018},
	{34935, 217600, 1, 2017},
	{34955, 217604, 1, 2018},
	{34975, 217608, 1, 2017},
	{34995, 217612, 1, 2018},
	{36317, 221184, 1, 2057},
	{36341, 221188, 2, 4283},
	{36366, 221192, 3, 4285},
	{36390, 221196, 1, 2057},
	{36414, 221200, 2, 4283},
	{36439, 221204, 1, 2057},
	{36463, 221208, 2, 4283},
	{36488, 221212, 3, 4285},
	{36512, 221216, 4, 2032},
	{36528, 221220, 3, 4285},
	{36695, 221248, 1, 2048},
	{36710, 221252, 1, 1953},
	{36733, 221256, 1, 2049},
	{36756, 221260, 1, 2050},
	{36774, 221264, 2, 2051},
	{36792, 221268, 4, 2053},
	{36812, 221440, 19, 3153},
	{36837, 221444, 19, 3153},
	{36862, 221448, 12, 3172},
	{36890, 221452, 12, 3172},
	{36918, 221456, 12, 3172},
	{36946, 221460, 12, 3172},
	{51454, 221696, 2, 3458},
	{51477, 221700, 2, 3458},
	{51500, 221704, 2, 3458},
	{51523, 221708, 2, 3458},
	{48125, 221712, 5, 2111},
	{48148, 221716, 2, 3458},
	{48171, 221720, 2, 3458},
	{48194, 221724, 2, 3458},
	{51546, 221728, 4, 2116},
	{48712, 221744, 5, 2111},
	{48736, 221748, 5, 2111},
	{48760, 221752, 2, 3458},
	{48784, 221756, 2, 3458},
	{51570, 221760, 4, 2116},
	{51595, 221764, 4, 2116},
	{48686, 221776, 1, 3499},
	{37404, 222208, 3, 2111},
	{37430, 222212, 2, 2028},
	{37457, 222216, 3, 2111},
	{37483, 222220, 2, 2028},
	{37510, 222224, 2, 2167},
	{37563, 222228, 2, 2167},
	{37616, 222464, 3, 2111},
	{37642, 222468, 2, 2028},
	{37669, 222472, 1, 2023},
	{37695, 222476, 1, 2023},
	{37721, 222480, 1, 2023},
	{37747, 222484, 1, 2023},
	{37773, 222488, 1, 2023},
	{37799, 222492, 1, 2023},
	{37825, 222496, 1, 2023},
	{37851, 222720, 3, 2111},
	{37875, 222724, 3, 2111},
	{37899, 222728, 3, 2111},
	{37923, 222732, 3, 2111},
	{37947, 222736, 2, 2028},
	{37972, 222740, 2, 2028},
	{37997, 222744, 2, 2028},
	{38022, 222748, 2, 2028},
	{38047, 222752, 1, 2155},
	{38071, 222756, 1, 2155},
	{38095, 222760, 8, 2120},
	{38116, 222976, 6, 3657},
	{38139, 222980, 6, 3657},
	{38162, 222984, 6, 3657},
	{38185, 222988, 6, 3657},
	{38208, 222992, 6, 3657},
	{38231, 222996, 6, 3657},
	{38254, 223000, 6, 3657},
	{38277, 223004, 6, 3657},
	{38300, 223008, 6, 3657},
	{38323, 223012, 6, 3657},
	{38346, 223016, 6, 3657},
	{38370, 223020, 6, 3657},
	{38394, 223024, 6, 3657},
	{38418, 223028, 6, 3657},
	{38442, 223032, 6, 3657},
	{38466, 223036, 6, 3657},
	{38490, 223104, 9, 3640},
	{51620, 223108, 2, 3690},
	{38510, 223112, 1, 2141},
	{38605, 223488, 3, 2150},
	{38628, 223492, 3, 2150},
	{38651, 223496, 3, 2150},
	{38674, 223500, 3, 2150},
	{38697, 223504, 2, 2153},
	{38721, 223508, 2, 2153},
	{38745, 223744, 3, 2150},
	{38769, 223748, 3, 2150},
	{38793, 223752, 3, 2150},
	{38817, 223756, 3, 2150},
	{38841, 223760, 2, 2153},
	{38866, 224000, 5, 2155},
	{38889, 224004, 4, 2160},
	{38913, 224008, 5, 2155},
	{38936, 224256, 5, 2155},
	{38959, 224260, 4, 2160},
	{38983, 224264, 5, 2155},
	{39006, 224512, 5, 2111},
	{39030, 224516, 4, 2116},
	{39055, 224520, 5, 2111},
	{39079, 224524, 4, 2116},
	{39104, 224528, 3, 2167},
	{39128, 224532, 3, 2167},
	{51640, 224768, 5, 2111},
	{51664, 224772, 4, 2105},
	{51689, 224776, 5, 2111},
	{51713, 224780, 4, 2105},
	{51738, 224784, 3, 2167},
	{51762, 224788, 3, 2167},
	{51786, 224832, 5, 2111},
	{51810, 224836, 4, 2105},
	{51835, 224840, 5, 2111},
	{51859, 224844, 4, 2105},
	{51884, 224848, 3, 2167},
	{51908, 224852, 3, 2167},
	{39829, 225280, 12, 2170},
	{39851, 225284, 5, 2182},
	{39874, 225288, 4, 2187},
	{39898, 225292, 2, 2191},
	{39921, 225296, 2, 2191},
	{39944, 225300, 2, 2191},
	{39967, 225536, 5, 2111},
	{39990, 225540, 4, 2116},
	{40014, 225544, 5, 2111},
	{40037, 225548, 4, 2116},
	{40061, 225552, 5, 2111},
	{40084, 225560, 5, 2111},
	{40107, 225792, 4, 2193},
	{40128, 225796, 1, 2197},
	{40157, 225800, 2, 2198},
	{40186, 225804, 1, 2200},
	{40212, 225808, 7, 2201},
	{40286, 225812, 1, 4294},
	{40309, 225816, 1, 2213},
	{52053, 225820, 2, 4295},
	{52086, 225824, 2, 4295},
	{52119, 225828, 2, 4295},
	{52152, 225832, 2, 4295},
	{52184, 225836, 2, 4295},
	{52216, 225840, 2, 4295},
	{52248, 225844, 2, 4295},
	{52281, 225848, 2, 4295},
	{52313, 225856, 2, 4295},
	{52345, 225860, 2, 4295},
	{52378, 225864, 2, 4295},
	{52411, 225868, 2, 4295},
	{52444, 225872, 2, 4295},
	{52476, 225876, 2, 4295},
	{52508, 225880, 2, 4295},
	{52541, 225884, 2, 4295},
	{52574, 225888, 2, 4295},
	{52640, 225896, 2, 4295},
	{40332, 225900, 1, 4294},
	{40359, 225904, 1, 2213},
	{40241, 225908, 1, 2208},
	{40260, 225912, 1, 4297},
	{41229, 226044, 1, 2290},
	{41022, 226048, 2, 2280},
	{41039, 226052, 1, 2282},
	{41063, 226056, 1, 2282},
	{195, 880, 4, 2317},
	{42808, 881},
	{26631, 882},
	{42820, 1008},
	{42831, 1009},
	{26819, 1010, 3, 2321},
	{42842, 1040, 1, 2324},
	{42855, 1041, 5, 4298},
	{42868, 1042, 1, 2330},
	{42881, 1043, 1, 1810},
	{26653, 1045, 9, 4087},
	{42909, 1280, 6, 4303},
	{42924, 1281},
	{26590, 1282},
	{42808, 1283},
	{26631, 1284},
};

static const struct si_reg gfx9_reg_table[] = {
	{974, 68, 14, 4728},
	{987, 72, 23, 4742},
	{1002, 76, 7, 4765},
	{46947, 80, 11, 4112},
	{1039, 84, 4, 2963},
	{1057, 88, 2, 2967},
	{1075, 92, 7, 4772},
	{1090, 96, 1, 70},
	{1104, 100, 1, 71},
	{1118, 104, 1, 72},
	{46961, 108, 1, 2974},
	{46978, 112, 13, 4779},
	{1135, 116, 7, 4792},
	{1151, 120, 1, 82},
	{1273, 2480, 1, 109},
	{1287, 2484, 1, 109},
	{1301, 2488, 1, 109},
	{1315, 2492, 1, 109},
	{1329, 2496, 1, 109},
	{1343, 2500, 1, 109},
	{1357, 2504, 1, 109},
	{1371, 2508, 1, 109},
	{1385, 2512, 1, 109},
	{1399, 2516, 1, 109},
	{1413, 2520, 1, 109},
	{1428, 2524, 1, 109},
	{1443, 2528, 1, 109},
	{1458, 2532, 1, 109},
	{1473, 2536, 1, 109},
	{1488, 2540, 1, 109},
	{1503, 2544, 1, 110},
	{1514, 2552, 1, 111},
	{1530, 2556, 1, 112},
	{1618, 32776, 25, 4799},
	{1631, 32784, 24, 4824},
	{1643, 32788, 12, 4848},
	{1659, 32792, 12, 4848},
	{1688, 32824, 12, 4848},
	{1704, 32828, 12, 4848},
	{1720, 33296, 16, 4860},
	{1734, 33300, 28, 212},
	{1751, 33304, 14, 240},
	{1772, 33308, 21, 4876},
	{1786, 33312, 31, 4195},
	{1803, 33316, 11, 315},
	{1842, 33324, 1, 337},
	{1865, 33344, 1, 338},
	{1886, 33348, 1, 340},
	{1906, 33352, 1, 341},
	{1947, 33436, 1, 351},
	{2351, 36608, 1, 394},
	{2369, 36612, 4, 395},
	{2387, 36616, 1, 399},
	{2405, 36620, 12, 4897},
	{3306, 36624, 1, 394},
	{3324, 36628, 8, 4909},
	{3342, 36632, 3, 3759},
	{3360, 36636, 8, 4917},
	{3378, 36640, 3, 4925},
	{3396, 36644, 7, 4928},
	{3414, 36648, 8, 4466},
	{3432, 36652, 1, 4474},
	{2423, 36656, 14, 4475},
	{2441, 36660, 4, 424},
	{2459, 36664, 10, 4935},
	{2477, 36668, 3, 4945},
	{2511, 39160, 13, 4948},
	{2526, 39184, 5, 3818},
	{2540, 39188, 5, 3818},
	{2554, 39192, 5, 3818},
	{2568, 39196, 5, 3818},
	{2582, 39200, 5, 3818},
	{2596, 39204, 5, 3818},
	{2610, 39208, 5, 3818},
	{2624, 39212, 5, 3818},
	{2638, 39216, 5, 3818},
	{2652, 39220, 5, 3818},
	{2666, 39224, 5, 3818},
	{2681, 39228, 5, 3818},
	{2696, 39232, 5, 3818},
	{2711, 39236, 5, 3818},
	{2726, 39240, 5, 3818},
	{2741, 39244, 5, 3818},
	{2756, 39248, 5, 3818},
	{2771, 39252, 5, 3818},
	{2786, 39256, 5, 3818},
	{2801, 39260, 5, 3818},
	{2816, 39264, 5, 3818},
	{2831, 39268, 5, 3818},
	{2846, 39272, 5, 3818},
	{2861, 39276, 5, 3818},
	{2876, 39280, 5, 3818},
	{2891, 39284, 5, 3818},
	{2906, 39288, 5, 3818},
	{2921, 39292, 5, 3818},
	{2936, 39296, 5, 3818},
	{2951, 39300, 5, 3818},
	{2966, 39304, 5, 3818},
	{2981, 39308, 5, 3818},
	{2996, 39312, 4, 461},
	{3015, 39316, 4, 461},
	{3034, 39320, 4, 461},
	{3053, 39324, 4, 461},
	{3072, 39328, 4, 461},
	{3091, 39332, 4, 461},
	{3110, 39336, 4, 461},
	{3129, 39340, 4, 461},
	{3148, 39344, 4, 461},
	{3167, 39348, 4, 461},
	{3186, 39352, 4, 461},
	{3206, 39356, 4, 461},
	{3226, 39360, 4, 461},
	{3246, 39364, 4, 461},
	{3266, 39368, 4, 461},
	{3286, 39372, 4, 461},
	{3499, 45084, 4, 4961},
	{3523, 45088, 1, 505},
	{3544, 45092, 1, 506},
	{3565, 45096, 11, 4965},
	{3589, 45100, 10, 4976},
	{3613, 45104, 1, 109},
	{3639, 45108, 1, 109},
	{3665, 45112, 1, 109},
	{3691, 45116, 1, 109},
	{3717, 45120, 1, 109},
	{3743, 45124, 1, 109},
	{3769, 45128, 1, 109},
	{3795, 45132, 1, 109},
	{3821, 45136, 1, 109},
	{3847, 45140, 1, 109},
	{3873, 45144, 1, 109},
	{3900, 45148, 1, 109},
	{3927, 45152, 1, 109},
	{3954, 45156, 1, 109},
	{3981, 45160, 1, 109},
	{4008, 45164, 1, 109},
	{4035, 45168, 1, 109},
	{4062, 45172, 1, 109},
	{4089, 45176, 1, 109},
	{4116, 45180, 1, 109},
	{4143, 45184, 1, 109},
	{4170, 45188, 1, 109},
	{4197, 45192, 1, 109},
	{4224, 45196, 1, 109},
	{4251, 45200, 1, 109},
	{4278, 45204, 1, 109},
	{4305, 45208, 1, 109},
	{4332, 45212, 1, 109},
	{4359, 45216, 1, 109},
	{4386, 45220, 1, 109},
	{4413, 45224, 1, 109},
	{4440, 45228, 1, 109},
	{4680, 45336, 4, 4961},
	{4704, 45340, 1, 542},
	{4729, 45344, 1, 505},
	{4750, 45348, 1, 506},
	{4771, 45352, 12, 4986},
	{4795, 45356, 14, 4998},
	{4819, 45360, 1, 109},
	{4845, 45364, 1, 109},
	{4871, 45368, 1, 109},
	{4897, 45372, 1, 109},
	{4923, 45376, 1, 109},
	{4949, 45380, 1, 109},
	{4975, 45384, 1, 109},
	{5001, 45388, 1, 109},
	{5027, 45392, 1, 109},
	{5053, 45396, 1, 109},
	{5079, 45400, 1, 109},
	{5106, 45404, 1, 109},
	{5133, 45408, 1, 109},
	{5160, 45412, 1, 109},
	{5187, 45416, 1, 109},
	{5214, 45420, 1, 109},
	{5241, 45424, 1, 109},
	{5268, 45428, 1, 109},
	{5295, 45432, 1, 109},
	{5322, 45436, 1, 109},
	{5349, 45440, 1, 109},
	{5376, 45444, 1, 109},
	{5403, 45448, 1, 109},
	{5430, 45452, 1, 109},
	{5457, 45456, 1, 109},
	{5484, 45460, 1, 109},
	{5511, 45464, 1, 109},
	{5538, 45468, 1, 109},
	{5565, 45472, 1, 109},
	{5592, 45476, 1, 109},
	{5619, 45480, 1, 109},
	{5646, 45484, 1, 109},
	{5837, 45552, 9, 569},
	{5943, 45572, 2, 5012},
	{5967, 45576, 1, 505},
	{5999, 45580, 1, 505},
	{7274, 45584, 1, 505},
	{7295, 45588, 1, 506},
	{6079, 45596, 4, 4961},
	{6103, 45600, 1, 505},
	{6124, 45604, 1, 506},
	{6145, 45608, 12, 5014},
	{6169, 45612, 9, 5026},
	{7364, 45872, 1, 109},
	{7390, 45876, 1, 109},
	{7416, 45880, 1, 109},
	{7442, 45884, 1, 109},
	{7468, 45888, 1, 109},
	{7494, 45892, 1, 109},
	{7520, 45896, 1, 109},
	{7546, 45900, 1, 109},
	{7572, 45904, 1, 109},
	{7598, 45908, 1, 109},
	{7624, 45912, 1, 109},
	{7651, 45916, 1, 109},
	{7678, 45920, 1, 109},
	{7705, 45924, 1, 109},
	{7732, 45928, 1, 109},
	{7759, 45932, 1, 109},
	{52853, 45936, 1, 109},
	{52880, 45940, 1, 109},
	{52907, 45944, 1, 109},
	{52934, 45948, 1, 109},
	{52961, 45952, 1, 109},
	{52988, 45956, 1, 109},
	{53015, 45960, 1, 109},
	{53042, 45964, 1, 109},
	{53069, 45968, 1, 109},
	{53096, 45972, 1, 109},
	{53123, 45976, 1, 109},
	{53150, 45980, 1, 109},
	{53177, 45984, 1, 109},
	{53204, 45988, 1, 109},
	{53231, 45992, 1, 109},
	{53258, 45996, 1, 109},
	{7838, 46084, 1, 5012},
	{7862, 46088, 1, 505},
	{7894, 46092, 1, 505},
	{9169, 46096, 1, 505},
	{9190, 46100, 1, 506},
	{7974, 46108, 4, 5035},
	{7998, 46112, 1, 505},
	{8019, 46116, 1, 506},
	{8040, 46120, 11, 5039},
	{8064, 46124, 7, 5050},
	{9259, 46128, 1, 109},
	{9285, 46132, 1, 109},
	{9311, 46136, 1, 109},
	{9337, 46140, 1, 109},
	{9363, 46144, 1, 109},
	{9389, 46148, 1, 109},
	{9415, 46152, 1, 109},
	{9441, 46156, 1, 109},
	{9467, 46160, 1, 109},
	{9493, 46164, 1, 109},
	{9519, 46168, 1, 109},
	{9546, 46172, 1, 109},
	{9573, 46176, 1, 109},
	{9600, 46180, 1, 109},
	{9627, 46184, 1, 109},
	{9654, 46188, 1, 109},
	{53285, 46192, 1, 109},
	{53312, 46196, 1, 109},
	{53339, 46200, 1, 109},
	{53366, 46204, 1, 109},
	{53393, 46208, 1, 109},
	{53420, 46212, 1, 109},
	{53447, 46216, 1, 109},
	{53474, 46220, 1, 109},
	{53501, 46224, 1, 109},
	{53528, 46228, 1, 109},
	{53555, 46232, 1, 109},
	{53582, 46236, 1, 109},
	{53609, 46240, 1, 109},
	{53636, 46244, 1, 109},
	{53663, 46248, 1, 109},
	{53690, 46252, 1, 109},
	{53717, 46384, 1, 109},
	{53747, 46388, 1, 109},
	{53777, 46392, 1, 109},
	{53807, 46396, 1, 109},
	{53837, 46400, 1, 109},
	{53867, 46404, 1, 109},
	{53897, 46408, 1, 109},
	{53927, 46412, 1, 109},
	{53957, 46416, 1, 109},
	{53987, 46420, 1, 109},
	{54017, 46424, 1, 109},
	{54048, 46428, 1, 109},
	{54079, 46432, 1, 109},
	{54110, 46436, 1, 109},
	{54141, 46440, 1, 109},
	{54172, 46444, 1, 109},
	{54203, 46448, 1, 109},
	{54234, 46452, 1, 109},
	{54265, 46456, 1, 109},
	{54296, 46460, 1, 109},
	{54327, 46464, 1, 109},
	{54358, 46468, 1, 109},
	{54389, 46472, 1, 109},
	{54420, 46476, 1, 109},
	{54451, 46480, 1, 109},
	{54482, 46484, 1, 109},
	{54513, 46488, 1, 109},
	{54544, 46492, 1, 109},
	{54575, 46496, 1, 109},
	{54606, 46500, 1, 109},
	{54637, 46504, 1, 109},
	{54668, 46508, 1, 109},
	{9681, 47104, 11, 5057},
	{9708, 47108, 1, 674},
	{9722, 47112, 1, 674},
	{9736, 47116, 1, 674},
	{9750, 47120, 1, 675},
	{9766, 47124, 1, 675},
	{9782, 47128, 1, 675},
	{9798, 47132, 2, 676},
	{9819, 47136, 2, 676},
	{9840, 47140, 2, 676},
	{9861, 47144, 1, 678},
	{9889, 47148, 1, 679},
	{9914, 47152, 1, 109},
	{9929, 47156, 1, 680},
	{9944, 47160, 1, 109},
	{9973, 47164, 1, 680},
	{10002, 47168, 1, 109},
	{10035, 47172, 1, 680},
	{10068, 47176, 11, 5068},
	{10086, 47180, 12, 5079},
	{10104, 47184, 1, 704},
	{10117, 47188, 7, 5091},
	{50546, 47192, 2, 3947},
	{50577, 47196, 2, 3947},
	{10195, 47200, 2, 712},
	{50760, 47204, 2, 3947},
	{50791, 47208, 2, 3947},
	{10270, 47212, 1, 714},
	{10288, 47216, 1, 714},
	{10306, 47220, 1, 714},
	{10324, 47224, 1, 715},
	{10352, 47228, 5, 716},
	{10374, 47232, 1, 721},
	{10394, 47236, 1, 722},
	{10577, 47240, 3, 734},
	{10594, 47244, 1, 737},
	{10623, 47248, 1, 738},
	{10555, 47252, 1, 501},
	{10670, 47360, 1, 109},
	{10690, 47364, 1, 109},
	{10710, 47368, 1, 109},
	{10730, 47372, 1, 109},
	{10750, 47376, 1, 109},
	{10770, 47380, 1, 109},
	{10790, 47384, 1, 109},
	{10810, 47388, 1, 109},
	{10830, 47392, 1, 109},
	{10850, 47396, 1, 109},
	{10870, 47400, 1, 109},
	{10891, 47404, 1, 109},
	{10912, 47408, 1, 109},
	{10933, 47412, 1, 109},
	{10954, 47416, 1, 109},
	{10975, 47420, 1, 109},
	{11020, 47608, 1, 109},
	{11041, 47612, 1, 109},
	{11057, 163840, 10, 741},
	{11075, 163844, 9, 3978},
	{11092, 163848, 5, 5098},
	{11106, 163852, 23, 769},
	{11125, 163856, 16, 792},
	{11145, 163860, 1, 808},
	{11557, 163864, 1, 856},
	{50656, 163868, 2, 809},
	{11181, 163872, 1, 811},
	{11201, 163876, 1, 812},
	{11221, 163880, 1, 813},
	{11238, 163884, 1, 814},
	{11253, 163888, 2, 815},
	{11277, 163892, 2, 817},
	{11335, 163896, 13, 5103},
	{11345, 163900, 8, 5116},
	{11361, 163904, 1, 808},
	{11471, 163908, 1, 856},
	{11376, 163912, 1, 808},
	{11489, 163916, 1, 856},
	{11397, 163920, 1, 808},
	{11513, 163924, 1, 856},
	{11413, 163928, 1, 808},
	{11532, 163932, 1, 856},
	{11301, 163936, 3, 819},
	{54699, 163944, 1, 5124},
	{54710, 163948, 1, 5124},
	{11603, 163968, 1, 866},
	{11619, 163972, 1, 867},
	{11638, 164328, 1, 868},
	{11659, 164332, 1, 868},
	{11680, 164336, 1, 868},
	{11701, 164340, 1, 868},
	{11722, 164344, 1, 869},
	{11740, 164348, 1, 869},
	{11758, 164352, 2, 870},
	{11778, 164356, 3, 872},
	{11802, 164360, 2, 875},
	{11826, 164364, 1, 877},
	{11846, 164368, 2, 872},
	{11866, 164372, 2, 875},
	{11886, 164376, 2, 872},
	{11906, 164380, 2, 875},
	{11926, 164384, 2, 872},
	{11946, 164388, 2, 875},
	{11966, 164392, 2, 872},
	{11986, 164396, 2, 875},
	{12006, 164400, 7, 878},
	{12021, 164404, 2, 885},
	{12050, 164408, 8, 887},
	{12065, 164412, 8, 895},
	{12080, 164416, 3, 872},
	{12105, 164420, 2, 875},
	{12130, 164424, 1, 869},
	{12148, 164428, 1, 869},
	{12166, 164432, 3, 872},
	{12191, 164436, 2, 875},
	{12216, 164440, 3, 872},
	{12241, 164444, 2, 875},
	{12266, 164448, 3, 872},
	{12291, 164452, 2, 875},
	{12316, 164456, 3, 872},
	{12341, 164460, 2, 875},
	{12366, 164464, 3, 872},
	{12391, 164468, 2, 875},
	{12416, 164472, 3, 872},
	{12441, 164476, 2, 875},
	{12466, 164480, 3, 872},
	{12491, 164484, 2, 875},
	{12516, 164488, 3, 872},
	{12541, 164492, 2, 875},
	{12566, 164496, 3, 872},
	{12591, 164500, 2, 875},
	{12616, 164504, 3, 872},
	{12641, 164508, 2, 875},
	{12666, 164512, 3, 872},
	{12692, 164516, 2, 875},
	{12718, 164520, 3, 872},
	{12744, 164524, 2, 875},
	{12770, 164528, 3, 872},
	{12796, 164532, 2, 875},
	{12822, 164536, 3, 872},
	{12848, 164540, 2, 875},
	{12874, 164544, 3, 872},
	{12900, 164548, 2, 875},
	{12926, 164552, 3, 872},
	{12952, 164556, 2, 875},
	{12978, 164560, 1, 903},
	{12997, 164564, 1, 904},
	{13016, 164568, 1, 903},
	{13035, 164572, 1, 904},
	{13054, 164576, 1, 903},
	{13073, 164580, 1, 904},
	{13092, 164584, 1, 903},
	{13111, 164588, 1, 904},
	{13130, 164592, 1, 903},
	{13149, 164596, 1, 904},
	{13168, 164600, 1, 903},
	{13187, 164604, 1, 904},
	{13206, 164608, 1, 903},
	{13225, 164612, 1, 904},
	{13244, 164616, 1, 903},
	{13263, 164620, 1, 904},
	{13282, 164624, 1, 903},
	{13301, 164628, 1, 904},
	{13320, 164632, 1, 903},
	{13339, 164636, 1, 904},
	{13358, 164640, 1, 903},
	{13378, 164644, 1, 904},
	{13398, 164648, 1, 903},
	{13418, 164652, 1, 904},
	{13438, 164656, 1, 903},
	{13458, 164660, 1, 904},
	{13478, 164664, 1, 903},
	{13498, 164668, 1, 904},
	{13518, 164672, 1, 903},
	{13538, 164676, 1, 904},
	{13558, 164680, 1, 903},
	{13578, 164684, 1, 904},
	{13598, 164688, 15, 5125},
	{13618, 164692, 3, 5140},
	{13640, 164696, 2, 923},
	{13668, 164700, 3, 925},
	{13697, 164704, 1, 932},
	{13718, 164708, 1, 933},
	{13728, 164712, 1, 934},
	{13736, 164768, 4, 935},
	{13758, 164772, 4, 935},
	{13779, 164776, 4, 939},
	{13846, 164876, 1, 946},
	{13900, 164884, 1, 957},
	{13913, 164888, 1, 958},
	{13928, 164892, 1, 959},
	{13942, 164896, 1, 960},
	{13957, 164900, 9, 5143},
	{13996, 164908, 6, 973},
	{14015, 164912, 4, 979},
	{14033, 164916, 4, 983},
	{14054, 164924, 1, 987},
	{14073, 164928, 1, 988},
	{14093, 164932, 1, 989},
	{14112, 164936, 1, 990},
	{14132, 164940, 1, 991},
	{14151, 164944, 1, 992},
	{14171, 164948, 1, 987},
	{14192, 164952, 1, 988},
	{14214, 164956, 1, 989},
	{14235, 164960, 1, 990},
	{14257, 164964, 1, 991},
	{14278, 164968, 1, 992},
	{14300, 164972, 1, 987},
	{14321, 164976, 1, 988},
	{14343, 164980, 1, 989},
	{14364, 164984, 1, 990},
	{14386, 164988, 1, 991},
	{14407, 164992, 1, 992},
	{14429, 164996, 1, 987},
	{14450, 165000, 1, 988},
	{14472, 165004, 1, 989},
	{14493, 165008, 1, 990},
	{14515, 165012, 1, 991},
	{14536, 165016, 1, 992},
	{14558, 165020, 1, 987},
	{14579, 165024, 1, 988},
	{14601, 165028, 1, 989},
	{14622, 165032, 1, 990},
	{14644, 165036, 1, 991},
	{14665, 165040, 1, 992},
	{14687, 165044, 1, 987},
	{14708, 165048, 1, 988},
	{14730, 165052, 1, 989},
	{14751, 165056, 1, 990},
	{14773, 165060, 1, 991},
	{14794, 165064, 1, 992},
	{14816, 165068, 1, 987},
	{14837, 165072, 1, 988},
	{14859, 165076, 1, 989},
	{14880, 165080, 1, 990},
	{14902, 165084, 1, 991},
	{14923, 165088, 1, 992},
	{14945, 165092, 1, 987},
	{14966, 165096, 1, 988},
	{14988, 165100, 1, 989},
	{15009, 165104, 1, 990},
	{15031, 165108, 1, 991},
	{15052, 165112, 1, 992},
	{15074, 165116, 1, 987},
	{15095, 165120, 1, 988},
	{15117, 165124, 1, 989},
	{15138, 165128, 1, 990},
	{15160, 165132, 1, 991},
	{15181, 165136, 1, 992},
	{15203, 165140, 1, 987},
	{15224, 165144, 1, 988},
	{15246, 165148, 1, 989},
	{15267, 165152, 1, 990},
	{15289, 165156, 1, 991},
	{15310, 165160, 1, 992},
	{15332, 165164, 1, 987},
	{15354, 165168, 1, 988},
	{15377, 165172, 1, 989},
	{15399, 165176, 1, 990},
	{15422, 165180, 1, 991},
	{15444, 165184, 1, 992},
	{15467, 165188, 1, 987},
	{15489, 165192, 1, 988},
	{15512, 165196, 1, 989},
	{15534, 165200, 1, 990},
	{15557, 165204, 1, 991},
	{15579, 165208, 1, 992},
	{15602, 165212, 1, 987},
	{15624, 165216, 1, 988},
	{15647, 165220, 1, 989},
	{15669, 165224, 1, 990},
	{15692, 165228, 1, 991},
	{15714, 165232, 1, 992},
	{15737, 165236, 1, 987},
	{15759, 165240, 1, 988},
	{15782, 165244, 1, 989},
	{15804, 165248, 1, 990},
	{15827, 165252, 1, 991},
	{15849, 165256, 1, 992},
	{15872, 165260, 1, 987},
	{15894, 165264, 1, 988},
	{15917, 165268, 1, 989},
	{15939, 165272, 1, 990},
	{15962, 165276, 1, 991},
	{15984, 165280, 1, 992},
	{16007, 165284, 1, 987},
	{16029, 165288, 1, 988},
	{16052, 165292, 1, 989},
	{16074, 165296, 1, 990},
	{16097, 165300, 1, 991},
	{16119, 165304, 1, 992},
	{16142, 165308, 1, 993},
	{16156, 165312, 1, 993},
	{16170, 165316, 1, 993},
	{16184, 165320, 1, 993},
	{16198, 165324, 1, 993},
	{16212, 165328, 1, 993},
	{16226, 165332, 1, 993},
	{16240, 165336, 1, 993},
	{16254, 165340, 1, 993},
	{16268, 165344, 1, 993},
	{16282, 165348, 1, 993},
	{16296, 165352, 1, 993},
	{16310, 165356, 1, 993},
	{16324, 165360, 1, 993},
	{16338, 165364, 1, 993},
	{16352, 165368, 1, 993},
	{16366, 165372, 1, 993},
	{16380, 165376, 1, 993},
	{16394, 165380, 1, 993},
	{16408, 165384, 1, 993},
	{16422, 165388, 1, 993},
	{16436, 165392, 1, 993},
	{16450, 165396, 1, 993},
	{16464, 165400, 1, 993},
	{16478, 165404, 1, 993},
	{16501, 165444, 12, 994},
	{16521, 165448, 12, 994},
	{16541, 165452, 12, 994},
	{16561, 165456, 12, 994},
	{16581, 165460, 12, 994},
	{16601, 165464, 12, 994},
	{16621, 165468, 12, 994},
	{16641, 165472, 12, 994},
	{16661, 165476, 12, 994},
	{16681, 165480, 12, 994},
	{16701, 165484, 12, 994},
	{16722, 165488, 12, 994},
	{16743, 165492, 12, 994},
	{16764, 165496, 12, 994},
	{16785, 165500, 12, 994},
	{16806, 165504, 12, 994},
	{16827, 165508, 12, 994},
	{16848, 165512, 12, 994},
	{16869, 165516, 12, 994},
	{16890, 165520, 12, 994},
	{16911, 165524, 9, 1006},
	{16932, 165528, 9, 1006},
	{16953, 165532, 9, 1006},
	{16974, 165536, 9, 1006},
	{16995, 165540, 9, 1006},
	{17016, 165544, 9, 1006},
	{17037, 165548, 9, 1006},
	{17058, 165552, 9, 1006},
	{17079, 165556, 9, 1006},
	{17100, 165560, 9, 1006},
	{17121, 165564, 9, 1006},
	{17142, 165568, 9, 1006},
	{17163, 165572, 2, 1015},
	{17181, 165580, 16, 1018},
	{17198, 165584, 16, 1018},
	{17216, 165588, 7, 1034},
	{17237, 165592, 5, 1041},
	{17255, 165600, 7, 1047},
	{17270, 165608, 2, 712},
	{17309, 165644, 4, 1055},
	{17331, 165648, 1, 1060},
	{17351, 165652, 8, 1061},
	{17373, 165716, 8, 1069},
	{17391, 165720, 8, 1077},
	{17412, 165724, 17, 1085},
	{17433, 165728, 6, 1102},
	{17451, 165732, 6, 1102},
	{17469, 165736, 6, 1102},
	{17487, 165740, 6, 1102},
	{17505, 165744, 6, 1102},
	{17523, 165748, 6, 1102},
	{17541, 165752, 6, 1102},
	{17559, 165756, 6, 1102},
	{17577, 165760, 9, 1108},
	{17595, 165764, 9, 1108},
	{17613, 165768, 9, 1108},
	{17631, 165772, 9, 1108},
	{17649, 165776, 9, 1108},
	{17667, 165780, 9, 1108},
	{17685, 165784, 9, 1108},
	{17703, 165788, 9, 1108},
	{54727, 165792, 1, 5124},
	{54742, 165796, 1, 5124},
	{54757, 165800, 1, 5124},
	{54772, 165804, 1, 5124},
	{54787, 165808, 1, 5124},
	{54802, 165812, 1, 5124},
	{54817, 165816, 1, 5124},
	{54832, 165820, 1, 5124},
	{17721, 165836, 1, 1117},
	{17735, 165840, 1, 1117},
	{17750, 165844, 1, 993},
	{17768, 165848, 1, 993},
	{17786, 165852, 1, 993},
	{17803, 165856, 1, 993},
	{17824, 165860, 1, 1118},
	{17840, 165864, 1, 1119},
	{17853, 165872, 8, 1120},
	{17872, 165876, 1, 109},
	{17887, 165880, 1, 1128},
	{17936, 165888, 10, 1130},
	{17953, 165892, 12, 1140},
	{17961, 165896, 4, 4693},
	{17978, 165900, 16, 1156},
	{17996, 165904, 20, 1173},
	{18012, 165908, 15, 1193},
	{18031, 165912, 10, 1209},
	{18046, 165916, 28, 5152},
	{18064, 165920, 16, 1247},
	{18082, 165924, 4, 1263},
	{18106, 165928, 1, 1267},
	{18131, 165932, 11, 1268},
	{18154, 165936, 6, 5180},
	{18183, 165940, 3, 5186},
	{18205, 165944, 2, 1288},
	{18220, 165948, 5, 1290},
	{18250, 165952, 6, 5189},
	{18283, 166400, 2, 1301},
	{18300, 166404, 2, 1303},
	{18319, 166408, 1, 1305},
	{18335, 166412, 4, 1306},
	{18354, 166416, 1, 1310},
	{18375, 166420, 1, 1311},
	{18388, 166424, 1, 1312},
	{18411, 166428, 1, 1313},
	{18434, 166432, 1, 1314},
	{18454, 166436, 4, 1315},
	{18474, 166440, 1, 1319},
	{18495, 166444, 1, 1320},
	{18510, 166448, 6, 1321},
	{18532, 166452, 6, 1321},
	{18554, 166456, 8, 1327},
	{18580, 166460, 8, 1327},
	{18606, 166464, 15, 4561},
	{18618, 166468, 3, 1350},
	{18637, 166472, 7, 1353},
	{18655, 166476, 24, 1360},
	{18673, 166480, 1, 1384},
	{18685, 166484, 1, 1385},
	{18699, 166488, 1, 1386},
	{18713, 166492, 1, 1387},
	{18727, 166496, 1, 1388},
	{18750, 166500, 1, 1388},
	{18773, 166504, 1, 1388},
	{18796, 166508, 5, 1389},
	{18817, 166512, 1, 1384},
	{18828, 166516, 1, 1394},
	{18841, 166520, 1, 1395},
	{18858, 166524, 7, 5195},
	{18877, 166528, 1, 1384},
	{18888, 166532, 3, 1404},
	{18907, 166536, 1, 1407},
	{18929, 166540, 1, 1408},
	{18951, 166544, 3, 5202},
	{54847, 166548, 1, 5205},
	{18998, 166552, 4, 5206},
	{19020, 166560, 1, 1419},
	{19045, 166564, 1, 1419},
	{19089, 166572, 1, 1426},
	{19112, 166576, 1, 1426},
	{19135, 166580, 1, 1427},
	{19149, 166584, 1, 1428},
	{19164, 166588, 8, 5210},
	{19181, 166592, 4, 1438},
	{19208, 166596, 4, 1442},
	{19235, 166600, 4, 1446},
	{19254, 166608, 1, 674},
	{19280, 166612, 1, 1450},
	{19305, 166620, 1, 1451},
	{19333, 166624, 1, 674},
	{19359, 166628, 1, 1450},
	{19384, 166636, 1, 1451},
	{19412, 166640, 1, 674},
	{19438, 166644, 1, 1450},
	{19463, 166652, 1, 1451},
	{19491, 166656, 1, 674},
	{19517, 166660, 1, 1450},
	{19542, 166668, 1, 1451},
	{19570, 166696, 1, 1451},
	{19601, 166700, 1, 674},
	{19644, 166704, 1, 1452},
	{19682, 166712, 1, 1453},
	{19721, 166736, 5, 1456},
	{19743, 166740, 13, 5218},
	{19764, 166744, 3, 1480},
	{19781, 166748, 1, 1426},
	{19802, 166752, 1, 1426},
	{19825, 166756, 1, 1426},
	{19848, 166760, 1, 1426},
	{19871, 166764, 8, 5231},
	{19884, 166768, 6, 1495},
	{19901, 166772, 1, 1501},
	{19925, 166776, 2, 1502},
	{19955, 166780, 1, 1504},
	{19979, 166784, 1, 1505},
	{20009, 166788, 1, 1451},
	{20040, 166792, 1, 1505},
	{20069, 166796, 1, 1451},
	{20099, 166800, 2, 1506},
	{20119, 166804, 8, 1509},
	{20138, 166808, 4, 1517},
	{20164, 166812, 3, 5202},
	{20188, 166868, 8, 1521},
	{20214, 166872, 8, 1529},
	{20240, 166876, 5, 1537},
	{20256, 166880, 6, 1542},
	{20272, 166884, 3, 1548},
	{20287, 166888, 1, 993},
	{20310, 166892, 1, 993},
	{20333, 166896, 1, 993},
	{20356, 166900, 1, 993},
	{20379, 166904, 8, 1551},
	{20413, 166908, 8, 1559},
	{20447, 166912, 8, 1567},
	{20481, 166916, 8, 1575},
	{20515, 166920, 8, 1551},
	{20549, 166924, 8, 1559},
	{20583, 166928, 8, 1567},
	{20617, 166932, 8, 1575},
	{20651, 166936, 8, 1551},
	{20685, 166940, 8, 1559},
	{20719, 166944, 8, 1567},
	{20753, 166948, 8, 1575},
	{20787, 166952, 8, 1551},
	{20821, 166956, 8, 1559},
	{20855, 166960, 8, 1567},
	{20889, 166964, 8, 1575},
	{20923, 166968, 2, 1583},
	{20947, 166972, 2, 1585},
	{20971, 166976, 3, 1587},
	{20992, 166980, 11, 5239},
	{21012, 166984, 2, 1603},
	{21032, 166988, 18, 5250},
	{21070, 166992, 1, 1625},
	{21090, 167000, 1, 1627},
	{21118, 167004, 1, 1628},
	{21139, 167008, 1, 808},
	{23179, 167012, 1, 1677},
	{23915, 167016, 3, 1678},
	{21186, 167020, 3, 5268},
	{21201, 167024, 16, 5271},
	{21216, 167028, 10, 5287},
	{21233, 167032, 11, 1662},
	{21255, 167036, 1, 808},
	{23331, 167040, 1, 1677},
	{21293, 167044, 1, 808},
	{23531, 167048, 1, 1677},
	{21331, 167052, 1, 1675},
	{21353, 167056, 1, 1676},
	{21375, 167060, 1, 808},
	{23731, 167064, 1, 1677},
	{21394, 167068, 1, 808},
	{23198, 167072, 1, 1677},
	{23933, 167076, 3, 1678},
	{21441, 167080, 3, 5268},
	{21456, 167084, 16, 5271},
	{21471, 167088, 10, 5287},
	{21488, 167092, 11, 1662},
	{21510, 167096, 1, 808},
	{23356, 167100, 1, 1677},
	{21548, 167104, 1, 808},
	{23556, 167108, 1, 1677},
	{21586, 167112, 1, 1675},
	{21608, 167116, 1, 1676},
	{21630, 167120, 1, 808},
	{23754, 167124, 1, 1677},
	{21649, 167128, 1, 808},
	{23217, 167132, 1, 1677},
	{23951, 167136, 3, 1678},
	{21696, 167140, 3, 5268},
	{21711, 167144, 16, 5271},
	{21726, 167148, 10, 5287},
	{21743, 167152, 11, 1662},
	{21765, 167156, 1, 808},
	{23381, 167160, 1, 1677},
	{21803, 167164, 1, 808},
	{23581, 167168, 1, 1677},
	{21841, 167172, 1, 1675},
	{21863, 167176, 1, 1676},
	{21885, 167180, 1, 808},
	{23777, 167184, 1, 1677},
	{21904, 167188, 1, 808},
	{23236, 167192, 1, 1677},
	{23969, 167196, 3, 1678},
	{21951, 167200, 3, 5268},
	{21966, 167204, 16, 5271},
	{21981, 167208, 10, 5287},
	{21998, 167212, 11, 1662},
	{22020, 167216, 1, 808},
	{23406, 167220, 1, 1677},
	{22058, 167224, 1, 808},
	{23606, 167228, 1, 1677},
	{22096, 167232, 1, 1675},
	{22118, 167236, 1, 1676},
	{22140, 167240, 1, 808},
	{23800, 167244, 1, 1677},
	{22159, 167248, 1, 808},
	{23255, 167252, 1, 1677},
	{23987, 167256, 3, 1678},
	{22206, 167260, 3, 5268},
	{22221, 167264, 16, 5271},
	{22236, 167268, 10, 5287},
	{22253, 167272, 11, 1662},
	{22275, 167276, 1, 808},
	{23431, 167280, 1, 1677},
	{22313, 167284, 1, 808},
	{23631, 167288, 1, 1677},
	{22351, 167292, 1, 1675},
	{22373, 167296, 1, 1676},
	{22395, 167300, 1, 808},
	{23823, 167304, 1, 1677},
	{22414, 167308, 1, 808},
	{23274, 167312, 1, 1677},
	{24005, 167316, 3, 1678},
	{22461, 167320, 3, 5268},
	{22476, 167324, 16, 5271},
	{22491, 167328, 10, 5287},
	{22508, 167332, 11, 1662},
	{22530, 167336, 1, 808},
	{23456, 167340, 1, 1677},
	{22568, 167344, 1, 808},
	{23656, 167348, 1, 1677},
	{22606, 167352, 1, 1675},
	{22628, 167356, 1, 1676},
	{22650, 167360, 1, 808},
	{23846, 167364, 1, 1677},
	{22669, 167368, 1, 808},
	{23293, 167372, 1, 1677},
	{24023, 167376, 3, 1678},
	{22716, 167380, 3, 5268},
	{22731, 167384, 16, 5271},
	{22746, 167388, 10, 5287},
	{22763, 167392, 11, 1662},
	{22785, 167396, 1, 808},
	{23481, 167400, 1, 1677},
	{22823, 167404, 1, 808},
	{23681, 167408, 1, 1677},
	{22861, 167412, 1, 1675},
	{22883, 167416, 1, 1676},
	{22905, 167420, 1, 808},
	{23869, 167424, 1, 1677},
	{22924, 167428, 1, 808},
	{23312, 167432, 1, 1677},
	{24041, 167436, 3, 1678},
	{22971, 167440, 3, 5268},
	{22986, 167444, 16, 5271},
	{23001, 167448, 10, 5287},
	{23018, 167452, 11, 1662},
	{23040, 167456, 1, 808},
	{23506, 167460, 1, 1677},
	{23078, 167464, 1, 808},
	{23706, 167468, 1, 1677},
	{23116, 167472, 1, 1675},
	{23138, 167476, 1, 1676},
	{23160, 167480, 1, 808},
	{23892, 167484, 1, 1677},
	{24203, 196608, 1, 1689},
	{24223, 196612, 1, 1690},
	{24243, 196616, 1, 1691},
	{24263, 196620, 1, 1692},
	{24283, 196624, 1, 1693},
	{24304, 196628, 1, 1694},
	{24325, 196632, 1, 1695},
	{24347, 196636, 1, 1696},
	{24369, 196640, 1, 1697},
	{24399, 196644, 1, 1698},
	{24429, 196648, 1, 1699},
	{24458, 196652, 1, 1700},
	{24487, 196656, 1, 1701},
	{24517, 196660, 1, 1702},
	{24547, 196664, 1, 1703},
	{24576, 196668, 1, 1704},
	{24605, 196672, 1, 1705},
	{24635, 196676, 1, 1706},
	{24665, 196680, 1, 1707},
	{24694, 196684, 1, 1708},
	{24723, 196688, 1, 1709},
	{24753, 196692, 1, 1710},
	{24783, 196696, 1, 1711},
	{24812, 196700, 1, 1712},
	{24841, 196704, 1, 1713},
	{24863, 196708, 1, 1714},
	{24885, 196712, 1, 1715},
	{24908, 196716, 1, 1716},
	{24931, 196720, 1, 1717},
	{24954, 196724, 1, 1718},
	{24977, 196728, 1, 1719},
	{25000, 196732, 1, 1720},
	{25023, 196736, 1, 1721},
	{25047, 196740, 1, 1722},
	{25071, 196744, 1, 1723},
	{25095, 196748, 1, 1724},
	{25119, 196752, 1, 1725},
	{25143, 196756, 1, 1726},
	{25167, 196760, 1, 1727},
	{25191, 196764, 1, 1728},
	{25215, 196768, 1, 1729},
	{25237, 196772, 1, 1730},
	{25259, 196776, 1, 1731},
	{25280, 196780, 1, 1732},
	{25301, 196784, 1, 1733},
	{25325, 196788, 1, 1734},
	{25349, 196792, 1, 1735},
	{25373, 196796, 1, 1735},
	{25397, 196800, 1, 1736},
	{25421, 196804, 1, 1737},
	{25505, 196852, 1, 4633},
	{25527, 196856, 1, 4633},
	{25549, 196860, 1, 1740},
	{25565, 196864, 1, 1741},
	{25578, 196868, 1, 1742},
	{25591, 196872, 1, 1743},
	{25604, 196876, 1, 1744},
	{25617, 196880, 1, 1745},
	{25630, 196884, 1, 1746},
	{25643, 196888, 1, 1747},
	{25656, 196892, 1, 1748},
	{25711, 196912, 1, 109},
	{25729, 196916, 1, 1749},
	{25756, 196920, 1, 1749},
	{25783, 196928, 2, 1750},
	{25796, 196932, 1, 1752},
	{25809, 196936, 1, 1753},
	{25832, 196940, 1, 1754},
	{25855, 196944, 1, 1755},
	{25883, 196948, 1, 1756},
	{25911, 196952, 1, 1757},
	{25939, 196956, 1, 1758},
	{25967, 196960, 1, 1759},
	{25985, 196964, 4, 5297},
	{54877, 196968, 1, 109},
	{54895, 196972, 1, 1749},
	{54922, 196976, 1, 1749},
	{26066, 196980, 1, 1753},
	{26085, 196984, 1, 1754},
	{26104, 196988, 1, 1755},
	{26128, 196992, 1, 1756},
	{26152, 196996, 1, 1757},
	{26176, 197000, 1, 1758},
	{26200, 197028, 1, 1764},
	{26218, 197032, 2, 5301},
	{26236, 197036, 1, 1767},
	{26254, 197040, 1, 1768},
	{26272, 197044, 1, 1769},
	{26290, 197048, 2, 5303},
	{26308, 197052, 1, 1772},
	{26326, 197056, 2, 1773},
	{26345, 197060, 5, 1775},
	{26364, 197072, 1, 1780},
	{26388, 197076, 2, 1773},
	{26408, 197080, 5, 1775},
	{26428, 197084, 5, 5305},
	{26447, 197088, 5, 5305},
	{26465, 197092, 1, 1788},
	{26482, 197100, 1, 1789},
	{26503, 197104, 13, 1790},
	{26517, 197108, 1, 1803},
	{26531, 197112, 1, 1804},
	{26545, 197116, 2, 1805},
	{26561, 197120, 1, 1807},
	{26580, 197124, 1, 1808},
	{26602, 197128, 1, 1809},
	{26621, 197132, 1, 1810},
	{26643, 197136, 7, 1811},
	{26661, 197140, 1, 1807},
	{26681, 197144, 1, 1808},
	{26704, 197148, 1, 1809},
	{26724, 197152, 1, 1810},
	{26747, 197156, 7, 1811},
	{26766, 197160, 6, 5310},
	{26778, 197164, 2, 1825},
	{26795, 197168, 1, 1827},
	{26812, 197172, 1, 1828},
	{26830, 197176, 4, 1829},
	{26850, 197180, 1, 1833},
	{26867, 197184, 1, 340},
	{26883, 197188, 1, 1835},
	{26896, 197192, 1, 1836},
	{26910, 197196, 1, 1837},
	{26924, 197200, 1, 1838},
	{26946, 197204, 1, 1839},
	{26966, 197208, 1, 1840},
	{26988, 197212, 1, 1841},
	{27008, 197216, 1, 1836},
	{27025, 197220, 1, 1837},
	{27042, 197224, 1, 1842},
	{52837, 197228, 1, 1835},
	{27190, 197364, 1, 1847},
	{27211, 197368, 1, 1848},
	{27231, 197372, 1, 1849},
	{27251, 197376, 1, 1848},
	{27268, 197380, 1, 1849},
	{27285, 197384, 1, 1850},
	{27301, 197388, 1, 1851},
	{27320, 197392, 1, 1852},
	{27339, 197396, 1, 1853},
	{27356, 197400, 1, 1854},
	{27374, 197404, 1, 1855},
	{27392, 197408, 1, 1856},
	{27408, 197412, 1, 1857},
	{27426, 197416, 1, 1858},
	{27444, 197420, 1, 1859},
	{27460, 197424, 1, 1854},
	{27475, 197428, 1, 1855},
	{27490, 197432, 1, 1856},
	{27503, 197436, 1, 1857},
	{27518, 197440, 1, 1858},
	{27533, 197444, 1, 1859},
	{27546, 197448, 1, 1860},
	{27560, 197452, 1, 1861},
	{27574, 197456, 1, 1862},
	{27586, 197460, 4, 5316},
	{27609, 197464, 3, 1867},
	{27631, 197468, 1, 1870},
	{27775, 197552, 1, 1875},
	{27800, 197556, 1, 1875},
	{27824, 197560, 1, 1876},
	{27844, 197568, 1, 1877},
	{27870, 197572, 1, 1690},
	{27899, 197576, 1, 1877},
	{27924, 197580, 1, 1690},
	{27952, 197584, 1, 1877},
	{27975, 197588, 1, 1690},
	{28001, 197592, 1, 1877},
	{28023, 197596, 1, 1690},
	{28048, 197600, 1, 1877},
	{28067, 197604, 1, 1690},
	{28089, 197608, 1, 1396},
	{28103, 197612, 1, 1877},
	{28120, 197616, 1, 1690},
	{28140, 197620, 8, 1878},
	{28157, 197624, 13, 1886},
	{28174, 197628, 1, 1803},
	{28191, 197632, 1, 1827},
	{28211, 197636, 1, 1804},
	{28228, 197640, 1, 1788},
	{28248, 197644, 2, 1899},
	{28267, 197888, 8, 5320},
	{28288, 197892, 8, 5320},
	{28309, 198656, 6, 3110},
	{48526, 198916, 1, 1915},
	{28370, 198920, 1, 1916},
	{28389, 198924, 2, 5328},
	{28404, 198928, 1, 674},
	{28437, 198932, 1, 674},
	{28470, 198936, 1, 674},
	{28503, 198940, 1, 674},
	{13796, 198944, 1, 943},
	{13813, 198948, 1, 944},
	{13830, 198952, 1, 945},
	{18971, 198956, 2, 1412},
	{28593, 198960, 1, 1394},
	{28609, 198964, 1, 1407},
	{49020, 198968, 1, 1917},
	{49052, 198972, 2, 1918},
	{49073, 198976, 1, 1920},
	{54949, 198980, 1, 856},
	{28715, 198984, 1, 1920},
	{28731, 198988, 1, 856},
	{28750, 198992, 1, 1920},
	{28770, 198996, 1, 856},
	{28793, 199000, 1, 1920},
	{28811, 199004, 1, 856},
	{19070, 199008, 9, 1922},
	{28873, 199016, 1, 1931},
	{29013, 199168, 1, 1944},
	{29038, 199172, 2, 1945},
	{29063, 199184, 2, 1947},
	{29089, 199188, 2, 1947},
	{29115, 199192, 2, 1947},
	{29141, 199212, 2, 1947},
	{29167, 199296, 2, 1949},
	{29195, 199300, 1, 1951},
	{29219, 199304, 1, 1952},
	{29243, 199308, 1, 1953},
	{29276, 199312, 1, 1953},
	{29304, 199328, 2, 1949},
	{29333, 199332, 1, 1951},
	{29358, 199336, 1, 1952},
	{29383, 199340, 1, 1953},
	{29417, 199344, 1, 1953},
	{29446, 199360, 2, 1949},
	{29470, 199364, 1, 1951},
	{29490, 199368, 1, 1952},
	{29510, 199372, 1, 1953},
	{29539, 199376, 1, 1953},
	{18265, 199380, 1, 1300},
	{49639, 199872, 1, 737},
	{49660, 199876, 1, 3678},
	{2095, 199880, 7, 4233},
	{2116, 199884, 3, 3687},
	{49681, 199888, 2, 3690},
	{2143, 199892, 1, 3714},
	{49707, 199896, 15, 5330},
	{50710, 199900, 1, 4242},
	{50732, 199904, 1, 4681},
	{2074, 199908, 2, 3692},
	{2164, 199912, 6, 5345},
	{49749, 199916, 1, 3715},
	{49728, 199920, 1, 388},
	{29563, 199936, 1, 109},
	{29590, 199940, 1, 109},
	{29617, 199944, 1, 109},
	{29644, 199948, 1, 109},
	{29779, 199968, 6, 1954},
	{29790, 199972, 2, 1961},
	{29804, 200192, 1, 866},
	{29823, 200196, 1, 867},
	{29845, 200448, 1, 1963},
	{29869, 200452, 1, 1964},
	{29892, 200456, 1, 1963},
	{29916, 200460, 1, 1964},
	{29939, 200464, 1, 1963},
	{29963, 200468, 1, 1964},
	{29986, 200472, 1, 1963},
	{30010, 200476, 1, 1964},
	{30033, 200696, 1, 1963},
	{30052, 200700, 1, 1964},
	{30070, 200704, 1, 1965},
	{30082, 200708, 1, 1966},
	{30094, 200712, 1, 1967},
	{30112, 200716, 1, 1968},
	{30131, 200720, 1, 1969},
	{30149, 200724, 1, 1970},
	{30161, 200728, 1, 1971},
	{30173, 200732, 1, 1970},
	{30191, 200736, 1, 1971},
	{30209, 200740, 1, 1972},
	{30228, 200744, 4, 1973},
	{30242, 200748, 2, 1977},
	{30260, 200752, 2, 1979},
	{30274, 200756, 2, 1981},
	{30288, 200760, 2, 1983},
	{30305, 200764, 2, 1985},
	{30322, 200768, 1, 1987},
	{30335, 200772, 2, 1988},
	{30347, 200776, 1, 109},
	{30361, 200780, 1, 109},
	{30377, 200784, 1, 109},
	{30391, 200788, 1, 109},
	{30407, 200792, 1, 109},
	{30422, 200796, 1, 109},
	{30439, 200800, 1, 109},
	{30454, 200804, 1, 109},
	{30471, 200808, 2, 1990},
	{30493, 200812, 10, 5351},
	{30510, 200816, 2, 2002},
	{30531, 200820, 2, 2004},
	{30543, 200824, 1, 2006},
	{30558, 200828, 6, 4682},
	{30573, 200832, 2, 2013},
	{30587, 200836, 1, 2015},
	{2495, 200960, 9, 442},
	{54971, 200964, 11, 5361},
	{54989, 200968, 2, 5372},
	{55007, 200972, 4, 5374},
	{30700, 212992, 1, 2017},
	{30720, 212996, 1, 2018},
	{30740, 213000, 1, 2017},
	{30760, 213004, 1, 2018},
	{30780, 213008, 1, 2017},
	{30800, 213012, 1, 2018},
	{30820, 213016, 1, 2017},
	{30840, 213020, 1, 2018},
	{30860, 213024, 1, 2017},
	{30880, 213028, 1, 2018},
	{30900, 213032, 1, 2017},
	{30920, 213036, 1, 2018},
	{30940, 213040, 1, 109},
	{30963, 213044, 1, 109},
	{30986, 213048, 1, 109},
	{31009, 213248, 1, 2017},
	{31030, 213252, 1, 2018},
	{31051, 213260, 1, 2017},
	{31072, 213264, 1, 2018},
	{31093, 213268, 1, 2017},
	{31117, 213272, 1, 2018},
	{31141, 213276, 1, 2017},
	{31165, 213280, 1, 2018},
	{31189, 213284, 1, 2017},
	{31213, 213288, 1, 2018},
	{31237, 213292, 1, 2017},
	{31261, 213296, 1, 2018},
	{50822, 213504, 1, 2017},
	{50841, 213508, 1, 2018},
	{50860, 213512, 1, 2017},
	{50879, 213516, 1, 2018},
	{50898, 213520, 1, 2017},
	{50917, 213524, 1, 2018},
	{50936, 213528, 1, 2017},
	{50955, 213532, 1, 2018},
	{48217, 213536, 1, 2017},
	{48236, 213540, 1, 2018},
	{48255, 213544, 1, 2017},
	{48274, 213548, 1, 2018},
	{48293, 213552, 1, 2017},
	{48312, 213556, 1, 2018},
	{48331, 213560, 1, 2017},
	{48350, 213564, 1, 2018},
	{48808, 213568, 1, 2017},
	{48828, 213572, 1, 2018},
	{48848, 213576, 1, 2017},
	{48868, 213580, 1, 2018},
	{48888, 213584, 1, 2017},
	{48908, 213588, 1, 2018},
	{48928, 213592, 1, 2017},
	{48948, 213596, 1, 2018},
	{31745, 214016, 1, 2017},
	{31767, 214020, 1, 2019},
	{31789, 214024, 1, 2017},
	{31811, 214028, 1, 2019},
	{31833, 214032, 1, 2017},
	{31855, 214036, 1, 2019},
	{31877, 214040, 1, 2017},
	{31899, 214044, 1, 2019},
	{31921, 214272, 1, 2017},
	{31943, 214276, 1, 2018},
	{31965, 214280, 1, 2017},
	{31987, 214284, 1, 2018},
	{32009, 214288, 1, 2017},
	{32031, 214292, 1, 2018},
	{32053, 214296, 1, 2017},
	{32075, 214300, 1, 2018},
	{32097, 214304, 1, 2017},
	{32119, 214308, 1, 2018},
	{32141, 214312, 1, 2017},
	{32163, 214316, 1, 2018},
	{32185, 214320, 1, 2017},
	{32207, 214324, 1, 2018},
	{32229, 214328, 1, 2017},
	{32251, 214332, 1, 2018},
	{32273, 214528, 1, 2018},
	{32293, 214532, 1, 2017},
	{32313, 214536, 1, 2018},
	{32333, 214540, 1, 2017},
	{32353, 214544, 1, 2018},
	{32373, 214548, 1, 2017},
	{32393, 214552, 1, 2018},
	{32413, 214556, 1, 2017},
	{32433, 214560, 1, 2018},
	{32453, 214564, 1, 2017},
	{32473, 214568, 1, 2018},
	{32493, 214572, 1, 2017},
	{32513, 214784, 1, 2017},
	{32532, 214788, 1, 2018},
	{32551, 214792, 1, 2017},
	{32570, 214796, 1, 2018},
	{32589, 214800, 1, 2017},
	{32608, 214804, 1, 2018},
	{32627, 214808, 1, 2017},
	{32646, 214812, 1, 2018},
	{32665, 214816, 1, 2017},
	{32684, 214820, 1, 2018},
	{32703, 214824, 1, 2017},
	{32722, 214828, 1, 2018},
	{32741, 214832, 1, 2017},
	{32760, 214836, 1, 2018},
	{32779, 214840, 1, 2017},
	{32798, 214844, 1, 2018},
	{32817, 214848, 1, 2017},
	{32836, 214852, 1, 2018},
	{32855, 214856, 1, 2017},
	{32874, 214860, 1, 2018},
	{32893, 214864, 1, 2017},
	{32913, 214868, 1, 2018},
	{32933, 214872, 1, 2017},
	{32953, 214876, 1, 2018},
	{32973, 214880, 1, 2017},
	{32993, 214884, 1, 2018},
	{33013, 214888, 1, 2017},
	{33033, 214892, 1, 2018},
	{33053, 214896, 1, 2017},
	{33073, 214900, 1, 2018},
	{33093, 214904, 1, 2017},
	{33113, 214908, 1, 2018},
	{33133, 215296, 1, 2017},
	{33152, 215300, 1, 2018},
	{33171, 215304, 1, 2017},
	{33190, 215308, 1, 2018},
	{33209, 215312, 1, 2017},
	{33228, 215316, 1, 2018},
	{33247, 215320, 1, 2017},
	{33266, 215324, 1, 2018},
	{33327, 215552, 1, 2017},
	{33347, 215556, 1, 2018},
	{33367, 215560, 1, 2017},
	{33387, 215564, 1, 2018},
	{33407, 215568, 1, 2017},
	{33427, 215572, 1, 2018},
	{33447, 215576, 1, 2017},
	{33467, 215580, 1, 2018},
	{33487, 215808, 1, 2017},
	{33506, 215812, 1, 2018},
	{33525, 215816, 1, 2017},
	{33544, 215820, 1, 2018},
	{33563, 216064, 1, 2017},
	{33582, 216068, 1, 2018},
	{33601, 216072, 1, 2017},
	{33620, 216076, 1, 2018},
	{33639, 216320, 1, 2017},
	{33659, 216324, 1, 2018},
	{33679, 216328, 1, 2017},
	{33699, 216332, 1, 2018},
	{33719, 216336, 1, 2017},
	{33739, 216340, 1, 2018},
	{33759, 216344, 1, 2017},
	{33779, 216348, 1, 2018},
	{50974, 216576, 1, 2017},
	{50994, 216580, 1, 2018},
	{51014, 216584, 1, 2017},
	{51034, 216588, 1, 2018},
	{51054, 216592, 1, 2017},
	{51074, 216596, 1, 2018},
	{51094, 216600, 1, 2017},
	{51114, 216604, 1, 2018},
	{51134, 216640, 1, 2017},
	{51154, 216644, 1, 2018},
	{51174, 216648, 1, 2017},
	{51194, 216652, 1, 2018},
	{51214, 216656, 1, 2017},
	{51234, 216660, 1, 2018},
	{51254, 216664, 1, 2017},
	{51274, 216668, 1, 2018},
	{34631, 217112, 1, 2017},
	{34650, 217116, 1, 2018},
	{34669, 217120, 1, 2017},
	{34688, 217124, 1, 2018},
	{34707, 217128, 1, 2017},
	{34726, 217132, 1, 2018},
	{34745, 217136, 1, 2017},
	{34764, 217140, 1, 2018},
	{34783, 217344, 1, 2017},
	{34802, 217348, 1, 2018},
	{34821, 217352, 1, 2017},
	{34840, 217356, 1, 2018},
	{34859, 217360, 1, 2017},
	{34878, 217364, 1, 2018},
	{34897, 217368, 1, 2017},
	{34916, 217372, 1, 2018},
	{34935, 217600, 1, 2017},
	{34955, 217604, 1, 2018},
	{34975, 217608, 1, 2017},
	{34995, 217612, 1, 2018},
	{35015, 217856, 1, 2017},
	{35035, 217860, 1, 2018},
	{35055, 217864, 1, 2017},
	{35075, 217868, 1, 2018},
	{35095, 217872, 1, 2017},
	{35115, 217876, 1, 2018},
	{35135, 217880, 1, 2017},
	{35155, 217884, 1, 2018},
	{35178, 218112, 1, 2020},
	{35203, 218116, 2, 2021},
	{35227, 218144, 1, 2020},
	{35253, 218148, 2, 2021},
	{36317, 221184, 5, 5378},
	{36341, 221188, 4, 5383},
	{36366, 221192, 5, 5378},
	{36390, 221196, 5, 5378},
	{36414, 221200, 4, 5383},
	{36439, 221204, 5, 5378},
	{36463, 221208, 4, 5383},
	{36488, 221212, 5, 5378},
	{36512, 221216, 4, 2032},
	{36528, 221220, 5, 5378},
	{36552, 221224, 3, 2036},
	{36586, 221228, 3, 2039},
	{36620, 221232, 3, 2042},
	{36645, 221236, 3, 2045},
	{36670, 221240, 3, 5387},
	{36695, 221248, 1, 2048},
	{36710, 221252, 1, 1953},
	{36733, 221256, 1, 2049},
	{36756, 221260, 1, 2050},
	{36774, 221264, 2, 2051},
	{36792, 221268, 4, 2053},
	{36812, 221440, 22, 5390},
	{36837, 221444, 22, 5390},
	{36862, 221448, 13, 5412},
	{36890, 221452, 13, 5412},
	{36918, 221456, 13, 5412},
	{36946, 221460, 13, 5412},
	{51454, 221696, 2, 3458},
	{51477, 221700, 2, 3458},
	{51500, 221704, 2, 3458},
	{51523, 221708, 2, 3458},
	{48125, 221712, 5, 2111},
	{48148, 221716, 2, 3458},
	{48171, 221720, 2, 3458},
	{48194, 221724, 2, 3458},
	{51546, 221728, 4, 2116},
	{48712, 221744, 5, 2111},
	{48736, 221748, 5, 2111},
	{48760, 221752, 2, 3458},
	{48784, 221756, 2, 3458},
	{51570, 221760, 4, 2116},
	{51595, 221764, 4, 2116},
	{48686, 221776, 1, 3499},
	{37404, 222208, 5, 2111},
	{37430, 222212, 4, 2116},
	{37457, 222216, 5, 2111},
	{37483, 222220, 4, 2116},
	{37510, 222224, 3, 2167},
	{37563, 222228, 3, 2167},
	{37616, 222464, 5, 2111},
	{37642, 222468, 4, 2116},
	{37669, 222472, 1, 2023},
	{37695, 222476, 1, 2023},
	{37721, 222480, 1, 2023},
	{37747, 222484, 1, 2023},
	{37773, 222488, 1, 2023},
	{37799, 222492, 1, 2023},
	{37825, 222496, 1, 2023},
	{37851, 222720, 5, 2111},
	{37875, 222724, 5, 2111},
	{37899, 222728, 5, 2111},
	{37923, 222732, 5, 2111},
	{37947, 222736, 4, 2116},
	{37972, 222740, 4, 2116},
	{37997, 222744, 4, 2116},
	{38022, 222748, 4, 2116},
	{38047, 222752, 1, 2155},
	{38071, 222756, 1, 2155},
	{38095, 222760, 8, 2120},
	{38116, 222976, 6, 3657},
	{38139, 222980, 6, 3657},
	{38162, 222984, 6, 3657},
	{38185, 222988, 6, 3657},
	{38208, 222992, 6, 3657},
	{38231, 222996, 6, 3657},
	{38254, 223000, 6, 3657},
	{38277, 223004, 6, 3657},
	{38300, 223008, 6, 3657},
	{38323, 223012, 6, 3657},
	{38346, 223016, 6, 3657},
	{38370, 223020, 6, 3657},
	{38394, 223024, 6, 3657},
	{38418, 223028, 6, 3657},
	{38442, 223032, 6, 3657},
	{38466, 223036, 6, 3657},
	{38490, 223104, 9, 3640},
	{51620, 223108, 2, 3690},
	{38510, 223112, 1, 2141},
	{38605, 223488, 5, 2111},
	{38628, 223492, 5, 2111},
	{38651, 223496, 3, 2167},
	{38674, 223500, 3, 2167},
	{38697, 223504, 4, 2116},
	{38721, 223508, 4, 2116},
	{38745, 223744, 5, 2111},
	{38769, 223748, 5, 2111},
	{38793, 223752, 5, 2111},
	{38817, 223756, 5, 2111},
	{38841, 223760, 4, 2116},
	{38866, 224000, 5, 2155},
	{38889, 224004, 4, 2160},
	{38913, 224008, 3, 2164},
	{38936, 224256, 5, 2155},
	{38959, 224260, 4, 2160},
	{38983, 224264, 3, 2164},
	{39006, 224512, 5, 2111},
	{39030, 224516, 4, 2116},
	{39055, 224520, 5, 2111},
	{39079, 224524, 4, 2116},
	{39104, 224528, 3, 2167},
	{39128, 224532, 3, 2167},
	{51640, 224768, 5, 2111},
	{51664, 224772, 4, 2105},
	{51689, 224776, 5, 2111},
	{51713, 224780, 4, 2105},
	{51738, 224784, 3, 2167},
	{51762, 224788, 3, 2167},
	{51786, 224832, 5, 2111},
	{51810, 224836, 4, 2105},
	{51835, 224840, 5, 2111},
	{51859, 224844, 4, 2105},
	{51884, 224848, 3, 2167},
	{51908, 224852, 3, 2167},
	{39829, 225280, 12, 2170},
	{39851, 225284, 5, 2182},
	{39874, 225288, 4, 2187},
	{39898, 225292, 2, 2191},
	{39921, 225296, 2, 2191},
	{39944, 225300, 2, 2191},
	{39967, 225536, 5, 2111},
	{39990, 225540, 4, 2116},
	{40014, 225544, 5, 2111},
	{40037, 225548, 4, 2116},
	{40061, 225552, 5, 2111},
	{40084, 225560, 5, 2111},
	{40107, 225792, 4, 2193},
	{40128, 225796, 1, 2197},
	{40157, 225800, 2, 2198},
	{40186, 225804, 1, 2200},
	{40212, 225808, 7, 2201},
	{40286, 225812, 1, 4294},
	{40309, 225816, 1, 2213},
	{52053, 225820, 2, 4295},
	{52086, 225824, 2, 4295},
	{52119, 225828, 2, 4295},
	{52152, 225832, 2, 4295},
	{52184, 225836, 2, 4295},
	{52216, 225840, 2, 4295},
	{52248, 225844, 2, 4295},
	{52281, 225848, 2, 4295},
	{52313, 225856, 2, 4295},
	{52345, 225860, 2, 4295},
	{52378, 225864, 2, 4295},
	{52411, 225868, 2, 4295},
	{52444, 225872, 2, 4295},
	{52476, 225876, 2, 4295},
	{52508, 225880, 2, 4295},
	{52541, 225884, 2, 4295},
	{52574, 225888, 2, 4295},
	{52640, 225896, 2, 4295},
	{40332, 225900, 1, 4294},
	{40359, 225904, 1, 2213},
	{40241, 225908, 1, 2208},
	{40260, 225912, 1, 4297},
	{55027, 225932, 2, 4295},
	{55060, 225936, 2, 5425},
	{41250, 226040, 1, 2290},
	{41229, 226044, 1, 2290},
	{41022, 226048, 2, 2280},
	{41039, 226052, 1, 2282},
	{41063, 226056, 1, 2282},
	{41087, 226060, 4, 2283},
	{41113, 226064, 3, 2287},
	{41142, 226068, 1, 704},
	{41171, 226072, 3, 2287},
	{41200, 226076, 1, 704},
	{41277, 226304, 5, 2182},
	{41301, 226308, 4, 2187},
	{41326, 226312, 2, 2191},
	{41350, 226316, 5, 2182},
	{41374, 226320, 4, 2187},
	{41399, 226324, 2, 2191},
	{41423, 226328, 10, 2291},
	{41448, 226560, 5, 2301},
	{41475, 226564, 5, 2301},
	{41502, 226568, 6, 2306},
	{41533, 226608, 5, 2301},
	{41561, 226612, 5, 2301},
	{41589, 226616, 5, 2301},
	{41617, 226620, 5, 2301},
	{41645, 226624, 5, 2301},
	{41673, 226628, 5, 2301},
	{41701, 226632, 5, 2301},
	{41729, 226636, 5, 2301},
	{41757, 226640, 6, 2306},
	{195, 880, 4, 2317},
	{42808, 881},
	{26631, 882},
	{42820, 1008},
	{42831, 1009},
	{26819, 1010, 3, 2321},
	{42842, 1040, 1, 2324},
	{42855, 1041, 5, 2325},
	{42868, 1042, 1, 2330},
	{42881, 1043, 1, 1810},
	{26653, 1045, 7, 2331},
	{42909, 1280, 6, 2350},
	{42924, 1281},
	{26590, 1282},
	{42808, 1283},
	{26631, 1284},
};

static const struct si_field sid_fields_table[] = {
	/* 0 */
	{55093, 0xF},
	{55102, 0xF0},
	{55112, 0x100},
	{55123, 0x200},
	{55128, 0x400},
	{55255, 0x1FF000, 257, 0},
	{55263, 0x800000},
	{55273, 0x8000000},
	{55286, 0x10000000},
	{55292, 0xE0000000},
	/* 10 */
	{55296, 0x1},
	{55300, 0x6},
	{55309, 0x18},
	{55319, 0x20},
	{55324, 0x40},
	{55332, 0x80},
	{55342, 0x100},
	{55353, 0x200},
	{55359, 0x400},
	{55364, 0x800},
	{55370, 0x1000},
	{55381, 0x2000},
	{55386, 0x4000},
	{55391, 0x8000},
	{55142, 0x10000},
	{55406, 0x20000},
	{55414, 0x40000},
	{55426, 0x80000},
	{55434, 0x800000},
	{55445, 0x8000000},
	/* 30 */
	{55457, 0x1FF, 257, 0},
	{55462, 0x400},
	{55470, 0x800},
	{55483, 0x7000},
	{55491, 0x8000},
	{55502, 0xF0000},
	{55513, 0xF00000},
	{55529, 0x1000000},
	{55543, 0x10000000},
	{55555, 0xE0000000},
	/* 40 */
	{50478, 0xF},
	{55563, 0x30},
	{55571, 0xC0},
	{55579, 0xF00},
	{55585, 0x1000},
	{28888, 0x6000},
	{55591, 0x8000},
	{55603, 0xF0000},
	{55609, 0xF00000},
	{55615, 0x7000000},
	{55624, 0x38000000},
	{55633, 0xC0000000},
	/* 52 */
	{55639, 0xFF},
	{55649, 0xFF00},
	{55659, 0xFF0000},
	{55669, 0xF000000},
	/* 56 */
	{55679, 0x1FF},
	{55688, 0x1FF000},
	{55697, 0xF000000},
	/* 59 */
	{55714, 0xF},
	{55721, 0x70},
	{55729, 0x80},
	{55743, 0xF00},
	{55752, 0x7000},
	{55761, 0x8000},
	{55774, 0x3F0000},
	{55779, 0xC00000},
	{55789, 0x1000000},
	{55803, 0x2000000},
	{55815, 0xFC000000},
	/* 70 */
	{1098, 0xFFFFFFFF},
	/* 71 */
	{1112, 0xFFFF},
	/* 72 */
	{1126, 0xFFFFFFFF},
	/* 73 */
	{55543, 0x1},
	{55822, 0x2},
	{55828, 0x4},
	{55842, 0x8},
	{55857, 0x3F0},
	{55862, 0x1F800},
	{55774, 0xFC0000},
	{55867, 0x1000000},
	{55877, 0xFE000000},
	/* 82 */
	{55886, 0xFFFFFFFF},
	/* 83 */
	{50478, 0x1F},
	{55563, 0x300},
	{55893, 0x3C00},
	{55900, 0x10000},
	{28888, 0xC0000},
	/* 88 */
	{55615, 0xF},
	{55571, 0x30},
	{55633, 0x300},
	{55624, 0x7000},
	{55906, 0x1F0000},
	{55609, 0xF000000},
	{55912, 0x60000000},
	/* 95 */
	{55925, 0x1},
	{55933, 0x6},
	/* 97 */
	{55948, 0x3},
	/* 98 */
	{30356, 0x3F},
	{10081, 0xFC0},
	{10099, 0x3F000},
	{30331, 0xFC0000},
	/* 102 */
	{55957, 0x3},
	{55971, 0x80},
	{55989, 0x300},
	{55999, 0x400},
	{56012, 0x800},
	{55534, 0x1000},
	{56019, 0x2000},
	/* 109 */
	{391, 0xFFFFFFFF},
	/* 110 */
	{1511, 0xFFFFFFFF},
	/* 111 */
	{1522, 0xFFFFFFFF},
	/* 112 */
	{1538, 0xFFFFFFFF},
	/* 113 */
	{1613, 0xFFFFFFFF},
	/* 114 */
	{56029, 0xF},
	{56052, 0x10},
	{56075, 0x20},
	{56098, 0x40},
	{56118, 0x80},
	{56138, 0x100},
	{56158, 0x200},
	{56178, 0x400},
	{56198, 0x800},
	{56218, 0x1000},
	{56238, 0x2000},
	{56258, 0x4000},
	{56273, 0x8000},
	{56284, 0x10000},
	{56292, 0x20000},
	{56301, 0x40000},
	{56318, 0x80000},
	{56333, 0x100000},
	{56346, 0x200000},
	{56356, 0x400000},
	{56373, 0x800000},
	{56390, 0x1000000},
	{56399, 0x2000000},
	{56408, 0x10000000},
	{56417, 0x20000000},
	{56426, 0x40000000},
	{56435, 0x80000000},
	/* 141 */
	{56446, 0xF},
	{56469, 0x20},
	{56485, 0x80},
	{56508, 0x100},
	{56531, 0x200},
	{56550, 0x1000},
	{56559, 0x2000},
	{56568, 0x4000},
	{56576, 0x8000},
	{56585, 0x10000},
	{56600, 0x100000},
	{56608, 0x200000},
	{56616, 0x400000},
	{56625, 0x800000},
	{56634, 0x1000000},
	{56642, 0x2000000},
	{56650, 0x4000000},
	{56658, 0x10000000},
	{56400, 0x20000000},
	{56676, 0x40000000},
	{56684, 0x80000000},
	/* 162 */
	{56550, 0x2},
	{56559, 0x4},
	{56695, 0x8},
	{56399, 0x10},
	{56706, 0x20},
	{56292, 0x200000},
	{56625, 0x400000},
	{56642, 0x1000000},
	{56568, 0x2000000},
	{56600, 0x4000000},
	{56616, 0x8000000},
	{56634, 0x20000000},
	{56650, 0x40000000},
	{56676, 0x80000000},
	/* 176 */
	{56717, 0x20},
	{56746, 0x40},
	{56777, 0x80},
	{56806, 0x100},
	{56826, 0x200},
	{56846, 0x400},
	{56866, 0x800},
	{56886, 0x2000},
	{56894, 0x4000},
	{56902, 0x8000},
	{56706, 0x10000},
	{56913, 0x10000000},
	{56927, 0x20000000},
	{56695, 0x40000000},
	{56936, 0x80000000},
	/* 191 */
	{56945, 0x1},
	{56955, 0x2},
	{56965, 0x4},
	{56974, 0x8},
	{56983, 0x10},
	{56994, 0x20},
	{57005, 0x40},
	{57015, 0x80},
	{57025, 0x400},
	{57035, 0x800},
	{57052, 0x1000},
	{57060, 0x2000},
	{57073, 0x4000},
	{57091, 0x8000},
	{57102, 0x10000},
	{57111, 0x20000},
	{57132, 0x40000},
	{57143, 0x80000},
	{57170, 0x20000000},
	{57183, 0x40000000},
	{56417, 0x80000000},
	/* 212 */
	{57196, 0x1},
	{57211, 0x2},
	{57231, 0x4},
	{57247, 0x8},
	{57265, 0x10},
	{57285, 0x20},
	{57304, 0x40},
	{57323, 0x80},
	{57336, 0x100},
	{57350, 0x200},
	{57374, 0x400},
	{57390, 0x800},
	{57406, 0x1000},
	{57422, 0x2000},
	{57438, 0x10000},
	{57453, 0x20000},
	{57473, 0x40000},
	{57489, 0x80000},
	{57507, 0x100000},
	{57527, 0x200000},
	{57546, 0x400000},
	{57565, 0x800000},
	{57578, 0x1000000},
	{57592, 0x2000000},
	{57616, 0x4000000},
	{57632, 0x8000000},
	{57648, 0x10000000},
	{57664, 0x20000000},
	/* 240 */
	{57680, 0x8},
	{57699, 0x10},
	{57719, 0x40},
	{57738, 0x100},
	{57759, 0x200},
	{57777, 0x400},
	{57800, 0x2000},
	{57822, 0x10000},
	{57843, 0x20000},
	{57861, 0x40000},
	{57884, 0x200000},
	{57906, 0x400000},
	{57930, 0x800000},
	{57954, 0x1000000},
	{57977, 0x2000000},
	/* 255 */
	{57999, 0x1},
	{58018, 0x2},
	{58027, 0x10},
	{58042, 0x20},
	{58056, 0x40},
	{58075, 0x80},
	{58094, 0x100},
	{58109, 0x200},
	{58126, 0x400},
	{58148, 0x800},
	{58170, 0x1000},
	{58185, 0x2000},
	{57025, 0x4000},
	{58200, 0x8000},
	{58209, 0x10000},
	{57060, 0x20000},
	{58218, 0x40000},
	{58228, 0x80000},
	{58242, 0x100000},
	{58256, 0x200000},
	{58270, 0x400000},
	{57091, 0x800000},
	{58287, 0x1000000},
	{58300, 0x4000000},
	{58313, 0x8000000},
	{58326, 0x30000000},
	{58345, 0x40000000},
	{56408, 0x80000000},
	/* 283 */
	{58358, 0x1},
	{58376, 0x2},
	{58390, 0x4},
	{58409, 0x8},
	{58428, 0x10},
	{58443, 0x20},
	{58461, 0x40},
	{58479, 0x80},
	{58496, 0x100},
	{58511, 0x200},
	{58525, 0x400},
	{58542, 0x800},
	{58566, 0x1000},
	{58584, 0x2000},
	{58602, 0x4000},
	{58623, 0x8000},
	{58647, 0x10000},
	{58673, 0x20000},
	{58690, 0x40000},
	{58710, 0x80000},
	{58730, 0x100000},
	{58750, 0x200000},
	{58771, 0x400000},
	{58794, 0x800000},
	{58815, 0x1000000},
	{58834, 0x2000000},
	{58851, 0x4000000},
	{58867, 0x8000000},
	{58883, 0x10000000},
	{58899, 0x20000000},
	{58918, 0x40000000},
	{58930, 0x80000000},
	/* 315 */
	{58942, 0x1},
	{58961, 0x2},
	{58981, 0x4},
	{59001, 0x8},
	{59021, 0x20},
	{59042, 0x40},
	{57906, 0x80},
	{57930, 0x100},
	{59063, 0x200},
	{59090, 0x400},
	{59117, 0x800},
	{59138, 0x1000},
	{59157, 0x2000},
	/* 328 */
	{59176, 0x1},
	{59190, 0x4},
	{59205, 0x8},
	{59222, 0x80},
	{59234, 0x100},
	{59247, 0x400},
	{59262, 0x800},
	{59277, 0x1000},
	{59292, 0x2000},
	/* 337 */
	{1854, 0x3F},
	/* 338 */
	{1872, 0x1FF},
	{59307, 0x80000000},
	/* 340 */
	{1893, 0xFFFFFFFF},
	/* 341 */
	{1854, 0x7},
	/* 342 */
	{59332, 0x1000},
	{59354, 0x4000},
	{59379, 0x20000},
	{59400, 0x40000},
	{59424, 0x400000},
	{59451, 0x800000},
	{59476, 0x1000000},
	{59499, 0x8000000},
	{59519, 0x40000000},
	/* 351 */
	{1859, 0xF},
	/* 352 */
	{10027, 0xFFFFFFFF},
	/* 353 */
	{10060, 0xF},
	{38, 0x3FFFFF00},
	/* 355 */
	{754, 0x1FFFFFFF},
	{59535, 0x80000000},
	/* 357 */
	{59545, 0x3},
	{59554, 0xF0},
	{59562, 0x200},
	{59569, 0x1FC00},
	/* 361 */
	{59840, 0xFFF, 2049, 257},
	{60002, 0xFF0000, 129, 2306},
	{60014, 0x3000000},
	{60027, 0x80000000},
	/* 365 */
	{982, 0x3},
	{60042, 0x4},
	{60051, 0x8},
	{60062, 0x10},
	{60075, 0x20},
	{49765, 0x1C0},
	{60089, 0x200},
	{60102, 0x400},
	{60115, 0x800},
	{60127, 0x1000},
	{60145, 0x2000},
	{60156, 0xC000},
	{60171, 0x30000},
	{60179, 0x40000},
	{60198, 0x80000},
	{60215, 0x40000000},
	{60227, 0x80000000},
	/* 382 */
	{60241, 0xFFF},
	{60256, 0xFFF000},
	{60268, 0x1000000},
	{56279, 0x2000000},
	{60276, 0x4000000},
	{60296, 0x8000000},
	/* 388 */
	{2211, 0xFFFFFFFF},
	/* 389 */
	{13925, 0xF},
	{60384, 0x3F0, 33, 2435},
	{60388, 0x400},
	{60263, 0x800},
	{60394, 0x1000},
	/* 394 */
	{60397, 0xFFFFFFFF},
	/* 395 */
	{60410, 0xFFFF},
	{19675, 0x3FFF0000},
	{60426, 0x40000000},
	{60440, 0x80000000},
	/* 399 */
	{60455, 0xFFFFFFFF},
	/* 400 */
	{60467, 0x7},
	{60477, 0x38},
	{60487, 0x1C0},
	{60497, 0xE00},
	{17302, 0x7F000, 293, 2468},
	{64414, 0x600000},
	{64427, 0x800000},
	{64442, 0x1000000},
	{64548, 0x30000000, 4, 2761},
	{209, 0xC0000000},
	/* 410 */
	{64559, 0x7},
	{64567, 0x38},
	{64575, 0x1C0},
	{64583, 0xE00},
	{64599, 0x7000},
	{64618, 0x8000},
	{64637, 0x70000},
	{64653, 0x80000},
	{64668, 0x100000},
	{64682, 0x7E00000},
	{64693, 0x8000000},
	{64705, 0x10000000},
	{64723, 0x60000000},
	{64735, 0x80000000},
	/* 424 */
	{64748, 0xFFF},
	{64756, 0xFFF000},
	{64764, 0xF000000},
	{64773, 0xF0000000},
	/* 428 */
	{64780, 0x3FFF},
	{64789, 0xFFF},
	{64806, 0x3000},
	{64824, 0xFC000},
	{64837, 0x300000},
	{64851, 0xC00000},
	{64865, 0x3000000},
	{64874, 0xC000000},
	{64885, 0x10000000},
	{64904, 0x20000000},
	{64919, 0x40000000},
	{64934, 0x80000000},
	/* 440 */
	{64789, 0xFFF},
	{64806, 0xC0000000},
	/* 442 */
	{64950, 0x1FFFFF},
	{64969, 0xE00000},
	{64988, 0x1000000},
	{65010, 0x2000000},
	{65032, 0x4000000},
	{65048, 0x8000000},
	{65065, 0x10000000},
	{65083, 0x20000000},
	{65099, 0xC0000000},
	/* 451 */
	{65120, 0x7},
	{65130, 0x38},
	{65151, 0xC0},
	{65172, 0x180000},
	{65191, 0xC000000},
	/* 456 */
	{65561, 0x3C, 16, 2765},
	{65989, 0x7C0, 19, 2781},
	{66179, 0x3800, 7, 2800},
	{66338, 0x1C00000, 5, 2807},
	{66358, 0x6000000},
	/* 461 */
	{66463, 0x3, 4, 2812},
	{66570, 0xC, 4, 2816},
	{66682, 0x30, 4, 2820},
	{66769, 0xC0, 4, 2824},
	/* 465 */
	{60410, 0xFF},
	{64748, 0xFFF00},
	{17302, 0x1FF00000, 293, 2468},
	{66779, 0xC0000000},
	/* 469 */
	{66788, 0xFFF},
	{66575, 0xFFFC000},
	{64442, 0x80000000},
	/* 472 */
	{60467, 0x7},
	{60477, 0x38},
	{60487, 0x1C0},
	{60497, 0xE00},
	{66797, 0xF000},
	{66808, 0xF0000},
	{66819, 0x1F00000},
	{66923, 0xE000000, 6, 2828},
	{209, 0xF0000000},
	/* 481 */
	{18448, 0x1FFF},
	{66934, 0x1FFF0000},
	/* 483 */
	{66945, 0xF},
	{66957, 0xF0},
	{66965, 0xFFF00},
	{66978, 0x700000},
	{66987, 0x800000},
	{67002, 0x2000000},
	{67017, 0x4000000},
	/* 490 */
	{67029, 0xFF},
	{67045, 0x400},
	{67057, 0x18000},
	{67085, 0x60000},
	{67111, 0x80000},
	{67129, 0x100000},
	{67151, 0x200000},
	{67166, 0x400000},
	{67182, 0x800000},
	{67198, 0xFF000000},
	/* 500 */
	{67219, 0xFFFF},
	/* 501 */
	{67225, 0xFFFFFFFF},
	/* 502 */
	{67219, 0xFFFF},
	{67234, 0x3F0000},
	{67245, 0x3C00000},
	/* 505 */
	{67264, 0xFFFFFFFF},
	/* 506 */
	{67264, 0xFF},
	/* 507 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{67339, 0x800000},
	{67349, 0x1000000},
	{67366, 0x2000000},
	{55999, 0x4000000},
	{55263, 0x20000000},
	/* 518 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67412, 0x80},
	{67424, 0xFF00},
	{55255, 0x1FF0000, 257, 0},
	{67439, 0x2000000},
	{67461, 0x4000000},
	{67486, 0x8000000},
	{67500, 0xF0000000},
	/* 528 */
	{67516, 0x1},
	{67533, 0x1E},
	{67559, 0x1E0},
	{67592, 0x200},
	{67613, 0x7C00},
	{67637, 0x8000},
	{67662, 0x10000},
	{67681, 0xE0000},
	/* 536 */
	{67718, 0x7},
	{67747, 0x38},
	{67779, 0x40},
	{67795, 0xFF00},
	{67824, 0xFF0000},
	/* 541 */
	{67856, 0x7F},
	/* 542 */
	{67239, 0x3F},
	/* 543 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{67339, 0x800000},
	{67869, 0x3000000},
	{67883, 0x4000000},
	{67366, 0x8000000},
	{55999, 0x10000000},
	{55263, 0x80000000},
	/* 555 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67899, 0x80},
	{67909, 0x100},
	{67921, 0x200},
	{67933, 0x400},
	{67945, 0x800},
	{67957, 0x1000},
	{55255, 0x3FE000, 257, 0},
	{67963, 0x400000},
	{67974, 0x1000000},
	{67486, 0x8000000},
	{67500, 0xF0000000},
	/* 569 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{55255, 0xFF80, 257, 0},
	{67869, 0x30000},
	{67899, 0x40000},
	{55688, 0x7F80000},
	{67991, 0x8000000},
	{67486, 0x10000000},
	/* 578 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67899, 0x80},
	{55255, 0x1FF00, 257, 0},
	{55688, 0x1FF00000},
	/* 584 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{55688, 0xFF80},
	{55255, 0x1FF0000, 257, 0},
	/* 589 */
	{67219, 0xFFFF},
	{68003, 0x7F0000},
	/* 591 */
	{67219, 0xFFFF},
	{67234, 0x3F0000},
	{67245, 0x3C00000},
	{68028, 0xFC000000},
	/* 595 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{67339, 0x800000},
	{67883, 0x1000000},
	{67366, 0x2000000},
	{55999, 0x4000000},
	{68045, 0x8000000},
	{68054, 0x60000000},
	{55263, 0x80000000},
	/* 608 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{55255, 0xFF80, 257, 0},
	{68071, 0x30000},
	{67899, 0x40000},
	{55688, 0x7F80000},
	{67486, 0x8000000},
	{67500, 0xF0000000},
	/* 617 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{67339, 0x800000},
	{67869, 0x3000000},
	{67883, 0x4000000},
	{55263, 0x80000000},
	/* 627 */
	{67234, 0x3F},
	{67245, 0x3C0},
	{68028, 0xFC00},
	{67219, 0xFFFF0000},
	/* 631 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{67339, 0x800000},
	{67366, 0x1000000},
	{55999, 0x2000000},
	{68045, 0x4000000},
	{68088, 0x30000000},
	{55263, 0x40000000},
	/* 643 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67899, 0x80},
	{68105, 0x100},
	{55255, 0x3FE00, 257, 0},
	{55688, 0x7FC0000},
	{67486, 0x8000000},
	{67500, 0xF0000000},
	/* 652 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{67339, 0x800000},
	{67869, 0x3000000},
	{55263, 0x40000000},
	/* 661 */
	{68116, 0x1},
	{68134, 0x2},
	{68148, 0x4},
	{68167, 0x8},
	{68187, 0x10},
	{68207, 0x20},
	{68229, 0x40},
	{68240, 0x400},
	{68258, 0x800},
	{10365, 0x1000},
	{68276, 0x2000},
	{68290, 0x4000},
	{68298, 0x8000},
	/* 674 */
	{38, 0xFFFFFFFF},
	/* 675 */
	{68308, 0xFFFFFFFF},
	/* 676 */
	{68314, 0xFFFF},
	{68330, 0xFFFF0000},
	/* 678 */
	{9869, 0x1},
	/* 679 */
	{9897, 0x1},
	/* 680 */
	{391, 0xFF},
	/* 681 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{67339, 0x800000},
	{68349, 0x1000000},
	{55263, 0x4000000},
	{68045, 0x20000000},
	{67366, 0x40000000},
	{55999, 0x80000000},
	/* 693 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{68355, 0x80},
	{68365, 0x100},
	{68375, 0x200},
	{68105, 0x400},
	{68385, 0x1800},
	{68400, 0x6000},
	{55688, 0xFF8000},
	{55255, 0x7F000000, 257, 0},
	/* 704 */
	{391, 0xF},
	/* 705 */
	{68412, 0x3FF},
	{68425, 0xF000},
	{68435, 0x3F0000},
	{68450, 0x400000},
	{68465, 0x800000},
	{68481, 0x7000000},
	/* 711 */
	{67219, 0xFFFFFFFF},
	/* 712 */
	{68496, 0xFFF},
	{68502, 0x1FFF000},
	/* 714 */
	{68511, 0xFFFFFFFF},
	/* 715 */
	{10332, 0x1},
	/* 716 */
	{68519, 0x3},
	{65644, 0x4},
	{68529, 0x8},
	{68539, 0x10},
	{68549, 0x1FFE0},
	/* 721 */
	{10382, 0xFFFFFFFF},
	/* 722 */
	{10402, 0xFFFFFFFF},
	/* 723 */
	{67516, 0x1},
	{67533, 0x1E},
	{67559, 0x1E0},
	{67592, 0x200},
	{67613, 0x7C00},
	{67637, 0x8000},
	{67662, 0x10000},
	{67681, 0xE0000},
	{68562, 0x7F00000},
	/* 732 */
	{67500, 0xF},
	/* 733 */
	{441, 0x7FF},
	/* 734 */
	{68599, 0x3FFFFFFF},
	{68607, 0x40000000},
	{68616, 0x80000000},
	/* 737 */
	{11614, 0xFFFFFFFF},
	/* 738 */
	{11614, 0xFFFF},
	/* 739 */
	{68625, 0x3FF},
	{59708, 0x400},
	/* 741 */
	{68635, 0x1},
	{68654, 0x2},
	{68675, 0x4},
	{68686, 0x8},
	{68699, 0x10},
	{68718, 0x20},
	{68743, 0x40},
	{68766, 0x80},
	{68780, 0xF00},
	{68792, 0x1000},
	/* 751 */
	{68810, 0x1},
	{68834, 0x2},
	{68855, 0x4},
	{68889, 0x8},
	{68924, 0x70},
	{68936, 0xF00},
	{68949, 0xF000},
	{68962, 0xF0000},
	{68975, 0xF00000},
	{68989, 0xF000000},
	{69007, 0xF0000000},
	/* 762 */
	{69024, 0x7FF},
	{69036, 0x1800},
	{69051, 0xFFE000},
	{69061, 0x1000000},
	{69073, 0x2000000},
	{69091, 0x3C000000},
	{69097, 0xC0000000},
	/* 769 */
	{69162, 0x3, 4, 3075},
	{69179, 0xC, 4, 3075},
	{69197, 0x30, 4, 3075},
	{69215, 0x40},
	{69236, 0x80},
	{69251, 0x100},
	{69272, 0x200},
	{69290, 0x400},
	{69307, 0x800},
	{69320, 0x1000},
	{69339, 0x6000, 4, 3075},
	{69358, 0x8000},
	{69382, 0x10000},
	{69405, 0x20000},
	{69422, 0x40000},
	{69507, 0x180000, 4, 3079},
	{69526, 0x3E00000},
	{69543, 0x4000000},
	{69567, 0x8000000},
	{69581, 0x10000000},
	{69601, 0x20000000},
	{69615, 0x40000000},
	{69635, 0x80000000},
	/* 792 */
	{69709, 0x3, 4, 3083},
	{69738, 0x1C},
	{69769, 0x20},
	{69805, 0x40},
	{69840, 0x80},
	{69868, 0x100},
	{69890, 0x200},
	{69908, 0x400},
	{69940, 0x800},
	{70061, 0x7000, 8, 3087},
	{70071, 0x38000},
	{70084, 0x1C0000},
	{70097, 0x200000},
	{70113, 0x400000},
	{70131, 0x800000},
	{70149, 0x2000000},
	/* 808 */
	{70177, 0xFFFFFFFF},
	/* 809 */
	{70187, 0x3FFF},
	{55087, 0x3FFF0000},
	/* 811 */
	{11197, 0xFFFFFFFF},
	/* 812 */
	{11217, 0xFFFFFFFF},
	/* 813 */
	{11232, 0xFF},
	/* 814 */
	{11241, 0xFFFFFFFF},
	/* 815 */
	{70193, 0xFFFF},
	{70198, 0xFFFF0000},
	/* 817 */
	{70203, 0xFFFF},
	{70208, 0xFFFF0000},
	/* 819 */
	{70222, 0x3, 4, 3095},
	{70236, 0x4},
	{70261, 0x8},
	/* 822 */
	{70279, 0xF},
	{70287, 0xF0},
	{70295, 0x1F00},
	{70303, 0x6000},
	{70311, 0x18000},
	{70319, 0x60000},
	{70327, 0x180000},
	{64442, 0xF0000000},
	/* 830 */
	{17302, 0x3, 4, 3099},
	{70366, 0xC},
	{66819, 0x1F0},
	{70421, 0x600, 4, 3103},
	{70436, 0x800},
	{70450, 0x1000},
	{70469, 0xE000},
	{70486, 0xF0000},
	{67045, 0x100000},
	{70493, 0x7800000},
	{70517, 0x8000000},
	{70532, 0x10000000},
	{70542, 0x20000000},
	{70562, 0x80000000},
	/* 844 */
	{17302, 0x1, 2, 3107},
	{66819, 0x1F0},
	{70421, 0x600, 4, 3103},
	{70436, 0x800},
	{70450, 0x1000},
	{70469, 0xE000},
	{67045, 0x100000},
	{70517, 0x8000000},
	{70605, 0x20000000},
	/* 853 */
	{70279, 0x7FF},
	{70287, 0x3FF800},
	/* 855 */
	{70279, 0x3FFFFF},
	/* 856 */
	{10060, 0xFF},
	/* 857 */
	{70677, 0x3, 4, 3109},
	{70689, 0xC, 4, 3109},
	{70701, 0x30, 4, 3109},
	{70717, 0xC0, 4, 3109},
	{70787, 0x30000, 4, 3113},
	{70799, 0xC0000, 4, 3113},
	{70811, 0x300000, 4, 3113},
	{70827, 0x1000000},
	{70838, 0x2000000},
	/* 866 */
	{30565, 0xFFFFFFFF},
	/* 867 */
	{30565, 0xFF},
	/* 868 */
	{70849, 0xFF},
	/* 869 */
	{70867, 0xFFFFFFFF},
	/* 870 */
	{70882, 0xFFFF},
	{70898, 0xFFFF0000},
	/* 872 */
	{70193, 0x7FFF},
	{70198, 0x7FFF0000},
	{70914, 0x80000000},
	/* 875 */
	{70203, 0x7FFF},
	{70208, 0x7FFF0000},
	/* 877 */
	{71002, 0xFFFF, 32769, 3117},
	/* 878 */
	{71012, 0xF},
	{71019, 0xF0},
	{71028, 0xF00},
	{71036, 0x3F000},
	{71047, 0xFC0000},
	{71058, 0xF000000},
	{71069, 0xF0000000},
	/* 885 */
	{71080, 0x1FF},
	{71099, 0x1FF0000},
	/* 887 */
	{71118, 0xF},
	{71133, 0xF0},
	{71148, 0xF00},
	{71163, 0xF000},
	{71178, 0xF0000},
	{71193, 0xF00000},
	{71208, 0xF000000},
	{71223, 0xF0000000},
	/* 895 */
	{71238, 0xF},
	{71253, 0xF0},
	{71268, 0xF00},
	{71283, 0xF000},
	{71298, 0xF0000},
	{71313, 0xF00000},
	{71328, 0xF000000},
	{71343, 0xF0000000},
	/* 903 */
	{71358, 0xFFFFFFFF},
	/* 904 */
	{71369, 0xFFFFFFFF},
	/* 905 */
	{71472, 0x3, 4, 35886},
	{71484, 0xC, 4, 35886},
	{71596, 0x30, 4, 35890},
	{71653, 0x40, 2, 35894},
	{71709, 0x80, 2, 35896},
	{71813, 0x300, 4, 35898},
	{71921, 0xC00, 4, 35902},
	{72030, 0x3000, 4, 35906},
	{72143, 0xC000, 4, 35910},
	{72245, 0x30000, 4, 35914},
	{72391, 0xC0000, 4, 35918},
	{72538, 0x300000, 4, 35922},
	{72638, 0x3000000, 4, 35926},
	{72784, 0xC000000, 4, 35930},
	{72931, 0x30000000, 4, 35934},
	/* 920 */
	{73051, 0x3, 4, 35938},
	{73222, 0xC, 4, 35942},
	{73394, 0x30, 4, 35946},
	/* 923 */
	{68989, 0x3},
	{69007, 0xC},
	/* 925 */
	{9882, 0x1},
	{73407, 0x6},
	{65191, 0x60},
	{73414, 0x100},
	{73449, 0x3000},
	{73456, 0x30000},
	{73470, 0x100000},
	/* 932 */
	{73488, 0x80000000},
	/* 933 */
	{55571, 0x3},
	/* 934 */
	{10112, 0xF},
	/* 935 */
	{73503, 0xFF},
	{73512, 0xFF00},
	{73522, 0xFF0000},
	{73533, 0xFF000000},
	/* 939 */
	{73543, 0xFF},
	{73551, 0xFF00},
	{73560, 0xFF0000},
	{73569, 0xFF000000},
	/* 943 */
	{73577, 0xFFFFFFFF},
	/* 944 */
	{73586, 0xFFFFFFFF},
	/* 945 */
	{13834, 0xFFFFFFFF},
	/* 946 */
	{13864, 0xFFFFFFFF},
	/* 947 */
	{73595, 0x3, 4, 3109},
	{73611, 0xC, 4, 3109},
	{73627, 0x30, 4, 3109},
	{73641, 0xC0, 4, 3109},
	{73657, 0x30000, 4, 3113},
	{73673, 0xC0000, 4, 3113},
	{73689, 0x300000, 4, 3113},
	{73703, 0xC00000, 4, 3113},
	{73719, 0x40000000},
	{73734, 0x80000000},
	/* 957 */
	{13903, 0xFFFFFFFF},
	/* 958 */
	{13916, 0xFFFFFFFF},
	/* 959 */
	{13931, 0xFFFFFFFF},
	/* 960 */
	{13945, 0xFFFFFFFF},
	/* 961 */
	{73749, 0x1},
	{73776, 0x7C},
	{73805, 0x100},
	{73834, 0x200},
	{73865, 0x400},
	{73893, 0x1000},
	{73921, 0x2000},
	{73951, 0x4000},
	/* 969 */
	{73977, 0x1},
	{73997, 0xE},
	{74014, 0x30},
	{74035, 0xF00},
	/* 973 */
	{74293, 0xF, 16, 35950},
	{74305, 0xF0, 16, 35950},
	{74318, 0xF00, 16, 35950},
	{74331, 0xF000, 16, 35950},
	{74346, 0xF0000, 16, 35950},
	{74362, 0xF00000, 16, 35950},
	/* 979 */
	{74378, 0xFF},
	{74393, 0xFF00},
	{74405, 0xFF0000},
	{74422, 0xFF000000},
	/* 983 */
	{74435, 0xFF},
	{74453, 0xFF00},
	{74468, 0xFF0000},
	{74488, 0xFF000000},
	/* 987 */
	{14060, 0xFFFFFFFF},
	/* 988 */
	{14079, 0xFFFFFFFF},
	/* 989 */
	{14099, 0xFFFFFFFF},
	/* 990 */
	{14118, 0xFFFFFFFF},
	/* 991 */
	{14138, 0xFFFFFFFF},
	/* 992 */
	{14157, 0xFFFFFFFF},
	/* 993 */
	{74504, 0xFFFFFFFF},
	/* 994 */
	{754, 0x3F},
	{74518, 0x300},
	{74530, 0x400},
	{74541, 0x1E000},
	{74550, 0x20000},
	{74564, 0x40000},
	{74568, 0x80000},
	{74585, 0x100000},
	{74603, 0x600000},
	{74621, 0x800000},
	{74641, 0x1000000},
	{74653, 0x2000000},
	/* 1006 */
	{754, 0x3F},
	{74518, 0x300},
	{74530, 0x400},
	{74564, 0x40000},
	{74568, 0x80000},
	{74585, 0x100000},
	{74603, 0x600000},
	{74641, 0x1000000},
	{74653, 0x2000000},
	/* 1015 */
	{74665, 0x3E},
	{74681, 0x40},
	{74694, 0x80},
	/* 1018 */
	{74707, 0x1},
	{74724, 0x2},
	{74741, 0x4},
	{74760, 0x8},
	{74781, 0x10},
	{74799, 0x20},
	{74817, 0x40},
	{74837, 0x80},
	{74858, 0x100},
	{74874, 0x200},
	{74890, 0x400},
	{74906, 0x800},
	{74922, 0x1000},
	{74937, 0x2000},
	{74951, 0x4000},
	{74971, 0x8000},
	/* 1034 */
	{74988, 0x1},
	{75003, 0x2},
	{75126, 0x1C, 5, 35966},
	{75144, 0xE0, 5, 35966},
	{75162, 0x700, 5, 35966},
	{75180, 0x3800, 5, 35966},
	{75198, 0x4000},
	/* 1041 */
	{75215, 0x3F},
	{75226, 0x40},
	{75236, 0x80},
	{75253, 0x100},
	{75269, 0x4000},
	{75289, 0x8000},
	/* 1047 */
	{75299, 0x1},
	{75317, 0x10},
	{75337, 0x100},
	{75356, 0x1000},
	{75377, 0x30000},
	{75396, 0x100000},
	{75410, 0x1000000},
	/* 1054 */
	{75518, 0xF, 5, 35971},
	/* 1055 */
	{75537, 0xF, 5, 35971},
	{75556, 0xF0, 5, 35971},
	{75575, 0xF00, 5, 35971},
	{75594, 0xF000, 5, 35971},
	{75613, 0xF0000, 5, 35971},
	/* 1060 */
	{75832, 0xF, 10, 35976},
	/* 1061 */
	{75848, 0xF, 10, 35976},
	{75867, 0xF0, 10, 35976},
	{75886, 0xF00, 10, 35976},
	{75905, 0xF000, 10, 35976},
	{75924, 0xF0000, 10, 35976},
	{75943, 0xF00000, 10, 35976},
	{75962, 0xF000000, 10, 35976},
	{75981, 0xF0000000, 10, 35976},
	/* 1069 */
	{76235, 0xF, 11, 35986},
	{76240, 0xF0, 11, 35986},
	{76245, 0xF00, 11, 35986},
	{76250, 0xF000, 11, 35986},
	{76255, 0xF0000, 11, 35986},
	{76260, 0xF00000, 11, 35986},
	{76265, 0xF000000, 11, 35986},
	{76270, 0xF0000000, 11, 35986},
	/* 1077 */
	{76349, 0xF, 16, 35997},
	{76362, 0xF0},
	{76375, 0xF00},
	{76388, 0xF000},
	{76401, 0xF0000},
	{76414, 0xF00000},
	{76427, 0xF000000},
	{76440, 0xF0000000},
	/* 1085 */
	{76453, 0x1},
	{76476, 0x2},
	{76499, 0x10},
	{76522, 0x20},
	{76545, 0x100},
	{76568, 0x200},
	{76591, 0x1000},
	{76614, 0x2000},
	{76637, 0x10000},
	{76660, 0x20000},
	{76683, 0x100000},
	{76706, 0x200000},
	{76729, 0x1000000},
	{76752, 0x2000000},
	{76775, 0x10000000},
	{76798, 0x20000000},
	{76821, 0x80000000},
	/* 1102 */
	{77112, 0x7, 8, 36013},
	{77126, 0x70, 8, 36013},
	{77274, 0x700, 8, 36021},
	{77289, 0x70000, 8, 36013},
	{77303, 0x700000, 8, 36013},
	{77317, 0x7000000, 8, 36021},
	/* 1108 */
	{77772, 0x1F, 21, 36029},
	{77274, 0xE0, 5, 36050},
	{77877, 0x1F00, 21, 36029},
	{77893, 0x1F0000, 21, 36029},
	{77317, 0xE00000, 5, 36050},
	{77908, 0x1F000000, 21, 36029},
	{77924, 0x20000000},
	{9882, 0x40000000},
	{77945, 0x80000000},
	/* 1117 */
	{77958, 0x7},
	/* 1118 */
	{11609, 0xFFFF},
	/* 1119 */
	{11609, 0xFFFFFFFF},
	/* 1120 */
	{78049, 0x3, 4, 36055},
	{78095, 0xC, 2, 36059},
	{78106, 0x10},
	{78121, 0x20},
	{78129, 0x40},
	{78140, 0x80},
	{78154, 0x100},
	{78171, 0xE0000000},
	/* 1128 */
	{78184, 0xFFFFFFF},
	/* 1129 */
	{78196, 0x3FF},
	/* 1130 */
	{78219, 0x1},
	{69170, 0x2},
	{78234, 0x4},
	{78249, 0x8},
	{70065, 0x70, 8, 3087},
	{78269, 0x80},
	{78285, 0x700, 8, 3087},
	{78297, 0x700000, 8, 3087},
	{78312, 0x40000000},
	{78346, 0x80000000},
	/* 1140 */
	{78381, 0x7},
	{78400, 0x70},
	{78416, 0x700},
	{78440, 0x7000},
	{78466, 0x10000},
	{78493, 0x20000},
	{78515, 0x40000},
	{78534, 0x80000},
	{78552, 0x100000},
	{78579, 0x200000},
	{78606, 0x7000000},
	{78631, 0x8000000},
	/* 1152 */
	{78662, 0x1},
	{78680, 0x8},
	{982, 0x70, 8, 36061},
	{77953, 0xFF0000, 256, 36069},
	/* 1156 */
	{79100, 0x1},
	{79116, 0x2},
	{79147, 0x4},
	{69228, 0x30, 4, 36325},
	{79226, 0x40},
	{79238, 0x80},
	{79262, 0x100},
	{79281, 0x200},
	{79299, 0x400},
	{79312, 0x800},
	{79334, 0x1000},
	{79424, 0x6000, 4, 36329},
	{79446, 0x8000},
	{79464, 0x10000},
	{79495, 0x20000},
	{79514, 0x700000},
	{79539, 0x800000},
	/* 1173 */
	{79572, 0x1},
	{79582, 0x2},
	{79592, 0x4},
	{79602, 0x8},
	{79612, 0x10},
	{79622, 0x20},
	{79632, 0x2000},
	{79651, 0xC000},
	{79663, 0x10000},
	{79676, 0x20000},
	{79694, 0x40000},
	{79717, 0x80000},
	{79735, 0x100000},
	{79755, 0x200000},
	{79767, 0x400000},
	{79789, 0x1000000},
	{79813, 0x2000000},
	{79839, 0x4000000},
	{79858, 0x8000000},
	{79876, 0x10000000},
	/* 1193 */
	{79896, 0x1},
	{79907, 0x2},
	{19176, 0x4},
	{79927, 0x18, 2, 36333},
	{79993, 0xE0, 3, 36335},
	{80014, 0x700, 3, 36335},
	{80034, 0x800},
	{80059, 0x1000},
	{80083, 0x2000},
	{80107, 0x10000},
	{80132, 0x80000},
	{80151, 0x100000},
	{80166, 0x200000},
	{80184, 0x400000},
	{80222, 0x800000},
	{80245, 0x1000000},
	/* 1209 */
	{80266, 0x1},
	{80284, 0x2},
	{80303, 0x4},
	{80321, 0x8},
	{80340, 0x10},
	{80358, 0x20},
	{80377, 0x100},
	{80388, 0x200},
	{80398, 0x400},
	{80409, 0x800},
	/* 1219 */
	{80425, 0x1},
	{80441, 0x2},
	{80457, 0x4},
	{80473, 0x8},
	{80489, 0x10},
	{80505, 0x20},
	{80521, 0x40},
	{80537, 0x80},
	{80553, 0x100},
	{80569, 0x200},
	{80585, 0x400},
	{80601, 0x800},
	{80617, 0x1000},
	{80633, 0x2000},
	{80649, 0x4000},
	{80665, 0x8000},
	{80681, 0x10000},
	{80700, 0x20000},
	{80718, 0x40000},
	{80745, 0x80000},
	{80767, 0x100000},
	{80785, 0x200000},
	{80805, 0x400000},
	{80828, 0x800000},
	{80851, 0x1000000},
	{80876, 0x2000000},
	{80896, 0x4000000},
	{80919, 0x8000000},
	/* 1247 */
	{80938, 0x1},
	{80957, 0x2},
	{80975, 0x4},
	{80993, 0x8},
	{81011, 0x10},
	{81029, 0x20},
	{81046, 0x40},
	{81063, 0x80},
	{81084, 0x100},
	{81101, 0x200},
	{81118, 0x400},
	{81134, 0x800},
	{81150, 0x1000},
	{81166, 0x2000},
	{81182, 0x4000},
	{81207, 0x100000},
	/* 1263 */
	{81227, 0x3},
	{81246, 0x4},
	{81265, 0x8},
	{81282, 0x10},
	/* 1267 */
	{18112, 0xFFFFFFFF},
	/* 1268 */
	{81297, 0x1},
	{81321, 0x2},
	{81341, 0x4},
	{81362, 0x8},
	{81387, 0x10},
	{81407, 0x20},
	{81423, 0x40},
	{81440, 0x80},
	{81461, 0xFF00},
	{81482, 0x40000000},
	{81503, 0x80000000},
	/* 1279 */
	{81525, 0x1},
	{81297, 0x2},
	{81321, 0x4},
	{81341, 0x8},
	{81362, 0x10},
	{81550, 0x20},
	{81563, 0x40},
	/* 1286 */
	{81592, 0x1},
	{81603, 0x2},
	/* 1288 */
	{81621, 0x1},
	{81638, 0x2},
	/* 1290 */
	{81662, 0x1},
	{81687, 0x2},
	{81708, 0x4},
	{81730, 0x8},
	{81756, 0x10},
	/* 1295 */
	{81773, 0x1E},
	{81785, 0xE0},
	{81799, 0xF00},
	{81815, 0x70000},
	{81826, 0x780000},
	/* 1300 */
	{81839, 0xFFFFFFFF},
	/* 1301 */
	{66575, 0xFFFF},
	{66468, 0xFFFF0000},
	/* 1303 */
	{81855, 0xFFFF},
	{18849, 0xFFFF0000},
	/* 1305 */
	{66468, 0xFFFF},
	/* 1306 */
	{81864, 0xFFFF},
	{81877, 0xFF0000},
	{81890, 0x10000000},
	{81908, 0x60000000},
	/* 1310 */
	{81924, 0x7},
	/* 1311 */
	{81936, 0x3},
	/* 1312 */
	{81946, 0xFFFFFFFF},
	/* 1313 */
	{81955, 0xFFFFFFFF},
	/* 1314 */
	{18442, 0xFF},
	/* 1315 */
	{18464, 0x1F, 22, 36338},
	{82313, 0x4000},
	{82326, 0x8000},
	{82339, 0x70000},
	/* 1319 */
	{18484, 0xF},
	/* 1320 */
	{18490, 0xF},
	/* 1321 */
	{82350, 0x1},
	{82360, 0x2},
	{82370, 0x4},
	{82380, 0x8},
	{19675, 0xFF00},
	{82390, 0xFF0000},
	/* 1327 */
	{82396, 0xF},
	{13837, 0xF0},
	{82403, 0xF00},
	{70905, 0xF000},
	{82410, 0xF0000},
	{82417, 0xF00000},
	{82426, 0xF000000},
	{11769, 0xF0000000},
	/* 1335 */
	{982, 0x7, 6, 36360},
	{82506, 0x8},
	{82562, 0x30, 4, 36366},
	{82571, 0x7C0},
	{82582, 0x800},
	{82595, 0x1000},
	{82606, 0x2000},
	{82618, 0x4000},
	{82631, 0x8000},
	{82649, 0x10000},
	{82665, 0x20000},
	{82684, 0x40000},
	{82698, 0x80000},
	{82716, 0x100000},
	{82734, 0x600000},
	/* 1350 */
	{82741, 0x7FF},
	{82761, 0x3FF800},
	{82781, 0xFFC00000},
	/* 1353 */
	{82805, 0x1},
	{82817, 0x2},
	{82838, 0x4},
	{82858, 0x8},
	{82883, 0x10},
	{82904, 0x20},
	{82927, 0x40},
	/* 1360 */
	{82957, 0x1},
	{82967, 0x2},
	{82982, 0x4},
	{83007, 0x8},
	{83025, 0x70},
	{83041, 0x80},
	{83046, 0x100},
	{83069, 0x200},
	{83088, 0x400},
	{83110, 0x800},
	{83126, 0x1000},
	{83142, 0x2000},
	{83158, 0x4000},
	{83177, 0x8000},
	{83203, 0x10000},
	{83218, 0x20000},
	{83258, 0x40000},
	{83285, 0x80000},
	{83308, 0xF00000},
	{83324, 0x1000000},
	{83354, 0x2000000},
	{83378, 0x4000000},
	{83399, 0x8000000},
	{83429, 0x70000000},
	/* 1384 */
	{83453, 0xFFFFFFFF},
	/* 1385 */
	{18689, 0x7FF},
	/* 1386 */
	{18703, 0x7FF},
	/* 1387 */
	{18717, 0xF},
	/* 1388 */
	{754, 0x7FFF},
	/* 1389 */
	{83458, 0x3F, 4, 36370},
	{83471, 0x3F00, 4, 36370},
	{83486, 0x3F0000, 4, 36370},
	{83501, 0xFC00000, 4, 36370},
	{83516, 0x80000000},
	/* 1394 */
	{28597, 0xFFFFFFFF},
	/* 1395 */
	{18849, 0xFFFFFFFF},
	/* 1396 */
	{203, 0x3, 3, 36374},
	{83653, 0xC, 4, 36377},
	{83733, 0x30, 4, 36381},
	{83793, 0xC0, 3, 36385},
	{83806, 0x100},
	{78121, 0x200},
	{83810, 0x400},
	{83819, 0x3800},
	/* 1404 */
	{18892, 0x1},
	{83825, 0x2},
	{83846, 0x4},
	/* 1407 */
	{266, 0xFFFFFFFF},
	/* 1408 */
	{29032, 0xFFFFFFFF},
	/* 1409 */
	{85029, 0x3F, 64, 36388},
	{60415, 0x7FFFC00},
	{85040, 0x8000000},
	/* 1412 */
	{18989, 0x1},
	{85055, 0x2},
	/* 1414 */
	{85070, 0x1},
	{85084, 0x2},
	{85100, 0x4},
	{85118, 0x8},
	{85134, 0x10},
	/* 1419 */
	{85145, 0xFFFFFFFF},
	/* 1420 */
	{85155, 0xFFFF},
	{85170, 0x10000},
	{85189, 0x20000},
	{85203, 0x40000},
	{85222, 0x80000},
	{85236, 0x100000},
	/* 1426 */
	{19103, 0x7FFF},
	/* 1427 */
	{19139, 0x1},
	/* 1428 */
	{19153, 0x1},
	/* 1429 */
	{70469, 0x1},
	{85253, 0x2},
	{85264, 0x4},
	{85281, 0x8},
	{85298, 0x3F0},
	{85315, 0xFC00},
	{85332, 0x10000},
	{85356, 0x20000},
	{67116, 0x40000},
	/* 1438 */
	{85373, 0x7, 8, 3087},
	{85386, 0xFF0},
	{85400, 0xFF000},
	{69189, 0x1000000},
	/* 1442 */
	{85413, 0x7, 8, 3087},
	{85426, 0xFF0},
	{85440, 0xFF000},
	{69207, 0x1000000},
	/* 1446 */
	{9758, 0xFF},
	{9774, 0xFF00},
	{85453, 0xFF0000},
	{85459, 0xFF000000},
	/* 1450 */
	{19675, 0x3FF},
	/* 1451 */
	{754, 0xFFFFFFFF},
	/* 1452 */
	{19668, 0x1FF},
	/* 1453 */
	{19689, 0x7FF},
	/* 1454 */
	{85465, 0x1FF},
	{85481, 0x3FE00},
	/* 1456 */
	{85497, 0xFF},
	{85511, 0xFF00},
	{85521, 0xFF0000},
	{85532, 0x1F000000},
	{85544, 0xE0000000},
	/* 1461 */
	{85604, 0x3, 4, 36452},
	{85635, 0x4, 2, 36456},
	{19758, 0x18, 4, 36458},
	{85717, 0x20, 2, 36462},
	{85782, 0xC0, 4, 36464},
	{85788, 0x100},
	{67974, 0x200},
	{85799, 0x400},
	{85819, 0x800},
	{85839, 0x1000},
	{85853, 0x2000},
	{85864, 0x4000},
	{85880, 0x78000},
	{85900, 0x180000},
	{85915, 0x200000},
	{85925, 0x400000},
	{85935, 0x800000},
	{85945, 0x1000000},
	{85960, 0x2000000},
	/* 1480 */
	{85980, 0xFF},
	{85992, 0x3F00},
	{86008, 0xFC000},
	/* 1483 */
	{209, 0x3, 3, 36468},
	{86114, 0x1C, 4, 36471},
	{86191, 0xE0, 4, 36475},
	{86200, 0x100},
	{86220, 0x200},
	{86231, 0x3C00},
	{86253, 0x4000},
	{83793, 0x18000, 3, 36385},
	{86287, 0x60000, 4, 36479},
	{86346, 0x80000, 3, 36483},
	{86398, 0x100000, 3, 36486},
	{83819, 0x3800000},
	/* 1495 */
	{86410, 0x1},
	{86431, 0x300},
	{86453, 0xC00},
	{86475, 0x3000},
	{86497, 0xC000},
	{86519, 0x10000},
	/* 1501 */
	{86532, 0xFFFFFFFF},
	/* 1502 */
	{86544, 0xFF},
	{86572, 0x100},
	/* 1504 */
	{19973, 0xFFFFFFFF},
	/* 1505 */
	{14067, 0xFFFFFFFF},
	/* 1506 */
	{9882, 0x1},
	{20115, 0x1FC},
	{86600, 0x80000000},
	/* 1509 */
	{86632, 0x1},
	{86647, 0x2},
	{86662, 0x4},
	{86677, 0x8},
	{86692, 0x70},
	{86704, 0x80},
	{86724, 0xF00},
	{86741, 0x80000000},
	/* 1517 */
	{86762, 0xF},
	{86781, 0xF0},
	{86800, 0xF00},
	{86819, 0xF000},
	/* 1521 */
	{86838, 0xF},
	{86849, 0xF0},
	{86860, 0xF00},
	{86871, 0xF000},
	{86882, 0xF0000},
	{86893, 0xF00000},
	{86904, 0xF000000},
	{86915, 0xF0000000},
	/* 1529 */
	{86926, 0xF},
	{86937, 0xF0},
	{86948, 0xF00},
	{86960, 0xF000},
	{86972, 0xF0000},
	{86984, 0xF00000},
	{86996, 0xF000000},
	{87008, 0xF0000000},
	/* 1537 */
	{87020, 0x200},
	{87038, 0x400},
	{87049, 0x800},
	{87074, 0x1000},
	{87096, 0x2000},
	/* 1542 */
	{87118, 0x7},
	{87135, 0x10},
	{87157, 0x1E000},
	{87173, 0x700000},
	{87194, 0x3000000},
	{87274, 0xC000000, 4, 36489},
	/* 1548 */
	{87300, 0x1},
	{87361, 0x6, 4, 36493},
	{87577, 0x38, 8, 36497},
	/* 1551 */
	{87588, 0xF},
	{87593, 0xF0},
	{87598, 0xF00},
	{87603, 0xF000},
	{87608, 0xF0000},
	{87613, 0xF00000},
	{87618, 0xF000000},
	{87623, 0xF0000000},
	/* 1559 */
	{87628, 0xF},
	{87633, 0xF0},
	{87638, 0xF00},
	{87643, 0xF000},
	{87648, 0xF0000},
	{87653, 0xF00000},
	{87658, 0xF000000},
	{87663, 0xF0000000},
	/* 1567 */
	{87668, 0xF},
	{87673, 0xF0},
	{87678, 0xF00},
	{87683, 0xF000},
	{87688, 0xF0000},
	{87694, 0xF00000},
	{87700, 0xF000000},
	{87706, 0xF0000000},
	/* 1575 */
	{87712, 0xF},
	{87718, 0xF0},
	{87724, 0xF00},
	{87730, 0xF000},
	{87736, 0xF0000},
	{87742, 0xF00000},
	{87748, 0xF000000},
	{87754, 0xF0000000},
	/* 1583 */
	{87760, 0xFFFF},
	{87773, 0xFFFF0000},
	/* 1585 */
	{87786, 0xFFFF},
	{87799, 0xFFFF0000},
	/* 1587 */
	{87812, 0x3},
	{67439, 0x4},
	{67461, 0x8},
	{87841, 0x60},
	/* 1591 */
	{87954, 0x3, 4, 36505},
	{87967, 0x4},
	{87978, 0x8},
	{88087, 0x70, 5, 36509},
	{88105, 0x380, 5, 36509},
	{88123, 0x1C00},
	{88146, 0x3E000},
	{88172, 0x40000},
	{88194, 0x7F80000},
	{88210, 0x8000000},
	{88232, 0x10000000},
	{88319, 0x60000000, 3, 36514},
	/* 1603 */
	{88336, 0xFFFF},
	{88352, 0xFFFF0000},
	/* 1605 */
	{88371, 0x1},
	{88388, 0x1E},
	{88412, 0x20},
	{88430, 0x3C0},
	{88455, 0x400},
	{88485, 0x800},
	{88500, 0x1000},
	{88515, 0x2000},
	{88550, 0x4000},
	{88586, 0x8000},
	{88676, 0x30000, 3, 36517},
	{88700, 0x40000},
	{88736, 0x80000},
	{88772, 0x100000},
	{88798, 0x200000},
	{88822, 0x400000},
	{88842, 0x800000},
	{88863, 0x1000000},
	{88888, 0x6000000},
	{88912, 0x18000000},
	/* 1625 */
	{88940, 0x7FF},
	{88961, 0xFF0000},
	/* 1627 */
	{88979, 0xFF},
	/* 1628 */
	{88995, 0x7F},
	/* 1629 */
	{89008, 0x7FF},
	{89017, 0x7FF00000},
	/* 1631 */
	{89008, 0x3FFFFF},
	/* 1632 */
	{69024, 0x1FFF},
	{69051, 0x3FFE000},
	{89032, 0x3C000000},
	/* 1635 */
	{89093, 0x3, 4, 36520},
	{17302, 0x7C, 32, 36524},
	{65211, 0x80},
	{89691, 0x700, 8, 36556},
	{89747, 0x1800, 4, 36564},
	{78729, 0x2000},
	{69644, 0x4000},
	{89757, 0x8000},
	{89769, 0x10000},
	{89782, 0x20000},
	{87361, 0x40000},
	{89795, 0x80000},
	{90022, 0x700000, 8, 36568},
	{90044, 0x3800000, 8, 36568},
	{90068, 0x4000000},
	{90094, 0x8000000},
	{90120, 0x10000000},
	{90188, 0x60000000, 3, 36576},
	{90204, 0x80000000},
	/* 1654 */
	{90218, 0x1F},
	{90234, 0x3E0},
	{90256, 0xC00},
	{70366, 0x7000},
	{90274, 0x18000},
	{90288, 0x20000},
	{90306, 0x40000},
	{90332, 0x80000},
	/* 1662 */
	{73749, 0x1},
	{90362, 0x2},
	{67057, 0xC, 3, 36579},
	{90476, 0x10, 2, 36582},
	{67085, 0x60},
	{67182, 0x180},
	{90502, 0x200},
	{90525, 0x3C00},
	{90545, 0x3C000},
	{73865, 0x40000},
	{90567, 0x80000},
	{90600, 0x100000},
	/* 1674 */
	{89008, 0x3FFF},
	/* 1675 */
	{21341, 0xFFFFFFFF},
	/* 1676 */
	{21363, 0xFFFFFFFF},
	/* 1677 */
	{70177, 0xFF},
	/* 1678 */
	{90624, 0x3FFF},
	{90636, 0xFFFC000},
	{66957, 0xF0000000},
	/* 1681 */
	{90647, 0x1FFF},
	{90658, 0x2000},
	{90670, 0x7C000},
	{90684, 0xF80000},
	{90698, 0x3000000},
	{90712, 0x4000000},
	{64442, 0x38000000},
	{90731, 0x40000000},
	/* 1689 */
	{9965, 0xFFFFFFFC},
	/* 1690 */
	{9994, 0xFFFF},
	/* 1691 */
	{24255, 0xFFFFFFFF},
	/* 1692 */
	{24275, 0xFFFFFFFF},
	/* 1693 */
	{24290, 0xFFFFFFFF},
	/* 1694 */
	{24311, 0xFFFFFFFF},
	/* 1695 */
	{24328, 0xFFFFFFFC},
	/* 1696 */
	{24350, 0xFFFF},
	/* 1697 */
	{90748, 0xFFFFFFFF},
	/* 1698 */
	{90773, 0xFFFFFFFF},
	/* 1699 */
	{90798, 0xFFFFFFFF},
	/* 1700 */
	{90822, 0xFFFFFFFF},
	/* 1701 */
	{90846, 0xFFFFFFFF},
	/* 1702 */
	{90871, 0xFFFFFFFF},
	/* 1703 */
	{90896, 0xFFFFFFFF},
	/* 1704 */
	{90920, 0xFFFFFFFF},
	/* 1705 */
	{90944, 0xFFFFFFFF},
	/* 1706 */
	{90969, 0xFFFFFFFF},
	/* 1707 */
	{90994, 0xFFFFFFFF},
	/* 1708 */
	{91018, 0xFFFFFFFF},
	/* 1709 */
	{91042, 0xFFFFFFFF},
	/* 1710 */
	{91067, 0xFFFFFFFF},
	/* 1711 */
	{91092, 0xFFFFFFFF},
	/* 1712 */
	{91116, 0xFFFFFFFF},
	/* 1713 */
	{24844, 0xFFFFFFFC},
	/* 1714 */
	{24866, 0xFFFF},
	/* 1715 */
	{24892, 0xFFFFFFFF},
	/* 1716 */
	{24915, 0xFFFFFFFF},
	/* 1717 */
	{24938, 0xFFFFFFFF},
	/* 1718 */
	{24961, 0xFFFFFFFF},
	/* 1719 */
	{24984, 0xFFFFFFFF},
	/* 1720 */
	{25007, 0xFFFFFFFF},
	/* 1721 */
	{25030, 0xFFFFFFFF},
	/* 1722 */
	{25054, 0xFFFFFFFF},
	/* 1723 */
	{25078, 0xFFFFFFFF},
	/* 1724 */
	{25102, 0xFFFFFFFF},
	/* 1725 */
	{25126, 0xFFFFFFFF},
	/* 1726 */
	{25150, 0xFFFFFFFF},
	/* 1727 */
	{25174, 0xFFFFFFFF},
	/* 1728 */
	{25198, 0xFFFFFFFF},
	/* 1729 */
	{25221, 0xFFFFFFFF},
	/* 1730 */
	{25243, 0xFFFFFFFF},
	/* 1731 */
	{25265, 0xFFFFFFFF},
	/* 1732 */
	{25286, 0xFFFFFFFF},
	/* 1733 */
	{25307, 0xFFFFFFFF},
	/* 1734 */
	{25331, 0xFFFFFFFF},
	/* 1735 */
	{91140, 0xFFFFFFFF},
	/* 1736 */
	{25404, 0xFFFFFFFF},
	/* 1737 */
	{25428, 0xFFFFFFFF},
	/* 1738 */
	{91149, 0xFFFFFFC},
	/* 1739 */
	{91165, 0x6000000},
	/* 1740 */
	{91178, 0x1},
	/* 1741 */
	{25565, 0xFFFFFFFF},
	/* 1742 */
	{25578, 0xFFFFFFFF},
	/* 1743 */
	{25591, 0xFFFFFFFF},
	/* 1744 */
	{25604, 0xFFFFFFFF},
	/* 1745 */
	{25617, 0xFFFFFFFF},
	/* 1746 */
	{25630, 0xFFFFFFFF},
	/* 1747 */
	{25643, 0xFFFFFFFF},
	/* 1748 */
	{25656, 0xFFFFFFFF},
	/* 1749 */
	{91197, 0xFFFFFFFF},
	/* 1750 */
	{91208, 0xFF},
	{91222, 0x30000},
	/* 1752 */
	{91236, 0xFFFFFFFF},
	/* 1753 */
	{25816, 0xFFFFFFFF},
	/* 1754 */
	{25839, 0xFFFFFFFF},
	/* 1755 */
	{25862, 0xFFFFFFFF},
	/* 1756 */
	{25890, 0xFFFFFFFF},
	/* 1757 */
	{25918, 0xFFFFFFFF},
	/* 1758 */
	{25946, 0xFFFFFFFF},
	/* 1759 */
	{91250, 0xFFFFFFFC},
	/* 1760 */
	{91262, 0xFFFF},
	{91274, 0x10000},
	{91165, 0x6000000},
	{26653, 0xE0000000},
	/* 1764 */
	{26203, 0xFFFFFFFC},
	/* 1765 */
	{26221, 0xFFFF},
	{91165, 0xC00000},
	/* 1767 */
	{26239, 0xFFFFFFFF},
	/* 1768 */
	{26257, 0xFFFFFFFF},
	/* 1769 */
	{26275, 0xFFFFFFFC},
	/* 1770 */
	{26293, 0xFFFF},
	{91165, 0xC00000},
	/* 1772 */
	{26311, 0xFFFFFFFF},
	/* 1773 */
	{91284, 0x3},
	{26333, 0xFFFFFFF8},
	/* 1775 */
	{26352, 0xFFFF},
	{91298, 0x10000},
	{91314, 0x100000},
	{91330, 0x3000000},
	{91346, 0xE0000000},
	/* 1780 */
	{26367, 0xFFFFFFFF},
	/* 1781 */
	{91357, 0x400},
	{91370, 0x6000},
	{91387, 0x8000},
	{91399, 0x300000},
	{91410, 0x6000000},
	{91427, 0x8000000},
	{91439, 0x60000000},
	/* 1788 */
	{91450, 0xFF},
	/* 1789 */
	{91469, 0x3F},
	/* 1790 */
	{91487, 0x8},
	{91504, 0x10},
	{91521, 0x20},
	{91548, 0x8000},
	{91568, 0x40000},
	{91585, 0x400000},
	{91601, 0x800000},
	{91615, 0x2000000},
	{91629, 0x4000000},
	{91643, 0x8000000},
	{91664, 0x10000000},
	{91689, 0x20000000},
	{91710, 0x40000000},
	/* 1803 */
	{91734, 0xFFFFFFFF},
	/* 1804 */
	{91750, 0xFFFFFFFF},
	/* 1805 */
	{91766, 0x3000000},
	{995, 0x80000000},
	/* 1807 */
	{26571, 0xFFFFFFFF},
	/* 1808 */
	{26590, 0xFFFF},
	/* 1809 */
	{26612, 0xFFFFFFFF},
	/* 1810 */
	{26631, 0xFFFF},
	/* 1811 */
	{91771, 0x3FFFFFF},
	{91782, 0x4000000},
	{91786, 0x8000000},
	{91790, 0x10000000},
	{91795, 0x20000000},
	{91800, 0x40000000},
	{91809, 0x80000000},
	/* 1818 */
	{91816, 0x1},
	{91836, 0x2},
	{91850, 0x30},
	{91862, 0x1FF0000},
	{91875, 0x10000000},
	{91890, 0x20000000},
	{91904, 0xC0000000},
	/* 1825 */
	{91914, 0x3FFFFFF},
	{91927, 0x10000000},
	/* 1827 */
	{91946, 0xFF},
	/* 1828 */
	{91965, 0xFF},
	/* 1829 */
	{91971, 0x1},
	{91985, 0x2},
	{91997, 0x10000},
	{92011, 0x1000000},
	/* 1833 */
	{1872, 0xFF},
	{59307, 0x80000000},
	/* 1835 */
	{26886, 0xFFFFF},
	/* 1836 */
	{26899, 0xFFFFF},
	/* 1837 */
	{26913, 0xFFFFF},
	/* 1838 */
	{26927, 0xFFFFF},
	/* 1839 */
	{26949, 0xFFFFF},
	/* 1840 */
	{26969, 0xFFFFF},
	/* 1841 */
	{26991, 0xFFFFF},
	/* 1842 */
	{92024, 0xFFFFFFFF},
	/* 1843 */
	{92043, 0x3},
	{9965, 0xFFFFFFFC},
	/* 1845 */
	{9994, 0xFFFF},
	{92043, 0xFFFF0000},
	/* 1847 */
	{92048, 0xFFF},
	/* 1848 */
	{92063, 0xFFFFF},
	/* 1849 */
	{92077, 0xFFFFF},
	/* 1850 */
	{92091, 0xFFFFF},
	/* 1851 */
	{27307, 0xFFFFFFE0},
	/* 1852 */
	{27326, 0xFFFF},
	/* 1853 */
	{27345, 0xFFF},
	/* 1854 */
	{27362, 0xFFFFFFFC},
	/* 1855 */
	{27380, 0xFFFF},
	/* 1856 */
	{27398, 0xFFFFF},
	/* 1857 */
	{27414, 0xFFFFFFFC},
	/* 1858 */
	{27432, 0xFFFF},
	/* 1859 */
	{27450, 0xFFFFF},
	/* 1860 */
	{27549, 0xFFFFFFFC},
	/* 1861 */
	{27563, 0xFFFF},
	/* 1862 */
	{27577, 0xFFFFF},
	/* 1863 */
	{42936, 0xFFF000},
	{91165, 0x6000000},
	{92104, 0x8000000},
	{92117, 0x10000000},
	/* 1867 */
	{92125, 0x30000},
	{92133, 0x7000000},
	{92141, 0xE0000000},
	/* 1870 */
	{27643, 0xFFFFFFFF},
	/* 1871 */
	{27654, 0xFFFFFFFC},
	/* 1872 */
	{27668, 0xFFFF},
	/* 1873 */
	{27682, 0xFFFFF},
	/* 1874 */
	{92150, 0xFFFFF},
	/* 1875 */
	{995, 0x3},
	/* 1876 */
	{27832, 0x1},
	/* 1877 */
	{9965, 0xFFFFFFFF},
	/* 1878 */
	{92163, 0x1},
	{92177, 0x2},
	{92194, 0x4},
	{92210, 0x8},
	{92225, 0x10},
	{92244, 0x20},
	{92262, 0x40},
	{92283, 0x80},
	/* 1886 */
	{92304, 0x1},
	{92320, 0x2},
	{92336, 0x40},
	{92354, 0x80},
	{92372, 0x100},
	{92390, 0x200},
	{92408, 0x400},
	{92426, 0x800},
	{92444, 0x1000},
	{92462, 0x2000},
	{92480, 0x4000},
	{92497, 0x80000},
	{92513, 0x200000},
	/* 1899 */
	{92529, 0xFF},
	{995, 0x80000000},
	/* 1901 */
	{92547, 0xF},
	{92559, 0xF0},
	{92568, 0xF00},
	{92577, 0xF000},
	{92587, 0x30000},
	{55886, 0xC0000},
	{9882, 0x100000},
	{10365, 0xFFE00000},
	/* 1909 */
	{92597, 0xFF},
	{92568, 0xFF00},
	{92559, 0xFF0000},
	{92612, 0x20000000},
	{92632, 0x40000000},
	{92658, 0x80000000},
	/* 1915 */
	{92678, 0xFFFFFFFF},
	/* 1916 */
	{18464, 0x3F, 22, 36338},
	/* 1917 */
	{38, 0xFFFF},
	/* 1918 */
	{92687, 0x1FF},
	{92753, 0x600, 4, 36584},
	/* 1920 */
	{8, 0xFFFFFFFF},
	/* 1921 */
	{28703, 0xFFFFFFFF},
	/* 1922 */
	{85155, 0xFFFF},
	{85170, 0x10000},
	{85189, 0x20000},
	{85203, 0x40000},
	{85222, 0x80000},
	{85236, 0x100000},
	{92773, 0x200000},
	{92791, 0x400000},
	{92807, 0x800000},
	/* 1931 */
	{28877, 0xFFFFFFFF},
	/* 1932 */
	{92819, 0x1FF},
	{92833, 0x3FE00},
	{92847, 0x40000},
	{92865, 0x80000},
	/* 1936 */
	{92882, 0x7},
	{92891, 0x78},
	{92900, 0x100},
	/* 1939 */
	{92910, 0x1},
	{92921, 0x7FE},
	/* 1941 */
	{92934, 0x1},
	{92948, 0x2},
	{92962, 0x4},
	/* 1944 */
	{29019, 0xFFFFFF},
	/* 1945 */
	{92976, 0xF},
	{92988, 0xFF00},
	/* 1947 */
	{445, 0xFFFF},
	{91, 0xFFFF0000},
	/* 1949 */
	{93002, 0x1},
	{93023, 0x2},
	/* 1951 */
	{93051, 0x3FFF},
	/* 1952 */
	{93059, 0x3FFF},
	/* 1953 */
	{1859, 0xFFFF},
	/* 1954 */
	{93067, 0x1},
	{93079, 0x2},
	{93091, 0x4},
	{29794, 0x8},
	{68254, 0x10},
	{30219, 0x10000},
	{93102, 0x60000},
	/* 1961 */
	{93115, 0x1},
	{69575, 0x2},
	/* 1963 */
	{30042, 0xFFFFFFFF},
	/* 1964 */
	{24922, 0x7FFFFFFF},
	/* 1965 */
	{93119, 0xFFFFFFFF},
	/* 1966 */
	{93129, 0xFFFFFFFF},
	/* 1967 */
	{30101, 0xFFFFFFFF},
	/* 1968 */
	{30119, 0xFFFFFFFF},
	/* 1969 */
	{30138, 0xFFFFFFFF},
	/* 1970 */
	{93139, 0xFFFFFFFF},
	/* 1971 */
	{385, 0xFFFFFFFF},
	/* 1972 */
	{30213, 0xFFFFFFFF},
	/* 1973 */
	{93150, 0x3F},
	{93155, 0xC0},
	{93163, 0x300},
	{93169, 0xFFFFFC00},
	/* 1977 */
	{30219, 0x1},
	{55886, 0xFFFFFFFE},
	/* 1979 */
	{8, 0xFFFF},
	{55886, 0xFFFF0000},
	/* 1981 */
	{38, 0xFFFF},
	{55886, 0xFFFF0000},
	/* 1983 */
	{30297, 0xFF},
	{55886, 0xFFFFFF00},
	/* 1985 */
	{30314, 0xFF},
	{55886, 0xFFFFFF00},
	/* 1987 */
	{30331, 0xFFFFFFFF},
	/* 1988 */
	{1, 0xFF},
	{55886, 0xFFFFFF00},
	/* 1990 */
	{441, 0x3F},
	{55886, 0xFFFFFFC0},
	/* 1992 */
	{80713, 0x1},
	{858, 0x1FFE},
	{209, 0x2000},
	{88655, 0x4000},
	{93177, 0x8000},
	{93189, 0x7FF0000},
	{93200, 0x8000000},
	{93211, 0x10000000},
	{93221, 0x20000000},
	{93155, 0xC0000000},
	/* 2002 */
	{30518, 0xFFFF},
	{55886, 0xFFFF0000},
	/* 2004 */
	{441, 0xF},
	{55886, 0xFFFFFFF0},
	/* 2006 */
	{93228, 0xFFFFFFFF},
	/* 2007 */
	{93244, 0xFFFF},
	{93255, 0xF0000},
	{93268, 0xF00000},
	{55886, 0x3F000000},
	{93276, 0x40000000},
	{9882, 0x80000000},
	/* 2013 */
	{29032, 0x7FFFFFFF},
	{30580, 0x80000000},
	/* 2015 */
	{10206, 0xFFFFFFFF},
	/* 2016 */
	{10365, 0xFFFFFFFF},
	/* 2017 */
	{31102, 0xFFFFFFFF},
	/* 2018 */
	{31126, 0xFFFFFFFF},
	/* 2019 */
	{31126, 0xFFFF},
	/* 2020 */
	{31106, 0xFFFFFFFF},
	/* 2021 */
	{31130, 0xFFFF},
	{93285, 0xFFFF0000},
	/* 2023 */
	{93299, 0x3FF},
	{93308, 0xFFC00},
	{93318, 0xF00000},
	{93327, 0xF000000},
	{93338, 0xF0000000},
	/* 2028 */
	{93349, 0x3FF},
	{93359, 0xFFC00},
	{93369, 0xF000000},
	{93380, 0xF0000000},
	/* 2032 */
	{93600, 0xF, 6, 36588},
	{93835, 0xF0, 6, 36594},
	{94008, 0x300, 4, 36600},
	{94028, 0x400},
	/* 2036 */
	{441, 0x7},
	{70054, 0x40000000},
	{9882, 0x80000000},
	/* 2039 */
	{441, 0x1F},
	{70054, 0x40000000},
	{9882, 0x80000000},
	/* 2042 */
	{441, 0xF},
	{11232, 0x40000000},
	{9882, 0x80000000},
	/* 2045 */
	{441, 0x1F},
	{11232, 0x40000000},
	{9882, 0x80000000},
	/* 2048 */
	{36703, 0xFFFFFFFF},
	/* 2049 */
	{36741, 0xFFFFFFFF},
	/* 2050 */
	{36764, 0xFFFFFFFF},
	/* 2051 */
	{11197, 0xFFFF},
	{11217, 0xFFFF0000},
	/* 2053 */
	{94050, 0x1},
	{94077, 0x2},
	{94104, 0x4},
	{982, 0x100},
	/* 2057 */
	{93299, 0x3F},
	{94127, 0x400},
	{94154, 0x800},
	{94181, 0x2000},
	{94207, 0x4000},
	{94233, 0x10000},
	{94260, 0x20000},
	{94286, 0x40000},
	{94312, 0x80000},
	{94340, 0x100000},
	{94366, 0x200000},
	{94392, 0x400000},
	{94418, 0x1000000},
	{94445, 0x2000000},
	{94472, 0x4000000},
	{94499, 0x8000000},
	{94526, 0x10000000},
	{94552, 0x20000000},
	{94581, 0x40000000},
	{94607, 0x80000000},
	/* 2077 */
	{93299, 0x3F},
	{94127, 0x400},
	{94154, 0x800},
	{94181, 0x1000},
	{94207, 0x2000},
	{94233, 0x8000},
	{94260, 0x10000},
	{94340, 0x20000},
	{94366, 0x40000},
	{94286, 0x100000},
	{94445, 0x200000},
	{94607, 0x400000},
	{94634, 0x800000},
	{94499, 0x1000000},
	{94663, 0x2000000},
	/* 2092 */
	{94634, 0x2},
	{94692, 0x4},
	{94721, 0x8},
	{94749, 0x10},
	{94775, 0x20},
	{94801, 0x40},
	{94828, 0x80},
	{94663, 0x100},
	/* 2100 */
	{94855, 0x3FF},
	{93308, 0xFFC00},
	{94865, 0xF00000},
	{94875, 0xF000000},
	{94886, 0xF0000000},
	/* 2105 */
	{93349, 0x3FF},
	{93359, 0xFFC00},
	{94897, 0xF000000},
	{94908, 0xF0000000},
	/* 2109 */
	{94855, 0x3FF},
	{94919, 0xF0000000},
	/* 2111 */
	{93299, 0x3FF},
	{93308, 0xFFC00},
	{94865, 0xF00000},
	{94886, 0xF000000},
	{94919, 0xF0000000},
	/* 2116 */
	{93349, 0x3FF},
	{93359, 0xFFC00},
	{94908, 0xF000000},
	{94897, 0xF0000000},
	/* 2120 */
	{94929, 0xF},
	{94938, 0xF0},
	{94947, 0xF00},
	{94956, 0xF000},
	{94965, 0xF0000},
	{94974, 0xF00000},
	{94983, 0xF000000},
	{94992, 0xF0000000},
	/* 2128 */
	{93299, 0x1FF},
	{95001, 0xF000},
	{93318, 0xF00000},
	{94919, 0xF0000000},
	/* 2132 */
	{55927, 0x1},
	{85782, 0x2, 4, 36464},
	{85717, 0x4, 2, 36462},
	{19758, 0x8, 4, 36458},
	{85635, 0x10, 2, 36456},
	{85604, 0x20, 4, 36452},
	{95015, 0x40},
	{95021, 0x300},
	{95031, 0x2000},
	/* 2141 */
	{95045, 0x1},
	/* 2142 */
	{95054, 0x3},
	{95068, 0xC},
	{95082, 0x30},
	{95096, 0xC0},
	{95110, 0xF00},
	{95125, 0xF000},
	{95140, 0xF0000},
	{95155, 0xF00000},
	/* 2150 */
	{36871, 0x3FF},
	{95170, 0xFFC00},
	{94865, 0xF00000},
	/* 2153 */
	{95190, 0x3FF},
	{95210, 0xFFC00},
	/* 2155 */
	{93299, 0xFF},
	{93308, 0x3FC00},
	{94865, 0xF00000},
	{94886, 0xF000000},
	{94919, 0xF0000000},
	/* 2160 */
	{93349, 0xFF},
	{93359, 0x3FC00},
	{94908, 0xF000000},
	{94897, 0xF0000000},
	/* 2164 */
	{93299, 0xFF},
	{94865, 0xF00000},
	{94919, 0xF0000000},
	/* 2167 */
	{93299, 0x3FF},
	{94865, 0xF00000},
	{94919, 0xF0000000},
	/* 2170 */
	{95230, 0x1},
	{95465, 0xE, 6, 36604},
	{95479, 0x10},
	{95500, 0x3E0},
	{95518, 0x400},
	{95603, 0x800, 2, 36610},
	{95620, 0x1000},
	{95638, 0xE000},
	{95653, 0x20000},
	{95679, 0x1C0000},
	{95702, 0x200000},
	{95730, 0xC00000},
	/* 2182 */
	{93299, 0x1FF},
	{93308, 0x7FC00},
	{94865, 0xF00000},
	{94886, 0xF000000},
	{94919, 0xF0000000},
	/* 2187 */
	{93349, 0x1FF},
	{93359, 0x7FC00},
	{94908, 0xF000000},
	{94897, 0xF0000000},
	/* 2191 */
	{93299, 0x1FF},
	{94919, 0xF0000000},
	/* 2193 */
	{65621, 0xFFF},
	{95755, 0x3000},
	{10365, 0xC000},
	{95773, 0xFFFF0000},
	/* 2197 */
	{40144, 0xFFFFFFFF},
	/* 2198 */
	{40173, 0xFFFF},
	{10365, 0xFFFF0000},
	/* 2200 */
	{95797, 0xFFFFFFFF},
	/* 2201 */
	{40220, 0xFF},
	{65621, 0x700},
	{95812, 0xF800},
	{95828, 0x1F0000},
	{95841, 0x3E00000},
	{95854, 0x7C000000},
	{10365, 0x80000000},
	/* 2208 */
	{95867, 0xFFFFFFFF},
	/* 2209 */
	{95886, 0xFF},
	{10365, 0xFFFFFF00},
	/* 2211 */
	{95908, 0x1FF},
	{10365, 0xFFFFFE00},
	/* 2213 */
	{95925, 0xFFFFFFFF},
	/* 2214 */
	{95908, 0xFF},
	{10365, 0xFFFFFF00},
	/* 2216 */
	{40394, 0x7F},
	{10365, 0xFFFFFF80},
	/* 2218 */
	{40419, 0x7F},
	{10365, 0xFFFFFF80},
	/* 2220 */
	{40447, 0x7F},
	{10365, 0xFFFFFF80},
	/* 2222 */
	{40475, 0x7F},
	{10365, 0xFFFFFF80},
	/* 2224 */
	{40498, 0x7F},
	{10365, 0xFFFFFF80},
	/* 2226 */
	{95942, 0xFFFFFFFF},
	/* 2227 */
	{95964, 0x7F},
	{10365, 0xFFFFFF80},
	/* 2229 */
	{95969, 0xFFFFFFFF},
	/* 2230 */
	{10365, 0x1F},
	{95990, 0xFFFFFFE0},
	/* 2232 */
	{96009, 0x7F},
	{10365, 0xFFFFFF80},
	/* 2234 */
	{95964, 0xFFFFFFFF},
	/* 2235 */
	{96009, 0x1FF},
	{10365, 0xFFFFFE00},
	/* 2237 */
	{95964, 0xFF},
	{10365, 0xFFFFFF00},
	/* 2239 */
	{96014, 0xFF},
	{96035, 0x100},
	{96045, 0x200},
	{96053, 0x400},
	{96067, 0x800},
	{96078, 0x1000},
	{96097, 0x2000},
	{96121, 0x4000},
	{96135, 0x8000},
	{10365, 0xFFFF0000},
	/* 2249 */
	{96145, 0x1},
	{96169, 0x2},
	{96193, 0x4},
	{96210, 0x8},
	{96227, 0x10},
	{96246, 0x20},
	{96263, 0x3C0},
	{10365, 0xFFFFFC00},
	/* 2257 */
	{96278, 0x1},
	{96290, 0x2},
	{96302, 0x4},
	{96312, 0x8},
	{96333, 0x10},
	{96350, 0x20},
	{96367, 0x40},
	{10365, 0xFFFFFF80},
	/* 2265 */
	{96391, 0xFFFF},
	{10365, 0xFFFF0000},
	/* 2267 */
	{96401, 0xFF},
	{10365, 0xFFFFFF00},
	/* 2269 */
	{96418, 0x7FFFF},
	{10365, 0xFFF80000},
	/* 2271 */
	{95828, 0xFF},
	{95841, 0xFF00},
	{95854, 0xFF0000},
	{96433, 0xFF000000},
	/* 2275 */
	{40220, 0xFF},
	{95812, 0xFF00},
	{10365, 0xFFFF0000},
	/* 2278 */
	{96446, 0x1},
	/* 2279 */
	{96470, 0x1},
	/* 2280 */
	{93600, 0x7, 6, 36588},
	{94028, 0x400},
	/* 2282 */
	{36871, 0xFF},
	/* 2283 */
	{9882, 0x1},
	{96488, 0x2},
	{18945, 0x4},
	{10365, 0xFFFFFFF8},
	/* 2287 */
	{96500, 0xF},
	{96505, 0x30},
	{10365, 0xFFFFFFC0},
	/* 2290 */
	{96512, 0x1},
	/* 2291 */
	{96532, 0x3},
	{96556, 0xC},
	{96580, 0x30},
	{96595, 0xC0},
	{96619, 0x300},
	{96643, 0x3C00},
	{96660, 0x7C000},
	{96678, 0x1F80000},
	{96714, 0x2000000},
	{96730, 0x4000000},
	/* 2301 */
	{93299, 0xFF},
	{96748, 0xFF00},
	{94919, 0xF000000},
	{9882, 0x10000000},
	{11232, 0x20000000},
	/* 2306 */
	{96761, 0xF},
	{96781, 0xFF00},
	{96795, 0xFF0000},
	{96808, 0x1000000},
	{96819, 0x2000000},
	{96829, 0x4000000},
	/* 2312 */
	{93299, 0x1FF},
	{94919, 0xF000000},
	{96850, 0xF0000000},
	/* 2315 */
	{93299, 0x3FF},
	{96860, 0xF0000000},
	/* 2317 */
	{92125, 0xF00, 6, 36612},
	{96912, 0x10000},
	{96924, 0x100000},
	{96939, 0xC0000000, 4, 36618},
	/* 2321 */
	{96950, 0xFFFFF},
	{96958, 0x100000},
	{55142, 0x800000},
	/* 2324 */
	{42924, 0xFFFFFFFF},
	/* 2325 */
	{26590, 0xFFFF},
	{92125, 0x300000, 4, 36622},
	{96979, 0x8000000, 2, 36618},
	{97001, 0x60000000, 4, 36626},
	{97009, 0x80000000},
	/* 2330 */
	{42808, 0xFFFFFFFF},
	/* 2331 */
	{91771, 0x3FFFFFF},
	{91782, 0x4000000, 2, 36630},
	{91786, 0x8000000, 2, 36630},
	{91790, 0x10000000, 2, 36632},
	{91795, 0x20000000, 2, 36632},
	{91800, 0x40000000},
	{97047, 0x80000000},
	/* 2338 */
	{85029, 0x3F},
	{97066, 0xF00},
	{97078, 0x1000},
	{97085, 0x2000},
	{97093, 0x4000},
	{97101, 0x8000},
	{97109, 0x10000},
	{97132, 0x60000, 4, 36634},
	{97157, 0x80000},
	{97169, 0x100000},
	{97177, 0x200000},
	{97221, 0xC00000, 3, 36638},
	/* 2350 */
	{96979, 0x1, 2, 36618},
	{91370, 0x6000},
	{92125, 0x300000, 4, 36622},
	{91410, 0x6000000},
	{97001, 0x60000000, 4, 36626},
	{97009, 0x80000000},
	/* 2356 */
	{97266, 0x3, 4, 36641},
	{97282, 0xC, 4, 36645},
	{97078, 0x10},
	{97085, 0x20},
	{97307, 0x40},
	{97314, 0x80},
	{97093, 0x100},
	{97101, 0x200},
	{97109, 0x400},
	{97132, 0x1800, 4, 36634},
	{97157, 0x2000},
	{97169, 0x4000},
	{97177, 0x8000},
	{97221, 0x30000, 3, 36638},
	{97322, 0x40000},
	/* 2371 */
	{97334, 0xFFFFF},
	/* 2372 */
	{55457, 0x1FF, 257, 0},
	{55462, 0x400},
	{55470, 0x800},
	{55483, 0x7000},
	{55491, 0x8000},
	{55502, 0xF0000},
	{55513, 0xF00000},
	{55529, 0x1000000},
	{97344, 0x10000000},
	{55555, 0xE0000000},
	/* 2382 */
	{55714, 0xF},
	{55721, 0x70},
	{55729, 0x80},
	{55743, 0xF00},
	{55752, 0x7000},
	{55779, 0xC00000},
	{55789, 0x1000000},
	{55815, 0xFC000000},
	/* 2390 */
	{42998, 0xFFFFF},
	/* 2391 */
	{56029, 0xF},
	{56052, 0x10},
	{56075, 0x20},
	{56098, 0x40},
	{56118, 0x80},
	{56138, 0x100},
	{56158, 0x200},
	{56178, 0x400},
	{56198, 0x800},
	{56218, 0x1000},
	{56238, 0x2000},
	{56258, 0x4000},
	{56273, 0x8000},
	{56284, 0x10000},
	{56292, 0x20000},
	{56301, 0x40000},
	{97354, 0x80000},
	{56333, 0x100000},
	{56346, 0x200000},
	{56356, 0x400000},
	{56373, 0x800000},
	{97374, 0x1000000},
	{97391, 0x2000000},
	{56390, 0x4000000},
	{56399, 0x8000000},
	{56408, 0x10000000},
	{56417, 0x20000000},
	{56426, 0x40000000},
	{56435, 0x80000000},
	/* 2420 */
	{56446, 0xF},
	{56485, 0x80},
	{56508, 0x100},
	{56531, 0x200},
	{56550, 0x1000},
	{56559, 0x2000},
	{56568, 0x4000},
	{56576, 0x8000},
	{56585, 0x10000},
	{56600, 0x100000},
	{56608, 0x200000},
	{56616, 0x400000},
	{56625, 0x800000},
	{56634, 0x1000000},
	{56642, 0x2000000},
	{56650, 0x4000000},
	{56658, 0x10000000},
	{56400, 0x20000000},
	{56676, 0x40000000},
	{56684, 0x80000000},
	/* 2440 */
	{43012, 0xFFFF},
	/* 2441 */
	{59840, 0x7FF, 2049, 257},
	{97408, 0x1000},
	{60002, 0xFF0000, 129, 2306},
	{60014, 0x3000000},
	{97433, 0x1C000000},
	{60027, 0x80000000},
	/* 2447 */
	{982, 0x3},
	{60042, 0x4},
	{60051, 0x8},
	{60062, 0x10},
	{60075, 0x20},
	{49765, 0x1C0},
	{60089, 0x200},
	{60102, 0x400},
	{60115, 0x800},
	{60127, 0x1000},
	{60145, 0x2000},
	{60156, 0xC000},
	{60171, 0x30000},
	{60179, 0x40000},
	{60198, 0x80000},
	{97445, 0x700000},
	{97460, 0x10000000},
	{97483, 0x20000000},
	{60215, 0x40000000},
	{60227, 0x80000000},
	/* 2467 */
	{60241, 0xFFF},
	{60256, 0xFFF000},
	{60268, 0x1000000},
	{56279, 0x2000000},
	{60276, 0x4000000},
	{60296, 0x8000000},
	{97499, 0xF0000000},
	/* 2474 */
	{97510, 0x1},
	{97520, 0x2},
	{97530, 0x10},
	/* 2477 */
	{60467, 0x7},
	{60477, 0x38},
	{60487, 0x1C0},
	{60497, 0xE00},
	{17302, 0x7F000, 293, 2468},
	{64414, 0x600000},
	{64427, 0x800000},
	{64442, 0x1000000},
	{97558, 0xC000000},
	{64548, 0x30000000, 4, 2761},
	{209, 0xC0000000},
	/* 2488 */
	{64950, 0x1FFFFF},
	{64969, 0xE00000},
	{64988, 0x1000000},
	{65010, 0x2000000},
	{97570, 0x4000000},
	{65048, 0x8000000},
	{65065, 0x10000000},
	{65083, 0x20000000},
	{65099, 0xC0000000},
	/* 2497 */
	{65120, 0x7},
	{65130, 0x38},
	{65151, 0xC0},
	{97593, 0x700},
	{65172, 0x180000},
	{65191, 0xC000000},
	/* 2503 */
	{18448, 0x1FFF},
	{21164, 0x3FFF},
	{66934, 0x1FFF0000},
	/* 2506 */
	{66945, 0xF},
	{66957, 0xF0},
	{66965, 0xFFF00},
	{66978, 0x700000},
	{66987, 0x800000},
	{67002, 0x2000000},
	{67017, 0x4000000},
	{70829, 0x80000000},
	/* 2514 */
	{67029, 0xFF},
	{97558, 0x300},
	{67045, 0x400},
	{67057, 0x18000},
	{67085, 0x60000},
	{67111, 0x80000},
	{67129, 0x100000},
	{67151, 0x200000},
	{67166, 0x400000},
	{67182, 0x800000},
	{67198, 0xFF000000},
	/* 2525 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{67339, 0x800000},
	{67349, 0x1000000},
	{67366, 0x2000000},
	{55999, 0x4000000},
	{97602, 0x8000000},
	{55263, 0x20000000},
	/* 2537 */
	{68635, 0x1},
	{68654, 0x2},
	{68675, 0x4},
	{68686, 0x8},
	{68699, 0x10},
	{68718, 0x20},
	{68743, 0x40},
	{68766, 0x80},
	{68780, 0xF00},
	{68792, 0x1000},
	{97621, 0x2000},
	/* 2548 */
	{69709, 0x3, 4, 3083},
	{69738, 0x1C},
	{69769, 0x20},
	{69805, 0x40},
	{69840, 0x80},
	{69868, 0x100},
	{69890, 0x200},
	{69908, 0x400},
	{69940, 0x800},
	{70061, 0x7000, 8, 3087},
	{70071, 0x38000},
	{70084, 0x1C0000},
	{70097, 0x200000},
	{70113, 0x400000},
	{70131, 0x800000},
	{70149, 0x2000000},
	{97639, 0x4000000},
	{97659, 0x18000000},
	/* 2566 */
	{97790, 0x7, 5, 36649},
	{97822, 0x30},
	{97842, 0xC0},
	/* 2569 */
	{70677, 0x3, 4, 3109},
	{70689, 0xC, 4, 3109},
	{70701, 0x30, 4, 3109},
	{70717, 0xC0, 4, 3109},
	{70787, 0x30000, 4, 3113},
	{70799, 0xC0000, 4, 3113},
	{70811, 0x300000, 4, 3113},
	{70827, 0x1000000},
	{70838, 0x2000000},
	{97862, 0x4000000},
	{97872, 0x8000000},
	{97882, 0x10000000},
	{97896, 0x20000000},
	/* 2582 */
	{9882, 0x1},
	{73407, 0x6},
	{65191, 0x60},
	{73449, 0x3000},
	{73456, 0x30000},
	{73470, 0x300000},
	/* 2588 */
	{73595, 0x3, 4, 3109},
	{73611, 0xC, 4, 3109},
	{73627, 0x30, 4, 3109},
	{73641, 0xC0, 4, 3109},
	{73657, 0x30000, 4, 3113},
	{73673, 0xC0000, 4, 3113},
	{73689, 0x300000, 4, 3113},
	{73703, 0xC00000, 4, 3113},
	{97911, 0x1000000},
	{97927, 0x2000000},
	{97943, 0x4000000},
	{97957, 0x8000000},
	{73719, 0x40000000},
	{73734, 0x80000000},
	/* 2602 */
	{754, 0x3F},
	{74518, 0x300},
	{74530, 0x400},
	{97973, 0x800},
	{74541, 0x1E000},
	{74550, 0x20000},
	{74564, 0x40000},
	{74568, 0x80000},
	{74585, 0x100000},
	{74603, 0x600000},
	{74621, 0x800000},
	{74641, 0x1000000},
	{74653, 0x2000000},
	/* 2615 */
	{754, 0x3F},
	{74518, 0x300},
	{74530, 0x400},
	{97973, 0x800},
	{74564, 0x40000},
	{74568, 0x80000},
	{74585, 0x100000},
	{74603, 0x600000},
	{74641, 0x1000000},
	{74653, 0x2000000},
	/* 2625 */
	{74665, 0x3E},
	{74681, 0x40},
	{74694, 0x80},
	{97987, 0x1F00},
	/* 2629 */
	{75215, 0x3F},
	{75236, 0x80},
	{75253, 0x100},
	{98005, 0x3E00},
	{75269, 0x4000},
	{75289, 0x8000},
	/* 2635 */
	{98021, 0x1},
	{98046, 0x2},
	{98071, 0x4},
	{98096, 0x8},
	{98121, 0x10},
	{98146, 0x20},
	{98171, 0x40},
	{98196, 0x80},
	/* 2643 */
	{76235, 0xF, 12, 36654},
	{76240, 0xF0, 12, 36654},
	{76245, 0xF00, 12, 36654},
	{76250, 0xF000, 12, 36654},
	{76255, 0xF0000, 12, 36654},
	{76260, 0xF00000, 12, 36654},
	{76265, 0xF000000, 12, 36654},
	{76270, 0xF0000000, 12, 36654},
	/* 2651 */
	{78049, 0x3, 4, 36055},
	{78095, 0xC, 2, 36059},
	{78106, 0x10},
	{78121, 0x20},
	{78129, 0x40},
	{78171, 0xE0000000},
	/* 2657 */
	{78662, 0x1},
	{98243, 0x2},
	{78680, 0x8},
	{982, 0x70, 8, 36061},
	{77953, 0xFF0000, 256, 36069},
	/* 2662 */
	{80425, 0x1},
	{80441, 0x2},
	{80457, 0x4},
	{80473, 0x8},
	{80489, 0x10},
	{80505, 0x20},
	{80521, 0x40},
	{80537, 0x80},
	{80553, 0x100},
	{80569, 0x200},
	{80585, 0x400},
	{80601, 0x800},
	{80617, 0x1000},
	{80633, 0x2000},
	{80649, 0x4000},
	{80665, 0x8000},
	{80681, 0x10000},
	{80700, 0x20000},
	{80718, 0x40000},
	{80745, 0x80000},
	{80767, 0x100000},
	{80785, 0x200000},
	{80805, 0x400000},
	{80828, 0x800000},
	{80851, 0x1000000},
	{80876, 0x2000000},
	{80919, 0x8000000},
	{98266, 0x10000000},
	{98283, 0x20000000},
	{98308, 0x40000000},
	/* 2692 */
	{81621, 0x1},
	{81638, 0x2},
	{98334, 0x3FC},
	/* 2695 */
	{98353, 0x7, 5, 36649},
	{98379, 0x38, 5, 36649},
	{98408, 0x1C0, 5, 36649},
	{98433, 0xE00, 5, 36649},
	{98459, 0x2000},
	{98482, 0x4000},
	/* 2701 */
	{82805, 0x1},
	{82817, 0x2},
	{82838, 0x4},
	{82858, 0x8},
	{82904, 0x20},
	{82927, 0x40},
	/* 2707 */
	{203, 0x3, 3, 36374},
	{83653, 0xC, 4, 36377},
	{83733, 0x30, 4, 36381},
	{83793, 0xC0, 3, 36385},
	{83806, 0x100},
	{78121, 0x200},
	{83810, 0x400},
	{83819, 0x3800},
	{98509, 0x4000},
	/* 2716 */
	{85084, 0x2},
	{85118, 0x8},
	{85134, 0x10},
	{98534, 0x40},
	/* 2720 */
	{70469, 0x1},
	{85253, 0x2},
	{85264, 0x4},
	{85281, 0x8},
	{85298, 0x3F0},
	{85315, 0xFC00},
	{85332, 0x10000},
	{85356, 0x20000},
	{67116, 0x40000},
	{98612, 0x180000, 3, 36666},
	/* 2730 */
	{85604, 0x3, 4, 36452},
	{85635, 0x4, 2, 36456},
	{19758, 0x18, 4, 36458},
	{85717, 0x20, 2, 36462},
	{85782, 0xC0, 4, 36464},
	{85788, 0x100},
	{67974, 0x200},
	{85799, 0x400},
	{85819, 0x800},
	{85839, 0x1000},
	{85853, 0x2000},
	{85864, 0x4000},
	{85880, 0x78000},
	{85900, 0x180000},
	{85915, 0x200000},
	{85925, 0x400000},
	{85935, 0x800000},
	{85945, 0x1000000},
	{85960, 0x2000000},
	{98631, 0x4000000},
	/* 2750 */
	{87118, 0x7},
	{87135, 0x10},
	{87157, 0x1E000},
	{87173, 0x700000},
	{87194, 0x3000000},
	{87274, 0xC000000, 4, 36489},
	{98655, 0x10000000},
	{98680, 0x20000000},
	/* 2758 */
	{89093, 0x3, 4, 36520},
	{17302, 0x7C, 25, 36669},
	{65211, 0x80},
	{89691, 0x700, 8, 36556},
	{89747, 0x1800, 4, 36564},
	{78729, 0x2000},
	{69644, 0x4000},
	{89757, 0x8000},
	{89769, 0x10000},
	{89782, 0x20000},
	{87361, 0x40000},
	{89795, 0x80000},
	{90022, 0x700000, 8, 36568},
	{90044, 0x3800000, 8, 36568},
	{90068, 0x4000000},
	{90094, 0x8000000},
	{90120, 0x10000000},
	{90188, 0x60000000, 3, 36576},
	{98721, 0x80000000},
	/* 2777 */
	{73749, 0x1},
	{90362, 0x2},
	{67057, 0xC, 3, 36579},
	{90476, 0x10, 2, 36582},
	{67085, 0x60},
	{67182, 0x180},
	{90502, 0x200},
	{90525, 0x3C00},
	{90545, 0x3C000},
	{73865, 0x40000},
	{90567, 0x80000},
	{90600, 0x100000},
	{98732, 0x200000},
	{98752, 0x400000},
	/* 2791 */
	{90647, 0x1FFF},
	{90658, 0x2000},
	{90670, 0x7C000},
	{90684, 0xF80000},
	{90698, 0x3000000},
	{90712, 0x4000000},
	{64442, 0x38000000},
	{90731, 0x40000000},
	{98773, 0x80000000},
	/* 2800 */
	{98794, 0xFFFFFF},
	{10114, 0x7000000},
	{98800, 0x8000000},
	{1, 0x70000000},
	{98811, 0x80000000},
	/* 2805 */
	{98822, 0x1},
	{26333, 0xFFFFFFF8},
	/* 2807 */
	{91971, 0x1},
	{91985, 0x2},
	{98831, 0x8000},
	{91997, 0x10000},
	{92011, 0x1000000},
	/* 2812 */
	{92125, 0x30000},
	{98846, 0x300000},
	{98861, 0xC00000},
	{92133, 0x7000000},
	{92141, 0xE0000000},
	/* 2817 */
	{203, 0x3, 3, 36374},
	{98509, 0x4000},
	/* 2819 */
	{92687, 0x3FF},
	{92753, 0xC00, 4, 36584},
	/* 2821 */
	{97835, 0x3},
	{97855, 0x30},
	/* 2823 */
	{93067, 0x1},
	{93079, 0x2},
	{93091, 0x4},
	{30219, 0x10000},
	{93102, 0x60000},
	/* 2828 */
	{80713, 0x1},
	{858, 0x1FFE},
	{209, 0x2000},
	{88655, 0x4000},
	{93177, 0x8000},
	{93189, 0x7FF0000},
	{93200, 0x8000000},
	{93211, 0x10000000},
	{93221, 0x20000000},
	{98871, 0x40000000},
	{93155, 0x80000000},
	/* 2839 */
	{93299, 0x1FF},
	{93318, 0xF00000},
	{94919, 0xF0000000},
	/* 2842 */
	{55927, 0x1},
	{85782, 0x2, 4, 36464},
	{85717, 0x4, 2, 36462},
	{19758, 0x8, 4, 36458},
	{85635, 0x10, 2, 36456},
	{85604, 0x20, 4, 36452},
	{95015, 0x40},
	{95021, 0x300},
	{95031, 0x2000},
	{98883, 0x4000},
	{98905, 0x8000},
	{98927, 0x10000},
	{98949, 0x20000},
	{98971, 0x40000},
	{98993, 0x80000},
	/* 2857 */
	{96009, 0x7FF},
	{10365, 0xFFFFF800},
	/* 2859 */
	{96014, 0xFF},
	{96035, 0x100},
	{96045, 0x200},
	{96053, 0x400},
	{96067, 0x800},
	{96078, 0x1000},
	{96097, 0x2000},
	{96121, 0x4000},
	{96135, 0x8000},
	{99015, 0x10000},
	{99028, 0x20000},
	{99039, 0x40000},
	{99056, 0x80000},
	{99070, 0x100000},
	{99082, 0x200000},
	{99098, 0x400000},
	{10365, 0xFF800000},
	/* 2876 */
	{96145, 0x1},
	{96169, 0x2},
	{96193, 0x4},
	{99114, 0x8},
	{96263, 0xF0},
	{99134, 0x100},
	{99154, 0x200},
	{99169, 0x400},
	{10365, 0xFFFFF800},
	/* 2885 */
	{96278, 0x1},
	{99194, 0x2},
	{99217, 0x4},
	{96367, 0x8},
	{99231, 0x10},
	{96290, 0x20},
	{99258, 0x40},
	{96302, 0x80},
	{99273, 0x100},
	{96312, 0x200},
	{99286, 0x400},
	{96333, 0x800},
	{99310, 0x1000},
	{96350, 0x2000},
	{99330, 0x4000},
	{99350, 0x8000},
	{99367, 0x10000},
	{99387, 0x20000},
	{99404, 0x40000},
	/* 2904 */
	{45514, 0xFFFFFFFF},
	/* 2905 */
	{45541, 0xFFFFFFFF},
	/* 2906 */
	{754, 0xFFFF},
	{10365, 0xFFFF0000},
	/* 2908 */
	{99424, 0xFF},
	{99438, 0xFF00},
	{99461, 0xFF0000},
	{10365, 0xFF000000},
	/* 2912 */
	{99488, 0xFF},
	{99504, 0xFF00},
	{10365, 0xFFFF0000},
	/* 2915 */
	{99520, 0xFFFF},
	/* 2916 */
	{55093, 0xF},
	{55102, 0xF0},
	{55112, 0x100},
	{55123, 0x200},
	{55128, 0x400},
	{99527, 0x800},
	{55255, 0x7F000, 257, 0},
	{55286, 0x10000000},
	{55292, 0xE0000000},
	/* 2925 */
	{55296, 0x1},
	{55300, 0x6},
	{99536, 0x18},
	{55319, 0x20},
	{55324, 0x40},
	{55332, 0x80},
	{55342, 0x100},
	{55353, 0x200},
	{55359, 0x400},
	{55364, 0x800},
	{55370, 0x1000},
	{55381, 0x2000},
	{55386, 0x4000},
	{99546, 0x8000},
	{55142, 0x10000},
	{55406, 0x20000},
	{55414, 0x40000},
	{55426, 0x80000},
	{99559, 0x100000},
	{99573, 0x200000},
	{99586, 0x400000},
	{99595, 0x800000},
	{99604, 0x7000000},
	{55445, 0x8000000},
	/* 2949 */
	{55457, 0x7F, 257, 0},
	{55502, 0x3F0000},
	{55555, 0xE0000000},
	/* 2952 */
	{50478, 0xF},
	{55563, 0x30},
	{55571, 0xC0},
	{55579, 0xF00},
	{55585, 0x1000},
	{28888, 0x2000},
	{55603, 0xF0000},
	{55609, 0xF00000},
	{55615, 0x7000000},
	{55624, 0x38000000},
	{55633, 0xC0000000},
	/* 2963 */
	{55639, 0x3F},
	{55649, 0x3F00},
	{55659, 0x3F0000},
	{55669, 0xF000000},
	/* 2967 */
	{55679, 0xFF},
	{55688, 0x1FF000},
	/* 2969 */
	{55714, 0xF},
	{55721, 0x70},
	{55743, 0x1F00},
	{55752, 0xE000},
	/* 2973 */
	{1112, 0xFF},
	/* 2974 */
	{46969, 0xFFFFFFFF},
	/* 2975 */
	{99624, 0x7},
	{99632, 0x8},
	{99643, 0x10},
	{99656, 0xE0},
	{99672, 0x300},
	{99682, 0xC00},
	{99692, 0x70000},
	{55877, 0x380000},
	{99704, 0xC00000},
	{99711, 0x1000000},
	{99718, 0x6000000},
	{69302, 0x8000000},
	{99726, 0x10000000},
	/* 2988 */
	{9994, 0xFF},
	/* 2989 */
	{99743, 0x1},
	{99759, 0x2},
	{56373, 0x4},
	{99774, 0x8},
	{99790, 0x10},
	{56346, 0x20},
	{99799, 0x40},
	{99810, 0x80},
	{99820, 0x100},
	{99830, 0x200},
	{99840, 0x400},
	{99851, 0x800},
	{99862, 0x1000},
	{99874, 0x2000},
	{99883, 0x4000},
	{99893, 0x8000},
	{97374, 0x10000},
	{97391, 0x20000},
	{99902, 0x40000},
	{99920, 0x80000},
	{99935, 0x100000},
	/* 3010 */
	{99951, 0x2},
	{99966, 0x4},
	{99984, 0x8},
	{56470, 0x10},
	{99999, 0x20},
	{100015, 0x40},
	{100029, 0x100},
	{100038, 0x200},
	{100047, 0x400},
	{100068, 0x800},
	{100077, 0x1000},
	{100086, 0x2000},
	{100096, 0x4000},
	{100105, 0x10000},
	{100114, 0x20000},
	{100122, 0x80000},
	{100131, 0x100000},
	{100143, 0x200000},
	{100156, 0x400000},
	{100169, 0x20000000},
	/* 3030 */
	{100178, 0x1},
	{100188, 0x2},
	{100198, 0x4},
	{100208, 0x8},
	{100218, 0x10},
	{100228, 0x20},
	{100238, 0x40},
	{100248, 0x80},
	{100258, 0x100},
	{100268, 0x200},
	{100278, 0x400},
	{100288, 0x800},
	{100298, 0x1000},
	{100308, 0x2000},
	{100318, 0x4000},
	{100328, 0x8000},
	/* 3046 */
	{100338, 0xFF},
	/* 3047 */
	{100351, 0x3F},
	{100370, 0xFC0},
	/* 3049 */
	{56029, 0xF},
	{56258, 0x1},
	{56052, 0x10},
	{56075, 0x20},
	{56098, 0x40},
	{56118, 0x80},
	{56138, 0x100},
	{56390, 0x100},
	{56158, 0x200},
	{57328, 0x200},
	{56178, 0x400},
	{56198, 0x800},
	{56218, 0x1000},
	{56238, 0x2000},
	{56408, 0x10000000},
	{56417, 0x20000000},
	{56426, 0x40000000},
	/* 3066 */
	{100381, 0xF},
	{100390, 0xF0},
	/* 3068 */
	{56446, 0xF},
	{100399, 0x20},
	{56485, 0x80},
	{56508, 0x100},
	{56531, 0x200},
	{56550, 0x1000},
	{56559, 0x2000},
	{56568, 0x4000},
	{56576, 0x8000},
	{100415, 0x10000},
	{100430, 0x20000},
	{100439, 0x40000},
	{100454, 0x80000},
	{56600, 0x100000},
	{100462, 0x200000},
	{56616, 0x400000},
	{56625, 0x800000},
	{56634, 0x1000000},
	{56642, 0x2000000},
	{56650, 0x4000000},
	{56658, 0x10000000},
	{56400, 0x20000000},
	{56676, 0x40000000},
	{56684, 0x80000000},
	/* 3092 */
	{56550, 0x2},
	{56559, 0x4},
	{56625, 0x400000},
	{100430, 0x800000},
	{56642, 0x1000000},
	{56568, 0x2000000},
	{56600, 0x4000000},
	{56616, 0x8000000},
	{56634, 0x20000000},
	{56650, 0x40000000},
	{56676, 0x80000000},
	/* 3103 */
	{100470, 0x1},
	{100484, 0x4},
	{100499, 0x10000},
	{100514, 0x20000},
	{100529, 0x40000},
	{100544, 0x80000},
	/* 3109 */
	{100559, 0x3F},
	/* 3110 */
	{92597, 0xFF},
	{100576, 0xFF00},
	{92559, 0xFF0000},
	{100585, 0x20000000},
	{92632, 0x40000000},
	{92658, 0x80000000},
	/* 3116 */
	{100605, 0xF},
	{100622, 0x1F00},
	/* 3118 */
	{47204, 0xFF},
	/* 3119 */
	{100637, 0x2},
	{100648, 0x20},
	{100659, 0x40},
	{100680, 0x80},
	{100700, 0xF00},
	{100722, 0x1000},
	/* 3125 */
	{100748, 0x1},
	{100756, 0x2},
	{100764, 0x2},
	{100773, 0x8},
	{100789, 0x10},
	{100805, 0x40},
	{100826, 0x80},
	{100847, 0x100},
	{100868, 0x200},
	{100876, 0x200},
	{100897, 0x400},
	{100918, 0x800},
	{100939, 0x1000},
	{100960, 0x2000},
	{100981, 0x4000},
	{101002, 0x8000},
	{101023, 0x10000},
	{101044, 0x20000},
	{101065, 0x40000},
	{101086, 0x80000},
	{101107, 0x100000},
	{101128, 0x200000},
	/* 3147 */
	{101149, 0x3FFFC},
	{101162, 0x300000},
	{101174, 0xC00000},
	{47257, 0x80000000},
	/* 3151 */
	{101184, 0x1},
	{101201, 0x80000},
	/* 3153 */
	{93299, 0x3F},
	{94127, 0x400},
	{94154, 0x800},
	{101221, 0x1000},
	{94181, 0x2000},
	{94207, 0x4000},
	{94233, 0x10000},
	{94260, 0x20000},
	{94286, 0x40000},
	{94312, 0x80000},
	{94340, 0x100000},
	{94366, 0x200000},
	{94392, 0x400000},
	{101248, 0x800000},
	{94418, 0x1000000},
	{94445, 0x2000000},
	{94472, 0x4000000},
	{101274, 0x8000000},
	{101300, 0x10000000},
	/* 3172 */
	{93299, 0x3F},
	{94127, 0x400},
	{94154, 0x800},
	{94181, 0x1000},
	{94207, 0x2000},
	{94233, 0x8000},
	{94260, 0x10000},
	{94340, 0x20000},
	{94366, 0x40000},
	{101221, 0x80000},
	{94286, 0x100000},
	{94445, 0x200000},
	/* 3184 */
	{47282, 0x3FFFF},
	/* 3185 */
	{47168, 0xFFFFFFFF},
	/* 3186 */
	{101326, 0x1},
	{101339, 0x2},
	{101343, 0x4},
	{101365, 0x8},
	{101379, 0x10},
	{101393, 0x20},
	{101411, 0x40},
	{101429, 0x80},
	{28888, 0x2000000},
	{98579, 0xC000000},
	/* 3196 */
	{91288, 0x3},
	{9965, 0xFFFFFFFC},
	/* 3198 */
	{101444, 0x3},
	{24328, 0xFFFFFFFC},
	/* 3200 */
	{24350, 0xFFFFFFFF},
	/* 3201 */
	{101465, 0x3},
	{24844, 0xFFFFFFFC},
	/* 3203 */
	{24866, 0xFFFFFFFF},
	/* 3204 */
	{91262, 0xFF},
	{91274, 0x30000},
	{26653, 0xE0000000},
	/* 3207 */
	{101486, 0x3},
	{26203, 0xFFFFFFFC},
	/* 3209 */
	{26221, 0xFF},
	/* 3210 */
	{101503, 0x3},
	{26275, 0xFFFFFFFC},
	/* 3212 */
	{26293, 0xFF},
	/* 3213 */
	{26352, 0xFF},
	{91298, 0x10000},
	{91314, 0x100000},
	{91330, 0x3000000},
	{91346, 0xE0000000},
	/* 3218 */
	{92304, 0x1},
	{92320, 0x2},
	{92336, 0x40},
	{92354, 0x80},
	{92372, 0x100},
	{92390, 0x200},
	{92408, 0x400},
	{92426, 0x800},
	{92444, 0x1000},
	{92462, 0x2000},
	{92480, 0x4000},
	{91548, 0x8000},
	{101520, 0x10000},
	{91568, 0x40000},
	{92497, 0x80000},
	{92513, 0x200000},
	{91585, 0x400000},
	{91601, 0x800000},
	{91615, 0x2000000},
	{91629, 0x4000000},
	{91643, 0x8000000},
	{91664, 0x10000000},
	{91689, 0x20000000},
	/* 3241 */
	{92529, 0xFF},
	{91766, 0x3000000},
	{101538, 0x40000000},
	{995, 0x80000000},
	/* 3245 */
	{26590, 0xFF},
	/* 3246 */
	{26631, 0xFF},
	/* 3247 */
	{91771, 0x1FFFFF},
	{91809, 0x200000},
	{101552, 0xC00000},
	{101561, 0x3000000},
	{91782, 0x4000000},
	{91786, 0x8000000},
	{91790, 0x10000000},
	{91795, 0x20000000},
	{91800, 0x40000000},
	/* 3256 */
	{91850, 0x30},
	{91862, 0xF0000},
	{91875, 0x10000000},
	{91890, 0x20000000},
	{91904, 0xC0000000},
	/* 3261 */
	{91965, 0x1},
	/* 3262 */
	{101570, 0x1},
	{101595, 0x2},
	{101633, 0x4},
	{101674, 0x8},
	{101697, 0x10},
	{101720, 0x20},
	{101744, 0x40},
	{101774, 0x80},
	{101803, 0x100},
	{101834, 0x400},
	{101860, 0x800},
	{101889, 0x1000},
	{101914, 0x2000},
	{59021, 0x4000},
	{59042, 0x8000},
	/* 3277 */
	{101949, 0x1},
	{101976, 0x4},
	{102003, 0x10},
	{102032, 0x400},
	{102061, 0x800},
	{102090, 0x1000},
	{102118, 0x2000},
	{102148, 0x4000},
	{102175, 0x8000},
	{102203, 0x10000},
	{102229, 0x20000},
	{102255, 0x800000},
	{102280, 0x1000000},
	{102306, 0x2000000},
	{102331, 0x4000000},
	{102355, 0x8000000},
	{102380, 0x10000000},
	{102409, 0x10000000},
	/* 3295 */
	{102437, 0x1},
	{102463, 0x2},
	{102489, 0x4},
	{102516, 0x10},
	{102542, 0x20},
	{102564, 0x40},
	{102585, 0x80},
	{102617, 0x100},
	{102644, 0x200},
	{102666, 0x400},
	{102690, 0x800},
	{102715, 0x1000},
	{102738, 0x2000},
	{102765, 0x4000},
	{102790, 0x8000},
	{102818, 0x10000},
	{102843, 0x20000},
	{102868, 0x40000},
	{102893, 0x80000},
	{102922, 0x100000},
	{102953, 0x200000},
	{102981, 0x400000},
	{103008, 0x800000},
	{103038, 0x1000000},
	{103065, 0x2000000},
	{103092, 0x4000000},
	{103119, 0x8000000},
	{103145, 0x10000000},
	{103169, 0x20000000},
	{103201, 0x40000000},
	{103228, 0x80000000},
	/* 3326 */
	{58358, 0x1},
	{103254, 0x40},
	{103273, 0x80},
	{103293, 0x100},
	{103312, 0x200},
	{103326, 0x400},
	{103339, 0x1000},
	{103361, 0x2000},
	{103384, 0x4000},
	{103405, 0x8000},
	{103422, 0x20000},
	{103437, 0x40000},
	{103451, 0x80000},
	{103465, 0x100000},
	{103481, 0x200000},
	{103494, 0x400000},
	/* 3342 */
	{103513, 0x80},
	{103528, 0x100},
	{58042, 0x200},
	{58056, 0x400},
	{58075, 0x800},
	{58094, 0x1000},
	{103543, 0x2000},
	{103317, 0x8000},
	{103551, 0x10000},
	{103331, 0x20000},
	{103560, 0x40000},
	{58170, 0x80000},
	{58185, 0x100000},
	{103571, 0x200000},
	{56347, 0x400000},
	{58218, 0x800000},
	{57035, 0x1000000},
	{103589, 0x2000000},
	{103486, 0x4000000},
	{57025, 0x8000000},
	{58109, 0x10000000},
	{58126, 0x20000000},
	{58148, 0x40000000},
	{56400, 0x80000000},
	/* 3366 */
	{47549, 0xFFFFFFFF},
	/* 3367 */
	{47567, 0xFFFFFFFF},
	/* 3368 */
	{1854, 0x3F},
	{103602, 0x3F00},
	{103617, 0x3F0000},
	/* 3371 */
	{47605, 0xFFFFFFFF},
	/* 3372 */
	{47626, 0x1F},
	/* 3373 */
	{103632, 0xF},
	{103655, 0x3F00},
	/* 3375 */
	{103676, 0xF},
	/* 3376 */
	{103695, 0x10},
	{103716, 0x40},
	{103738, 0x100},
	{103759, 0x1000000},
	{103767, 0x2000000},
	{103775, 0x4000000},
	{103784, 0x8000000},
	{103793, 0x10000000},
	{103801, 0x20000000},
	/* 3385 */
	{103809, 0xFF},
	{103830, 0x700},
	{103851, 0xFF00000},
	{103871, 0x70000000},
	/* 3389 */
	{103891, 0x1},
	/* 3390 */
	{103912, 0xFFFFF},
	/* 3391 */
	{103920, 0xFFFFFFF},
	{103936, 0xF0000000},
	/* 3393 */
	{103952, 0xFFFF},
	{103967, 0xFFFF0000},
	/* 3395 */
	{27326, 0xFF},
	/* 3396 */
	{27380, 0xFF},
	/* 3397 */
	{27432, 0xFF},
	/* 3398 */
	{27563, 0xFF},
	/* 3399 */
	{103983, 0xFF},
	{103993, 0xFF00},
	{104003, 0xFF0000},
	{104016, 0xFF000000},
	/* 3403 */
	{104029, 0xFF},
	{104042, 0xFF00},
	{104055, 0xFF0000},
	{104068, 0xFF000000},
	/* 3407 */
	{104081, 0xFF},
	{104092, 0xFF00},
	{104103, 0xFF0000},
	/* 3410 */
	{104114, 0x3F},
	{104128, 0x3F00},
	/* 3412 */
	{104142, 0xFF},
	{104153, 0xFF00},
	/* 3414 */
	{104164, 0x7FF},
	{104177, 0x7FF0000},
	/* 3416 */
	{104189, 0x1FF},
	/* 3417 */
	{104197, 0x7FF},
	/* 3418 */
	{104209, 0x3FF},
	/* 3419 */
	{47930, 0x7FF},
	{104217, 0x3000},
	{104228, 0x30000},
	/* 3422 */
	{47943, 0xFFFFFFFF},
	/* 3423 */
	{104242, 0x3FF},
	{104259, 0x3FF0000},
	/* 3425 */
	{104276, 0x3FF},
	{104295, 0x3FF0000},
	/* 3427 */
	{104314, 0x3FF},
	{104333, 0x3FF0000},
	/* 3429 */
	{104352, 0x3FF},
	/* 3430 */
	{104361, 0x3FF},
	{104370, 0x3FF0000},
	/* 3432 */
	{104379, 0x7FF},
	{104392, 0x7FF0000},
	/* 3434 */
	{104404, 0x7FF},
	/* 3435 */
	{104416, 0x3FF},
	{104433, 0x3FF0000},
	/* 3437 */
	{104450, 0x3FF},
	{104469, 0x3FF0000},
	/* 3439 */
	{104488, 0x3FF},
	{104507, 0x3FF0000},
	/* 3441 */
	{104526, 0x4000},
	{104552, 0x20000},
	{104582, 0x80000},
	{104605, 0x100000},
	{104629, 0x400000},
	{104653, 0x800000},
	{104675, 0x1000000},
	{104701, 0x4000000},
	{104725, 0x8000000},
	{104757, 0x20000000},
	{104779, 0x40000000},
	{104801, 0x80000000},
	/* 3453 */
	{93299, 0xFF},
	{93308, 0xFFC00},
	{94865, 0xF00000},
	{94886, 0xF000000},
	{94919, 0xF0000000},
	/* 3458 */
	{93299, 0xFF},
	{94919, 0xF0000000},
	/* 3460 */
	{104823, 0x3FF},
	/* 3461 */
	{48396, 0x1FF},
	/* 3462 */
	{48420, 0x3F},
	/* 3463 */
	{48443, 0x3F},
	/* 3464 */
	{77958, 0x7},
	{104834, 0x70000},
	/* 3466 */
	{48488, 0x3},
	{104847, 0x20},
	{104866, 0xC0},
	{104880, 0x200},
	{104892, 0x800},
	{104913, 0x1000},
	{104930, 0x2000},
	{104951, 0x1F0000},
	/* 3474 */
	{104960, 0x7F},
	{82506, 0x80},
	{104981, 0x3FFF00},
	{82571, 0xFFC00000},
	/* 3478 */
	{104998, 0x1F},
	/* 3479 */
	{105009, 0x3},
	/* 3480 */
	{100454, 0x1},
	{105027, 0x2},
	{105039, 0x4},
	{105055, 0x8},
	{105067, 0x10},
	/* 3485 */
	{105079, 0x3F},
	{105094, 0x40},
	/* 3487 */
	{105114, 0x3F},
	{105128, 0x40},
	/* 3489 */
	{100430, 0x1},
	{105147, 0x2},
	{105165, 0x4},
	{105178, 0x8},
	{105190, 0x10},
	{105202, 0x20},
	{105214, 0x40},
	{105226, 0x80},
	{105238, 0x100},
	{105250, 0x200},
	/* 3499 */
	{105264, 0xFF},
	/* 3500 */
	{18464, 0x3F, 29, 36694},
	/* 3501 */
	{203, 0x3, 2, 36374},
	/* 3502 */
	{105472, 0xF},
	{105481, 0xFF0},
	{105496, 0x1000000},
	{105511, 0x2000000},
	{105523, 0x4000000},
	{105534, 0x8000000},
	{105549, 0x10000000},
	{105564, 0x20000000},
	{105576, 0x40000000},
	{105590, 0x80000000},
	/* 3512 */
	{9882, 0x1},
	{10112, 0x1E},
	/* 3514 */
	{105472, 0xF},
	{105481, 0xFF0},
	{105496, 0x1000000},
	{105511, 0x2000000},
	{105523, 0x4000000},
	{105534, 0x8000000},
	{105549, 0x10000000},
	{105576, 0x20000000},
	{105603, 0x20000000},
	{105590, 0x80000000},
	/* 3524 */
	{105618, 0x1},
	{105631, 0x7E},
	{105648, 0x80},
	/* 3527 */
	{92687, 0x7F},
	{92753, 0x600, 4, 36584},
	/* 3529 */
	{105673, 0x6},
	{105683, 0x8},
	{105703, 0x10},
	{105712, 0xFFFF0000},
	/* 3533 */
	{105725, 0x1F},
	/* 3534 */
	{105739, 0x80000000},
	/* 3535 */
	{105747, 0x1},
	{105768, 0x6},
	{105781, 0x8},
	{105804, 0x10},
	{105824, 0x20},
	{105843, 0x10000000},
	{105854, 0x20000000},
	{105865, 0x40000000},
	{105876, 0x80000000},
	/* 3544 */
	{105472, 0xF},
	{105481, 0xFF0},
	{105496, 0x1000000},
	{105887, 0x2000000},
	{105902, 0x4000000},
	{105534, 0x8000000},
	{105549, 0x10000000},
	{105917, 0x20000000},
	{105933, 0x40000000},
	{105949, 0x80000000},
	/* 3554 */
	{105966, 0x80000000},
	/* 3555 */
	{18448, 0xFF},
	/* 3556 */
	{93299, 0x1FF},
	{93308, 0xFFC00},
	{94865, 0xF00000},
	/* 3559 */
	{105974, 0xFFFF},
	{105996, 0xFFFF0000},
	/* 3561 */
	{105472, 0xF},
	{105481, 0xFF0},
	{105496, 0x1000000},
	{105887, 0x2000000},
	{105902, 0x4000000},
	{105534, 0x8000000},
	{105549, 0x10000000},
	{105603, 0x20000000},
	{106018, 0x40000000},
	{106033, 0x80000000},
	/* 3571 */
	{106048, 0x3F},
	{106075, 0x7FC0},
	{106101, 0x1F8000},
	{106123, 0xFF800000},
	/* 3575 */
	{106148, 0x3F},
	{106172, 0xFC0},
	{106196, 0x3F000},
	{106216, 0xFC0000},
	/* 3579 */
	{106236, 0x3F},
	/* 3580 */
	{106250, 0x1},
	{106276, 0x2},
	{106299, 0x4},
	{106324, 0x8},
	{106355, 0x10},
	{106389, 0x20},
	{106409, 0xC0},
	{106436, 0x100},
	{106464, 0x200},
	{106499, 0x400},
	{106529, 0x800},
	{106564, 0x1000},
	{106594, 0x2000},
	{106617, 0x4000},
	{106656, 0x8000},
	{106688, 0x10000},
	{106724, 0x20000},
	{106754, 0x40000},
	{106800, 0x80000},
	{106841, 0x100000},
	{106891, 0x200000},
	{106941, 0x400000},
	{106992, 0x800000},
	{107040, 0x1000000},
	{105865, 0x40000000},
	{105876, 0x80000000},
	/* 3606 */
	{55886, 0xFF},
	{99527, 0x100},
	{107086, 0x200},
	{107105, 0x400},
	{107126, 0x800},
	{107145, 0x1000},
	{107167, 0x2000},
	{107188, 0x4000},
	{107211, 0x8000},
	/* 3615 */
	{107241, 0x3},
	{107257, 0xC},
	{107273, 0x30},
	{107289, 0x40},
	{107304, 0x80},
	{107322, 0x100},
	{107337, 0x200},
	{107356, 0x400},
	{107374, 0x800},
	/* 3624 */
	{107395, 0x1},
	{107411, 0x2},
	{107427, 0x4},
	/* 3627 */
	{107447, 0x7F},
	{107451, 0x380},
	{107455, 0x1FFC00},
	/* 3630 */
	{107459, 0x3F},
	{107472, 0xF00},
	{107484, 0x10000000},
	{107493, 0x20000000},
	{101429, 0x40000000},
	{101398, 0x80000000},
	/* 3636 */
	{107507, 0xF},
	{107527, 0xF00},
	{107544, 0x30000},
	{107560, 0xC0000},
	/* 3640 */
	{55927, 0x1},
	{85782, 0x2, 4, 36464},
	{85717, 0x4, 2, 36462},
	{19758, 0x8, 4, 36458},
	{85635, 0x10, 2, 36456},
	{85604, 0x20, 4, 36452},
	{95015, 0x40},
	{95021, 0x1F00},
	{95031, 0x2000},
	/* 3649 */
	{107580, 0xF0000},
	{107598, 0xF00000},
	{107616, 0xF000000},
	{107634, 0xF0000000},
	/* 3653 */
	{56279, 0x1},
	{107652, 0x2},
	{107671, 0xFFF0},
	{107686, 0xFFF0000},
	/* 3657 */
	{93299, 0x1FF},
	{95001, 0xF000},
	{107701, 0xF0000},
	{93318, 0xF00000},
	{107717, 0xF000000},
	{94919, 0xF0000000},
	/* 3663 */
	{107727, 0xFFFF},
	{107743, 0xFFFF0000},
	/* 3665 */
	{105472, 0xF},
	{105481, 0xFF0},
	{105576, 0x40000000},
	{105590, 0x80000000},
	/* 3669 */
	{50478, 0xF},
	{55563, 0x30},
	{107759, 0xFC0},
	{107769, 0x1000},
	{107779, 0x2000},
	{100338, 0x4000},
	{107790, 0x8000},
	{441, 0xFFFF0000},
	/* 3677 */
	{107800, 0xFFFFFFFF},
	/* 3678 */
	{38, 0x3FFFFF},
	/* 3679 */
	{107805, 0x1F},
	{107812, 0x20},
	{60089, 0x80},
	{107819, 0x3000},
	{60102, 0x4000},
	{60115, 0x8000},
	{107830, 0xFFFF0000},
	{107830, 0xFFFF0000},
	/* 3687 */
	{2132, 0xFFFF},
	{107842, 0xFF0000},
	{60127, 0x1000000},
	/* 3690 */
	{107851, 0xFFFF},
	{107860, 0xFFFF0000},
	/* 3692 */
	{2090, 0x3FFFFFFF},
	{107869, 0xC0000000},
	/* 3694 */
	{60241, 0x7},
	{60256, 0x70000},
	{107881, 0x20000000},
	{56279, 0x40000000},
	{68325, 0x80000000},
	/* 3699 */
	{107889, 0x7},
	{107897, 0x38},
	{107905, 0x1C0},
	{107913, 0xE00},
	{107921, 0x7000},
	{107929, 0x38000},
	{107937, 0x1C0000},
	{982, 0x600000},
	{107945, 0x1800000},
	{107958, 0x2000000},
	{55319, 0x4000000},
	{107971, 0x18000000},
	{107982, 0x20000000},
	{60062, 0x40000000},
	{64718, 0x80000000},
	/* 3714 */
	{107992, 0x80000000},
	/* 3715 */
	{49765, 0x7},
	/* 3716 */
	{108005, 0x3FFF},
	{108015, 0x3FFF0000},
	{108025, 0xC0000000},
	/* 3719 */
	{108038, 0x3FFF},
	{108054, 0x3FF0000},
	{108079, 0x78000000},
	{108104, 0x80000000},
	/* 3723 */
	{68308, 0x1},
	{68602, 0x2},
	{11232, 0x4},
	/* 3726 */
	{108118, 0xFF},
	{108127, 0xFF00},
	{108136, 0xFF0000},
	{108145, 0xFF000000},
	/* 3730 */
	{108154, 0x3F},
	{108162, 0x1F00},
	{108171, 0x1FF0000},
	/* 3733 */
	{108180, 0x3F},
	{108188, 0x1F00},
	{108197, 0x1FF0000},
	/* 3736 */
	{50478, 0xF},
	{55563, 0x30},
	{30503, 0x1C0},
	{55609, 0x1E00},
	/* 3740 */
	{60467, 0x7, 8, 36723},
	{60477, 0x38, 8, 36723},
	{60487, 0x1C0, 8, 36723},
	{60497, 0xE00, 8, 36723},
	{108470, 0x7000, 8, 36731},
	{108862, 0x78000, 16, 36739},
	{108874, 0x180000},
	{64414, 0x600000},
	{64427, 0x800000},
	{83806, 0x1000000},
	{108887, 0x2000000},
	{108899, 0x4000000},
	{83819, 0x38000000},
	{209, 0xC0000000, 4, 36755},
	/* 3754 */
	{60410, 0xFF},
	{64748, 0xFFF00},
	{108862, 0x3F00000, 64, 36759},
	{108470, 0x3C000000, 16, 36823},
	{83819, 0xC0000000},
	/* 3759 */
	{66468, 0x3FFF},
	{66575, 0xFFFC000},
	{66978, 0x70000000},
	{110957, 0x80000000},
	/* 3763 */
	{60467, 0x7, 8, 36723},
	{60477, 0x38, 8, 36723},
	{60487, 0x1C0, 8, 36723},
	{60497, 0xE00, 8, 36723},
	{66797, 0xF000},
	{66808, 0xF0000},
	{110968, 0x1F00000},
	{110981, 0x2000000},
	{83819, 0x4000000},
	{83806, 0x8000000},
	{209, 0xF0000000, 16, 36839},
	/* 3774 */
	{18448, 0x1FFF},
	{21164, 0x7FFE000},
	/* 3776 */
	{66934, 0x1FFF},
	{111292, 0x3FFE000},
	/* 3778 */
	{66965, 0xFFF},
	{67029, 0xFF000},
	{67002, 0x100000},
	{111303, 0xFFE00000},
	/* 3782 */
	{111303, 0xFFFFFFFF},
	/* 3783 */
	{64559, 0x7, 8, 36855},
	{64567, 0x38, 8, 36855},
	{64575, 0x1C0, 8, 36855},
	{64583, 0xE00},
	{64599, 0x7000, 8, 36863},
	{64618, 0x8000},
	{64637, 0x70000},
	{64653, 0x80000},
	{64668, 0x100000},
	{64682, 0x7E00000},
	{64693, 0x8000000},
	{64705, 0x10000000},
	{64723, 0x60000000, 3, 36871},
	/* 3796 */
	{64780, 0x3FFF},
	{64824, 0xFC000},
	{64837, 0x300000, 4, 36874},
	{64851, 0xC00000, 4, 36874},
	{64865, 0x3000000, 3, 36878},
	{64874, 0xC000000, 3, 36881},
	{64885, 0x10000000},
	{112044, 0x20000000},
	{112061, 0x40000000},
	/* 3805 */
	{64789, 0xFFF},
	{112077, 0x20000000},
	{64806, 0xC0000000, 4, 36884},
	/* 3808 */
	{65120, 0x7},
	{65130, 0x70},
	{112219, 0x700},
	{65172, 0x3000},
	{112240, 0x70000},
	{112264, 0x700000},
	{112273, 0x3000000},
	{112293, 0x30000000},
	{112302, 0x40000000},
	/* 3817 */
	{112352, 0x3, 4, 36888},
	{65561, 0x3C, 16, 2765},
	{65989, 0x7C0, 18, 2781},
	{66179, 0x3800, 7, 2800},
	{66338, 0x1C00000, 5, 2807},
	{66358, 0x6000000},
	/* 3823 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{67349, 0x1000000},
	{112379, 0xE000000},
	{112389, 0x10000000},
	/* 3834 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67412, 0x80},
	{67424, 0xFF00},
	{55255, 0x7F0000, 257, 0},
	/* 3840 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{67869, 0x3000000},
	{67883, 0x4000000},
	{112379, 0x38000000},
	{112389, 0x40000000},
	/* 3852 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67899, 0x80},
	{67909, 0x100},
	{67921, 0x200},
	{67933, 0x400},
	{67945, 0x800},
	{67957, 0x1000},
	{55255, 0xFE000, 257, 0},
	/* 3862 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{67883, 0x1000000},
	{112379, 0xE000000},
	{112389, 0x10000000},
	/* 3873 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{55255, 0x3F80, 257, 0},
	/* 3877 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67899, 0x80},
	{55255, 0x7F00, 257, 0},
	{55688, 0x1FF00000},
	/* 3883 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{112379, 0x7000000},
	{112389, 0x8000000},
	/* 3893 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67899, 0x80},
	{68105, 0x100},
	{55255, 0xFE00, 257, 0},
	/* 3899 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{67869, 0x3000000},
	{112379, 0x1C000000},
	{112389, 0x20000000},
	/* 3910 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{55688, 0xFF80},
	{55255, 0x7F0000, 257, 0},
	/* 3915 */
	{68116, 0x1},
	{68134, 0x2},
	{68148, 0x4},
	{68167, 0x8},
	{68187, 0x10},
	{68207, 0x20},
	{68229, 0x40},
	{112399, 0x380},
	{68240, 0x400},
	{68258, 0x800},
	{99586, 0x1000},
	{68290, 0x4000},
	/* 3927 */
	{50474, 0xFFF},
	/* 3928 */
	{391, 0xFF},
	{99595, 0x100},
	/* 3930 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{68349, 0x1000000},
	{112389, 0x2000000},
	/* 3940 */
	{68412, 0x3F},
	{112419, 0x3F},
	{68425, 0xF000},
	{68435, 0x3F0000},
	{68450, 0x400000},
	{68465, 0x800000},
	{68481, 0x7000000},
	/* 3947 */
	{112437, 0xFFFF},
	{112447, 0xFFFF0000},
	/* 3949 */
	{42978, 0x1},
	{112457, 0x2},
	{112466, 0x4},
	{112475, 0x8},
	{112483, 0x10},
	{112495, 0x20},
	{112507, 0x40},
	{112519, 0x80},
	{112531, 0x100},
	{112542, 0x200},
	{112552, 0x400},
	{112560, 0x800},
	{112586, 0x1000},
	{112599, 0x2000},
	{112610, 0x4000},
	{112620, 0x8000},
	{112634, 0x10000},
	{112650, 0x20000},
	{112666, 0x40000},
	{112682, 0x80000},
	{112693, 0x100000},
	{112710, 0x200000},
	{112726, 0x400000},
	{112745, 0x2000000},
	{112759, 0x4000000},
	{112768, 0x8000000},
	{112782, 0x30000000},
	{112797, 0x40000000},
	{112806, 0x80000000},
	/* 3978 */
	{68810, 0x1},
	{68834, 0x2},
	{68924, 0x70},
	{68936, 0xF00},
	{68949, 0xF000},
	{68962, 0xF0000},
	{68975, 0xF00000},
	{68989, 0xF000000},
	{69007, 0xF0000000},
	/* 3987 */
	{69024, 0x7FF},
	{69051, 0xFFE000},
	{69061, 0x1000000},
	{69073, 0x2000000},
	/* 3991 */
	{112820, 0xF},
	{65561, 0xF0, 16, 2765},
	{65989, 0x1F00, 18, 2781},
	{66463, 0x6000, 4, 2812},
	{66570, 0x18000, 4, 2816},
	{66682, 0x60000, 4, 2820},
	{66769, 0x180000, 4, 2824},
	/* 3998 */
	{17302, 0x3, 4, 3099},
	{70366, 0xC},
	{66179, 0xE000, 7, 2800},
	{90218, 0x700000},
	{70517, 0x8000000},
	{70532, 0x10000000},
	{70542, 0x20000000},
	{70562, 0x80000000},
	/* 4006 */
	{17302, 0x1, 2, 3107},
	{66179, 0xE000, 7, 2800},
	{90218, 0x700000},
	{70517, 0x8000000},
	{70605, 0x20000000},
	/* 4011 */
	{112839, 0x7FF},
	{112854, 0x3FF800},
	/* 4013 */
	{112870, 0x3FFFFF},
	/* 4014 */
	{50688, 0x3},
	/* 4015 */
	{75215, 0x3F},
	{75226, 0x40},
	{75269, 0x4000},
	/* 4018 */
	{11609, 0xFF},
	/* 4019 */
	{78680, 0x8},
	{982, 0x70, 6, 36061},
	{77953, 0xFF0000, 256, 36069},
	/* 4022 */
	{18464, 0x1F, 29, 36694},
	{82313, 0x4000},
	{82326, 0x8000},
	{82339, 0x70000},
	/* 4026 */
	{83458, 0x3F, 3, 36370},
	{83471, 0x3F00, 3, 36370},
	{83486, 0x3F0000, 3, 36370},
	{83501, 0xFC00000, 3, 36370},
	{83516, 0x80000000},
	/* 4031 */
	{203, 0x3, 2, 36374},
	{83653, 0xC, 4, 36377},
	{83733, 0x30, 3, 36381},
	{83793, 0xC0, 4, 36892},
	{83806, 0x100},
	{78121, 0x200},
	{83810, 0x400},
	/* 4038 */
	{85029, 0x3F, 60, 36896},
	{60415, 0x7FC0000},
	{85040, 0x8000000},
	/* 4041 */
	{89804, 0x1},
	{85253, 0x2},
	{113012, 0x4},
	{113035, 0x8},
	{113043, 0x3F0},
	{113058, 0xFC00},
	{85332, 0x10000},
	/* 4048 */
	{209, 0x3, 3, 36468},
	{86114, 0x1C, 4, 36471},
	{86191, 0xE0, 4, 36475},
	{86200, 0x100},
	{86220, 0x200},
	{86231, 0x3C00},
	{86253, 0x4000},
	{83793, 0x18000, 4, 36892},
	/* 4056 */
	{86632, 0x1},
	{86647, 0x2},
	{86662, 0x4},
	{86677, 0x8},
	{86692, 0x70},
	{86724, 0xF00},
	{86741, 0x80000000},
	/* 4063 */
	{89093, 0x3, 4, 36520},
	{17302, 0x7C, 24, 36524},
	{65211, 0x80},
	{89691, 0x700, 8, 36556},
	{89747, 0x1800, 4, 36564},
	{78729, 0x2000},
	{69644, 0x4000},
	{89757, 0x8000},
	{89769, 0x10000},
	{89782, 0x20000},
	{87361, 0x40000},
	{89795, 0x80000},
	{90022, 0x700000, 8, 36568},
	{90044, 0x3800000, 8, 36568},
	{90068, 0x4000000},
	/* 4078 */
	{92125, 0xF00, 5, 36612},
	{96912, 0x10000},
	{96924, 0x100000},
	{96939, 0xC0000000, 4, 36618},
	/* 4082 */
	{26590, 0xFFFF},
	{92125, 0x300000, 2, 36622},
	{96979, 0x8000000, 2, 36618},
	{97001, 0x60000000, 3, 36626},
	{97009, 0x80000000},
	/* 4087 */
	{91771, 0x1FFFFF},
	{97047, 0x200000},
	{101552, 0xC00000, 4, 36956},
	{101561, 0x3000000, 4, 36956},
	{91782, 0x4000000, 2, 36630},
	{91786, 0x8000000, 2, 36630},
	{91790, 0x10000000, 2, 36632},
	{91795, 0x20000000, 2, 36632},
	{91800, 0x40000000},
	/* 4096 */
	{96979, 0x1, 2, 36618},
	{92125, 0x300000, 2, 36622},
	{97001, 0x60000000, 3, 36626},
	{97009, 0x80000000},
	/* 4100 */
	{55093, 0xF},
	{55102, 0xF0},
	{55112, 0x100},
	{55123, 0x200},
	{55128, 0x400},
	{99527, 0x800},
	{55255, 0x1FF000, 257, 0},
	{55286, 0x10000000},
	{55292, 0xE0000000},
	/* 4109 */
	{55457, 0x1FF, 257, 0},
	{55502, 0x3F0000},
	{55555, 0xE0000000},
	/* 4112 */
	{50478, 0xF},
	{55563, 0x30},
	{55571, 0xC0},
	{55579, 0xF00},
	{55585, 0x1000},
	{28888, 0x6000},
	{55603, 0xF0000},
	{55609, 0xF00000},
	{55615, 0x7000000},
	{55624, 0x38000000},
	{55633, 0xC0000000},
	/* 4123 */
	{55714, 0xF},
	{55721, 0x70},
	{55743, 0xF00},
	{55752, 0x7000},
	/* 4127 */
	{56029, 0xF},
	{56052, 0x10},
	{56075, 0x20},
	{56098, 0x40},
	{56118, 0x80},
	{56138, 0x100},
	{56158, 0x200},
	{56178, 0x400},
	{56198, 0x800},
	{56218, 0x1000},
	{56238, 0x2000},
	{56258, 0x4000},
	{56390, 0x1000000},
	{57328, 0x2000000},
	{56408, 0x10000000},
	{56417, 0x20000000},
	{56426, 0x40000000},
	/* 4144 */
	{56945, 0x1},
	{56955, 0x2},
	{56965, 0x4},
	{56974, 0x8},
	{56983, 0x10},
	{56994, 0x20},
	{57005, 0x40},
	{57015, 0x80},
	{103513, 0x100},
	{103528, 0x200},
	{57025, 0x400},
	{57035, 0x800},
	{57052, 0x1000},
	{57170, 0x20000000},
	{57183, 0x40000000},
	{56417, 0x80000000},
	/* 4160 */
	{113098, 0x1},
	{113119, 0x2},
	{57680, 0x8},
	{57699, 0x10},
	{57719, 0x40},
	{57738, 0x100},
	{57759, 0x200},
	{57777, 0x400},
	{113140, 0x800},
	{113161, 0x1000},
	{57800, 0x2000},
	{57822, 0x10000},
	{57843, 0x20000},
	{57861, 0x40000},
	{113184, 0x80000},
	{113205, 0x100000},
	{57884, 0x200000},
	/* 4177 */
	{57999, 0x1},
	{58018, 0x2},
	{103513, 0x4},
	{103528, 0x8},
	{58027, 0x10},
	{58042, 0x20},
	{58056, 0x40},
	{58075, 0x80},
	{58094, 0x100},
	{58109, 0x200},
	{58126, 0x400},
	{58148, 0x800},
	{58170, 0x1000},
	{58185, 0x2000},
	{57025, 0x4000},
	{58200, 0x8000},
	{58345, 0x40000000},
	{56408, 0x80000000},
	/* 4195 */
	{58358, 0x1},
	{58376, 0x2},
	{58390, 0x4},
	{58409, 0x8},
	{58428, 0x10},
	{58443, 0x20},
	{58461, 0x40},
	{58479, 0x80},
	{58496, 0x100},
	{113228, 0x200},
	{58542, 0x800},
	{58566, 0x1000},
	{58584, 0x2000},
	{58602, 0x4000},
	{58623, 0x8000},
	{58647, 0x10000},
	{58673, 0x20000},
	{58690, 0x40000},
	{58710, 0x80000},
	{58730, 0x100000},
	{58750, 0x200000},
	{58771, 0x400000},
	{58794, 0x800000},
	{58815, 0x1000000},
	{58834, 0x2000000},
	{58851, 0x4000000},
	{58867, 0x8000000},
	{58883, 0x10000000},
	{58899, 0x20000000},
	{58918, 0x40000000},
	{58930, 0x80000000},
	/* 4226 */
	{58942, 0x1},
	{58961, 0x2},
	{58981, 0x4},
	{59001, 0x8},
	{102203, 0x10},
	{59021, 0x20},
	{59042, 0x40},
	/* 4233 */
	{107805, 0x1F},
	{107812, 0x20},
	{60089, 0x80},
	{55398, 0xF00},
	{107819, 0x3000},
	{60102, 0x4000},
	{60115, 0x8000},
	{107830, 0xFFFF0000},
	{107830, 0xFFFF0000},
	/* 4242 */
	{9994, 0xF},
	{83806, 0x10},
	/* 4244 */
	{113250, 0xFFFF},
	/* 4245 */
	{60241, 0x3FF},
	{60256, 0x3FF0000},
	{107881, 0x20000000},
	{56279, 0x40000000},
	{68325, 0x80000000},
	/* 4250 */
	{70849, 0xFFFFFFFF},
	/* 4251 */
	{91262, 0xFFFF},
	{91274, 0x10000},
	{26653, 0xE0000000},
	/* 4254 */
	{113260, 0x1000},
	{91370, 0x6000},
	{113268, 0x8000},
	{91399, 0x300000},
	{113281, 0x1000000},
	{91410, 0x6000000},
	{113289, 0x8000000},
	{91439, 0x60000000},
	/* 4262 */
	{113302, 0x7F},
	{113314, 0x3F000},
	{11589, 0x6000000},
	{92104, 0x8000000},
	/* 4266 */
	{27643, 0xFFFF},
	{92125, 0x30000},
	{92133, 0x7000000},
	{92141, 0xE0000000},
	/* 4270 */
	{93150, 0x3F},
	{93155, 0xC0},
	{93163, 0x100},
	{93169, 0xFFFFFE00},
	/* 4274 */
	{80713, 0x1},
	{858, 0x1FFE},
	{209, 0x2000},
	{88655, 0x4000},
	{93177, 0x8000},
	{93189, 0x7FF0000},
	{93200, 0x8000000},
	{93211, 0x10000000},
	{93155, 0xE0000000},
	/* 4283 */
	{93349, 0x3F},
	{93359, 0xFC00},
	/* 4285 */
	{93299, 0x3F},
	{93308, 0xFC00},
	{94865, 0xF00000},
	/* 4288 */
	{93299, 0xFF},
	{95001, 0xF000},
	{107701, 0xF0000},
	{93318, 0xF00000},
	{107717, 0xF000000},
	{94919, 0xF0000000},
	/* 4294 */
	{95908, 0xFFFFFFFF},
	/* 4295 */
	{52065, 0xFF},
	{10365, 0xFFFFFF00},
	/* 4297 */
	{95886, 0xFFFFFFFF},
	/* 4298 */
	{26590, 0xFFFF},
	{92125, 0x300000, 4, 36960},
	{96979, 0x8000000, 2, 36618},
	{97001, 0x60000000, 4, 36626},
	{97009, 0x80000000},
	/* 4303 */
	{96979, 0x1, 2, 36618},
	{91370, 0x6000},
	{92125, 0x300000, 4, 36960},
	{91410, 0x6000000},
	{97001, 0x60000000, 4, 36626},
	{97009, 0x80000000},
	/* 4309 */
	{55093, 0xF},
	{55102, 0xF0},
	{55112, 0x100},
	{55123, 0x200},
	{55128, 0x400},
	{99527, 0x800},
	{55255, 0x1FF000, 257, 0},
	{113331, 0x8000000},
	{55286, 0x10000000},
	{55292, 0xE0000000},
	/* 4319 */
	{55296, 0x1},
	{55300, 0x6},
	{55309, 0x18},
	{55319, 0x20},
	{55324, 0x40},
	{55332, 0x80},
	{55342, 0x100},
	{55353, 0x200},
	{55359, 0x400},
	{55364, 0x800},
	{55370, 0x1000},
	{55381, 0x2000},
	{55386, 0x4000},
	{99546, 0x8000},
	{55142, 0x10000},
	{55406, 0x20000},
	{55414, 0x40000},
	{55426, 0x80000},
	{99559, 0x100000},
	{99573, 0x200000},
	{113342, 0x400000},
	{99595, 0x800000},
	{55445, 0x8000000},
	/* 4342 */
	{55457, 0x1FF, 257, 0},
	{55462, 0x400},
	{55502, 0x3F0000},
	{55555, 0xE0000000},
	/* 4346 */
	{55714, 0xF},
	{55721, 0x70},
	{55743, 0xF00},
	{55752, 0x7000},
	{55761, 0x8000},
	{55774, 0xF0000},
	/* 4352 */
	{99624, 0x7},
	{99632, 0x8},
	{99643, 0x10},
	{99656, 0xE0},
	{99672, 0x300},
	{99682, 0xC00},
	{99692, 0xF0000},
	{55877, 0xF00000},
	{99704, 0x3000000},
	{99711, 0x4000000},
	{99718, 0x18000000},
	{69302, 0x20000000},
	{99726, 0x40000000},
	/* 4365 */
	{113355, 0x1},
	{55822, 0x2},
	{55828, 0x4},
	{55857, 0xF0},
	{55862, 0xF00},
	/* 4370 */
	{56029, 0xF},
	{56052, 0x10},
	{56075, 0x20},
	{56098, 0x40},
	{56118, 0x80},
	{56138, 0x100},
	{56158, 0x200},
	{56178, 0x400},
	{56198, 0x800},
	{56218, 0x1000},
	{56238, 0x2000},
	{56258, 0x4000},
	{56390, 0x1000000},
	{57328, 0x2000000},
	{113362, 0x4000000},
	{56408, 0x10000000},
	{56417, 0x20000000},
	{56426, 0x40000000},
	/* 4388 */
	{56945, 0x1},
	{56955, 0x2},
	{56965, 0x4},
	{56974, 0x8},
	{56983, 0x10},
	{56994, 0x20},
	{57005, 0x40},
	{57015, 0x80},
	{57025, 0x400},
	{57035, 0x800},
	{57052, 0x1000},
	{113378, 0x2000},
	{57170, 0x20000000},
	{57183, 0x40000000},
	{56417, 0x80000000},
	/* 4403 */
	{57680, 0x8},
	{57699, 0x10},
	{57719, 0x40},
	{57738, 0x100},
	{57759, 0x200},
	{57777, 0x400},
	{57800, 0x2000},
	{57822, 0x10000},
	{57843, 0x20000},
	{57861, 0x40000},
	{57884, 0x200000},
	{113391, 0x400000},
	{113415, 0x800000},
	{113439, 0x1000000},
	/* 4417 */
	{57999, 0x1},
	{58018, 0x2},
	{58027, 0x10},
	{58042, 0x20},
	{58056, 0x40},
	{58075, 0x80},
	{58094, 0x100},
	{58109, 0x200},
	{58126, 0x400},
	{58148, 0x800},
	{58170, 0x1000},
	{58185, 0x2000},
	{57025, 0x4000},
	{58200, 0x8000},
	{58209, 0x10000},
	{113378, 0x20000},
	{58300, 0x4000000},
	{58313, 0x8000000},
	{58326, 0x30000000},
	{58345, 0x40000000},
	{56408, 0x80000000},
	/* 4438 */
	{58942, 0x1},
	{58961, 0x2},
	{58981, 0x4},
	{59001, 0x8},
	{59021, 0x20},
	{59042, 0x40},
	{113391, 0x80},
	{113415, 0x100},
	{113439, 0x200},
	/* 4447 */
	{60467, 0x7, 8, 36723},
	{60477, 0x38, 8, 36723},
	{60487, 0x1C0, 8, 36723},
	{60497, 0xE00, 8, 36723},
	{108470, 0x7000, 8, 36964},
	{108862, 0x78000, 16, 36739},
	{108874, 0x180000},
	{64414, 0x600000},
	{64427, 0x800000},
	{83806, 0x1000000},
	{108887, 0x2000000},
	{108899, 0x4000000},
	{83819, 0x38000000},
	{209, 0xC0000000, 4, 36755},
	/* 4461 */
	{60410, 0xFF},
	{64748, 0xFFF00},
	{108862, 0x3F00000, 64, 36759},
	{108470, 0x3C000000, 16, 36972},
	{83819, 0xC0000000},
	/* 4466 */
	{66965, 0xFFF},
	{67029, 0xFF000},
	{67002, 0x100000},
	{67151, 0x200000},
	{67166, 0x400000},
	{67182, 0x800000},
	{113622, 0xF000000},
	{113638, 0xF0000000},
	/* 4474 */
	{113654, 0xFFFFFFFF},
	/* 4475 */
	{64559, 0x7, 8, 36855},
	{64567, 0x38, 8, 36855},
	{64575, 0x1C0, 8, 36855},
	{64583, 0xE00},
	{64599, 0x7000, 8, 36863},
	{64618, 0x8000},
	{64637, 0x70000},
	{64653, 0x80000},
	{64668, 0x100000},
	{64682, 0x7E00000},
	{64693, 0x8000000},
	{64705, 0x10000000},
	{64723, 0x60000000, 3, 36871},
	{113672, 0x80000000},
	/* 4489 */
	{64780, 0x3FFF},
	{64824, 0xFC000},
	{64837, 0x300000, 4, 36874},
	{64851, 0xC00000, 4, 36874},
	{64865, 0x3000000, 3, 36878},
	{64874, 0xC000000, 4, 36988},
	{64885, 0x10000000},
	{112044, 0x20000000},
	{112061, 0x40000000},
	{64904, 0x80000000},
	/* 4499 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67899, 0x80},
	{67909, 0x100},
	{67921, 0x200},
	{67933, 0x400},
	{67945, 0x800},
	{67957, 0x1000},
	{55255, 0x3FE000, 257, 0},
	{67974, 0x1000000},
	/* 4510 */
	{83806, 0x1},
	{83819, 0x6},
	/* 4512 */
	{17302, 0x3, 4, 3099},
	{70366, 0xC},
	{66179, 0xE000, 7, 2800},
	{90218, 0x700000},
	{70493, 0x7800000},
	{70517, 0x8000000},
	{70532, 0x10000000},
	{70542, 0x20000000},
	{113718, 0x40000000},
	{70562, 0x80000000},
	/* 4522 */
	{17302, 0x1, 2, 3107},
	{66179, 0xE000, 7, 2800},
	{90218, 0x700000},
	{70517, 0x8000000},
	{70605, 0x20000000},
	{113718, 0x40000000},
	/* 4528 */
	{73749, 0x1},
	{113735, 0x2},
	{73776, 0x7C},
	/* 4531 */
	{78680, 0x8},
	{982, 0x70, 7, 36061},
	{77953, 0xFF0000, 256, 36069},
	/* 4534 */
	{80425, 0x1},
	{80441, 0x2},
	{80457, 0x4},
	{80473, 0x8},
	{80489, 0x10},
	{80505, 0x20},
	{80521, 0x40},
	{80537, 0x80},
	{80553, 0x100},
	{80569, 0x200},
	{80585, 0x400},
	{80601, 0x800},
	{80617, 0x1000},
	{80633, 0x2000},
	{80649, 0x4000},
	{80665, 0x8000},
	{80681, 0x10000},
	{80700, 0x20000},
	{80718, 0x40000},
	{80745, 0x80000},
	{80767, 0x100000},
	{80785, 0x200000},
	{80805, 0x400000},
	{80828, 0x800000},
	{80851, 0x1000000},
	{80876, 0x2000000},
	{80919, 0x4000000},
	/* 4561 */
	{982, 0x7, 6, 36360},
	{82506, 0x8},
	{82562, 0x30, 4, 36366},
	{82571, 0x7C0},
	{82582, 0x800},
	{82595, 0x1000},
	{82606, 0x2000},
	{93506, 0x4000},
	{113774, 0x8000},
	{113785, 0x10000},
	{82665, 0x20000},
	{82684, 0x40000},
	{82698, 0x80000},
	{82716, 0x100000},
	{82734, 0x600000},
	/* 4576 */
	{203, 0x3, 3, 36374},
	{83653, 0xC, 4, 36377},
	{83733, 0x30, 4, 36381},
	{83793, 0x40, 2, 36385},
	{78121, 0x200},
	{83810, 0x400},
	{83819, 0x1800},
	/* 4583 */
	{85029, 0x3F, 61, 36992},
	{60415, 0x7FC0000},
	{85040, 0x8000000},
	/* 4586 */
	{85155, 0xFFFF},
	{85170, 0x10000},
	{85189, 0x20000},
	{85203, 0x40000},
	{85222, 0x80000},
	{85236, 0x100000},
	{85880, 0xF0000000},
	/* 4593 */
	{89804, 0x1},
	{85253, 0x2},
	{113012, 0x4},
	{113035, 0x8},
	{113043, 0x3F0},
	{113058, 0xFC00},
	{85332, 0x10000},
	{113796, 0x20000},
	/* 4601 */
	{209, 0x3, 3, 36468},
	{86114, 0x1C, 4, 36471},
	{86191, 0xE0, 4, 36475},
	{86200, 0x100},
	{86220, 0x200},
	{86231, 0x3C00},
	{86253, 0x4000},
	{83793, 0x8000, 2, 36385},
	{86287, 0x60000, 3, 36479},
	{83819, 0x180000},
	/* 4611 */
	{89093, 0x3, 4, 36520},
	{17302, 0x7C, 24, 36524},
	{65211, 0x80},
	{89691, 0x700, 8, 36556},
	{89747, 0x1800, 4, 36564},
	{78729, 0x2000},
	{69644, 0x4000},
	{89757, 0x8000},
	{89769, 0x10000},
	{89782, 0x20000},
	{87361, 0x40000},
	{89795, 0x80000},
	{90022, 0x700000, 8, 36568},
	{90044, 0x3800000, 8, 36568},
	{90068, 0x4000000},
	{90094, 0x8000000},
	{90120, 0x10000000},
	{90188, 0x60000000, 3, 36576},
	/* 4629 */
	{11589, 0x2000000},
	{83819, 0x18000000},
	/* 4631 */
	{91262, 0xFFFF},
	{91274, 0x10000},
	{91165, 0x2000000},
	{83819, 0x18000000},
	{26653, 0xE0000000},
	/* 4636 */
	{26221, 0xFFFF},
	{83819, 0x300000},
	{91165, 0x400000},
	/* 4639 */
	{26293, 0xFFFF},
	{83819, 0x300000},
	{91165, 0x400000},
	/* 4642 */
	{113810, 0xC00},
	{113260, 0x1000},
	{91370, 0x2000},
	{91399, 0x300000},
	{113820, 0xC00000},
	{113281, 0x1000000},
	{91410, 0x2000000},
	{91439, 0x60000000},
	/* 4650 */
	{92304, 0x1},
	{92320, 0x2},
	{113830, 0x4},
	{91487, 0x8},
	{92336, 0x40},
	{92354, 0x80},
	{92372, 0x100},
	{92390, 0x200},
	{92408, 0x400},
	{92426, 0x800},
	{92444, 0x1000},
	{92462, 0x2000},
	{92480, 0x4000},
	{91548, 0x8000},
	{91568, 0x40000},
	{92497, 0x80000},
	{92513, 0x200000},
	{91585, 0x400000},
	{91601, 0x800000},
	{91615, 0x2000000},
	{91629, 0x4000000},
	{91643, 0x8000000},
	{91664, 0x10000000},
	{91689, 0x20000000},
	{91710, 0x40000000},
	{113847, 0x80000000},
	/* 4676 */
	{113302, 0x7F},
	{113314, 0x3F000},
	{11589, 0x2000000},
	{83819, 0x18000000},
	/* 4680 */
	{27643, 0xFFFFFFF},
	/* 4681 */
	{113250, 0xFFFFFFFF},
	/* 4682 */
	{93244, 0xFFFF},
	{93268, 0xF0000},
	{93255, 0x300000},
	{55886, 0x3FC00000},
	{93276, 0x40000000},
	{9882, 0x80000000},
	/* 4688 */
	{60410, 0xFF},
	{64748, 0xFFF00},
	{108862, 0x3F00000, 64, 37053},
	{108470, 0x3C000000, 16, 36972},
	{83819, 0xC0000000},
	/* 4693 */
	{78662, 0x1},
	{78680, 0x8},
	{982, 0x70, 7, 36061},
	{77953, 0xFF0000, 256, 36069},
	/* 4697 */
	{85497, 0xFF},
	{85511, 0xFF00},
	{85521, 0xFF0000},
	{85532, 0xFF000000},
	/* 4701 */
	{89093, 0x3, 4, 36520},
	{17302, 0x7C, 31, 36524},
	{65211, 0x80},
	{89691, 0x700, 8, 36556},
	{89747, 0x1800, 4, 36564},
	{78729, 0x2000},
	{69644, 0x4000},
	{89757, 0x8000},
	{89769, 0x10000},
	{89782, 0x20000},
	{87361, 0x40000},
	{89795, 0x80000},
	{90022, 0x700000, 8, 36568},
	{90044, 0x3800000, 8, 36568},
	{90068, 0x4000000},
	{90094, 0x8000000},
	{90120, 0x10000000},
	{90188, 0x60000000, 3, 36576},
	/* 4719 */
	{80713, 0x1},
	{858, 0x1FFE},
	{209, 0x2000},
	{88655, 0x4000},
	{93177, 0x8000},
	{93189, 0xFFF0000},
	{93200, 0x10000000},
	{93211, 0x20000000},
	{93155, 0xC0000000},
	/* 4728 */
	{55093, 0xF},
	{55102, 0xF0},
	{55112, 0x100},
	{55123, 0x200},
	{55128, 0x400},
	{99527, 0x800},
	{55255, 0x1FF000, 257, 0},
	{55263, 0x800000},
	{114165, 0x1000000},
	{114178, 0x2000000},
	{55273, 0x4000000},
	{113331, 0x8000000},
	{55286, 0x10000000},
	{55292, 0xE0000000},
	/* 4742 */
	{55296, 0x1},
	{55300, 0x6},
	{55309, 0x18},
	{55319, 0x20},
	{55324, 0x40},
	{55332, 0x80},
	{55342, 0x100},
	{55353, 0x200},
	{55359, 0x400},
	{55364, 0x800},
	{55370, 0x1000},
	{55381, 0x2000},
	{55386, 0x4000},
	{99546, 0x8000},
	{55142, 0x10000},
	{55406, 0x20000},
	{55414, 0x40000},
	{55426, 0x80000},
	{99559, 0x100000},
	{99573, 0x200000},
	{113342, 0x400000},
	{55434, 0x800000},
	{55445, 0x8000000},
	/* 4765 */
	{55457, 0x1FF, 257, 0},
	{55462, 0x400},
	{55470, 0x800},
	{55483, 0x7000},
	{55502, 0x3F0000},
	{55543, 0x10000000},
	{55555, 0xE0000000},
	/* 4772 */
	{55714, 0xF},
	{55721, 0x70},
	{55743, 0xF00},
	{55752, 0x7000},
	{55761, 0x8000},
	{55774, 0x1F0000},
	{55779, 0xC00000},
	/* 4779 */
	{99624, 0x7},
	{99632, 0x8},
	{99643, 0x10},
	{99656, 0xE0},
	{99672, 0x300},
	{99682, 0xC00},
	{99692, 0xF0000},
	{99704, 0x3000000},
	{99711, 0x4000000},
	{99718, 0x18000000},
	{69302, 0x20000000},
	{99726, 0x40000000},
	{114191, 0x80000000},
	/* 4792 */
	{113355, 0x1},
	{55822, 0x2},
	{55828, 0x4},
	{55857, 0x1F0},
	{55862, 0xF800},
	{55774, 0x7C0000},
	{55877, 0xFE000000},
	/* 4799 */
	{56029, 0xF},
	{56052, 0x10},
	{56075, 0x20},
	{56098, 0x40},
	{56118, 0x80},
	{56138, 0x100},
	{56158, 0x200},
	{56178, 0x400},
	{56198, 0x800},
	{56218, 0x1000},
	{56238, 0x2000},
	{56258, 0x4000},
	{56273, 0x8000},
	{56284, 0x10000},
	{56292, 0x20000},
	{56301, 0x40000},
	{56318, 0x80000},
	{56333, 0x100000},
	{56390, 0x1000000},
	{57328, 0x2000000},
	{113362, 0x4000000},
	{56408, 0x10000000},
	{56417, 0x20000000},
	{56426, 0x40000000},
	{56435, 0x80000000},
	/* 4824 */
	{56446, 0xF},
	{56469, 0x20},
	{56485, 0x80},
	{56508, 0x100},
	{56531, 0x200},
	{56550, 0x1000},
	{56559, 0x2000},
	{56568, 0x4000},
	{56576, 0x8000},
	{100415, 0x10000},
	{100430, 0x20000},
	{100439, 0x40000},
	{100454, 0x80000},
	{56600, 0x100000},
	{100462, 0x200000},
	{56616, 0x400000},
	{56625, 0x800000},
	{56634, 0x1000000},
	{56642, 0x2000000},
	{56650, 0x4000000},
	{56658, 0x10000000},
	{56400, 0x20000000},
	{56676, 0x40000000},
	{56684, 0x80000000},
	/* 4848 */
	{56550, 0x2},
	{56559, 0x4},
	{56292, 0x200000},
	{56625, 0x400000},
	{100430, 0x800000},
	{56642, 0x1000000},
	{56568, 0x2000000},
	{56600, 0x4000000},
	{56616, 0x8000000},
	{56634, 0x20000000},
	{56650, 0x40000000},
	{56676, 0x80000000},
	/* 4860 */
	{56945, 0x1},
	{56955, 0x2},
	{56965, 0x4},
	{56974, 0x8},
	{56983, 0x10},
	{56994, 0x20},
	{57005, 0x40},
	{57015, 0x80},
	{57025, 0x400},
	{57035, 0x800},
	{57052, 0x1000},
	{57060, 0x2000},
	{57073, 0x4000},
	{57170, 0x20000000},
	{57183, 0x40000000},
	{56417, 0x80000000},
	/* 4876 */
	{57999, 0x1},
	{58018, 0x2},
	{58027, 0x10},
	{58042, 0x20},
	{58056, 0x40},
	{58075, 0x80},
	{58094, 0x100},
	{58109, 0x200},
	{58126, 0x400},
	{58148, 0x800},
	{58170, 0x1000},
	{58185, 0x2000},
	{57025, 0x4000},
	{58200, 0x8000},
	{58209, 0x10000},
	{57060, 0x20000},
	{58300, 0x4000000},
	{58313, 0x8000000},
	{58326, 0x30000000},
	{58345, 0x40000000},
	{56408, 0x80000000},
	/* 4897 */
	{60467, 0x7, 8, 36723},
	{60477, 0x38, 8, 36723},
	{60487, 0x1C0, 8, 36723},
	{60497, 0xE00, 8, 36723},
	{108470, 0x7000, 8, 37117},
	{108862, 0x78000, 16, 36739},
	{114236, 0x80000},
	{114251, 0x100000},
	{64414, 0x600000},
	{64427, 0x800000},
	{82400, 0x8000000},
	{209, 0xC0000000, 4, 36755},
	/* 4909 */
	{60410, 0xFF},
	{64748, 0xFFF00},
	{108862, 0x3F00000, 64, 37125},
	{114735, 0x3F00000, 61, 37189},
	{108470, 0x3C000000, 16, 37250},
	{115242, 0x3C000000, 16, 37266},
	{82400, 0x40000000},
	{115259, 0x80000000},
	/* 4917 */
	{60467, 0x7, 8, 36723},
	{60477, 0x38, 8, 36723},
	{60487, 0x1C0, 8, 36723},
	{60497, 0xE00, 8, 36723},
	{66797, 0xF000},
	{66808, 0xF0000},
	{66819, 0x1F00000},
	{209, 0xF0000000, 16, 36839},
	/* 4925 */
	{18448, 0x1FFF},
	{21164, 0x1FFFE000},
	{66923, 0xE0000000, 6, 2828},
	/* 4928 */
	{66934, 0x1FFF},
	{66945, 0x1E000},
	{113654, 0x1FE0000},
	{90658, 0x2000000},
	{67111, 0x4000000},
	{115271, 0x8000000},
	{66957, 0xF0000000},
	/* 4935 */
	{64780, 0x3FFF},
	{64824, 0xFC000},
	{64837, 0x300000, 4, 36874},
	{64851, 0xC00000, 4, 36874},
	{64865, 0x3000000, 3, 36878},
	{64874, 0xC000000, 4, 36988},
	{64885, 0x10000000},
	{64919, 0x20000000},
	{112061, 0x40000000},
	{64904, 0x80000000},
	/* 4945 */
	{64789, 0xFFF},
	{64735, 0x1000},
	{64806, 0xC0000000, 4, 36884},
	/* 4948 */
	{65120, 0x7},
	{65130, 0x38},
	{65151, 0xC0},
	{112219, 0x700},
	{66769, 0x7000, 4, 2824},
	{112240, 0x70000},
	{65172, 0x180000},
	{112264, 0xE00000},
	{112273, 0x3000000},
	{65191, 0xC000000},
	{112293, 0x30000000},
	{112302, 0x40000000},
	{115287, 0x80000000},
	/* 4961 */
	{67219, 0xFFFF},
	{67234, 0x3F0000},
	{67245, 0x3C00000},
	{115297, 0x3C000000},
	/* 4965 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{67349, 0x1000000},
	{112389, 0x10000000},
	{55263, 0x20000000},
	/* 4976 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67412, 0x80},
	{67424, 0xFF00},
	{55255, 0x1FF0000, 257, 0},
	{67439, 0x2000000},
	{67461, 0x4000000},
	{67991, 0x8000000},
	{67486, 0x10000000},
	/* 4986 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{67869, 0x3000000},
	{67883, 0x4000000},
	{112389, 0x40000000},
	{55263, 0x80000000},
	/* 4998 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{67899, 0x80},
	{67909, 0x100},
	{67921, 0x200},
	{67933, 0x400},
	{67945, 0x800},
	{67957, 0x1000},
	{55255, 0x3FE000, 257, 0},
	{67963, 0x400000},
	{67974, 0x1000000},
	{67991, 0x8000000},
	{67486, 0x10000000},
	/* 5012 */
	{68028, 0x7F},
	{68003, 0x3F80},
	/* 5014 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{67883, 0x1000000},
	{112389, 0x10000000},
	{68054, 0x60000000},
	{55263, 0x80000000},
	/* 5026 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{55255, 0xFF80, 257, 0},
	{68071, 0x30000},
	{67899, 0x40000},
	{55688, 0x7F80000},
	{67991, 0x8000000},
	{67486, 0x10000000},
	/* 5035 */
	{67234, 0x3F},
	{67245, 0x3C0},
	{115297, 0x3C00},
	{67219, 0xFFFF0000},
	/* 5039 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{112389, 0x8000000},
	{68088, 0x30000000},
	{55263, 0x40000000},
	/* 5050 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{55255, 0xFF80, 257, 0},
	{55688, 0x1FF0000},
	{67991, 0x8000000},
	{67486, 0x10000000},
	/* 5057 */
	{68116, 0x1},
	{68134, 0x2},
	{68148, 0x4},
	{68167, 0x8},
	{68187, 0x10},
	{68207, 0x20},
	{68229, 0x40},
	{68240, 0x400},
	{68258, 0x800},
	{10365, 0x1000},
	{68290, 0x4000},
	/* 5068 */
	{67273, 0x3F},
	{67279, 0x3C0},
	{64960, 0xC00},
	{67328, 0xFF000, 241, 2834},
	{55319, 0x100000},
	{55112, 0x200000},
	{112368, 0x400000},
	{67339, 0x800000},
	{68349, 0x1000000},
	{112389, 0x2000000},
	{55263, 0x4000000},
	/* 5079 */
	{67378, 0x1},
	{67389, 0x3E},
	{67399, 0x40},
	{68355, 0x80},
	{68365, 0x100},
	{68375, 0x200},
	{68105, 0x400},
	{68385, 0x1800},
	{68400, 0x6000},
	{55688, 0xFF8000},
	{55255, 0x7F000000, 257, 0},
	{67991, 0x80000000},
	/* 5091 */
	{68412, 0x3FF},
	{68425, 0xF000},
	{68435, 0x3F0000},
	{68450, 0x400000},
	{68465, 0x800000},
	{68481, 0x7000000},
	{115297, 0x78000000},
	/* 5098 */
	{69024, 0x7FF},
	{69051, 0xFFE000},
	{69061, 0x1000000},
	{69073, 0x2000000},
	{69091, 0x3C000000},
	/* 5103 */
	{17302, 0x3, 4, 3099},
	{70366, 0xC},
	{66819, 0x1F0},
	{70450, 0x1000},
	{70421, 0x6000, 4, 3103},
	{70436, 0x8000},
	{70486, 0xF0000},
	{70493, 0x7800000},
	{70517, 0x8000000},
	{70532, 0x10000000},
	{70542, 0x20000000},
	{113718, 0x40000000},
	{70562, 0x80000000},
	/* 5116 */
	{17302, 0x1, 2, 3107},
	{66819, 0x1F0},
	{70450, 0x1000},
	{70421, 0x6000, 4, 3103},
	{70436, 0x8000},
	{70517, 0x8000000},
	{70605, 0x20000000},
	{113718, 0x40000000},
	/* 5124 */
	{54735, 0xFFFF},
	/* 5125 */
	{71472, 0x3, 4, 35886},
	{71484, 0xC, 4, 35886},
	{71596, 0x30, 4, 35890},
	{71653, 0x40, 2, 35894},
	{71709, 0x80, 2, 35896},
	{71813, 0x300, 4, 35898},
	{71921, 0xC00, 4, 35902},
	{72030, 0x3000, 4, 35906},
	{72143, 0xC000, 4, 35910},
	{72245, 0x30000, 4, 35914},
	{72391, 0xC0000, 4, 35918},
	{72538, 0x300000, 4, 35922},
	{72638, 0x3000000, 4, 35926},
	{72784, 0x1C000000, 5, 37282},
	{72931, 0xE0000000, 5, 37287},
	/* 5140 */
	{73051, 0x3, 4, 35938},
	{73222, 0x1C, 5, 37292},
	{73394, 0xE0, 5, 37297},
	/* 5143 */
	{73749, 0x1},
	{113735, 0x2},
	{73776, 0x7C},
	{73805, 0x100},
	{73834, 0x200},
	{73865, 0x400},
	{73893, 0x1000},
	{73921, 0x2000},
	{73951, 0x4000},
	/* 5152 */
	{80425, 0x1},
	{80441, 0x2},
	{80457, 0x4},
	{80473, 0x8},
	{80489, 0x10},
	{80505, 0x20},
	{80521, 0x40},
	{80537, 0x80},
	{80553, 0x100},
	{80569, 0x200},
	{80585, 0x400},
	{80601, 0x800},
	{80617, 0x1000},
	{80633, 0x2000},
	{80649, 0x4000},
	{80665, 0x8000},
	{80681, 0x10000},
	{80700, 0x20000},
	{80718, 0x40000},
	{80745, 0x80000},
	{80767, 0x100000},
	{80785, 0x200000},
	{80805, 0x400000},
	{80828, 0x800000},
	{80851, 0x1000000},
	{80876, 0x2000000},
	{80919, 0x4000000},
	{80896, 0x8000000},
	/* 5180 */
	{81525, 0x1},
	{81297, 0x2},
	{81321, 0x4},
	{81341, 0x8},
	{81362, 0x10},
	{81563, 0x40},
	/* 5186 */
	{81592, 0x1},
	{81603, 0x2},
	{115464, 0x4},
	/* 5189 */
	{92900, 0x1},
	{81773, 0x1E},
	{81785, 0xE0},
	{81799, 0x300},
	{81815, 0x1C00},
	{81826, 0x1E000},
	/* 5195 */
	{203, 0x3, 3, 36374},
	{83653, 0xC, 4, 36377},
	{83733, 0x30, 4, 36381},
	{83793, 0x40, 2, 36385},
	{85853, 0x100},
	{78121, 0x200},
	{83810, 0x400},
	/* 5202 */
	{85029, 0x3F, 64, 37302},
	{60415, 0x7FFFC00},
	{85040, 0x8000000},
	/* 5205 */
	{54854, 0xFFFF},
	/* 5206 */
	{85070, 0x1},
	{85084, 0x2},
	{115527, 0x4},
	{85100, 0x8},
	/* 5210 */
	{85253, 0x2},
	{113012, 0x4},
	{113035, 0x8},
	{113043, 0x3F0},
	{113058, 0xFC00},
	{85332, 0x10000},
	{67116, 0x40000},
	{115276, 0x80000},
	/* 5218 */
	{85604, 0x3, 4, 36452},
	{85635, 0x4, 2, 36456},
	{19758, 0x18, 4, 36458},
	{85717, 0x20, 2, 36462},
	{85782, 0xC0, 4, 36464},
	{67974, 0x200},
	{85799, 0x400},
	{85819, 0x800},
	{85839, 0x1000},
	{85853, 0x2000},
	{85864, 0x4000},
	{85880, 0x78000},
	{85900, 0x180000},
	/* 5231 */
	{209, 0x3, 3, 36468},
	{86114, 0x1C, 4, 36471},
	{86191, 0xE0, 4, 36475},
	{86200, 0x100},
	{86220, 0x200},
	{86253, 0x4000},
	{83793, 0x8000, 2, 36385},
	{86287, 0x60000, 4, 36479},
	/* 5239 */
	{87954, 0x3, 4, 36505},
	{87967, 0x4},
	{87978, 0x8},
	{88087, 0x70},
	{88105, 0x380},
	{88123, 0x1C00},
	{88146, 0x3E000},
	{88172, 0x40000},
	{88194, 0x7F80000},
	{88210, 0x8000000},
	{88232, 0x10000000},
	/* 5250 */
	{88371, 0x1},
	{88388, 0x1E},
	{88412, 0x20},
	{88430, 0x3C0},
	{88455, 0x400},
	{88485, 0x800},
	{88500, 0x1000},
	{88515, 0x2000},
	{88550, 0x4000},
	{88586, 0x8000},
	{88676, 0x30000},
	{88700, 0x40000},
	{88736, 0x80000},
	{88772, 0x100000},
	{88798, 0x200000},
	{88822, 0x400000},
	{88842, 0x800000},
	{88863, 0x1000000},
	/* 5268 */
	{69024, 0x7FF},
	{69051, 0xFFE000},
	{89032, 0xF000000},
	/* 5271 */
	{89093, 0x3, 4, 36520},
	{17302, 0x7C, 32, 36524},
	{89691, 0x700, 8, 36556},
	{89747, 0x1800, 4, 36564},
	{78729, 0x2000},
	{69644, 0x4000},
	{89757, 0x8000},
	{89769, 0x10000},
	{89782, 0x20000},
	{87361, 0x40000},
	{90022, 0x700000, 8, 36568},
	{90044, 0x3800000, 8, 36568},
	{90068, 0x4000000},
	{90094, 0x8000000},
	{90120, 0x10000000},
	{90188, 0x60000000, 3, 36576},
	/* 5287 */
	{90647, 0x7FF},
	{90658, 0x800},
	{70366, 0x7000},
	{90274, 0x18000},
	{90288, 0x20000},
	{90670, 0x7C0000},
	{90684, 0xF800000},
	{90698, 0x30000000},
	{115276, 0x40000000},
	{67116, 0x80000000},
	/* 5297 */
	{91262, 0xFFFF},
	{91274, 0x10000},
	{91165, 0x2000000},
	{26653, 0xE0000000},
	/* 5301 */
	{26221, 0xFFFF},
	{91165, 0x400000},
	/* 5303 */
	{26293, 0xFFFF},
	{91165, 0x400000},
	/* 5305 */
	{91357, 0x400},
	{91370, 0x2000},
	{91399, 0x300000},
	{91410, 0x2000000},
	{91439, 0x60000000},
	/* 5310 */
	{91816, 0x1},
	{91850, 0x30},
	{91862, 0xF0000},
	{91875, 0x10000000},
	{91890, 0x20000000},
	{91904, 0xC0000000},
	/* 5316 */
	{113302, 0x7F},
	{113314, 0x3F000},
	{91165, 0x2000000},
	{92117, 0x10000000},
	/* 5320 */
	{92547, 0xF},
	{92559, 0xF0},
	{100576, 0xF00},
	{115546, 0xF000},
	{92587, 0x30000},
	{55886, 0xC0000},
	{9882, 0x100000},
	{10365, 0xFFE00000},
	/* 5328 */
	{203, 0x3, 3, 36374},
	{85853, 0x100},
	/* 5330 */
	{107889, 0x7},
	{107897, 0x38},
	{107905, 0x1C0},
	{107913, 0xE00},
	{107921, 0x7000},
	{107929, 0x38000},
	{107937, 0x1C0000},
	{982, 0x600000},
	{107945, 0x1800000},
	{107958, 0x2000000},
	{115555, 0x4000000},
	{107971, 0x18000000},
	{107982, 0x20000000},
	{60062, 0x40000000},
	{64718, 0x80000000},
	/* 5345 */
	{60241, 0x3FF},
	{60256, 0x3FF0000},
	{97344, 0x10000000},
	{107881, 0x20000000},
	{56279, 0x40000000},
	{68325, 0x80000000},
	/* 5351 */
	{80713, 0x1},
	{858, 0x1FFE},
	{209, 0x2000},
	{88655, 0x4000},
	{93177, 0x8000},
	{93189, 0xFFF0000},
	{93200, 0x10000000},
	{93211, 0x20000000},
	{93221, 0x40000000},
	{93155, 0x80000000},
	/* 5361 */
	{115566, 0xF},
	{115581, 0x10},
	{115605, 0x20},
	{115625, 0x40},
	{115641, 0x80},
	{115657, 0x100},
	{115683, 0x200},
	{115700, 0x3C00},
	{115716, 0x4000},
	{115737, 0x8000},
	{115758, 0xFFFF0000},
	/* 5372 */
	{115772, 0xF},
	{115813, 0xF0},
	/* 5374 */
	{115852, 0x3},
	{115865, 0xC},
	{115878, 0x30},
	{115891, 0xC0},
	/* 5378 */
	{115904, 0x3FF},
	{115914, 0xFFC00},
	{93318, 0xF00000},
	{93327, 0xF000000},
	{93338, 0xF0000000},
	/* 5383 */
	{115924, 0x3FF},
	{115934, 0xFFC00},
	{93369, 0xF000000},
	{93380, 0xF0000000},
	/* 5387 */
	{441, 0x7},
	{11232, 0x40000000},
	{9882, 0x80000000},
	/* 5390 */
	{93299, 0x3F},
	{94127, 0x400},
	{94154, 0x800},
	{101221, 0x1000},
	{94181, 0x2000},
	{94207, 0x4000},
	{94233, 0x10000},
	{94260, 0x20000},
	{94286, 0x40000},
	{94312, 0x80000},
	{94340, 0x100000},
	{94366, 0x200000},
	{94392, 0x400000},
	{101248, 0x800000},
	{94418, 0x1000000},
	{94445, 0x2000000},
	{94472, 0x4000000},
	{101274, 0x8000000},
	{101300, 0x10000000},
	{94552, 0x20000000},
	{94581, 0x40000000},
	{94607, 0x80000000},
	/* 5412 */
	{93299, 0x3F},
	{94127, 0x400},
	{94154, 0x800},
	{94181, 0x1000},
	{94207, 0x2000},
	{94233, 0x8000},
	{94260, 0x10000},
	{94340, 0x20000},
	{94366, 0x40000},
	{101221, 0x80000},
	{94286, 0x100000},
	{94445, 0x200000},
	{94607, 0x400000},
	/* 5425 */
	{115944, 0xFF},
	{10365, 0xFFFFFF00},
};

static const char sid_strings[] = {
	'N', 'O', 'P', '\0', /* NOP (0, 1) */
	'S', 'E', 'T', '_', 'B', 'A', 'S', 'E', '\0', /* SET_BASE (4, 8) */
	'C', 'L', 'E', 'A', 'R', '_', 'S', 'T', 'A', 'T', 'E', '\0', /* CLEAR_STATE (13) */
	'I', 'N', 'D', 'E', 'X', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '\0', /* INDEX_BUFFER_SIZE (25, 38) */
	'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'D', 'I', 'R', 'E', 'C', 'T', '\0', /* DISPATCH_DIRECT (43) */
	'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '\0', /* DISPATCH_INDIRECT (59) */
	'O', 'C', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '_', 'Q', 'U', 'E', 'R', 'Y', '\0', /* OCCLUSION_QUERY (77, 91) */
	'S', 'E', 'T', '_', 'P', 'R', 'E', 'D', 'I', 'C', 'A', 'T', 'I', 'O', 'N', '\0', /* SET_PREDICATION (93) */
	'C', 'O', 'N', 'D', '_', 'E', 'X', 'E', 'C', '\0', /* COND_EXEC (109) */
	'P', 'R', 'E', 'D', '_', 'E', 'X', 'E', 'C', '\0', /* PRED_EXEC (119) */
	'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '\0', /* DRAW_INDIRECT (129) */
	'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'E', 'X', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '\0', /* DRAW_INDEX_INDIRECT (143) */
	'I', 'N', 'D', 'E', 'X', '_', 'B', 'A', 'S', 'E', '\0', /* INDEX_BASE (163) */
	'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'E', 'X', '_', '2', '\0', /* DRAW_INDEX_2 (174) */
	'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CONTEXT_CONTROL (187, 195) */
	'I', 'N', 'D', 'E', 'X', '_', 'T', 'Y', 'P', 'E', '\0', /* INDEX_TYPE (203, 209) */
	'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '_', 'M', 'U', 'L', 'T', 'I', '\0', /* DRAW_INDIRECT_MULTI (214) */
	'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'E', 'X', '_', 'A', 'U', 'T', 'O', '\0', /* DRAW_INDEX_AUTO (234, 245) */
	'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'E', 'X', '_', 'I', 'M', 'M', 'D', '\0', /* DRAW_INDEX_IMMD (250) */
	'N', 'U', 'M', '_', 'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', 'S', '\0', /* NUM_INSTANCES (266) */
	'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'E', 'X', '_', 'M', 'U', 'L', 'T', 'I', '_', 'A', 'U', 'T', 'O', '\0', /* DRAW_INDEX_MULTI_AUTO (280) */
	'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'S', 'I', '\0', /* INDIRECT_BUFFER_SI (302) */
	'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'C', 'O', 'N', 'S', 'T', '\0', /* INDIRECT_BUFFER_CONST (321) */
	'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'U', 'P', 'D', 'A', 'T', 'E', '\0', /* STRMOUT_BUFFER_UPDATE (343) */
	'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'E', 'X', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', '2', '\0', /* DRAW_INDEX_OFFSET_2 (365) */
	'W', 'R', 'I', 'T', 'E', '_', 'D', 'A', 'T', 'A', '\0', /* WRITE_DATA (385, 391) */
	'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'E', 'X', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '_', 'M', 'U', 'L', 'T', 'I', '\0', /* DRAW_INDEX_INDIRECT_MULTI (396) */
	'M', 'E', 'M', '_', 'S', 'E', 'M', 'A', 'P', 'H', 'O', 'R', 'E', '\0', /* MEM_SEMAPHORE (422) */
	'M', 'P', 'E', 'G', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* MPEG_INDEX (436, 441, 445) */
	'W', 'A', 'I', 'T', '_', 'R', 'E', 'G', '_', 'M', 'E', 'M', '\0', /* WAIT_REG_MEM (447, 456) */
	'M', 'E', 'M', '_', 'W', 'R', 'I', 'T', 'E', '\0', /* MEM_WRITE (460) */
	'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'C', 'I', 'K', '\0', /* INDIRECT_BUFFER_CIK (470) */
	'C', 'O', 'P', 'Y', '_', 'D', 'A', 'T', 'A', '\0', /* COPY_DATA (490) */
	'P', 'F', 'P', '_', 'S', 'Y', 'N', 'C', '_', 'M', 'E', '\0', /* PFP_SYNC_ME (500, 509) */
	'S', 'U', 'R', 'F', 'A', 'C', 'E', '_', 'S', 'Y', 'N', 'C', '\0', /* SURFACE_SYNC (512) */
	'M', 'E', '_', 'I', 'N', 'I', 'T', 'I', 'A', 'L', 'I', 'Z', 'E', '\0', /* ME_INITIALIZE (525) */
	'C', 'O', 'N', 'D', '_', 'W', 'R', 'I', 'T', 'E', '\0', /* COND_WRITE (539) */
	'E', 'V', 'E', 'N', 'T', '_', 'W', 'R', 'I', 'T', 'E', '\0', /* EVENT_WRITE (550) */
	'E', 'V', 'E', 'N', 'T', '_', 'W', 'R', 'I', 'T', 'E', '_', 'E', 'O', 'P', '\0', /* EVENT_WRITE_EOP (562) */
	'E', 'V', 'E', 'N', 'T', '_', 'W', 'R', 'I', 'T', 'E', '_', 'E', 'O', 'S', '\0', /* EVENT_WRITE_EOS (578) */
	'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'E', 'M', '\0', /* RELEASE_MEM (594) */
	'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'R', 'E', 'G', '_', 'R', 'M', 'W', '\0', /* CONTEXT_REG_RMW (606) */
	'O', 'N', 'E', '_', 'R', 'E', 'G', '_', 'W', 'R', 'I', 'T', 'E', '\0', /* ONE_REG_WRITE (622) */
	'A', 'C', 'Q', 'U', 'I', 'R', 'E', '_', 'M', 'E', 'M', '\0', /* ACQUIRE_MEM (636) */
	'R', 'E', 'W', 'I', 'N', 'D', '\0', /* REWIND (648) */
	'L', 'O', 'A', 'D', '_', 'U', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'E', 'G', '\0', /* LOAD_UCONFIG_REG (655) */
	'L', 'O', 'A', 'D', '_', 'S', 'H', '_', 'R', 'E', 'G', '\0', /* LOAD_SH_REG (672) */
	'L', 'O', 'A', 'D', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'R', 'E', 'G', '\0', /* LOAD_CONTEXT_REG (684) */
	'S', 'E', 'T', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'E', 'G', '\0', /* SET_CONFIG_REG (701) */
	'S', 'E', 'T', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'R', 'E', 'G', '\0', /* SET_CONTEXT_REG (716) */
	'S', 'E', 'T', '_', 'S', 'H', '_', 'R', 'E', 'G', '\0', /* SET_SH_REG (732) */
	'S', 'E', 'T', '_', 'S', 'H', '_', 'R', 'E', 'G', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* SET_SH_REG_OFFSET (743, 754) */
	'S', 'E', 'T', '_', 'U', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'E', 'G', '\0', /* SET_UCONFIG_REG (761) */
	'S', 'E', 'T', '_', 'U', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'E', 'G', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* SET_UCONFIG_REG_INDEX (777) */
	'L', 'O', 'A', 'D', '_', 'C', 'O', 'N', 'S', 'T', '_', 'R', 'A', 'M', '\0', /* LOAD_CONST_RAM (799) */
	'W', 'R', 'I', 'T', 'E', '_', 'C', 'O', 'N', 'S', 'T', '_', 'R', 'A', 'M', '\0', /* WRITE_CONST_RAM (814) */
	'D', 'U', 'M', 'P', '_', 'C', 'O', 'N', 'S', 'T', '_', 'R', 'A', 'M', '\0', /* DUMP_CONST_RAM (830) */
	'I', 'N', 'C', 'R', 'E', 'M', 'E', 'N', 'T', '_', 'C', 'E', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '\0', /* INCREMENT_CE_COUNTER (845, 858) */
	'I', 'N', 'C', 'R', 'E', 'M', 'E', 'N', 'T', '_', 'D', 'E', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '\0', /* INCREMENT_DE_COUNTER (866) */
	'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'C', 'E', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '\0', /* WAIT_ON_CE_COUNTER (887) */
	'S', 'E', 'T', '_', 'S', 'H', '_', 'R', 'E', 'G', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* SET_SH_REG_INDEX (906) */
	'L', 'O', 'A', 'D', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'R', 'E', 'G', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* LOAD_CONTEXT_REG_INDEX (923) */
	'I', 'T', '_', 'O', 'P', 'C', 'O', 'D', 'E', '_', 'C', '\0', /* IT_OPCODE_C (946) */
	'C', 'P', '_', 'D', 'M', 'A', '\0', /* CP_DMA (958) */
	'D', 'M', 'A', '_', 'D', 'A', 'T', 'A', '\0', /* DMA_DATA (965) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'M', 'O', 'D', 'E', '\0', /* SQ_WAVE_MODE (974, 982, 984) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* SQ_WAVE_STATUS (987, 995) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'R', 'A', 'P', 'S', 'T', 'S', '\0', /* SQ_WAVE_TRAPSTS (1002) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'H', 'W', '_', 'I', 'D', '_', 'L', 'E', 'G', 'A', 'C', 'Y', '\0', /* SQ_WAVE_HW_ID_LEGACY (1018) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'G', 'P', 'R', '_', 'A', 'L', 'L', 'O', 'C', '\0', /* SQ_WAVE_GPR_ALLOC (1039) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'L', 'D', 'S', '_', 'A', 'L', 'L', 'O', 'C', '\0', /* SQ_WAVE_LDS_ALLOC (1057) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'I', 'B', '_', 'S', 'T', 'S', '\0', /* SQ_WAVE_IB_STS (1075) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'P', 'C', '_', 'L', 'O', '\0', /* SQ_WAVE_PC_LO (1090, 1098) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'P', 'C', '_', 'H', 'I', '\0', /* SQ_WAVE_PC_HI (1104, 1112) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'I', 'N', 'S', 'T', '_', 'D', 'W', '0', '\0', /* SQ_WAVE_INST_DW0 (1118, 1126) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'I', 'B', '_', 'D', 'B', 'G', '1', '\0', /* SQ_WAVE_IB_DBG1 (1135) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'F', 'L', 'U', 'S', 'H', '_', 'I', 'B', '\0', /* SQ_WAVE_FLUSH_IB (1151) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'H', 'W', '_', 'I', 'D', '1', '\0', /* SQ_WAVE_HW_ID1 (1168) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'H', 'W', '_', 'I', 'D', '2', '\0', /* SQ_WAVE_HW_ID2 (1183) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'P', 'O', 'P', 'S', '_', 'P', 'A', 'C', 'K', 'E', 'R', '\0', /* SQ_WAVE_POPS_PACKER (1198) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'S', 'C', 'H', 'E', 'D', '_', 'M', 'O', 'D', 'E', '\0', /* SQ_WAVE_SCHED_MODE (1218) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'V', 'G', 'P', 'R', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* SQ_WAVE_VGPR_OFFSET (1237) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'I', 'B', '_', 'S', 'T', 'S', '2', '\0', /* SQ_WAVE_IB_STS2 (1257) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '0', '\0', /* SQ_WAVE_TTMP0 (1273) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '1', '\0', /* SQ_WAVE_TTMP1 (1287) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '2', '\0', /* SQ_WAVE_TTMP2 (1301) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '3', '\0', /* SQ_WAVE_TTMP3 (1315) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '4', '\0', /* SQ_WAVE_TTMP4 (1329) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '5', '\0', /* SQ_WAVE_TTMP5 (1343) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '6', '\0', /* SQ_WAVE_TTMP6 (1357) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '7', '\0', /* SQ_WAVE_TTMP7 (1371) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '8', '\0', /* SQ_WAVE_TTMP8 (1385) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '9', '\0', /* SQ_WAVE_TTMP9 (1399) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '1', '0', '\0', /* SQ_WAVE_TTMP10 (1413) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '1', '1', '\0', /* SQ_WAVE_TTMP11 (1428) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '1', '2', '\0', /* SQ_WAVE_TTMP12 (1443) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '1', '3', '\0', /* SQ_WAVE_TTMP13 (1458) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '1', '4', '\0', /* SQ_WAVE_TTMP14 (1473) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'T', 'M', 'P', '1', '5', '\0', /* SQ_WAVE_TTMP15 (1488) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'M', '0', '\0', /* SQ_WAVE_M0 (1503, 1511) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'E', 'X', 'E', 'C', '_', 'L', 'O', '\0', /* SQ_WAVE_EXEC_LO (1514, 1522) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'E', 'X', 'E', 'C', '_', 'H', 'I', '\0', /* SQ_WAVE_EXEC_HI (1530, 1538) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'F', 'L', 'A', 'T', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'L', 'O', '\0', /* SQ_WAVE_FLAT_SCRATCH_LO (1546) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'F', 'L', 'A', 'T', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'H', 'I', '\0', /* SQ_WAVE_FLAT_SCRATCH_HI (1570) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'F', 'L', 'A', 'T', '_', 'X', 'N', 'A', 'C', 'K', '_', 'M', 'A', 'S', 'K', '\0', /* SQ_WAVE_FLAT_XNACK_MASK (1594, 1613) */
	'G', 'R', 'B', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '2', '\0', /* GRBM_STATUS2 (1618) */
	'G', 'R', 'B', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* GRBM_STATUS (1631) */
	'G', 'R', 'B', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '_', 'S', 'E', '0', '\0', /* GRBM_STATUS_SE0 (1643) */
	'G', 'R', 'B', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '_', 'S', 'E', '1', '\0', /* GRBM_STATUS_SE1 (1659) */
	'G', 'R', 'B', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '3', '\0', /* GRBM_STATUS3 (1675) */
	'G', 'R', 'B', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '_', 'S', 'E', '2', '\0', /* GRBM_STATUS_SE2 (1688) */
	'G', 'R', 'B', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '_', 'S', 'E', '3', '\0', /* GRBM_STATUS_SE3 (1704) */
	'C', 'P', '_', 'C', 'P', 'C', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* CP_CPC_STATUS (1720) */
	'C', 'P', '_', 'C', 'P', 'C', '_', 'B', 'U', 'S', 'Y', '_', 'S', 'T', 'A', 'T', '\0', /* CP_CPC_BUSY_STAT (1734) */
	'C', 'P', '_', 'C', 'P', 'C', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'S', 'T', 'A', 'T', '1', '\0', /* CP_CPC_STALLED_STAT1 (1751) */
	'C', 'P', '_', 'C', 'P', 'F', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* CP_CPF_STATUS (1772) */
	'C', 'P', '_', 'C', 'P', 'F', '_', 'B', 'U', 'S', 'Y', '_', 'S', 'T', 'A', 'T', '\0', /* CP_CPF_BUSY_STAT (1786) */
	'C', 'P', '_', 'C', 'P', 'F', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'S', 'T', 'A', 'T', '1', '\0', /* CP_CPF_STALLED_STAT1 (1803) */
	'C', 'P', '_', 'C', 'P', 'C', '_', 'B', 'U', 'S', 'Y', '_', 'S', 'T', 'A', 'T', '2', '\0', /* CP_CPC_BUSY_STAT2 (1824) */
	'C', 'P', '_', 'C', 'P', 'C', '_', 'G', 'R', 'B', 'M', '_', 'F', 'R', 'E', 'E', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* CP_CPC_GRBM_FREE_COUNT (1842, 1854, 1859) */
	'C', 'P', '_', 'C', 'P', 'C', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* CP_CPC_SCRATCH_INDEX (1865, 1872) */
	'C', 'P', '_', 'C', 'P', 'C', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'D', 'A', 'T', 'A', '\0', /* CP_CPC_SCRATCH_DATA (1886, 1893) */
	'C', 'P', '_', 'C', 'P', 'F', '_', 'G', 'R', 'B', 'M', '_', 'F', 'R', 'E', 'E', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* CP_CPF_GRBM_FREE_COUNT (1906) */
	'C', 'P', '_', 'C', 'P', 'F', '_', 'B', 'U', 'S', 'Y', '_', 'S', 'T', 'A', 'T', '2', '\0', /* CP_CPF_BUSY_STAT2 (1929) */
	'C', 'P', '_', 'C', 'P', 'C', '_', 'H', 'A', 'L', 'T', '_', 'H', 'Y', 'S', 'T', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* CP_CPC_HALT_HYST_COUNT (1947) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'B', 'U', 'F', '0', '_', 'B', 'A', 'S', 'E', '\0', /* SQ_THREAD_TRACE_BUF0_BASE (1970) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'B', 'U', 'F', '0', '_', 'S', 'I', 'Z', 'E', '\0', /* SQ_THREAD_TRACE_BUF0_SIZE (1996) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'B', 'U', 'F', '1', '_', 'B', 'A', 'S', 'E', '\0', /* SQ_THREAD_TRACE_BUF1_BASE (2022) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'B', 'U', 'F', '1', '_', 'S', 'I', 'Z', 'E', '\0', /* SQ_THREAD_TRACE_BUF1_SIZE (2048) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'W', 'P', 'T', 'R', '\0', /* SQ_THREAD_TRACE_WPTR (2074, 2090) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'M', 'A', 'S', 'K', '\0', /* SQ_THREAD_TRACE_MASK (2095) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'T', 'O', 'K', 'E', 'N', '_', 'M', 'A', 'S', 'K', '\0', /* SQ_THREAD_TRACE_TOKEN_MASK (2116, 2132) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'C', 'T', 'R', 'L', '\0', /* SQ_THREAD_TRACE_CTRL (2143) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* SQ_THREAD_TRACE_STATUS (2164) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'D', 'R', 'O', 'P', 'P', 'E', 'D', '_', 'C', 'N', 'T', 'R', '\0', /* SQ_THREAD_TRACE_DROPPED_CNTR (2187, 2211) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'G', 'F', 'X', '_', 'D', 'R', 'A', 'W', '_', 'C', 'N', 'T', 'R', '\0', /* SQ_THREAD_TRACE_GFX_DRAW_CNTR (2216) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'G', 'F', 'X', '_', 'M', 'A', 'R', 'K', 'E', 'R', '_', 'C', 'N', 'T', 'R', '\0', /* SQ_THREAD_TRACE_GFX_MARKER_CNTR (2246) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'H', 'P', '3', 'D', '_', 'D', 'R', 'A', 'W', '_', 'C', 'N', 'T', 'R', '\0', /* SQ_THREAD_TRACE_HP3D_DRAW_CNTR (2278) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'H', 'P', '3', 'D', '_', 'M', 'A', 'R', 'K', 'E', 'R', '_', 'C', 'N', 'T', 'R', '\0', /* SQ_THREAD_TRACE_HP3D_MARKER_CNTR (2309) */
	'S', 'Q', '_', 'E', 'X', 'P', '_', '0', '\0', /* SQ_EXP_0 (2342) */
	'S', 'Q', '_', 'B', 'U', 'F', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '0', '\0', /* SQ_BUF_RSRC_WORD0 (2351) */
	'S', 'Q', '_', 'B', 'U', 'F', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '1', '\0', /* SQ_BUF_RSRC_WORD1 (2369) */
	'S', 'Q', '_', 'B', 'U', 'F', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '2', '\0', /* SQ_BUF_RSRC_WORD2 (2387) */
	'S', 'Q', '_', 'B', 'U', 'F', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '3', '\0', /* SQ_BUF_RSRC_WORD3 (2405) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'S', 'A', 'M', 'P', '_', 'W', 'O', 'R', 'D', '0', '\0', /* SQ_IMG_SAMP_WORD0 (2423) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'S', 'A', 'M', 'P', '_', 'W', 'O', 'R', 'D', '1', '\0', /* SQ_IMG_SAMP_WORD1 (2441) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'S', 'A', 'M', 'P', '_', 'W', 'O', 'R', 'D', '2', '\0', /* SQ_IMG_SAMP_WORD2 (2459) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'S', 'A', 'M', 'P', '_', 'W', 'O', 'R', 'D', '3', '\0', /* SQ_IMG_SAMP_WORD3 (2477) */
	'S', 'P', 'I', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'C', 'N', 'T', 'L', '\0', /* SPI_CONFIG_CNTL (2495) */
	'G', 'B', '_', 'A', 'D', 'D', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* GB_ADDR_CONFIG (2511) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '0', '\0', /* GB_TILE_MODE0 (2526) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '\0', /* GB_TILE_MODE1 (2540) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '\0', /* GB_TILE_MODE2 (2554) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '3', '\0', /* GB_TILE_MODE3 (2568) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '4', '\0', /* GB_TILE_MODE4 (2582) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '5', '\0', /* GB_TILE_MODE5 (2596) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '6', '\0', /* GB_TILE_MODE6 (2610) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '7', '\0', /* GB_TILE_MODE7 (2624) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '8', '\0', /* GB_TILE_MODE8 (2638) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '9', '\0', /* GB_TILE_MODE9 (2652) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '0', '\0', /* GB_TILE_MODE10 (2666) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '1', '\0', /* GB_TILE_MODE11 (2681) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '2', '\0', /* GB_TILE_MODE12 (2696) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '3', '\0', /* GB_TILE_MODE13 (2711) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '4', '\0', /* GB_TILE_MODE14 (2726) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '5', '\0', /* GB_TILE_MODE15 (2741) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '6', '\0', /* GB_TILE_MODE16 (2756) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '7', '\0', /* GB_TILE_MODE17 (2771) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '8', '\0', /* GB_TILE_MODE18 (2786) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '9', '\0', /* GB_TILE_MODE19 (2801) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '0', '\0', /* GB_TILE_MODE20 (2816) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '1', '\0', /* GB_TILE_MODE21 (2831) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '2', '\0', /* GB_TILE_MODE22 (2846) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '3', '\0', /* GB_TILE_MODE23 (2861) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '4', '\0', /* GB_TILE_MODE24 (2876) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '5', '\0', /* GB_TILE_MODE25 (2891) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '6', '\0', /* GB_TILE_MODE26 (2906) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '7', '\0', /* GB_TILE_MODE27 (2921) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '8', '\0', /* GB_TILE_MODE28 (2936) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '9', '\0', /* GB_TILE_MODE29 (2951) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '3', '0', '\0', /* GB_TILE_MODE30 (2966) */
	'G', 'B', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '3', '1', '\0', /* GB_TILE_MODE31 (2981) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '0', '\0', /* GB_MACROTILE_MODE0 (2996) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '\0', /* GB_MACROTILE_MODE1 (3015) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '2', '\0', /* GB_MACROTILE_MODE2 (3034) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '3', '\0', /* GB_MACROTILE_MODE3 (3053) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '4', '\0', /* GB_MACROTILE_MODE4 (3072) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '5', '\0', /* GB_MACROTILE_MODE5 (3091) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '6', '\0', /* GB_MACROTILE_MODE6 (3110) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '7', '\0', /* GB_MACROTILE_MODE7 (3129) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '8', '\0', /* GB_MACROTILE_MODE8 (3148) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '9', '\0', /* GB_MACROTILE_MODE9 (3167) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '0', '\0', /* GB_MACROTILE_MODE10 (3186) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '1', '\0', /* GB_MACROTILE_MODE11 (3206) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '2', '\0', /* GB_MACROTILE_MODE12 (3226) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '3', '\0', /* GB_MACROTILE_MODE13 (3246) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '4', '\0', /* GB_MACROTILE_MODE14 (3266) */
	'G', 'B', '_', 'M', 'A', 'C', 'R', 'O', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '1', '5', '\0', /* GB_MACROTILE_MODE15 (3286) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '0', '\0', /* SQ_IMG_RSRC_WORD0 (3306) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '1', '\0', /* SQ_IMG_RSRC_WORD1 (3324) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '2', '\0', /* SQ_IMG_RSRC_WORD2 (3342) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '3', '\0', /* SQ_IMG_RSRC_WORD3 (3360) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '4', '\0', /* SQ_IMG_RSRC_WORD4 (3378) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '5', '\0', /* SQ_IMG_RSRC_WORD5 (3396) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '6', '\0', /* SQ_IMG_RSRC_WORD6 (3414) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'R', 'S', 'R', 'C', '_', 'W', 'O', 'R', 'D', '7', '\0', /* SQ_IMG_RSRC_WORD7 (3432) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '4', '_', 'P', 'S', '\0', /* SPI_SHADER_PGM_RSRC4_PS (3450) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'C', 'H', 'K', 'S', 'U', 'M', '_', 'P', 'S', '\0', /* SPI_SHADER_PGM_CHKSUM_PS (3474) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '3', '_', 'P', 'S', '\0', /* SPI_SHADER_PGM_RSRC3_PS (3499) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'L', 'O', '_', 'P', 'S', '\0', /* SPI_SHADER_PGM_LO_PS (3523) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'H', 'I', '_', 'P', 'S', '\0', /* SPI_SHADER_PGM_HI_PS (3544) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '1', '_', 'P', 'S', '\0', /* SPI_SHADER_PGM_RSRC1_PS (3565) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'P', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_PS (3589) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '0', '\0', /* SPI_SHADER_USER_DATA_PS_0 (3613) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '\0', /* SPI_SHADER_USER_DATA_PS_1 (3639) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '\0', /* SPI_SHADER_USER_DATA_PS_2 (3665) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '3', '\0', /* SPI_SHADER_USER_DATA_PS_3 (3691) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '4', '\0', /* SPI_SHADER_USER_DATA_PS_4 (3717) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '5', '\0', /* SPI_SHADER_USER_DATA_PS_5 (3743) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '6', '\0', /* SPI_SHADER_USER_DATA_PS_6 (3769) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '7', '\0', /* SPI_SHADER_USER_DATA_PS_7 (3795) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '8', '\0', /* SPI_SHADER_USER_DATA_PS_8 (3821) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '9', '\0', /* SPI_SHADER_USER_DATA_PS_9 (3847) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '0', '\0', /* SPI_SHADER_USER_DATA_PS_10 (3873) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '1', '\0', /* SPI_SHADER_USER_DATA_PS_11 (3900) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '2', '\0', /* SPI_SHADER_USER_DATA_PS_12 (3927) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '3', '\0', /* SPI_SHADER_USER_DATA_PS_13 (3954) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '4', '\0', /* SPI_SHADER_USER_DATA_PS_14 (3981) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '5', '\0', /* SPI_SHADER_USER_DATA_PS_15 (4008) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '6', '\0', /* SPI_SHADER_USER_DATA_PS_16 (4035) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '7', '\0', /* SPI_SHADER_USER_DATA_PS_17 (4062) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '8', '\0', /* SPI_SHADER_USER_DATA_PS_18 (4089) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '1', '9', '\0', /* SPI_SHADER_USER_DATA_PS_19 (4116) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '0', '\0', /* SPI_SHADER_USER_DATA_PS_20 (4143) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '1', '\0', /* SPI_SHADER_USER_DATA_PS_21 (4170) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '2', '\0', /* SPI_SHADER_USER_DATA_PS_22 (4197) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '3', '\0', /* SPI_SHADER_USER_DATA_PS_23 (4224) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '4', '\0', /* SPI_SHADER_USER_DATA_PS_24 (4251) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '5', '\0', /* SPI_SHADER_USER_DATA_PS_25 (4278) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '6', '\0', /* SPI_SHADER_USER_DATA_PS_26 (4305) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '7', '\0', /* SPI_SHADER_USER_DATA_PS_27 (4332) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '8', '\0', /* SPI_SHADER_USER_DATA_PS_28 (4359) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '2', '9', '\0', /* SPI_SHADER_USER_DATA_PS_29 (4386) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '3', '0', '\0', /* SPI_SHADER_USER_DATA_PS_30 (4413) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'S', '_', '3', '1', '\0', /* SPI_SHADER_USER_DATA_PS_31 (4440) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'R', 'E', 'Q', '_', 'C', 'T', 'R', 'L', '_', 'P', 'S', '\0', /* SPI_SHADER_REQ_CTRL_PS (4467) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'R', 'E', 'F', '_', 'P', 'R', 'I', '_', 'C', 'N', 'T', 'R', '_', 'C', 'T', 'R', 'L', '_', 'P', 'S', '\0', /* SPI_SHADER_PREF_PRI_CNTR_CTRL_PS (4490) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'P', 'S', '_', '0', '\0', /* SPI_SHADER_USER_ACCUM_PS_0 (4523) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'P', 'S', '_', '1', '\0', /* SPI_SHADER_USER_ACCUM_PS_1 (4550) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'P', 'S', '_', '2', '\0', /* SPI_SHADER_USER_ACCUM_PS_2 (4577) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'P', 'S', '_', '3', '\0', /* SPI_SHADER_USER_ACCUM_PS_3 (4604) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '4', '_', 'V', 'S', '\0', /* SPI_SHADER_PGM_RSRC4_VS (4631) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'C', 'H', 'K', 'S', 'U', 'M', '_', 'V', 'S', '\0', /* SPI_SHADER_PGM_CHKSUM_VS (4655) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '3', '_', 'V', 'S', '\0', /* SPI_SHADER_PGM_RSRC3_VS (4680) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'L', 'A', 'T', 'E', '_', 'A', 'L', 'L', 'O', 'C', '_', 'V', 'S', '\0', /* SPI_SHADER_LATE_ALLOC_VS (4704) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'L', 'O', '_', 'V', 'S', '\0', /* SPI_SHADER_PGM_LO_VS (4729) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'H', 'I', '_', 'V', 'S', '\0', /* SPI_SHADER_PGM_HI_VS (4750) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '1', '_', 'V', 'S', '\0', /* SPI_SHADER_PGM_RSRC1_VS (4771) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'V', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_VS (4795) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '0', '\0', /* SPI_SHADER_USER_DATA_VS_0 (4819) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '\0', /* SPI_SHADER_USER_DATA_VS_1 (4845) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '\0', /* SPI_SHADER_USER_DATA_VS_2 (4871) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '3', '\0', /* SPI_SHADER_USER_DATA_VS_3 (4897) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '4', '\0', /* SPI_SHADER_USER_DATA_VS_4 (4923) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '5', '\0', /* SPI_SHADER_USER_DATA_VS_5 (4949) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '6', '\0', /* SPI_SHADER_USER_DATA_VS_6 (4975) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '7', '\0', /* SPI_SHADER_USER_DATA_VS_7 (5001) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '8', '\0', /* SPI_SHADER_USER_DATA_VS_8 (5027) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '9', '\0', /* SPI_SHADER_USER_DATA_VS_9 (5053) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '0', '\0', /* SPI_SHADER_USER_DATA_VS_10 (5079) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '1', '\0', /* SPI_SHADER_USER_DATA_VS_11 (5106) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '2', '\0', /* SPI_SHADER_USER_DATA_VS_12 (5133) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '3', '\0', /* SPI_SHADER_USER_DATA_VS_13 (5160) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '4', '\0', /* SPI_SHADER_USER_DATA_VS_14 (5187) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '5', '\0', /* SPI_SHADER_USER_DATA_VS_15 (5214) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '6', '\0', /* SPI_SHADER_USER_DATA_VS_16 (5241) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '7', '\0', /* SPI_SHADER_USER_DATA_VS_17 (5268) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '8', '\0', /* SPI_SHADER_USER_DATA_VS_18 (5295) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '1', '9', '\0', /* SPI_SHADER_USER_DATA_VS_19 (5322) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '0', '\0', /* SPI_SHADER_USER_DATA_VS_20 (5349) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '1', '\0', /* SPI_SHADER_USER_DATA_VS_21 (5376) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '2', '\0', /* SPI_SHADER_USER_DATA_VS_22 (5403) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '3', '\0', /* SPI_SHADER_USER_DATA_VS_23 (5430) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '4', '\0', /* SPI_SHADER_USER_DATA_VS_24 (5457) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '5', '\0', /* SPI_SHADER_USER_DATA_VS_25 (5484) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '6', '\0', /* SPI_SHADER_USER_DATA_VS_26 (5511) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '7', '\0', /* SPI_SHADER_USER_DATA_VS_27 (5538) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '8', '\0', /* SPI_SHADER_USER_DATA_VS_28 (5565) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '2', '9', '\0', /* SPI_SHADER_USER_DATA_VS_29 (5592) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '3', '0', '\0', /* SPI_SHADER_USER_DATA_VS_30 (5619) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'V', 'S', '_', '3', '1', '\0', /* SPI_SHADER_USER_DATA_VS_31 (5646) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'R', 'E', 'Q', '_', 'C', 'T', 'R', 'L', '_', 'V', 'S', '\0', /* SPI_SHADER_REQ_CTRL_VS (5673) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'R', 'E', 'F', '_', 'P', 'R', 'I', '_', 'C', 'N', 'T', 'R', '_', 'C', 'T', 'R', 'L', '_', 'V', 'S', '\0', /* SPI_SHADER_PREF_PRI_CNTR_CTRL_VS (5696) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'V', 'S', '_', '0', '\0', /* SPI_SHADER_USER_ACCUM_VS_0 (5729) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'V', 'S', '_', '1', '\0', /* SPI_SHADER_USER_ACCUM_VS_1 (5756) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'V', 'S', '_', '2', '\0', /* SPI_SHADER_USER_ACCUM_VS_2 (5783) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'V', 'S', '_', '3', '\0', /* SPI_SHADER_USER_ACCUM_VS_3 (5810) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'G', 'S', '_', 'V', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_GS_VS (5837) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'E', 'S', '_', 'V', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_ES_VS (5864) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'L', 'S', '_', 'V', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_LS_VS (5891) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'C', 'H', 'K', 'S', 'U', 'M', '_', 'G', 'S', '\0', /* SPI_SHADER_PGM_CHKSUM_GS (5918) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '4', '_', 'G', 'S', '\0', /* SPI_SHADER_PGM_RSRC4_GS (5943) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '_', 'G', 'S', '\0', /* SPI_SHADER_USER_DATA_ADDR_LO_GS (5967) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '_', 'G', 'S', '\0', /* SPI_SHADER_USER_DATA_ADDR_HI_GS (5999) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'L', 'O', '_', 'E', 'S', '_', 'G', 'S', '\0', /* SPI_SHADER_PGM_LO_ES_GS (6031) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'H', 'I', '_', 'E', 'S', '_', 'G', 'S', '\0', /* SPI_SHADER_PGM_HI_ES_GS (6055) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '3', '_', 'G', 'S', '\0', /* SPI_SHADER_PGM_RSRC3_GS (6079) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'L', 'O', '_', 'G', 'S', '\0', /* SPI_SHADER_PGM_LO_GS (6103) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'H', 'I', '_', 'G', 'S', '\0', /* SPI_SHADER_PGM_HI_GS (6124) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '1', '_', 'G', 'S', '\0', /* SPI_SHADER_PGM_RSRC1_GS (6145) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'G', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_GS (6169) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '0', '\0', /* SPI_SHADER_USER_DATA_GS_0 (6193) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '\0', /* SPI_SHADER_USER_DATA_GS_1 (6219) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '\0', /* SPI_SHADER_USER_DATA_GS_2 (6245) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '3', '\0', /* SPI_SHADER_USER_DATA_GS_3 (6271) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '4', '\0', /* SPI_SHADER_USER_DATA_GS_4 (6297) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '5', '\0', /* SPI_SHADER_USER_DATA_GS_5 (6323) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '6', '\0', /* SPI_SHADER_USER_DATA_GS_6 (6349) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '7', '\0', /* SPI_SHADER_USER_DATA_GS_7 (6375) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '8', '\0', /* SPI_SHADER_USER_DATA_GS_8 (6401) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '9', '\0', /* SPI_SHADER_USER_DATA_GS_9 (6427) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '0', '\0', /* SPI_SHADER_USER_DATA_GS_10 (6453) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '1', '\0', /* SPI_SHADER_USER_DATA_GS_11 (6480) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '2', '\0', /* SPI_SHADER_USER_DATA_GS_12 (6507) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '3', '\0', /* SPI_SHADER_USER_DATA_GS_13 (6534) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '4', '\0', /* SPI_SHADER_USER_DATA_GS_14 (6561) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '5', '\0', /* SPI_SHADER_USER_DATA_GS_15 (6588) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '6', '\0', /* SPI_SHADER_USER_DATA_GS_16 (6615) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '7', '\0', /* SPI_SHADER_USER_DATA_GS_17 (6642) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '8', '\0', /* SPI_SHADER_USER_DATA_GS_18 (6669) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '1', '9', '\0', /* SPI_SHADER_USER_DATA_GS_19 (6696) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '0', '\0', /* SPI_SHADER_USER_DATA_GS_20 (6723) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '1', '\0', /* SPI_SHADER_USER_DATA_GS_21 (6750) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '2', '\0', /* SPI_SHADER_USER_DATA_GS_22 (6777) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '3', '\0', /* SPI_SHADER_USER_DATA_GS_23 (6804) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '4', '\0', /* SPI_SHADER_USER_DATA_GS_24 (6831) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '5', '\0', /* SPI_SHADER_USER_DATA_GS_25 (6858) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '6', '\0', /* SPI_SHADER_USER_DATA_GS_26 (6885) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '7', '\0', /* SPI_SHADER_USER_DATA_GS_27 (6912) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '8', '\0', /* SPI_SHADER_USER_DATA_GS_28 (6939) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '2', '9', '\0', /* SPI_SHADER_USER_DATA_GS_29 (6966) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '3', '0', '\0', /* SPI_SHADER_USER_DATA_GS_30 (6993) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'G', 'S', '_', '3', '1', '\0', /* SPI_SHADER_USER_DATA_GS_31 (7020) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'R', 'E', 'Q', '_', 'C', 'T', 'R', 'L', '_', 'E', 'S', 'G', 'S', '\0', /* SPI_SHADER_REQ_CTRL_ESGS (7047) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'R', 'E', 'F', '_', 'P', 'R', 'I', '_', 'C', 'N', 'T', 'R', '_', 'C', 'T', 'R', 'L', '_', 'E', 'S', 'G', 'S', '\0', /* SPI_SHADER_PREF_PRI_CNTR_CTRL_ESGS (7072) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'E', 'S', 'G', 'S', '_', '0', '\0', /* SPI_SHADER_USER_ACCUM_ESGS_0 (7107) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'E', 'S', 'G', 'S', '_', '1', '\0', /* SPI_SHADER_USER_ACCUM_ESGS_1 (7136) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'E', 'S', 'G', 'S', '_', '2', '\0', /* SPI_SHADER_USER_ACCUM_ESGS_2 (7165) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'E', 'S', 'G', 'S', '_', '3', '\0', /* SPI_SHADER_USER_ACCUM_ESGS_3 (7194) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'E', 'S', '_', 'G', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_ES_GS (7223) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '3', '_', 'E', 'S', '\0', /* SPI_SHADER_PGM_RSRC3_ES (7250) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'L', 'O', '_', 'E', 'S', '\0', /* SPI_SHADER_PGM_LO_ES (7274) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'H', 'I', '_', 'E', 'S', '\0', /* SPI_SHADER_PGM_HI_ES (7295) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '1', '_', 'E', 'S', '\0', /* SPI_SHADER_PGM_RSRC1_ES (7316) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'E', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_ES (7340) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '0', '\0', /* SPI_SHADER_USER_DATA_ES_0 (7364) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '\0', /* SPI_SHADER_USER_DATA_ES_1 (7390) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '\0', /* SPI_SHADER_USER_DATA_ES_2 (7416) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '3', '\0', /* SPI_SHADER_USER_DATA_ES_3 (7442) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '4', '\0', /* SPI_SHADER_USER_DATA_ES_4 (7468) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '5', '\0', /* SPI_SHADER_USER_DATA_ES_5 (7494) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '6', '\0', /* SPI_SHADER_USER_DATA_ES_6 (7520) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '7', '\0', /* SPI_SHADER_USER_DATA_ES_7 (7546) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '8', '\0', /* SPI_SHADER_USER_DATA_ES_8 (7572) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '9', '\0', /* SPI_SHADER_USER_DATA_ES_9 (7598) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '0', '\0', /* SPI_SHADER_USER_DATA_ES_10 (7624) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '1', '\0', /* SPI_SHADER_USER_DATA_ES_11 (7651) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '2', '\0', /* SPI_SHADER_USER_DATA_ES_12 (7678) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '3', '\0', /* SPI_SHADER_USER_DATA_ES_13 (7705) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '4', '\0', /* SPI_SHADER_USER_DATA_ES_14 (7732) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '5', '\0', /* SPI_SHADER_USER_DATA_ES_15 (7759) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'L', 'S', '_', 'E', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_LS_ES (7786) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'C', 'H', 'K', 'S', 'U', 'M', '_', 'H', 'S', '\0', /* SPI_SHADER_PGM_CHKSUM_HS (7813) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '4', '_', 'H', 'S', '\0', /* SPI_SHADER_PGM_RSRC4_HS (7838) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '_', 'H', 'S', '\0', /* SPI_SHADER_USER_DATA_ADDR_LO_HS (7862) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '_', 'H', 'S', '\0', /* SPI_SHADER_USER_DATA_ADDR_HI_HS (7894) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'L', 'O', '_', 'L', 'S', '_', 'H', 'S', '\0', /* SPI_SHADER_PGM_LO_LS_HS (7926) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'H', 'I', '_', 'L', 'S', '_', 'H', 'S', '\0', /* SPI_SHADER_PGM_HI_LS_HS (7950) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '3', '_', 'H', 'S', '\0', /* SPI_SHADER_PGM_RSRC3_HS (7974) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'L', 'O', '_', 'H', 'S', '\0', /* SPI_SHADER_PGM_LO_HS (7998) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'H', 'I', '_', 'H', 'S', '\0', /* SPI_SHADER_PGM_HI_HS (8019) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '1', '_', 'H', 'S', '\0', /* SPI_SHADER_PGM_RSRC1_HS (8040) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'H', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_HS (8064) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '0', '\0', /* SPI_SHADER_USER_DATA_HS_0 (8088) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '\0', /* SPI_SHADER_USER_DATA_HS_1 (8114) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '\0', /* SPI_SHADER_USER_DATA_HS_2 (8140) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '3', '\0', /* SPI_SHADER_USER_DATA_HS_3 (8166) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '4', '\0', /* SPI_SHADER_USER_DATA_HS_4 (8192) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '5', '\0', /* SPI_SHADER_USER_DATA_HS_5 (8218) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '6', '\0', /* SPI_SHADER_USER_DATA_HS_6 (8244) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '7', '\0', /* SPI_SHADER_USER_DATA_HS_7 (8270) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '8', '\0', /* SPI_SHADER_USER_DATA_HS_8 (8296) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '9', '\0', /* SPI_SHADER_USER_DATA_HS_9 (8322) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '0', '\0', /* SPI_SHADER_USER_DATA_HS_10 (8348) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '1', '\0', /* SPI_SHADER_USER_DATA_HS_11 (8375) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '2', '\0', /* SPI_SHADER_USER_DATA_HS_12 (8402) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '3', '\0', /* SPI_SHADER_USER_DATA_HS_13 (8429) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '4', '\0', /* SPI_SHADER_USER_DATA_HS_14 (8456) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '5', '\0', /* SPI_SHADER_USER_DATA_HS_15 (8483) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '6', '\0', /* SPI_SHADER_USER_DATA_HS_16 (8510) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '7', '\0', /* SPI_SHADER_USER_DATA_HS_17 (8537) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '8', '\0', /* SPI_SHADER_USER_DATA_HS_18 (8564) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '1', '9', '\0', /* SPI_SHADER_USER_DATA_HS_19 (8591) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '0', '\0', /* SPI_SHADER_USER_DATA_HS_20 (8618) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '1', '\0', /* SPI_SHADER_USER_DATA_HS_21 (8645) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '2', '\0', /* SPI_SHADER_USER_DATA_HS_22 (8672) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '3', '\0', /* SPI_SHADER_USER_DATA_HS_23 (8699) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '4', '\0', /* SPI_SHADER_USER_DATA_HS_24 (8726) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '5', '\0', /* SPI_SHADER_USER_DATA_HS_25 (8753) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '6', '\0', /* SPI_SHADER_USER_DATA_HS_26 (8780) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '7', '\0', /* SPI_SHADER_USER_DATA_HS_27 (8807) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '8', '\0', /* SPI_SHADER_USER_DATA_HS_28 (8834) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '2', '9', '\0', /* SPI_SHADER_USER_DATA_HS_29 (8861) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '3', '0', '\0', /* SPI_SHADER_USER_DATA_HS_30 (8888) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'H', 'S', '_', '3', '1', '\0', /* SPI_SHADER_USER_DATA_HS_31 (8915) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'R', 'E', 'Q', '_', 'C', 'T', 'R', 'L', '_', 'L', 'S', 'H', 'S', '\0', /* SPI_SHADER_REQ_CTRL_LSHS (8942) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'R', 'E', 'F', '_', 'P', 'R', 'I', '_', 'C', 'N', 'T', 'R', '_', 'C', 'T', 'R', 'L', '_', 'L', 'S', 'H', 'S', '\0', /* SPI_SHADER_PREF_PRI_CNTR_CTRL_LSHS (8967) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'L', 'S', 'H', 'S', '_', '0', '\0', /* SPI_SHADER_USER_ACCUM_LSHS_0 (9002) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'L', 'S', 'H', 'S', '_', '1', '\0', /* SPI_SHADER_USER_ACCUM_LSHS_1 (9031) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'L', 'S', 'H', 'S', '_', '2', '\0', /* SPI_SHADER_USER_ACCUM_LSHS_2 (9060) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', 'L', 'S', 'H', 'S', '_', '3', '\0', /* SPI_SHADER_USER_ACCUM_LSHS_3 (9089) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'L', 'S', '_', 'H', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_LS_HS (9118) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '3', '_', 'L', 'S', '\0', /* SPI_SHADER_PGM_RSRC3_LS (9145) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'L', 'O', '_', 'L', 'S', '\0', /* SPI_SHADER_PGM_LO_LS (9169) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'H', 'I', '_', 'L', 'S', '\0', /* SPI_SHADER_PGM_HI_LS (9190) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '1', '_', 'L', 'S', '\0', /* SPI_SHADER_PGM_RSRC1_LS (9211) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '_', 'L', 'S', '\0', /* SPI_SHADER_PGM_RSRC2_LS (9235) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '0', '\0', /* SPI_SHADER_USER_DATA_LS_0 (9259) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '\0', /* SPI_SHADER_USER_DATA_LS_1 (9285) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '\0', /* SPI_SHADER_USER_DATA_LS_2 (9311) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '3', '\0', /* SPI_SHADER_USER_DATA_LS_3 (9337) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '4', '\0', /* SPI_SHADER_USER_DATA_LS_4 (9363) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '5', '\0', /* SPI_SHADER_USER_DATA_LS_5 (9389) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '6', '\0', /* SPI_SHADER_USER_DATA_LS_6 (9415) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '7', '\0', /* SPI_SHADER_USER_DATA_LS_7 (9441) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '8', '\0', /* SPI_SHADER_USER_DATA_LS_8 (9467) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '9', '\0', /* SPI_SHADER_USER_DATA_LS_9 (9493) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '0', '\0', /* SPI_SHADER_USER_DATA_LS_10 (9519) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '1', '\0', /* SPI_SHADER_USER_DATA_LS_11 (9546) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '2', '\0', /* SPI_SHADER_USER_DATA_LS_12 (9573) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '3', '\0', /* SPI_SHADER_USER_DATA_LS_13 (9600) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '4', '\0', /* SPI_SHADER_USER_DATA_LS_14 (9627) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '5', '\0', /* SPI_SHADER_USER_DATA_LS_15 (9654) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'I', 'N', 'I', 'T', 'I', 'A', 'T', 'O', 'R', '\0', /* COMPUTE_DISPATCH_INITIATOR (9681) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'M', '_', 'X', '\0', /* COMPUTE_DIM_X (9708) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'M', '_', 'Y', '\0', /* COMPUTE_DIM_Y (9722) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'M', '_', 'Z', '\0', /* COMPUTE_DIM_Z (9736) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'S', 'T', 'A', 'R', 'T', '_', 'X', '\0', /* COMPUTE_START_X (9750, 9758) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'S', 'T', 'A', 'R', 'T', '_', 'Y', '\0', /* COMPUTE_START_Y (9766, 9774) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'S', 'T', 'A', 'R', 'T', '_', 'Z', '\0', /* COMPUTE_START_Z (9782) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'N', 'U', 'M', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'X', '\0', /* COMPUTE_NUM_THREAD_X (9798) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'N', 'U', 'M', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'Y', '\0', /* COMPUTE_NUM_THREAD_Y (9819) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'N', 'U', 'M', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'Z', '\0', /* COMPUTE_NUM_THREAD_Z (9840) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'P', 'I', 'P', 'E', 'L', 'I', 'N', 'E', 'S', 'T', 'A', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* COMPUTE_PIPELINESTAT_ENABLE (9861, 9869, 9882) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* COMPUTE_PERFCOUNT_ENABLE (9889, 9897) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'P', 'G', 'M', '_', 'L', 'O', '\0', /* COMPUTE_PGM_LO (9914) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'P', 'G', 'M', '_', 'H', 'I', '\0', /* COMPUTE_PGM_HI (9929) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'P', 'K', 'T', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* COMPUTE_DISPATCH_PKT_ADDR_LO (9944, 9965) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'P', 'K', 'T', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* COMPUTE_DISPATCH_PKT_ADDR_HI (9973, 9994) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* COMPUTE_DISPATCH_SCRATCH_BASE_LO (10002, 10027) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* COMPUTE_DISPATCH_SCRATCH_BASE_HI (10035, 10060) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '1', '\0', /* COMPUTE_PGM_RSRC1 (10068, 10081) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '2', '\0', /* COMPUTE_PGM_RSRC2 (10086, 10099) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'V', 'M', 'I', 'D', '\0', /* COMPUTE_VMID (10104, 10112, 10114) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'R', 'E', 'S', 'O', 'U', 'R', 'C', 'E', '_', 'L', 'I', 'M', 'I', 'T', 'S', '\0', /* COMPUTE_RESOURCE_LIMITS (10117) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'E', 'S', 'T', 'I', 'N', 'A', 'T', 'I', 'O', 'N', '_', 'E', 'N', '_', 'S', 'E', '0', '\0', /* COMPUTE_DESTINATION_EN_SE0 (10141) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'E', 'S', 'T', 'I', 'N', 'A', 'T', 'I', 'O', 'N', '_', 'E', 'N', '_', 'S', 'E', '1', '\0', /* COMPUTE_DESTINATION_EN_SE1 (10168) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'T', 'M', 'P', 'R', 'I', 'N', 'G', '_', 'S', 'I', 'Z', 'E', '\0', /* COMPUTE_TMPRING_SIZE (10195, 10206) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'E', 'S', 'T', 'I', 'N', 'A', 'T', 'I', 'O', 'N', '_', 'E', 'N', '_', 'S', 'E', '2', '\0', /* COMPUTE_DESTINATION_EN_SE2 (10216) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'E', 'S', 'T', 'I', 'N', 'A', 'T', 'I', 'O', 'N', '_', 'E', 'N', '_', 'S', 'E', '3', '\0', /* COMPUTE_DESTINATION_EN_SE3 (10243) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'R', 'E', 'S', 'T', 'A', 'R', 'T', '_', 'X', '\0', /* COMPUTE_RESTART_X (10270) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'R', 'E', 'S', 'T', 'A', 'R', 'T', '_', 'Y', '\0', /* COMPUTE_RESTART_Y (10288) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'R', 'E', 'S', 'T', 'A', 'R', 'T', '_', 'Z', '\0', /* COMPUTE_RESTART_Z (10306) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* COMPUTE_THREAD_TRACE_ENABLE (10324, 10332) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'M', 'I', 'S', 'C', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '\0', /* COMPUTE_MISC_RESERVED (10352, 10365) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'I', 'D', '\0', /* COMPUTE_DISPATCH_ID (10374, 10382) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'T', 'H', 'R', 'E', 'A', 'D', 'G', 'R', 'O', 'U', 'P', '_', 'I', 'D', '\0', /* COMPUTE_THREADGROUP_ID (10394, 10402) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'R', 'E', 'Q', '_', 'C', 'T', 'R', 'L', '\0', /* COMPUTE_REQ_CTRL (10417) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', '0', '\0', /* COMPUTE_USER_ACCUM_0 (10434) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', '1', '\0', /* COMPUTE_USER_ACCUM_1 (10455) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', '2', '\0', /* COMPUTE_USER_ACCUM_2 (10476) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'A', 'C', 'C', 'U', 'M', '_', '3', '\0', /* COMPUTE_USER_ACCUM_3 (10497) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'P', 'G', 'M', '_', 'R', 'S', 'R', 'C', '3', '\0', /* COMPUTE_PGM_RSRC3 (10518) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'D', 'I', 'D', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* COMPUTE_DDID_INDEX (10536) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'C', 'H', 'K', 'S', 'U', 'M', '\0', /* COMPUTE_SHADER_CHKSUM (10555) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'R', 'E', 'L', 'A', 'U', 'N', 'C', 'H', '\0', /* COMPUTE_RELAUNCH (10577) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'W', 'A', 'V', 'E', '_', 'R', 'E', 'S', 'T', 'O', 'R', 'E', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* COMPUTE_WAVE_RESTORE_ADDR_LO (10594) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'W', 'A', 'V', 'E', '_', 'R', 'E', 'S', 'T', 'O', 'R', 'E', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* COMPUTE_WAVE_RESTORE_ADDR_HI (10623) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'R', 'E', 'L', 'A', 'U', 'N', 'C', 'H', '2', '\0', /* COMPUTE_RELAUNCH2 (10652) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '0', '\0', /* COMPUTE_USER_DATA_0 (10670) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '1', '\0', /* COMPUTE_USER_DATA_1 (10690) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '2', '\0', /* COMPUTE_USER_DATA_2 (10710) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '3', '\0', /* COMPUTE_USER_DATA_3 (10730) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '4', '\0', /* COMPUTE_USER_DATA_4 (10750) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '5', '\0', /* COMPUTE_USER_DATA_5 (10770) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '6', '\0', /* COMPUTE_USER_DATA_6 (10790) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '7', '\0', /* COMPUTE_USER_DATA_7 (10810) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '8', '\0', /* COMPUTE_USER_DATA_8 (10830) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '9', '\0', /* COMPUTE_USER_DATA_9 (10850) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '1', '0', '\0', /* COMPUTE_USER_DATA_10 (10870) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '1', '1', '\0', /* COMPUTE_USER_DATA_11 (10891) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '1', '2', '\0', /* COMPUTE_USER_DATA_12 (10912) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '1', '3', '\0', /* COMPUTE_USER_DATA_13 (10933) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '1', '4', '\0', /* COMPUTE_USER_DATA_14 (10954) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', '1', '5', '\0', /* COMPUTE_USER_DATA_15 (10975) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'T', 'U', 'N', 'N', 'E', 'L', '\0', /* COMPUTE_DISPATCH_TUNNEL (10996) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'E', 'N', 'D', '\0', /* COMPUTE_DISPATCH_END (11020) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'N', 'O', 'W', 'H', 'E', 'R', 'E', '\0', /* COMPUTE_NOWHERE (11041, 11049) */
	'D', 'B', '_', 'R', 'E', 'N', 'D', 'E', 'R', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* DB_RENDER_CONTROL (11057) */
	'D', 'B', '_', 'C', 'O', 'U', 'N', 'T', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* DB_COUNT_CONTROL (11075) */
	'D', 'B', '_', 'D', 'E', 'P', 'T', 'H', '_', 'V', 'I', 'E', 'W', '\0', /* DB_DEPTH_VIEW (11092) */
	'D', 'B', '_', 'R', 'E', 'N', 'D', 'E', 'R', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* DB_RENDER_OVERRIDE (11106) */
	'D', 'B', '_', 'R', 'E', 'N', 'D', 'E', 'R', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '2', '\0', /* DB_RENDER_OVERRIDE2 (11125) */
	'D', 'B', '_', 'H', 'T', 'I', 'L', 'E', '_', 'D', 'A', 'T', 'A', '_', 'B', 'A', 'S', 'E', '\0', /* DB_HTILE_DATA_BASE (11145) */
	'D', 'B', '_', 'D', 'E', 'P', 'T', 'H', '_', 'S', 'I', 'Z', 'E', '_', 'X', 'Y', '\0', /* DB_DEPTH_SIZE_XY (11164) */
	'D', 'B', '_', 'D', 'E', 'P', 'T', 'H', '_', 'B', 'O', 'U', 'N', 'D', 'S', '_', 'M', 'I', 'N', '\0', /* DB_DEPTH_BOUNDS_MIN (11181, 11197) */
	'D', 'B', '_', 'D', 'E', 'P', 'T', 'H', '_', 'B', 'O', 'U', 'N', 'D', 'S', '_', 'M', 'A', 'X', '\0', /* DB_DEPTH_BOUNDS_MAX (11201, 11217) */
	'D', 'B', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'C', 'L', 'E', 'A', 'R', '\0', /* DB_STENCIL_CLEAR (11221, 11232) */
	'D', 'B', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'L', 'E', 'A', 'R', '\0', /* DB_DEPTH_CLEAR (11238, 11241) */
	'P', 'A', '_', 'S', 'C', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', 'T', 'L', '\0', /* PA_SC_SCREEN_SCISSOR_TL (11253) */
	'P', 'A', '_', 'S', 'C', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', 'B', 'R', '\0', /* PA_SC_SCREEN_SCISSOR_BR (11277) */
	'D', 'B', '_', 'D', 'F', 'S', 'M', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* DB_DFSM_CONTROL (11301) */
	'D', 'B', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'E', 'G', '_', '2', '\0', /* DB_RESERVED_REG_2 (11317) */
	'D', 'B', '_', 'Z', '_', 'I', 'N', 'F', 'O', '\0', /* DB_Z_INFO (11335) */
	'D', 'B', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'I', 'N', 'F', 'O', '\0', /* DB_STENCIL_INFO (11345) */
	'D', 'B', '_', 'Z', '_', 'R', 'E', 'A', 'D', '_', 'B', 'A', 'S', 'E', '\0', /* DB_Z_READ_BASE (11361) */
	'D', 'B', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'R', 'E', 'A', 'D', '_', 'B', 'A', 'S', 'E', '\0', /* DB_STENCIL_READ_BASE (11376) */
	'D', 'B', '_', 'Z', '_', 'W', 'R', 'I', 'T', 'E', '_', 'B', 'A', 'S', 'E', '\0', /* DB_Z_WRITE_BASE (11397) */
	'D', 'B', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'W', 'R', 'I', 'T', 'E', '_', 'B', 'A', 'S', 'E', '\0', /* DB_STENCIL_WRITE_BASE (11413) */
	'D', 'B', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'E', 'G', '_', '1', '\0', /* DB_RESERVED_REG_1 (11435) */
	'D', 'B', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'E', 'G', '_', '3', '\0', /* DB_RESERVED_REG_3 (11453) */
	'D', 'B', '_', 'Z', '_', 'R', 'E', 'A', 'D', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* DB_Z_READ_BASE_HI (11471) */
	'D', 'B', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'R', 'E', 'A', 'D', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* DB_STENCIL_READ_BASE_HI (11489) */
	'D', 'B', '_', 'Z', '_', 'W', 'R', 'I', 'T', 'E', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* DB_Z_WRITE_BASE_HI (11513) */
	'D', 'B', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'W', 'R', 'I', 'T', 'E', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* DB_STENCIL_WRITE_BASE_HI (11532) */
	'D', 'B', '_', 'H', 'T', 'I', 'L', 'E', '_', 'D', 'A', 'T', 'A', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* DB_HTILE_DATA_BASE_HI (11557) */
	'D', 'B', '_', 'R', 'M', 'I', '_', 'L', '2', '_', 'C', 'A', 'C', 'H', 'E', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* DB_RMI_L2_CACHE_CONTROL (11579, 11589) */
	'T', 'A', '_', 'B', 'C', '_', 'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', '\0', /* TA_BC_BASE_ADDR (11603, 11609, 11614) */
	'T', 'A', '_', 'B', 'C', '_', 'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* TA_BC_BASE_ADDR_HI (11619) */
	'C', 'O', 'H', 'E', 'R', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '_', '0', '\0', /* COHER_DEST_BASE_HI_0 (11638) */
	'C', 'O', 'H', 'E', 'R', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '_', '1', '\0', /* COHER_DEST_BASE_HI_1 (11659) */
	'C', 'O', 'H', 'E', 'R', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '_', '2', '\0', /* COHER_DEST_BASE_HI_2 (11680) */
	'C', 'O', 'H', 'E', 'R', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '_', '3', '\0', /* COHER_DEST_BASE_HI_3 (11701) */
	'C', 'O', 'H', 'E', 'R', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', '2', '\0', /* COHER_DEST_BASE_2 (11722) */
	'C', 'O', 'H', 'E', 'R', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', '3', '\0', /* COHER_DEST_BASE_3 (11740) */
	'P', 'A', '_', 'S', 'C', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* PA_SC_WINDOW_OFFSET (11758, 11769) */
	'P', 'A', '_', 'S', 'C', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', 'T', 'L', '\0', /* PA_SC_WINDOW_SCISSOR_TL (11778) */
	'P', 'A', '_', 'S', 'C', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', 'B', 'R', '\0', /* PA_SC_WINDOW_SCISSOR_BR (11802) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'L', 'I', 'P', 'R', 'E', 'C', 'T', '_', 'R', 'U', 'L', 'E', '\0', /* PA_SC_CLIPRECT_RULE (11826) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'L', 'I', 'P', 'R', 'E', 'C', 'T', '_', '0', '_', 'T', 'L', '\0', /* PA_SC_CLIPRECT_0_TL (11846) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'L', 'I', 'P', 'R', 'E', 'C', 'T', '_', '0', '_', 'B', 'R', '\0', /* PA_SC_CLIPRECT_0_BR (11866) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'L', 'I', 'P', 'R', 'E', 'C', 'T', '_', '1', '_', 'T', 'L', '\0', /* PA_SC_CLIPRECT_1_TL (11886) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'L', 'I', 'P', 'R', 'E', 'C', 'T', '_', '1', '_', 'B', 'R', '\0', /* PA_SC_CLIPRECT_1_BR (11906) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'L', 'I', 'P', 'R', 'E', 'C', 'T', '_', '2', '_', 'T', 'L', '\0', /* PA_SC_CLIPRECT_2_TL (11926) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'L', 'I', 'P', 'R', 'E', 'C', 'T', '_', '2', '_', 'B', 'R', '\0', /* PA_SC_CLIPRECT_2_BR (11946) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'L', 'I', 'P', 'R', 'E', 'C', 'T', '_', '3', '_', 'T', 'L', '\0', /* PA_SC_CLIPRECT_3_TL (11966) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'L', 'I', 'P', 'R', 'E', 'C', 'T', '_', '3', '_', 'B', 'R', '\0', /* PA_SC_CLIPRECT_3_BR (11986) */
	'P', 'A', '_', 'S', 'C', '_', 'E', 'D', 'G', 'E', 'R', 'U', 'L', 'E', '\0', /* PA_SC_EDGERULE (12006) */
	'P', 'A', '_', 'S', 'U', '_', 'H', 'A', 'R', 'D', 'W', 'A', 'R', 'E', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* PA_SU_HARDWARE_SCREEN_OFFSET (12021) */
	'C', 'B', '_', 'T', 'A', 'R', 'G', 'E', 'T', '_', 'M', 'A', 'S', 'K', '\0', /* CB_TARGET_MASK (12050) */
	'C', 'B', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'M', 'A', 'S', 'K', '\0', /* CB_SHADER_MASK (12065) */
	'P', 'A', '_', 'S', 'C', '_', 'G', 'E', 'N', 'E', 'R', 'I', 'C', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', 'T', 'L', '\0', /* PA_SC_GENERIC_SCISSOR_TL (12080) */
	'P', 'A', '_', 'S', 'C', '_', 'G', 'E', 'N', 'E', 'R', 'I', 'C', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', 'B', 'R', '\0', /* PA_SC_GENERIC_SCISSOR_BR (12105) */
	'C', 'O', 'H', 'E', 'R', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', '0', '\0', /* COHER_DEST_BASE_0 (12130) */
	'C', 'O', 'H', 'E', 'R', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', '1', '\0', /* COHER_DEST_BASE_1 (12148) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '0', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_0_TL (12166) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '0', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_0_BR (12191) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_1_TL (12216) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_1_BR (12241) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '2', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_2_TL (12266) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '2', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_2_BR (12291) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '3', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_3_TL (12316) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '3', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_3_BR (12341) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '4', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_4_TL (12366) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '4', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_4_BR (12391) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '5', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_5_TL (12416) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '5', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_5_BR (12441) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '6', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_6_TL (12466) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '6', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_6_BR (12491) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '7', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_7_TL (12516) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '7', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_7_BR (12541) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '8', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_8_TL (12566) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '8', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_8_BR (12591) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '9', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_9_TL (12616) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '9', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_9_BR (12641) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '0', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_10_TL (12666) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '0', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_10_BR (12692) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '1', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_11_TL (12718) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '1', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_11_BR (12744) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '2', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_12_TL (12770) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '2', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_12_BR (12796) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '3', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_13_TL (12822) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '3', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_13_BR (12848) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '4', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_14_TL (12874) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '4', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_14_BR (12900) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '5', '_', 'T', 'L', '\0', /* PA_SC_VPORT_SCISSOR_15_TL (12926) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', '1', '5', '_', 'B', 'R', '\0', /* PA_SC_VPORT_SCISSOR_15_BR (12952) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '0', '\0', /* PA_SC_VPORT_ZMIN_0 (12978, 12992) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '0', '\0', /* PA_SC_VPORT_ZMAX_0 (12997) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '1', '\0', /* PA_SC_VPORT_ZMIN_1 (13016, 13030) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '1', '\0', /* PA_SC_VPORT_ZMAX_1 (13035) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '2', '\0', /* PA_SC_VPORT_ZMIN_2 (13054, 13068) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '2', '\0', /* PA_SC_VPORT_ZMAX_2 (13073) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '3', '\0', /* PA_SC_VPORT_ZMIN_3 (13092, 13106) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '3', '\0', /* PA_SC_VPORT_ZMAX_3 (13111) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '4', '\0', /* PA_SC_VPORT_ZMIN_4 (13130) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '4', '\0', /* PA_SC_VPORT_ZMAX_4 (13149) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '5', '\0', /* PA_SC_VPORT_ZMIN_5 (13168) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '5', '\0', /* PA_SC_VPORT_ZMAX_5 (13187) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '6', '\0', /* PA_SC_VPORT_ZMIN_6 (13206) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '6', '\0', /* PA_SC_VPORT_ZMAX_6 (13225) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '7', '\0', /* PA_SC_VPORT_ZMIN_7 (13244) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '7', '\0', /* PA_SC_VPORT_ZMAX_7 (13263) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '8', '\0', /* PA_SC_VPORT_ZMIN_8 (13282) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '8', '\0', /* PA_SC_VPORT_ZMAX_8 (13301) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '9', '\0', /* PA_SC_VPORT_ZMIN_9 (13320) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '9', '\0', /* PA_SC_VPORT_ZMAX_9 (13339) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '1', '0', '\0', /* PA_SC_VPORT_ZMIN_10 (13358, 13372) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '1', '0', '\0', /* PA_SC_VPORT_ZMAX_10 (13378) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '1', '1', '\0', /* PA_SC_VPORT_ZMIN_11 (13398) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '1', '1', '\0', /* PA_SC_VPORT_ZMAX_11 (13418) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '1', '2', '\0', /* PA_SC_VPORT_ZMIN_12 (13438) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '1', '2', '\0', /* PA_SC_VPORT_ZMAX_12 (13458) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '1', '3', '\0', /* PA_SC_VPORT_ZMIN_13 (13478) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '1', '3', '\0', /* PA_SC_VPORT_ZMAX_13 (13498) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '1', '4', '\0', /* PA_SC_VPORT_ZMIN_14 (13518) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '1', '4', '\0', /* PA_SC_VPORT_ZMAX_14 (13538) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '_', '1', '5', '\0', /* PA_SC_VPORT_ZMIN_15 (13558) */
	'P', 'A', '_', 'S', 'C', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '_', '1', '5', '\0', /* PA_SC_VPORT_ZMAX_15 (13578) */
	'P', 'A', '_', 'S', 'C', '_', 'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* PA_SC_RASTER_CONFIG (13598) */
	'P', 'A', '_', 'S', 'C', '_', 'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', '1', '\0', /* PA_SC_RASTER_CONFIG_1 (13618) */
	'P', 'A', '_', 'S', 'C', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'E', 'X', 'T', 'E', 'N', 'T', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* PA_SC_SCREEN_EXTENT_CONTROL (13640) */
	'P', 'A', '_', 'S', 'C', '_', 'T', 'I', 'L', 'E', '_', 'S', 'T', 'E', 'E', 'R', 'I', 'N', 'G', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* PA_SC_TILE_STEERING_OVERRIDE (13668) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'C', 'N', 'T', 'X', '_', 'C', 'N', 'T', 'L', '\0', /* CP_PERFMON_CNTX_CNTL (13697) */
	'C', 'P', '_', 'P', 'I', 'P', 'E', 'I', 'D', '\0', /* CP_PIPEID (13718) */
	'C', 'P', '_', 'V', 'M', 'I', 'D', '\0', /* CP_VMID (13728) */
	'P', 'A', '_', 'S', 'C', '_', 'R', 'I', 'G', 'H', 'T', '_', 'V', 'E', 'R', 'T', '_', 'G', 'R', 'I', 'D', '\0', /* PA_SC_RIGHT_VERT_GRID (13736) */
	'P', 'A', '_', 'S', 'C', '_', 'L', 'E', 'F', 'T', '_', 'V', 'E', 'R', 'T', '_', 'G', 'R', 'I', 'D', '\0', /* PA_SC_LEFT_VERT_GRID (13758) */
	'P', 'A', '_', 'S', 'C', '_', 'H', 'O', 'R', 'I', 'Z', '_', 'G', 'R', 'I', 'D', '\0', /* PA_SC_HORIZ_GRID (13779) */
	'V', 'G', 'T', '_', 'M', 'A', 'X', '_', 'V', 'T', 'X', '_', 'I', 'N', 'D', 'X', '\0', /* VGT_MAX_VTX_INDX (13796) */
	'V', 'G', 'T', '_', 'M', 'I', 'N', '_', 'V', 'T', 'X', '_', 'I', 'N', 'D', 'X', '\0', /* VGT_MIN_VTX_INDX (13813) */
	'V', 'G', 'T', '_', 'I', 'N', 'D', 'X', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* VGT_INDX_OFFSET (13830, 13834, 13837) */
	'V', 'G', 'T', '_', 'M', 'U', 'L', 'T', 'I', '_', 'P', 'R', 'I', 'M', '_', 'I', 'B', '_', 'R', 'E', 'S', 'E', 'T', '_', 'I', 'N', 'D', 'X', '\0', /* VGT_MULTI_PRIM_IB_RESET_INDX (13846, 13864) */
	'C', 'B', '_', 'R', 'M', 'I', '_', 'G', 'L', '2', '_', 'C', 'A', 'C', 'H', 'E', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_RMI_GL2_CACHE_CONTROL (13875) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '_', 'R', 'E', 'D', '\0', /* CB_BLEND_RED (13900, 13903) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '_', 'G', 'R', 'E', 'E', 'N', '\0', /* CB_BLEND_GREEN (13913, 13916, 13925) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '_', 'B', 'L', 'U', 'E', '\0', /* CB_BLEND_BLUE (13928, 13931) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* CB_BLEND_ALPHA (13942, 13945) */
	'C', 'B', '_', 'D', 'C', 'C', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_DCC_CONTROL (13957) */
	'C', 'B', '_', 'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'O', 'U', 'T', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_COVERAGE_OUT_CONTROL (13972) */
	'D', 'B', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* DB_STENCIL_CONTROL (13996) */
	'D', 'B', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', 'R', 'E', 'F', 'M', 'A', 'S', 'K', '\0', /* DB_STENCILREFMASK (14015) */
	'D', 'B', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', 'R', 'E', 'F', 'M', 'A', 'S', 'K', '_', 'B', 'F', '\0', /* DB_STENCILREFMASK_BF (14033) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '\0', /* PA_CL_VPORT_XSCALE (14054, 14060, 14067) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* PA_CL_VPORT_XOFFSET (14073, 14079) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '\0', /* PA_CL_VPORT_YSCALE (14093, 14099) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* PA_CL_VPORT_YOFFSET (14112, 14118) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '\0', /* PA_CL_VPORT_ZSCALE (14132, 14138) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* PA_CL_VPORT_ZOFFSET (14151, 14157) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '1', '\0', /* PA_CL_VPORT_XSCALE_1 (14171) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '\0', /* PA_CL_VPORT_XOFFSET_1 (14192) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '1', '\0', /* PA_CL_VPORT_YSCALE_1 (14214) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '\0', /* PA_CL_VPORT_YOFFSET_1 (14235) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '1', '\0', /* PA_CL_VPORT_ZSCALE_1 (14257) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '\0', /* PA_CL_VPORT_ZOFFSET_1 (14278) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '2', '\0', /* PA_CL_VPORT_XSCALE_2 (14300) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '2', '\0', /* PA_CL_VPORT_XOFFSET_2 (14321) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '2', '\0', /* PA_CL_VPORT_YSCALE_2 (14343) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '2', '\0', /* PA_CL_VPORT_YOFFSET_2 (14364) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '2', '\0', /* PA_CL_VPORT_ZSCALE_2 (14386) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '2', '\0', /* PA_CL_VPORT_ZOFFSET_2 (14407) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '3', '\0', /* PA_CL_VPORT_XSCALE_3 (14429) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '3', '\0', /* PA_CL_VPORT_XOFFSET_3 (14450) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '3', '\0', /* PA_CL_VPORT_YSCALE_3 (14472) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '3', '\0', /* PA_CL_VPORT_YOFFSET_3 (14493) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '3', '\0', /* PA_CL_VPORT_ZSCALE_3 (14515) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '3', '\0', /* PA_CL_VPORT_ZOFFSET_3 (14536) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '4', '\0', /* PA_CL_VPORT_XSCALE_4 (14558) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '4', '\0', /* PA_CL_VPORT_XOFFSET_4 (14579) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '4', '\0', /* PA_CL_VPORT_YSCALE_4 (14601) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '4', '\0', /* PA_CL_VPORT_YOFFSET_4 (14622) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '4', '\0', /* PA_CL_VPORT_ZSCALE_4 (14644) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '4', '\0', /* PA_CL_VPORT_ZOFFSET_4 (14665) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '5', '\0', /* PA_CL_VPORT_XSCALE_5 (14687) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '5', '\0', /* PA_CL_VPORT_XOFFSET_5 (14708) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '5', '\0', /* PA_CL_VPORT_YSCALE_5 (14730) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '5', '\0', /* PA_CL_VPORT_YOFFSET_5 (14751) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '5', '\0', /* PA_CL_VPORT_ZSCALE_5 (14773) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '5', '\0', /* PA_CL_VPORT_ZOFFSET_5 (14794) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '6', '\0', /* PA_CL_VPORT_XSCALE_6 (14816) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '6', '\0', /* PA_CL_VPORT_XOFFSET_6 (14837) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '6', '\0', /* PA_CL_VPORT_YSCALE_6 (14859) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '6', '\0', /* PA_CL_VPORT_YOFFSET_6 (14880) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '6', '\0', /* PA_CL_VPORT_ZSCALE_6 (14902) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '6', '\0', /* PA_CL_VPORT_ZOFFSET_6 (14923) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '7', '\0', /* PA_CL_VPORT_XSCALE_7 (14945) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '7', '\0', /* PA_CL_VPORT_XOFFSET_7 (14966) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '7', '\0', /* PA_CL_VPORT_YSCALE_7 (14988) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '7', '\0', /* PA_CL_VPORT_YOFFSET_7 (15009) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '7', '\0', /* PA_CL_VPORT_ZSCALE_7 (15031) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '7', '\0', /* PA_CL_VPORT_ZOFFSET_7 (15052) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '8', '\0', /* PA_CL_VPORT_XSCALE_8 (15074) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '8', '\0', /* PA_CL_VPORT_XOFFSET_8 (15095) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '8', '\0', /* PA_CL_VPORT_YSCALE_8 (15117) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '8', '\0', /* PA_CL_VPORT_YOFFSET_8 (15138) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '8', '\0', /* PA_CL_VPORT_ZSCALE_8 (15160) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '8', '\0', /* PA_CL_VPORT_ZOFFSET_8 (15181) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '9', '\0', /* PA_CL_VPORT_XSCALE_9 (15203) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '9', '\0', /* PA_CL_VPORT_XOFFSET_9 (15224) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '9', '\0', /* PA_CL_VPORT_YSCALE_9 (15246) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '9', '\0', /* PA_CL_VPORT_YOFFSET_9 (15267) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '9', '\0', /* PA_CL_VPORT_ZSCALE_9 (15289) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '9', '\0', /* PA_CL_VPORT_ZOFFSET_9 (15310) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '1', '0', '\0', /* PA_CL_VPORT_XSCALE_10 (15332) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '0', '\0', /* PA_CL_VPORT_XOFFSET_10 (15354) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '1', '0', '\0', /* PA_CL_VPORT_YSCALE_10 (15377) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '0', '\0', /* PA_CL_VPORT_YOFFSET_10 (15399) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '1', '0', '\0', /* PA_CL_VPORT_ZSCALE_10 (15422) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '0', '\0', /* PA_CL_VPORT_ZOFFSET_10 (15444) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '1', '1', '\0', /* PA_CL_VPORT_XSCALE_11 (15467) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '1', '\0', /* PA_CL_VPORT_XOFFSET_11 (15489) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '1', '1', '\0', /* PA_CL_VPORT_YSCALE_11 (15512) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '1', '\0', /* PA_CL_VPORT_YOFFSET_11 (15534) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '1', '1', '\0', /* PA_CL_VPORT_ZSCALE_11 (15557) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '1', '\0', /* PA_CL_VPORT_ZOFFSET_11 (15579) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '1', '2', '\0', /* PA_CL_VPORT_XSCALE_12 (15602) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '2', '\0', /* PA_CL_VPORT_XOFFSET_12 (15624) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '1', '2', '\0', /* PA_CL_VPORT_YSCALE_12 (15647) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '2', '\0', /* PA_CL_VPORT_YOFFSET_12 (15669) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '1', '2', '\0', /* PA_CL_VPORT_ZSCALE_12 (15692) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '2', '\0', /* PA_CL_VPORT_ZOFFSET_12 (15714) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '1', '3', '\0', /* PA_CL_VPORT_XSCALE_13 (15737) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '3', '\0', /* PA_CL_VPORT_XOFFSET_13 (15759) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '1', '3', '\0', /* PA_CL_VPORT_YSCALE_13 (15782) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '3', '\0', /* PA_CL_VPORT_YOFFSET_13 (15804) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '1', '3', '\0', /* PA_CL_VPORT_ZSCALE_13 (15827) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '3', '\0', /* PA_CL_VPORT_ZOFFSET_13 (15849) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '1', '4', '\0', /* PA_CL_VPORT_XSCALE_14 (15872) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '4', '\0', /* PA_CL_VPORT_XOFFSET_14 (15894) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '1', '4', '\0', /* PA_CL_VPORT_YSCALE_14 (15917) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '4', '\0', /* PA_CL_VPORT_YOFFSET_14 (15939) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '1', '4', '\0', /* PA_CL_VPORT_ZSCALE_14 (15962) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '4', '\0', /* PA_CL_VPORT_ZOFFSET_14 (15984) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'S', 'C', 'A', 'L', 'E', '_', '1', '5', '\0', /* PA_CL_VPORT_XSCALE_15 (16007) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'X', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '5', '\0', /* PA_CL_VPORT_XOFFSET_15 (16029) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'S', 'C', 'A', 'L', 'E', '_', '1', '5', '\0', /* PA_CL_VPORT_YSCALE_15 (16052) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Y', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '5', '\0', /* PA_CL_VPORT_YOFFSET_15 (16074) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'S', 'C', 'A', 'L', 'E', '_', '1', '5', '\0', /* PA_CL_VPORT_ZSCALE_15 (16097) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'P', 'O', 'R', 'T', '_', 'Z', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '5', '\0', /* PA_CL_VPORT_ZOFFSET_15 (16119) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '0', '_', 'X', '\0', /* PA_CL_UCP_0_X (16142) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '0', '_', 'Y', '\0', /* PA_CL_UCP_0_Y (16156) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '0', '_', 'Z', '\0', /* PA_CL_UCP_0_Z (16170) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '0', '_', 'W', '\0', /* PA_CL_UCP_0_W (16184) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '1', '_', 'X', '\0', /* PA_CL_UCP_1_X (16198) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '1', '_', 'Y', '\0', /* PA_CL_UCP_1_Y (16212) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '1', '_', 'Z', '\0', /* PA_CL_UCP_1_Z (16226) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '1', '_', 'W', '\0', /* PA_CL_UCP_1_W (16240) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '2', '_', 'X', '\0', /* PA_CL_UCP_2_X (16254) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '2', '_', 'Y', '\0', /* PA_CL_UCP_2_Y (16268) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '2', '_', 'Z', '\0', /* PA_CL_UCP_2_Z (16282) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '2', '_', 'W', '\0', /* PA_CL_UCP_2_W (16296) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '3', '_', 'X', '\0', /* PA_CL_UCP_3_X (16310) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '3', '_', 'Y', '\0', /* PA_CL_UCP_3_Y (16324) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '3', '_', 'Z', '\0', /* PA_CL_UCP_3_Z (16338) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '3', '_', 'W', '\0', /* PA_CL_UCP_3_W (16352) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '4', '_', 'X', '\0', /* PA_CL_UCP_4_X (16366) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '4', '_', 'Y', '\0', /* PA_CL_UCP_4_Y (16380) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '4', '_', 'Z', '\0', /* PA_CL_UCP_4_Z (16394) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '4', '_', 'W', '\0', /* PA_CL_UCP_4_W (16408) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '5', '_', 'X', '\0', /* PA_CL_UCP_5_X (16422) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '5', '_', 'Y', '\0', /* PA_CL_UCP_5_Y (16436) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '5', '_', 'Z', '\0', /* PA_CL_UCP_5_Z (16450) */
	'P', 'A', '_', 'C', 'L', '_', 'U', 'C', 'P', '_', '5', '_', 'W', '\0', /* PA_CL_UCP_5_W (16464) */
	'P', 'A', '_', 'C', 'L', '_', 'P', 'R', 'O', 'G', '_', 'N', 'E', 'A', 'R', '_', 'C', 'L', 'I', 'P', '_', 'Z', '\0', /* PA_CL_PROG_NEAR_CLIP_Z (16478) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '0', '\0', /* SPI_PS_INPUT_CNTL_0 (16501) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '\0', /* SPI_PS_INPUT_CNTL_1 (16521) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '\0', /* SPI_PS_INPUT_CNTL_2 (16541) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '3', '\0', /* SPI_PS_INPUT_CNTL_3 (16561) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '4', '\0', /* SPI_PS_INPUT_CNTL_4 (16581) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '5', '\0', /* SPI_PS_INPUT_CNTL_5 (16601) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '6', '\0', /* SPI_PS_INPUT_CNTL_6 (16621) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '7', '\0', /* SPI_PS_INPUT_CNTL_7 (16641) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '8', '\0', /* SPI_PS_INPUT_CNTL_8 (16661) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '9', '\0', /* SPI_PS_INPUT_CNTL_9 (16681) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '0', '\0', /* SPI_PS_INPUT_CNTL_10 (16701) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '1', '\0', /* SPI_PS_INPUT_CNTL_11 (16722) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '2', '\0', /* SPI_PS_INPUT_CNTL_12 (16743) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '3', '\0', /* SPI_PS_INPUT_CNTL_13 (16764) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '4', '\0', /* SPI_PS_INPUT_CNTL_14 (16785) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '5', '\0', /* SPI_PS_INPUT_CNTL_15 (16806) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '6', '\0', /* SPI_PS_INPUT_CNTL_16 (16827) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '7', '\0', /* SPI_PS_INPUT_CNTL_17 (16848) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '8', '\0', /* SPI_PS_INPUT_CNTL_18 (16869) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '1', '9', '\0', /* SPI_PS_INPUT_CNTL_19 (16890) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '0', '\0', /* SPI_PS_INPUT_CNTL_20 (16911) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '1', '\0', /* SPI_PS_INPUT_CNTL_21 (16932) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '2', '\0', /* SPI_PS_INPUT_CNTL_22 (16953) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '3', '\0', /* SPI_PS_INPUT_CNTL_23 (16974) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '4', '\0', /* SPI_PS_INPUT_CNTL_24 (16995) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '5', '\0', /* SPI_PS_INPUT_CNTL_25 (17016) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '6', '\0', /* SPI_PS_INPUT_CNTL_26 (17037) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '7', '\0', /* SPI_PS_INPUT_CNTL_27 (17058) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '8', '\0', /* SPI_PS_INPUT_CNTL_28 (17079) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '2', '9', '\0', /* SPI_PS_INPUT_CNTL_29 (17100) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '3', '0', '\0', /* SPI_PS_INPUT_CNTL_30 (17121) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'N', 'T', 'L', '_', '3', '1', '\0', /* SPI_PS_INPUT_CNTL_31 (17142) */
	'S', 'P', 'I', '_', 'V', 'S', '_', 'O', 'U', 'T', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* SPI_VS_OUT_CONFIG (17163) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'E', 'N', 'A', '\0', /* SPI_PS_INPUT_ENA (17181) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', 'P', 'U', 'T', '_', 'A', 'D', 'D', 'R', '\0', /* SPI_PS_INPUT_ADDR (17198) */
	'S', 'P', 'I', '_', 'I', 'N', 'T', 'E', 'R', 'P', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '_', '0', '\0', /* SPI_INTERP_CONTROL_0 (17216) */
	'S', 'P', 'I', '_', 'P', 'S', '_', 'I', 'N', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* SPI_PS_IN_CONTROL (17237) */
	'S', 'P', 'I', '_', 'B', 'A', 'R', 'Y', 'C', '_', 'C', 'N', 'T', 'L', '\0', /* SPI_BARYC_CNTL (17255) */
	'S', 'P', 'I', '_', 'T', 'M', 'P', 'R', 'I', 'N', 'G', '_', 'S', 'I', 'Z', 'E', '\0', /* SPI_TMPRING_SIZE (17270) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'I', 'D', 'X', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* SPI_SHADER_IDX_FORMAT (17287, 17302) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'P', 'O', 'S', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* SPI_SHADER_POS_FORMAT (17309) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'Z', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* SPI_SHADER_Z_FORMAT (17331) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'C', 'O', 'L', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* SPI_SHADER_COL_FORMAT (17351) */
	'S', 'X', '_', 'P', 'S', '_', 'D', 'O', 'W', 'N', 'C', 'O', 'N', 'V', 'E', 'R', 'T', '\0', /* SX_PS_DOWNCONVERT (17373) */
	'S', 'X', '_', 'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'E', 'P', 'S', 'I', 'L', 'O', 'N', '\0', /* SX_BLEND_OPT_EPSILON (17391) */
	'S', 'X', '_', 'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* SX_BLEND_OPT_CONTROL (17412) */
	'S', 'X', '_', 'M', 'R', 'T', '0', '_', 'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '\0', /* SX_MRT0_BLEND_OPT (17433) */
	'S', 'X', '_', 'M', 'R', 'T', '1', '_', 'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '\0', /* SX_MRT1_BLEND_OPT (17451) */
	'S', 'X', '_', 'M', 'R', 'T', '2', '_', 'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '\0', /* SX_MRT2_BLEND_OPT (17469) */
	'S', 'X', '_', 'M', 'R', 'T', '3', '_', 'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '\0', /* SX_MRT3_BLEND_OPT (17487) */
	'S', 'X', '_', 'M', 'R', 'T', '4', '_', 'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '\0', /* SX_MRT4_BLEND_OPT (17505) */
	'S', 'X', '_', 'M', 'R', 'T', '5', '_', 'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '\0', /* SX_MRT5_BLEND_OPT (17523) */
	'S', 'X', '_', 'M', 'R', 'T', '6', '_', 'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '\0', /* SX_MRT6_BLEND_OPT (17541) */
	'S', 'X', '_', 'M', 'R', 'T', '7', '_', 'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '\0', /* SX_MRT7_BLEND_OPT (17559) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '0', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_BLEND0_CONTROL (17577) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '1', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_BLEND1_CONTROL (17595) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '2', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_BLEND2_CONTROL (17613) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '3', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_BLEND3_CONTROL (17631) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '4', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_BLEND4_CONTROL (17649) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '5', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_BLEND5_CONTROL (17667) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '6', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_BLEND6_CONTROL (17685) */
	'C', 'B', '_', 'B', 'L', 'E', 'N', 'D', '7', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_BLEND7_CONTROL (17703) */
	'C', 'S', '_', 'C', 'O', 'P', 'Y', '_', 'S', 'T', 'A', 'T', 'E', '\0', /* CS_COPY_STATE (17721) */
	'G', 'F', 'X', '_', 'C', 'O', 'P', 'Y', '_', 'S', 'T', 'A', 'T', 'E', '\0', /* GFX_COPY_STATE (17735) */
	'P', 'A', '_', 'C', 'L', '_', 'P', 'O', 'I', 'N', 'T', '_', 'X', '_', 'R', 'A', 'D', '\0', /* PA_CL_POINT_X_RAD (17750) */
	'P', 'A', '_', 'C', 'L', '_', 'P', 'O', 'I', 'N', 'T', '_', 'Y', '_', 'R', 'A', 'D', '\0', /* PA_CL_POINT_Y_RAD (17768) */
	'P', 'A', '_', 'C', 'L', '_', 'P', 'O', 'I', 'N', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* PA_CL_POINT_SIZE (17786) */
	'P', 'A', '_', 'C', 'L', '_', 'P', 'O', 'I', 'N', 'T', '_', 'C', 'U', 'L', 'L', '_', 'R', 'A', 'D', '\0', /* PA_CL_POINT_CULL_RAD (17803) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* VGT_DMA_BASE_HI (17824) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'B', 'A', 'S', 'E', '\0', /* VGT_DMA_BASE (17840) */
	'V', 'G', 'T', '_', 'D', 'R', 'A', 'W', '_', 'I', 'N', 'I', 'T', 'I', 'A', 'T', 'O', 'R', '\0', /* VGT_DRAW_INITIATOR (17853) */
	'V', 'G', 'T', '_', 'I', 'M', 'M', 'E', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* VGT_IMMED_DATA (17872) */
	'V', 'G', 'T', '_', 'E', 'V', 'E', 'N', 'T', '_', 'A', 'D', 'D', 'R', 'E', 'S', 'S', '_', 'R', 'E', 'G', '\0', /* VGT_EVENT_ADDRESS_REG (17887) */
	'G', 'E', '_', 'M', 'A', 'X', '_', 'O', 'U', 'T', 'P', 'U', 'T', '_', 'P', 'E', 'R', '_', 'S', 'U', 'B', 'G', 'R', 'O', 'U', 'P', '\0', /* GE_MAX_OUTPUT_PER_SUBGROUP (17909) */
	'D', 'B', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* DB_DEPTH_CONTROL (17936) */
	'D', 'B', '_', 'E', 'Q', 'A', 'A', '\0', /* DB_EQAA (17953) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_COLOR_CONTROL (17961) */
	'D', 'B', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* DB_SHADER_CONTROL (17978) */
	'P', 'A', '_', 'C', 'L', '_', 'C', 'L', 'I', 'P', '_', 'C', 'N', 'T', 'L', '\0', /* PA_CL_CLIP_CNTL (17996) */
	'P', 'A', '_', 'S', 'U', '_', 'S', 'C', '_', 'M', 'O', 'D', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SU_SC_MODE_CNTL (18012) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'T', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* PA_CL_VTE_CNTL (18031) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'S', '_', 'O', 'U', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* PA_CL_VS_OUT_CNTL (18046) */
	'P', 'A', '_', 'C', 'L', '_', 'N', 'A', 'N', 'I', 'N', 'F', '_', 'C', 'N', 'T', 'L', '\0', /* PA_CL_NANINF_CNTL (18064) */
	'P', 'A', '_', 'S', 'U', '_', 'L', 'I', 'N', 'E', '_', 'S', 'T', 'I', 'P', 'P', 'L', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SU_LINE_STIPPLE_CNTL (18082) */
	'P', 'A', '_', 'S', 'U', '_', 'L', 'I', 'N', 'E', '_', 'S', 'T', 'I', 'P', 'P', 'L', 'E', '_', 'S', 'C', 'A', 'L', 'E', '\0', /* PA_SU_LINE_STIPPLE_SCALE (18106, 18112) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'R', 'I', 'M', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SU_PRIM_FILTER_CNTL (18131) */
	'P', 'A', '_', 'S', 'U', '_', 'S', 'M', 'A', 'L', 'L', '_', 'P', 'R', 'I', 'M', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SU_SMALL_PRIM_FILTER_CNTL (18154) */
	'P', 'A', '_', 'C', 'L', '_', 'O', 'B', 'J', 'P', 'R', 'I', 'M', '_', 'I', 'D', '_', 'C', 'N', 'T', 'L', '\0', /* PA_CL_OBJPRIM_ID_CNTL (18183) */
	'P', 'A', '_', 'C', 'L', '_', 'N', 'G', 'G', '_', 'C', 'N', 'T', 'L', '\0', /* PA_CL_NGG_CNTL (18205) */
	'P', 'A', '_', 'S', 'U', '_', 'O', 'V', 'E', 'R', '_', 'R', 'A', 'S', 'T', 'E', 'R', 'I', 'Z', 'A', 'T', 'I', 'O', 'N', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SU_OVER_RASTERIZATION_CNTL (18220) */
	'P', 'A', '_', 'S', 'T', 'E', 'R', 'E', 'O', '_', 'C', 'N', 'T', 'L', '\0', /* PA_STEREO_CNTL (18250) */
	'P', 'A', '_', 'S', 'T', 'A', 'T', 'E', '_', 'S', 'T', 'E', 'R', 'E', 'O', '_', 'X', '\0', /* PA_STATE_STEREO_X (18265) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'O', 'I', 'N', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* PA_SU_POINT_SIZE (18283) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'O', 'I', 'N', 'T', '_', 'M', 'I', 'N', 'M', 'A', 'X', '\0', /* PA_SU_POINT_MINMAX (18300) */
	'P', 'A', '_', 'S', 'U', '_', 'L', 'I', 'N', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SU_LINE_CNTL (18319) */
	'P', 'A', '_', 'S', 'C', '_', 'L', 'I', 'N', 'E', '_', 'S', 'T', 'I', 'P', 'P', 'L', 'E', '\0', /* PA_SC_LINE_STIPPLE (18335) */
	'V', 'G', 'T', '_', 'O', 'U', 'T', 'P', 'U', 'T', '_', 'P', 'A', 'T', 'H', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_OUTPUT_PATH_CNTL (18354) */
	'V', 'G', 'T', '_', 'H', 'O', 'S', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_HOS_CNTL (18375) */
	'V', 'G', 'T', '_', 'H', 'O', 'S', '_', 'M', 'A', 'X', '_', 'T', 'E', 'S', 'S', '_', 'L', 'E', 'V', 'E', 'L', '\0', /* VGT_HOS_MAX_TESS_LEVEL (18388) */
	'V', 'G', 'T', '_', 'H', 'O', 'S', '_', 'M', 'I', 'N', '_', 'T', 'E', 'S', 'S', '_', 'L', 'E', 'V', 'E', 'L', '\0', /* VGT_HOS_MIN_TESS_LEVEL (18411) */
	'V', 'G', 'T', '_', 'H', 'O', 'S', '_', 'R', 'E', 'U', 'S', 'E', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* VGT_HOS_REUSE_DEPTH (18434, 18442, 18448) */
	'V', 'G', 'T', '_', 'G', 'R', 'O', 'U', 'P', '_', 'P', 'R', 'I', 'M', '_', 'T', 'Y', 'P', 'E', '\0', /* VGT_GROUP_PRIM_TYPE (18454, 18464) */
	'V', 'G', 'T', '_', 'G', 'R', 'O', 'U', 'P', '_', 'F', 'I', 'R', 'S', 'T', '_', 'D', 'E', 'C', 'R', '\0', /* VGT_GROUP_FIRST_DECR (18474, 18484, 18490) */
	'V', 'G', 'T', '_', 'G', 'R', 'O', 'U', 'P', '_', 'D', 'E', 'C', 'R', '\0', /* VGT_GROUP_DECR (18495) */
	'V', 'G', 'T', '_', 'G', 'R', 'O', 'U', 'P', '_', 'V', 'E', 'C', 'T', '_', '0', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_GROUP_VECT_0_CNTL (18510) */
	'V', 'G', 'T', '_', 'G', 'R', 'O', 'U', 'P', '_', 'V', 'E', 'C', 'T', '_', '1', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_GROUP_VECT_1_CNTL (18532) */
	'V', 'G', 'T', '_', 'G', 'R', 'O', 'U', 'P', '_', 'V', 'E', 'C', 'T', '_', '0', '_', 'F', 'M', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_GROUP_VECT_0_FMT_CNTL (18554) */
	'V', 'G', 'T', '_', 'G', 'R', 'O', 'U', 'P', '_', 'V', 'E', 'C', 'T', '_', '1', '_', 'F', 'M', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_GROUP_VECT_1_FMT_CNTL (18580) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'M', 'O', 'D', 'E', '\0', /* VGT_GS_MODE (18606) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'O', 'N', 'C', 'H', 'I', 'P', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_GS_ONCHIP_CNTL (18618) */
	'P', 'A', '_', 'S', 'C', '_', 'M', 'O', 'D', 'E', '_', 'C', 'N', 'T', 'L', '_', '0', '\0', /* PA_SC_MODE_CNTL_0 (18637) */
	'P', 'A', '_', 'S', 'C', '_', 'M', 'O', 'D', 'E', '_', 'C', 'N', 'T', 'L', '_', '1', '\0', /* PA_SC_MODE_CNTL_1 (18655) */
	'V', 'G', 'T', '_', 'E', 'N', 'H', 'A', 'N', 'C', 'E', '\0', /* VGT_ENHANCE (18673, 18682) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'P', 'E', 'R', '_', 'E', 'S', '\0', /* VGT_GS_PER_ES (18685, 18689) */
	'V', 'G', 'T', '_', 'E', 'S', '_', 'P', 'E', 'R', '_', 'G', 'S', '\0', /* VGT_ES_PER_GS (18699, 18703) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'P', 'E', 'R', '_', 'V', 'S', '\0', /* VGT_GS_PER_VS (18713, 18717) */
	'V', 'G', 'T', '_', 'G', 'S', 'V', 'S', '_', 'R', 'I', 'N', 'G', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '\0', /* VGT_GSVS_RING_OFFSET_1 (18727) */
	'V', 'G', 'T', '_', 'G', 'S', 'V', 'S', '_', 'R', 'I', 'N', 'G', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', '2', '\0', /* VGT_GSVS_RING_OFFSET_2 (18750) */
	'V', 'G', 'T', '_', 'G', 'S', 'V', 'S', '_', 'R', 'I', 'N', 'G', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', '3', '\0', /* VGT_GSVS_RING_OFFSET_3 (18773) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'O', 'U', 'T', '_', 'P', 'R', 'I', 'M', '_', 'T', 'Y', 'P', 'E', '\0', /* VGT_GS_OUT_PRIM_TYPE (18796) */
	'I', 'A', '_', 'E', 'N', 'H', 'A', 'N', 'C', 'E', '\0', /* IA_ENHANCE (18817) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'S', 'I', 'Z', 'E', '\0', /* VGT_DMA_SIZE (18828) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'M', 'A', 'X', '_', 'S', 'I', 'Z', 'E', '\0', /* VGT_DMA_MAX_SIZE (18841, 18849) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'I', 'N', 'D', 'E', 'X', '_', 'T', 'Y', 'P', 'E', '\0', /* VGT_DMA_INDEX_TYPE (18858) */
	'W', 'D', '_', 'E', 'N', 'H', 'A', 'N', 'C', 'E', '\0', /* WD_ENHANCE (18877) */
	'V', 'G', 'T', '_', 'P', 'R', 'I', 'M', 'I', 'T', 'I', 'V', 'E', 'I', 'D', '_', 'E', 'N', '\0', /* VGT_PRIMITIVEID_EN (18888, 18892) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'N', 'U', 'M', '_', 'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', 'S', '\0', /* VGT_DMA_NUM_INSTANCES (18907) */
	'V', 'G', 'T', '_', 'P', 'R', 'I', 'M', 'I', 'T', 'I', 'V', 'E', 'I', 'D', '_', 'R', 'E', 'S', 'E', 'T', '\0', /* VGT_PRIMITIVEID_RESET (18929, 18945) */
	'V', 'G', 'T', '_', 'E', 'V', 'E', 'N', 'T', '_', 'I', 'N', 'I', 'T', 'I', 'A', 'T', 'O', 'R', '\0', /* VGT_EVENT_INITIATOR (18951) */
	'V', 'G', 'T', '_', 'M', 'U', 'L', 'T', 'I', '_', 'P', 'R', 'I', 'M', '_', 'I', 'B', '_', 'R', 'E', 'S', 'E', 'T', '_', 'E', 'N', '\0', /* VGT_MULTI_PRIM_IB_RESET_EN (18971, 18989) */
	'V', 'G', 'T', '_', 'D', 'R', 'A', 'W', '_', 'P', 'A', 'Y', 'L', 'O', 'A', 'D', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_DRAW_PAYLOAD_CNTL (18998) */
	'V', 'G', 'T', '_', 'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', '_', 'S', 'T', 'E', 'P', '_', 'R', 'A', 'T', 'E', '_', '0', '\0', /* VGT_INSTANCE_STEP_RATE_0 (19020) */
	'V', 'G', 'T', '_', 'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', '_', 'S', 'T', 'E', 'P', '_', 'R', 'A', 'T', 'E', '_', '1', '\0', /* VGT_INSTANCE_STEP_RATE_1 (19045) */
	'I', 'A', '_', 'M', 'U', 'L', 'T', 'I', '_', 'V', 'G', 'T', '_', 'P', 'A', 'R', 'A', 'M', '\0', /* IA_MULTI_VGT_PARAM (19070) */
	'V', 'G', 'T', '_', 'E', 'S', 'G', 'S', '_', 'R', 'I', 'N', 'G', '_', 'I', 'T', 'E', 'M', 'S', 'I', 'Z', 'E', '\0', /* VGT_ESGS_RING_ITEMSIZE (19089, 19103) */
	'V', 'G', 'T', '_', 'G', 'S', 'V', 'S', '_', 'R', 'I', 'N', 'G', '_', 'I', 'T', 'E', 'M', 'S', 'I', 'Z', 'E', '\0', /* VGT_GSVS_RING_ITEMSIZE (19112) */
	'V', 'G', 'T', '_', 'R', 'E', 'U', 'S', 'E', '_', 'O', 'F', 'F', '\0', /* VGT_REUSE_OFF (19135, 19139) */
	'V', 'G', 'T', '_', 'V', 'T', 'X', '_', 'C', 'N', 'T', '_', 'E', 'N', '\0', /* VGT_VTX_CNT_EN (19149, 19153) */
	'D', 'B', '_', 'H', 'T', 'I', 'L', 'E', '_', 'S', 'U', 'R', 'F', 'A', 'C', 'E', '\0', /* DB_HTILE_SURFACE (19164, 19176) */
	'D', 'B', '_', 'S', 'R', 'E', 'S', 'U', 'L', 'T', 'S', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'S', 'T', 'A', 'T', 'E', '0', '\0', /* DB_SRESULTS_COMPARE_STATE0 (19181) */
	'D', 'B', '_', 'S', 'R', 'E', 'S', 'U', 'L', 'T', 'S', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'S', 'T', 'A', 'T', 'E', '1', '\0', /* DB_SRESULTS_COMPARE_STATE1 (19208) */
	'D', 'B', '_', 'P', 'R', 'E', 'L', 'O', 'A', 'D', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* DB_PRELOAD_CONTROL (19235) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '_', '0', '\0', /* VGT_STRMOUT_BUFFER_SIZE_0 (19254) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'V', 'T', 'X', '_', 'S', 'T', 'R', 'I', 'D', 'E', '_', '0', '\0', /* VGT_STRMOUT_VTX_STRIDE_0 (19280) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', '0', '\0', /* VGT_STRMOUT_BUFFER_OFFSET_0 (19305) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '_', '1', '\0', /* VGT_STRMOUT_BUFFER_SIZE_1 (19333) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'V', 'T', 'X', '_', 'S', 'T', 'R', 'I', 'D', 'E', '_', '1', '\0', /* VGT_STRMOUT_VTX_STRIDE_1 (19359) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', '1', '\0', /* VGT_STRMOUT_BUFFER_OFFSET_1 (19384) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '_', '2', '\0', /* VGT_STRMOUT_BUFFER_SIZE_2 (19412) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'V', 'T', 'X', '_', 'S', 'T', 'R', 'I', 'D', 'E', '_', '2', '\0', /* VGT_STRMOUT_VTX_STRIDE_2 (19438) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', '2', '\0', /* VGT_STRMOUT_BUFFER_OFFSET_2 (19463) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '_', '3', '\0', /* VGT_STRMOUT_BUFFER_SIZE_3 (19491) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'V', 'T', 'X', '_', 'S', 'T', 'R', 'I', 'D', 'E', '_', '3', '\0', /* VGT_STRMOUT_VTX_STRIDE_3 (19517) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', '3', '\0', /* VGT_STRMOUT_BUFFER_OFFSET_3 (19542) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'D', 'R', 'A', 'W', '_', 'O', 'P', 'A', 'Q', 'U', 'E', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* VGT_STRMOUT_DRAW_OPAQUE_OFFSET (19570) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'D', 'R', 'A', 'W', '_', 'O', 'P', 'A', 'Q', 'U', 'E', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'F', 'I', 'L', 'L', 'E', 'D', '_', 'S', 'I', 'Z', 'E', '\0', /* VGT_STRMOUT_DRAW_OPAQUE_BUFFER_FILLED_SIZE (19601) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'D', 'R', 'A', 'W', '_', 'O', 'P', 'A', 'Q', 'U', 'E', '_', 'V', 'E', 'R', 'T', 'E', 'X', '_', 'S', 'T', 'R', 'I', 'D', 'E', '\0', /* VGT_STRMOUT_DRAW_OPAQUE_VERTEX_STRIDE (19644, 19668, 19675) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'M', 'A', 'X', '_', 'V', 'E', 'R', 'T', '_', 'O', 'U', 'T', '\0', /* VGT_GS_MAX_VERT_OUT (19682, 19689, 19698) */
	'G', 'E', '_', 'N', 'G', 'G', '_', 'S', 'U', 'B', 'G', 'R', 'P', '_', 'C', 'N', 'T', 'L', '\0', /* GE_NGG_SUBGRP_CNTL (19702) */
	'V', 'G', 'T', '_', 'T', 'E', 'S', 'S', '_', 'D', 'I', 'S', 'T', 'R', 'I', 'B', 'U', 'T', 'I', 'O', 'N', '\0', /* VGT_TESS_DISTRIBUTION (19721) */
	'V', 'G', 'T', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'S', 'T', 'A', 'G', 'E', 'S', '_', 'E', 'N', '\0', /* VGT_SHADER_STAGES_EN (19743, 19758) */
	'V', 'G', 'T', '_', 'L', 'S', '_', 'H', 'S', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* VGT_LS_HS_CONFIG (19764) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'V', 'E', 'R', 'T', '_', 'I', 'T', 'E', 'M', 'S', 'I', 'Z', 'E', '\0', /* VGT_GS_VERT_ITEMSIZE (19781) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'V', 'E', 'R', 'T', '_', 'I', 'T', 'E', 'M', 'S', 'I', 'Z', 'E', '_', '1', '\0', /* VGT_GS_VERT_ITEMSIZE_1 (19802) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'V', 'E', 'R', 'T', '_', 'I', 'T', 'E', 'M', 'S', 'I', 'Z', 'E', '_', '2', '\0', /* VGT_GS_VERT_ITEMSIZE_2 (19825) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'V', 'E', 'R', 'T', '_', 'I', 'T', 'E', 'M', 'S', 'I', 'Z', 'E', '_', '3', '\0', /* VGT_GS_VERT_ITEMSIZE_3 (19848) */
	'V', 'G', 'T', '_', 'T', 'F', '_', 'P', 'A', 'R', 'A', 'M', '\0', /* VGT_TF_PARAM (19871) */
	'D', 'B', '_', 'A', 'L', 'P', 'H', 'A', '_', 'T', 'O', '_', 'M', 'A', 'S', 'K', '\0', /* DB_ALPHA_TO_MASK (19884) */
	'V', 'G', 'T', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* VGT_DISPATCH_DRAW_INDEX (19901) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'D', 'B', '_', 'F', 'M', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SU_POLY_OFFSET_DB_FMT_CNTL (19925) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'C', 'L', 'A', 'M', 'P', '\0', /* PA_SU_POLY_OFFSET_CLAMP (19955, 19973) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'F', 'R', 'O', 'N', 'T', '_', 'S', 'C', 'A', 'L', 'E', '\0', /* PA_SU_POLY_OFFSET_FRONT_SCALE (19979) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'F', 'R', 'O', 'N', 'T', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* PA_SU_POLY_OFFSET_FRONT_OFFSET (20009) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'B', 'A', 'C', 'K', '_', 'S', 'C', 'A', 'L', 'E', '\0', /* PA_SU_POLY_OFFSET_BACK_SCALE (20040) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'B', 'A', 'C', 'K', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* PA_SU_POLY_OFFSET_BACK_OFFSET (20069) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', '_', 'C', 'N', 'T', '\0', /* VGT_GS_INSTANCE_CNT (20099, 20115) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* VGT_STRMOUT_CONFIG (20119) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* VGT_STRMOUT_BUFFER_CONFIG (20138) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'E', 'V', 'E', 'N', 'T', '_', 'I', 'N', 'I', 'T', 'I', 'A', 'T', 'O', 'R', '\0', /* VGT_DMA_EVENT_INITIATOR (20164) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '_', 'P', 'R', 'I', 'O', 'R', 'I', 'T', 'Y', '_', '0', '\0', /* PA_SC_CENTROID_PRIORITY_0 (20188) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '_', 'P', 'R', 'I', 'O', 'R', 'I', 'T', 'Y', '_', '1', '\0', /* PA_SC_CENTROID_PRIORITY_1 (20214) */
	'P', 'A', '_', 'S', 'C', '_', 'L', 'I', 'N', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SC_LINE_CNTL (20240) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* PA_SC_AA_CONFIG (20256) */
	'P', 'A', '_', 'S', 'U', '_', 'V', 'T', 'X', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SU_VTX_CNTL (20272) */
	'P', 'A', '_', 'C', 'L', '_', 'G', 'B', '_', 'V', 'E', 'R', 'T', '_', 'C', 'L', 'I', 'P', '_', 'A', 'D', 'J', '\0', /* PA_CL_GB_VERT_CLIP_ADJ (20287) */
	'P', 'A', '_', 'C', 'L', '_', 'G', 'B', '_', 'V', 'E', 'R', 'T', '_', 'D', 'I', 'S', 'C', '_', 'A', 'D', 'J', '\0', /* PA_CL_GB_VERT_DISC_ADJ (20310) */
	'P', 'A', '_', 'C', 'L', '_', 'G', 'B', '_', 'H', 'O', 'R', 'Z', '_', 'C', 'L', 'I', 'P', '_', 'A', 'D', 'J', '\0', /* PA_CL_GB_HORZ_CLIP_ADJ (20333) */
	'P', 'A', '_', 'C', 'L', '_', 'G', 'B', '_', 'H', 'O', 'R', 'Z', '_', 'D', 'I', 'S', 'C', '_', 'A', 'D', 'J', '\0', /* PA_CL_GB_HORZ_DISC_ADJ (20356) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '0', 'Y', '0', '_', '0', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_0 (20379) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '0', 'Y', '0', '_', '1', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_1 (20413) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '0', 'Y', '0', '_', '2', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_2 (20447) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '0', 'Y', '0', '_', '3', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y0_3 (20481) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '1', 'Y', '0', '_', '0', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_0 (20515) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '1', 'Y', '0', '_', '1', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_1 (20549) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '1', 'Y', '0', '_', '2', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_2 (20583) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '1', 'Y', '0', '_', '3', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y0_3 (20617) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '0', 'Y', '1', '_', '0', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_0 (20651) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '0', 'Y', '1', '_', '1', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_1 (20685) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '0', 'Y', '1', '_', '2', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_2 (20719) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '0', 'Y', '1', '_', '3', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X0Y1_3 (20753) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '1', 'Y', '1', '_', '0', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_0 (20787) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '1', 'Y', '1', '_', '1', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_1 (20821) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '1', 'Y', '1', '_', '2', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_2 (20855) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'S', '_', 'P', 'I', 'X', 'E', 'L', '_', 'X', '1', 'Y', '1', '_', '3', '\0', /* PA_SC_AA_SAMPLE_LOCS_PIXEL_X1Y1_3 (20889) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'X', '0', 'Y', '0', '_', 'X', '1', 'Y', '0', '\0', /* PA_SC_AA_MASK_X0Y0_X1Y0 (20923) */
	'P', 'A', '_', 'S', 'C', '_', 'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'X', '0', 'Y', '1', '_', 'X', '1', 'Y', '1', '\0', /* PA_SC_AA_MASK_X0Y1_X1Y1 (20947) */
	'P', 'A', '_', 'S', 'C', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* PA_SC_SHADER_CONTROL (20971) */
	'P', 'A', '_', 'S', 'C', '_', 'B', 'I', 'N', 'N', 'E', 'R', '_', 'C', 'N', 'T', 'L', '_', '0', '\0', /* PA_SC_BINNER_CNTL_0 (20992) */
	'P', 'A', '_', 'S', 'C', '_', 'B', 'I', 'N', 'N', 'E', 'R', '_', 'C', 'N', 'T', 'L', '_', '1', '\0', /* PA_SC_BINNER_CNTL_1 (21012) */
	'P', 'A', '_', 'S', 'C', '_', 'C', 'O', 'N', 'S', 'E', 'R', 'V', 'A', 'T', 'I', 'V', 'E', '_', 'R', 'A', 'S', 'T', 'E', 'R', 'I', 'Z', 'A', 'T', 'I', 'O', 'N', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SC_CONSERVATIVE_RASTERIZATION_CNTL (21032) */
	'P', 'A', '_', 'S', 'C', '_', 'N', 'G', 'G', '_', 'M', 'O', 'D', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SC_NGG_MODE_CNTL (21070) */
	'V', 'G', 'T', '_', 'V', 'E', 'R', 'T', 'E', 'X', '_', 'R', 'E', 'U', 'S', 'E', '_', 'B', 'L', 'O', 'C', 'K', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_VERTEX_REUSE_BLOCK_CNTL (21090) */
	'V', 'G', 'T', '_', 'O', 'U', 'T', '_', 'D', 'E', 'A', 'L', 'L', 'O', 'C', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_OUT_DEALLOC_CNTL (21118) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR0_BASE (21139) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_COLOR0_PITCH (21154, 21164) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR0_SLICE (21170) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'V', 'I', 'E', 'W', '\0', /* CB_COLOR0_VIEW (21186) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'I', 'N', 'F', 'O', '\0', /* CB_COLOR0_INFO (21201) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'A', 'T', 'T', 'R', 'I', 'B', '\0', /* CB_COLOR0_ATTRIB (21216) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'D', 'C', 'C', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_COLOR0_DCC_CONTROL (21233) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'C', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR0_CMASK (21255) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'C', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR0_CMASK_SLICE (21271) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'F', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR0_FMASK (21293) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'F', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR0_FMASK_SLICE (21309) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '0', '\0', /* CB_COLOR0_CLEAR_WORD0 (21331, 21341) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '1', '\0', /* CB_COLOR0_CLEAR_WORD1 (21353, 21363) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR0_DCC_BASE (21375) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR1_BASE (21394) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_COLOR1_PITCH (21409) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR1_SLICE (21425) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'V', 'I', 'E', 'W', '\0', /* CB_COLOR1_VIEW (21441) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'I', 'N', 'F', 'O', '\0', /* CB_COLOR1_INFO (21456) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'A', 'T', 'T', 'R', 'I', 'B', '\0', /* CB_COLOR1_ATTRIB (21471) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'D', 'C', 'C', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_COLOR1_DCC_CONTROL (21488) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'C', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR1_CMASK (21510) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'C', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR1_CMASK_SLICE (21526) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'F', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR1_FMASK (21548) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'F', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR1_FMASK_SLICE (21564) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '0', '\0', /* CB_COLOR1_CLEAR_WORD0 (21586) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '1', '\0', /* CB_COLOR1_CLEAR_WORD1 (21608) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR1_DCC_BASE (21630) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR2_BASE (21649) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_COLOR2_PITCH (21664) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR2_SLICE (21680) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'V', 'I', 'E', 'W', '\0', /* CB_COLOR2_VIEW (21696) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'I', 'N', 'F', 'O', '\0', /* CB_COLOR2_INFO (21711) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'A', 'T', 'T', 'R', 'I', 'B', '\0', /* CB_COLOR2_ATTRIB (21726) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'D', 'C', 'C', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_COLOR2_DCC_CONTROL (21743) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'C', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR2_CMASK (21765) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'C', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR2_CMASK_SLICE (21781) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'F', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR2_FMASK (21803) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'F', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR2_FMASK_SLICE (21819) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '0', '\0', /* CB_COLOR2_CLEAR_WORD0 (21841) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '1', '\0', /* CB_COLOR2_CLEAR_WORD1 (21863) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR2_DCC_BASE (21885) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR3_BASE (21904) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_COLOR3_PITCH (21919) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR3_SLICE (21935) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'V', 'I', 'E', 'W', '\0', /* CB_COLOR3_VIEW (21951) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'I', 'N', 'F', 'O', '\0', /* CB_COLOR3_INFO (21966) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'A', 'T', 'T', 'R', 'I', 'B', '\0', /* CB_COLOR3_ATTRIB (21981) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'D', 'C', 'C', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_COLOR3_DCC_CONTROL (21998) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'C', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR3_CMASK (22020) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'C', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR3_CMASK_SLICE (22036) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'F', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR3_FMASK (22058) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'F', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR3_FMASK_SLICE (22074) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '0', '\0', /* CB_COLOR3_CLEAR_WORD0 (22096) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '1', '\0', /* CB_COLOR3_CLEAR_WORD1 (22118) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR3_DCC_BASE (22140) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR4_BASE (22159) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_COLOR4_PITCH (22174) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR4_SLICE (22190) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'V', 'I', 'E', 'W', '\0', /* CB_COLOR4_VIEW (22206) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'I', 'N', 'F', 'O', '\0', /* CB_COLOR4_INFO (22221) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'A', 'T', 'T', 'R', 'I', 'B', '\0', /* CB_COLOR4_ATTRIB (22236) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'D', 'C', 'C', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_COLOR4_DCC_CONTROL (22253) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'C', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR4_CMASK (22275) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'C', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR4_CMASK_SLICE (22291) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'F', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR4_FMASK (22313) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'F', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR4_FMASK_SLICE (22329) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '0', '\0', /* CB_COLOR4_CLEAR_WORD0 (22351) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '1', '\0', /* CB_COLOR4_CLEAR_WORD1 (22373) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR4_DCC_BASE (22395) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR5_BASE (22414) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_COLOR5_PITCH (22429) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR5_SLICE (22445) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'V', 'I', 'E', 'W', '\0', /* CB_COLOR5_VIEW (22461) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'I', 'N', 'F', 'O', '\0', /* CB_COLOR5_INFO (22476) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'A', 'T', 'T', 'R', 'I', 'B', '\0', /* CB_COLOR5_ATTRIB (22491) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'D', 'C', 'C', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_COLOR5_DCC_CONTROL (22508) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'C', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR5_CMASK (22530) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'C', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR5_CMASK_SLICE (22546) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'F', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR5_FMASK (22568) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'F', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR5_FMASK_SLICE (22584) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '0', '\0', /* CB_COLOR5_CLEAR_WORD0 (22606) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '1', '\0', /* CB_COLOR5_CLEAR_WORD1 (22628) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR5_DCC_BASE (22650) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR6_BASE (22669) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_COLOR6_PITCH (22684) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR6_SLICE (22700) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'V', 'I', 'E', 'W', '\0', /* CB_COLOR6_VIEW (22716) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'I', 'N', 'F', 'O', '\0', /* CB_COLOR6_INFO (22731) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'A', 'T', 'T', 'R', 'I', 'B', '\0', /* CB_COLOR6_ATTRIB (22746) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'D', 'C', 'C', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_COLOR6_DCC_CONTROL (22763) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'C', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR6_CMASK (22785) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'C', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR6_CMASK_SLICE (22801) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'F', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR6_FMASK (22823) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'F', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR6_FMASK_SLICE (22839) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '0', '\0', /* CB_COLOR6_CLEAR_WORD0 (22861) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '1', '\0', /* CB_COLOR6_CLEAR_WORD1 (22883) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR6_DCC_BASE (22905) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR7_BASE (22924) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_COLOR7_PITCH (22939) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR7_SLICE (22955) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'V', 'I', 'E', 'W', '\0', /* CB_COLOR7_VIEW (22971) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'I', 'N', 'F', 'O', '\0', /* CB_COLOR7_INFO (22986) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'A', 'T', 'T', 'R', 'I', 'B', '\0', /* CB_COLOR7_ATTRIB (23001) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'D', 'C', 'C', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CB_COLOR7_DCC_CONTROL (23018) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'C', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR7_CMASK (23040) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'C', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR7_CMASK_SLICE (23056) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'F', 'M', 'A', 'S', 'K', '\0', /* CB_COLOR7_FMASK (23078) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'F', 'M', 'A', 'S', 'K', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* CB_COLOR7_FMASK_SLICE (23094) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '0', '\0', /* CB_COLOR7_CLEAR_WORD0 (23116) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'C', 'L', 'E', 'A', 'R', '_', 'W', 'O', 'R', 'D', '1', '\0', /* CB_COLOR7_CLEAR_WORD1 (23138) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '\0', /* CB_COLOR7_DCC_BASE (23160) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR0_BASE_EXT (23179) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR1_BASE_EXT (23198) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR2_BASE_EXT (23217) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR3_BASE_EXT (23236) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR4_BASE_EXT (23255) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR5_BASE_EXT (23274) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR6_BASE_EXT (23293) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR7_BASE_EXT (23312) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'C', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR0_CMASK_BASE_EXT (23331) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'C', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR1_CMASK_BASE_EXT (23356) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'C', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR2_CMASK_BASE_EXT (23381) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'C', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR3_CMASK_BASE_EXT (23406) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'C', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR4_CMASK_BASE_EXT (23431) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'C', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR5_CMASK_BASE_EXT (23456) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'C', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR6_CMASK_BASE_EXT (23481) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'C', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR7_CMASK_BASE_EXT (23506) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'F', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR0_FMASK_BASE_EXT (23531) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'F', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR1_FMASK_BASE_EXT (23556) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'F', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR2_FMASK_BASE_EXT (23581) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'F', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR3_FMASK_BASE_EXT (23606) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'F', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR4_FMASK_BASE_EXT (23631) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'F', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR5_FMASK_BASE_EXT (23656) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'F', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR6_FMASK_BASE_EXT (23681) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'F', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR7_FMASK_BASE_EXT (23706) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR0_DCC_BASE_EXT (23731) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR1_DCC_BASE_EXT (23754) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR2_DCC_BASE_EXT (23777) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR3_DCC_BASE_EXT (23800) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR4_DCC_BASE_EXT (23823) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR5_DCC_BASE_EXT (23846) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR6_DCC_BASE_EXT (23869) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'D', 'C', 'C', '_', 'B', 'A', 'S', 'E', '_', 'E', 'X', 'T', '\0', /* CB_COLOR7_DCC_BASE_EXT (23892) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'A', 'T', 'T', 'R', 'I', 'B', '2', '\0', /* CB_COLOR0_ATTRIB2 (23915) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'A', 'T', 'T', 'R', 'I', 'B', '2', '\0', /* CB_COLOR1_ATTRIB2 (23933) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'A', 'T', 'T', 'R', 'I', 'B', '2', '\0', /* CB_COLOR2_ATTRIB2 (23951) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'A', 'T', 'T', 'R', 'I', 'B', '2', '\0', /* CB_COLOR3_ATTRIB2 (23969) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'A', 'T', 'T', 'R', 'I', 'B', '2', '\0', /* CB_COLOR4_ATTRIB2 (23987) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'A', 'T', 'T', 'R', 'I', 'B', '2', '\0', /* CB_COLOR5_ATTRIB2 (24005) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'A', 'T', 'T', 'R', 'I', 'B', '2', '\0', /* CB_COLOR6_ATTRIB2 (24023) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'A', 'T', 'T', 'R', 'I', 'B', '2', '\0', /* CB_COLOR7_ATTRIB2 (24041) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '0', '_', 'A', 'T', 'T', 'R', 'I', 'B', '3', '\0', /* CB_COLOR0_ATTRIB3 (24059) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '1', '_', 'A', 'T', 'T', 'R', 'I', 'B', '3', '\0', /* CB_COLOR1_ATTRIB3 (24077) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '2', '_', 'A', 'T', 'T', 'R', 'I', 'B', '3', '\0', /* CB_COLOR2_ATTRIB3 (24095) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '3', '_', 'A', 'T', 'T', 'R', 'I', 'B', '3', '\0', /* CB_COLOR3_ATTRIB3 (24113) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '4', '_', 'A', 'T', 'T', 'R', 'I', 'B', '3', '\0', /* CB_COLOR4_ATTRIB3 (24131) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '5', '_', 'A', 'T', 'T', 'R', 'I', 'B', '3', '\0', /* CB_COLOR5_ATTRIB3 (24149) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '6', '_', 'A', 'T', 'T', 'R', 'I', 'B', '3', '\0', /* CB_COLOR6_ATTRIB3 (24167) */
	'C', 'B', '_', 'C', 'O', 'L', 'O', 'R', '7', '_', 'A', 'T', 'T', 'R', 'I', 'B', '3', '\0', /* CB_COLOR7_ATTRIB3 (24185) */
	'C', 'P', '_', 'E', 'O', 'P', '_', 'D', 'O', 'N', 'E', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_EOP_DONE_ADDR_LO (24203) */
	'C', 'P', '_', 'E', 'O', 'P', '_', 'D', 'O', 'N', 'E', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_EOP_DONE_ADDR_HI (24223) */
	'C', 'P', '_', 'E', 'O', 'P', '_', 'D', 'O', 'N', 'E', '_', 'D', 'A', 'T', 'A', '_', 'L', 'O', '\0', /* CP_EOP_DONE_DATA_LO (24243, 24255) */
	'C', 'P', '_', 'E', 'O', 'P', '_', 'D', 'O', 'N', 'E', '_', 'D', 'A', 'T', 'A', '_', 'H', 'I', '\0', /* CP_EOP_DONE_DATA_HI (24263, 24275) */
	'C', 'P', '_', 'E', 'O', 'P', '_', 'L', 'A', 'S', 'T', '_', 'F', 'E', 'N', 'C', 'E', '_', 'L', 'O', '\0', /* CP_EOP_LAST_FENCE_LO (24283, 24290) */
	'C', 'P', '_', 'E', 'O', 'P', '_', 'L', 'A', 'S', 'T', '_', 'F', 'E', 'N', 'C', 'E', '_', 'H', 'I', '\0', /* CP_EOP_LAST_FENCE_HI (24304, 24311) */
	'C', 'P', '_', 'S', 'T', 'R', 'E', 'A', 'M', '_', 'O', 'U', 'T', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_STREAM_OUT_ADDR_LO (24325, 24328) */
	'C', 'P', '_', 'S', 'T', 'R', 'E', 'A', 'M', '_', 'O', 'U', 'T', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_STREAM_OUT_ADDR_HI (24347, 24350) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '0', '_', 'L', 'O', '\0', /* CP_NUM_PRIM_WRITTEN_COUNT0_LO (24369) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '0', '_', 'H', 'I', '\0', /* CP_NUM_PRIM_WRITTEN_COUNT0_HI (24399) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'O', 'U', 'N', 'T', '0', '_', 'L', 'O', '\0', /* CP_NUM_PRIM_NEEDED_COUNT0_LO (24429) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'O', 'U', 'N', 'T', '0', '_', 'H', 'I', '\0', /* CP_NUM_PRIM_NEEDED_COUNT0_HI (24458) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '1', '_', 'L', 'O', '\0', /* CP_NUM_PRIM_WRITTEN_COUNT1_LO (24487) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '1', '_', 'H', 'I', '\0', /* CP_NUM_PRIM_WRITTEN_COUNT1_HI (24517) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'O', 'U', 'N', 'T', '1', '_', 'L', 'O', '\0', /* CP_NUM_PRIM_NEEDED_COUNT1_LO (24547) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'O', 'U', 'N', 'T', '1', '_', 'H', 'I', '\0', /* CP_NUM_PRIM_NEEDED_COUNT1_HI (24576) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '2', '_', 'L', 'O', '\0', /* CP_NUM_PRIM_WRITTEN_COUNT2_LO (24605) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '2', '_', 'H', 'I', '\0', /* CP_NUM_PRIM_WRITTEN_COUNT2_HI (24635) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'O', 'U', 'N', 'T', '2', '_', 'L', 'O', '\0', /* CP_NUM_PRIM_NEEDED_COUNT2_LO (24665) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'O', 'U', 'N', 'T', '2', '_', 'H', 'I', '\0', /* CP_NUM_PRIM_NEEDED_COUNT2_HI (24694) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '3', '_', 'L', 'O', '\0', /* CP_NUM_PRIM_WRITTEN_COUNT3_LO (24723) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '3', '_', 'H', 'I', '\0', /* CP_NUM_PRIM_WRITTEN_COUNT3_HI (24753) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'O', 'U', 'N', 'T', '3', '_', 'L', 'O', '\0', /* CP_NUM_PRIM_NEEDED_COUNT3_LO (24783) */
	'C', 'P', '_', 'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'O', 'U', 'N', 'T', '3', '_', 'H', 'I', '\0', /* CP_NUM_PRIM_NEEDED_COUNT3_HI (24812) */
	'C', 'P', '_', 'P', 'I', 'P', 'E', '_', 'S', 'T', 'A', 'T', 'S', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_PIPE_STATS_ADDR_LO (24841, 24844) */
	'C', 'P', '_', 'P', 'I', 'P', 'E', '_', 'S', 'T', 'A', 'T', 'S', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_PIPE_STATS_ADDR_HI (24863, 24866) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'I', 'A', 'V', 'E', 'R', 'T', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', '\0', /* CP_VGT_IAVERT_COUNT_LO (24885, 24892) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'I', 'A', 'V', 'E', 'R', 'T', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* CP_VGT_IAVERT_COUNT_HI (24908, 24915, 24922) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'I', 'A', 'P', 'R', 'I', 'M', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', '\0', /* CP_VGT_IAPRIM_COUNT_LO (24931, 24938) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'I', 'A', 'P', 'R', 'I', 'M', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* CP_VGT_IAPRIM_COUNT_HI (24954, 24961) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'G', 'S', 'P', 'R', 'I', 'M', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', '\0', /* CP_VGT_GSPRIM_COUNT_LO (24977, 24984) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'G', 'S', 'P', 'R', 'I', 'M', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* CP_VGT_GSPRIM_COUNT_HI (25000, 25007) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'V', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', '\0', /* CP_VGT_VSINVOC_COUNT_LO (25023, 25030) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'V', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* CP_VGT_VSINVOC_COUNT_HI (25047, 25054) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'G', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', '\0', /* CP_VGT_GSINVOC_COUNT_LO (25071, 25078) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'G', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* CP_VGT_GSINVOC_COUNT_HI (25095, 25102) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'H', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', '\0', /* CP_VGT_HSINVOC_COUNT_LO (25119, 25126) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'H', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* CP_VGT_HSINVOC_COUNT_HI (25143, 25150) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'D', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', '\0', /* CP_VGT_DSINVOC_COUNT_LO (25167, 25174) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'D', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* CP_VGT_DSINVOC_COUNT_HI (25191, 25198) */
	'C', 'P', '_', 'P', 'A', '_', 'C', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', '\0', /* CP_PA_CINVOC_COUNT_LO (25215, 25221) */
	'C', 'P', '_', 'P', 'A', '_', 'C', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* CP_PA_CINVOC_COUNT_HI (25237, 25243) */
	'C', 'P', '_', 'P', 'A', '_', 'C', 'P', 'R', 'I', 'M', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', '\0', /* CP_PA_CPRIM_COUNT_LO (25259, 25265) */
	'C', 'P', '_', 'P', 'A', '_', 'C', 'P', 'R', 'I', 'M', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* CP_PA_CPRIM_COUNT_HI (25280, 25286) */
	'C', 'P', '_', 'S', 'C', '_', 'P', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '0', '_', 'L', 'O', '\0', /* CP_SC_PSINVOC_COUNT0_LO (25301, 25307) */
	'C', 'P', '_', 'S', 'C', '_', 'P', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '0', '_', 'H', 'I', '\0', /* CP_SC_PSINVOC_COUNT0_HI (25325, 25331) */
	'C', 'P', '_', 'S', 'C', '_', 'P', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '1', '_', 'L', 'O', '\0', /* CP_SC_PSINVOC_COUNT1_LO (25349) */
	'C', 'P', '_', 'S', 'C', '_', 'P', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '1', '_', 'H', 'I', '\0', /* CP_SC_PSINVOC_COUNT1_HI (25373) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'C', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', '\0', /* CP_VGT_CSINVOC_COUNT_LO (25397, 25404) */
	'C', 'P', '_', 'V', 'G', 'T', '_', 'C', 'S', 'I', 'N', 'V', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* CP_VGT_CSINVOC_COUNT_HI (25421, 25428) */
	'C', 'P', '_', 'E', 'O', 'P', '_', 'D', 'O', 'N', 'E', '_', 'D', 'O', 'O', 'R', 'B', 'E', 'L', 'L', '\0', /* CP_EOP_DONE_DOORBELL (25445) */
	'C', 'P', '_', 'S', 'T', 'R', 'E', 'A', 'M', '_', 'O', 'U', 'T', '_', 'D', 'O', 'O', 'R', 'B', 'E', 'L', 'L', '\0', /* CP_STREAM_OUT_DOORBELL (25466) */
	'C', 'P', '_', 'S', 'E', 'M', '_', 'D', 'O', 'O', 'R', 'B', 'E', 'L', 'L', '\0', /* CP_SEM_DOORBELL (25489) */
	'C', 'P', '_', 'P', 'I', 'P', 'E', '_', 'S', 'T', 'A', 'T', 'S', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CP_PIPE_STATS_CONTROL (25505) */
	'C', 'P', '_', 'S', 'T', 'R', 'E', 'A', 'M', '_', 'O', 'U', 'T', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CP_STREAM_OUT_CONTROL (25527) */
	'C', 'P', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* CP_STRMOUT_CNTL (25549) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '0', '\0', /* SCRATCH_REG0 (25565) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '1', '\0', /* SCRATCH_REG1 (25578) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '2', '\0', /* SCRATCH_REG2 (25591) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '3', '\0', /* SCRATCH_REG3 (25604) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '4', '\0', /* SCRATCH_REG4 (25617) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '5', '\0', /* SCRATCH_REG5 (25630) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '6', '\0', /* SCRATCH_REG6 (25643) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '7', '\0', /* SCRATCH_REG7 (25656) */
	'C', 'P', '_', 'P', 'I', 'P', 'E', '_', 'S', 'T', 'A', 'T', 'S', '_', 'D', 'O', 'O', 'R', 'B', 'E', 'L', 'L', '\0', /* CP_PIPE_STATS_DOORBELL (25669) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'D', 'D', 'I', 'D', '_', 'C', 'N', 'T', '\0', /* CP_APPEND_DDID_CNT (25692) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'D', 'A', 'T', 'A', '_', 'H', 'I', '\0', /* CP_APPEND_DATA_HI (25711) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'L', 'A', 'S', 'T', '_', 'C', 'S', '_', 'F', 'E', 'N', 'C', 'E', '_', 'H', 'I', '\0', /* CP_APPEND_LAST_CS_FENCE_HI (25729) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'L', 'A', 'S', 'T', '_', 'P', 'S', '_', 'F', 'E', 'N', 'C', 'E', '_', 'H', 'I', '\0', /* CP_APPEND_LAST_PS_FENCE_HI (25756) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'U', 'M', 'S', 'K', '\0', /* SCRATCH_UMSK (25783) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'A', 'D', 'D', 'R', '\0', /* SCRATCH_ADDR (25796) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'P', 'R', 'E', 'O', 'P', '_', 'L', 'O', '\0', /* CP_PFP_ATOMIC_PREOP_LO (25809, 25816) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'P', 'R', 'E', 'O', 'P', '_', 'H', 'I', '\0', /* CP_PFP_ATOMIC_PREOP_HI (25832, 25839) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '0', '_', 'P', 'R', 'E', 'O', 'P', '_', 'L', 'O', '\0', /* CP_PFP_GDS_ATOMIC0_PREOP_LO (25855, 25862) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '0', '_', 'P', 'R', 'E', 'O', 'P', '_', 'H', 'I', '\0', /* CP_PFP_GDS_ATOMIC0_PREOP_HI (25883, 25890) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '1', '_', 'P', 'R', 'E', 'O', 'P', '_', 'L', 'O', '\0', /* CP_PFP_GDS_ATOMIC1_PREOP_LO (25911, 25918) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '1', '_', 'P', 'R', 'E', 'O', 'P', '_', 'H', 'I', '\0', /* CP_PFP_GDS_ATOMIC1_PREOP_HI (25939, 25946) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_APPEND_ADDR_LO (25967) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_APPEND_ADDR_HI (25985) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* CP_APPEND_DATA (26003) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'L', 'A', 'S', 'T', '_', 'C', 'S', '_', 'F', 'E', 'N', 'C', 'E', '\0', /* CP_APPEND_LAST_CS_FENCE (26018) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'L', 'A', 'S', 'T', '_', 'P', 'S', '_', 'F', 'E', 'N', 'C', 'E', '\0', /* CP_APPEND_LAST_PS_FENCE (26042) */
	'C', 'P', '_', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'P', 'R', 'E', 'O', 'P', '_', 'L', 'O', '\0', /* CP_ATOMIC_PREOP_LO (26066) */
	'C', 'P', '_', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'P', 'R', 'E', 'O', 'P', '_', 'H', 'I', '\0', /* CP_ATOMIC_PREOP_HI (26085) */
	'C', 'P', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '0', '_', 'P', 'R', 'E', 'O', 'P', '_', 'L', 'O', '\0', /* CP_GDS_ATOMIC0_PREOP_LO (26104) */
	'C', 'P', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '0', '_', 'P', 'R', 'E', 'O', 'P', '_', 'H', 'I', '\0', /* CP_GDS_ATOMIC0_PREOP_HI (26128) */
	'C', 'P', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '1', '_', 'P', 'R', 'E', 'O', 'P', '_', 'L', 'O', '\0', /* CP_GDS_ATOMIC1_PREOP_LO (26152) */
	'C', 'P', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '1', '_', 'P', 'R', 'E', 'O', 'P', '_', 'H', 'I', '\0', /* CP_GDS_ATOMIC1_PREOP_HI (26176) */
	'C', 'P', '_', 'M', 'E', '_', 'M', 'C', '_', 'W', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_ME_MC_WADDR_LO (26200, 26203) */
	'C', 'P', '_', 'M', 'E', '_', 'M', 'C', '_', 'W', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_ME_MC_WADDR_HI (26218, 26221) */
	'C', 'P', '_', 'M', 'E', '_', 'M', 'C', '_', 'W', 'D', 'A', 'T', 'A', '_', 'L', 'O', '\0', /* CP_ME_MC_WDATA_LO (26236, 26239) */
	'C', 'P', '_', 'M', 'E', '_', 'M', 'C', '_', 'W', 'D', 'A', 'T', 'A', '_', 'H', 'I', '\0', /* CP_ME_MC_WDATA_HI (26254, 26257) */
	'C', 'P', '_', 'M', 'E', '_', 'M', 'C', '_', 'R', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_ME_MC_RADDR_LO (26272, 26275) */
	'C', 'P', '_', 'M', 'E', '_', 'M', 'C', '_', 'R', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_ME_MC_RADDR_HI (26290, 26293) */
	'C', 'P', '_', 'S', 'E', 'M', '_', 'W', 'A', 'I', 'T', '_', 'T', 'I', 'M', 'E', 'R', '\0', /* CP_SEM_WAIT_TIMER (26308, 26311) */
	'C', 'P', '_', 'S', 'I', 'G', '_', 'S', 'E', 'M', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_SIG_SEM_ADDR_LO (26326, 26333) */
	'C', 'P', '_', 'S', 'I', 'G', '_', 'S', 'E', 'M', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_SIG_SEM_ADDR_HI (26345, 26352) */
	'C', 'P', '_', 'W', 'A', 'I', 'T', '_', 'R', 'E', 'G', '_', 'M', 'E', 'M', '_', 'T', 'I', 'M', 'E', 'O', 'U', 'T', '\0', /* CP_WAIT_REG_MEM_TIMEOUT (26364, 26367) */
	'C', 'P', '_', 'W', 'A', 'I', 'T', '_', 'S', 'E', 'M', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_WAIT_SEM_ADDR_LO (26388) */
	'C', 'P', '_', 'W', 'A', 'I', 'T', '_', 'S', 'E', 'M', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_WAIT_SEM_ADDR_HI (26408) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'P', 'F', 'P', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CP_DMA_PFP_CONTROL (26428) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'M', 'E', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CP_DMA_ME_CONTROL (26447) */
	'C', 'P', '_', 'C', 'O', 'H', 'E', 'R', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* CP_COHER_BASE_HI (26465) */
	'C', 'P', '_', 'C', 'O', 'H', 'E', 'R', '_', 'S', 'T', 'A', 'R', 'T', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* CP_COHER_START_DELAY (26482) */
	'C', 'P', '_', 'C', 'O', 'H', 'E', 'R', '_', 'C', 'N', 'T', 'L', '\0', /* CP_COHER_CNTL (26503) */
	'C', 'P', '_', 'C', 'O', 'H', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '\0', /* CP_COHER_SIZE (26517) */
	'C', 'P', '_', 'C', 'O', 'H', 'E', 'R', '_', 'B', 'A', 'S', 'E', '\0', /* CP_COHER_BASE (26531) */
	'C', 'P', '_', 'C', 'O', 'H', 'E', 'R', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* CP_COHER_STATUS (26545) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'M', 'E', '_', 'S', 'R', 'C', '_', 'A', 'D', 'D', 'R', '\0', /* CP_DMA_ME_SRC_ADDR (26561, 26571) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'M', 'E', '_', 'S', 'R', 'C', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_DMA_ME_SRC_ADDR_HI (26580, 26590) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'M', 'E', '_', 'D', 'S', 'T', '_', 'A', 'D', 'D', 'R', '\0', /* CP_DMA_ME_DST_ADDR (26602, 26612) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'M', 'E', '_', 'D', 'S', 'T', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_DMA_ME_DST_ADDR_HI (26621, 26631) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'M', 'E', '_', 'C', 'O', 'M', 'M', 'A', 'N', 'D', '\0', /* CP_DMA_ME_COMMAND (26643, 26653) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'P', 'F', 'P', '_', 'S', 'R', 'C', '_', 'A', 'D', 'D', 'R', '\0', /* CP_DMA_PFP_SRC_ADDR (26661) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'P', 'F', 'P', '_', 'S', 'R', 'C', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_DMA_PFP_SRC_ADDR_HI (26681) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'P', 'F', 'P', '_', 'D', 'S', 'T', '_', 'A', 'D', 'D', 'R', '\0', /* CP_DMA_PFP_DST_ADDR (26704) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'P', 'F', 'P', '_', 'D', 'S', 'T', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_DMA_PFP_DST_ADDR_HI (26724) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'P', 'F', 'P', '_', 'C', 'O', 'M', 'M', 'A', 'N', 'D', '\0', /* CP_DMA_PFP_COMMAND (26747) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'C', 'N', 'T', 'L', '\0', /* CP_DMA_CNTL (26766) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'R', 'E', 'A', 'D', '_', 'T', 'A', 'G', 'S', '\0', /* CP_DMA_READ_TAGS (26778) */
	'C', 'P', '_', 'C', 'O', 'H', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '_', 'H', 'I', '\0', /* CP_COHER_SIZE_HI (26795) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'I', 'B', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CP_PFP_IB_CONTROL (26812, 26819) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'L', 'O', 'A', 'D', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* CP_PFP_LOAD_CONTROL (26830) */
	'C', 'P', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* CP_SCRATCH_INDEX (26850) */
	'C', 'P', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'D', 'A', 'T', 'A', '\0', /* CP_SCRATCH_DATA (26867) */
	'C', 'P', '_', 'R', 'B', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* CP_RB_OFFSET (26883, 26886) */
	'C', 'P', '_', 'I', 'B', '1', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* CP_IB1_OFFSET (26896, 26899) */
	'C', 'P', '_', 'I', 'B', '2', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* CP_IB2_OFFSET (26910, 26913) */
	'C', 'P', '_', 'I', 'B', '1', '_', 'P', 'R', 'E', 'A', 'M', 'B', 'L', 'E', '_', 'B', 'E', 'G', 'I', 'N', '\0', /* CP_IB1_PREAMBLE_BEGIN (26924, 26927) */
	'C', 'P', '_', 'I', 'B', '1', '_', 'P', 'R', 'E', 'A', 'M', 'B', 'L', 'E', '_', 'E', 'N', 'D', '\0', /* CP_IB1_PREAMBLE_END (26946, 26949) */
	'C', 'P', '_', 'I', 'B', '2', '_', 'P', 'R', 'E', 'A', 'M', 'B', 'L', 'E', '_', 'B', 'E', 'G', 'I', 'N', '\0', /* CP_IB2_PREAMBLE_BEGIN (26966, 26969) */
	'C', 'P', '_', 'I', 'B', '2', '_', 'P', 'R', 'E', 'A', 'M', 'B', 'L', 'E', '_', 'E', 'N', 'D', '\0', /* CP_IB2_PREAMBLE_END (26988, 26991) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'B', '1', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* CP_CE_IB1_OFFSET (27008) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'B', '2', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* CP_CE_IB2_OFFSET (27025) */
	'C', 'P', '_', 'C', 'E', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '\0', /* CP_CE_COUNTER (27042) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'M', 'E', '_', 'C', 'M', 'D', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_DMA_ME_CMD_ADDR_LO (27056) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'M', 'E', '_', 'C', 'M', 'D', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_DMA_ME_CMD_ADDR_HI (27078) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'P', 'F', 'P', '_', 'C', 'M', 'D', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_DMA_PFP_CMD_ADDR_LO (27100) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'P', 'F', 'P', '_', 'C', 'M', 'D', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_DMA_PFP_CMD_ADDR_HI (27123) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'C', 'M', 'D', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* CP_APPEND_CMD_ADDR_LO (27146) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'C', 'M', 'D', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_APPEND_CMD_ADDR_HI (27168) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'N', 'I', 'T', '_', 'C', 'M', 'D', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_CE_INIT_CMD_BUFSZ (27190) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'B', '1', '_', 'C', 'M', 'D', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_CE_IB1_CMD_BUFSZ (27211) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'B', '2', '_', 'C', 'M', 'D', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_CE_IB2_CMD_BUFSZ (27231) */
	'C', 'P', '_', 'I', 'B', '1', '_', 'C', 'M', 'D', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_IB1_CMD_BUFSZ (27251) */
	'C', 'P', '_', 'I', 'B', '2', '_', 'C', 'M', 'D', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_IB2_CMD_BUFSZ (27268) */
	'C', 'P', '_', 'S', 'T', '_', 'C', 'M', 'D', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_ST_CMD_BUFSZ (27285) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'N', 'I', 'T', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* CP_CE_INIT_BASE_LO (27301, 27307) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'N', 'I', 'T', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* CP_CE_INIT_BASE_HI (27320, 27326) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'N', 'I', 'T', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_CE_INIT_BUFSZ (27339, 27345) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'B', '1', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* CP_CE_IB1_BASE_LO (27356, 27362) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'B', '1', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* CP_CE_IB1_BASE_HI (27374, 27380) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'B', '1', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_CE_IB1_BUFSZ (27392, 27398) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'B', '2', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* CP_CE_IB2_BASE_LO (27408, 27414) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'B', '2', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* CP_CE_IB2_BASE_HI (27426, 27432) */
	'C', 'P', '_', 'C', 'E', '_', 'I', 'B', '2', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_CE_IB2_BUFSZ (27444, 27450) */
	'C', 'P', '_', 'I', 'B', '1', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* CP_IB1_BASE_LO (27460) */
	'C', 'P', '_', 'I', 'B', '1', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* CP_IB1_BASE_HI (27475) */
	'C', 'P', '_', 'I', 'B', '1', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_IB1_BUFSZ (27490) */
	'C', 'P', '_', 'I', 'B', '2', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* CP_IB2_BASE_LO (27503) */
	'C', 'P', '_', 'I', 'B', '2', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* CP_IB2_BASE_HI (27518) */
	'C', 'P', '_', 'I', 'B', '2', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_IB2_BUFSZ (27533) */
	'C', 'P', '_', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* CP_ST_BASE_LO (27546, 27549) */
	'C', 'P', '_', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* CP_ST_BASE_HI (27560, 27563) */
	'C', 'P', '_', 'S', 'T', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_ST_BUFSZ (27574, 27577) */
	'C', 'P', '_', 'E', 'O', 'P', '_', 'D', 'O', 'N', 'E', '_', 'E', 'V', 'E', 'N', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* CP_EOP_DONE_EVENT_CNTL (27586) */
	'C', 'P', '_', 'E', 'O', 'P', '_', 'D', 'O', 'N', 'E', '_', 'D', 'A', 'T', 'A', '_', 'C', 'N', 'T', 'L', '\0', /* CP_EOP_DONE_DATA_CNTL (27609) */
	'C', 'P', '_', 'E', 'O', 'P', '_', 'D', 'O', 'N', 'E', '_', 'C', 'N', 'T', 'X', '_', 'I', 'D', '\0', /* CP_EOP_DONE_CNTX_ID (27631, 27643) */
	'C', 'P', '_', 'D', 'B', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* CP_DB_BASE_LO (27651, 27654) */
	'C', 'P', '_', 'D', 'B', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* CP_DB_BASE_HI (27665, 27668) */
	'C', 'P', '_', 'D', 'B', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_DB_BUFSZ (27679, 27682) */
	'C', 'P', '_', 'D', 'B', '_', 'C', 'M', 'D', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_DB_CMD_BUFSZ (27691) */
	'C', 'P', '_', 'C', 'E', '_', 'D', 'B', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* CP_CE_DB_BASE_LO (27707) */
	'C', 'P', '_', 'C', 'E', '_', 'D', 'B', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* CP_CE_DB_BASE_HI (27724) */
	'C', 'P', '_', 'C', 'E', '_', 'D', 'B', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_CE_DB_BUFSZ (27741) */
	'C', 'P', '_', 'C', 'E', '_', 'D', 'B', '_', 'C', 'M', 'D', '_', 'B', 'U', 'F', 'S', 'Z', '\0', /* CP_CE_DB_CMD_BUFSZ (27756) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'C', 'O', 'M', 'P', 'L', 'E', 'T', 'I', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* CP_PFP_COMPLETION_STATUS (27775) */
	'C', 'P', '_', 'C', 'E', '_', 'C', 'O', 'M', 'P', 'L', 'E', 'T', 'I', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* CP_CE_COMPLETION_STATUS (27800) */
	'C', 'P', '_', 'P', 'R', 'E', 'D', '_', 'N', 'O', 'T', '_', 'V', 'I', 'S', 'I', 'B', 'L', 'E', '\0', /* CP_PRED_NOT_VISIBLE (27824, 27832) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'M', 'E', 'T', 'A', 'D', 'A', 'T', 'A', '_', 'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', '\0', /* CP_PFP_METADATA_BASE_ADDR (27844) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'M', 'E', 'T', 'A', 'D', 'A', 'T', 'A', '_', 'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_PFP_METADATA_BASE_ADDR_HI (27870) */
	'C', 'P', '_', 'C', 'E', '_', 'M', 'E', 'T', 'A', 'D', 'A', 'T', 'A', '_', 'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', '\0', /* CP_CE_METADATA_BASE_ADDR (27899) */
	'C', 'P', '_', 'C', 'E', '_', 'M', 'E', 'T', 'A', 'D', 'A', 'T', 'A', '_', 'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_CE_METADATA_BASE_ADDR_HI (27924) */
	'C', 'P', '_', 'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'X', '_', 'I', 'N', 'D', 'R', '_', 'A', 'D', 'D', 'R', '\0', /* CP_DRAW_INDX_INDR_ADDR (27952) */
	'C', 'P', '_', 'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'X', '_', 'I', 'N', 'D', 'R', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_DRAW_INDX_INDR_ADDR_HI (27975) */
	'C', 'P', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'I', 'N', 'D', 'R', '_', 'A', 'D', 'D', 'R', '\0', /* CP_DISPATCH_INDR_ADDR (28001) */
	'C', 'P', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'I', 'N', 'D', 'R', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_DISPATCH_INDR_ADDR_HI (28023) */
	'C', 'P', '_', 'I', 'N', 'D', 'E', 'X', '_', 'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', '\0', /* CP_INDEX_BASE_ADDR (28048) */
	'C', 'P', '_', 'I', 'N', 'D', 'E', 'X', '_', 'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_INDEX_BASE_ADDR_HI (28067) */
	'C', 'P', '_', 'I', 'N', 'D', 'E', 'X', '_', 'T', 'Y', 'P', 'E', '\0', /* CP_INDEX_TYPE (28089) */
	'C', 'P', '_', 'G', 'D', 'S', '_', 'B', 'K', 'U', 'P', '_', 'A', 'D', 'D', 'R', '\0', /* CP_GDS_BKUP_ADDR (28103) */
	'C', 'P', '_', 'G', 'D', 'S', '_', 'B', 'K', 'U', 'P', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* CP_GDS_BKUP_ADDR_HI (28120) */
	'C', 'P', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* CP_SAMPLE_STATUS (28140) */
	'C', 'P', '_', 'M', 'E', '_', 'C', 'O', 'H', 'E', 'R', '_', 'C', 'N', 'T', 'L', '\0', /* CP_ME_COHER_CNTL (28157) */
	'C', 'P', '_', 'M', 'E', '_', 'C', 'O', 'H', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '\0', /* CP_ME_COHER_SIZE (28174) */
	'C', 'P', '_', 'M', 'E', '_', 'C', 'O', 'H', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '_', 'H', 'I', '\0', /* CP_ME_COHER_SIZE_HI (28191) */
	'C', 'P', '_', 'M', 'E', '_', 'C', 'O', 'H', 'E', 'R', '_', 'B', 'A', 'S', 'E', '\0', /* CP_ME_COHER_BASE (28211) */
	'C', 'P', '_', 'M', 'E', '_', 'C', 'O', 'H', 'E', 'R', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* CP_ME_COHER_BASE_HI (28228) */
	'C', 'P', '_', 'M', 'E', '_', 'C', 'O', 'H', 'E', 'R', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* CP_ME_COHER_STATUS (28248) */
	'R', 'L', 'C', '_', 'G', 'P', 'M', '_', 'P', 'E', 'R', 'F', '_', 'C', 'O', 'U', 'N', 'T', '_', '0', '\0', /* RLC_GPM_PERF_COUNT_0 (28267) */
	'R', 'L', 'C', '_', 'G', 'P', 'M', '_', 'P', 'E', 'R', 'F', '_', 'C', 'O', 'U', 'N', 'T', '_', '1', '\0', /* RLC_GPM_PERF_COUNT_1 (28288) */
	'G', 'R', 'B', 'M', '_', 'G', 'F', 'X', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* GRBM_GFX_INDEX (28309) */
	'V', 'G', 'T', '_', 'E', 'S', 'G', 'S', '_', 'R', 'I', 'N', 'G', '_', 'S', 'I', 'Z', 'E', '_', 'U', 'M', 'D', '\0', /* VGT_ESGS_RING_SIZE_UMD (28324) */
	'V', 'G', 'T', '_', 'G', 'S', 'V', 'S', '_', 'R', 'I', 'N', 'G', '_', 'S', 'I', 'Z', 'E', '_', 'U', 'M', 'D', '\0', /* VGT_GSVS_RING_SIZE_UMD (28347) */
	'V', 'G', 'T', '_', 'P', 'R', 'I', 'M', 'I', 'T', 'I', 'V', 'E', '_', 'T', 'Y', 'P', 'E', '\0', /* VGT_PRIMITIVE_TYPE (28370) */
	'V', 'G', 'T', '_', 'I', 'N', 'D', 'E', 'X', '_', 'T', 'Y', 'P', 'E', '\0', /* VGT_INDEX_TYPE (28389) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'F', 'I', 'L', 'L', 'E', 'D', '_', 'S', 'I', 'Z', 'E', '_', '0', '\0', /* VGT_STRMOUT_BUFFER_FILLED_SIZE_0 (28404) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'F', 'I', 'L', 'L', 'E', 'D', '_', 'S', 'I', 'Z', 'E', '_', '1', '\0', /* VGT_STRMOUT_BUFFER_FILLED_SIZE_1 (28437) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'F', 'I', 'L', 'L', 'E', 'D', '_', 'S', 'I', 'Z', 'E', '_', '2', '\0', /* VGT_STRMOUT_BUFFER_FILLED_SIZE_2 (28470) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'M', 'O', 'U', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'F', 'I', 'L', 'L', 'E', 'D', '_', 'S', 'I', 'Z', 'E', '_', '3', '\0', /* VGT_STRMOUT_BUFFER_FILLED_SIZE_3 (28503) */
	'G', 'E', '_', 'M', 'I', 'N', '_', 'V', 'T', 'X', '_', 'I', 'N', 'D', 'X', '\0', /* GE_MIN_VTX_INDX (28536) */
	'G', 'E', '_', 'I', 'N', 'D', 'X', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* GE_INDX_OFFSET (28552) */
	'G', 'E', '_', 'M', 'U', 'L', 'T', 'I', '_', 'P', 'R', 'I', 'M', '_', 'I', 'B', '_', 'R', 'E', 'S', 'E', 'T', '_', 'E', 'N', '\0', /* GE_MULTI_PRIM_IB_RESET_EN (28567) */
	'V', 'G', 'T', '_', 'N', 'U', 'M', '_', 'I', 'N', 'D', 'I', 'C', 'E', 'S', '\0', /* VGT_NUM_INDICES (28593, 28597) */
	'V', 'G', 'T', '_', 'N', 'U', 'M', '_', 'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', 'S', '\0', /* VGT_NUM_INSTANCES (28609) */
	'V', 'G', 'T', '_', 'T', 'F', '_', 'R', 'I', 'N', 'G', '_', 'S', 'I', 'Z', 'E', '_', 'U', 'M', 'D', '\0', /* VGT_TF_RING_SIZE_UMD (28627) */
	'V', 'G', 'T', '_', 'H', 'S', '_', 'O', 'F', 'F', 'C', 'H', 'I', 'P', '_', 'P', 'A', 'R', 'A', 'M', '_', 'U', 'M', 'D', '\0', /* VGT_HS_OFFCHIP_PARAM_UMD (28648) */
	'V', 'G', 'T', '_', 'T', 'F', '_', 'M', 'E', 'M', 'O', 'R', 'Y', '_', 'B', 'A', 'S', 'E', '_', 'U', 'M', 'D', '\0', /* VGT_TF_MEMORY_BASE_UMD (28673) */
	'G', 'E', '_', 'D', 'M', 'A', '_', 'F', 'I', 'R', 'S', 'T', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* GE_DMA_FIRST_INDEX (28696, 28703) */
	'W', 'D', '_', 'P', 'O', 'S', '_', 'B', 'U', 'F', '_', 'B', 'A', 'S', 'E', '\0', /* WD_POS_BUF_BASE (28715) */
	'W', 'D', '_', 'P', 'O', 'S', '_', 'B', 'U', 'F', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* WD_POS_BUF_BASE_HI (28731) */
	'W', 'D', '_', 'C', 'N', 'T', 'L', '_', 'S', 'B', '_', 'B', 'U', 'F', '_', 'B', 'A', 'S', 'E', '\0', /* WD_CNTL_SB_BUF_BASE (28750) */
	'W', 'D', '_', 'C', 'N', 'T', 'L', '_', 'S', 'B', '_', 'B', 'U', 'F', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* WD_CNTL_SB_BUF_BASE_HI (28770) */
	'W', 'D', '_', 'I', 'N', 'D', 'E', 'X', '_', 'B', 'U', 'F', '_', 'B', 'A', 'S', 'E', '\0', /* WD_INDEX_BUF_BASE (28793) */
	'W', 'D', '_', 'I', 'N', 'D', 'E', 'X', '_', 'B', 'U', 'F', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* WD_INDEX_BUF_BASE_HI (28811) */
	'I', 'A', '_', 'M', 'U', 'L', 'T', 'I', '_', 'V', 'G', 'T', '_', 'P', 'A', 'R', 'A', 'M', '_', 'P', 'I', 'P', 'E', 'D', '\0', /* IA_MULTI_VGT_PARAM_PIPED (28832) */
	'G', 'E', '_', 'M', 'A', 'X', '_', 'V', 'T', 'X', '_', 'I', 'N', 'D', 'X', '\0', /* GE_MAX_VTX_INDX (28857) */
	'V', 'G', 'T', '_', 'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', '_', 'B', 'A', 'S', 'E', '_', 'I', 'D', '\0', /* VGT_INSTANCE_BASE_ID (28873, 28877, 28888) */
	'G', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* GE_CNTL (28894) */
	'G', 'E', '_', 'U', 'S', 'E', 'R', '_', 'V', 'G', 'P', 'R', '1', '\0', /* GE_USER_VGPR1 (28902) */
	'G', 'E', '_', 'U', 'S', 'E', 'R', '_', 'V', 'G', 'P', 'R', '2', '\0', /* GE_USER_VGPR2 (28916) */
	'G', 'E', '_', 'U', 'S', 'E', 'R', '_', 'V', 'G', 'P', 'R', '3', '\0', /* GE_USER_VGPR3 (28930) */
	'G', 'E', '_', 'S', 'T', 'E', 'R', 'E', 'O', '_', 'C', 'N', 'T', 'L', '\0', /* GE_STEREO_CNTL (28944) */
	'G', 'E', '_', 'P', 'C', '_', 'A', 'L', 'L', 'O', 'C', '\0', /* GE_PC_ALLOC (28959) */
	'V', 'G', 'T', '_', 'T', 'F', '_', 'M', 'E', 'M', 'O', 'R', 'Y', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '_', 'U', 'M', 'D', '\0', /* VGT_TF_MEMORY_BASE_HI_UMD (28971) */
	'G', 'E', '_', 'U', 'S', 'E', 'R', '_', 'V', 'G', 'P', 'R', '_', 'E', 'N', '\0', /* GE_USER_VGPR_EN (28997) */
	'P', 'A', '_', 'S', 'U', '_', 'L', 'I', 'N', 'E', '_', 'S', 'T', 'I', 'P', 'P', 'L', 'E', '_', 'V', 'A', 'L', 'U', 'E', '\0', /* PA_SU_LINE_STIPPLE_VALUE (29013, 29019, 29032) */
	'P', 'A', '_', 'S', 'C', '_', 'L', 'I', 'N', 'E', '_', 'S', 'T', 'I', 'P', 'P', 'L', 'E', '_', 'S', 'T', 'A', 'T', 'E', '\0', /* PA_SC_LINE_STIPPLE_STATE (29038) */
	'P', 'A', '_', 'S', 'C', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'E', 'X', 'T', 'E', 'N', 'T', '_', 'M', 'I', 'N', '_', '0', '\0', /* PA_SC_SCREEN_EXTENT_MIN_0 (29063) */
	'P', 'A', '_', 'S', 'C', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'E', 'X', 'T', 'E', 'N', 'T', '_', 'M', 'A', 'X', '_', '0', '\0', /* PA_SC_SCREEN_EXTENT_MAX_0 (29089) */
	'P', 'A', '_', 'S', 'C', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'E', 'X', 'T', 'E', 'N', 'T', '_', 'M', 'I', 'N', '_', '1', '\0', /* PA_SC_SCREEN_EXTENT_MIN_1 (29115) */
	'P', 'A', '_', 'S', 'C', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'E', 'X', 'T', 'E', 'N', 'T', '_', 'M', 'A', 'X', '_', '1', '\0', /* PA_SC_SCREEN_EXTENT_MAX_1 (29141) */
	'P', 'A', '_', 'S', 'C', '_', 'P', '3', 'D', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'H', 'V', '_', 'E', 'N', '\0', /* PA_SC_P3D_TRAP_SCREEN_HV_EN (29167) */
	'P', 'A', '_', 'S', 'C', '_', 'P', '3', 'D', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'H', '\0', /* PA_SC_P3D_TRAP_SCREEN_H (29195) */
	'P', 'A', '_', 'S', 'C', '_', 'P', '3', 'D', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'V', '\0', /* PA_SC_P3D_TRAP_SCREEN_V (29219) */
	'P', 'A', '_', 'S', 'C', '_', 'P', '3', 'D', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'O', 'C', 'C', 'U', 'R', 'R', 'E', 'N', 'C', 'E', '\0', /* PA_SC_P3D_TRAP_SCREEN_OCCURRENCE (29243) */
	'P', 'A', '_', 'S', 'C', '_', 'P', '3', 'D', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* PA_SC_P3D_TRAP_SCREEN_COUNT (29276) */
	'P', 'A', '_', 'S', 'C', '_', 'H', 'P', '3', 'D', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'H', 'V', '_', 'E', 'N', '\0', /* PA_SC_HP3D_TRAP_SCREEN_HV_EN (29304) */
	'P', 'A', '_', 'S', 'C', '_', 'H', 'P', '3', 'D', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'H', '\0', /* PA_SC_HP3D_TRAP_SCREEN_H (29333) */
	'P', 'A', '_', 'S', 'C', '_', 'H', 'P', '3', 'D', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'V', '\0', /* PA_SC_HP3D_TRAP_SCREEN_V (29358) */
	'P', 'A', '_', 'S', 'C', '_', 'H', 'P', '3', 'D', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'O', 'C', 'C', 'U', 'R', 'R', 'E', 'N', 'C', 'E', '\0', /* PA_SC_HP3D_TRAP_SCREEN_OCCURRENCE (29383) */
	'P', 'A', '_', 'S', 'C', '_', 'H', 'P', '3', 'D', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* PA_SC_HP3D_TRAP_SCREEN_COUNT (29417) */
	'P', 'A', '_', 'S', 'C', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'H', 'V', '_', 'E', 'N', '\0', /* PA_SC_TRAP_SCREEN_HV_EN (29446) */
	'P', 'A', '_', 'S', 'C', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'H', '\0', /* PA_SC_TRAP_SCREEN_H (29470) */
	'P', 'A', '_', 'S', 'C', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'V', '\0', /* PA_SC_TRAP_SCREEN_V (29490) */
	'P', 'A', '_', 'S', 'C', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'O', 'C', 'C', 'U', 'R', 'R', 'E', 'N', 'C', 'E', '\0', /* PA_SC_TRAP_SCREEN_OCCURRENCE (29510) */
	'P', 'A', '_', 'S', 'C', '_', 'T', 'R', 'A', 'P', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* PA_SC_TRAP_SCREEN_COUNT (29539) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'U', 'S', 'E', 'R', 'D', 'A', 'T', 'A', '_', '0', '\0', /* SQ_THREAD_TRACE_USERDATA_0 (29563) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'U', 'S', 'E', 'R', 'D', 'A', 'T', 'A', '_', '1', '\0', /* SQ_THREAD_TRACE_USERDATA_1 (29590) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'U', 'S', 'E', 'R', 'D', 'A', 'T', 'A', '_', '2', '\0', /* SQ_THREAD_TRACE_USERDATA_2 (29617) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'U', 'S', 'E', 'R', 'D', 'A', 'T', 'A', '_', '3', '\0', /* SQ_THREAD_TRACE_USERDATA_3 (29644) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'U', 'S', 'E', 'R', 'D', 'A', 'T', 'A', '_', '4', '\0', /* SQ_THREAD_TRACE_USERDATA_4 (29671) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'U', 'S', 'E', 'R', 'D', 'A', 'T', 'A', '_', '5', '\0', /* SQ_THREAD_TRACE_USERDATA_5 (29698) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'U', 'S', 'E', 'R', 'D', 'A', 'T', 'A', '_', '6', '\0', /* SQ_THREAD_TRACE_USERDATA_6 (29725) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'U', 'S', 'E', 'R', 'D', 'A', 'T', 'A', '_', '7', '\0', /* SQ_THREAD_TRACE_USERDATA_7 (29752) */
	'S', 'Q', 'C', '_', 'C', 'A', 'C', 'H', 'E', 'S', '\0', /* SQC_CACHES (29779) */
	'S', 'Q', 'C', '_', 'W', 'R', 'I', 'T', 'E', 'B', 'A', 'C', 'K', '\0', /* SQC_WRITEBACK (29790, 29794) */
	'T', 'A', '_', 'C', 'S', '_', 'B', 'C', '_', 'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', '\0', /* TA_CS_BC_BASE_ADDR (29804) */
	'T', 'A', '_', 'C', 'S', '_', 'B', 'C', '_', 'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* TA_CS_BC_BASE_ADDR_HI (29823) */
	'D', 'B', '_', 'O', 'C', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '_', 'C', 'O', 'U', 'N', 'T', '0', '_', 'L', 'O', 'W', '\0', /* DB_OCCLUSION_COUNT0_LOW (29845) */
	'D', 'B', '_', 'O', 'C', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '_', 'C', 'O', 'U', 'N', 'T', '0', '_', 'H', 'I', '\0', /* DB_OCCLUSION_COUNT0_HI (29869) */
	'D', 'B', '_', 'O', 'C', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '_', 'C', 'O', 'U', 'N', 'T', '1', '_', 'L', 'O', 'W', '\0', /* DB_OCCLUSION_COUNT1_LOW (29892) */
	'D', 'B', '_', 'O', 'C', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '_', 'C', 'O', 'U', 'N', 'T', '1', '_', 'H', 'I', '\0', /* DB_OCCLUSION_COUNT1_HI (29916) */
	'D', 'B', '_', 'O', 'C', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '_', 'C', 'O', 'U', 'N', 'T', '2', '_', 'L', 'O', 'W', '\0', /* DB_OCCLUSION_COUNT2_LOW (29939) */
	'D', 'B', '_', 'O', 'C', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '_', 'C', 'O', 'U', 'N', 'T', '2', '_', 'H', 'I', '\0', /* DB_OCCLUSION_COUNT2_HI (29963) */
	'D', 'B', '_', 'O', 'C', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '_', 'C', 'O', 'U', 'N', 'T', '3', '_', 'L', 'O', 'W', '\0', /* DB_OCCLUSION_COUNT3_LOW (29986) */
	'D', 'B', '_', 'O', 'C', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '_', 'C', 'O', 'U', 'N', 'T', '3', '_', 'H', 'I', '\0', /* DB_OCCLUSION_COUNT3_HI (30010) */
	'D', 'B', '_', 'Z', 'P', 'A', 'S', 'S', '_', 'C', 'O', 'U', 'N', 'T', '_', 'L', 'O', 'W', '\0', /* DB_ZPASS_COUNT_LOW (30033, 30042) */
	'D', 'B', '_', 'Z', 'P', 'A', 'S', 'S', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', '\0', /* DB_ZPASS_COUNT_HI (30052) */
	'G', 'D', 'S', '_', 'R', 'D', '_', 'A', 'D', 'D', 'R', '\0', /* GDS_RD_ADDR (30070) */
	'G', 'D', 'S', '_', 'R', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* GDS_RD_DATA (30082) */
	'G', 'D', 'S', '_', 'R', 'D', '_', 'B', 'U', 'R', 'S', 'T', '_', 'A', 'D', 'D', 'R', '\0', /* GDS_RD_BURST_ADDR (30094, 30101) */
	'G', 'D', 'S', '_', 'R', 'D', '_', 'B', 'U', 'R', 'S', 'T', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* GDS_RD_BURST_COUNT (30112, 30119) */
	'G', 'D', 'S', '_', 'R', 'D', '_', 'B', 'U', 'R', 'S', 'T', '_', 'D', 'A', 'T', 'A', '\0', /* GDS_RD_BURST_DATA (30131, 30138) */
	'G', 'D', 'S', '_', 'W', 'R', '_', 'A', 'D', 'D', 'R', '\0', /* GDS_WR_ADDR (30149) */
	'G', 'D', 'S', '_', 'W', 'R', '_', 'D', 'A', 'T', 'A', '\0', /* GDS_WR_DATA (30161) */
	'G', 'D', 'S', '_', 'W', 'R', '_', 'B', 'U', 'R', 'S', 'T', '_', 'A', 'D', 'D', 'R', '\0', /* GDS_WR_BURST_ADDR (30173) */
	'G', 'D', 'S', '_', 'W', 'R', '_', 'B', 'U', 'R', 'S', 'T', '_', 'D', 'A', 'T', 'A', '\0', /* GDS_WR_BURST_DATA (30191) */
	'G', 'D', 'S', '_', 'W', 'R', 'I', 'T', 'E', '_', 'C', 'O', 'M', 'P', 'L', 'E', 'T', 'E', '\0', /* GDS_WRITE_COMPLETE (30209, 30213, 30219) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'C', 'N', 'T', 'L', '\0', /* GDS_ATOM_CNTL (30228) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'C', 'O', 'M', 'P', 'L', 'E', 'T', 'E', '\0', /* GDS_ATOM_COMPLETE (30242) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'B', 'A', 'S', 'E', '\0', /* GDS_ATOM_BASE (30260) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'S', 'I', 'Z', 'E', '\0', /* GDS_ATOM_SIZE (30274) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'O', 'F', 'F', 'S', 'E', 'T', '0', '\0', /* GDS_ATOM_OFFSET0 (30288, 30297) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'O', 'F', 'F', 'S', 'E', 'T', '1', '\0', /* GDS_ATOM_OFFSET1 (30305, 30314) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'D', 'S', 'T', '\0', /* GDS_ATOM_DST (30322, 30331) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'O', 'P', '\0', /* GDS_ATOM_OP (30335) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'S', 'R', 'C', '0', '\0', /* GDS_ATOM_SRC0 (30347, 30356) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'S', 'R', 'C', '0', '_', 'U', '\0', /* GDS_ATOM_SRC0_U (30361) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'S', 'R', 'C', '1', '\0', /* GDS_ATOM_SRC1 (30377) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'S', 'R', 'C', '1', '_', 'U', '\0', /* GDS_ATOM_SRC1_U (30391) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'R', 'E', 'A', 'D', '0', '\0', /* GDS_ATOM_READ0 (30407) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'R', 'E', 'A', 'D', '0', '_', 'U', '\0', /* GDS_ATOM_READ0_U (30422) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'R', 'E', 'A', 'D', '1', '\0', /* GDS_ATOM_READ1 (30439) */
	'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', '_', 'R', 'E', 'A', 'D', '1', '_', 'U', '\0', /* GDS_ATOM_READ1_U (30454) */
	'G', 'D', 'S', '_', 'G', 'W', 'S', '_', 'R', 'E', 'S', 'O', 'U', 'R', 'C', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* GDS_GWS_RESOURCE_CNTL (30471) */
	'G', 'D', 'S', '_', 'G', 'W', 'S', '_', 'R', 'E', 'S', 'O', 'U', 'R', 'C', 'E', '\0', /* GDS_GWS_RESOURCE (30493, 30503) */
	'G', 'D', 'S', '_', 'G', 'W', 'S', '_', 'R', 'E', 'S', 'O', 'U', 'R', 'C', 'E', '_', 'C', 'N', 'T', '\0', /* GDS_GWS_RESOURCE_CNT (30510, 30518) */
	'G', 'D', 'S', '_', 'O', 'A', '_', 'C', 'N', 'T', 'L', '\0', /* GDS_OA_CNTL (30531) */
	'G', 'D', 'S', '_', 'O', 'A', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '\0', /* GDS_OA_COUNTER (30543) */
	'G', 'D', 'S', '_', 'O', 'A', '_', 'A', 'D', 'D', 'R', 'E', 'S', 'S', '\0', /* GDS_OA_ADDRESS (30558, 30565) */
	'G', 'D', 'S', '_', 'O', 'A', '_', 'I', 'N', 'C', 'D', 'E', 'C', '\0', /* GDS_OA_INCDEC (30573, 30580) */
	'G', 'D', 'S', '_', 'O', 'A', '_', 'R', 'I', 'N', 'G', '_', 'S', 'I', 'Z', 'E', '\0', /* GDS_OA_RING_SIZE (30587) */
	'S', 'P', 'I', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'C', 'N', 'T', 'L', '_', 'R', 'E', 'M', 'A', 'P', '\0', /* SPI_CONFIG_CNTL_REMAP (30604) */
	'S', 'P', 'I', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'C', 'N', 'T', 'L', '_', '1', '_', 'R', 'E', 'M', 'A', 'P', '\0', /* SPI_CONFIG_CNTL_1_REMAP (30626) */
	'S', 'P', 'I', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'C', 'N', 'T', 'L', '_', '2', '_', 'R', 'E', 'M', 'A', 'P', '\0', /* SPI_CONFIG_CNTL_2_REMAP (30650) */
	'S', 'P', 'I', '_', 'W', 'A', 'V', 'E', '_', 'L', 'I', 'M', 'I', 'T', '_', 'C', 'N', 'T', 'L', '_', 'R', 'E', 'M', 'A', 'P', '\0', /* SPI_WAVE_LIMIT_CNTL_REMAP (30674) */
	'C', 'P', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* CPG_PERFCOUNTER1_LO (30700) */
	'C', 'P', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* CPG_PERFCOUNTER1_HI (30720) */
	'C', 'P', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* CPG_PERFCOUNTER0_LO (30740) */
	'C', 'P', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* CPG_PERFCOUNTER0_HI (30760) */
	'C', 'P', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* CPC_PERFCOUNTER1_LO (30780) */
	'C', 'P', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* CPC_PERFCOUNTER1_HI (30800) */
	'C', 'P', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* CPC_PERFCOUNTER0_LO (30820) */
	'C', 'P', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* CPC_PERFCOUNTER0_HI (30840) */
	'C', 'P', 'F', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* CPF_PERFCOUNTER1_LO (30860) */
	'C', 'P', 'F', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* CPF_PERFCOUNTER1_HI (30880) */
	'C', 'P', 'F', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* CPF_PERFCOUNTER0_LO (30900) */
	'C', 'P', 'F', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* CPF_PERFCOUNTER0_HI (30920) */
	'C', 'P', 'F', '_', 'L', 'A', 'T', 'E', 'N', 'C', 'Y', '_', 'S', 'T', 'A', 'T', 'S', '_', 'D', 'A', 'T', 'A', '\0', /* CPF_LATENCY_STATS_DATA (30940) */
	'C', 'P', 'G', '_', 'L', 'A', 'T', 'E', 'N', 'C', 'Y', '_', 'S', 'T', 'A', 'T', 'S', '_', 'D', 'A', 'T', 'A', '\0', /* CPG_LATENCY_STATS_DATA (30963) */
	'C', 'P', 'C', '_', 'L', 'A', 'T', 'E', 'N', 'C', 'Y', '_', 'S', 'T', 'A', 'T', 'S', '_', 'D', 'A', 'T', 'A', '\0', /* CPC_LATENCY_STATS_DATA (30986) */
	'G', 'R', 'B', 'M', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GRBM_PERFCOUNTER0_LO (31009) */
	'G', 'R', 'B', 'M', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GRBM_PERFCOUNTER0_HI (31030) */
	'G', 'R', 'B', 'M', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GRBM_PERFCOUNTER1_LO (31051) */
	'G', 'R', 'B', 'M', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GRBM_PERFCOUNTER1_HI (31072) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* GRBM_SE0_PERFCOUNTER_LO (31093, 31102, 31106) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* GRBM_SE0_PERFCOUNTER_HI (31117, 31126, 31130) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* GRBM_SE1_PERFCOUNTER_LO (31141) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* GRBM_SE1_PERFCOUNTER_HI (31165) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* GRBM_SE2_PERFCOUNTER_LO (31189) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* GRBM_SE2_PERFCOUNTER_HI (31213) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* GRBM_SE3_PERFCOUNTER_LO (31237) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* GRBM_SE3_PERFCOUNTER_HI (31261) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER0_LO (31285) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER0_HI (31304) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER1_LO (31323) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER1_HI (31342) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER2_LO (31361) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER2_HI (31380) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER3_LO (31399) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER3_HI (31418) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER4_LO (31437) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER4_HI (31456) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER5_LO (31475) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER5_HI (31494) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER6_LO (31513) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER6_HI (31532) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER7_LO (31551) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER7_HI (31570) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '8', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER8_LO (31589) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '8', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER8_HI (31608) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '9', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER9_LO (31627) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '9', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER9_HI (31646) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '0', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER10_LO (31665) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '0', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER10_HI (31685) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '1', '_', 'L', 'O', '\0', /* GE_PERFCOUNTER11_LO (31705) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '1', '_', 'H', 'I', '\0', /* GE_PERFCOUNTER11_HI (31725) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* PA_SU_PERFCOUNTER0_LO (31745) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* PA_SU_PERFCOUNTER0_HI (31767) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* PA_SU_PERFCOUNTER1_LO (31789) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* PA_SU_PERFCOUNTER1_HI (31811) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* PA_SU_PERFCOUNTER2_LO (31833) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* PA_SU_PERFCOUNTER2_HI (31855) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* PA_SU_PERFCOUNTER3_LO (31877) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* PA_SU_PERFCOUNTER3_HI (31899) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* PA_SC_PERFCOUNTER0_LO (31921) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* PA_SC_PERFCOUNTER0_HI (31943) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* PA_SC_PERFCOUNTER1_LO (31965) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* PA_SC_PERFCOUNTER1_HI (31987) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* PA_SC_PERFCOUNTER2_LO (32009) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* PA_SC_PERFCOUNTER2_HI (32031) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* PA_SC_PERFCOUNTER3_LO (32053) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* PA_SC_PERFCOUNTER3_HI (32075) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'L', 'O', '\0', /* PA_SC_PERFCOUNTER4_LO (32097) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'H', 'I', '\0', /* PA_SC_PERFCOUNTER4_HI (32119) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'L', 'O', '\0', /* PA_SC_PERFCOUNTER5_LO (32141) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'H', 'I', '\0', /* PA_SC_PERFCOUNTER5_HI (32163) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'L', 'O', '\0', /* PA_SC_PERFCOUNTER6_LO (32185) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'H', 'I', '\0', /* PA_SC_PERFCOUNTER6_HI (32207) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'L', 'O', '\0', /* PA_SC_PERFCOUNTER7_LO (32229) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'H', 'I', '\0', /* PA_SC_PERFCOUNTER7_HI (32251) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* SPI_PERFCOUNTER0_HI (32273) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* SPI_PERFCOUNTER0_LO (32293) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* SPI_PERFCOUNTER1_HI (32313) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* SPI_PERFCOUNTER1_LO (32333) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* SPI_PERFCOUNTER2_HI (32353) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* SPI_PERFCOUNTER2_LO (32373) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* SPI_PERFCOUNTER3_HI (32393) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* SPI_PERFCOUNTER3_LO (32413) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'H', 'I', '\0', /* SPI_PERFCOUNTER4_HI (32433) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'L', 'O', '\0', /* SPI_PERFCOUNTER4_LO (32453) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'H', 'I', '\0', /* SPI_PERFCOUNTER5_HI (32473) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'L', 'O', '\0', /* SPI_PERFCOUNTER5_LO (32493) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER0_LO (32513) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER0_HI (32532) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER1_LO (32551) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER1_HI (32570) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER2_LO (32589) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER2_HI (32608) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER3_LO (32627) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER3_HI (32646) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER4_LO (32665) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER4_HI (32684) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER5_LO (32703) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER5_HI (32722) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER6_LO (32741) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER6_HI (32760) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER7_LO (32779) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER7_HI (32798) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '8', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER8_LO (32817) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '8', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER8_HI (32836) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '9', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER9_LO (32855) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '9', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER9_HI (32874) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '0', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER10_LO (32893) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '0', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER10_HI (32913) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '1', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER11_LO (32933) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '1', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER11_HI (32953) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '2', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER12_LO (32973) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '2', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER12_HI (32993) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '3', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER13_LO (33013) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '3', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER13_HI (33033) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '4', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER14_LO (33053) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '4', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER14_HI (33073) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '5', '_', 'L', 'O', '\0', /* SQ_PERFCOUNTER15_LO (33093) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '5', '_', 'H', 'I', '\0', /* SQ_PERFCOUNTER15_HI (33113) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* SX_PERFCOUNTER0_LO (33133) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* SX_PERFCOUNTER0_HI (33152) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* SX_PERFCOUNTER1_LO (33171) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* SX_PERFCOUNTER1_HI (33190) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* SX_PERFCOUNTER2_LO (33209) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* SX_PERFCOUNTER2_HI (33228) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* SX_PERFCOUNTER3_LO (33247) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* SX_PERFCOUNTER3_HI (33266) */
	'G', 'C', 'E', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GCEA_PERFCOUNTER2_LO (33285) */
	'G', 'C', 'E', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GCEA_PERFCOUNTER2_HI (33306) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GDS_PERFCOUNTER0_LO (33327) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GDS_PERFCOUNTER0_HI (33347) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GDS_PERFCOUNTER1_LO (33367) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GDS_PERFCOUNTER1_HI (33387) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GDS_PERFCOUNTER2_LO (33407) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GDS_PERFCOUNTER2_HI (33427) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* GDS_PERFCOUNTER3_LO (33447) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* GDS_PERFCOUNTER3_HI (33467) */
	'T', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* TA_PERFCOUNTER0_LO (33487) */
	'T', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* TA_PERFCOUNTER0_HI (33506) */
	'T', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* TA_PERFCOUNTER1_LO (33525) */
	'T', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* TA_PERFCOUNTER1_HI (33544) */
	'T', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* TD_PERFCOUNTER0_LO (33563) */
	'T', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* TD_PERFCOUNTER0_HI (33582) */
	'T', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* TD_PERFCOUNTER1_LO (33601) */
	'T', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* TD_PERFCOUNTER1_HI (33620) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* TCP_PERFCOUNTER0_LO (33639) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* TCP_PERFCOUNTER0_HI (33659) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* TCP_PERFCOUNTER1_LO (33679) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* TCP_PERFCOUNTER1_HI (33699) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* TCP_PERFCOUNTER2_LO (33719) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* TCP_PERFCOUNTER2_HI (33739) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* TCP_PERFCOUNTER3_LO (33759) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* TCP_PERFCOUNTER3_HI (33779) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GL2C_PERFCOUNTER0_LO (33799) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GL2C_PERFCOUNTER0_HI (33820) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GL2C_PERFCOUNTER1_LO (33841) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GL2C_PERFCOUNTER1_HI (33862) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GL2C_PERFCOUNTER2_LO (33883) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GL2C_PERFCOUNTER2_HI (33904) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* GL2C_PERFCOUNTER3_LO (33925) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* GL2C_PERFCOUNTER3_HI (33946) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GL2A_PERFCOUNTER0_LO (33967) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GL2A_PERFCOUNTER0_HI (33988) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GL2A_PERFCOUNTER1_LO (34009) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GL2A_PERFCOUNTER1_HI (34030) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GL2A_PERFCOUNTER2_LO (34051) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GL2A_PERFCOUNTER2_HI (34072) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* GL2A_PERFCOUNTER3_LO (34093) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* GL2A_PERFCOUNTER3_HI (34114) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GL1C_PERFCOUNTER0_LO (34135) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GL1C_PERFCOUNTER0_HI (34156) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GL1C_PERFCOUNTER1_LO (34177) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GL1C_PERFCOUNTER1_HI (34198) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GL1C_PERFCOUNTER2_LO (34219) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GL1C_PERFCOUNTER2_HI (34240) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* GL1C_PERFCOUNTER3_LO (34261) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* GL1C_PERFCOUNTER3_HI (34282) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* CHC_PERFCOUNTER0_LO (34303) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* CHC_PERFCOUNTER0_HI (34323) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* CHC_PERFCOUNTER1_LO (34343) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* CHC_PERFCOUNTER1_HI (34363) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* CHC_PERFCOUNTER2_LO (34383) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* CHC_PERFCOUNTER2_HI (34403) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* CHC_PERFCOUNTER3_LO (34423) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* CHC_PERFCOUNTER3_HI (34443) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* CHCG_PERFCOUNTER0_LO (34463) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* CHCG_PERFCOUNTER0_HI (34484) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* CHCG_PERFCOUNTER1_LO (34505) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* CHCG_PERFCOUNTER1_HI (34526) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* CHCG_PERFCOUNTER2_LO (34547) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* CHCG_PERFCOUNTER2_HI (34568) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* CHCG_PERFCOUNTER3_LO (34589) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* CHCG_PERFCOUNTER3_HI (34610) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* CB_PERFCOUNTER0_LO (34631) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* CB_PERFCOUNTER0_HI (34650) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* CB_PERFCOUNTER1_LO (34669) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* CB_PERFCOUNTER1_HI (34688) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* CB_PERFCOUNTER2_LO (34707) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* CB_PERFCOUNTER2_HI (34726) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* CB_PERFCOUNTER3_LO (34745) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* CB_PERFCOUNTER3_HI (34764) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* DB_PERFCOUNTER0_LO (34783) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* DB_PERFCOUNTER0_HI (34802) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* DB_PERFCOUNTER1_LO (34821) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* DB_PERFCOUNTER1_HI (34840) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* DB_PERFCOUNTER2_LO (34859) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* DB_PERFCOUNTER2_HI (34878) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* DB_PERFCOUNTER3_LO (34897) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* DB_PERFCOUNTER3_HI (34916) */
	'R', 'L', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* RLC_PERFCOUNTER0_LO (34935) */
	'R', 'L', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* RLC_PERFCOUNTER0_HI (34955) */
	'R', 'L', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* RLC_PERFCOUNTER1_LO (34975) */
	'R', 'L', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* RLC_PERFCOUNTER1_HI (34995) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* RMI_PERFCOUNTER0_LO (35015) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* RMI_PERFCOUNTER0_HI (35035) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* RMI_PERFCOUNTER1_LO (35055) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* RMI_PERFCOUNTER1_HI (35075) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* RMI_PERFCOUNTER2_LO (35095) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* RMI_PERFCOUNTER2_HI (35115) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* RMI_PERFCOUNTER3_LO (35135) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* RMI_PERFCOUNTER3_HI (35155) */
	'G', 'C', '_', 'A', 'T', 'C', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* GC_ATC_L2_PERFCOUNTER_LO (35175, 35178) */
	'G', 'C', '_', 'A', 'T', 'C', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* GC_ATC_L2_PERFCOUNTER_HI (35200, 35203) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* GCMC_VM_L2_PERFCOUNTER_LO (35225, 35227) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* GCMC_VM_L2_PERFCOUNTER_HI (35251, 35253) */
	'G', 'C', 'V', 'M', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', '0', '_', 'L', 'O', '\0', /* GCVML2_PERFCOUNTER2_0_LO (35277) */
	'G', 'C', 'V', 'M', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', '1', '_', 'L', 'O', '\0', /* GCVML2_PERFCOUNTER2_1_LO (35302) */
	'G', 'C', 'V', 'M', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', '0', '_', 'H', 'I', '\0', /* GCVML2_PERFCOUNTER2_0_HI (35327) */
	'G', 'C', 'V', 'M', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', '1', '_', 'H', 'I', '\0', /* GCVML2_PERFCOUNTER2_1_HI (35352) */
	'G', 'C', '_', 'A', 'T', 'C', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GC_ATC_L2_PERFCOUNTER2_LO (35377) */
	'G', 'C', '_', 'A', 'T', 'C', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GC_ATC_L2_PERFCOUNTER2_HI (35403) */
	'U', 'T', 'C', 'L', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* UTCL1_PERFCOUNTER0_LO (35429) */
	'U', 'T', 'C', 'L', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* UTCL1_PERFCOUNTER0_HI (35451) */
	'U', 'T', 'C', 'L', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* UTCL1_PERFCOUNTER1_LO (35473) */
	'U', 'T', 'C', 'L', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* UTCL1_PERFCOUNTER1_HI (35495) */
	'G', 'C', 'R', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GCR_PERFCOUNTER0_LO (35517) */
	'G', 'C', 'R', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GCR_PERFCOUNTER0_HI (35537) */
	'G', 'C', 'R', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GCR_PERFCOUNTER1_LO (35557) */
	'G', 'C', 'R', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GCR_PERFCOUNTER1_HI (35577) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* PA_PH_PERFCOUNTER0_LO (35597) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* PA_PH_PERFCOUNTER0_HI (35619) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* PA_PH_PERFCOUNTER1_LO (35641) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* PA_PH_PERFCOUNTER1_HI (35663) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* PA_PH_PERFCOUNTER2_LO (35685) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* PA_PH_PERFCOUNTER2_HI (35707) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* PA_PH_PERFCOUNTER3_LO (35729) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* PA_PH_PERFCOUNTER3_HI (35751) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'L', 'O', '\0', /* PA_PH_PERFCOUNTER4_LO (35773) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'H', 'I', '\0', /* PA_PH_PERFCOUNTER4_HI (35795) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'L', 'O', '\0', /* PA_PH_PERFCOUNTER5_LO (35817) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'H', 'I', '\0', /* PA_PH_PERFCOUNTER5_HI (35839) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'L', 'O', '\0', /* PA_PH_PERFCOUNTER6_LO (35861) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'H', 'I', '\0', /* PA_PH_PERFCOUNTER6_HI (35883) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'L', 'O', '\0', /* PA_PH_PERFCOUNTER7_LO (35905) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'H', 'I', '\0', /* PA_PH_PERFCOUNTER7_HI (35927) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GL1A_PERFCOUNTER0_LO (35949) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GL1A_PERFCOUNTER0_HI (35970) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GL1A_PERFCOUNTER1_LO (35991) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GL1A_PERFCOUNTER1_HI (36012) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GL1A_PERFCOUNTER2_LO (36033) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GL1A_PERFCOUNTER2_HI (36054) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* GL1A_PERFCOUNTER3_LO (36075) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* GL1A_PERFCOUNTER3_HI (36096) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* CHA_PERFCOUNTER0_LO (36117) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* CHA_PERFCOUNTER0_HI (36137) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* CHA_PERFCOUNTER1_LO (36157) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* CHA_PERFCOUNTER1_HI (36177) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* CHA_PERFCOUNTER2_LO (36197) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* CHA_PERFCOUNTER2_HI (36217) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* CHA_PERFCOUNTER3_LO (36237) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* CHA_PERFCOUNTER3_HI (36257) */
	'G', 'U', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GUS_PERFCOUNTER2_LO (36277) */
	'G', 'U', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GUS_PERFCOUNTER2_HI (36297) */
	'C', 'P', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPG_PERFCOUNTER1_SELECT (36317) */
	'C', 'P', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* CPG_PERFCOUNTER0_SELECT1 (36341) */
	'C', 'P', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPG_PERFCOUNTER0_SELECT (36366) */
	'C', 'P', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPC_PERFCOUNTER1_SELECT (36390) */
	'C', 'P', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* CPC_PERFCOUNTER0_SELECT1 (36414) */
	'C', 'P', 'F', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPF_PERFCOUNTER1_SELECT (36439) */
	'C', 'P', 'F', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* CPF_PERFCOUNTER0_SELECT1 (36463) */
	'C', 'P', 'F', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPF_PERFCOUNTER0_SELECT (36488) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'C', 'N', 'T', 'L', '\0', /* CP_PERFMON_CNTL (36512) */
	'C', 'P', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPC_PERFCOUNTER0_SELECT (36528) */
	'C', 'P', 'F', '_', 'T', 'C', '_', 'P', 'E', 'R', 'F', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPF_TC_PERF_COUNTER_WINDOW_SELECT (36552) */
	'C', 'P', 'G', '_', 'T', 'C', '_', 'P', 'E', 'R', 'F', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPG_TC_PERF_COUNTER_WINDOW_SELECT (36586) */
	'C', 'P', 'F', '_', 'L', 'A', 'T', 'E', 'N', 'C', 'Y', '_', 'S', 'T', 'A', 'T', 'S', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPF_LATENCY_STATS_SELECT (36620) */
	'C', 'P', 'G', '_', 'L', 'A', 'T', 'E', 'N', 'C', 'Y', '_', 'S', 'T', 'A', 'T', 'S', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPG_LATENCY_STATS_SELECT (36645) */
	'C', 'P', 'C', '_', 'L', 'A', 'T', 'E', 'N', 'C', 'Y', '_', 'S', 'T', 'A', 'T', 'S', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CPC_LATENCY_STATS_SELECT (36670) */
	'C', 'P', '_', 'D', 'R', 'A', 'W', '_', 'O', 'B', 'J', 'E', 'C', 'T', '\0', /* CP_DRAW_OBJECT (36695, 36703) */
	'C', 'P', '_', 'D', 'R', 'A', 'W', '_', 'O', 'B', 'J', 'E', 'C', 'T', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '\0', /* CP_DRAW_OBJECT_COUNTER (36710) */
	'C', 'P', '_', 'D', 'R', 'A', 'W', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'M', 'A', 'S', 'K', '_', 'H', 'I', '\0', /* CP_DRAW_WINDOW_MASK_HI (36733, 36741) */
	'C', 'P', '_', 'D', 'R', 'A', 'W', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'H', 'I', '\0', /* CP_DRAW_WINDOW_HI (36756, 36764) */
	'C', 'P', '_', 'D', 'R', 'A', 'W', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'L', 'O', '\0', /* CP_DRAW_WINDOW_LO (36774) */
	'C', 'P', '_', 'D', 'R', 'A', 'W', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'C', 'N', 'T', 'L', '\0', /* CP_DRAW_WINDOW_CNTL (36792) */
	'G', 'R', 'B', 'M', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GRBM_PERFCOUNTER0_SELECT (36812) */
	'G', 'R', 'B', 'M', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GRBM_PERFCOUNTER1_SELECT (36837) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GRBM_SE0_PERFCOUNTER_SELECT (36862, 36871) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GRBM_SE1_PERFCOUNTER_SELECT (36890) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GRBM_SE2_PERFCOUNTER_SELECT (36918) */
	'G', 'R', 'B', 'M', '_', 'S', 'E', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GRBM_SE3_PERFCOUNTER_SELECT (36946) */
	'G', 'R', 'B', 'M', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'H', 'I', '\0', /* GRBM_PERFCOUNTER0_SELECT_HI (36974) */
	'G', 'R', 'B', 'M', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'H', 'I', '\0', /* GRBM_PERFCOUNTER1_SELECT_HI (37002) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER0_SELECT (37030) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE_PERFCOUNTER0_SELECT1 (37053) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER1_SELECT (37077) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE_PERFCOUNTER1_SELECT1 (37100) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER2_SELECT (37124) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE_PERFCOUNTER2_SELECT1 (37147) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER3_SELECT (37171) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE_PERFCOUNTER3_SELECT1 (37194) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER4_SELECT (37218) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER5_SELECT (37241) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER6_SELECT (37264) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER7_SELECT (37287) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '8', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER8_SELECT (37310) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '9', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER9_SELECT (37333) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER10_SELECT (37356) */
	'G', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE_PERFCOUNTER11_SELECT (37380) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SU_PERFCOUNTER0_SELECT (37404) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* PA_SU_PERFCOUNTER0_SELECT1 (37430) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SU_PERFCOUNTER1_SELECT (37457) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* PA_SU_PERFCOUNTER1_SELECT1 (37483) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SU_PERFCOUNTER2_SELECT (37510) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* PA_SU_PERFCOUNTER2_SELECT1 (37536) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SU_PERFCOUNTER3_SELECT (37563) */
	'P', 'A', '_', 'S', 'U', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* PA_SU_PERFCOUNTER3_SELECT1 (37589) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SC_PERFCOUNTER0_SELECT (37616) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* PA_SC_PERFCOUNTER0_SELECT1 (37642) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SC_PERFCOUNTER1_SELECT (37669) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SC_PERFCOUNTER2_SELECT (37695) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SC_PERFCOUNTER3_SELECT (37721) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SC_PERFCOUNTER4_SELECT (37747) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SC_PERFCOUNTER5_SELECT (37773) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SC_PERFCOUNTER6_SELECT (37799) */
	'P', 'A', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_SC_PERFCOUNTER7_SELECT (37825) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SPI_PERFCOUNTER0_SELECT (37851) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SPI_PERFCOUNTER1_SELECT (37875) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SPI_PERFCOUNTER2_SELECT (37899) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SPI_PERFCOUNTER3_SELECT (37923) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SPI_PERFCOUNTER0_SELECT1 (37947) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SPI_PERFCOUNTER1_SELECT1 (37972) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SPI_PERFCOUNTER2_SELECT1 (37997) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SPI_PERFCOUNTER3_SELECT1 (38022) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SPI_PERFCOUNTER4_SELECT (38047) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SPI_PERFCOUNTER5_SELECT (38071) */
	'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'B', 'I', 'N', 'S', '\0', /* SPI_PERFCOUNTER_BINS (38095) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER0_SELECT (38116) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER1_SELECT (38139) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER2_SELECT (38162) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER3_SELECT (38185) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER4_SELECT (38208) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER5_SELECT (38231) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER6_SELECT (38254) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER7_SELECT (38277) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '8', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER8_SELECT (38300) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '9', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER9_SELECT (38323) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER10_SELECT (38346) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER11_SELECT (38370) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER12_SELECT (38394) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER13_SELECT (38418) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '4', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER14_SELECT (38442) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '5', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SQ_PERFCOUNTER15_SELECT (38466) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'C', 'T', 'R', 'L', '\0', /* SQ_PERFCOUNTER_CTRL (38490) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'C', 'T', 'R', 'L', '2', '\0', /* SQ_PERFCOUNTER_CTRL2 (38510) */
	'G', 'C', 'E', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GCEA_PERFCOUNTER2_SELECT (38531) */
	'G', 'C', 'E', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GCEA_PERFCOUNTER2_SELECT1 (38556) */
	'G', 'C', 'E', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'M', 'O', 'D', 'E', '\0', /* GCEA_PERFCOUNTER2_MODE (38582) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SX_PERFCOUNTER0_SELECT (38605) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SX_PERFCOUNTER1_SELECT (38628) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SX_PERFCOUNTER2_SELECT (38651) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SX_PERFCOUNTER3_SELECT (38674) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SX_PERFCOUNTER0_SELECT1 (38697) */
	'S', 'X', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SX_PERFCOUNTER1_SELECT1 (38721) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GDS_PERFCOUNTER0_SELECT (38745) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GDS_PERFCOUNTER1_SELECT (38769) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GDS_PERFCOUNTER2_SELECT (38793) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GDS_PERFCOUNTER3_SELECT (38817) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GDS_PERFCOUNTER0_SELECT1 (38841) */
	'T', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TA_PERFCOUNTER0_SELECT (38866) */
	'T', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* TA_PERFCOUNTER0_SELECT1 (38889) */
	'T', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TA_PERFCOUNTER1_SELECT (38913) */
	'T', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TD_PERFCOUNTER0_SELECT (38936) */
	'T', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* TD_PERFCOUNTER0_SELECT1 (38959) */
	'T', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TD_PERFCOUNTER1_SELECT (38983) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCP_PERFCOUNTER0_SELECT (39006) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* TCP_PERFCOUNTER0_SELECT1 (39030) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCP_PERFCOUNTER1_SELECT (39055) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* TCP_PERFCOUNTER1_SELECT1 (39079) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCP_PERFCOUNTER2_SELECT (39104) */
	'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCP_PERFCOUNTER3_SELECT (39128) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL2C_PERFCOUNTER0_SELECT (39152) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GL2C_PERFCOUNTER0_SELECT1 (39177) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL2C_PERFCOUNTER1_SELECT (39203) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GL2C_PERFCOUNTER1_SELECT1 (39228) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL2C_PERFCOUNTER2_SELECT (39254) */
	'G', 'L', '2', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL2C_PERFCOUNTER3_SELECT (39279) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL2A_PERFCOUNTER0_SELECT (39304) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GL2A_PERFCOUNTER0_SELECT1 (39329) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL2A_PERFCOUNTER1_SELECT (39355) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GL2A_PERFCOUNTER1_SELECT1 (39380) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL2A_PERFCOUNTER2_SELECT (39406) */
	'G', 'L', '2', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL2A_PERFCOUNTER3_SELECT (39431) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL1C_PERFCOUNTER0_SELECT (39456) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GL1C_PERFCOUNTER0_SELECT1 (39481) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL1C_PERFCOUNTER1_SELECT (39507) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL1C_PERFCOUNTER2_SELECT (39532) */
	'G', 'L', '1', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL1C_PERFCOUNTER3_SELECT (39557) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHC_PERFCOUNTER0_SELECT (39582) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* CHC_PERFCOUNTER0_SELECT1 (39606) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHC_PERFCOUNTER1_SELECT (39631) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHC_PERFCOUNTER2_SELECT (39655) */
	'C', 'H', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHC_PERFCOUNTER3_SELECT (39679) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHCG_PERFCOUNTER0_SELECT (39703) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* CHCG_PERFCOUNTER0_SELECT1 (39728) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHCG_PERFCOUNTER1_SELECT (39754) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHCG_PERFCOUNTER2_SELECT (39779) */
	'C', 'H', 'C', 'G', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHCG_PERFCOUNTER3_SELECT (39804) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'F', 'I', 'L', 'T', 'E', 'R', '\0', /* CB_PERFCOUNTER_FILTER (39829) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CB_PERFCOUNTER0_SELECT (39851) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* CB_PERFCOUNTER0_SELECT1 (39874) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CB_PERFCOUNTER1_SELECT (39898) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CB_PERFCOUNTER2_SELECT (39921) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CB_PERFCOUNTER3_SELECT (39944) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* DB_PERFCOUNTER0_SELECT (39967) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* DB_PERFCOUNTER0_SELECT1 (39990) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* DB_PERFCOUNTER1_SELECT (40014) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* DB_PERFCOUNTER1_SELECT1 (40037) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* DB_PERFCOUNTER2_SELECT (40061) */
	'D', 'B', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* DB_PERFCOUNTER3_SELECT (40084) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'C', 'N', 'T', 'L', '\0', /* RLC_SPM_PERFMON_CNTL (40107) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'R', 'I', 'N', 'G', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* RLC_SPM_PERFMON_RING_BASE_LO (40128, 40144) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'R', 'I', 'N', 'G', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* RLC_SPM_PERFMON_RING_BASE_HI (40157, 40173) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'R', 'I', 'N', 'G', '_', 'S', 'I', 'Z', 'E', '\0', /* RLC_SPM_PERFMON_RING_SIZE (40186) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'E', 'G', 'M', 'E', 'N', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* RLC_SPM_PERFMON_SEGMENT_SIZE (40212, 40220) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'R', 'I', 'N', 'G', '_', 'R', 'D', 'P', 'T', 'R', '\0', /* RLC_SPM_RING_RDPTR (40241) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'E', 'G', 'M', 'E', 'N', 'T', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '\0', /* RLC_SPM_SEGMENT_THRESHOLD (40260) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'E', '_', 'M', 'U', 'X', 'S', 'E', 'L', '_', 'A', 'D', 'D', 'R', '\0', /* RLC_SPM_SE_MUXSEL_ADDR (40286) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'E', '_', 'M', 'U', 'X', 'S', 'E', 'L', '_', 'D', 'A', 'T', 'A', '\0', /* RLC_SPM_SE_MUXSEL_DATA (40309) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'G', 'L', 'O', 'B', 'A', 'L', '_', 'M', 'U', 'X', 'S', 'E', 'L', '_', 'A', 'D', 'D', 'R', '\0', /* RLC_SPM_GLOBAL_MUXSEL_ADDR (40332) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'G', 'L', 'O', 'B', 'A', 'L', '_', 'M', 'U', 'X', 'S', 'E', 'L', '_', 'D', 'A', 'T', 'A', '\0', /* RLC_SPM_GLOBAL_MUXSEL_DATA (40359) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'D', 'E', 'S', 'E', 'R', '_', 'S', 'T', 'A', 'R', 'T', '_', 'S', 'K', 'E', 'W', '\0', /* RLC_SPM_DESER_START_SKEW (40386, 40394) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'G', 'L', 'O', 'B', 'A', 'L', 'S', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'S', 'K', 'E', 'W', '\0', /* RLC_SPM_GLOBALS_SAMPLE_SKEW (40411, 40419) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'G', 'L', 'O', 'B', 'A', 'L', 'S', '_', 'M', 'U', 'X', 'S', 'E', 'L', '_', 'S', 'K', 'E', 'W', '\0', /* RLC_SPM_GLOBALS_MUXSEL_SKEW (40439, 40447) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'E', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'S', 'K', 'E', 'W', '\0', /* RLC_SPM_SE_SAMPLE_SKEW (40467, 40475) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'E', '_', 'M', 'U', 'X', 'S', 'E', 'L', '_', 'S', 'K', 'E', 'W', '\0', /* RLC_SPM_SE_MUXSEL_SKEW (40490, 40498) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'G', 'L', 'B', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'D', 'E', 'L', 'A', 'Y', '_', 'I', 'N', 'D', '_', 'A', 'D', 'D', 'R', '\0', /* RLC_SPM_GLB_SAMPLEDELAY_IND_ADDR (40513) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'G', 'L', 'B', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'D', 'E', 'L', 'A', 'Y', '_', 'I', 'N', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* RLC_SPM_GLB_SAMPLEDELAY_IND_DATA (40546) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'E', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'D', 'E', 'L', 'A', 'Y', '_', 'I', 'N', 'D', '_', 'A', 'D', 'D', 'R', '\0', /* RLC_SPM_SE_SAMPLEDELAY_IND_ADDR (40579) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'E', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'D', 'E', 'L', 'A', 'Y', '_', 'I', 'N', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* RLC_SPM_SE_SAMPLEDELAY_IND_DATA (40611) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'R', 'I', 'N', 'G', '_', 'W', 'R', 'P', 'T', 'R', '\0', /* RLC_SPM_RING_WRPTR (40643) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'D', 'A', 'T', 'A', 'R', 'A', 'M', '_', 'A', 'D', 'D', 'R', '\0', /* RLC_SPM_ACCUM_DATARAM_ADDR (40662) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'D', 'A', 'T', 'A', 'R', 'A', 'M', '_', 'D', 'A', 'T', 'A', '\0', /* RLC_SPM_ACCUM_DATARAM_DATA (40689) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'C', 'T', 'R', 'L', 'R', 'A', 'M', '_', 'A', 'D', 'D', 'R', '\0', /* RLC_SPM_ACCUM_CTRLRAM_ADDR (40716) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'C', 'T', 'R', 'L', 'R', 'A', 'M', '_', 'D', 'A', 'T', 'A', '\0', /* RLC_SPM_ACCUM_CTRLRAM_DATA (40743) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* RLC_SPM_ACCUM_STATUS (40770) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'C', 'T', 'R', 'L', '\0', /* RLC_SPM_ACCUM_CTRL (40791) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'M', 'O', 'D', 'E', '\0', /* RLC_SPM_ACCUM_MODE (40810) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '\0', /* RLC_SPM_ACCUM_THRESHOLD (40829) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '_', 'R', 'E', 'Q', 'U', 'E', 'S', 'T', 'E', 'D', '\0', /* RLC_SPM_ACCUM_SAMPLES_REQUESTED (40853) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'D', 'A', 'T', 'A', 'R', 'A', 'M', '_', 'W', 'R', 'C', 'O', 'U', 'N', 'T', '\0', /* RLC_SPM_ACCUM_DATARAM_WRCOUNT (40885) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'E', '3', 'T', 'O', '0', '_', 'S', 'E', 'G', 'M', 'E', 'N', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* RLC_SPM_PERFMON_SE3TO0_SEGMENT_SIZE (40915) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'G', 'L', 'B', '_', 'S', 'E', 'G', 'M', 'E', 'N', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* RLC_SPM_PERFMON_GLB_SEGMENT_SIZE (40951) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'V', 'I', 'R', 'T', '_', 'C', 'T', 'R', 'L', '\0', /* RLC_SPM_VIRT_CTRL (40984) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'V', 'I', 'R', 'T', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* RLC_SPM_VIRT_STATUS (41002) */
	'R', 'L', 'C', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'C', 'N', 'T', 'L', '\0', /* RLC_PERFMON_CNTL (41022) */
	'R', 'L', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* RLC_PERFCOUNTER0_SELECT (41039) */
	'R', 'L', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* RLC_PERFCOUNTER1_SELECT (41063) */
	'R', 'L', 'C', '_', 'G', 'P', 'U', '_', 'I', 'O', 'V', '_', 'P', 'E', 'R', 'F', '_', 'C', 'N', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* RLC_GPU_IOV_PERF_CNT_CNTL (41087) */
	'R', 'L', 'C', '_', 'G', 'P', 'U', '_', 'I', 'O', 'V', '_', 'P', 'E', 'R', 'F', '_', 'C', 'N', 'T', '_', 'W', 'R', '_', 'A', 'D', 'D', 'R', '\0', /* RLC_GPU_IOV_PERF_CNT_WR_ADDR (41113) */
	'R', 'L', 'C', '_', 'G', 'P', 'U', '_', 'I', 'O', 'V', '_', 'P', 'E', 'R', 'F', '_', 'C', 'N', 'T', '_', 'W', 'R', '_', 'D', 'A', 'T', 'A', '\0', /* RLC_GPU_IOV_PERF_CNT_WR_DATA (41142) */
	'R', 'L', 'C', '_', 'G', 'P', 'U', '_', 'I', 'O', 'V', '_', 'P', 'E', 'R', 'F', '_', 'C', 'N', 'T', '_', 'R', 'D', '_', 'A', 'D', 'D', 'R', '\0', /* RLC_GPU_IOV_PERF_CNT_RD_ADDR (41171) */
	'R', 'L', 'C', '_', 'G', 'P', 'U', '_', 'I', 'O', 'V', '_', 'P', 'E', 'R', 'F', '_', 'C', 'N', 'T', '_', 'R', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* RLC_GPU_IOV_PERF_CNT_RD_DATA (41200) */
	'R', 'L', 'C', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'C', 'L', 'K', '_', 'C', 'N', 'T', 'L', '\0', /* RLC_PERFMON_CLK_CNTL (41229) */
	'R', 'L', 'C', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'C', 'L', 'K', '_', 'C', 'N', 'T', 'L', '_', 'U', 'C', 'O', 'D', 'E', '\0', /* RLC_PERFMON_CLK_CNTL_UCODE (41250) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* RMI_PERFCOUNTER0_SELECT (41277) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* RMI_PERFCOUNTER0_SELECT1 (41301) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* RMI_PERFCOUNTER1_SELECT (41326) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* RMI_PERFCOUNTER2_SELECT (41350) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* RMI_PERFCOUNTER2_SELECT1 (41374) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* RMI_PERFCOUNTER3_SELECT (41399) */
	'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'C', 'N', 'T', 'L', '\0', /* RMI_PERF_COUNTER_CNTL (41423) */
	'G', 'C', '_', 'A', 'T', 'C', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'C', 'F', 'G', '\0', /* GC_ATC_L2_PERFCOUNTER0_CFG (41445, 41448) */
	'G', 'C', '_', 'A', 'T', 'C', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'C', 'F', 'G', '\0', /* GC_ATC_L2_PERFCOUNTER1_CFG (41472, 41475) */
	'G', 'C', '_', 'A', 'T', 'C', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'R', 'S', 'L', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* GC_ATC_L2_PERFCOUNTER_RSLT_CNTL (41499, 41502) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'C', 'F', 'G', '\0', /* GCMC_VM_L2_PERFCOUNTER0_CFG (41531, 41533) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'C', 'F', 'G', '\0', /* GCMC_VM_L2_PERFCOUNTER1_CFG (41559, 41561) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'C', 'F', 'G', '\0', /* GCMC_VM_L2_PERFCOUNTER2_CFG (41587, 41589) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'C', 'F', 'G', '\0', /* GCMC_VM_L2_PERFCOUNTER3_CFG (41615, 41617) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'C', 'F', 'G', '\0', /* GCMC_VM_L2_PERFCOUNTER4_CFG (41643, 41645) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'C', 'F', 'G', '\0', /* GCMC_VM_L2_PERFCOUNTER5_CFG (41671, 41673) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'C', 'F', 'G', '\0', /* GCMC_VM_L2_PERFCOUNTER6_CFG (41699, 41701) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'C', 'F', 'G', '\0', /* GCMC_VM_L2_PERFCOUNTER7_CFG (41727, 41729) */
	'G', 'C', 'M', 'C', '_', 'V', 'M', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'R', 'S', 'L', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* GCMC_VM_L2_PERFCOUNTER_RSLT_CNTL (41755, 41757) */
	'G', 'C', 'V', 'M', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GCVML2_PERFCOUNTER2_0_SELECT (41788) */
	'G', 'C', 'V', 'M', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GCVML2_PERFCOUNTER2_1_SELECT (41817) */
	'G', 'C', 'V', 'M', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GCVML2_PERFCOUNTER2_0_SELECT1 (41846) */
	'G', 'C', 'V', 'M', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GCVML2_PERFCOUNTER2_1_SELECT1 (41876) */
	'G', 'C', 'V', 'M', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', '0', '_', 'M', 'O', 'D', 'E', '\0', /* GCVML2_PERFCOUNTER2_0_MODE (41906) */
	'G', 'C', 'V', 'M', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', '1', '_', 'M', 'O', 'D', 'E', '\0', /* GCVML2_PERFCOUNTER2_1_MODE (41933) */
	'G', 'C', '_', 'A', 'T', 'C', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GC_ATC_L2_PERFCOUNTER2_SELECT (41960) */
	'G', 'C', '_', 'A', 'T', 'C', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GC_ATC_L2_PERFCOUNTER2_SELECT1 (41990) */
	'G', 'C', '_', 'A', 'T', 'C', '_', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'M', 'O', 'D', 'E', '\0', /* GC_ATC_L2_PERFCOUNTER2_MODE (42021) */
	'G', 'C', 'R', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GCR_PERFCOUNTER0_SELECT (42049) */
	'G', 'C', 'R', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GCR_PERFCOUNTER0_SELECT1 (42073) */
	'G', 'C', 'R', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GCR_PERFCOUNTER1_SELECT (42098) */
	'U', 'T', 'C', 'L', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* UTCL1_PERFCOUNTER0_SELECT (42122) */
	'U', 'T', 'C', 'L', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* UTCL1_PERFCOUNTER1_SELECT (42148) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_PH_PERFCOUNTER0_SELECT (42174) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* PA_PH_PERFCOUNTER0_SELECT1 (42200) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_PH_PERFCOUNTER1_SELECT (42227) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_PH_PERFCOUNTER2_SELECT (42253) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_PH_PERFCOUNTER3_SELECT (42279) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '4', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_PH_PERFCOUNTER4_SELECT (42305) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '5', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_PH_PERFCOUNTER5_SELECT (42331) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '6', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_PH_PERFCOUNTER6_SELECT (42357) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '7', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PA_PH_PERFCOUNTER7_SELECT (42383) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* PA_PH_PERFCOUNTER1_SELECT1 (42409) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* PA_PH_PERFCOUNTER2_SELECT1 (42436) */
	'P', 'A', '_', 'P', 'H', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* PA_PH_PERFCOUNTER3_SELECT1 (42463) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL1A_PERFCOUNTER0_SELECT (42490) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GL1A_PERFCOUNTER0_SELECT1 (42515) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL1A_PERFCOUNTER1_SELECT (42541) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL1A_PERFCOUNTER2_SELECT (42566) */
	'G', 'L', '1', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GL1A_PERFCOUNTER3_SELECT (42591) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHA_PERFCOUNTER0_SELECT (42616) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* CHA_PERFCOUNTER0_SELECT1 (42640) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHA_PERFCOUNTER1_SELECT (42665) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHA_PERFCOUNTER2_SELECT (42689) */
	'C', 'H', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* CHA_PERFCOUNTER3_SELECT (42713) */
	'G', 'U', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GUS_PERFCOUNTER2_SELECT (42737) */
	'G', 'U', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GUS_PERFCOUNTER2_SELECT1 (42761) */
	'G', 'U', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'M', 'O', 'D', 'E', '\0', /* GUS_PERFCOUNTER2_MODE (42786) */
	'D', 'S', 'T', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* DST_ADDR_LO (42808) */
	'I', 'B', '_', 'B', 'A', 'S', 'E', '_', 'L', 'O', '\0', /* IB_BASE_LO (42820) */
	'I', 'B', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* IB_BASE_HI (42831) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'W', 'O', 'R', 'D', '0', '\0', /* CP_DMA_WORD0 (42842) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'W', 'O', 'R', 'D', '1', '\0', /* CP_DMA_WORD1 (42855) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'W', 'O', 'R', 'D', '2', '\0', /* CP_DMA_WORD2 (42868) */
	'C', 'P', '_', 'D', 'M', 'A', '_', 'W', 'O', 'R', 'D', '3', '\0', /* CP_DMA_WORD3 (42881) */
	'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'M', 'E', 'M', '_', 'O', 'P', '\0', /* RELEASE_MEM_OP (42894) */
	'D', 'M', 'A', '_', 'D', 'A', 'T', 'A', '_', 'W', 'O', 'R', 'D', '0', '\0', /* DMA_DATA_WORD0 (42909) */
	'S', 'R', 'C', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* SRC_ADDR_LO (42924) */
	'G', 'C', 'R', '_', 'C', 'N', 'T', 'L', '\0', /* GCR_CNTL (42936) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'A', 'C', 'T', 'I', 'V', 'E', '\0', /* SQ_WAVE_ACTIVE (42945) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'V', 'A', 'L', 'I', 'D', '_', 'A', 'N', 'D', '_', 'I', 'D', 'L', 'E', '\0', /* SQ_WAVE_VALID_AND_IDLE (42960, 42978) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'C', 'Y', 'C', 'L', 'E', 'S', '\0', /* SQ_WAVE_SHADER_CYCLES (42983, 42998) */
	'C', 'P', '_', 'C', 'P', 'C', '_', 'P', 'R', 'I', 'V', '_', 'V', 'I', 'O', 'L', 'A', 'T', 'I', 'O', 'N', '_', 'A', 'D', 'D', 'R', '\0', /* CP_CPC_PRIV_VIOLATION_ADDR (43005, 43012) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'S', 'T', 'A', 'T', 'U', 'S', '2', '\0', /* SQ_THREAD_TRACE_STATUS2 (43032) */
	'S', 'H', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'E', 'G', '0', '\0', /* SH_RESERVED_REG0 (43056) */
	'S', 'H', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'E', 'G', '1', '\0', /* SH_RESERVED_REG1 (43073) */
	'D', 'B', '_', 'V', 'R', 'S', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* DB_VRS_OVERRIDE_CNTL (43090) */
	'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'E', 'G', '0', '\0', /* CONTEXT_RESERVED_REG0 (43111) */
	'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'E', 'G', '1', '\0', /* CONTEXT_RESERVED_REG1 (43133) */
	'S', 'X', '_', 'P', 'S', '_', 'D', 'O', 'W', 'N', 'C', 'O', 'N', 'V', 'E', 'R', 'T', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* SX_PS_DOWNCONVERT_CONTROL (43155) */
	'P', 'A', '_', 'C', 'L', '_', 'V', 'R', 'S', '_', 'C', 'N', 'T', 'L', '\0', /* PA_CL_VRS_CNTL (43181) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '_', 'A', 'T', 'O', 'M', 'I', 'C', '\0', /* SCRATCH_REG_ATOMIC (43196) */
	'U', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'E', 'G', '0', '\0', /* UCONFIG_RESERVED_REG0 (43215) */
	'U', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'E', 'G', '1', '\0', /* UCONFIG_RESERVED_REG1 (43237) */
	'C', 'P', '_', 'C', 'E', '_', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'P', 'R', 'E', 'O', 'P', '_', 'L', 'O', '\0', /* CP_CE_ATOMIC_PREOP_LO (43259) */
	'C', 'P', '_', 'C', 'E', '_', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'P', 'R', 'E', 'O', 'P', '_', 'H', 'I', '\0', /* CP_CE_ATOMIC_PREOP_HI (43281) */
	'C', 'P', '_', 'C', 'E', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '0', '_', 'P', 'R', 'E', 'O', 'P', '_', 'L', 'O', '\0', /* CP_CE_GDS_ATOMIC0_PREOP_LO (43303) */
	'C', 'P', '_', 'C', 'E', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '0', '_', 'P', 'R', 'E', 'O', 'P', '_', 'H', 'I', '\0', /* CP_CE_GDS_ATOMIC0_PREOP_HI (43330) */
	'C', 'P', '_', 'C', 'E', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '1', '_', 'P', 'R', 'E', 'O', 'P', '_', 'L', 'O', '\0', /* CP_CE_GDS_ATOMIC1_PREOP_LO (43357) */
	'C', 'P', '_', 'C', 'E', '_', 'G', 'D', 'S', '_', 'A', 'T', 'O', 'M', 'I', 'C', '1', '_', 'P', 'R', 'E', 'O', 'P', '_', 'H', 'I', '\0', /* CP_CE_GDS_ATOMIC1_PREOP_HI (43384) */
	'G', 'E', '_', 'V', 'R', 'S', '_', 'R', 'A', 'T', 'E', '\0', /* GE_VRS_RATE (43411) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GE1_PERFCOUNTER0_LO (43423) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GE1_PERFCOUNTER0_HI (43443) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GE1_PERFCOUNTER1_LO (43463) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GE1_PERFCOUNTER1_HI (43483) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GE1_PERFCOUNTER2_LO (43503) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GE1_PERFCOUNTER2_HI (43523) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* GE1_PERFCOUNTER3_LO (43543) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* GE1_PERFCOUNTER3_HI (43563) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GE2_DIST_PERFCOUNTER0_LO (43583) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GE2_DIST_PERFCOUNTER0_HI (43608) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GE2_DIST_PERFCOUNTER1_LO (43633) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GE2_DIST_PERFCOUNTER1_HI (43658) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GE2_DIST_PERFCOUNTER2_LO (43683) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GE2_DIST_PERFCOUNTER2_HI (43708) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* GE2_DIST_PERFCOUNTER3_LO (43733) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* GE2_DIST_PERFCOUNTER3_HI (43758) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* GE2_SE_PERFCOUNTER0_LO (43783) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* GE2_SE_PERFCOUNTER0_HI (43806) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* GE2_SE_PERFCOUNTER1_LO (43829) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* GE2_SE_PERFCOUNTER1_HI (43852) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* GE2_SE_PERFCOUNTER2_LO (43875) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* GE2_SE_PERFCOUNTER2_HI (43898) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* GE2_SE_PERFCOUNTER3_LO (43921) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* GE2_SE_PERFCOUNTER3_HI (43944) */
	'G', 'C', 'E', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* GCEA_PERFCOUNTER_LO (43967) */
	'G', 'C', 'E', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* GCEA_PERFCOUNTER_HI (43987) */
	'G', 'C', 'U', 'T', 'C', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* GCUTCL2_PERFCOUNTER_LO (44007) */
	'G', 'C', 'U', 'T', 'C', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* GCUTCL2_PERFCOUNTER_HI (44030) */
	'G', 'U', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* GUS_PERFCOUNTER_LO (44053) */
	'G', 'U', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* GUS_PERFCOUNTER_HI (44072) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* SDMA0_PERFCNT_PERFCOUNTER_LO (44091) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* SDMA0_PERFCNT_PERFCOUNTER_HI (44120) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* SDMA0_PERFCOUNTER0_LO (44149) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* SDMA0_PERFCOUNTER0_HI (44171) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* SDMA0_PERFCOUNTER1_LO (44193) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* SDMA0_PERFCOUNTER1_HI (44215) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* SDMA1_PERFCNT_PERFCOUNTER_LO (44237) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* SDMA1_PERFCNT_PERFCOUNTER_HI (44266) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* SDMA1_PERFCOUNTER0_LO (44295) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* SDMA1_PERFCOUNTER0_HI (44317) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* SDMA1_PERFCOUNTER1_LO (44339) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* SDMA1_PERFCOUNTER1_HI (44361) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* SDMA2_PERFCNT_PERFCOUNTER_LO (44383) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* SDMA2_PERFCNT_PERFCOUNTER_HI (44412) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* SDMA2_PERFCOUNTER0_LO (44441) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* SDMA2_PERFCOUNTER0_HI (44463) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* SDMA2_PERFCOUNTER1_LO (44485) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* SDMA2_PERFCOUNTER1_HI (44507) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'L', 'O', '\0', /* SDMA3_PERFCNT_PERFCOUNTER_LO (44529) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'H', 'I', '\0', /* SDMA3_PERFCNT_PERFCOUNTER_HI (44558) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* SDMA3_PERFCOUNTER0_LO (44587) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* SDMA3_PERFCOUNTER0_HI (44609) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* SDMA3_PERFCOUNTER1_LO (44631) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* SDMA3_PERFCOUNTER1_HI (44653) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE1_PERFCOUNTER0_SELECT (44675) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE1_PERFCOUNTER0_SELECT1 (44699) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE1_PERFCOUNTER1_SELECT (44724) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE1_PERFCOUNTER1_SELECT1 (44748) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE1_PERFCOUNTER2_SELECT (44773) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE1_PERFCOUNTER2_SELECT1 (44797) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE1_PERFCOUNTER3_SELECT (44822) */
	'G', 'E', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE1_PERFCOUNTER3_SELECT1 (44846) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE2_DIST_PERFCOUNTER0_SELECT (44871) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE2_DIST_PERFCOUNTER0_SELECT1 (44900) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE2_DIST_PERFCOUNTER1_SELECT (44930) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE2_DIST_PERFCOUNTER1_SELECT1 (44959) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE2_DIST_PERFCOUNTER2_SELECT (44989) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE2_DIST_PERFCOUNTER2_SELECT1 (45018) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE2_DIST_PERFCOUNTER3_SELECT (45048) */
	'G', 'E', '2', '_', 'D', 'I', 'S', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE2_DIST_PERFCOUNTER3_SELECT1 (45077) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE2_SE_PERFCOUNTER0_SELECT (45107) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE2_SE_PERFCOUNTER0_SELECT1 (45134) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE2_SE_PERFCOUNTER1_SELECT (45162) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE2_SE_PERFCOUNTER1_SELECT1 (45189) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE2_SE_PERFCOUNTER2_SELECT (45217) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE2_SE_PERFCOUNTER2_SELECT1 (45244) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* GE2_SE_PERFCOUNTER3_SELECT (45272) */
	'G', 'E', '2', '_', 'S', 'E', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GE2_SE_PERFCOUNTER3_SELECT1 (45299) */
	'G', 'C', 'E', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'C', 'F', 'G', '\0', /* GCEA_PERFCOUNTER0_CFG (45327) */
	'G', 'C', 'E', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'C', 'F', 'G', '\0', /* GCEA_PERFCOUNTER1_CFG (45349) */
	'G', 'C', 'E', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'R', 'S', 'L', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* GCEA_PERFCOUNTER_RSLT_CNTL (45371) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GDS_PERFCOUNTER1_SELECT1 (45398) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GDS_PERFCOUNTER2_SELECT1 (45423) */
	'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* GDS_PERFCOUNTER3_SELECT1 (45448) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'W', 'A', '_', 'S', 'E', 'G', 'M', 'E', 'N', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* RLC_SPM_PERFMON_SWA_SEGMENT_SIZE (45473) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'G', 'F', 'X', 'C', 'L', 'O', 'C', 'K', '_', 'H', 'I', 'G', 'H', 'C', 'O', 'U', 'N', 'T', '\0', /* RLC_SPM_GFXCLOCK_HIGHCOUNT (45506, 45514) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'G', 'F', 'X', 'C', 'L', 'O', 'C', 'K', '_', 'L', 'O', 'W', 'C', 'O', 'U', 'N', 'T', '\0', /* RLC_SPM_GFXCLOCK_LOWCOUNT (45533, 45541) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'W', 'A', '_', 'S', 'E', '3', 'T', 'O', '0', '_', 'S', 'E', 'G', 'M', 'E', 'N', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* RLC_SPM_PERFMON_SWA_SE3TO0_SEGMENT_SIZE (45559) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'G', 'L', 'O', 'B', 'A', 'L', '_', 'M', 'U', 'X', 'S', 'E', 'L', '_', 'A', 'D', 'D', 'R', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* RLC_SPM_GLOBAL_MUXSEL_ADDR_OFFSET (45599) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'E', '_', 'M', 'U', 'X', 'S', 'E', 'L', '_', 'A', 'D', 'D', 'R', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* RLC_SPM_SE_MUXSEL_ADDR_OFFSET (45633) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'S', 'W', 'A', '_', 'D', 'A', 'T', 'A', 'R', 'A', 'M', '_', 'A', 'D', 'D', 'R', '\0', /* RLC_SPM_ACCUM_SWA_DATARAM_ADDR (45663) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'S', 'W', 'A', '_', 'D', 'A', 'T', 'A', 'R', 'A', 'M', '_', 'D', 'A', 'T', 'A', '\0', /* RLC_SPM_ACCUM_SWA_DATARAM_DATA (45694) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'C', 'T', 'R', 'L', 'R', 'A', 'M', '_', 'A', 'D', 'D', 'R', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* RLC_SPM_ACCUM_CTRLRAM_ADDR_OFFSET (45725) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'W', 'A', '_', 'G', 'L', 'B', '_', 'S', 'E', 'G', 'M', 'E', 'N', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* RLC_SPM_PERFMON_SWA_GLB_SEGMENT_SIZE (45759) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'A', 'C', 'C', 'U', 'M', '_', 'D', 'A', 'T', 'A', 'R', 'A', 'M', '_', '3', '2', 'B', 'I', 'T', 'C', 'N', 'T', 'R', 'S', '_', 'R', 'E', 'G', 'I', 'O', 'N', 'S', '\0', /* RLC_SPM_ACCUM_DATARAM_32BITCNTRS_REGIONS (45796) */
	'G', 'C', 'U', 'T', 'C', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'C', 'F', 'G', '\0', /* GCUTCL2_PERFCOUNTER0_CFG (45837) */
	'G', 'C', 'U', 'T', 'C', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'C', 'F', 'G', '\0', /* GCUTCL2_PERFCOUNTER1_CFG (45862) */
	'G', 'C', 'U', 'T', 'C', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'C', 'F', 'G', '\0', /* GCUTCL2_PERFCOUNTER2_CFG (45887) */
	'G', 'C', 'U', 'T', 'C', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'C', 'F', 'G', '\0', /* GCUTCL2_PERFCOUNTER3_CFG (45912) */
	'G', 'C', 'U', 'T', 'C', 'L', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'R', 'S', 'L', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* GCUTCL2_PERFCOUNTER_RSLT_CNTL (45937) */
	'G', 'U', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'C', 'F', 'G', '\0', /* GUS_PERFCOUNTER0_CFG (45967) */
	'G', 'U', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'C', 'F', 'G', '\0', /* GUS_PERFCOUNTER1_CFG (45988) */
	'G', 'U', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'R', 'S', 'L', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* GUS_PERFCOUNTER_RSLT_CNTL (46009) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'C', 'F', 'G', '\0', /* SDMA0_PERFCNT_PERFCOUNTER0_CFG (46035) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'C', 'F', 'G', '\0', /* SDMA0_PERFCNT_PERFCOUNTER1_CFG (46066) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'R', 'S', 'L', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* SDMA0_PERFCNT_PERFCOUNTER_RSLT_CNTL (46097) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'M', 'I', 'S', 'C', '_', 'C', 'N', 'T', 'L', '\0', /* SDMA0_PERFCNT_MISC_CNTL (46133) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SDMA0_PERFCOUNTER0_SELECT (46157) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SDMA0_PERFCOUNTER0_SELECT1 (46183) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SDMA0_PERFCOUNTER1_SELECT (46210) */
	'S', 'D', 'M', 'A', '0', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SDMA0_PERFCOUNTER1_SELECT1 (46236) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'C', 'F', 'G', '\0', /* SDMA1_PERFCNT_PERFCOUNTER0_CFG (46263) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'C', 'F', 'G', '\0', /* SDMA1_PERFCNT_PERFCOUNTER1_CFG (46294) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'R', 'S', 'L', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* SDMA1_PERFCNT_PERFCOUNTER_RSLT_CNTL (46325) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'M', 'I', 'S', 'C', '_', 'C', 'N', 'T', 'L', '\0', /* SDMA1_PERFCNT_MISC_CNTL (46361) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SDMA1_PERFCOUNTER0_SELECT (46385) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SDMA1_PERFCOUNTER0_SELECT1 (46411) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SDMA1_PERFCOUNTER1_SELECT (46438) */
	'S', 'D', 'M', 'A', '1', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SDMA1_PERFCOUNTER1_SELECT1 (46464) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'C', 'F', 'G', '\0', /* SDMA2_PERFCNT_PERFCOUNTER0_CFG (46491) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'C', 'F', 'G', '\0', /* SDMA2_PERFCNT_PERFCOUNTER1_CFG (46522) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'R', 'S', 'L', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* SDMA2_PERFCNT_PERFCOUNTER_RSLT_CNTL (46553) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'M', 'I', 'S', 'C', '_', 'C', 'N', 'T', 'L', '\0', /* SDMA2_PERFCNT_MISC_CNTL (46589) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SDMA2_PERFCOUNTER0_SELECT (46613) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SDMA2_PERFCOUNTER0_SELECT1 (46639) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SDMA2_PERFCOUNTER1_SELECT (46666) */
	'S', 'D', 'M', 'A', '2', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SDMA2_PERFCOUNTER1_SELECT1 (46692) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'C', 'F', 'G', '\0', /* SDMA3_PERFCNT_PERFCOUNTER0_CFG (46719) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'C', 'F', 'G', '\0', /* SDMA3_PERFCNT_PERFCOUNTER1_CFG (46750) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'R', 'S', 'L', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* SDMA3_PERFCNT_PERFCOUNTER_RSLT_CNTL (46781) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'N', 'T', '_', 'M', 'I', 'S', 'C', '_', 'C', 'N', 'T', 'L', '\0', /* SDMA3_PERFCNT_MISC_CNTL (46817) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SDMA3_PERFCOUNTER0_SELECT (46841) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SDMA3_PERFCOUNTER0_SELECT1 (46867) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SDMA3_PERFCOUNTER1_SELECT (46894) */
	'S', 'D', 'M', 'A', '3', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* SDMA3_PERFCOUNTER1_SELECT1 (46920) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'H', 'W', '_', 'I', 'D', '\0', /* SQ_WAVE_HW_ID (46947) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'I', 'N', 'S', 'T', '_', 'D', 'W', '1', '\0', /* SQ_WAVE_INST_DW1 (46961, 46969) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'I', 'B', '_', 'D', 'B', 'G', '0', '\0', /* SQ_WAVE_IB_DBG0 (46978) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'B', 'A', '_', 'L', 'O', '\0', /* SQ_WAVE_TBA_LO (46994) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'B', 'A', '_', 'H', 'I', '\0', /* SQ_WAVE_TBA_HI (47009) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'M', 'A', '_', 'L', 'O', '\0', /* SQ_WAVE_TMA_LO (47024) */
	'S', 'Q', '_', 'W', 'A', 'V', 'E', '_', 'T', 'M', 'A', '_', 'H', 'I', '\0', /* SQ_WAVE_TMA_HI (47039) */
	'S', 'R', 'B', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '2', '\0', /* SRBM_STATUS2 (47054) */
	'S', 'R', 'B', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* SRBM_STATUS (47067) */
	'S', 'R', 'B', 'M', '_', 'S', 'T', 'A', 'T', 'U', 'S', '3', '\0', /* SRBM_STATUS3 (47079) */
	'G', 'R', 'B', 'M', '_', 'C', 'N', 'T', 'L', '\0', /* GRBM_CNTL (47092) */
	'G', 'R', 'B', 'M', '_', 'S', 'K', 'E', 'W', '_', 'C', 'N', 'T', 'L', '\0', /* GRBM_SKEW_CNTL (47102) */
	'G', 'R', 'B', 'M', '_', 'P', 'W', 'R', '_', 'C', 'N', 'T', 'L', '\0', /* GRBM_PWR_CNTL (47117) */
	'G', 'R', 'B', 'M', '_', 'S', 'O', 'F', 'T', '_', 'R', 'E', 'S', 'E', 'T', '\0', /* GRBM_SOFT_RESET (47131) */
	'G', 'R', 'B', 'M', '_', 'D', 'E', 'B', 'U', 'G', '_', 'C', 'N', 'T', 'L', '\0', /* GRBM_DEBUG_CNTL (47147) */
	'G', 'R', 'B', 'M', '_', 'D', 'E', 'B', 'U', 'G', '_', 'D', 'A', 'T', 'A', '\0', /* GRBM_DEBUG_DATA (47163, 47168) */
	'G', 'R', 'B', 'M', '_', 'G', 'F', 'X', '_', 'C', 'L', 'K', 'E', 'N', '_', 'C', 'N', 'T', 'L', '\0', /* GRBM_GFX_CLKEN_CNTL (47179) */
	'G', 'R', 'B', 'M', '_', 'W', 'A', 'I', 'T', '_', 'I', 'D', 'L', 'E', '_', 'C', 'L', 'O', 'C', 'K', 'S', '\0', /* GRBM_WAIT_IDLE_CLOCKS (47199, 47204) */
	'G', 'R', 'B', 'M', '_', 'D', 'E', 'B', 'U', 'G', '\0', /* GRBM_DEBUG (47221) */
	'G', 'R', 'B', 'M', '_', 'D', 'E', 'B', 'U', 'G', '_', 'S', 'N', 'A', 'P', 'S', 'H', 'O', 'T', '\0', /* GRBM_DEBUG_SNAPSHOT (47232) */
	'G', 'R', 'B', 'M', '_', 'R', 'E', 'A', 'D', '_', 'E', 'R', 'R', 'O', 'R', '\0', /* GRBM_READ_ERROR (47252, 47257) */
	'G', 'R', 'B', 'M', '_', 'I', 'N', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* GRBM_INT_CNTL (47268) */
	'D', 'E', 'B', 'U', 'G', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* DEBUG_INDEX (47282) */
	'G', 'R', 'B', 'M', '_', 'N', 'O', 'W', 'H', 'E', 'R', 'E', '\0', /* GRBM_NOWHERE (47294) */
	'G', 'R', 'B', 'M', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '0', '\0', /* GRBM_SCRATCH_REG0 (47307) */
	'G', 'R', 'B', 'M', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '1', '\0', /* GRBM_SCRATCH_REG1 (47325) */
	'G', 'R', 'B', 'M', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '2', '\0', /* GRBM_SCRATCH_REG2 (47343) */
	'G', 'R', 'B', 'M', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '3', '\0', /* GRBM_SCRATCH_REG3 (47361) */
	'G', 'R', 'B', 'M', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '4', '\0', /* GRBM_SCRATCH_REG4 (47379) */
	'G', 'R', 'B', 'M', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '5', '\0', /* GRBM_SCRATCH_REG5 (47397) */
	'G', 'R', 'B', 'M', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '6', '\0', /* GRBM_SCRATCH_REG6 (47415) */
	'G', 'R', 'B', 'M', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'E', 'G', '7', '\0', /* GRBM_SCRATCH_REG7 (47433) */
	'S', 'Q', '_', 'I', 'N', 'T', 'E', 'R', 'R', 'U', 'P', 'T', '_', 'W', 'O', 'R', 'D', '_', 'A', 'U', 'T', 'O', '\0', /* SQ_INTERRUPT_WORD_AUTO (47451) */
	'C', 'P', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'S', 'T', 'A', 'T', '3', '\0', /* CP_STALLED_STAT3 (47474) */
	'C', 'P', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'S', 'T', 'A', 'T', '1', '\0', /* CP_STALLED_STAT1 (47491) */
	'C', 'P', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'S', 'T', 'A', 'T', '2', '\0', /* CP_STALLED_STAT2 (47508) */
	'C', 'P', '_', 'B', 'U', 'S', 'Y', '_', 'S', 'T', 'A', 'T', '\0', /* CP_BUSY_STAT (47525) */
	'C', 'P', '_', 'S', 'T', 'A', 'T', '\0', /* CP_STAT (47538) */
	'C', 'P', '_', 'M', 'E', '_', 'H', 'E', 'A', 'D', 'E', 'R', '_', 'D', 'U', 'M', 'P', '\0', /* CP_ME_HEADER_DUMP (47546, 47549) */
	'C', 'P', '_', 'P', 'F', 'P', '_', 'H', 'E', 'A', 'D', 'E', 'R', '_', 'D', 'U', 'M', 'P', '\0', /* CP_PFP_HEADER_DUMP (47564, 47567) */
	'C', 'P', '_', 'G', 'R', 'B', 'M', '_', 'F', 'R', 'E', 'E', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* CP_GRBM_FREE_COUNT (47583) */
	'C', 'P', '_', 'C', 'E', '_', 'H', 'E', 'A', 'D', 'E', 'R', '_', 'D', 'U', 'M', 'P', '\0', /* CP_CE_HEADER_DUMP (47602, 47605) */
	'C', 'P', '_', 'M', 'C', '_', 'P', 'A', 'C', 'K', '_', 'D', 'E', 'L', 'A', 'Y', '_', 'C', 'N', 'T', '\0', /* CP_MC_PACK_DELAY_CNT (47620, 47626) */
	'C', 'P', '_', 'C', 'S', 'F', '_', 'S', 'T', 'A', 'T', '\0', /* CP_CSF_STAT (47641) */
	'C', 'P', '_', 'C', 'S', 'F', '_', 'C', 'N', 'T', 'L', '\0', /* CP_CSF_CNTL (47653) */
	'C', 'P', '_', 'M', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* CP_ME_CNTL (47665) */
	'C', 'P', '_', 'C', 'N', 'T', 'X', '_', 'S', 'T', 'A', 'T', '\0', /* CP_CNTX_STAT (47676) */
	'C', 'P', '_', 'M', 'E', '_', 'P', 'R', 'E', 'E', 'M', 'P', 'T', 'I', 'O', 'N', '\0', /* CP_ME_PREEMPTION (47689) */
	'C', 'P', '_', 'R', 'B', '2', '_', 'R', 'P', 'T', 'R', '\0', /* CP_RB2_RPTR (47706) */
	'C', 'P', '_', 'R', 'B', '1', '_', 'R', 'P', 'T', 'R', '\0', /* CP_RB1_RPTR (47718) */
	'C', 'P', '_', 'R', 'B', '0', '_', 'R', 'P', 'T', 'R', '\0', /* CP_RB0_RPTR (47730) */
	'C', 'P', '_', 'R', 'B', '_', 'W', 'P', 'T', 'R', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* CP_RB_WPTR_DELAY (47742) */
	'C', 'P', '_', 'R', 'B', '_', 'W', 'P', 'T', 'R', '_', 'P', 'O', 'L', 'L', '_', 'C', 'N', 'T', 'L', '\0', /* CP_RB_WPTR_POLL_CNTL (47759) */
	'C', 'P', '_', 'R', 'O', 'Q', '1', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', 'S', '\0', /* CP_ROQ1_THRESHOLDS (47780) */
	'C', 'P', '_', 'R', 'O', 'Q', '2', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', 'S', '\0', /* CP_ROQ2_THRESHOLDS (47799) */
	'C', 'P', '_', 'S', 'T', 'Q', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', 'S', '\0', /* CP_STQ_THRESHOLDS (47818) */
	'C', 'P', '_', 'Q', 'U', 'E', 'U', 'E', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', 'S', '\0', /* CP_QUEUE_THRESHOLDS (47836) */
	'C', 'P', '_', 'M', 'E', 'Q', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', 'S', '\0', /* CP_MEQ_THRESHOLDS (47856) */
	'C', 'P', '_', 'R', 'O', 'Q', '_', 'A', 'V', 'A', 'I', 'L', '\0', /* CP_ROQ_AVAIL (47874) */
	'C', 'P', '_', 'S', 'T', 'Q', '_', 'A', 'V', 'A', 'I', 'L', '\0', /* CP_STQ_AVAIL (47887) */
	'C', 'P', '_', 'R', 'O', 'Q', '2', '_', 'A', 'V', 'A', 'I', 'L', '\0', /* CP_ROQ2_AVAIL (47900) */
	'C', 'P', '_', 'M', 'E', 'Q', '_', 'A', 'V', 'A', 'I', 'L', '\0', /* CP_MEQ_AVAIL (47914) */
	'C', 'P', '_', 'C', 'M', 'D', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* CP_CMD_INDEX (47927, 47930) */
	'C', 'P', '_', 'C', 'M', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* CP_CMD_DATA (47940, 47943) */
	'C', 'P', '_', 'R', 'O', 'Q', '_', 'R', 'B', '_', 'S', 'T', 'A', 'T', '\0', /* CP_ROQ_RB_STAT (47952) */
	'C', 'P', '_', 'R', 'O', 'Q', '_', 'I', 'B', '1', '_', 'S', 'T', 'A', 'T', '\0', /* CP_ROQ_IB1_STAT (47967) */
	'C', 'P', '_', 'R', 'O', 'Q', '_', 'I', 'B', '2', '_', 'S', 'T', 'A', 'T', '\0', /* CP_ROQ_IB2_STAT (47983) */
	'C', 'P', '_', 'S', 'T', 'Q', '_', 'S', 'T', 'A', 'T', '\0', /* CP_STQ_STAT (47999) */
	'C', 'P', '_', 'M', 'E', 'Q', '_', 'S', 'T', 'A', 'T', '\0', /* CP_MEQ_STAT (48011) */
	'C', 'P', '_', 'C', 'E', 'Q', '1', '_', 'A', 'V', 'A', 'I', 'L', '\0', /* CP_CEQ1_AVAIL (48023) */
	'C', 'P', '_', 'C', 'E', 'Q', '2', '_', 'A', 'V', 'A', 'I', 'L', '\0', /* CP_CEQ2_AVAIL (48037) */
	'C', 'P', '_', 'C', 'E', '_', 'R', 'O', 'Q', '_', 'R', 'B', '_', 'S', 'T', 'A', 'T', '\0', /* CP_CE_ROQ_RB_STAT (48051) */
	'C', 'P', '_', 'C', 'E', '_', 'R', 'O', 'Q', '_', 'I', 'B', '1', '_', 'S', 'T', 'A', 'T', '\0', /* CP_CE_ROQ_IB1_STAT (48069) */
	'C', 'P', '_', 'C', 'E', '_', 'R', 'O', 'Q', '_', 'I', 'B', '2', '_', 'S', 'T', 'A', 'T', '\0', /* CP_CE_ROQ_IB2_STAT (48088) */
	'C', 'P', '_', 'I', 'N', 'T', '_', 'S', 'T', 'A', 'T', '_', 'D', 'E', 'B', 'U', 'G', '\0', /* CP_INT_STAT_DEBUG (48107) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* IA_PERFCOUNTER0_SELECT (48125) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* IA_PERFCOUNTER1_SELECT (48148) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* IA_PERFCOUNTER2_SELECT (48171) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* IA_PERFCOUNTER3_SELECT (48194) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* IA_PERFCOUNTER0_LO (48217) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* IA_PERFCOUNTER0_HI (48236) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* IA_PERFCOUNTER1_LO (48255) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* IA_PERFCOUNTER1_HI (48274) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* IA_PERFCOUNTER2_LO (48293) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* IA_PERFCOUNTER2_HI (48312) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* IA_PERFCOUNTER3_LO (48331) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* IA_PERFCOUNTER3_HI (48350) */
	'V', 'G', 'T', '_', 'V', 'T', 'X', '_', 'V', 'E', 'C', 'T', '_', 'E', 'J', 'E', 'C', 'T', '_', 'R', 'E', 'G', '\0', /* VGT_VTX_VECT_EJECT_REG (48369) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'D', 'A', 'T', 'A', '_', 'F', 'I', 'F', 'O', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* VGT_DMA_DATA_FIFO_DEPTH (48392, 48396) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'R', 'E', 'Q', '_', 'F', 'I', 'F', 'O', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* VGT_DMA_REQ_FIFO_DEPTH (48416, 48420) */
	'V', 'G', 'T', '_', 'D', 'R', 'A', 'W', '_', 'I', 'N', 'I', 'T', '_', 'F', 'I', 'F', 'O', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* VGT_DRAW_INIT_FIFO_DEPTH (48439, 48443) */
	'V', 'G', 'T', '_', 'L', 'A', 'S', 'T', '_', 'C', 'O', 'P', 'Y', '_', 'S', 'T', 'A', 'T', 'E', '\0', /* VGT_LAST_COPY_STATE (48464) */
	'V', 'G', 'T', '_', 'C', 'A', 'C', 'H', 'E', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', 'A', 'T', 'I', 'O', 'N', '\0', /* VGT_CACHE_INVALIDATION (48484, 48488) */
	'V', 'G', 'T', '_', 'E', 'S', 'G', 'S', '_', 'R', 'I', 'N', 'G', '_', 'S', 'I', 'Z', 'E', '\0', /* VGT_ESGS_RING_SIZE (48507) */
	'V', 'G', 'T', '_', 'G', 'S', 'V', 'S', '_', 'R', 'I', 'N', 'G', '_', 'S', 'I', 'Z', 'E', '\0', /* VGT_GSVS_RING_SIZE (48526) */
	'V', 'G', 'T', '_', 'F', 'I', 'F', 'O', '_', 'D', 'E', 'P', 'T', 'H', 'S', '\0', /* VGT_FIFO_DEPTHS (48545) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'V', 'E', 'R', 'T', 'E', 'X', '_', 'R', 'E', 'U', 'S', 'E', '\0', /* VGT_GS_VERTEX_REUSE (48561) */
	'V', 'G', 'T', '_', 'M', 'C', '_', 'L', 'A', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_MC_LAT_CNTL (48581) */
	'I', 'A', '_', 'C', 'N', 'T', 'L', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* IA_CNTL_STATUS (48597) */
	'V', 'G', 'T', '_', 'D', 'E', 'B', 'U', 'G', '_', 'C', 'N', 'T', 'L', '\0', /* VGT_DEBUG_CNTL (48612) */
	'V', 'G', 'T', '_', 'D', 'E', 'B', 'U', 'G', '_', 'D', 'A', 'T', 'A', '\0', /* VGT_DEBUG_DATA (48627) */
	'I', 'A', '_', 'D', 'E', 'B', 'U', 'G', '_', 'C', 'N', 'T', 'L', '\0', /* IA_DEBUG_CNTL (48642) */
	'I', 'A', '_', 'D', 'E', 'B', 'U', 'G', '_', 'D', 'A', 'T', 'A', '\0', /* IA_DEBUG_DATA (48656) */
	'V', 'G', 'T', '_', 'C', 'N', 'T', 'L', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* VGT_CNTL_STATUS (48670) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'E', 'I', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* VGT_PERFCOUNTER_SEID_MASK (48686) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* VGT_PERFCOUNTER0_SELECT (48712) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* VGT_PERFCOUNTER1_SELECT (48736) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* VGT_PERFCOUNTER2_SELECT (48760) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* VGT_PERFCOUNTER3_SELECT (48784) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* VGT_PERFCOUNTER0_LO (48808) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* VGT_PERFCOUNTER0_HI (48828) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* VGT_PERFCOUNTER1_LO (48848) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* VGT_PERFCOUNTER1_HI (48868) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* VGT_PERFCOUNTER2_LO (48888) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* VGT_PERFCOUNTER2_HI (48908) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* VGT_PERFCOUNTER3_LO (48928) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* VGT_PERFCOUNTER3_HI (48948) */
	'C', 'G', 'T', 'T', '_', 'V', 'G', 'T', '_', 'C', 'L', 'K', '_', 'C', 'T', 'R', 'L', '\0', /* CGTT_VGT_CLK_CTRL (48968) */
	'I', 'A', '_', 'V', 'M', 'I', 'D', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* IA_VMID_OVERRIDE (48986) */
	'C', 'G', 'T', 'T', '_', 'I', 'A', '_', 'C', 'L', 'K', '_', 'C', 'T', 'R', 'L', '\0', /* CGTT_IA_CLK_CTRL (49003) */
	'V', 'G', 'T', '_', 'T', 'F', '_', 'R', 'I', 'N', 'G', '_', 'S', 'I', 'Z', 'E', '\0', /* VGT_TF_RING_SIZE (49020) */
	'V', 'G', 'T', '_', 'S', 'Y', 'S', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* VGT_SYS_CONFIG (49037) */
	'V', 'G', 'T', '_', 'H', 'S', '_', 'O', 'F', 'F', 'C', 'H', 'I', 'P', '_', 'P', 'A', 'R', 'A', 'M', '\0', /* VGT_HS_OFFCHIP_PARAM (49052) */
	'V', 'G', 'T', '_', 'T', 'F', '_', 'M', 'E', 'M', 'O', 'R', 'Y', '_', 'B', 'A', 'S', 'E', '\0', /* VGT_TF_MEMORY_BASE (49073) */
	'C', 'C', '_', 'G', 'C', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'A', 'R', 'R', 'A', 'Y', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* CC_GC_SHADER_ARRAY_CONFIG (49092) */
	'G', 'C', '_', 'U', 'S', 'E', 'R', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'A', 'R', 'R', 'A', 'Y', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* GC_USER_SHADER_ARRAY_CONFIG (49118) */
	'P', 'A', '_', 'S', 'U', '_', 'D', 'E', 'B', 'U', 'G', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SU_DEBUG_CNTL (49146) */
	'P', 'A', '_', 'S', 'U', '_', 'D', 'E', 'B', 'U', 'G', '_', 'D', 'A', 'T', 'A', '\0', /* PA_SU_DEBUG_DATA (49163) */
	'P', 'A', '_', 'C', 'L', '_', 'C', 'N', 'T', 'L', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* PA_CL_CNTL_STATUS (49180) */
	'P', 'A', '_', 'C', 'L', '_', 'E', 'N', 'H', 'A', 'N', 'C', 'E', '\0', /* PA_CL_ENHANCE (49198) */
	'C', 'G', 'T', 'T', '_', 'P', 'A', '_', 'C', 'L', 'K', '_', 'C', 'T', 'R', 'L', '\0', /* CGTT_PA_CLK_CTRL (49212) */
	'P', 'A', '_', 'S', 'U', '_', 'C', 'N', 'T', 'L', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* PA_SU_CNTL_STATUS (49229) */
	'P', 'A', '_', 'S', 'C', '_', 'F', 'I', 'F', 'O', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SC_FIFO_DEPTH_CNTL (49247) */
	'P', 'A', '_', 'S', 'C', '_', 'F', 'O', 'R', 'C', 'E', '_', 'E', 'O', 'V', '_', 'M', 'A', 'X', '_', 'C', 'N', 'T', 'S', '\0', /* PA_SC_FORCE_EOV_MAX_CNTS (49269) */
	'C', 'G', 'T', 'T', '_', 'S', 'C', '_', 'C', 'L', 'K', '_', 'C', 'T', 'R', 'L', '\0', /* CGTT_SC_CLK_CTRL (49294) */
	'P', 'A', '_', 'S', 'C', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* PA_SC_FIFO_SIZE (49311) */
	'P', 'A', '_', 'S', 'C', '_', 'I', 'F', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* PA_SC_IF_FIFO_SIZE (49327) */
	'P', 'A', '_', 'S', 'C', '_', 'D', 'E', 'B', 'U', 'G', '_', 'C', 'N', 'T', 'L', '\0', /* PA_SC_DEBUG_CNTL (49346) */
	'P', 'A', '_', 'S', 'C', '_', 'D', 'E', 'B', 'U', 'G', '_', 'D', 'A', 'T', 'A', '\0', /* PA_SC_DEBUG_DATA (49363) */
	'P', 'A', '_', 'S', 'C', '_', 'E', 'N', 'H', 'A', 'N', 'C', 'E', '\0', /* PA_SC_ENHANCE (49380) */
	'S', 'Q', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* SQ_CONFIG (49394) */
	'S', 'Q', 'C', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* SQC_CONFIG (49404) */
	'S', 'Q', '_', 'R', 'A', 'N', 'D', 'O', 'M', '_', 'W', 'A', 'V', 'E', '_', 'P', 'R', 'I', '\0', /* SQ_RANDOM_WAVE_PRI (49415) */
	'S', 'Q', '_', 'R', 'E', 'G', '_', 'C', 'R', 'E', 'D', 'I', 'T', 'S', '\0', /* SQ_REG_CREDITS (49434) */
	'S', 'Q', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', 'S', '\0', /* SQ_FIFO_SIZES (49449) */
	'C', 'C', '_', 'S', 'Q', 'C', '_', 'B', 'A', 'N', 'K', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* CC_SQC_BANK_DISABLE (49463) */
	'U', 'S', 'E', 'R', '_', 'S', 'Q', 'C', '_', 'B', 'A', 'N', 'K', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* USER_SQC_BANK_DISABLE (49483) */
	'S', 'Q', '_', 'D', 'E', 'B', 'U', 'G', '_', 'S', 'T', 'S', '_', 'G', 'L', 'O', 'B', 'A', 'L', '\0', /* SQ_DEBUG_STS_GLOBAL (49505) */
	'S', 'Q', '_', 'A', 'L', 'U', '_', 'C', 'L', 'K', '_', 'C', 'T', 'R', 'L', '\0', /* SQ_ALU_CLK_CTRL (49525) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'C', 'L', 'K', '_', 'C', 'T', 'R', 'L', '\0', /* SQ_TEX_CLK_CTRL (49541) */
	'C', 'G', 'T', 'T', '_', 'S', 'Q', '_', 'C', 'L', 'K', '_', 'C', 'T', 'R', 'L', '\0', /* CGTT_SQ_CLK_CTRL (49557) */
	'C', 'G', 'T', 'T', '_', 'S', 'Q', 'G', '_', 'C', 'L', 'K', '_', 'C', 'T', 'R', 'L', '\0', /* CGTT_SQG_CLK_CTRL (49574) */
	'S', 'Q', '_', 'I', 'N', 'D', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* SQ_IND_INDEX (49592) */
	'S', 'Q', '_', 'I', 'N', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* SQ_IND_DATA (49605) */
	'S', 'Q', '_', 'T', 'I', 'M', 'E', '_', 'H', 'I', '\0', /* SQ_TIME_HI (49617) */
	'S', 'Q', '_', 'T', 'I', 'M', 'E', '_', 'L', 'O', '\0', /* SQ_TIME_LO (49628) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'B', 'A', 'S', 'E', '\0', /* SQ_THREAD_TRACE_BASE (49639) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'S', 'I', 'Z', 'E', '\0', /* SQ_THREAD_TRACE_SIZE (49660) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'P', 'E', 'R', 'F', '_', 'M', 'A', 'S', 'K', '\0', /* SQ_THREAD_TRACE_PERF_MASK (49681) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'M', 'O', 'D', 'E', '\0', /* SQ_THREAD_TRACE_MODE (49707) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'C', 'N', 'T', 'R', '\0', /* SQ_THREAD_TRACE_CNTR (49728) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'H', 'I', 'W', 'A', 'T', 'E', 'R', '\0', /* SQ_THREAD_TRACE_HIWATER (49749, 49765) */
	'S', 'Q', '_', 'P', 'O', 'W', 'E', 'R', '_', 'T', 'H', 'R', 'O', 'T', 'T', 'L', 'E', '\0', /* SQ_POWER_THROTTLE (49773) */
	'S', 'Q', '_', 'P', 'O', 'W', 'E', 'R', '_', 'T', 'H', 'R', 'O', 'T', 'T', 'L', 'E', '2', '\0', /* SQ_POWER_THROTTLE2 (49791) */
	'S', 'Q', '_', 'L', 'B', '_', 'C', 'T', 'R', '_', 'C', 'T', 'R', 'L', '\0', /* SQ_LB_CTR_CTRL (49810) */
	'S', 'Q', '_', 'L', 'B', '_', 'D', 'A', 'T', 'A', '_', 'A', 'L', 'U', '_', 'C', 'Y', 'C', 'L', 'E', 'S', '\0', /* SQ_LB_DATA_ALU_CYCLES (49825) */
	'S', 'Q', '_', 'L', 'B', '_', 'D', 'A', 'T', 'A', '_', 'T', 'E', 'X', '_', 'C', 'Y', 'C', 'L', 'E', 'S', '\0', /* SQ_LB_DATA_TEX_CYCLES (49847) */
	'S', 'Q', '_', 'L', 'B', '_', 'D', 'A', 'T', 'A', '_', 'A', 'L', 'U', '_', 'S', 'T', 'A', 'L', 'L', 'S', '\0', /* SQ_LB_DATA_ALU_STALLS (49869) */
	'S', 'Q', '_', 'L', 'B', '_', 'D', 'A', 'T', 'A', '_', 'T', 'E', 'X', '_', 'S', 'T', 'A', 'L', 'L', 'S', '\0', /* SQ_LB_DATA_TEX_STALLS (49891) */
	'S', 'Q', 'C', '_', 'S', 'E', 'C', 'D', 'E', 'D', '_', 'C', 'N', 'T', '\0', /* SQC_SECDED_CNT (49913) */
	'S', 'Q', '_', 'S', 'E', 'C', '_', 'C', 'N', 'T', '\0', /* SQ_SEC_CNT (49928) */
	'S', 'Q', '_', 'D', 'E', 'D', '_', 'C', 'N', 'T', '\0', /* SQ_DED_CNT (49939) */
	'S', 'Q', '_', 'D', 'E', 'D', '_', 'I', 'N', 'F', 'O', '\0', /* SQ_DED_INFO (49950) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'L', 'O', '_', 'P', 'S', '\0', /* SPI_SHADER_TBA_LO_PS (49962) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'H', 'I', '_', 'P', 'S', '\0', /* SPI_SHADER_TBA_HI_PS (49983) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'L', 'O', '_', 'P', 'S', '\0', /* SPI_SHADER_TMA_LO_PS (50004) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'H', 'I', '_', 'P', 'S', '\0', /* SPI_SHADER_TMA_HI_PS (50025) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'L', 'O', '_', 'V', 'S', '\0', /* SPI_SHADER_TBA_LO_VS (50046) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'H', 'I', '_', 'V', 'S', '\0', /* SPI_SHADER_TBA_HI_VS (50067) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'L', 'O', '_', 'V', 'S', '\0', /* SPI_SHADER_TMA_LO_VS (50088) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'H', 'I', '_', 'V', 'S', '\0', /* SPI_SHADER_TMA_HI_VS (50109) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'L', 'O', '_', 'G', 'S', '\0', /* SPI_SHADER_TBA_LO_GS (50130) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'H', 'I', '_', 'G', 'S', '\0', /* SPI_SHADER_TBA_HI_GS (50151) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'L', 'O', '_', 'G', 'S', '\0', /* SPI_SHADER_TMA_LO_GS (50172) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'H', 'I', '_', 'G', 'S', '\0', /* SPI_SHADER_TMA_HI_GS (50193) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'L', 'O', '_', 'E', 'S', '\0', /* SPI_SHADER_TBA_LO_ES (50214) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'H', 'I', '_', 'E', 'S', '\0', /* SPI_SHADER_TBA_HI_ES (50235) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'L', 'O', '_', 'E', 'S', '\0', /* SPI_SHADER_TMA_LO_ES (50256) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'H', 'I', '_', 'E', 'S', '\0', /* SPI_SHADER_TMA_HI_ES (50277) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'L', 'O', '_', 'H', 'S', '\0', /* SPI_SHADER_TBA_LO_HS (50298) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'H', 'I', '_', 'H', 'S', '\0', /* SPI_SHADER_TBA_HI_HS (50319) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'L', 'O', '_', 'H', 'S', '\0', /* SPI_SHADER_TMA_LO_HS (50340) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'H', 'I', '_', 'H', 'S', '\0', /* SPI_SHADER_TMA_HI_HS (50361) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'L', 'O', '_', 'L', 'S', '\0', /* SPI_SHADER_TBA_LO_LS (50382) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'B', 'A', '_', 'H', 'I', '_', 'L', 'S', '\0', /* SPI_SHADER_TBA_HI_LS (50403) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'L', 'O', '_', 'L', 'S', '\0', /* SPI_SHADER_TMA_LO_LS (50424) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'T', 'M', 'A', '_', 'H', 'I', '_', 'L', 'S', '\0', /* SPI_SHADER_TMA_HI_LS (50445) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'M', 'A', 'X', '_', 'W', 'A', 'V', 'E', '_', 'I', 'D', '\0', /* COMPUTE_MAX_WAVE_ID (50466, 50474, 50478) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'T', 'B', 'A', '_', 'L', 'O', '\0', /* COMPUTE_TBA_LO (50486) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'T', 'B', 'A', '_', 'H', 'I', '\0', /* COMPUTE_TBA_HI (50501) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'T', 'M', 'A', '_', 'L', 'O', '\0', /* COMPUTE_TMA_LO (50516) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'T', 'M', 'A', '_', 'H', 'I', '\0', /* COMPUTE_TMA_HI (50531) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'S', 'T', 'A', 'T', 'I', 'C', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'M', 'G', 'M', 'T', '_', 'S', 'E', '0', '\0', /* COMPUTE_STATIC_THREAD_MGMT_SE0 (50546) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'S', 'T', 'A', 'T', 'I', 'C', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'M', 'G', 'M', 'T', '_', 'S', 'E', '1', '\0', /* COMPUTE_STATIC_THREAD_MGMT_SE1 (50577) */
	'S', 'D', 'M', 'A', '0', '_', 'S', 'T', 'A', 'T', 'U', 'S', '_', 'R', 'E', 'G', '\0', /* SDMA0_STATUS_REG (50608) */
	'S', 'D', 'M', 'A', '1', '_', 'S', 'T', 'A', 'T', 'U', 'S', '_', 'R', 'E', 'G', '\0', /* SDMA1_STATUS_REG (50625) */
	'D', 'B', '_', 'D', 'E', 'P', 'T', 'H', '_', 'I', 'N', 'F', 'O', '\0', /* DB_DEPTH_INFO (50642) */
	'D', 'B', '_', 'D', 'E', 'P', 'T', 'H', '_', 'S', 'I', 'Z', 'E', '\0', /* DB_DEPTH_SIZE (50656) */
	'D', 'B', '_', 'D', 'E', 'P', 'T', 'H', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* DB_DEPTH_SLICE (50670) */
	'C', 'P', '_', 'R', 'I', 'N', 'G', 'I', 'D', '\0', /* CP_RINGID (50685, 50688) */
	'C', 'P', '_', 'C', 'P', 'C', '_', 'M', 'C', '_', 'C', 'N', 'T', 'L', '\0', /* CP_CPC_MC_CNTL (50695) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'B', 'A', 'S', 'E', '2', '\0', /* SQ_THREAD_TRACE_BASE2 (50710) */
	'S', 'Q', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'T', 'O', 'K', 'E', 'N', '_', 'M', 'A', 'S', 'K', '2', '\0', /* SQ_THREAD_TRACE_TOKEN_MASK2 (50732) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'S', 'T', 'A', 'T', 'I', 'C', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'M', 'G', 'M', 'T', '_', 'S', 'E', '2', '\0', /* COMPUTE_STATIC_THREAD_MGMT_SE2 (50760) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'S', 'T', 'A', 'T', 'I', 'C', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'M', 'G', 'M', 'T', '_', 'S', 'E', '3', '\0', /* COMPUTE_STATIC_THREAD_MGMT_SE3 (50791) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* WD_PERFCOUNTER0_LO (50822) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* WD_PERFCOUNTER0_HI (50841) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* WD_PERFCOUNTER1_LO (50860) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* WD_PERFCOUNTER1_HI (50879) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* WD_PERFCOUNTER2_LO (50898) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* WD_PERFCOUNTER2_HI (50917) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* WD_PERFCOUNTER3_LO (50936) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* WD_PERFCOUNTER3_HI (50955) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* TCC_PERFCOUNTER0_LO (50974) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* TCC_PERFCOUNTER0_HI (50994) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* TCC_PERFCOUNTER1_LO (51014) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* TCC_PERFCOUNTER1_HI (51034) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* TCC_PERFCOUNTER2_LO (51054) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* TCC_PERFCOUNTER2_HI (51074) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* TCC_PERFCOUNTER3_LO (51094) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* TCC_PERFCOUNTER3_HI (51114) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* TCA_PERFCOUNTER0_LO (51134) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* TCA_PERFCOUNTER0_HI (51154) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* TCA_PERFCOUNTER1_LO (51174) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* TCA_PERFCOUNTER1_HI (51194) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* TCA_PERFCOUNTER2_LO (51214) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* TCA_PERFCOUNTER2_HI (51234) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* TCA_PERFCOUNTER3_LO (51254) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* TCA_PERFCOUNTER3_HI (51274) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'L', 'O', '\0', /* TCS_PERFCOUNTER0_LO (51294) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'H', 'I', '\0', /* TCS_PERFCOUNTER0_HI (51314) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'L', 'O', '\0', /* TCS_PERFCOUNTER1_LO (51334) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'H', 'I', '\0', /* TCS_PERFCOUNTER1_HI (51354) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'L', 'O', '\0', /* TCS_PERFCOUNTER2_LO (51374) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'H', 'I', '\0', /* TCS_PERFCOUNTER2_HI (51394) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'L', 'O', '\0', /* TCS_PERFCOUNTER3_LO (51414) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'H', 'I', '\0', /* TCS_PERFCOUNTER3_HI (51434) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* WD_PERFCOUNTER0_SELECT (51454) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* WD_PERFCOUNTER1_SELECT (51477) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* WD_PERFCOUNTER2_SELECT (51500) */
	'W', 'D', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* WD_PERFCOUNTER3_SELECT (51523) */
	'I', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* IA_PERFCOUNTER0_SELECT1 (51546) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* VGT_PERFCOUNTER0_SELECT1 (51570) */
	'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* VGT_PERFCOUNTER1_SELECT1 (51595) */
	'S', 'Q', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'M', 'A', 'S', 'K', '\0', /* SQ_PERFCOUNTER_MASK (51620) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCC_PERFCOUNTER0_SELECT (51640) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* TCC_PERFCOUNTER0_SELECT1 (51664) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCC_PERFCOUNTER1_SELECT (51689) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* TCC_PERFCOUNTER1_SELECT1 (51713) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCC_PERFCOUNTER2_SELECT (51738) */
	'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCC_PERFCOUNTER3_SELECT (51762) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCA_PERFCOUNTER0_SELECT (51786) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* TCA_PERFCOUNTER0_SELECT1 (51810) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCA_PERFCOUNTER1_SELECT (51835) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* TCA_PERFCOUNTER1_SELECT1 (51859) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCA_PERFCOUNTER2_SELECT (51884) */
	'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCA_PERFCOUNTER3_SELECT (51908) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCS_PERFCOUNTER0_SELECT (51932) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '0', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* TCS_PERFCOUNTER0_SELECT1 (51956) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '1', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCS_PERFCOUNTER1_SELECT (51981) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '2', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCS_PERFCOUNTER2_SELECT (52005) */
	'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '3', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TCS_PERFCOUNTER3_SELECT (52029) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'C', 'P', 'G', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_CPG_PERFMON_SAMPLE_DELAY (52053, 52065) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'C', 'P', 'C', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_CPC_PERFMON_SAMPLE_DELAY (52086) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'C', 'P', 'F', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_CPF_PERFMON_SAMPLE_DELAY (52119) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'C', 'B', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_CB_PERFMON_SAMPLE_DELAY (52152) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'D', 'B', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_DB_PERFMON_SAMPLE_DELAY (52184) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'A', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_PA_PERFMON_SAMPLE_DELAY (52216) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'G', 'D', 'S', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_GDS_PERFMON_SAMPLE_DELAY (52248) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'I', 'A', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_IA_PERFMON_SAMPLE_DELAY (52281) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'C', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_SC_PERFMON_SAMPLE_DELAY (52313) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'T', 'C', 'C', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_TCC_PERFMON_SAMPLE_DELAY (52345) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'T', 'C', 'A', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_TCA_PERFMON_SAMPLE_DELAY (52378) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'T', 'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_TCP_PERFMON_SAMPLE_DELAY (52411) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'T', 'A', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_TA_PERFMON_SAMPLE_DELAY (52444) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'T', 'D', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_TD_PERFMON_SAMPLE_DELAY (52476) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'V', 'G', 'T', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_VGT_PERFMON_SAMPLE_DELAY (52508) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'P', 'I', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_SPI_PERFMON_SAMPLE_DELAY (52541) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'Q', 'G', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_SQG_PERFMON_SAMPLE_DELAY (52574) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'T', 'C', 'S', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_TCS_PERFMON_SAMPLE_DELAY (52607) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'S', 'X', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_SX_PERFMON_SAMPLE_DELAY (52640) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'D', 'B', 'R', '0', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_DBR0_PERFMON_SAMPLE_DELAY (52672) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'D', 'B', 'R', '1', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_DBR1_PERFMON_SAMPLE_DELAY (52706) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'C', 'B', 'R', '0', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_CBR0_PERFMON_SAMPLE_DELAY (52740) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'C', 'B', 'R', '1', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_CBR1_PERFMON_SAMPLE_DELAY (52774) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'W', 'A', 'V', 'E', '_', 'R', 'E', 'S', 'T', 'O', 'R', 'E', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* COMPUTE_WAVE_RESTORE_CONTROL (52808) */
	'C', 'P', '_', 'C', 'E', '_', 'R', 'B', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* CP_CE_RB_OFFSET (52837) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '6', '\0', /* SPI_SHADER_USER_DATA_ES_16 (52853) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '7', '\0', /* SPI_SHADER_USER_DATA_ES_17 (52880) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '8', '\0', /* SPI_SHADER_USER_DATA_ES_18 (52907) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '1', '9', '\0', /* SPI_SHADER_USER_DATA_ES_19 (52934) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '0', '\0', /* SPI_SHADER_USER_DATA_ES_20 (52961) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '1', '\0', /* SPI_SHADER_USER_DATA_ES_21 (52988) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '2', '\0', /* SPI_SHADER_USER_DATA_ES_22 (53015) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '3', '\0', /* SPI_SHADER_USER_DATA_ES_23 (53042) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '4', '\0', /* SPI_SHADER_USER_DATA_ES_24 (53069) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '5', '\0', /* SPI_SHADER_USER_DATA_ES_25 (53096) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '6', '\0', /* SPI_SHADER_USER_DATA_ES_26 (53123) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '7', '\0', /* SPI_SHADER_USER_DATA_ES_27 (53150) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '8', '\0', /* SPI_SHADER_USER_DATA_ES_28 (53177) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '2', '9', '\0', /* SPI_SHADER_USER_DATA_ES_29 (53204) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '3', '0', '\0', /* SPI_SHADER_USER_DATA_ES_30 (53231) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'E', 'S', '_', '3', '1', '\0', /* SPI_SHADER_USER_DATA_ES_31 (53258) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '6', '\0', /* SPI_SHADER_USER_DATA_LS_16 (53285) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '7', '\0', /* SPI_SHADER_USER_DATA_LS_17 (53312) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '8', '\0', /* SPI_SHADER_USER_DATA_LS_18 (53339) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '1', '9', '\0', /* SPI_SHADER_USER_DATA_LS_19 (53366) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '0', '\0', /* SPI_SHADER_USER_DATA_LS_20 (53393) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '1', '\0', /* SPI_SHADER_USER_DATA_LS_21 (53420) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '2', '\0', /* SPI_SHADER_USER_DATA_LS_22 (53447) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '3', '\0', /* SPI_SHADER_USER_DATA_LS_23 (53474) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '4', '\0', /* SPI_SHADER_USER_DATA_LS_24 (53501) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '5', '\0', /* SPI_SHADER_USER_DATA_LS_25 (53528) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '6', '\0', /* SPI_SHADER_USER_DATA_LS_26 (53555) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '7', '\0', /* SPI_SHADER_USER_DATA_LS_27 (53582) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '8', '\0', /* SPI_SHADER_USER_DATA_LS_28 (53609) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '2', '9', '\0', /* SPI_SHADER_USER_DATA_LS_29 (53636) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '3', '0', '\0', /* SPI_SHADER_USER_DATA_LS_30 (53663) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'L', 'S', '_', '3', '1', '\0', /* SPI_SHADER_USER_DATA_LS_31 (53690) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '0', '\0', /* SPI_SHADER_USER_DATA_COMMON_0 (53717) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '\0', /* SPI_SHADER_USER_DATA_COMMON_1 (53747) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '\0', /* SPI_SHADER_USER_DATA_COMMON_2 (53777) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '3', '\0', /* SPI_SHADER_USER_DATA_COMMON_3 (53807) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '4', '\0', /* SPI_SHADER_USER_DATA_COMMON_4 (53837) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '5', '\0', /* SPI_SHADER_USER_DATA_COMMON_5 (53867) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '6', '\0', /* SPI_SHADER_USER_DATA_COMMON_6 (53897) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '7', '\0', /* SPI_SHADER_USER_DATA_COMMON_7 (53927) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '8', '\0', /* SPI_SHADER_USER_DATA_COMMON_8 (53957) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '9', '\0', /* SPI_SHADER_USER_DATA_COMMON_9 (53987) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '0', '\0', /* SPI_SHADER_USER_DATA_COMMON_10 (54017) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '1', '\0', /* SPI_SHADER_USER_DATA_COMMON_11 (54048) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '2', '\0', /* SPI_SHADER_USER_DATA_COMMON_12 (54079) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '3', '\0', /* SPI_SHADER_USER_DATA_COMMON_13 (54110) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '4', '\0', /* SPI_SHADER_USER_DATA_COMMON_14 (54141) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '5', '\0', /* SPI_SHADER_USER_DATA_COMMON_15 (54172) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '6', '\0', /* SPI_SHADER_USER_DATA_COMMON_16 (54203) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '7', '\0', /* SPI_SHADER_USER_DATA_COMMON_17 (54234) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '8', '\0', /* SPI_SHADER_USER_DATA_COMMON_18 (54265) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '1', '9', '\0', /* SPI_SHADER_USER_DATA_COMMON_19 (54296) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '0', '\0', /* SPI_SHADER_USER_DATA_COMMON_20 (54327) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '1', '\0', /* SPI_SHADER_USER_DATA_COMMON_21 (54358) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '2', '\0', /* SPI_SHADER_USER_DATA_COMMON_22 (54389) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '3', '\0', /* SPI_SHADER_USER_DATA_COMMON_23 (54420) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '4', '\0', /* SPI_SHADER_USER_DATA_COMMON_24 (54451) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '5', '\0', /* SPI_SHADER_USER_DATA_COMMON_25 (54482) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '6', '\0', /* SPI_SHADER_USER_DATA_COMMON_26 (54513) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '7', '\0', /* SPI_SHADER_USER_DATA_COMMON_27 (54544) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '8', '\0', /* SPI_SHADER_USER_DATA_COMMON_28 (54575) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '2', '9', '\0', /* SPI_SHADER_USER_DATA_COMMON_29 (54606) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '3', '0', '\0', /* SPI_SHADER_USER_DATA_COMMON_30 (54637) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'S', 'E', 'R', '_', 'D', 'A', 'T', 'A', '_', 'C', 'O', 'M', 'M', 'O', 'N', '_', '3', '1', '\0', /* SPI_SHADER_USER_DATA_COMMON_31 (54668) */
	'D', 'B', '_', 'Z', '_', 'I', 'N', 'F', 'O', '2', '\0', /* DB_Z_INFO2 (54699) */
	'D', 'B', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'I', 'N', 'F', 'O', '2', '\0', /* DB_STENCIL_INFO2 (54710) */
	'C', 'B', '_', 'M', 'R', 'T', '0', '_', 'E', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_MRT0_EPITCH (54727, 54735) */
	'C', 'B', '_', 'M', 'R', 'T', '1', '_', 'E', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_MRT1_EPITCH (54742) */
	'C', 'B', '_', 'M', 'R', 'T', '2', '_', 'E', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_MRT2_EPITCH (54757) */
	'C', 'B', '_', 'M', 'R', 'T', '3', '_', 'E', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_MRT3_EPITCH (54772) */
	'C', 'B', '_', 'M', 'R', 'T', '4', '_', 'E', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_MRT4_EPITCH (54787) */
	'C', 'B', '_', 'M', 'R', 'T', '5', '_', 'E', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_MRT5_EPITCH (54802) */
	'C', 'B', '_', 'M', 'R', 'T', '6', '_', 'E', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_MRT6_EPITCH (54817) */
	'C', 'B', '_', 'M', 'R', 'T', '7', '_', 'E', 'P', 'I', 'T', 'C', 'H', '\0', /* CB_MRT7_EPITCH (54832) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'M', 'A', 'X', '_', 'P', 'R', 'I', 'M', 'S', '_', 'P', 'E', 'R', '_', 'S', 'U', 'B', 'G', 'R', 'O', 'U', 'P', '\0', /* VGT_GS_MAX_PRIMS_PER_SUBGROUP (54847, 54854) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'D', 'A', 'T', 'A', '_', 'L', 'O', '\0', /* CP_APPEND_DATA_LO (54877) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'L', 'A', 'S', 'T', '_', 'C', 'S', '_', 'F', 'E', 'N', 'C', 'E', '_', 'L', 'O', '\0', /* CP_APPEND_LAST_CS_FENCE_LO (54895) */
	'C', 'P', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'L', 'A', 'S', 'T', '_', 'P', 'S', '_', 'F', 'E', 'N', 'C', 'E', '_', 'L', 'O', '\0', /* CP_APPEND_LAST_PS_FENCE_LO (54922) */
	'V', 'G', 'T', '_', 'T', 'F', '_', 'M', 'E', 'M', 'O', 'R', 'Y', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '\0', /* VGT_TF_MEMORY_BASE_HI (54949) */
	'S', 'P', 'I', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'C', 'N', 'T', 'L', '_', '1', '\0', /* SPI_CONFIG_CNTL_1 (54971) */
	'S', 'P', 'I', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'C', 'N', 'T', 'L', '_', '2', '\0', /* SPI_CONFIG_CNTL_2 (54989) */
	'S', 'P', 'I', '_', 'W', 'A', 'V', 'E', '_', 'L', 'I', 'M', 'I', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* SPI_WAVE_LIMIT_CNTL (55007) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'R', 'M', 'I', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* RLC_SPM_RMI_PERFMON_SAMPLE_DELAY (55027) */
	'R', 'L', 'C', '_', 'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '_', 'M', 'A', 'X', '\0', /* RLC_SPM_PERFMON_SAMPLE_DELAY_MAX (55060, 55087) */
	'F', 'P', '_', 'R', 'O', 'U', 'N', 'D', '\0', /* FP_ROUND (55093) */
	'F', 'P', '_', 'D', 'E', 'N', 'O', 'R', 'M', '\0', /* FP_DENORM (55102) */
	'D', 'X', '1', '0', '_', 'C', 'L', 'A', 'M', 'P', '\0', /* DX10_CLAMP (55112) */
	'I', 'E', 'E', 'E', '\0', /* IEEE (55123) */
	'L', 'O', 'D', '_', 'C', 'L', 'A', 'M', 'P', 'E', 'D', '\0', /* LOD_CLAMPED (55128) */
	'I', 'N', 'V', 'A', 'L', 'I', 'D', '\0', /* INVALID (55140, 55142) */
	'I', 'N', 'P', 'U', 'T', '_', 'D', 'E', 'N', 'O', 'R', 'M', 'A', 'L', '\0', /* INPUT_DENORMAL (55148) */
	'D', 'I', 'V', 'I', 'D', 'E', '_', 'B', 'Y', '_', 'Z', 'E', 'R', 'O', '\0', /* DIVIDE_BY_ZERO (55163) */
	'O', 'V', 'E', 'R', 'F', 'L', 'O', 'W', '\0', /* OVERFLOW (55178) */
	'U', 'N', 'D', 'E', 'R', 'F', 'L', 'O', 'W', '\0', /* UNDERFLOW (55187) */
	'I', 'N', 'E', 'X', 'A', 'C', 'T', '\0', /* INEXACT (55197, 55199) */
	'I', 'N', 'T', '_', 'D', 'I', 'V', 'I', 'D', 'E', '_', 'B', 'Y', '_', 'Z', 'E', 'R', 'O', '\0', /* INT_DIVIDE_BY_ZERO (55205) */
	'A', 'D', 'D', 'R', 'E', 'S', 'S', '_', 'W', 'A', 'T', 'C', 'H', '\0', /* ADDRESS_WATCH (55224) */
	'M', 'E', 'M', 'O', 'R', 'Y', '_', 'V', 'I', 'O', 'L', 'A', 'T', 'I', 'O', 'N', '\0', /* MEMORY_VIOLATION (55238) */
	'E', 'X', 'C', 'P', '_', 'E', 'N', '\0', /* EXCP_EN (55255) */
	'F', 'P', '1', '6', '_', 'O', 'V', 'F', 'L', '\0', /* FP16_OVFL (55263) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'P', 'E', 'R', 'F', '\0', /* DISABLE_PERF (55273) */
	'V', 'S', 'K', 'I', 'P', '\0', /* VSKIP (55286) */
	'C', 'S', 'P', '\0', /* CSP (55292) */
	'S', 'C', 'C', '\0', /* SCC (55296) */
	'S', 'P', 'I', '_', 'P', 'R', 'I', 'O', '\0', /* SPI_PRIO (55300) */
	'U', 'S', 'E', 'R', '_', 'P', 'R', 'I', 'O', '\0', /* USER_PRIO (55309) */
	'P', 'R', 'I', 'V', '\0', /* PRIV (55319) */
	'T', 'R', 'A', 'P', '_', 'E', 'N', '\0', /* TRAP_EN (55324) */
	'T', 'T', 'R', 'A', 'C', 'E', '_', 'E', 'N', '\0', /* TTRACE_EN (55332) */
	'E', 'X', 'P', 'O', 'R', 'T', '_', 'R', 'D', 'Y', '\0', /* EXPORT_RDY (55342) */
	'E', 'X', 'E', 'C', 'Z', '\0', /* EXECZ (55353) */
	'V', 'C', 'C', 'Z', '\0', /* VCCZ (55359) */
	'I', 'N', '_', 'T', 'G', '\0', /* IN_TG (55364) */
	'I', 'N', '_', 'B', 'A', 'R', 'R', 'I', 'E', 'R', '\0', /* IN_BARRIER (55370) */
	'H', 'A', 'L', 'T', '\0', /* HALT (55381) */
	'T', 'R', 'A', 'P', '\0', /* TRAP (55386) */
	'T', 'T', 'R', 'A', 'C', 'E', '_', 'S', 'I', 'M', 'D', '_', 'E', 'N', '\0', /* TTRACE_SIMD_EN (55391, 55398) */
	'E', 'C', 'C', '_', 'E', 'R', 'R', '\0', /* ECC_ERR (55406) */
	'S', 'K', 'I', 'P', '_', 'E', 'X', 'P', 'O', 'R', 'T', '\0', /* SKIP_EXPORT (55414) */
	'P', 'E', 'R', 'F', '_', 'E', 'N', '\0', /* PERF_EN (55426) */
	'F', 'A', 'T', 'A', 'L', '_', 'H', 'A', 'L', 'T', '\0', /* FATAL_HALT (55434) */
	'M', 'U', 'S', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '\0', /* MUST_EXPORT (55445) */
	'E', 'X', 'C', 'P', '\0', /* EXCP (55457) */
	'S', 'A', 'V', 'E', 'C', 'T', 'X', '\0', /* SAVECTX (55462) */
	'I', 'L', 'L', 'E', 'G', 'A', 'L', '_', 'I', 'N', 'S', 'T', '\0', /* ILLEGAL_INST (55470) */
	'E', 'X', 'C', 'P', '_', 'H', 'I', '\0', /* EXCP_HI (55483) */
	'B', 'U', 'F', 'F', 'E', 'R', '_', 'O', 'O', 'B', '\0', /* BUFFER_OOB (55491) */
	'E', 'X', 'C', 'P', '_', 'C', 'Y', 'C', 'L', 'E', '\0', /* EXCP_CYCLE (55502) */
	'E', 'X', 'C', 'P', '_', 'G', 'R', 'O', 'U', 'P', '_', 'M', 'A', 'S', 'K', '\0', /* EXCP_GROUP_MASK (55513) */
	'E', 'X', 'C', 'P', '_', 'W', 'A', 'V', 'E', '6', '4', 'H', 'I', '\0', /* EXCP_WAVE64HI (55529, 55534) */
	'X', 'N', 'A', 'C', 'K', '_', 'E', 'R', 'R', 'O', 'R', '\0', /* XNACK_ERROR (55543) */
	'D', 'P', '_', 'R', 'A', 'T', 'E', '\0', /* DP_RATE (55555) */
	'S', 'I', 'M', 'D', '_', 'I', 'D', '\0', /* SIMD_ID (55563) */
	'P', 'I', 'P', 'E', '_', 'I', 'D', '\0', /* PIPE_ID (55571) */
	'C', 'U', '_', 'I', 'D', '\0', /* CU_ID (55579) */
	'S', 'H', '_', 'I', 'D', '\0', /* SH_ID (55585) */
	'W', 'A', 'V', 'E', '_', 'I', 'D', '_', 'M', 'S', 'B', '\0', /* WAVE_ID_MSB (55591) */
	'T', 'G', '_', 'I', 'D', '\0', /* TG_ID (55603) */
	'V', 'M', '_', 'I', 'D', '\0', /* VM_ID (55609) */
	'Q', 'U', 'E', 'U', 'E', '_', 'I', 'D', '\0', /* QUEUE_ID (55615) */
	'S', 'T', 'A', 'T', 'E', '_', 'I', 'D', '\0', /* STATE_ID (55624) */
	'M', 'E', '_', 'I', 'D', '\0', /* ME_ID (55633) */
	'V', 'G', 'P', 'R', '_', 'B', 'A', 'S', 'E', '\0', /* VGPR_BASE (55639) */
	'V', 'G', 'P', 'R', '_', 'S', 'I', 'Z', 'E', '\0', /* VGPR_SIZE (55649) */
	'S', 'G', 'P', 'R', '_', 'B', 'A', 'S', 'E', '\0', /* SGPR_BASE (55659) */
	'S', 'G', 'P', 'R', '_', 'S', 'I', 'Z', 'E', '\0', /* SGPR_SIZE (55669) */
	'L', 'D', 'S', '_', 'B', 'A', 'S', 'E', '\0', /* LDS_BASE (55679) */
	'L', 'D', 'S', '_', 'S', 'I', 'Z', 'E', '\0', /* LDS_SIZE (55688) */
	'V', 'G', 'P', 'R', '_', 'S', 'H', 'A', 'R', 'E', 'D', '_', 'S', 'I', 'Z', 'E', '\0', /* VGPR_SHARED_SIZE (55697) */
	'V', 'M', '_', 'C', 'N', 'T', '\0', /* VM_CNT (55714) */
	'E', 'X', 'P', '_', 'C', 'N', 'T', '\0', /* EXP_CNT (55721) */
	'L', 'G', 'K', 'M', '_', 'C', 'N', 'T', '_', 'B', 'I', 'T', '4', '\0', /* LGKM_CNT_BIT4 (55729) */
	'L', 'G', 'K', 'M', '_', 'C', 'N', 'T', '\0', /* LGKM_CNT (55743) */
	'V', 'A', 'L', 'U', '_', 'C', 'N', 'T', '\0', /* VALU_CNT (55752) */
	'F', 'I', 'R', 'S', 'T', '_', 'R', 'E', 'P', 'L', 'A', 'Y', '\0', /* FIRST_REPLAY (55761) */
	'R', 'C', 'N', 'T', '\0', /* RCNT (55774) */
	'V', 'M', '_', 'C', 'N', 'T', '_', 'H', 'I', '\0', /* VM_CNT_HI (55779) */
	'L', 'G', 'K', 'M', '_', 'C', 'N', 'T', '_', 'B', 'I', 'T', '5', '\0', /* LGKM_CNT_BIT5 (55789) */
	'R', 'E', 'P', 'L', 'A', 'Y', '_', 'W', '6', '4', 'H', '\0', /* REPLAY_W64H (55803) */
	'V', 'S', '_', 'C', 'N', 'T', '\0', /* VS_CNT (55815) */
	'X', 'N', 'A', 'C', 'K', '\0', /* XNACK (55822) */
	'T', 'A', '_', 'N', 'E', 'E', 'D', '_', 'R', 'E', 'S', 'E', 'T', '\0', /* TA_NEED_RESET (55828) */
	'X', 'N', 'A', 'C', 'K', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* XNACK_OVERRIDE (55842) */
	'X', 'C', 'N', 'T', '\0', /* XCNT (55857) */
	'Q', 'C', 'N', 'T', '\0', /* QCNT (55862) */
	'W', 'A', 'V', 'E', '_', 'I', 'D', 'L', 'E', '\0', /* WAVE_IDLE (55867) */
	'M', 'I', 'S', 'C', '_', 'C', 'N', 'T', '\0', /* MISC_CNT (55877) */
	'U', 'N', 'U', 'S', 'E', 'D', '\0', /* UNUSED (55886) */
	'W', 'G', 'P', '_', 'I', 'D', '\0', /* WGP_ID (55893) */
	'S', 'A', '_', 'I', 'D', '\0', /* SA_ID (55900) */
	'W', 'G', '_', 'I', 'D', '\0', /* WG_ID (55906) */
	'C', 'O', 'M', 'P', 'A', 'T', '_', 'L', 'E', 'V', 'E', 'L', '\0', /* COMPAT_LEVEL (55912) */
	'P', 'O', 'P', 'S', '_', 'E', 'N', '\0', /* POPS_EN (55925, 55927) */
	'P', 'O', 'P', 'S', '_', 'P', 'A', 'C', 'K', 'E', 'R', '_', 'I', 'D', '\0', /* POPS_PACKER_ID (55933) */
	'D', 'E', 'P', '_', 'M', 'O', 'D', 'E', '\0', /* DEP_MODE (55948) */
	'I', 'N', 'S', 'T', '_', 'P', 'R', 'E', 'F', 'E', 'T', 'C', 'H', '\0', /* INST_PREFETCH (55957) */
	'R', 'E', 'S', 'O', 'U', 'R', 'C', 'E', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* RESOURCE_OVERRIDE (55971) */
	'M', 'E', 'M', '_', 'O', 'R', 'D', 'E', 'R', '\0', /* MEM_ORDER (55989) */
	'F', 'W', 'D', '_', 'P', 'R', 'O', 'G', 'R', 'E', 'S', 'S', '\0', /* FWD_PROGRESS (55999) */
	'W', 'A', 'V', 'E', '6', '4', '\0', /* WAVE64 (56012) */
	'S', 'U', 'B', 'V', '_', 'L', 'O', 'O', 'P', '\0', /* SUBV_LOOP (56019) */
	'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'C', 'M', 'D', 'F', 'I', 'F', 'O', '_', 'A', 'V', 'A', 'I', 'L', '\0', /* ME0PIPE1_CMDFIFO_AVAIL (56029) */
	'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'C', 'F', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME0PIPE1_CF_RQ_PENDING (56052) */
	'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'P', 'F', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME0PIPE1_PF_RQ_PENDING (56075) */
	'M', 'E', '1', 'P', 'I', 'P', 'E', '0', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME1PIPE0_RQ_PENDING (56098) */
	'M', 'E', '1', 'P', 'I', 'P', 'E', '1', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME1PIPE1_RQ_PENDING (56118) */
	'M', 'E', '1', 'P', 'I', 'P', 'E', '2', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME1PIPE2_RQ_PENDING (56138) */
	'M', 'E', '1', 'P', 'I', 'P', 'E', '3', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME1PIPE3_RQ_PENDING (56158) */
	'M', 'E', '2', 'P', 'I', 'P', 'E', '0', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME2PIPE0_RQ_PENDING (56178) */
	'M', 'E', '2', 'P', 'I', 'P', 'E', '1', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME2PIPE1_RQ_PENDING (56198) */
	'M', 'E', '2', 'P', 'I', 'P', 'E', '2', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME2PIPE2_RQ_PENDING (56218) */
	'M', 'E', '2', 'P', 'I', 'P', 'E', '3', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME2PIPE3_RQ_PENDING (56238) */
	'R', 'L', 'C', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* RLC_RQ_PENDING (56258) */
	'U', 'T', 'C', 'L', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* UTCL2_BUSY (56273, 56279) */
	'E', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* EA_BUSY (56284) */
	'R', 'M', 'I', '_', 'B', 'U', 'S', 'Y', '\0', /* RMI_BUSY (56292) */
	'U', 'T', 'C', 'L', '2', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* UTCL2_RQ_PENDING (56301) */
	'C', 'P', 'F', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* CPF_RQ_PENDING (56318) */
	'E', 'A', '_', 'L', 'I', 'N', 'K', '_', 'B', 'U', 'S', 'Y', '\0', /* EA_LINK_BUSY (56333) */
	'S', 'D', 'M', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* SDMA_BUSY (56346, 56347) */
	'S', 'D', 'M', 'A', '0', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* SDMA0_RQ_PENDING (56356) */
	'S', 'D', 'M', 'A', '1', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* SDMA1_RQ_PENDING (56373) */
	'R', 'L', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* RLC_BUSY (56390) */
	'T', 'C', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* TCP_BUSY (56399, 56400) */
	'C', 'P', 'F', '_', 'B', 'U', 'S', 'Y', '\0', /* CPF_BUSY (56408) */
	'C', 'P', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* CPC_BUSY (56417) */
	'C', 'P', 'G', '_', 'B', 'U', 'S', 'Y', '\0', /* CPG_BUSY (56426) */
	'C', 'P', 'A', 'X', 'I', '_', 'B', 'U', 'S', 'Y', '\0', /* CPAXI_BUSY (56435) */
	'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'C', 'M', 'D', 'F', 'I', 'F', 'O', '_', 'A', 'V', 'A', 'I', 'L', '\0', /* ME0PIPE0_CMDFIFO_AVAIL (56446) */
	'R', 'S', 'M', 'U', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* RSMU_RQ_PENDING (56469, 56470) */
	'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'C', 'F', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME0PIPE0_CF_RQ_PENDING (56485) */
	'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'P', 'F', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ME0PIPE0_PF_RQ_PENDING (56508) */
	'G', 'D', 'S', '_', 'D', 'M', 'A', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* GDS_DMA_RQ_PENDING (56531) */
	'D', 'B', '_', 'C', 'L', 'E', 'A', 'N', '\0', /* DB_CLEAN (56550) */
	'C', 'B', '_', 'C', 'L', 'E', 'A', 'N', '\0', /* CB_CLEAN (56559) */
	'T', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* TA_BUSY (56568) */
	'G', 'D', 'S', '_', 'B', 'U', 'S', 'Y', '\0', /* GDS_BUSY (56576) */
	'G', 'E', '_', 'B', 'U', 'S', 'Y', '_', 'N', 'O', '_', 'D', 'M', 'A', '\0', /* GE_BUSY_NO_DMA (56585) */
	'S', 'X', '_', 'B', 'U', 'S', 'Y', '\0', /* SX_BUSY (56600) */
	'G', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* GE_BUSY (56608) */
	'S', 'P', 'I', '_', 'B', 'U', 'S', 'Y', '\0', /* SPI_BUSY (56616) */
	'B', 'C', 'I', '_', 'B', 'U', 'S', 'Y', '\0', /* BCI_BUSY (56625) */
	'S', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* SC_BUSY (56634) */
	'P', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* PA_BUSY (56642) */
	'D', 'B', '_', 'B', 'U', 'S', 'Y', '\0', /* DB_BUSY (56650) */
	'C', 'P', '_', 'C', 'O', 'H', 'E', 'R', 'E', 'N', 'C', 'Y', '_', 'B', 'U', 'S', 'Y', '\0', /* CP_COHERENCY_BUSY (56658) */
	'C', 'B', '_', 'B', 'U', 'S', 'Y', '\0', /* CB_BUSY (56676) */
	'G', 'U', 'I', '_', 'A', 'C', 'T', 'I', 'V', 'E', '\0', /* GUI_ACTIVE (56684) */
	'U', 'T', 'C', 'L', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* UTCL1_BUSY (56695) */
	'G', 'L', '1', 'C', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* GL1CC_BUSY (56706) */
	'G', 'R', 'B', 'M', '_', 'R', 'L', 'C', '_', 'I', 'N', 'T', 'R', '_', 'C', 'R', 'E', 'D', 'I', 'T', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* GRBM_RLC_INTR_CREDIT_PENDING (56717) */
	'G', 'R', 'B', 'M', '_', 'U', 'T', 'C', 'L', '2', '_', 'I', 'N', 'T', 'R', '_', 'C', 'R', 'E', 'D', 'I', 'T', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* GRBM_UTCL2_INTR_CREDIT_PENDING (56746) */
	'G', 'R', 'B', 'M', '_', 'C', 'P', 'F', '_', 'I', 'N', 'T', 'R', '_', 'C', 'R', 'E', 'D', 'I', 'T', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* GRBM_CPF_INTR_CREDIT_PENDING (56777) */
	'M', 'E', 'S', 'P', 'I', 'P', 'E', '0', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* MESPIPE0_RQ_PENDING (56806) */
	'M', 'E', 'S', 'P', 'I', 'P', 'E', '1', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* MESPIPE1_RQ_PENDING (56826) */
	'M', 'E', 'S', 'P', 'I', 'P', 'E', '2', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* MESPIPE2_RQ_PENDING (56846) */
	'M', 'E', 'S', 'P', 'I', 'P', 'E', '3', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* MESPIPE3_RQ_PENDING (56866) */
	'P', 'H', '_', 'B', 'U', 'S', 'Y', '\0', /* PH_BUSY (56886) */
	'C', 'H', '_', 'B', 'U', 'S', 'Y', '\0', /* CH_BUSY (56894) */
	'G', 'L', '2', 'C', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* GL2CC_BUSY (56902) */
	'G', 'U', 'S', '_', 'L', 'I', 'N', 'K', '_', 'B', 'U', 'S', 'Y', '\0', /* GUS_LINK_BUSY (56913) */
	'G', 'U', 'S', '_', 'B', 'U', 'S', 'Y', '\0', /* GUS_BUSY (56927) */
	'P', 'M', 'M', '_', 'B', 'U', 'S', 'Y', '\0', /* PMM_BUSY (56936) */
	'M', 'E', 'C', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_BUSY (56945) */
	'M', 'E', 'C', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_BUSY (56955) */
	'D', 'C', '0', '_', 'B', 'U', 'S', 'Y', '\0', /* DC0_BUSY (56965) */
	'D', 'C', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* DC1_BUSY (56974) */
	'R', 'C', 'I', 'U', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* RCIU1_BUSY (56983) */
	'R', 'C', 'I', 'U', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* RCIU2_BUSY (56994) */
	'R', 'O', 'Q', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ1_BUSY (57005) */
	'R', 'O', 'Q', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ2_BUSY (57015) */
	'T', 'C', 'I', 'U', '_', 'B', 'U', 'S', 'Y', '\0', /* TCIU_BUSY (57025) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'A', 'M', '_', 'B', 'U', 'S', 'Y', '\0', /* SCRATCH_RAM_BUSY (57035) */
	'Q', 'U', '_', 'B', 'U', 'S', 'Y', '\0', /* QU_BUSY (57052) */
	'U', 'T', 'C', 'L', '2', 'I', 'U', '_', 'B', 'U', 'S', 'Y', '\0', /* UTCL2IU_BUSY (57060) */
	'S', 'A', 'V', 'E', '_', 'R', 'E', 'S', 'T', 'O', 'R', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* SAVE_RESTORE_BUSY (57073) */
	'G', 'C', 'R', 'I', 'U', '_', 'B', 'U', 'S', 'Y', '\0', /* GCRIU_BUSY (57091) */
	'M', 'E', 'S', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_BUSY (57102) */
	'M', 'E', 'S', '_', 'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'R', 'A', 'M', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_SCRATCH_RAM_BUSY (57111) */
	'R', 'C', 'I', 'U', '3', '_', 'B', 'U', 'S', 'Y', '\0', /* RCIU3_BUSY (57132) */
	'M', 'E', 'S', '_', 'I', 'N', 'S', 'T', 'R', 'U', 'C', 'T', 'I', 'O', 'N', '_', 'C', 'A', 'C', 'H', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_INSTRUCTION_CACHE_BUSY (57143) */
	'C', 'P', 'G', '_', 'C', 'P', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* CPG_CPC_BUSY (57170) */
	'C', 'P', 'F', '_', 'C', 'P', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* CPF_CPC_BUSY (57183) */
	'M', 'E', 'C', '1', '_', 'L', 'O', 'A', 'D', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_LOAD_BUSY (57196) */
	'M', 'E', 'C', '1', '_', 'S', 'E', 'M', 'A', 'P', 'O', 'H', 'R', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_SEMAPOHRE_BUSY (57211) */
	'M', 'E', 'C', '1', '_', 'M', 'U', 'T', 'E', 'X', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_MUTEX_BUSY (57231) */
	'M', 'E', 'C', '1', '_', 'M', 'E', 'S', 'S', 'A', 'G', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_MESSAGE_BUSY (57247) */
	'M', 'E', 'C', '1', '_', 'E', 'O', 'P', '_', 'Q', 'U', 'E', 'U', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_EOP_QUEUE_BUSY (57265) */
	'M', 'E', 'C', '1', '_', 'I', 'Q', '_', 'Q', 'U', 'E', 'U', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_IQ_QUEUE_BUSY (57285) */
	'M', 'E', 'C', '1', '_', 'I', 'B', '_', 'Q', 'U', 'E', 'U', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_IB_QUEUE_BUSY (57304) */
	'M', 'E', 'C', '1', '_', 'T', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_TC_BUSY (57323, 57328) */
	'M', 'E', 'C', '1', '_', 'D', 'M', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_DMA_BUSY (57336) */
	'M', 'E', 'C', '1', '_', 'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'F', 'L', 'U', 'S', 'H', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_PARTIAL_FLUSH_BUSY (57350) */
	'M', 'E', 'C', '1', '_', 'P', 'I', 'P', 'E', '0', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_PIPE0_BUSY (57374) */
	'M', 'E', 'C', '1', '_', 'P', 'I', 'P', 'E', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_PIPE1_BUSY (57390) */
	'M', 'E', 'C', '1', '_', 'P', 'I', 'P', 'E', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_PIPE2_BUSY (57406) */
	'M', 'E', 'C', '1', '_', 'P', 'I', 'P', 'E', '3', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC1_PIPE3_BUSY (57422) */
	'M', 'E', 'C', '2', '_', 'L', 'O', 'A', 'D', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_LOAD_BUSY (57438) */
	'M', 'E', 'C', '2', '_', 'S', 'E', 'M', 'A', 'P', 'O', 'H', 'R', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_SEMAPOHRE_BUSY (57453) */
	'M', 'E', 'C', '2', '_', 'M', 'U', 'T', 'E', 'X', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_MUTEX_BUSY (57473) */
	'M', 'E', 'C', '2', '_', 'M', 'E', 'S', 'S', 'A', 'G', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_MESSAGE_BUSY (57489) */
	'M', 'E', 'C', '2', '_', 'E', 'O', 'P', '_', 'Q', 'U', 'E', 'U', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_EOP_QUEUE_BUSY (57507) */
	'M', 'E', 'C', '2', '_', 'I', 'Q', '_', 'Q', 'U', 'E', 'U', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_IQ_QUEUE_BUSY (57527) */
	'M', 'E', 'C', '2', '_', 'I', 'B', '_', 'Q', 'U', 'E', 'U', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_IB_QUEUE_BUSY (57546) */
	'M', 'E', 'C', '2', '_', 'T', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_TC_BUSY (57565) */
	'M', 'E', 'C', '2', '_', 'D', 'M', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_DMA_BUSY (57578) */
	'M', 'E', 'C', '2', '_', 'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'F', 'L', 'U', 'S', 'H', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_PARTIAL_FLUSH_BUSY (57592) */
	'M', 'E', 'C', '2', '_', 'P', 'I', 'P', 'E', '0', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_PIPE0_BUSY (57616) */
	'M', 'E', 'C', '2', '_', 'P', 'I', 'P', 'E', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_PIPE1_BUSY (57632) */
	'M', 'E', 'C', '2', '_', 'P', 'I', 'P', 'E', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_PIPE2_BUSY (57648) */
	'M', 'E', 'C', '2', '_', 'P', 'I', 'P', 'E', '3', '_', 'B', 'U', 'S', 'Y', '\0', /* MEC2_PIPE3_BUSY (57664) */
	'R', 'C', 'I', 'U', '_', 'T', 'X', '_', 'F', 'R', 'E', 'E', '_', 'S', 'T', 'A', 'L', 'L', '\0', /* RCIU_TX_FREE_STALL (57680) */
	'R', 'C', 'I', 'U', '_', 'P', 'R', 'I', 'V', '_', 'V', 'I', 'O', 'L', 'A', 'T', 'I', 'O', 'N', '\0', /* RCIU_PRIV_VIOLATION (57699) */
	'T', 'C', 'I', 'U', '_', 'T', 'X', '_', 'F', 'R', 'E', 'E', '_', 'S', 'T', 'A', 'L', 'L', '\0', /* TCIU_TX_FREE_STALL (57719) */
	'M', 'E', 'C', '1', '_', 'D', 'E', 'C', 'O', 'D', 'I', 'N', 'G', '_', 'P', 'A', 'C', 'K', 'E', 'T', '\0', /* MEC1_DECODING_PACKET (57738) */
	'M', 'E', 'C', '1', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'R', 'C', 'I', 'U', '\0', /* MEC1_WAIT_ON_RCIU (57759) */
	'M', 'E', 'C', '1', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'R', 'C', 'I', 'U', '_', 'R', 'E', 'A', 'D', '\0', /* MEC1_WAIT_ON_RCIU_READ (57777) */
	'M', 'E', 'C', '1', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'R', 'O', 'Q', '_', 'D', 'A', 'T', 'A', '\0', /* MEC1_WAIT_ON_ROQ_DATA (57800) */
	'M', 'E', 'C', '2', '_', 'D', 'E', 'C', 'O', 'D', 'I', 'N', 'G', '_', 'P', 'A', 'C', 'K', 'E', 'T', '\0', /* MEC2_DECODING_PACKET (57822) */
	'M', 'E', 'C', '2', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'R', 'C', 'I', 'U', '\0', /* MEC2_WAIT_ON_RCIU (57843) */
	'M', 'E', 'C', '2', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'R', 'C', 'I', 'U', '_', 'R', 'E', 'A', 'D', '\0', /* MEC2_WAIT_ON_RCIU_READ (57861) */
	'M', 'E', 'C', '2', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'R', 'O', 'Q', '_', 'D', 'A', 'T', 'A', '\0', /* MEC2_WAIT_ON_ROQ_DATA (57884) */
	'U', 'T', 'C', 'L', '2', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'F', 'R', 'E', 'E', '\0', /* UTCL2IU_WAITING_ON_FREE (57906) */
	'U', 'T', 'C', 'L', '2', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'T', 'A', 'G', 'S', '\0', /* UTCL2IU_WAITING_ON_TAGS (57930) */
	'U', 'T', 'C', 'L', '1', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'T', 'R', 'A', 'N', 'S', '\0', /* UTCL1_WAITING_ON_TRANS (57954) */
	'G', 'C', 'R', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'F', 'R', 'E', 'E', '\0', /* GCRIU_WAITING_ON_FREE (57977) */
	'P', 'O', 'S', 'T', '_', 'W', 'P', 'T', 'R', '_', 'G', 'F', 'X', '_', 'B', 'U', 'S', 'Y', '\0', /* POST_WPTR_GFX_BUSY (57999) */
	'C', 'S', 'F', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_BUSY (58018) */
	'R', 'O', 'Q', '_', 'A', 'L', 'I', 'G', 'N', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ_ALIGN_BUSY (58027) */
	'R', 'O', 'Q', '_', 'R', 'I', 'N', 'G', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ_RING_BUSY (58042) */
	'R', 'O', 'Q', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ_INDIRECT1_BUSY (58056) */
	'R', 'O', 'Q', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ_INDIRECT2_BUSY (58075) */
	'R', 'O', 'Q', '_', 'S', 'T', 'A', 'T', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ_STATE_BUSY (58094) */
	'R', 'O', 'Q', '_', 'C', 'E', '_', 'R', 'I', 'N', 'G', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ_CE_RING_BUSY (58109) */
	'R', 'O', 'Q', '_', 'C', 'E', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ_CE_INDIRECT1_BUSY (58126) */
	'R', 'O', 'Q', '_', 'C', 'E', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ_CE_INDIRECT2_BUSY (58148) */
	'S', 'E', 'M', 'A', 'P', 'H', 'O', 'R', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* SEMAPHORE_BUSY (58170) */
	'I', 'N', 'T', 'E', 'R', 'R', 'U', 'P', 'T', '_', 'B', 'U', 'S', 'Y', '\0', /* INTERRUPT_BUSY (58185) */
	'H', 'Q', 'D', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_BUSY (58200) */
	'P', 'R', 'T', '_', 'B', 'U', 'S', 'Y', '\0', /* PRT_BUSY (58209) */
	'R', 'C', 'I', 'U', '_', 'B', 'U', 'S', 'Y', '\0', /* RCIU_BUSY (58218) */
	'R', 'C', 'I', 'U', '_', 'G', 'F', 'X', '_', 'B', 'U', 'S', 'Y', '\0', /* RCIU_GFX_BUSY (58228) */
	'R', 'C', 'I', 'U', '_', 'C', 'M', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* RCIU_CMP_BUSY (58242) */
	'R', 'O', 'Q', '_', 'D', 'A', 'T', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ_DATA_BUSY (58256) */
	'R', 'O', 'Q', '_', 'C', 'E', '_', 'D', 'A', 'T', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* ROQ_CE_DATA_BUSY (58270) */
	'M', 'E', 'S', '_', 'H', 'Q', 'D', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_HQD_BUSY (58287) */
	'C', 'P', 'F', '_', 'G', 'F', 'X', '_', 'B', 'U', 'S', 'Y', '\0', /* CPF_GFX_BUSY (58300) */
	'C', 'P', 'F', '_', 'C', 'M', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* CPF_CMP_BUSY (58313) */
	'G', 'R', 'B', 'M', '_', 'C', 'P', 'F', '_', 'S', 'T', 'A', 'T', '_', 'B', 'U', 'S', 'Y', '\0', /* GRBM_CPF_STAT_BUSY (58326) */
	'C', 'P', 'C', '_', 'C', 'P', 'F', '_', 'B', 'U', 'S', 'Y', '\0', /* CPC_CPF_BUSY (58345) */
	'R', 'E', 'G', '_', 'B', 'U', 'S', '_', 'F', 'I', 'F', 'O', '_', 'B', 'U', 'S', 'Y', '\0', /* REG_BUS_FIFO_BUSY (58358) */
	'C', 'S', 'F', '_', 'R', 'I', 'N', 'G', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_RING_BUSY (58376) */
	'C', 'S', 'F', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_INDIRECT1_BUSY (58390) */
	'C', 'S', 'F', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_INDIRECT2_BUSY (58409) */
	'C', 'S', 'F', '_', 'S', 'T', 'A', 'T', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_STATE_BUSY (58428) */
	'C', 'S', 'F', '_', 'C', 'E', '_', 'I', 'N', 'D', 'R', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_CE_INDR1_BUSY (58443) */
	'C', 'S', 'F', '_', 'C', 'E', '_', 'I', 'N', 'D', 'R', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_CE_INDR2_BUSY (58461) */
	'C', 'S', 'F', '_', 'A', 'R', 'B', 'I', 'T', 'E', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_ARBITER_BUSY (58479) */
	'C', 'S', 'F', '_', 'I', 'N', 'P', 'U', 'T', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_INPUT_BUSY (58496) */
	'C', 'S', 'F', '_', 'D', 'A', 'T', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_DATA_BUSY (58511) */
	'C', 'S', 'F', '_', 'C', 'E', '_', 'D', 'A', 'T', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* CSF_CE_DATA_BUSY (58525) */
	'H', 'P', 'D', '_', 'P', 'R', 'O', 'C', 'E', 'S', 'S', 'I', 'N', 'G', '_', 'E', 'O', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* HPD_PROCESSING_EOP_BUSY (58542) */
	'H', 'Q', 'D', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_DISPATCH_BUSY (58566) */
	'H', 'Q', 'D', '_', 'I', 'Q', '_', 'T', 'I', 'M', 'E', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_IQ_TIMER_BUSY (58584) */
	'H', 'Q', 'D', '_', 'D', 'M', 'A', '_', 'O', 'F', 'F', 'L', 'O', 'A', 'D', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_DMA_OFFLOAD_BUSY (58602) */
	'H', 'Q', 'D', '_', 'W', 'A', 'I', 'T', '_', 'S', 'E', 'M', 'A', 'P', 'H', 'O', 'R', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_WAIT_SEMAPHORE_BUSY (58623) */
	'H', 'Q', 'D', '_', 'S', 'I', 'G', 'N', 'A', 'L', '_', 'S', 'E', 'M', 'A', 'P', 'H', 'O', 'R', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_SIGNAL_SEMAPHORE_BUSY (58647) */
	'H', 'Q', 'D', '_', 'M', 'E', 'S', 'S', 'A', 'G', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_MESSAGE_BUSY (58673) */
	'H', 'Q', 'D', '_', 'P', 'Q', '_', 'F', 'E', 'T', 'C', 'H', 'E', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_PQ_FETCHER_BUSY (58690) */
	'H', 'Q', 'D', '_', 'I', 'B', '_', 'F', 'E', 'T', 'C', 'H', 'E', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_IB_FETCHER_BUSY (58710) */
	'H', 'Q', 'D', '_', 'I', 'Q', '_', 'F', 'E', 'T', 'C', 'H', 'E', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_IQ_FETCHER_BUSY (58730) */
	'H', 'Q', 'D', '_', 'E', 'O', 'P', '_', 'F', 'E', 'T', 'C', 'H', 'E', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_EOP_FETCHER_BUSY (58750) */
	'H', 'Q', 'D', '_', 'C', 'O', 'N', 'S', 'U', 'M', 'E', 'D', '_', 'R', 'P', 'T', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_CONSUMED_RPTR_BUSY (58771) */
	'H', 'Q', 'D', '_', 'F', 'E', 'T', 'C', 'H', 'E', 'R', '_', 'A', 'R', 'B', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_FETCHER_ARB_BUSY (58794) */
	'H', 'Q', 'D', '_', 'R', 'O', 'Q', '_', 'A', 'L', 'I', 'G', 'N', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_ROQ_ALIGN_BUSY (58815) */
	'H', 'Q', 'D', '_', 'R', 'O', 'Q', '_', 'E', 'O', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_ROQ_EOP_BUSY (58834) */
	'H', 'Q', 'D', '_', 'R', 'O', 'Q', '_', 'I', 'Q', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_ROQ_IQ_BUSY (58851) */
	'H', 'Q', 'D', '_', 'R', 'O', 'Q', '_', 'P', 'Q', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_ROQ_PQ_BUSY (58867) */
	'H', 'Q', 'D', '_', 'R', 'O', 'Q', '_', 'I', 'B', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_ROQ_IB_BUSY (58883) */
	'H', 'Q', 'D', '_', 'W', 'P', 'T', 'R', '_', 'P', 'O', 'L', 'L', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_WPTR_POLL_BUSY (58899) */
	'H', 'Q', 'D', '_', 'P', 'Q', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_PQ_BUSY (58918) */
	'H', 'Q', 'D', '_', 'I', 'B', '_', 'B', 'U', 'S', 'Y', '\0', /* HQD_IB_BUSY (58930) */
	'R', 'I', 'N', 'G', '_', 'F', 'E', 'T', 'C', 'H', 'I', 'N', 'G', '_', 'D', 'A', 'T', 'A', '\0', /* RING_FETCHING_DATA (58942) */
	'I', 'N', 'D', 'R', '1', '_', 'F', 'E', 'T', 'C', 'H', 'I', 'N', 'G', '_', 'D', 'A', 'T', 'A', '\0', /* INDR1_FETCHING_DATA (58961) */
	'I', 'N', 'D', 'R', '2', '_', 'F', 'E', 'T', 'C', 'H', 'I', 'N', 'G', '_', 'D', 'A', 'T', 'A', '\0', /* INDR2_FETCHING_DATA (58981) */
	'S', 'T', 'A', 'T', 'E', '_', 'F', 'E', 'T', 'C', 'H', 'I', 'N', 'G', '_', 'D', 'A', 'T', 'A', '\0', /* STATE_FETCHING_DATA (59001) */
	'T', 'C', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'F', 'R', 'E', 'E', '\0', /* TCIU_WAITING_ON_FREE (59021) */
	'T', 'C', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'T', 'A', 'G', 'S', '\0', /* TCIU_WAITING_ON_TAGS (59042) */
	'G', 'F', 'X', '_', 'U', 'T', 'C', 'L', '1', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'T', 'R', 'A', 'N', 'S', '\0', /* GFX_UTCL1_WAITING_ON_TRANS (59063) */
	'C', 'M', 'P', '_', 'U', 'T', 'C', 'L', '1', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'T', 'R', 'A', 'N', 'S', '\0', /* CMP_UTCL1_WAITING_ON_TRANS (59090) */
	'R', 'C', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'F', 'R', 'E', 'E', '\0', /* RCIU_WAITING_ON_FREE (59117) */
	'D', 'A', 'T', 'A', '_', 'F', 'E', 'T', 'C', 'H', 'I', 'N', 'G', '_', 'D', 'A', 'T', 'A', '\0', /* DATA_FETCHING_DATA (59138) */
	'G', 'C', 'R', 'I', 'U', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'F', 'R', 'E', 'E', '\0', /* GCRIU_WAIT_ON_FREE (59157) */
	'M', 'E', 'S', '_', 'L', 'O', 'A', 'D', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_LOAD_BUSY (59176) */
	'M', 'E', 'S', '_', 'M', 'U', 'T', 'E', 'X', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_MUTEX_BUSY (59190) */
	'M', 'E', 'S', '_', 'M', 'E', 'S', 'S', 'A', 'G', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_MESSAGE_BUSY (59205) */
	'M', 'E', 'S', '_', 'T', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_TC_BUSY (59222) */
	'M', 'E', 'S', '_', 'D', 'M', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_DMA_BUSY (59234) */
	'M', 'E', 'S', '_', 'P', 'I', 'P', 'E', '0', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_PIPE0_BUSY (59247) */
	'M', 'E', 'S', '_', 'P', 'I', 'P', 'E', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_PIPE1_BUSY (59262) */
	'M', 'E', 'S', '_', 'P', 'I', 'P', 'E', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_PIPE2_BUSY (59277) */
	'M', 'E', 'S', '_', 'P', 'I', 'P', 'E', '3', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_PIPE3_BUSY (59292) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'I', 'N', 'D', 'E', 'X', '_', '6', '4', 'B', 'I', 'T', '_', 'M', 'O', 'D', 'E', '\0', /* SCRATCH_INDEX_64BIT_MODE (59307) */
	'M', 'E', 'S', '_', 'H', 'Q', 'D', '_', 'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_HQD_DISPATCH_BUSY (59332) */
	'M', 'E', 'S', '_', 'H', 'Q', 'D', '_', 'D', 'M', 'A', '_', 'O', 'F', 'F', 'L', 'O', 'A', 'D', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_HQD_DMA_OFFLOAD_BUSY (59354) */
	'M', 'E', 'S', '_', 'H', 'Q', 'D', '_', 'M', 'E', 'S', 'S', 'A', 'G', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_HQD_MESSAGE_BUSY (59379) */
	'M', 'E', 'S', '_', 'H', 'Q', 'D', '_', 'P', 'Q', '_', 'F', 'E', 'T', 'C', 'H', 'E', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_HQD_PQ_FETCHER_BUSY (59400) */
	'M', 'E', 'S', '_', 'H', 'Q', 'D', '_', 'C', 'O', 'N', 'S', 'U', 'M', 'E', 'D', '_', 'R', 'P', 'T', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_HQD_CONSUMED_RPTR_BUSY (59424) */
	'M', 'E', 'S', '_', 'H', 'Q', 'D', '_', 'F', 'E', 'T', 'C', 'H', 'E', 'R', '_', 'A', 'R', 'B', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_HQD_FETCHER_ARB_BUSY (59451) */
	'M', 'E', 'S', '_', 'H', 'Q', 'D', '_', 'R', 'O', 'Q', '_', 'A', 'L', 'I', 'G', 'N', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_HQD_ROQ_ALIGN_BUSY (59476) */
	'M', 'E', 'S', '_', 'H', 'Q', 'D', '_', 'R', 'O', 'Q', '_', 'P', 'Q', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_HQD_ROQ_PQ_BUSY (59499) */
	'M', 'E', 'S', '_', 'H', 'Q', 'D', '_', 'P', 'Q', '_', 'B', 'U', 'S', 'Y', '\0', /* MES_HQD_PQ_BUSY (59519) */
	'B', 'U', 'F', 'F', 'E', 'R', '_', 'I', 'D', '\0', /* BUFFER_ID (59535) */
	'S', 'I', 'M', 'D', '_', 'S', 'E', 'L', '\0', /* SIMD_SEL (59545) */
	'W', 'G', 'P', '_', 'S', 'E', 'L', '\0', /* WGP_SEL (59554) */
	'S', 'A', '_', 'S', 'E', 'L', '\0', /* SA_SEL (59562) */
	'W', 'T', 'Y', 'P', 'E', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '\0', /* WTYPE_INCLUDE (59569) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'V', 'M', 'E', 'M', 'E', 'X', 'E', 'C', '\0', /* TOKEN_EXCLUDE_VMEMEXEC (59583) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'A', 'L', 'U', 'E', 'X', 'E', 'C', '\0', /* TOKEN_EXCLUDE_ALUEXEC (59606) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'V', 'A', 'L', 'U', 'I', 'N', 'S', 'T', '\0', /* TOKEN_EXCLUDE_VALUINST (59628) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'W', 'A', 'V', 'E', 'R', 'D', 'Y', '\0', /* TOKEN_EXCLUDE_WAVERDY (59651) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'I', 'M', 'M', 'E', 'D', '1', '\0', /* TOKEN_EXCLUDE_IMMED1 (59673) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'I', 'M', 'M', 'E', 'D', 'I', 'A', 'T', 'E', '\0', /* TOKEN_EXCLUDE_IMMEDIATE (59694, 59708) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'R', 'E', 'G', '\0', /* TOKEN_EXCLUDE_REG (59718) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'E', 'V', 'E', 'N', 'T', '\0', /* TOKEN_EXCLUDE_EVENT (59736) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'I', 'N', 'S', 'T', '\0', /* TOKEN_EXCLUDE_INST (59756) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'U', 'T', 'I', 'L', 'C', 'T', 'R', '\0', /* TOKEN_EXCLUDE_UTILCTR (59775) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'W', 'A', 'V', 'E', 'A', 'L', 'L', 'O', 'C', '\0', /* TOKEN_EXCLUDE_WAVEALLOC (59797) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '_', 'P', 'E', 'R', 'F', '\0', /* TOKEN_EXCLUDE_PERF (59821) */
	'T', 'O', 'K', 'E', 'N', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '\0', /* TOKEN_EXCLUDE (59840) */
	'R', 'E', 'G', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '_', 'S', 'Q', 'D', 'E', 'C', '\0', /* REG_INCLUDE_SQDEC (59854) */
	'R', 'E', 'G', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '_', 'S', 'H', 'D', 'E', 'C', '\0', /* REG_INCLUDE_SHDEC (59872) */
	'R', 'E', 'G', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '_', 'G', 'F', 'X', 'U', 'D', 'E', 'C', '\0', /* REG_INCLUDE_GFXUDEC (59890) */
	'R', 'E', 'G', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '_', 'C', 'O', 'M', 'P', '\0', /* REG_INCLUDE_COMP (59910) */
	'R', 'E', 'G', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '\0', /* REG_INCLUDE_CONTEXT (59927) */
	'R', 'E', 'G', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* REG_INCLUDE_CONFIG (59947) */
	'R', 'E', 'G', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '_', 'O', 'T', 'H', 'E', 'R', '\0', /* REG_INCLUDE_OTHER (59966) */
	'R', 'E', 'G', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '_', 'R', 'E', 'A', 'D', 'S', '\0', /* REG_INCLUDE_READS (59984) */
	'R', 'E', 'G', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '\0', /* REG_INCLUDE (60002) */
	'I', 'N', 'S', 'T', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '\0', /* INST_EXCLUDE (60014) */
	'R', 'E', 'G', '_', 'D', 'E', 'T', 'A', 'I', 'L', '_', 'A', 'L', 'L', '\0', /* REG_DETAIL_ALL (60027) */
	'A', 'L', 'L', '_', 'V', 'M', 'I', 'D', '\0', /* ALL_VMID (60042) */
	'C', 'H', '_', 'P', 'E', 'R', 'F', '_', 'E', 'N', '\0', /* CH_PERF_EN (60051) */
	'I', 'N', 'T', 'E', 'R', 'R', 'U', 'P', 'T', '_', 'E', 'N', '\0', /* INTERRUPT_EN (60062) */
	'D', 'O', 'U', 'B', 'L', 'E', '_', 'B', 'U', 'F', 'F', 'E', 'R', '\0', /* DOUBLE_BUFFER (60075) */
	'R', 'E', 'G', '_', 'S', 'T', 'A', 'L', 'L', '_', 'E', 'N', '\0', /* REG_STALL_EN (60089) */
	'S', 'P', 'I', '_', 'S', 'T', 'A', 'L', 'L', '_', 'E', 'N', '\0', /* SPI_STALL_EN (60102) */
	'S', 'Q', '_', 'S', 'T', 'A', 'L', 'L', '_', 'E', 'N', '\0', /* SQ_STALL_EN (60115) */
	'R', 'E', 'G', '_', 'D', 'R', 'O', 'P', '_', 'O', 'N', '_', 'S', 'T', 'A', 'L', 'L', '\0', /* REG_DROP_ON_STALL (60127) */
	'U', 'T', 'I', 'L', '_', 'T', 'I', 'M', 'E', 'R', '\0', /* UTIL_TIMER (60145) */
	'W', 'A', 'V', 'E', 'S', 'T', 'A', 'R', 'T', '_', 'M', 'O', 'D', 'E', '\0', /* WAVESTART_MODE (60156) */
	'R', 'T', '_', 'F', 'R', 'E', 'Q', '\0', /* RT_FREQ (60171) */
	'S', 'Y', 'N', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'M', 'A', 'R', 'K', 'E', 'R', 'S', '\0', /* SYNC_COUNT_MARKERS (60179) */
	'S', 'Y', 'N', 'C', '_', 'C', 'O', 'U', 'N', 'T', '_', 'D', 'R', 'A', 'W', 'S', '\0', /* SYNC_COUNT_DRAWS (60198) */
	'C', 'A', 'P', 'T', 'U', 'R', 'E', '_', 'A', 'L', 'L', '\0', /* CAPTURE_ALL (60215) */
	'D', 'R', 'A', 'W', '_', 'E', 'V', 'E', 'N', 'T', '_', 'E', 'N', '\0', /* DRAW_EVENT_EN (60227) */
	'F', 'I', 'N', 'I', 'S', 'H', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* FINISH_PENDING (60241) */
	'F', 'I', 'N', 'I', 'S', 'H', '_', 'D', 'O', 'N', 'E', '\0', /* FINISH_DONE (60256, 60263) */
	'U', 'T', 'C', '_', 'E', 'R', 'R', '\0', /* UTC_ERR (60268) */
	'E', 'V', 'E', 'N', 'T', '_', 'C', 'N', 'T', 'R', '_', 'O', 'V', 'E', 'R', 'F', 'L', 'O', 'W', '\0', /* EVENT_CNTR_OVERFLOW (60276) */
	'E', 'V', 'E', 'N', 'T', '_', 'C', 'N', 'T', 'R', '_', 'S', 'T', 'A', 'L', 'L', '\0', /* EVENT_CNTR_STALL (60296) */
	'S', 'Q', '_', 'E', 'X', 'P', '_', 'M', 'R', 'T', '\0', /* SQ_EXP_MRT (60313) */
	'S', 'Q', '_', 'E', 'X', 'P', '_', 'M', 'R', 'T', 'Z', '\0', /* SQ_EXP_MRTZ (60324) */
	'S', 'Q', '_', 'E', 'X', 'P', '_', 'N', 'U', 'L', 'L', '\0', /* SQ_EXP_NULL (60336) */
	'S', 'Q', '_', 'E', 'X', 'P', '_', 'P', 'O', 'S', '\0', /* SQ_EXP_POS (60348) */
	'S', 'Q', '_', 'E', 'X', 'P', '_', 'P', 'R', 'I', 'M', '\0', /* SQ_EXP_PRIM (60359) */
	'S', 'Q', '_', 'E', 'X', 'P', '_', 'P', 'A', 'R', 'A', 'M', '\0', /* SQ_EXP_PARAM (60371) */
	'T', 'G', 'T', '\0', /* TGT (60384) */
	'C', 'O', 'M', 'P', 'R', '\0', /* COMPR (60388) */
	'V', 'M', '\0', /* VM (60394) */
	'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', 'E', 'S', 'S', '\0', /* BASE_ADDRESS (60397) */
	'B', 'A', 'S', 'E', '_', 'A', 'D', 'D', 'R', 'E', 'S', 'S', '_', 'H', 'I', '\0', /* BASE_ADDRESS_HI (60410, 60415) */
	'C', 'A', 'C', 'H', 'E', '_', 'S', 'W', 'I', 'Z', 'Z', 'L', 'E', '\0', /* CACHE_SWIZZLE (60426) */
	'S', 'W', 'I', 'Z', 'Z', 'L', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* SWIZZLE_ENABLE (60440) */
	'N', 'U', 'M', '_', 'R', 'E', 'C', 'O', 'R', 'D', 'S', '\0', /* NUM_RECORDS (60455) */
	'D', 'S', 'T', '_', 'S', 'E', 'L', '_', 'X', '\0', /* DST_SEL_X (60467) */
	'D', 'S', 'T', '_', 'S', 'E', 'L', '_', 'Y', '\0', /* DST_SEL_Y (60477) */
	'D', 'S', 'T', '_', 'S', 'E', 'L', '_', 'Z', '\0', /* DST_SEL_Z (60487) */
	'D', 'S', 'T', '_', 'S', 'E', 'L', '_', 'W', '\0', /* DST_SEL_W (60497) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', '\0', /* IMG_FORMAT_INVALID (60507) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_8_UNORM (60526) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_8_SNORM (60545) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_8_USCALED (60564) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_8_SSCALED (60585) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_8_UINT (60606) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_8_SINT (60624) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_16_UNORM (60642) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_16_SNORM (60662) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_16_USCALED (60682) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_16_SSCALED (60704) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_16_UINT (60726) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_16_SINT (60745) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_16_FLOAT (60764) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_8_8_UNORM (60784) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_8_8_SNORM (60805) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_8_8_USCALED (60826) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_8_8_SSCALED (60849) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_8_8_UINT (60872) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_8_8_SINT (60892) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_32_UINT (60912) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_32_SINT (60931) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_32_FLOAT (60950) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_16_16_UNORM (60970) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_16_16_SNORM (60993) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_16_16_USCALED (61016) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_16_16_SSCALED (61041) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_16_16_UINT (61066) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_16_16_SINT (61088) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_16_16_FLOAT (61110) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '1', '_', '1', '1', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_10_11_11_UNORM (61133) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '1', '_', '1', '1', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_10_11_11_SNORM (61159) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '1', '_', '1', '1', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_10_11_11_USCALED (61185) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '1', '_', '1', '1', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_10_11_11_SSCALED (61213) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '1', '_', '1', '1', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_10_11_11_UINT (61241) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '1', '_', '1', '1', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_10_11_11_SINT (61266) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '1', '_', '1', '1', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_10_11_11_FLOAT (61291) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '1', '_', '1', '1', '_', '1', '0', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_11_11_10_UNORM (61317) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '1', '_', '1', '1', '_', '1', '0', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_11_11_10_SNORM (61343) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '1', '_', '1', '1', '_', '1', '0', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_11_11_10_USCALED (61369) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '1', '_', '1', '1', '_', '1', '0', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_11_11_10_SSCALED (61397) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '1', '_', '1', '1', '_', '1', '0', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_11_11_10_UINT (61425) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '1', '_', '1', '1', '_', '1', '0', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_11_11_10_SINT (61450) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '1', '_', '1', '1', '_', '1', '0', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_11_11_10_FLOAT (61475) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', '2', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_10_10_10_2_UNORM (61501) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', '2', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_10_10_10_2_SNORM (61529) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', '2', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_10_10_10_2_USCALED (61557) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', '2', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_10_10_10_2_SSCALED (61587) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', '2', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_10_10_10_2_UINT (61617) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', '2', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_10_10_10_2_SINT (61644) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_2_10_10_10_UNORM (61671) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_2_10_10_10_SNORM (61699) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_2_10_10_10_USCALED (61727) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_2_10_10_10_SSCALED (61757) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_2_10_10_10_UINT (61787) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_2_10_10_10_SINT (61814) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', '8', '_', '8', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_8_8_8_8_UNORM (61841) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', '8', '_', '8', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_8_8_8_8_SNORM (61866) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', '8', '_', '8', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_8_8_8_8_USCALED (61891) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', '8', '_', '8', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_8_8_8_8_SSCALED (61918) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', '8', '_', '8', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_8_8_8_8_UINT (61945) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', '8', '_', '8', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_8_8_8_8_SINT (61969) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_32_32_UINT (61993) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_32_32_SINT (62015) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_32_32_FLOAT (62037) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_16_16_16_16_UNORM (62060) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_16_16_16_16_SNORM (62089) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_16_16_16_16_USCALED (62118) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_16_16_16_16_SSCALED (62149) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_16_16_16_16_UINT (62180) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_16_16_16_16_SINT (62208) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_16_16_16_16_FLOAT (62236) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_32_32_32_UINT (62265) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_32_32_32_SINT (62290) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_32_32_32_FLOAT (62315) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_32_32_32_32_UINT (62341) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_32_32_32_32_SINT (62369) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_32_32_32_32_FLOAT (62397) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_FORMAT_8_SRGB (62426) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_FORMAT_8_8_SRGB (62444) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', '8', '_', '8', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_FORMAT_8_8_8_8_SRGB (62464) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '6', 'E', '4', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_6E4_FLOAT (62488) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '5', '_', '9', '_', '9', '_', '9', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_5_9_9_9_FLOAT (62509) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '5', '_', '6', '_', '5', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_5_6_5_UNORM (62534) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '_', '5', '_', '5', '_', '5', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_1_5_5_5_UNORM (62557) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '5', '_', '5', '_', '5', '_', '1', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_5_5_5_1_UNORM (62582) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '4', '_', '4', '_', '4', '_', '4', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_4_4_4_4_UNORM (62607) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '4', '_', '4', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_4_4_UNORM (62632) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_1_UNORM (62653) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '_', 'R', 'E', 'V', 'E', 'R', 'S', 'E', 'D', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_1_REVERSED_UNORM (62672) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', 'F', 'L', 'O', 'A', 'T', '_', 'C', 'L', 'A', 'M', 'P', '\0', /* IMG_FORMAT_32_FLOAT_CLAMP (62700) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '2', '4', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_8_24_UNORM (62726) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '2', '4', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_8_24_UINT (62748) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '4', '_', '8', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_24_8_UNORM (62769) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '4', '_', '8', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_24_8_UINT (62791) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'X', '2', '4', '_', '8', '_', '3', '2', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_X24_8_32_UINT (62812) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'X', '2', '4', '_', '8', '_', '3', '2', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_X24_8_32_FLOAT (62837) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'G', 'B', '_', 'G', 'R', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_GB_GR_UNORM (62863) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'G', 'B', '_', 'G', 'R', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_GB_GR_SNORM (62886) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'G', 'B', '_', 'G', 'R', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_GB_GR_UINT (62909) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'G', 'B', '_', 'G', 'R', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_FORMAT_GB_GR_SRGB (62931) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'G', '_', 'R', 'G', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_BG_RG_UNORM (62953) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'G', '_', 'R', 'G', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_BG_RG_SNORM (62976) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'G', '_', 'R', 'G', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_BG_RG_UINT (62999) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'G', '_', 'R', 'G', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_FORMAT_BG_RG_SRGB (63021) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '2', '_', 'F', '1', '\0', /* IMG_FORMAT_FMASK8_S2_F1 (63043) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '4', '_', 'F', '1', '\0', /* IMG_FORMAT_FMASK8_S4_F1 (63067) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '8', '_', 'F', '1', '\0', /* IMG_FORMAT_FMASK8_S8_F1 (63091) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '2', '_', 'F', '2', '\0', /* IMG_FORMAT_FMASK8_S2_F2 (63115) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '4', '_', 'F', '2', '\0', /* IMG_FORMAT_FMASK8_S4_F2 (63139) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '4', '_', 'F', '4', '\0', /* IMG_FORMAT_FMASK8_S4_F4 (63163) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '1', '6', '_', 'S', '1', '6', '_', 'F', '1', '\0', /* IMG_FORMAT_FMASK16_S16_F1 (63187) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '1', '6', '_', 'S', '8', '_', 'F', '2', '\0', /* IMG_FORMAT_FMASK16_S8_F2 (63213) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '3', '2', '_', 'S', '1', '6', '_', 'F', '2', '\0', /* IMG_FORMAT_FMASK32_S16_F2 (63238) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '3', '2', '_', 'S', '8', '_', 'F', '4', '\0', /* IMG_FORMAT_FMASK32_S8_F4 (63264) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '3', '2', '_', 'S', '8', '_', 'F', '8', '\0', /* IMG_FORMAT_FMASK32_S8_F8 (63289) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '6', '4', '_', 'S', '1', '6', '_', 'F', '4', '\0', /* IMG_FORMAT_FMASK64_S16_F4 (63314) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '6', '4', '_', 'S', '1', '6', '_', 'F', '8', '\0', /* IMG_FORMAT_FMASK64_S16_F8 (63340) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '1', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_BC1_UNORM (63366) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '1', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_FORMAT_BC1_SRGB (63387) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '2', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_BC2_UNORM (63407) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '2', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_FORMAT_BC2_SRGB (63428) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '3', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_BC3_UNORM (63448) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '3', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_FORMAT_BC3_SRGB (63469) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '4', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_BC4_UNORM (63489) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '4', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_BC4_SNORM (63510) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '5', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_BC5_UNORM (63531) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '5', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_BC5_SNORM (63552) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '6', '_', 'U', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_BC6_UFLOAT (63573) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '6', '_', 'S', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_BC6_SFLOAT (63595) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '7', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_BC7_UNORM (63617) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '7', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_FORMAT_BC7_SRGB (63638) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '8', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_MM_8_UNORM (63658) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '8', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_MM_8_UINT (63680) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '8', '_', '8', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_MM_8_8_UNORM (63701) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '8', '_', '8', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_MM_8_8_UINT (63725) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '8', '_', '8', '_', '8', '_', '8', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_MM_8_8_8_8_UNORM (63748) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '8', '_', '8', '_', '8', '_', '8', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_MM_8_8_8_8_UINT (63776) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', 'V', 'Y', 'U', 'Y', '8', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_MM_VYUY8_UNORM (63803) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', 'V', 'Y', 'U', 'Y', '8', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_MM_VYUY8_UINT (63829) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '1', '0', '_', '1', '1', '_', '1', '1', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_MM_10_11_11_UNORM (63854) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '1', '0', '_', '1', '1', '_', '1', '1', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_MM_10_11_11_UINT (63883) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_MM_2_10_10_10_UNORM (63911) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_MM_2_10_10_10_UINT (63942) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_MM_16_16_16_16_UNORM (63972) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_MM_16_16_16_16_UINT (64004) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '1', '0', '_', 'I', 'N', '_', '1', '6', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_MM_10_IN_16_UNORM (64035) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '1', '0', '_', 'I', 'N', '_', '1', '6', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_MM_10_IN_16_UINT (64064) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '1', '0', '_', 'I', 'N', '_', '1', '6', '_', '1', '6', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_MM_10_IN_16_16_UNORM (64092) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '1', '0', '_', 'I', 'N', '_', '1', '6', '_', '1', '6', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_MM_10_IN_16_16_UINT (64124) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '1', '0', '_', 'I', 'N', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'U', 'N', 'O', 'R', 'M', ' ', '\0', /* IMG_FORMAT_MM_10_IN_16_16_16_16_UNORM  (64155) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'M', 'M', '_', '1', '0', '_', 'I', 'N', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_MM_10_IN_16_16_16_16_UINT (64194) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '7', 'E', '3', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_FORMAT_7E3_FLOAT (64231) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'Y', 'C', 'B', 'C', 'R', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_YCBCR_UNORM (64252) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'Y', 'C', 'B', 'C', 'R', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_FORMAT_YCBCR_SNORM (64275) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'Y', 'C', 'B', 'C', 'R', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_YCBCR_USCALED (64298) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'Y', 'C', 'B', 'C', 'R', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_FORMAT_YCBCR_SSCALED (64323) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'Y', 'C', 'B', 'C', 'R', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_FORMAT_YCBCR_UINT (64348) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'Y', 'C', 'B', 'C', 'R', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_FORMAT_YCBCR_SINT (64370) */
	'I', 'M', 'G', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'Y', 'C', 'B', 'C', 'R', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_FORMAT_YCBCR_SRGB (64392) */
	'I', 'N', 'D', 'E', 'X', '_', 'S', 'T', 'R', 'I', 'D', 'E', '\0', /* INDEX_STRIDE (64414) */
	'A', 'D', 'D', '_', 'T', 'I', 'D', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* ADD_TID_ENABLE (64427) */
	'R', 'E', 'S', 'O', 'U', 'R', 'C', 'E', '_', 'L', 'E', 'V', 'E', 'L', '\0', /* RESOURCE_LEVEL (64442) */
	'O', 'O', 'B', '_', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'S', 'T', 'R', 'U', 'C', 'T', 'U', 'R', 'E', 'D', '_', 'W', 'I', 'T', 'H', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* OOB_SELECT_STRUCTURED_WITH_OFFSET (64457) */
	'O', 'O', 'B', '_', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'S', 'T', 'R', 'U', 'C', 'T', 'U', 'R', 'E', 'D', '\0', /* OOB_SELECT_STRUCTURED (64491) */
	'O', 'O', 'B', '_', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', 'D', '\0', /* OOB_SELECT_DISABLED (64513) */
	'O', 'O', 'B', '_', 'S', 'E', 'L', 'E', 'C', 'T', '_', 'R', 'A', 'W', '\0', /* OOB_SELECT_RAW (64533, 64544) */
	'O', 'O', 'B', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* OOB_SELECT (64548) */
	'C', 'L', 'A', 'M', 'P', '_', 'X', '\0', /* CLAMP_X (64559) */
	'C', 'L', 'A', 'M', 'P', '_', 'Y', '\0', /* CLAMP_Y (64567) */
	'C', 'L', 'A', 'M', 'P', '_', 'Z', '\0', /* CLAMP_Z (64575) */
	'M', 'A', 'X', '_', 'A', 'N', 'I', 'S', 'O', '_', 'R', 'A', 'T', 'I', 'O', '\0', /* MAX_ANISO_RATIO (64583) */
	'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'F', 'U', 'N', 'C', '\0', /* DEPTH_COMPARE_FUNC (64599) */
	'F', 'O', 'R', 'C', 'E', '_', 'U', 'N', 'N', 'O', 'R', 'M', 'A', 'L', 'I', 'Z', 'E', 'D', '\0', /* FORCE_UNNORMALIZED (64618) */
	'A', 'N', 'I', 'S', 'O', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '\0', /* ANISO_THRESHOLD (64637) */
	'M', 'C', '_', 'C', 'O', 'O', 'R', 'D', '_', 'T', 'R', 'U', 'N', 'C', '\0', /* MC_COORD_TRUNC (64653) */
	'F', 'O', 'R', 'C', 'E', '_', 'D', 'E', 'G', 'A', 'M', 'M', 'A', '\0', /* FORCE_DEGAMMA (64668) */
	'A', 'N', 'I', 'S', 'O', '_', 'B', 'I', 'A', 'S', '\0', /* ANISO_BIAS (64682) */
	'T', 'R', 'U', 'N', 'C', '_', 'C', 'O', 'O', 'R', 'D', '\0', /* TRUNC_COORD (64693) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'C', 'U', 'B', 'E', '_', 'W', 'R', 'A', 'P', '\0', /* DISABLE_CUBE_WRAP (64705, 64718) */
	'F', 'I', 'L', 'T', 'E', 'R', '_', 'M', 'O', 'D', 'E', '\0', /* FILTER_MODE (64723) */
	'S', 'K', 'I', 'P', '_', 'D', 'E', 'G', 'A', 'M', 'M', 'A', '\0', /* SKIP_DEGAMMA (64735) */
	'M', 'I', 'N', '_', 'L', 'O', 'D', '\0', /* MIN_LOD (64748) */
	'M', 'A', 'X', '_', 'L', 'O', 'D', '\0', /* MAX_LOD (64756) */
	'P', 'E', 'R', 'F', '_', 'M', 'I', 'P', '\0', /* PERF_MIP (64764) */
	'P', 'E', 'R', 'F', '_', 'Z', '\0', /* PERF_Z (64773) */
	'L', 'O', 'D', '_', 'B', 'I', 'A', 'S', '\0', /* LOD_BIAS (64780) */
	'B', 'O', 'R', 'D', 'E', 'R', '_', 'C', 'O', 'L', 'O', 'R', '_', 'P', 'T', 'R', '\0', /* BORDER_COLOR_PTR (64789) */
	'B', 'O', 'R', 'D', 'E', 'R', '_', 'C', 'O', 'L', 'O', 'R', '_', 'T', 'Y', 'P', 'E', '\0', /* BORDER_COLOR_TYPE (64806) */
	'L', 'O', 'D', '_', 'B', 'I', 'A', 'S', '_', 'S', 'E', 'C', '\0', /* LOD_BIAS_SEC (64824) */
	'X', 'Y', '_', 'M', 'A', 'G', '_', 'F', 'I', 'L', 'T', 'E', 'R', '\0', /* XY_MAG_FILTER (64837) */
	'X', 'Y', '_', 'M', 'I', 'N', '_', 'F', 'I', 'L', 'T', 'E', 'R', '\0', /* XY_MIN_FILTER (64851) */
	'Z', '_', 'F', 'I', 'L', 'T', 'E', 'R', '\0', /* Z_FILTER (64865) */
	'M', 'I', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '\0', /* MIP_FILTER (64874) */
	'M', 'I', 'P', '_', 'P', 'O', 'I', 'N', 'T', '_', 'P', 'R', 'E', 'C', 'L', 'A', 'M', 'P', '\0', /* MIP_POINT_PRECLAMP (64885) */
	'A', 'N', 'I', 'S', 'O', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* ANISO_OVERRIDE (64904) */
	'B', 'L', 'E', 'N', 'D', '_', 'Z', 'E', 'R', 'O', '_', 'P', 'R', 'T', '\0', /* BLEND_ZERO_PRT (64919) */
	'D', 'E', 'R', 'I', 'V', '_', 'A', 'D', 'J', 'U', 'S', 'T', '_', 'E', 'N', '\0', /* DERIV_ADJUST_EN (64934) */
	'G', 'P', 'R', '_', 'W', 'R', 'I', 'T', 'E', '_', 'P', 'R', 'I', 'O', 'R', 'I', 'T', 'Y', '\0', /* GPR_WRITE_PRIORITY (64950, 64960) */
	'E', 'X', 'P', '_', 'P', 'R', 'I', 'O', 'R', 'I', 'T', 'Y', '_', 'O', 'R', 'D', 'E', 'R', '\0', /* EXP_PRIORITY_ORDER (64969) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'S', 'Q', 'G', '_', 'T', 'O', 'P', '_', 'E', 'V', 'E', 'N', 'T', 'S', '\0', /* ENABLE_SQG_TOP_EVENTS (64988) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'S', 'Q', 'G', '_', 'B', 'O', 'P', '_', 'E', 'V', 'E', 'N', 'T', 'S', '\0', /* ENABLE_SQG_BOP_EVENTS (65010) */
	'R', 'S', 'R', 'C', '_', 'M', 'G', 'M', 'T', '_', 'R', 'E', 'S', 'E', 'T', '\0', /* RSRC_MGMT_RESET (65032) */
	'T', 'T', 'R', 'A', 'C', 'E', '_', 'S', 'T', 'A', 'L', 'L', '_', 'A', 'L', 'L', '\0', /* TTRACE_STALL_ALL (65048) */
	'A', 'L', 'L', 'O', 'C', '_', 'A', 'R', 'B', '_', 'L', 'R', 'U', '_', 'E', 'N', 'A', '\0', /* ALLOC_ARB_LRU_ENA (65065) */
	'E', 'X', 'P', '_', 'A', 'R', 'B', '_', 'L', 'R', 'U', '_', 'E', 'N', 'A', '\0', /* EXP_ARB_LRU_ENA (65083) */
	'P', 'S', '_', 'P', 'K', 'R', '_', 'P', 'R', 'I', 'O', 'R', 'I', 'T', 'Y', '_', 'C', 'N', 'T', 'L', '\0', /* PS_PKR_PRIORITY_CNTL (65099) */
	'N', 'U', 'M', '_', 'P', 'I', 'P', 'E', 'S', '\0', /* NUM_PIPES (65120) */
	'P', 'I', 'P', 'E', '_', 'I', 'N', 'T', 'E', 'R', 'L', 'E', 'A', 'V', 'E', '_', 'S', 'I', 'Z', 'E', '\0', /* PIPE_INTERLEAVE_SIZE (65130) */
	'M', 'A', 'X', '_', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', 'E', 'D', '_', 'F', 'R', 'A', 'G', 'S', '\0', /* MAX_COMPRESSED_FRAGS (65151) */
	'N', 'U', 'M', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'E', 'N', 'G', 'I', 'N', 'E', 'S', '\0', /* NUM_SHADER_ENGINES (65172) */
	'N', 'U', 'M', '_', 'R', 'B', '_', 'P', 'E', 'R', '_', 'S', 'E', '\0', /* NUM_RB_PER_SE (65191) */
	'A', 'R', 'R', 'A', 'Y', '_', 'L', 'I', 'N', 'E', 'A', 'R', '_', 'G', 'E', 'N', 'E', 'R', 'A', 'L', '\0', /* ARRAY_LINEAR_GENERAL (65205, 65211) */
	'A', 'R', 'R', 'A', 'Y', '_', 'L', 'I', 'N', 'E', 'A', 'R', '_', 'A', 'L', 'I', 'G', 'N', 'E', 'D', '\0', /* ARRAY_LINEAR_ALIGNED (65226) */
	'A', 'R', 'R', 'A', 'Y', '_', '1', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'N', '1', '\0', /* ARRAY_1D_TILED_THIN1 (65247) */
	'A', 'R', 'R', 'A', 'Y', '_', '1', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'C', 'K', '\0', /* ARRAY_1D_TILED_THICK (65268) */
	'A', 'R', 'R', 'A', 'Y', '_', '2', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'N', '1', '\0', /* ARRAY_2D_TILED_THIN1 (65289) */
	'A', 'R', 'R', 'A', 'Y', '_', 'P', 'R', 'T', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'N', '1', '\0', /* ARRAY_PRT_TILED_THIN1 (65310) */
	'A', 'R', 'R', 'A', 'Y', '_', 'P', 'R', 'T', '_', '2', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'N', '1', '\0', /* ARRAY_PRT_2D_TILED_THIN1 (65332) */
	'A', 'R', 'R', 'A', 'Y', '_', '2', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'C', 'K', '\0', /* ARRAY_2D_TILED_THICK (65357) */
	'A', 'R', 'R', 'A', 'Y', '_', '2', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'X', 'T', 'H', 'I', 'C', 'K', '\0', /* ARRAY_2D_TILED_XTHICK (65378) */
	'A', 'R', 'R', 'A', 'Y', '_', 'P', 'R', 'T', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'C', 'K', '\0', /* ARRAY_PRT_TILED_THICK (65400) */
	'A', 'R', 'R', 'A', 'Y', '_', 'P', 'R', 'T', '_', '2', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'C', 'K', '\0', /* ARRAY_PRT_2D_TILED_THICK (65422) */
	'A', 'R', 'R', 'A', 'Y', '_', 'P', 'R', 'T', '_', '3', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'N', '1', '\0', /* ARRAY_PRT_3D_TILED_THIN1 (65447) */
	'A', 'R', 'R', 'A', 'Y', '_', '3', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'N', '1', '\0', /* ARRAY_3D_TILED_THIN1 (65472) */
	'A', 'R', 'R', 'A', 'Y', '_', '3', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'C', 'K', '\0', /* ARRAY_3D_TILED_THICK (65493) */
	'A', 'R', 'R', 'A', 'Y', '_', '3', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'X', 'T', 'H', 'I', 'C', 'K', '\0', /* ARRAY_3D_TILED_XTHICK (65514) */
	'A', 'R', 'R', 'A', 'Y', '_', 'P', 'R', 'T', '_', '3', 'D', '_', 'T', 'I', 'L', 'E', 'D', '_', 'T', 'H', 'I', 'C', 'K', '\0', /* ARRAY_PRT_3D_TILED_THICK (65536) */
	'A', 'R', 'R', 'A', 'Y', '_', 'M', 'O', 'D', 'E', '\0', /* ARRAY_MODE (65561) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '2', '\0', /* ADDR_SURF_P2 (65572) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '2', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '0', '\0', /* ADDR_SURF_P2_RESERVED0 (65585) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '2', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '1', '\0', /* ADDR_SURF_P2_RESERVED1 (65608, 65621) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '2', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '2', '\0', /* ADDR_SURF_P2_RESERVED2 (65631, 65644) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '4', '_', '8', 'x', '1', '6', '\0', /* ADDR_SURF_P4_8x16 (65654) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '4', '_', '1', '6', 'x', '1', '6', '\0', /* ADDR_SURF_P4_16x16 (65672) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '4', '_', '1', '6', 'x', '3', '2', '\0', /* ADDR_SURF_P4_16x32 (65691) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '4', '_', '3', '2', 'x', '3', '2', '\0', /* ADDR_SURF_P4_32x32 (65710) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '8', '_', '1', '6', 'x', '1', '6', '_', '8', 'x', '1', '6', '\0', /* ADDR_SURF_P8_16x16_8x16 (65729) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '8', '_', '1', '6', 'x', '3', '2', '_', '8', 'x', '1', '6', '\0', /* ADDR_SURF_P8_16x32_8x16 (65753) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '8', '_', '3', '2', 'x', '3', '2', '_', '8', 'x', '1', '6', '\0', /* ADDR_SURF_P8_32x32_8x16 (65777) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '8', '_', '1', '6', 'x', '3', '2', '_', '1', '6', 'x', '1', '6', '\0', /* ADDR_SURF_P8_16x32_16x16 (65801) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '8', '_', '3', '2', 'x', '3', '2', '_', '1', '6', 'x', '1', '6', '\0', /* ADDR_SURF_P8_32x32_16x16 (65826) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '8', '_', '3', '2', 'x', '3', '2', '_', '1', '6', 'x', '3', '2', '\0', /* ADDR_SURF_P8_32x32_16x32 (65851) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '8', '_', '3', '2', 'x', '6', '4', '_', '3', '2', 'x', '3', '2', '\0', /* ADDR_SURF_P8_32x64_32x32 (65876) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '8', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '0', '\0', /* ADDR_SURF_P8_RESERVED0 (65901) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '1', '6', '_', '3', '2', 'x', '3', '2', '_', '8', 'x', '1', '6', '\0', /* ADDR_SURF_P16_32x32_8x16 (65924) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '1', '6', '_', '3', '2', 'x', '3', '2', '_', '1', '6', 'x', '1', '6', '\0', /* ADDR_SURF_P16_32x32_16x16 (65949) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'P', '1', '6', '\0', /* ADDR_SURF_P16 (65975) */
	'P', 'I', 'P', 'E', '_', 'C', 'O', 'N', 'F', 'I', 'G', '\0', /* PIPE_CONFIG (65989) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'T', 'I', 'L', 'E', '_', 'S', 'P', 'L', 'I', 'T', '_', '6', '4', 'B', '\0', /* ADDR_SURF_TILE_SPLIT_64B (66001) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'T', 'I', 'L', 'E', '_', 'S', 'P', 'L', 'I', 'T', '_', '1', '2', '8', 'B', '\0', /* ADDR_SURF_TILE_SPLIT_128B (66026) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'T', 'I', 'L', 'E', '_', 'S', 'P', 'L', 'I', 'T', '_', '2', '5', '6', 'B', '\0', /* ADDR_SURF_TILE_SPLIT_256B (66052) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'T', 'I', 'L', 'E', '_', 'S', 'P', 'L', 'I', 'T', '_', '5', '1', '2', 'B', '\0', /* ADDR_SURF_TILE_SPLIT_512B (66078) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'T', 'I', 'L', 'E', '_', 'S', 'P', 'L', 'I', 'T', '_', '1', 'K', 'B', '\0', /* ADDR_SURF_TILE_SPLIT_1KB (66104) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'T', 'I', 'L', 'E', '_', 'S', 'P', 'L', 'I', 'T', '_', '2', 'K', 'B', '\0', /* ADDR_SURF_TILE_SPLIT_2KB (66129) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'T', 'I', 'L', 'E', '_', 'S', 'P', 'L', 'I', 'T', '_', '4', 'K', 'B', '\0', /* ADDR_SURF_TILE_SPLIT_4KB (66154) */
	'T', 'I', 'L', 'E', '_', 'S', 'P', 'L', 'I', 'T', '\0', /* TILE_SPLIT (66179) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'D', 'I', 'S', 'P', 'L', 'A', 'Y', '_', 'M', 'I', 'C', 'R', 'O', '_', 'T', 'I', 'L', 'I', 'N', 'G', '\0', /* ADDR_SURF_DISPLAY_MICRO_TILING (66190) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'T', 'H', 'I', 'N', '_', 'M', 'I', 'C', 'R', 'O', '_', 'T', 'I', 'L', 'I', 'N', 'G', '\0', /* ADDR_SURF_THIN_MICRO_TILING (66221) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'D', 'E', 'P', 'T', 'H', '_', 'M', 'I', 'C', 'R', 'O', '_', 'T', 'I', 'L', 'I', 'N', 'G', '\0', /* ADDR_SURF_DEPTH_MICRO_TILING (66249) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'R', 'O', 'T', 'A', 'T', 'E', 'D', '_', 'M', 'I', 'C', 'R', 'O', '_', 'T', 'I', 'L', 'I', 'N', 'G', '\0', /* ADDR_SURF_ROTATED_MICRO_TILING (66278) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'T', 'H', 'I', 'C', 'K', '_', 'M', 'I', 'C', 'R', 'O', '_', 'T', 'I', 'L', 'I', 'N', 'G', '\0', /* ADDR_SURF_THICK_MICRO_TILING (66309) */
	'M', 'I', 'C', 'R', 'O', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '_', 'N', 'E', 'W', '\0', /* MICRO_TILE_MODE_NEW (66338) */
	'S', 'A', 'M', 'P', 'L', 'E', '_', 'S', 'P', 'L', 'I', 'T', '\0', /* SAMPLE_SPLIT (66358) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'B', 'A', 'N', 'K', '_', 'W', 'I', 'D', 'T', 'H', '_', '1', '\0', /* ADDR_SURF_BANK_WIDTH_1 (66371) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'B', 'A', 'N', 'K', '_', 'W', 'I', 'D', 'T', 'H', '_', '2', '\0', /* ADDR_SURF_BANK_WIDTH_2 (66394) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'B', 'A', 'N', 'K', '_', 'W', 'I', 'D', 'T', 'H', '_', '4', '\0', /* ADDR_SURF_BANK_WIDTH_4 (66417) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'B', 'A', 'N', 'K', '_', 'W', 'I', 'D', 'T', 'H', '_', '8', '\0', /* ADDR_SURF_BANK_WIDTH_8 (66440) */
	'B', 'A', 'N', 'K', '_', 'W', 'I', 'D', 'T', 'H', '\0', /* BANK_WIDTH (66463, 66468) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'B', 'A', 'N', 'K', '_', 'H', 'E', 'I', 'G', 'H', 'T', '_', '1', '\0', /* ADDR_SURF_BANK_HEIGHT_1 (66474) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'B', 'A', 'N', 'K', '_', 'H', 'E', 'I', 'G', 'H', 'T', '_', '2', '\0', /* ADDR_SURF_BANK_HEIGHT_2 (66498) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'B', 'A', 'N', 'K', '_', 'H', 'E', 'I', 'G', 'H', 'T', '_', '4', '\0', /* ADDR_SURF_BANK_HEIGHT_4 (66522) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'B', 'A', 'N', 'K', '_', 'H', 'E', 'I', 'G', 'H', 'T', '_', '8', '\0', /* ADDR_SURF_BANK_HEIGHT_8 (66546) */
	'B', 'A', 'N', 'K', '_', 'H', 'E', 'I', 'G', 'H', 'T', '\0', /* BANK_HEIGHT (66570, 66575) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'M', 'A', 'C', 'R', 'O', '_', 'A', 'S', 'P', 'E', 'C', 'T', '_', '1', '\0', /* ADDR_SURF_MACRO_ASPECT_1 (66582) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'M', 'A', 'C', 'R', 'O', '_', 'A', 'S', 'P', 'E', 'C', 'T', '_', '2', '\0', /* ADDR_SURF_MACRO_ASPECT_2 (66607) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'M', 'A', 'C', 'R', 'O', '_', 'A', 'S', 'P', 'E', 'C', 'T', '_', '4', '\0', /* ADDR_SURF_MACRO_ASPECT_4 (66632) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'M', 'A', 'C', 'R', 'O', '_', 'A', 'S', 'P', 'E', 'C', 'T', '_', '8', '\0', /* ADDR_SURF_MACRO_ASPECT_8 (66657) */
	'M', 'A', 'C', 'R', 'O', '_', 'T', 'I', 'L', 'E', '_', 'A', 'S', 'P', 'E', 'C', 'T', '\0', /* MACRO_TILE_ASPECT (66682) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', '2', '_', 'B', 'A', 'N', 'K', '\0', /* ADDR_SURF_2_BANK (66700) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', '4', '_', 'B', 'A', 'N', 'K', '\0', /* ADDR_SURF_4_BANK (66717) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', '8', '_', 'B', 'A', 'N', 'K', '\0', /* ADDR_SURF_8_BANK (66734) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', '1', '6', '_', 'B', 'A', 'N', 'K', '\0', /* ADDR_SURF_16_BANK (66751) */
	'N', 'U', 'M', '_', 'B', 'A', 'N', 'K', 'S', '\0', /* NUM_BANKS (66769) */
	'W', 'I', 'D', 'T', 'H', '_', 'L', 'O', '\0', /* WIDTH_LO (66779) */
	'W', 'I', 'D', 'T', 'H', '_', 'H', 'I', '\0', /* WIDTH_HI (66788) */
	'B', 'A', 'S', 'E', '_', 'L', 'E', 'V', 'E', 'L', '\0', /* BASE_LEVEL (66797) */
	'L', 'A', 'S', 'T', '_', 'L', 'E', 'V', 'E', 'L', '\0', /* LAST_LEVEL (66808) */
	'S', 'W', '_', 'M', 'O', 'D', 'E', '\0', /* SW_MODE (66819) */
	'B', 'C', '_', 'S', 'W', 'I', 'Z', 'Z', 'L', 'E', '_', 'X', 'Y', 'Z', 'W', '\0', /* BC_SWIZZLE_XYZW (66827) */
	'B', 'C', '_', 'S', 'W', 'I', 'Z', 'Z', 'L', 'E', '_', 'X', 'W', 'Y', 'Z', '\0', /* BC_SWIZZLE_XWYZ (66843) */
	'B', 'C', '_', 'S', 'W', 'I', 'Z', 'Z', 'L', 'E', '_', 'W', 'Z', 'Y', 'X', '\0', /* BC_SWIZZLE_WZYX (66859) */
	'B', 'C', '_', 'S', 'W', 'I', 'Z', 'Z', 'L', 'E', '_', 'W', 'X', 'Y', 'Z', '\0', /* BC_SWIZZLE_WXYZ (66875) */
	'B', 'C', '_', 'S', 'W', 'I', 'Z', 'Z', 'L', 'E', '_', 'Z', 'Y', 'X', 'W', '\0', /* BC_SWIZZLE_ZYXW (66891) */
	'B', 'C', '_', 'S', 'W', 'I', 'Z', 'Z', 'L', 'E', '_', 'Y', 'X', 'W', 'Z', '\0', /* BC_SWIZZLE_YXWZ (66907) */
	'B', 'C', '_', 'S', 'W', 'I', 'Z', 'Z', 'L', 'E', '\0', /* BC_SWIZZLE (66923) */
	'B', 'A', 'S', 'E', '_', 'A', 'R', 'R', 'A', 'Y', '\0', /* BASE_ARRAY (66934) */
	'A', 'R', 'R', 'A', 'Y', '_', 'P', 'I', 'T', 'C', 'H', '\0', /* ARRAY_PITCH (66945) */
	'M', 'A', 'X', '_', 'M', 'I', 'P', '\0', /* MAX_MIP (66957) */
	'M', 'I', 'N', '_', 'L', 'O', 'D', '_', 'W', 'A', 'R', 'N', '\0', /* MIN_LOD_WARN (66965) */
	'P', 'E', 'R', 'F', '_', 'M', 'O', 'D', '\0', /* PERF_MOD (66978) */
	'C', 'O', 'R', 'N', 'E', 'R', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '\0', /* CORNER_SAMPLES (66987) */
	'L', 'O', 'D', '_', 'H', 'D', 'W', '_', 'C', 'N', 'T', '_', 'E', 'N', '\0', /* LOD_HDW_CNT_EN (67002) */
	'P', 'R', 'T', '_', 'D', 'E', 'F', 'A', 'U', 'L', 'T', '\0', /* PRT_DEFAULT (67017) */
	'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'B', 'A', 'N', 'K', '_', 'I', 'D', '\0', /* COUNTER_BANK_ID (67029) */
	'I', 'T', 'E', 'R', 'A', 'T', 'E', '_', '2', '5', '6', '\0', /* ITERATE_256 (67045) */
	'M', 'A', 'X', '_', 'U', 'N', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', 'E', 'D', '_', 'B', 'L', 'O', 'C', 'K', '_', 'S', 'I', 'Z', 'E', '\0', /* MAX_UNCOMPRESSED_BLOCK_SIZE (67057) */
	'M', 'A', 'X', '_', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', 'E', 'D', '_', 'B', 'L', 'O', 'C', 'K', '_', 'S', 'I', 'Z', 'E', '\0', /* MAX_COMPRESSED_BLOCK_SIZE (67085) */
	'M', 'E', 'T', 'A', '_', 'P', 'I', 'P', 'E', '_', 'A', 'L', 'I', 'G', 'N', 'E', 'D', '\0', /* META_PIPE_ALIGNED (67111, 67116) */
	'W', 'R', 'I', 'T', 'E', '_', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* WRITE_COMPRESS_ENABLE (67129) */
	'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', 'I', 'O', 'N', '_', 'E', 'N', '\0', /* COMPRESSION_EN (67151) */
	'A', 'L', 'P', 'H', 'A', '_', 'I', 'S', '_', 'O', 'N', '_', 'M', 'S', 'B', '\0', /* ALPHA_IS_ON_MSB (67166) */
	'C', 'O', 'L', 'O', 'R', '_', 'T', 'R', 'A', 'N', 'S', 'F', 'O', 'R', 'M', '\0', /* COLOR_TRANSFORM (67182) */
	'M', 'E', 'T', 'A', '_', 'D', 'A', 'T', 'A', '_', 'A', 'D', 'D', 'R', 'E', 'S', 'S', '_', 'L', 'O', '\0', /* META_DATA_ADDRESS_LO (67198) */
	'C', 'U', '_', 'E', 'N', '\0', /* CU_EN (67219) */
	'C', 'H', 'E', 'C', 'K', 'S', 'U', 'M', '\0', /* CHECKSUM (67225) */
	'W', 'A', 'V', 'E', '_', 'L', 'I', 'M', 'I', 'T', '\0', /* WAVE_LIMIT (67234, 67239) */
	'L', 'O', 'C', 'K', '_', 'L', 'O', 'W', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '\0', /* LOCK_LOW_THRESHOLD (67245) */
	'M', 'E', 'M', '_', 'B', 'A', 'S', 'E', '\0', /* MEM_BASE (67264) */
	'V', 'G', 'P', 'R', 'S', '\0', /* VGPRS (67273) */
	'S', 'G', 'P', 'R', 'S', '\0', /* SGPRS (67279) */
	'F', 'P', '_', '3', '2', '_', 'D', 'E', 'N', 'O', 'R', 'M', 'S', '\0', /* FP_32_DENORMS (67285) */
	'F', 'P', '_', '6', '4', '_', 'D', 'E', 'N', 'O', 'R', 'M', 'S', '\0', /* FP_64_DENORMS (67299) */
	'F', 'P', '_', 'A', 'L', 'L', '_', 'D', 'E', 'N', 'O', 'R', 'M', 'S', '\0', /* FP_ALL_DENORMS (67313) */
	'F', 'L', 'O', 'A', 'T', '_', 'M', 'O', 'D', 'E', '\0', /* FLOAT_MODE (67328) */
	'I', 'E', 'E', 'E', '_', 'M', 'O', 'D', 'E', '\0', /* IEEE_MODE (67339) */
	'C', 'U', '_', 'G', 'R', 'O', 'U', 'P', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* CU_GROUP_DISABLE (67349) */
	'M', 'E', 'M', '_', 'O', 'R', 'D', 'E', 'R', 'E', 'D', '\0', /* MEM_ORDERED (67366) */
	'S', 'C', 'R', 'A', 'T', 'C', 'H', '_', 'E', 'N', '\0', /* SCRATCH_EN (67378) */
	'U', 'S', 'E', 'R', '_', 'S', 'G', 'P', 'R', '\0', /* USER_SGPR (67389) */
	'T', 'R', 'A', 'P', '_', 'P', 'R', 'E', 'S', 'E', 'N', 'T', '\0', /* TRAP_PRESENT (67399) */
	'W', 'A', 'V', 'E', '_', 'C', 'N', 'T', '_', 'E', 'N', '\0', /* WAVE_CNT_EN (67412) */
	'E', 'X', 'T', 'R', 'A', '_', 'L', 'D', 'S', '_', 'S', 'I', 'Z', 'E', '\0', /* EXTRA_LDS_SIZE (67424) */
	'L', 'O', 'A', 'D', '_', 'C', 'O', 'L', 'L', 'I', 'S', 'I', 'O', 'N', '_', 'W', 'A', 'V', 'E', 'I', 'D', '\0', /* LOAD_COLLISION_WAVEID (67439) */
	'L', 'O', 'A', 'D', '_', 'I', 'N', 'T', 'R', 'A', 'W', 'A', 'V', 'E', '_', 'C', 'O', 'L', 'L', 'I', 'S', 'I', 'O', 'N', '\0', /* LOAD_INTRAWAVE_COLLISION (67461) */
	'U', 'S', 'E', 'R', '_', 'S', 'G', 'P', 'R', '_', 'M', 'S', 'B', '\0', /* USER_SGPR_MSB (67486) */
	'S', 'H', 'A', 'R', 'E', 'D', '_', 'V', 'G', 'P', 'R', '_', 'C', 'N', 'T', '\0', /* SHARED_VGPR_CNT (67500) */
	'S', 'O', 'F', 'T', '_', 'G', 'R', 'O', 'U', 'P', 'I', 'N', 'G', '_', 'E', 'N', '\0', /* SOFT_GROUPING_EN (67516) */
	'N', 'U', 'M', 'B', 'E', 'R', '_', 'O', 'F', '_', 'R', 'E', 'Q', 'U', 'E', 'S', 'T', 'S', '_', 'P', 'E', 'R', '_', 'C', 'U', '\0', /* NUMBER_OF_REQUESTS_PER_CU (67533) */
	'S', 'O', 'F', 'T', '_', 'G', 'R', 'O', 'U', 'P', 'I', 'N', 'G', '_', 'A', 'L', 'L', 'O', 'C', 'A', 'T', 'I', 'O', 'N', '_', 'T', 'I', 'M', 'E', 'O', 'U', 'T', '\0', /* SOFT_GROUPING_ALLOCATION_TIMEOUT (67559) */
	'H', 'A', 'R', 'D', '_', 'L', 'O', 'C', 'K', '_', 'H', 'Y', 'S', 'T', 'E', 'R', 'E', 'S', 'I', 'S', '\0', /* HARD_LOCK_HYSTERESIS (67592) */
	'H', 'A', 'R', 'D', '_', 'L', 'O', 'C', 'K', '_', 'L', 'O', 'W', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '\0', /* HARD_LOCK_LOW_THRESHOLD (67613) */
	'P', 'R', 'O', 'D', 'U', 'C', 'E', 'R', '_', 'R', 'E', 'Q', 'U', 'E', 'S', 'T', '_', 'L', 'O', 'C', 'K', 'O', 'U', 'T', '\0', /* PRODUCER_REQUEST_LOCKOUT (67637) */
	'G', 'L', 'O', 'B', 'A', 'L', '_', 'S', 'C', 'A', 'N', 'N', 'I', 'N', 'G', '_', 'E', 'N', '\0', /* GLOBAL_SCANNING_EN (67662) */
	'A', 'L', 'L', 'O', 'C', 'A', 'T', 'I', 'O', 'N', '_', 'R', 'A', 'T', 'E', '_', 'T', 'H', 'R', 'O', 'T', 'T', 'L', 'I', 'N', 'G', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '\0', /* ALLOCATION_RATE_THROTTLING_THRESHOLD (67681) */
	'T', 'O', 'T', 'A', 'L', '_', 'W', 'A', 'V', 'E', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* TOTAL_WAVE_COUNT_HIER_SELECT (67718) */
	'P', 'E', 'R', '_', 'T', 'Y', 'P', 'E', '_', 'W', 'A', 'V', 'E', '_', 'C', 'O', 'U', 'N', 'T', '_', 'H', 'I', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PER_TYPE_WAVE_COUNT_HIER_SELECT (67747) */
	'G', 'R', 'O', 'U', 'P', '_', 'U', 'P', 'D', 'A', 'T', 'E', '_', 'E', 'N', '\0', /* GROUP_UPDATE_EN (67779) */
	'T', 'O', 'T', 'A', 'L', '_', 'W', 'A', 'V', 'E', '_', 'C', 'O', 'U', 'N', 'T', '_', 'C', 'O', 'E', 'F', 'F', 'I', 'C', 'I', 'E', 'N', 'T', '\0', /* TOTAL_WAVE_COUNT_COEFFICIENT (67795) */
	'P', 'E', 'R', '_', 'T', 'Y', 'P', 'E', '_', 'W', 'A', 'V', 'E', '_', 'C', 'O', 'U', 'N', 'T', '_', 'C', 'O', 'E', 'F', 'F', 'I', 'C', 'I', 'E', 'N', 'T', '\0', /* PER_TYPE_WAVE_COUNT_COEFFICIENT (67824) */
	'C', 'O', 'N', 'T', 'R', 'I', 'B', 'U', 'T', 'I', 'O', 'N', '\0', /* CONTRIBUTION (67856) */
	'V', 'G', 'P', 'R', '_', 'C', 'O', 'M', 'P', '_', 'C', 'N', 'T', '\0', /* VGPR_COMP_CNT (67869) */
	'C', 'U', '_', 'G', 'R', 'O', 'U', 'P', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* CU_GROUP_ENABLE (67883) */
	'O', 'C', '_', 'L', 'D', 'S', '_', 'E', 'N', '\0', /* OC_LDS_EN (67899) */
	'S', 'O', '_', 'B', 'A', 'S', 'E', '0', '_', 'E', 'N', '\0', /* SO_BASE0_EN (67909) */
	'S', 'O', '_', 'B', 'A', 'S', 'E', '1', '_', 'E', 'N', '\0', /* SO_BASE1_EN (67921) */
	'S', 'O', '_', 'B', 'A', 'S', 'E', '2', '_', 'E', 'N', '\0', /* SO_BASE2_EN (67933) */
	'S', 'O', '_', 'B', 'A', 'S', 'E', '3', '_', 'E', 'N', '\0', /* SO_BASE3_EN (67945) */
	'S', 'O', '_', 'E', 'N', '\0', /* SO_EN (67957) */
	'P', 'C', '_', 'B', 'A', 'S', 'E', '_', 'E', 'N', '\0', /* PC_BASE_EN (67963) */
	'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'D', 'R', 'A', 'W', '_', 'E', 'N', '\0', /* DISPATCH_DRAW_EN (67974) */
	'S', 'K', 'I', 'P', '_', 'U', 'S', 'G', 'P', 'R', '0', '\0', /* SKIP_USGPR0 (67991) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'L', 'A', 'T', 'E', '_', 'A', 'L', 'L', 'O', 'C', '_', 'G', 'S', '\0', /* SPI_SHADER_LATE_ALLOC_GS (68003) */
	'G', 'R', 'O', 'U', 'P', '_', 'F', 'I', 'F', 'O', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* GROUP_FIFO_DEPTH (68028) */
	'W', 'G', 'P', '_', 'M', 'O', 'D', 'E', '\0', /* WGP_MODE (68045) */
	'G', 'S', '_', 'V', 'G', 'P', 'R', '_', 'C', 'O', 'M', 'P', '_', 'C', 'N', 'T', '\0', /* GS_VGPR_COMP_CNT (68054) */
	'E', 'S', '_', 'V', 'G', 'P', 'R', '_', 'C', 'O', 'M', 'P', '_', 'C', 'N', 'T', '\0', /* ES_VGPR_COMP_CNT (68071) */
	'L', 'S', '_', 'V', 'G', 'P', 'R', '_', 'C', 'O', 'M', 'P', '_', 'C', 'N', 'T', '\0', /* LS_VGPR_COMP_CNT (68088) */
	'T', 'G', '_', 'S', 'I', 'Z', 'E', '_', 'E', 'N', '\0', /* TG_SIZE_EN (68105) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'E', 'N', '\0', /* COMPUTE_SHADER_EN (68116) */
	'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'T', 'G', '_', 'E', 'N', '\0', /* PARTIAL_TG_EN (68134) */
	'F', 'O', 'R', 'C', 'E', '_', 'S', 'T', 'A', 'R', 'T', '_', 'A', 'T', '_', '0', '0', '0', '\0', /* FORCE_START_AT_000 (68148) */
	'O', 'R', 'D', 'E', 'R', 'E', 'D', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'E', 'N', 'B', 'L', '\0', /* ORDERED_APPEND_ENBL (68167) */
	'O', 'R', 'D', 'E', 'R', 'E', 'D', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'M', 'O', 'D', 'E', '\0', /* ORDERED_APPEND_MODE (68187) */
	'U', 'S', 'E', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'D', 'I', 'M', 'E', 'N', 'S', 'I', 'O', 'N', 'S', '\0', /* USE_THREAD_DIMENSIONS (68207) */
	'O', 'R', 'D', 'E', 'R', '_', 'M', 'O', 'D', 'E', '\0', /* ORDER_MODE (68229) */
	'S', 'C', 'A', 'L', 'A', 'R', '_', 'L', '1', '_', 'I', 'N', 'V', '_', 'V', 'O', 'L', '\0', /* SCALAR_L1_INV_VOL (68240, 68254) */
	'V', 'E', 'C', 'T', 'O', 'R', '_', 'L', '1', '_', 'I', 'N', 'V', '_', 'V', 'O', 'L', '\0', /* VECTOR_L1_INV_VOL (68258) */
	'T', 'U', 'N', 'N', 'E', 'L', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* TUNNEL_ENABLE (68276) */
	'R', 'E', 'S', 'T', 'O', 'R', 'E', '\0', /* RESTORE (68290) */
	'C', 'S', '_', 'W', '3', '2', '_', 'E', 'N', '\0', /* CS_W32_EN (68298) */
	'S', 'T', 'A', 'R', 'T', '\0', /* START (68308) */
	'N', 'U', 'M', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'F', 'U', 'L', 'L', '\0', /* NUM_THREAD_FULL (68314, 68325) */
	'N', 'U', 'M', '_', 'T', 'H', 'R', 'E', 'A', 'D', '_', 'P', 'A', 'R', 'T', 'I', 'A', 'L', '\0', /* NUM_THREAD_PARTIAL (68330) */
	'B', 'U', 'L', 'K', 'Y', '\0', /* BULKY (68349) */
	'T', 'G', 'I', 'D', '_', 'X', '_', 'E', 'N', '\0', /* TGID_X_EN (68355) */
	'T', 'G', 'I', 'D', '_', 'Y', '_', 'E', 'N', '\0', /* TGID_Y_EN (68365) */
	'T', 'G', 'I', 'D', '_', 'Z', '_', 'E', 'N', '\0', /* TGID_Z_EN (68375) */
	'T', 'I', 'D', 'I', 'G', '_', 'C', 'O', 'M', 'P', '_', 'C', 'N', 'T', '\0', /* TIDIG_COMP_CNT (68385) */
	'E', 'X', 'C', 'P', '_', 'E', 'N', '_', 'M', 'S', 'B', '\0', /* EXCP_EN_MSB (68400) */
	'W', 'A', 'V', 'E', 'S', '_', 'P', 'E', 'R', '_', 'S', 'H', '\0', /* WAVES_PER_SH (68412) */
	'T', 'G', '_', 'P', 'E', 'R', '_', 'C', 'U', '\0', /* TG_PER_CU (68425) */
	'L', 'O', 'C', 'K', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '\0', /* LOCK_THRESHOLD (68435) */
	'S', 'I', 'M', 'D', '_', 'D', 'E', 'S', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* SIMD_DEST_CNTL (68450) */
	'F', 'O', 'R', 'C', 'E', '_', 'S', 'I', 'M', 'D', '_', 'D', 'I', 'S', 'T', '\0', /* FORCE_SIMD_DIST (68465) */
	'C', 'U', '_', 'G', 'R', 'O', 'U', 'P', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* CU_GROUP_COUNT (68481) */
	'W', 'A', 'V', 'E', 'S', '\0', /* WAVES (68496) */
	'W', 'A', 'V', 'E', 'S', 'I', 'Z', 'E', '\0', /* WAVESIZE (68502) */
	'R', 'E', 'S', 'T', 'A', 'R', 'T', '\0', /* RESTART (68511) */
	'S', 'E', 'N', 'D', '_', 'S', 'E', 'I', 'D', '\0', /* SEND_SEID (68519) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '3', '\0', /* RESERVED3 (68529) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '4', '\0', /* RESERVED4 (68539) */
	'W', 'A', 'V', 'E', '_', 'I', 'D', '_', 'B', 'A', 'S', 'E', '\0', /* WAVE_ID_BASE (68549) */
	'D', 'E', 'D', 'I', 'C', 'A', 'T', 'E', 'D', '_', 'P', 'R', 'E', 'A', 'L', 'L', 'O', 'C', 'A', 'T', 'I', 'O', 'N', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'L', 'I', 'M', 'I', 'T', '\0', /* DEDICATED_PREALLOCATION_BUFFER_LIMIT (68562) */
	'P', 'A', 'Y', 'L', 'O', 'A', 'D', '\0', /* PAYLOAD (68599, 68602) */
	'I', 'S', '_', 'E', 'V', 'E', 'N', 'T', '\0', /* IS_EVENT (68607) */
	'I', 'S', '_', 'S', 'T', 'A', 'T', 'E', '\0', /* IS_STATE (68616) */
	'O', 'F', 'F', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* OFF_DELAY (68625) */
	'D', 'E', 'P', 'T', 'H', '_', 'C', 'L', 'E', 'A', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* DEPTH_CLEAR_ENABLE (68635) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'C', 'L', 'E', 'A', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* STENCIL_CLEAR_ENABLE (68654) */
	'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'P', 'Y', '\0', /* DEPTH_COPY (68675) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'C', 'O', 'P', 'Y', '\0', /* STENCIL_COPY (68686) */
	'R', 'E', 'S', 'U', 'M', 'M', 'A', 'R', 'I', 'Z', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* RESUMMARIZE_ENABLE (68699) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* STENCIL_COMPRESS_DISABLE (68718) */
	'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* DEPTH_COMPRESS_DISABLE (68743) */
	'C', 'O', 'P', 'Y', '_', 'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '\0', /* COPY_CENTROID (68766) */
	'C', 'O', 'P', 'Y', '_', 'S', 'A', 'M', 'P', 'L', 'E', '\0', /* COPY_SAMPLE (68780) */
	'D', 'E', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* DECOMPRESS_ENABLE (68792) */
	'Z', 'P', 'A', 'S', 'S', '_', 'I', 'N', 'C', 'R', 'E', 'M', 'E', 'N', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* ZPASS_INCREMENT_DISABLE (68810) */
	'P', 'E', 'R', 'F', 'E', 'C', 'T', '_', 'Z', 'P', 'A', 'S', 'S', '_', 'C', 'O', 'U', 'N', 'T', 'S', '\0', /* PERFECT_ZPASS_COUNTS (68834) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'C', 'O', 'N', 'S', 'E', 'R', 'V', 'A', 'T', 'I', 'V', 'E', '_', 'Z', 'P', 'A', 'S', 'S', '_', 'C', 'O', 'U', 'N', 'T', 'S', '\0', /* DISABLE_CONSERVATIVE_ZPASS_COUNTS (68855) */
	'E', 'N', 'H', 'A', 'N', 'C', 'E', 'D', '_', 'C', 'O', 'N', 'S', 'E', 'R', 'V', 'A', 'T', 'I', 'V', 'E', '_', 'Z', 'P', 'A', 'S', 'S', '_', 'C', 'O', 'U', 'N', 'T', 'S', '\0', /* ENHANCED_CONSERVATIVE_ZPASS_COUNTS (68889) */
	'S', 'A', 'M', 'P', 'L', 'E', '_', 'R', 'A', 'T', 'E', '\0', /* SAMPLE_RATE (68924) */
	'Z', 'P', 'A', 'S', 'S', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* ZPASS_ENABLE (68936) */
	'Z', 'F', 'A', 'I', 'L', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* ZFAIL_ENABLE (68949) */
	'S', 'F', 'A', 'I', 'L', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* SFAIL_ENABLE (68962) */
	'D', 'B', 'F', 'A', 'I', 'L', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* DBFAIL_ENABLE (68975) */
	'S', 'L', 'I', 'C', 'E', '_', 'E', 'V', 'E', 'N', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* SLICE_EVEN_ENABLE (68989) */
	'S', 'L', 'I', 'C', 'E', '_', 'O', 'D', 'D', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* SLICE_ODD_ENABLE (69007) */
	'S', 'L', 'I', 'C', 'E', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* SLICE_START (69024) */
	'S', 'L', 'I', 'C', 'E', '_', 'S', 'T', 'A', 'R', 'T', '_', 'H', 'I', '\0', /* SLICE_START_HI (69036) */
	'S', 'L', 'I', 'C', 'E', '_', 'M', 'A', 'X', '\0', /* SLICE_MAX (69051) */
	'Z', '_', 'R', 'E', 'A', 'D', '_', 'O', 'N', 'L', 'Y', '\0', /* Z_READ_ONLY (69061) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'R', 'E', 'A', 'D', '_', 'O', 'N', 'L', 'Y', '\0', /* STENCIL_READ_ONLY (69073) */
	'M', 'I', 'P', 'I', 'D', '\0', /* MIPID (69091) */
	'S', 'L', 'I', 'C', 'E', '_', 'M', 'A', 'X', '_', 'H', 'I', '\0', /* SLICE_MAX_HI (69097) */
	'F', 'O', 'R', 'C', 'E', '_', 'O', 'F', 'F', '\0', /* FORCE_OFF (69110) */
	'F', 'O', 'R', 'C', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* FORCE_ENABLE (69120) */
	'F', 'O', 'R', 'C', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* FORCE_DISABLE (69133) */
	'F', 'O', 'R', 'C', 'E', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '\0', /* FORCE_RESERVED (69147) */
	'F', 'O', 'R', 'C', 'E', '_', 'H', 'I', 'Z', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* FORCE_HIZ_ENABLE (69162, 69170) */
	'F', 'O', 'R', 'C', 'E', '_', 'H', 'I', 'S', '_', 'E', 'N', 'A', 'B', 'L', 'E', '0', '\0', /* FORCE_HIS_ENABLE0 (69179, 69189) */
	'F', 'O', 'R', 'C', 'E', '_', 'H', 'I', 'S', '_', 'E', 'N', 'A', 'B', 'L', 'E', '1', '\0', /* FORCE_HIS_ENABLE1 (69197, 69207) */
	'F', 'O', 'R', 'C', 'E', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'Z', '_', 'O', 'R', 'D', 'E', 'R', '\0', /* FORCE_SHADER_Z_ORDER (69215, 69228) */
	'F', 'A', 'S', 'T', '_', 'Z', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* FAST_Z_DISABLE (69236) */
	'F', 'A', 'S', 'T', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* FAST_STENCIL_DISABLE (69251) */
	'N', 'O', 'O', 'P', '_', 'C', 'U', 'L', 'L', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* NOOP_CULL_DISABLE (69272) */
	'F', 'O', 'R', 'C', 'E', '_', 'C', 'O', 'L', 'O', 'R', '_', 'K', 'I', 'L', 'L', '\0', /* FORCE_COLOR_KILL (69290, 69302) */
	'F', 'O', 'R', 'C', 'E', '_', 'Z', '_', 'R', 'E', 'A', 'D', '\0', /* FORCE_Z_READ (69307) */
	'F', 'O', 'R', 'C', 'E', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'R', 'E', 'A', 'D', '\0', /* FORCE_STENCIL_READ (69320) */
	'F', 'O', 'R', 'C', 'E', '_', 'F', 'U', 'L', 'L', '_', 'Z', '_', 'R', 'A', 'N', 'G', 'E', '\0', /* FORCE_FULL_Z_RANGE (69339) */
	'F', 'O', 'R', 'C', 'E', '_', 'Q', 'C', '_', 'S', 'M', 'A', 'S', 'K', '_', 'C', 'O', 'N', 'F', 'L', 'I', 'C', 'T', '\0', /* FORCE_QC_SMASK_CONFLICT (69358) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'V', 'I', 'E', 'W', 'P', 'O', 'R', 'T', '_', 'C', 'L', 'A', 'M', 'P', '\0', /* DISABLE_VIEWPORT_CLAMP (69382) */
	'I', 'G', 'N', 'O', 'R', 'E', '_', 'S', 'C', '_', 'Z', 'R', 'A', 'N', 'G', 'E', '\0', /* IGNORE_SC_ZRANGE (69405) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'F', 'U', 'L', 'L', 'Y', '_', 'C', 'O', 'V', 'E', 'R', 'E', 'D', '\0', /* DISABLE_FULLY_COVERED (69422) */
	'F', 'O', 'R', 'C', 'E', '_', 'S', 'U', 'M', 'M', '_', 'O', 'F', 'F', '\0', /* FORCE_SUMM_OFF (69444) */
	'F', 'O', 'R', 'C', 'E', '_', 'S', 'U', 'M', 'M', '_', 'M', 'I', 'N', 'Z', '\0', /* FORCE_SUMM_MINZ (69459) */
	'F', 'O', 'R', 'C', 'E', '_', 'S', 'U', 'M', 'M', '_', 'M', 'A', 'X', 'Z', '\0', /* FORCE_SUMM_MAXZ (69475) */
	'F', 'O', 'R', 'C', 'E', '_', 'S', 'U', 'M', 'M', '_', 'B', 'O', 'T', 'H', '\0', /* FORCE_SUMM_BOTH (69491) */
	'F', 'O', 'R', 'C', 'E', '_', 'Z', '_', 'L', 'I', 'M', 'I', 'T', '_', 'S', 'U', 'M', 'M', '\0', /* FORCE_Z_LIMIT_SUMM (69507) */
	'M', 'A', 'X', '_', 'T', 'I', 'L', 'E', 'S', '_', 'I', 'N', '_', 'D', 'T', 'T', '\0', /* MAX_TILES_IN_DTT (69526) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'T', 'I', 'L', 'E', '_', 'R', 'A', 'T', 'E', '_', 'T', 'I', 'L', 'E', 'S', '\0', /* DISABLE_TILE_RATE_TILES (69543) */
	'F', 'O', 'R', 'C', 'E', '_', 'Z', '_', 'D', 'I', 'R', 'T', 'Y', '\0', /* FORCE_Z_DIRTY (69567, 69575) */
	'F', 'O', 'R', 'C', 'E', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'D', 'I', 'R', 'T', 'Y', '\0', /* FORCE_STENCIL_DIRTY (69581) */
	'F', 'O', 'R', 'C', 'E', '_', 'Z', '_', 'V', 'A', 'L', 'I', 'D', '\0', /* FORCE_Z_VALID (69601) */
	'F', 'O', 'R', 'C', 'E', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'V', 'A', 'L', 'I', 'D', '\0', /* FORCE_STENCIL_VALID (69615) */
	'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', 'I', 'O', 'N', '\0', /* PRESERVE_COMPRESSION (69635, 69644) */
	'P', 'S', 'L', 'C', '_', 'A', 'U', 'T', 'O', '\0', /* PSLC_AUTO (69656) */
	'P', 'S', 'L', 'C', '_', 'O', 'N', '_', 'H', 'A', 'N', 'G', '_', 'O', 'N', 'L', 'Y', '\0', /* PSLC_ON_HANG_ONLY (69666) */
	'P', 'S', 'L', 'C', '_', 'A', 'S', 'A', 'P', '\0', /* PSLC_ASAP (69684) */
	'P', 'S', 'L', 'C', '_', 'C', 'O', 'U', 'N', 'T', 'D', 'O', 'W', 'N', '\0', /* PSLC_COUNTDOWN (69694) */
	'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'S', 'Q', 'U', 'A', 'D', '_', 'L', 'A', 'U', 'N', 'C', 'H', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* PARTIAL_SQUAD_LAUNCH_CONTROL (69709) */
	'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'S', 'Q', 'U', 'A', 'D', '_', 'L', 'A', 'U', 'N', 'C', 'H', '_', 'C', 'O', 'U', 'N', 'T', 'D', 'O', 'W', 'N', '\0', /* PARTIAL_SQUAD_LAUNCH_COUNTDOWN (69738) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'Z', 'M', 'A', 'S', 'K', '_', 'E', 'X', 'P', 'C', 'L', 'E', 'A', 'R', '_', 'O', 'P', 'T', 'I', 'M', 'I', 'Z', 'A', 'T', 'I', 'O', 'N', '\0', /* DISABLE_ZMASK_EXPCLEAR_OPTIMIZATION (69769) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'S', 'M', 'E', 'M', '_', 'E', 'X', 'P', 'C', 'L', 'E', 'A', 'R', '_', 'O', 'P', 'T', 'I', 'M', 'I', 'Z', 'A', 'T', 'I', 'O', 'N', '\0', /* DISABLE_SMEM_EXPCLEAR_OPTIMIZATION (69805) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'N', '_', 'V', 'A', 'L', 'I', 'D', 'A', 'T', 'I', 'O', 'N', '\0', /* DISABLE_COLOR_ON_VALIDATION (69840) */
	'D', 'E', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '_', 'Z', '_', 'O', 'N', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* DECOMPRESS_Z_ON_FLUSH (69868) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'R', 'E', 'G', '_', 'S', 'N', 'O', 'O', 'P', '\0', /* DISABLE_REG_SNOOP (69890) */
	'D', 'E', 'P', 'T', 'H', '_', 'B', 'O', 'U', 'N', 'D', 'S', '_', 'H', 'I', 'E', 'R', '_', 'D', 'E', 'P', 'T', 'H', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* DEPTH_BOUNDS_HIER_DEPTH_DISABLE (69908) */
	'S', 'E', 'P', 'A', 'R', 'A', 'T', 'E', '_', 'H', 'I', 'Z', 'S', '_', 'F', 'U', 'N', 'C', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* SEPARATE_HIZS_FUNC_ENABLE (69940) */
	'F', 'R', 'A', 'G', '_', 'N', 'E', 'V', 'E', 'R', '\0', /* FRAG_NEVER (69966) */
	'F', 'R', 'A', 'G', '_', 'L', 'E', 'S', 'S', '\0', /* FRAG_LESS (69977) */
	'F', 'R', 'A', 'G', '_', 'E', 'Q', 'U', 'A', 'L', '\0', /* FRAG_EQUAL (69987) */
	'F', 'R', 'A', 'G', '_', 'L', 'E', 'Q', 'U', 'A', 'L', '\0', /* FRAG_LEQUAL (69998) */
	'F', 'R', 'A', 'G', '_', 'G', 'R', 'E', 'A', 'T', 'E', 'R', '\0', /* FRAG_GREATER (70010) */
	'F', 'R', 'A', 'G', '_', 'N', 'O', 'T', 'E', 'Q', 'U', 'A', 'L', '\0', /* FRAG_NOTEQUAL (70023) */
	'F', 'R', 'A', 'G', '_', 'G', 'E', 'Q', 'U', 'A', 'L', '\0', /* FRAG_GEQUAL (70037) */
	'F', 'R', 'A', 'G', '_', 'A', 'L', 'W', 'A', 'Y', 'S', '\0', /* FRAG_ALWAYS (70049, 70054) */
	'H', 'I', 'Z', '_', 'Z', 'F', 'U', 'N', 'C', '\0', /* HIZ_ZFUNC (70061, 70065) */
	'H', 'I', 'S', '_', 'S', 'F', 'U', 'N', 'C', '_', 'F', 'F', '\0', /* HIS_SFUNC_FF (70071) */
	'H', 'I', 'S', '_', 'S', 'F', 'U', 'N', 'C', '_', 'B', 'F', '\0', /* HIS_SFUNC_BF (70084) */
	'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'Z', 'R', 'A', 'N', 'G', 'E', '\0', /* PRESERVE_ZRANGE (70097) */
	'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'S', 'R', 'E', 'S', 'U', 'L', 'T', 'S', '\0', /* PRESERVE_SRESULTS (70113) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'F', 'A', 'S', 'T', '_', 'P', 'A', 'S', 'S', '\0', /* DISABLE_FAST_PASS (70131) */
	'A', 'L', 'L', 'O', 'W', '_', 'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'R', 'E', 'S', '_', 'H', 'I', 'E', 'R', '_', 'K', 'I', 'L', 'L', '\0', /* ALLOW_PARTIAL_RES_HIER_KILL (70149) */
	'B', 'A', 'S', 'E', '_', '2', '5', '6', 'B', '\0', /* BASE_256B (70177) */
	'X', '_', 'M', 'A', 'X', '\0', /* X_MAX (70187) */
	'T', 'L', '_', 'X', '\0', /* TL_X (70193) */
	'T', 'L', '_', 'Y', '\0', /* TL_Y (70198) */
	'B', 'R', '_', 'X', '\0', /* BR_X (70203) */
	'B', 'R', '_', 'Y', '\0', /* BR_Y (70208) */
	'F', 'O', 'R', 'C', 'E', '_', 'O', 'N', '\0', /* FORCE_ON (70213) */
	'P', 'U', 'N', 'C', 'H', 'O', 'U', 'T', '_', 'M', 'O', 'D', 'E', '\0', /* PUNCHOUT_MODE (70222) */
	'P', 'O', 'P', 'S', '_', 'D', 'R', 'A', 'I', 'N', '_', 'P', 'S', '_', 'O', 'N', '_', 'O', 'V', 'E', 'R', 'L', 'A', 'P', '\0', /* POPS_DRAIN_PS_ON_OVERLAP (70236) */
	'D', 'I', 'S', 'A', 'L', 'L', 'O', 'W', '_', 'O', 'V', 'E', 'R', 'F', 'L', 'O', 'W', '\0', /* DISALLOW_OVERFLOW (70261) */
	'F', 'I', 'E', 'L', 'D', '_', '1', '\0', /* FIELD_1 (70279) */
	'F', 'I', 'E', 'L', 'D', '_', '2', '\0', /* FIELD_2 (70287) */
	'F', 'I', 'E', 'L', 'D', '_', '3', '\0', /* FIELD_3 (70295) */
	'F', 'I', 'E', 'L', 'D', '_', '4', '\0', /* FIELD_4 (70303) */
	'F', 'I', 'E', 'L', 'D', '_', '5', '\0', /* FIELD_5 (70311) */
	'F', 'I', 'E', 'L', 'D', '_', '6', '\0', /* FIELD_6 (70319) */
	'F', 'I', 'E', 'L', 'D', '_', '7', '\0', /* FIELD_7 (70327) */
	'Z', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', '\0', /* Z_INVALID (70335) */
	'Z', '_', '1', '6', '\0', /* Z_16 (70345) */
	'Z', '_', '2', '4', '\0', /* Z_24 (70350) */
	'Z', '_', '3', '2', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* Z_32_FLOAT (70355) */
	'N', 'U', 'M', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '\0', /* NUM_SAMPLES (70366) */
	'F', 'A', 'U', 'L', 'T', '_', 'Z', 'E', 'R', 'O', '\0', /* FAULT_ZERO (70378) */
	'F', 'A', 'U', 'L', 'T', '_', 'O', 'N', 'E', '\0', /* FAULT_ONE (70389) */
	'F', 'A', 'U', 'L', 'T', '_', 'F', 'A', 'I', 'L', '\0', /* FAULT_FAIL (70399) */
	'F', 'A', 'U', 'L', 'T', '_', 'P', 'A', 'S', 'S', '\0', /* FAULT_PASS (70410) */
	'F', 'A', 'U', 'L', 'T', '_', 'B', 'E', 'H', 'A', 'V', 'I', 'O', 'R', '\0', /* FAULT_BEHAVIOR (70421) */
	'I', 'T', 'E', 'R', 'A', 'T', 'E', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* ITERATE_FLUSH (70436) */
	'P', 'A', 'R', 'T', 'I', 'A', 'L', 'L', 'Y', '_', 'R', 'E', 'S', 'I', 'D', 'E', 'N', 'T', '\0', /* PARTIALLY_RESIDENT (70450) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'F', 'I', 'E', 'L', 'D', '_', '1', '\0', /* RESERVED_FIELD_1 (70469) */
	'M', 'A', 'X', 'M', 'I', 'P', '\0', /* MAXMIP (70486) */
	'D', 'E', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '_', 'O', 'N', '_', 'N', '_', 'Z', 'P', 'L', 'A', 'N', 'E', 'S', '\0', /* DECOMPRESS_ON_N_ZPLANES (70493) */
	'A', 'L', 'L', 'O', 'W', '_', 'E', 'X', 'P', 'C', 'L', 'E', 'A', 'R', '\0', /* ALLOW_EXPCLEAR (70517) */
	'R', 'E', 'A', 'D', '_', 'S', 'I', 'Z', 'E', '\0', /* READ_SIZE (70532) */
	'T', 'I', 'L', 'E', '_', 'S', 'U', 'R', 'F', 'A', 'C', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* TILE_SURFACE_ENABLE (70542) */
	'Z', 'R', 'A', 'N', 'G', 'E', '_', 'P', 'R', 'E', 'C', 'I', 'S', 'I', 'O', 'N', '\0', /* ZRANGE_PRECISION (70562) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', '\0', /* STENCIL_INVALID (70579) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', '8', '\0', /* STENCIL_8 (70595) */
	'T', 'I', 'L', 'E', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* TILE_STENCIL_DISABLE (70605) */
	'C', 'A', 'C', 'H', 'E', '_', 'L', 'R', 'U', '_', 'W', 'R', '\0', /* CACHE_LRU_WR (70626) */
	'C', 'A', 'C', 'H', 'E', '_', 'S', 'T', 'R', 'E', 'A', 'M', '\0', /* CACHE_STREAM (70639) */
	'C', 'A', 'C', 'H', 'E', '_', 'B', 'Y', 'P', 'A', 'S', 'S', '\0', /* CACHE_BYPASS (70652) */
	'U', 'N', 'C', 'A', 'C', 'H', 'E', 'D', '_', 'W', 'R', '\0', /* UNCACHED_WR (70665) */
	'Z', '_', 'W', 'R', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* Z_WR_POLICY (70677) */
	'S', '_', 'W', 'R', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* S_WR_POLICY (70689) */
	'H', 'T', 'I', 'L', 'E', '_', 'W', 'R', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* HTILE_WR_POLICY (70701) */
	'Z', 'P', 'C', 'P', 'S', 'D', '_', 'W', 'R', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* ZPCPSD_WR_POLICY (70717) */
	'C', 'A', 'C', 'H', 'E', '_', 'L', 'R', 'U', '_', 'R', 'D', '\0', /* CACHE_LRU_RD (70734) */
	'C', 'A', 'C', 'H', 'E', '_', 'N', 'O', 'A', '\0', /* CACHE_NOA (70747) */
	'U', 'N', 'C', 'A', 'C', 'H', 'E', 'D', '_', 'R', 'D', '\0', /* UNCACHED_RD (70757) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'D', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* RESERVED_RDPOLICY (70769) */
	'Z', '_', 'R', 'D', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* Z_RD_POLICY (70787) */
	'S', '_', 'R', 'D', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* S_RD_POLICY (70799) */
	'H', 'T', 'I', 'L', 'E', '_', 'R', 'D', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* HTILE_RD_POLICY (70811) */
	'Z', '_', 'B', 'I', 'G', '_', 'P', 'A', 'G', 'E', '\0', /* Z_BIG_PAGE (70827, 70829) */
	'S', '_', 'B', 'I', 'G', '_', 'P', 'A', 'G', 'E', '\0', /* S_BIG_PAGE (70838) */
	'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '_', '2', '5', '6', 'B', '\0', /* DEST_BASE_HI_256B (70849) */
	'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', '2', '5', '6', 'B', '\0', /* DEST_BASE_256B (70867) */
	'W', 'I', 'N', 'D', 'O', 'W', '_', 'X', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* WINDOW_X_OFFSET (70882) */
	'W', 'I', 'N', 'D', 'O', 'W', '_', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* WINDOW_Y_OFFSET (70898, 70905) */
	'W', 'I', 'N', 'D', 'O', 'W', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* WINDOW_OFFSET_DISABLE (70914) */
	'I', 'N', '_', '2', '0', '\0', /* IN_20 (70936) */
	'I', 'N', '_', '2', '1', '\0', /* IN_21 (70942) */
	'I', 'N', '_', '2', '1', '0', '\0', /* IN_210 (70948) */
	'I', 'N', '_', '3', '0', '\0', /* IN_30 (70955) */
	'I', 'N', '_', '3', '1', '\0', /* IN_31 (70961) */
	'I', 'N', '_', '3', '1', '0', '\0', /* IN_310 (70967) */
	'I', 'N', '_', '3', '2', '\0', /* IN_32 (70974) */
	'I', 'N', '_', '3', '2', '0', '\0', /* IN_320 (70980) */
	'I', 'N', '_', '3', '2', '1', '\0', /* IN_321 (70987) */
	'I', 'N', '_', '3', '2', '1', '0', '\0', /* IN_3210 (70994) */
	'C', 'L', 'I', 'P', '_', 'R', 'U', 'L', 'E', '\0', /* CLIP_RULE (71002) */
	'E', 'R', '_', 'T', 'R', 'I', '\0', /* ER_TRI (71012) */
	'E', 'R', '_', 'P', 'O', 'I', 'N', 'T', '\0', /* ER_POINT (71019) */
	'E', 'R', '_', 'R', 'E', 'C', 'T', '\0', /* ER_RECT (71028) */
	'E', 'R', '_', 'L', 'I', 'N', 'E', '_', 'L', 'R', '\0', /* ER_LINE_LR (71036) */
	'E', 'R', '_', 'L', 'I', 'N', 'E', '_', 'R', 'L', '\0', /* ER_LINE_RL (71047) */
	'E', 'R', '_', 'L', 'I', 'N', 'E', '_', 'T', 'B', '\0', /* ER_LINE_TB (71058) */
	'E', 'R', '_', 'L', 'I', 'N', 'E', '_', 'B', 'T', '\0', /* ER_LINE_BT (71069) */
	'H', 'W', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'X', '\0', /* HW_SCREEN_OFFSET_X (71080) */
	'H', 'W', '_', 'S', 'C', 'R', 'E', 'E', 'N', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'Y', '\0', /* HW_SCREEN_OFFSET_Y (71099) */
	'T', 'A', 'R', 'G', 'E', 'T', '0', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* TARGET0_ENABLE (71118) */
	'T', 'A', 'R', 'G', 'E', 'T', '1', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* TARGET1_ENABLE (71133) */
	'T', 'A', 'R', 'G', 'E', 'T', '2', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* TARGET2_ENABLE (71148) */
	'T', 'A', 'R', 'G', 'E', 'T', '3', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* TARGET3_ENABLE (71163) */
	'T', 'A', 'R', 'G', 'E', 'T', '4', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* TARGET4_ENABLE (71178) */
	'T', 'A', 'R', 'G', 'E', 'T', '5', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* TARGET5_ENABLE (71193) */
	'T', 'A', 'R', 'G', 'E', 'T', '6', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* TARGET6_ENABLE (71208) */
	'T', 'A', 'R', 'G', 'E', 'T', '7', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* TARGET7_ENABLE (71223) */
	'O', 'U', 'T', 'P', 'U', 'T', '0', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OUTPUT0_ENABLE (71238) */
	'O', 'U', 'T', 'P', 'U', 'T', '1', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OUTPUT1_ENABLE (71253) */
	'O', 'U', 'T', 'P', 'U', 'T', '2', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OUTPUT2_ENABLE (71268) */
	'O', 'U', 'T', 'P', 'U', 'T', '3', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OUTPUT3_ENABLE (71283) */
	'O', 'U', 'T', 'P', 'U', 'T', '4', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OUTPUT4_ENABLE (71298) */
	'O', 'U', 'T', 'P', 'U', 'T', '5', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OUTPUT5_ENABLE (71313) */
	'O', 'U', 'T', 'P', 'U', 'T', '6', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OUTPUT6_ENABLE (71328) */
	'O', 'U', 'T', 'P', 'U', 'T', '7', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OUTPUT7_ENABLE (71343) */
	'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'I', 'N', '\0', /* VPORT_ZMIN (71358) */
	'V', 'P', 'O', 'R', 'T', '_', 'Z', 'M', 'A', 'X', '\0', /* VPORT_ZMAX (71369) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'M', 'A', 'P', '_', '0', '\0', /* RASTER_CONFIG_RB_MAP_0 (71380) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'M', 'A', 'P', '_', '1', '\0', /* RASTER_CONFIG_RB_MAP_1 (71403) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'M', 'A', 'P', '_', '2', '\0', /* RASTER_CONFIG_RB_MAP_2 (71426) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'M', 'A', 'P', '_', '3', '\0', /* RASTER_CONFIG_RB_MAP_3 (71449) */
	'R', 'B', '_', 'M', 'A', 'P', '_', 'P', 'K', 'R', '0', '\0', /* RB_MAP_PKR0 (71472) */
	'R', 'B', '_', 'M', 'A', 'P', '_', 'P', 'K', 'R', '1', '\0', /* RB_MAP_PKR1 (71484) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'X', 'S', 'E', 'L', '2', '_', '0', '\0', /* RASTER_CONFIG_RB_XSEL2_0 (71496) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'X', 'S', 'E', 'L', '2', '_', '1', '\0', /* RASTER_CONFIG_RB_XSEL2_1 (71521) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'X', 'S', 'E', 'L', '2', '_', '2', '\0', /* RASTER_CONFIG_RB_XSEL2_2 (71546) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'X', 'S', 'E', 'L', '2', '_', '3', '\0', /* RASTER_CONFIG_RB_XSEL2_3 (71571) */
	'R', 'B', '_', 'X', 'S', 'E', 'L', '2', '\0', /* RB_XSEL2 (71596) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'X', 'S', 'E', 'L', '_', '0', '\0', /* RASTER_CONFIG_RB_XSEL_0 (71605) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'X', 'S', 'E', 'L', '_', '1', '\0', /* RASTER_CONFIG_RB_XSEL_1 (71629) */
	'R', 'B', '_', 'X', 'S', 'E', 'L', '\0', /* RB_XSEL (71653) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'Y', 'S', 'E', 'L', '_', '0', '\0', /* RASTER_CONFIG_RB_YSEL_0 (71661) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'B', '_', 'Y', 'S', 'E', 'L', '_', '1', '\0', /* RASTER_CONFIG_RB_YSEL_1 (71685) */
	'R', 'B', '_', 'Y', 'S', 'E', 'L', '\0', /* RB_YSEL (71709) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'M', 'A', 'P', '_', '0', '\0', /* RASTER_CONFIG_PKR_MAP_0 (71717) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'M', 'A', 'P', '_', '1', '\0', /* RASTER_CONFIG_PKR_MAP_1 (71741) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'M', 'A', 'P', '_', '2', '\0', /* RASTER_CONFIG_PKR_MAP_2 (71765) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'M', 'A', 'P', '_', '3', '\0', /* RASTER_CONFIG_PKR_MAP_3 (71789) */
	'P', 'K', 'R', '_', 'M', 'A', 'P', '\0', /* PKR_MAP (71813) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'X', 'S', 'E', 'L', '_', '0', '\0', /* RASTER_CONFIG_PKR_XSEL_0 (71821) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'X', 'S', 'E', 'L', '_', '1', '\0', /* RASTER_CONFIG_PKR_XSEL_1 (71846) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'X', 'S', 'E', 'L', '_', '2', '\0', /* RASTER_CONFIG_PKR_XSEL_2 (71871) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'X', 'S', 'E', 'L', '_', '3', '\0', /* RASTER_CONFIG_PKR_XSEL_3 (71896) */
	'P', 'K', 'R', '_', 'X', 'S', 'E', 'L', '\0', /* PKR_XSEL (71921) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'Y', 'S', 'E', 'L', '_', '0', '\0', /* RASTER_CONFIG_PKR_YSEL_0 (71930) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'Y', 'S', 'E', 'L', '_', '1', '\0', /* RASTER_CONFIG_PKR_YSEL_1 (71955) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'Y', 'S', 'E', 'L', '_', '2', '\0', /* RASTER_CONFIG_PKR_YSEL_2 (71980) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'Y', 'S', 'E', 'L', '_', '3', '\0', /* RASTER_CONFIG_PKR_YSEL_3 (72005) */
	'P', 'K', 'R', '_', 'Y', 'S', 'E', 'L', '\0', /* PKR_YSEL (72030) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'X', 'S', 'E', 'L', '2', '_', '0', '\0', /* RASTER_CONFIG_PKR_XSEL2_0 (72039) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'X', 'S', 'E', 'L', '2', '_', '1', '\0', /* RASTER_CONFIG_PKR_XSEL2_1 (72065) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'X', 'S', 'E', 'L', '2', '_', '2', '\0', /* RASTER_CONFIG_PKR_XSEL2_2 (72091) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'P', 'K', 'R', '_', 'X', 'S', 'E', 'L', '2', '_', '3', '\0', /* RASTER_CONFIG_PKR_XSEL2_3 (72117) */
	'P', 'K', 'R', '_', 'X', 'S', 'E', 'L', '2', '\0', /* PKR_XSEL2 (72143) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'M', 'A', 'P', '_', '0', '\0', /* RASTER_CONFIG_SC_MAP_0 (72153) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'M', 'A', 'P', '_', '1', '\0', /* RASTER_CONFIG_SC_MAP_1 (72176) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'M', 'A', 'P', '_', '2', '\0', /* RASTER_CONFIG_SC_MAP_2 (72199) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'M', 'A', 'P', '_', '3', '\0', /* RASTER_CONFIG_SC_MAP_3 (72222) */
	'S', 'C', '_', 'M', 'A', 'P', '\0', /* SC_MAP (72245) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'X', 'S', 'E', 'L', '_', '8', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SC_XSEL_8_WIDE_TILE (72252) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'X', 'S', 'E', 'L', '_', '1', '6', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SC_XSEL_16_WIDE_TILE (72286) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'X', 'S', 'E', 'L', '_', '3', '2', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SC_XSEL_32_WIDE_TILE (72321) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'X', 'S', 'E', 'L', '_', '6', '4', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SC_XSEL_64_WIDE_TILE (72356) */
	'S', 'C', '_', 'X', 'S', 'E', 'L', '\0', /* SC_XSEL (72391) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'Y', 'S', 'E', 'L', '_', '8', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SC_YSEL_8_WIDE_TILE (72399) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'Y', 'S', 'E', 'L', '_', '1', '6', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SC_YSEL_16_WIDE_TILE (72433) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'Y', 'S', 'E', 'L', '_', '3', '2', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SC_YSEL_32_WIDE_TILE (72468) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'C', '_', 'Y', 'S', 'E', 'L', '_', '6', '4', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SC_YSEL_64_WIDE_TILE (72503) */
	'S', 'C', '_', 'Y', 'S', 'E', 'L', '\0', /* SC_YSEL (72538) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'M', 'A', 'P', '_', '0', '\0', /* RASTER_CONFIG_SE_MAP_0 (72546) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'M', 'A', 'P', '_', '1', '\0', /* RASTER_CONFIG_SE_MAP_1 (72569) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'M', 'A', 'P', '_', '2', '\0', /* RASTER_CONFIG_SE_MAP_2 (72592) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'M', 'A', 'P', '_', '3', '\0', /* RASTER_CONFIG_SE_MAP_3 (72615) */
	'S', 'E', '_', 'M', 'A', 'P', '\0', /* SE_MAP (72638) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'X', 'S', 'E', 'L', '_', '8', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_XSEL_8_WIDE_TILE (72645) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'X', 'S', 'E', 'L', '_', '1', '6', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_XSEL_16_WIDE_TILE (72679) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'X', 'S', 'E', 'L', '_', '3', '2', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_XSEL_32_WIDE_TILE (72714) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'X', 'S', 'E', 'L', '_', '6', '4', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_XSEL_64_WIDE_TILE (72749) */
	'S', 'E', '_', 'X', 'S', 'E', 'L', '\0', /* SE_XSEL (72784) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'Y', 'S', 'E', 'L', '_', '8', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_YSEL_8_WIDE_TILE (72792) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'Y', 'S', 'E', 'L', '_', '1', '6', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_YSEL_16_WIDE_TILE (72826) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'Y', 'S', 'E', 'L', '_', '3', '2', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_YSEL_32_WIDE_TILE (72861) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'Y', 'S', 'E', 'L', '_', '6', '4', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_YSEL_64_WIDE_TILE (72896) */
	'S', 'E', '_', 'Y', 'S', 'E', 'L', '\0', /* SE_YSEL (72931) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'M', 'A', 'P', '_', '0', '\0', /* RASTER_CONFIG_SE_PAIR_MAP_0 (72939) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'M', 'A', 'P', '_', '1', '\0', /* RASTER_CONFIG_SE_PAIR_MAP_1 (72967) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'M', 'A', 'P', '_', '2', '\0', /* RASTER_CONFIG_SE_PAIR_MAP_2 (72995) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'M', 'A', 'P', '_', '3', '\0', /* RASTER_CONFIG_SE_PAIR_MAP_3 (73023) */
	'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'M', 'A', 'P', '\0', /* SE_PAIR_MAP (73051) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'X', 'S', 'E', 'L', '_', '8', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_PAIR_XSEL_8_WIDE_TILE (73063) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'X', 'S', 'E', 'L', '_', '1', '6', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_PAIR_XSEL_16_WIDE_TILE (73102) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'X', 'S', 'E', 'L', '_', '3', '2', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_PAIR_XSEL_32_WIDE_TILE (73142) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'X', 'S', 'E', 'L', '_', '6', '4', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_PAIR_XSEL_64_WIDE_TILE (73182) */
	'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'X', 'S', 'E', 'L', '\0', /* SE_PAIR_XSEL (73222) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'Y', 'S', 'E', 'L', '_', '8', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_PAIR_YSEL_8_WIDE_TILE (73235) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'Y', 'S', 'E', 'L', '_', '1', '6', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_PAIR_YSEL_16_WIDE_TILE (73274) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'Y', 'S', 'E', 'L', '_', '3', '2', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_PAIR_YSEL_32_WIDE_TILE (73314) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'Y', 'S', 'E', 'L', '_', '6', '4', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_PAIR_YSEL_64_WIDE_TILE (73354) */
	'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'Y', 'S', 'E', 'L', '\0', /* SE_PAIR_YSEL (73394) */
	'N', 'U', 'M', '_', 'S', 'E', '\0', /* NUM_SE (73407) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'S', 'R', 'B', 'S', 'L', '_', 'D', 'B', '_', 'O', 'P', 'T', 'I', 'M', 'I', 'Z', 'E', 'D', '_', 'P', 'A', 'C', 'K', 'I', 'N', 'G', '\0', /* DISABLE_SRBSL_DB_OPTIMIZED_PACKING (73414) */
	'N', 'U', 'M', '_', 'S', 'C', '\0', /* NUM_SC (73449) */
	'N', 'U', 'M', '_', 'R', 'B', '_', 'P', 'E', 'R', '_', 'S', 'C', '\0', /* NUM_RB_PER_SC (73456) */
	'N', 'U', 'M', '_', 'P', 'A', 'C', 'K', 'E', 'R', '_', 'P', 'E', 'R', '_', 'S', 'C', '\0', /* NUM_PACKER_PER_SC (73470) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* PERFMON_ENABLE (73488) */
	'L', 'E', 'F', 'T', '_', 'Q', 'T', 'R', '\0', /* LEFT_QTR (73503) */
	'L', 'E', 'F', 'T', '_', 'H', 'A', 'L', 'F', '\0', /* LEFT_HALF (73512) */
	'R', 'I', 'G', 'H', 'T', '_', 'H', 'A', 'L', 'F', '\0', /* RIGHT_HALF (73522) */
	'R', 'I', 'G', 'H', 'T', '_', 'Q', 'T', 'R', '\0', /* RIGHT_QTR (73533) */
	'T', 'O', 'P', '_', 'Q', 'T', 'R', '\0', /* TOP_QTR (73543) */
	'T', 'O', 'P', '_', 'H', 'A', 'L', 'F', '\0', /* TOP_HALF (73551) */
	'B', 'O', 'T', '_', 'H', 'A', 'L', 'F', '\0', /* BOT_HALF (73560) */
	'B', 'O', 'T', '_', 'Q', 'T', 'R', '\0', /* BOT_QTR (73569) */
	'M', 'A', 'X', '_', 'I', 'N', 'D', 'X', '\0', /* MAX_INDX (73577) */
	'M', 'I', 'N', '_', 'I', 'N', 'D', 'X', '\0', /* MIN_INDX (73586) */
	'C', 'M', 'A', 'S', 'K', '_', 'W', 'R', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* CMASK_WR_POLICY (73595) */
	'F', 'M', 'A', 'S', 'K', '_', 'W', 'R', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* FMASK_WR_POLICY (73611) */
	'D', 'C', 'C', '_', 'W', 'R', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* DCC_WR_POLICY (73627) */
	'C', 'O', 'L', 'O', 'R', '_', 'W', 'R', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* COLOR_WR_POLICY (73641) */
	'C', 'M', 'A', 'S', 'K', '_', 'R', 'D', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* CMASK_RD_POLICY (73657) */
	'F', 'M', 'A', 'S', 'K', '_', 'R', 'D', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* FMASK_RD_POLICY (73673) */
	'D', 'C', 'C', '_', 'R', 'D', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* DCC_RD_POLICY (73689) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'D', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* COLOR_RD_POLICY (73703) */
	'F', 'M', 'A', 'S', 'K', '_', 'B', 'I', 'G', '_', 'P', 'A', 'G', 'E', '\0', /* FMASK_BIG_PAGE (73719) */
	'C', 'O', 'L', 'O', 'R', '_', 'B', 'I', 'G', '_', 'P', 'A', 'G', 'E', '\0', /* COLOR_BIG_PAGE (73734) */
	'O', 'V', 'E', 'R', 'W', 'R', 'I', 'T', 'E', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'E', 'R', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* OVERWRITE_COMBINER_DISABLE (73749) */
	'O', 'V', 'E', 'R', 'W', 'R', 'I', 'T', 'E', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'E', 'R', '_', 'W', 'A', 'T', 'E', 'R', 'M', 'A', 'R', 'K', '\0', /* OVERWRITE_COMBINER_WATERMARK (73776) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'C', 'O', 'N', 'S', 'T', 'A', 'N', 'T', '_', 'E', 'N', 'C', 'O', 'D', 'E', '_', 'A', 'C', '0', '1', '\0', /* DISABLE_CONSTANT_ENCODE_AC01 (73805) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'C', 'O', 'N', 'S', 'T', 'A', 'N', 'T', '_', 'E', 'N', 'C', 'O', 'D', 'E', '_', 'S', 'I', 'N', 'G', 'L', 'E', '\0', /* DISABLE_CONSTANT_ENCODE_SINGLE (73834) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'C', 'O', 'N', 'S', 'T', 'A', 'N', 'T', '_', 'E', 'N', 'C', 'O', 'D', 'E', '_', 'R', 'E', 'G', '\0', /* DISABLE_CONSTANT_ENCODE_REG (73865) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'E', 'L', 'I', 'M', 'F', 'C', '_', 'S', 'K', 'I', 'P', '_', 'O', 'F', '_', 'A', 'C', '0', '1', '\0', /* DISABLE_ELIMFC_SKIP_OF_AC01 (73893) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'E', 'L', 'I', 'M', 'F', 'C', '_', 'S', 'K', 'I', 'P', '_', 'O', 'F', '_', 'S', 'I', 'N', 'G', 'L', 'E', '\0', /* DISABLE_ELIMFC_SKIP_OF_SINGLE (73921) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'E', 'L', 'I', 'M', 'F', 'C', '_', 'S', 'K', 'I', 'P', '_', 'O', 'F', '_', 'R', 'E', 'G', '\0', /* ENABLE_ELIMFC_SKIP_OF_REG (73951) */
	'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'O', 'U', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* COVERAGE_OUT_ENABLE (73977) */
	'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'O', 'U', 'T', '_', 'M', 'R', 'T', '\0', /* COVERAGE_OUT_MRT (73997) */
	'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'O', 'U', 'T', '_', 'C', 'H', 'A', 'N', 'N', 'E', 'L', '\0', /* COVERAGE_OUT_CHANNEL (74014) */
	'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'O', 'U', 'T', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '\0', /* COVERAGE_OUT_SAMPLES (74035) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'K', 'E', 'E', 'P', '\0', /* STENCIL_KEEP (74056) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'Z', 'E', 'R', 'O', '\0', /* STENCIL_ZERO (74069) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'O', 'N', 'E', 'S', '\0', /* STENCIL_ONES (74082) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'R', 'E', 'P', 'L', 'A', 'C', 'E', '_', 'T', 'E', 'S', 'T', '\0', /* STENCIL_REPLACE_TEST (74095) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'R', 'E', 'P', 'L', 'A', 'C', 'E', '_', 'O', 'P', '\0', /* STENCIL_REPLACE_OP (74116) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'A', 'D', 'D', '_', 'C', 'L', 'A', 'M', 'P', '\0', /* STENCIL_ADD_CLAMP (74135) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'S', 'U', 'B', '_', 'C', 'L', 'A', 'M', 'P', '\0', /* STENCIL_SUB_CLAMP (74153) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'I', 'N', 'V', 'E', 'R', 'T', '\0', /* STENCIL_INVERT (74171) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'A', 'D', 'D', '_', 'W', 'R', 'A', 'P', '\0', /* STENCIL_ADD_WRAP (74186) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'S', 'U', 'B', '_', 'W', 'R', 'A', 'P', '\0', /* STENCIL_SUB_WRAP (74203) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'A', 'N', 'D', '\0', /* STENCIL_AND (74220) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'O', 'R', '\0', /* STENCIL_OR (74232) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'X', 'O', 'R', '\0', /* STENCIL_XOR (74243) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'N', 'A', 'N', 'D', '\0', /* STENCIL_NAND (74255) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'N', 'O', 'R', '\0', /* STENCIL_NOR (74268) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'X', 'N', 'O', 'R', '\0', /* STENCIL_XNOR (74280) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'F', 'A', 'I', 'L', '\0', /* STENCILFAIL (74293) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'Z', 'P', 'A', 'S', 'S', '\0', /* STENCILZPASS (74305) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'Z', 'F', 'A', 'I', 'L', '\0', /* STENCILZFAIL (74318) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'F', 'A', 'I', 'L', '_', 'B', 'F', '\0', /* STENCILFAIL_BF (74331) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'Z', 'P', 'A', 'S', 'S', '_', 'B', 'F', '\0', /* STENCILZPASS_BF (74346) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'Z', 'F', 'A', 'I', 'L', '_', 'B', 'F', '\0', /* STENCILZFAIL_BF (74362) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'T', 'E', 'S', 'T', 'V', 'A', 'L', '\0', /* STENCILTESTVAL (74378) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'M', 'A', 'S', 'K', '\0', /* STENCILMASK (74393) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'W', 'R', 'I', 'T', 'E', 'M', 'A', 'S', 'K', '\0', /* STENCILWRITEMASK (74405) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'O', 'P', 'V', 'A', 'L', '\0', /* STENCILOPVAL (74422) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'T', 'E', 'S', 'T', 'V', 'A', 'L', '_', 'B', 'F', '\0', /* STENCILTESTVAL_BF (74435) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'M', 'A', 'S', 'K', '_', 'B', 'F', '\0', /* STENCILMASK_BF (74453) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'W', 'R', 'I', 'T', 'E', 'M', 'A', 'S', 'K', '_', 'B', 'F', '\0', /* STENCILWRITEMASK_BF (74468) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'O', 'P', 'V', 'A', 'L', '_', 'B', 'F', '\0', /* STENCILOPVAL_BF (74488) */
	'D', 'A', 'T', 'A', '_', 'R', 'E', 'G', 'I', 'S', 'T', 'E', 'R', '\0', /* DATA_REGISTER (74504, 74509) */
	'D', 'E', 'F', 'A', 'U', 'L', 'T', '_', 'V', 'A', 'L', '\0', /* DEFAULT_VAL (74518) */
	'F', 'L', 'A', 'T', '_', 'S', 'H', 'A', 'D', 'E', '\0', /* FLAT_SHADE (74530) */
	'C', 'Y', 'L', '_', 'W', 'R', 'A', 'P', '\0', /* CYL_WRAP (74541) */
	'P', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'T', 'E', 'X', '\0', /* PT_SPRITE_TEX (74550) */
	'D', 'U', 'P', '\0', /* DUP (74564) */
	'F', 'P', '1', '6', '_', 'I', 'N', 'T', 'E', 'R', 'P', '_', 'M', 'O', 'D', 'E', '\0', /* FP16_INTERP_MODE (74568) */
	'U', 'S', 'E', '_', 'D', 'E', 'F', 'A', 'U', 'L', 'T', '_', 'A', 'T', 'T', 'R', '1', '\0', /* USE_DEFAULT_ATTR1 (74585) */
	'D', 'E', 'F', 'A', 'U', 'L', 'T', '_', 'V', 'A', 'L', '_', 'A', 'T', 'T', 'R', '1', '\0', /* DEFAULT_VAL_ATTR1 (74603) */
	'P', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'T', 'E', 'X', '_', 'A', 'T', 'T', 'R', '1', '\0', /* PT_SPRITE_TEX_ATTR1 (74621) */
	'A', 'T', 'T', 'R', '0', '_', 'V', 'A', 'L', 'I', 'D', '\0', /* ATTR0_VALID (74641) */
	'A', 'T', 'T', 'R', '1', '_', 'V', 'A', 'L', 'I', 'D', '\0', /* ATTR1_VALID (74653) */
	'V', 'S', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* VS_EXPORT_COUNT (74665) */
	'V', 'S', '_', 'H', 'A', 'L', 'F', '_', 'P', 'A', 'C', 'K', '\0', /* VS_HALF_PACK (74681) */
	'N', 'O', '_', 'P', 'C', '_', 'E', 'X', 'P', 'O', 'R', 'T', '\0', /* NO_PC_EXPORT (74694) */
	'P', 'E', 'R', 'S', 'P', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'E', 'N', 'A', '\0', /* PERSP_SAMPLE_ENA (74707) */
	'P', 'E', 'R', 'S', 'P', '_', 'C', 'E', 'N', 'T', 'E', 'R', '_', 'E', 'N', 'A', '\0', /* PERSP_CENTER_ENA (74724) */
	'P', 'E', 'R', 'S', 'P', '_', 'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '_', 'E', 'N', 'A', '\0', /* PERSP_CENTROID_ENA (74741) */
	'P', 'E', 'R', 'S', 'P', '_', 'P', 'U', 'L', 'L', '_', 'M', 'O', 'D', 'E', 'L', '_', 'E', 'N', 'A', '\0', /* PERSP_PULL_MODEL_ENA (74760) */
	'L', 'I', 'N', 'E', 'A', 'R', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'E', 'N', 'A', '\0', /* LINEAR_SAMPLE_ENA (74781) */
	'L', 'I', 'N', 'E', 'A', 'R', '_', 'C', 'E', 'N', 'T', 'E', 'R', '_', 'E', 'N', 'A', '\0', /* LINEAR_CENTER_ENA (74799) */
	'L', 'I', 'N', 'E', 'A', 'R', '_', 'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '_', 'E', 'N', 'A', '\0', /* LINEAR_CENTROID_ENA (74817) */
	'L', 'I', 'N', 'E', '_', 'S', 'T', 'I', 'P', 'P', 'L', 'E', '_', 'T', 'E', 'X', '_', 'E', 'N', 'A', '\0', /* LINE_STIPPLE_TEX_ENA (74837) */
	'P', 'O', 'S', '_', 'X', '_', 'F', 'L', 'O', 'A', 'T', '_', 'E', 'N', 'A', '\0', /* POS_X_FLOAT_ENA (74858) */
	'P', 'O', 'S', '_', 'Y', '_', 'F', 'L', 'O', 'A', 'T', '_', 'E', 'N', 'A', '\0', /* POS_Y_FLOAT_ENA (74874) */
	'P', 'O', 'S', '_', 'Z', '_', 'F', 'L', 'O', 'A', 'T', '_', 'E', 'N', 'A', '\0', /* POS_Z_FLOAT_ENA (74890) */
	'P', 'O', 'S', '_', 'W', '_', 'F', 'L', 'O', 'A', 'T', '_', 'E', 'N', 'A', '\0', /* POS_W_FLOAT_ENA (74906) */
	'F', 'R', 'O', 'N', 'T', '_', 'F', 'A', 'C', 'E', '_', 'E', 'N', 'A', '\0', /* FRONT_FACE_ENA (74922) */
	'A', 'N', 'C', 'I', 'L', 'L', 'A', 'R', 'Y', '_', 'E', 'N', 'A', '\0', /* ANCILLARY_ENA (74937) */
	'S', 'A', 'M', 'P', 'L', 'E', '_', 'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'E', 'N', 'A', '\0', /* SAMPLE_COVERAGE_ENA (74951) */
	'P', 'O', 'S', '_', 'F', 'I', 'X', 'E', 'D', '_', 'P', 'T', '_', 'E', 'N', 'A', '\0', /* POS_FIXED_PT_ENA (74971) */
	'F', 'L', 'A', 'T', '_', 'S', 'H', 'A', 'D', 'E', '_', 'E', 'N', 'A', '\0', /* FLAT_SHADE_ENA (74988) */
	'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'E', 'N', 'A', '\0', /* PNT_SPRITE_ENA (75003) */
	'S', 'P', 'I', '_', 'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'S', 'E', 'L', '_', '0', '\0', /* SPI_PNT_SPRITE_SEL_0 (75018) */
	'S', 'P', 'I', '_', 'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'S', 'E', 'L', '_', '1', '\0', /* SPI_PNT_SPRITE_SEL_1 (75039) */
	'S', 'P', 'I', '_', 'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'S', 'E', 'L', '_', 'S', '\0', /* SPI_PNT_SPRITE_SEL_S (75060) */
	'S', 'P', 'I', '_', 'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'S', 'E', 'L', '_', 'T', '\0', /* SPI_PNT_SPRITE_SEL_T (75081) */
	'S', 'P', 'I', '_', 'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'S', 'E', 'L', '_', 'N', 'O', 'N', 'E', '\0', /* SPI_PNT_SPRITE_SEL_NONE (75102, 75121) */
	'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'O', 'V', 'R', 'D', '_', 'X', '\0', /* PNT_SPRITE_OVRD_X (75126) */
	'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'O', 'V', 'R', 'D', '_', 'Y', '\0', /* PNT_SPRITE_OVRD_Y (75144) */
	'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'O', 'V', 'R', 'D', '_', 'Z', '\0', /* PNT_SPRITE_OVRD_Z (75162) */
	'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'O', 'V', 'R', 'D', '_', 'W', '\0', /* PNT_SPRITE_OVRD_W (75180) */
	'P', 'N', 'T', '_', 'S', 'P', 'R', 'I', 'T', 'E', '_', 'T', 'O', 'P', '_', '1', '\0', /* PNT_SPRITE_TOP_1 (75198) */
	'N', 'U', 'M', '_', 'I', 'N', 'T', 'E', 'R', 'P', '\0', /* NUM_INTERP (75215) */
	'P', 'A', 'R', 'A', 'M', '_', 'G', 'E', 'N', '\0', /* PARAM_GEN (75226) */
	'O', 'F', 'F', 'C', 'H', 'I', 'P', '_', 'P', 'A', 'R', 'A', 'M', '_', 'E', 'N', '\0', /* OFFCHIP_PARAM_EN (75236) */
	'L', 'A', 'T', 'E', '_', 'P', 'C', '_', 'D', 'E', 'A', 'L', 'L', 'O', 'C', '\0', /* LATE_PC_DEALLOC (75253) */
	'B', 'C', '_', 'O', 'P', 'T', 'I', 'M', 'I', 'Z', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* BC_OPTIMIZE_DISABLE (75269) */
	'P', 'S', '_', 'W', '3', '2', '_', 'E', 'N', '\0', /* PS_W32_EN (75289) */
	'P', 'E', 'R', 'S', 'P', '_', 'C', 'E', 'N', 'T', 'E', 'R', '_', 'C', 'N', 'T', 'L', '\0', /* PERSP_CENTER_CNTL (75299) */
	'P', 'E', 'R', 'S', 'P', '_', 'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '_', 'C', 'N', 'T', 'L', '\0', /* PERSP_CENTROID_CNTL (75317) */
	'L', 'I', 'N', 'E', 'A', 'R', '_', 'C', 'E', 'N', 'T', 'E', 'R', '_', 'C', 'N', 'T', 'L', '\0', /* LINEAR_CENTER_CNTL (75337) */
	'L', 'I', 'N', 'E', 'A', 'R', '_', 'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '_', 'C', 'N', 'T', 'L', '\0', /* LINEAR_CENTROID_CNTL (75356) */
	'P', 'O', 'S', '_', 'F', 'L', 'O', 'A', 'T', '_', 'L', 'O', 'C', 'A', 'T', 'I', 'O', 'N', '\0', /* POS_FLOAT_LOCATION (75377) */
	'P', 'O', 'S', '_', 'F', 'L', 'O', 'A', 'T', '_', 'U', 'L', 'C', '\0', /* POS_FLOAT_ULC (75396) */
	'F', 'R', 'O', 'N', 'T', '_', 'F', 'A', 'C', 'E', '_', 'A', 'L', 'L', '_', 'B', 'I', 'T', 'S', '\0', /* FRONT_FACE_ALL_BITS (75410) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'N', 'O', 'N', 'E', '\0', /* SPI_SHADER_NONE (75430) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', '1', 'C', 'O', 'M', 'P', '\0', /* SPI_SHADER_1COMP (75446) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', '2', 'C', 'O', 'M', 'P', '\0', /* SPI_SHADER_2COMP (75463) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', '4', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '\0', /* SPI_SHADER_4COMPRESS (75480) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', '4', 'C', 'O', 'M', 'P', '\0', /* SPI_SHADER_4COMP (75501) */
	'I', 'D', 'X', '0', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* IDX0_EXPORT_FORMAT (75518) */
	'P', 'O', 'S', '0', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* POS0_EXPORT_FORMAT (75537) */
	'P', 'O', 'S', '1', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* POS1_EXPORT_FORMAT (75556) */
	'P', 'O', 'S', '2', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* POS2_EXPORT_FORMAT (75575) */
	'P', 'O', 'S', '3', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* POS3_EXPORT_FORMAT (75594) */
	'P', 'O', 'S', '4', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* POS4_EXPORT_FORMAT (75613) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'Z', 'E', 'R', 'O', '\0', /* SPI_SHADER_ZERO (75632) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', '3', '2', '_', 'R', '\0', /* SPI_SHADER_32_R (75648) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', '3', '2', '_', 'G', 'R', '\0', /* SPI_SHADER_32_GR (75664) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', '3', '2', '_', 'A', 'R', '\0', /* SPI_SHADER_32_AR (75681) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'F', 'P', '1', '6', '_', 'A', 'B', 'G', 'R', '\0', /* SPI_SHADER_FP16_ABGR (75698) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'N', 'O', 'R', 'M', '1', '6', '_', 'A', 'B', 'G', 'R', '\0', /* SPI_SHADER_UNORM16_ABGR (75719) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'S', 'N', 'O', 'R', 'M', '1', '6', '_', 'A', 'B', 'G', 'R', '\0', /* SPI_SHADER_SNORM16_ABGR (75743) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'U', 'I', 'N', 'T', '1', '6', '_', 'A', 'B', 'G', 'R', '\0', /* SPI_SHADER_UINT16_ABGR (75767) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'S', 'I', 'N', 'T', '1', '6', '_', 'A', 'B', 'G', 'R', '\0', /* SPI_SHADER_SINT16_ABGR (75790) */
	'S', 'P', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', '3', '2', '_', 'A', 'B', 'G', 'R', '\0', /* SPI_SHADER_32_ABGR (75813) */
	'Z', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* Z_EXPORT_FORMAT (75832) */
	'C', 'O', 'L', '0', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* COL0_EXPORT_FORMAT (75848) */
	'C', 'O', 'L', '1', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* COL1_EXPORT_FORMAT (75867) */
	'C', 'O', 'L', '2', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* COL2_EXPORT_FORMAT (75886) */
	'C', 'O', 'L', '3', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* COL3_EXPORT_FORMAT (75905) */
	'C', 'O', 'L', '4', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* COL4_EXPORT_FORMAT (75924) */
	'C', 'O', 'L', '5', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* COL5_EXPORT_FORMAT (75943) */
	'C', 'O', 'L', '6', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* COL6_EXPORT_FORMAT (75962) */
	'C', 'O', 'L', '7', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* COL7_EXPORT_FORMAT (75981) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'N', 'O', '_', 'C', 'O', 'N', 'V', 'E', 'R', 'S', 'I', 'O', 'N', '\0', /* SX_RT_EXPORT_NO_CONVERSION (76000) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '3', '2', '_', 'R', '\0', /* SX_RT_EXPORT_32_R (76027) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '3', '2', '_', 'A', '\0', /* SX_RT_EXPORT_32_A (76045) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '1', '0', '_', '1', '1', '_', '1', '1', '\0', /* SX_RT_EXPORT_10_11_11 (76063) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '\0', /* SX_RT_EXPORT_2_10_10_10 (76085) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '8', '_', '8', '_', '8', '_', '8', '\0', /* SX_RT_EXPORT_8_8_8_8 (76109) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '5', '_', '6', '_', '5', '\0', /* SX_RT_EXPORT_5_6_5 (76130) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '1', '_', '5', '_', '5', '_', '5', '\0', /* SX_RT_EXPORT_1_5_5_5 (76149) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '4', '_', '4', '_', '4', '_', '4', '\0', /* SX_RT_EXPORT_4_4_4_4 (76170) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '1', '6', '_', '1', '6', '_', 'G', 'R', '\0', /* SX_RT_EXPORT_16_16_GR (76191) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '1', '6', '_', '1', '6', '_', 'A', 'R', '\0', /* SX_RT_EXPORT_16_16_AR (76213) */
	'M', 'R', 'T', '0', '\0', /* MRT0 (76235) */
	'M', 'R', 'T', '1', '\0', /* MRT1 (76240) */
	'M', 'R', 'T', '2', '\0', /* MRT2 (76245) */
	'M', 'R', 'T', '3', '\0', /* MRT3 (76250) */
	'M', 'R', 'T', '4', '\0', /* MRT4 (76255) */
	'M', 'R', 'T', '5', '\0', /* MRT5 (76260) */
	'M', 'R', 'T', '6', '\0', /* MRT6 (76265) */
	'M', 'R', 'T', '7', '\0', /* MRT7 (76270) */
	'1', '1', 'B', 'I', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* 11BIT_FORMAT (76275) */
	'1', '0', 'B', 'I', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* 10BIT_FORMAT (76288) */
	'8', 'B', 'I', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* 8BIT_FORMAT (76301) */
	'6', 'B', 'I', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* 6BIT_FORMAT (76313) */
	'5', 'B', 'I', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* 5BIT_FORMAT (76325) */
	'4', 'B', 'I', 'T', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* 4BIT_FORMAT (76337) */
	'M', 'R', 'T', '0', '_', 'E', 'P', 'S', 'I', 'L', 'O', 'N', '\0', /* MRT0_EPSILON (76349) */
	'M', 'R', 'T', '1', '_', 'E', 'P', 'S', 'I', 'L', 'O', 'N', '\0', /* MRT1_EPSILON (76362) */
	'M', 'R', 'T', '2', '_', 'E', 'P', 'S', 'I', 'L', 'O', 'N', '\0', /* MRT2_EPSILON (76375) */
	'M', 'R', 'T', '3', '_', 'E', 'P', 'S', 'I', 'L', 'O', 'N', '\0', /* MRT3_EPSILON (76388) */
	'M', 'R', 'T', '4', '_', 'E', 'P', 'S', 'I', 'L', 'O', 'N', '\0', /* MRT4_EPSILON (76401) */
	'M', 'R', 'T', '5', '_', 'E', 'P', 'S', 'I', 'L', 'O', 'N', '\0', /* MRT5_EPSILON (76414) */
	'M', 'R', 'T', '6', '_', 'E', 'P', 'S', 'I', 'L', 'O', 'N', '\0', /* MRT6_EPSILON (76427) */
	'M', 'R', 'T', '7', '_', 'E', 'P', 'S', 'I', 'L', 'O', 'N', '\0', /* MRT7_EPSILON (76440) */
	'M', 'R', 'T', '0', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT0_COLOR_OPT_DISABLE (76453) */
	'M', 'R', 'T', '0', '_', 'A', 'L', 'P', 'H', 'A', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT0_ALPHA_OPT_DISABLE (76476) */
	'M', 'R', 'T', '1', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT1_COLOR_OPT_DISABLE (76499) */
	'M', 'R', 'T', '1', '_', 'A', 'L', 'P', 'H', 'A', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT1_ALPHA_OPT_DISABLE (76522) */
	'M', 'R', 'T', '2', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT2_COLOR_OPT_DISABLE (76545) */
	'M', 'R', 'T', '2', '_', 'A', 'L', 'P', 'H', 'A', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT2_ALPHA_OPT_DISABLE (76568) */
	'M', 'R', 'T', '3', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT3_COLOR_OPT_DISABLE (76591) */
	'M', 'R', 'T', '3', '_', 'A', 'L', 'P', 'H', 'A', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT3_ALPHA_OPT_DISABLE (76614) */
	'M', 'R', 'T', '4', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT4_COLOR_OPT_DISABLE (76637) */
	'M', 'R', 'T', '4', '_', 'A', 'L', 'P', 'H', 'A', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT4_ALPHA_OPT_DISABLE (76660) */
	'M', 'R', 'T', '5', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT5_COLOR_OPT_DISABLE (76683) */
	'M', 'R', 'T', '5', '_', 'A', 'L', 'P', 'H', 'A', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT5_ALPHA_OPT_DISABLE (76706) */
	'M', 'R', 'T', '6', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT6_COLOR_OPT_DISABLE (76729) */
	'M', 'R', 'T', '6', '_', 'A', 'L', 'P', 'H', 'A', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT6_ALPHA_OPT_DISABLE (76752) */
	'M', 'R', 'T', '7', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT7_COLOR_OPT_DISABLE (76775) */
	'M', 'R', 'T', '7', '_', 'A', 'L', 'P', 'H', 'A', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT7_ALPHA_OPT_DISABLE (76798) */
	'P', 'I', 'X', 'E', 'N', '_', 'Z', 'E', 'R', 'O', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* PIXEN_ZERO_OPT_DISABLE (76821) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'N', 'O', 'N', 'E', '_', 'I', 'G', 'N', 'O', 'R', 'E', '_', 'A', 'L', 'L', '\0', /* BLEND_OPT_PRESERVE_NONE_IGNORE_ALL (76844) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'A', 'L', 'L', '_', 'I', 'G', 'N', 'O', 'R', 'E', '_', 'N', 'O', 'N', 'E', '\0', /* BLEND_OPT_PRESERVE_ALL_IGNORE_NONE (76879) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'C', '1', '_', 'I', 'G', 'N', 'O', 'R', 'E', '_', 'C', '0', '\0', /* BLEND_OPT_PRESERVE_C1_IGNORE_C0 (76914) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'C', '0', '_', 'I', 'G', 'N', 'O', 'R', 'E', '_', 'C', '1', '\0', /* BLEND_OPT_PRESERVE_C0_IGNORE_C1 (76946) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'A', '1', '_', 'I', 'G', 'N', 'O', 'R', 'E', '_', 'A', '0', '\0', /* BLEND_OPT_PRESERVE_A1_IGNORE_A0 (76978) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'A', '0', '_', 'I', 'G', 'N', 'O', 'R', 'E', '_', 'A', '1', '\0', /* BLEND_OPT_PRESERVE_A0_IGNORE_A1 (77010) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'N', 'O', 'N', 'E', '_', 'I', 'G', 'N', 'O', 'R', 'E', '_', 'A', '0', '\0', /* BLEND_OPT_PRESERVE_NONE_IGNORE_A0 (77042) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'P', 'R', 'E', 'S', 'E', 'R', 'V', 'E', '_', 'N', 'O', 'N', 'E', '_', 'I', 'G', 'N', 'O', 'R', 'E', '_', 'N', 'O', 'N', 'E', '\0', /* BLEND_OPT_PRESERVE_NONE_IGNORE_NONE (77076) */
	'C', 'O', 'L', 'O', 'R', '_', 'S', 'R', 'C', '_', 'O', 'P', 'T', '\0', /* COLOR_SRC_OPT (77112) */
	'C', 'O', 'L', 'O', 'R', '_', 'D', 'S', 'T', '_', 'O', 'P', 'T', '\0', /* COLOR_DST_OPT (77126) */
	'O', 'P', 'T', '_', 'C', 'O', 'M', 'B', '_', 'N', 'O', 'N', 'E', '\0', /* OPT_COMB_NONE (77140) */
	'O', 'P', 'T', '_', 'C', 'O', 'M', 'B', '_', 'A', 'D', 'D', '\0', /* OPT_COMB_ADD (77154) */
	'O', 'P', 'T', '_', 'C', 'O', 'M', 'B', '_', 'S', 'U', 'B', 'T', 'R', 'A', 'C', 'T', '\0', /* OPT_COMB_SUBTRACT (77167) */
	'O', 'P', 'T', '_', 'C', 'O', 'M', 'B', '_', 'M', 'I', 'N', '\0', /* OPT_COMB_MIN (77185) */
	'O', 'P', 'T', '_', 'C', 'O', 'M', 'B', '_', 'M', 'A', 'X', '\0', /* OPT_COMB_MAX (77198) */
	'O', 'P', 'T', '_', 'C', 'O', 'M', 'B', '_', 'R', 'E', 'V', 'S', 'U', 'B', 'T', 'R', 'A', 'C', 'T', '\0', /* OPT_COMB_REVSUBTRACT (77211) */
	'O', 'P', 'T', '_', 'C', 'O', 'M', 'B', '_', 'B', 'L', 'E', 'N', 'D', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', 'D', '\0', /* OPT_COMB_BLEND_DISABLED (77232) */
	'O', 'P', 'T', '_', 'C', 'O', 'M', 'B', '_', 'S', 'A', 'F', 'E', '_', 'A', 'D', 'D', '\0', /* OPT_COMB_SAFE_ADD (77256) */
	'C', 'O', 'L', 'O', 'R', '_', 'C', 'O', 'M', 'B', '_', 'F', 'C', 'N', '\0', /* COLOR_COMB_FCN (77274) */
	'A', 'L', 'P', 'H', 'A', '_', 'S', 'R', 'C', '_', 'O', 'P', 'T', '\0', /* ALPHA_SRC_OPT (77289) */
	'A', 'L', 'P', 'H', 'A', '_', 'D', 'S', 'T', '_', 'O', 'P', 'T', '\0', /* ALPHA_DST_OPT (77303) */
	'A', 'L', 'P', 'H', 'A', '_', 'C', 'O', 'M', 'B', '_', 'F', 'C', 'N', '\0', /* ALPHA_COMB_FCN (77317) */
	'B', 'L', 'E', 'N', 'D', '_', 'Z', 'E', 'R', 'O', '\0', /* BLEND_ZERO (77332) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'N', 'E', '\0', /* BLEND_ONE (77343) */
	'B', 'L', 'E', 'N', 'D', '_', 'S', 'R', 'C', '_', 'C', 'O', 'L', 'O', 'R', '\0', /* BLEND_SRC_COLOR (77353) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'N', 'E', '_', 'M', 'I', 'N', 'U', 'S', '_', 'S', 'R', 'C', '_', 'C', 'O', 'L', 'O', 'R', '\0', /* BLEND_ONE_MINUS_SRC_COLOR (77369) */
	'B', 'L', 'E', 'N', 'D', '_', 'S', 'R', 'C', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* BLEND_SRC_ALPHA (77395) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'N', 'E', '_', 'M', 'I', 'N', 'U', 'S', '_', 'S', 'R', 'C', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* BLEND_ONE_MINUS_SRC_ALPHA (77411) */
	'B', 'L', 'E', 'N', 'D', '_', 'D', 'S', 'T', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* BLEND_DST_ALPHA (77437) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'N', 'E', '_', 'M', 'I', 'N', 'U', 'S', '_', 'D', 'S', 'T', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* BLEND_ONE_MINUS_DST_ALPHA (77453) */
	'B', 'L', 'E', 'N', 'D', '_', 'D', 'S', 'T', '_', 'C', 'O', 'L', 'O', 'R', '\0', /* BLEND_DST_COLOR (77479) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'N', 'E', '_', 'M', 'I', 'N', 'U', 'S', '_', 'D', 'S', 'T', '_', 'C', 'O', 'L', 'O', 'R', '\0', /* BLEND_ONE_MINUS_DST_COLOR (77495) */
	'B', 'L', 'E', 'N', 'D', '_', 'S', 'R', 'C', '_', 'A', 'L', 'P', 'H', 'A', '_', 'S', 'A', 'T', 'U', 'R', 'A', 'T', 'E', '\0', /* BLEND_SRC_ALPHA_SATURATE (77521) */
	'B', 'L', 'E', 'N', 'D', '_', 'B', 'O', 'T', 'H', '_', 'S', 'R', 'C', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* BLEND_BOTH_SRC_ALPHA (77546) */
	'B', 'L', 'E', 'N', 'D', '_', 'B', 'O', 'T', 'H', '_', 'I', 'N', 'V', '_', 'S', 'R', 'C', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* BLEND_BOTH_INV_SRC_ALPHA (77567) */
	'B', 'L', 'E', 'N', 'D', '_', 'C', 'O', 'N', 'S', 'T', 'A', 'N', 'T', '_', 'C', 'O', 'L', 'O', 'R', '\0', /* BLEND_CONSTANT_COLOR (77592) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'N', 'E', '_', 'M', 'I', 'N', 'U', 'S', '_', 'C', 'O', 'N', 'S', 'T', 'A', 'N', 'T', '_', 'C', 'O', 'L', 'O', 'R', '\0', /* BLEND_ONE_MINUS_CONSTANT_COLOR (77613) */
	'B', 'L', 'E', 'N', 'D', '_', 'S', 'R', 'C', '1', '_', 'C', 'O', 'L', 'O', 'R', '\0', /* BLEND_SRC1_COLOR (77644) */
	'B', 'L', 'E', 'N', 'D', '_', 'I', 'N', 'V', '_', 'S', 'R', 'C', '1', '_', 'C', 'O', 'L', 'O', 'R', '\0', /* BLEND_INV_SRC1_COLOR (77661) */
	'B', 'L', 'E', 'N', 'D', '_', 'S', 'R', 'C', '1', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* BLEND_SRC1_ALPHA (77682) */
	'B', 'L', 'E', 'N', 'D', '_', 'I', 'N', 'V', '_', 'S', 'R', 'C', '1', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* BLEND_INV_SRC1_ALPHA (77699) */
	'B', 'L', 'E', 'N', 'D', '_', 'C', 'O', 'N', 'S', 'T', 'A', 'N', 'T', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* BLEND_CONSTANT_ALPHA (77720) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'N', 'E', '_', 'M', 'I', 'N', 'U', 'S', '_', 'C', 'O', 'N', 'S', 'T', 'A', 'N', 'T', '_', 'A', 'L', 'P', 'H', 'A', '\0', /* BLEND_ONE_MINUS_CONSTANT_ALPHA (77741) */
	'C', 'O', 'L', 'O', 'R', '_', 'S', 'R', 'C', 'B', 'L', 'E', 'N', 'D', '\0', /* COLOR_SRCBLEND (77772) */
	'C', 'O', 'M', 'B', '_', 'D', 'S', 'T', '_', 'P', 'L', 'U', 'S', '_', 'S', 'R', 'C', '\0', /* COMB_DST_PLUS_SRC (77787) */
	'C', 'O', 'M', 'B', '_', 'S', 'R', 'C', '_', 'M', 'I', 'N', 'U', 'S', '_', 'D', 'S', 'T', '\0', /* COMB_SRC_MINUS_DST (77805) */
	'C', 'O', 'M', 'B', '_', 'M', 'I', 'N', '_', 'D', 'S', 'T', '_', 'S', 'R', 'C', '\0', /* COMB_MIN_DST_SRC (77824) */
	'C', 'O', 'M', 'B', '_', 'M', 'A', 'X', '_', 'D', 'S', 'T', '_', 'S', 'R', 'C', '\0', /* COMB_MAX_DST_SRC (77841) */
	'C', 'O', 'M', 'B', '_', 'D', 'S', 'T', '_', 'M', 'I', 'N', 'U', 'S', '_', 'S', 'R', 'C', '\0', /* COMB_DST_MINUS_SRC (77858) */
	'C', 'O', 'L', 'O', 'R', '_', 'D', 'E', 'S', 'T', 'B', 'L', 'E', 'N', 'D', '\0', /* COLOR_DESTBLEND (77877) */
	'A', 'L', 'P', 'H', 'A', '_', 'S', 'R', 'C', 'B', 'L', 'E', 'N', 'D', '\0', /* ALPHA_SRCBLEND (77893) */
	'A', 'L', 'P', 'H', 'A', '_', 'D', 'E', 'S', 'T', 'B', 'L', 'E', 'N', 'D', '\0', /* ALPHA_DESTBLEND (77908) */
	'S', 'E', 'P', 'A', 'R', 'A', 'T', 'E', '_', 'A', 'L', 'P', 'H', 'A', '_', 'B', 'L', 'E', 'N', 'D', '\0', /* SEPARATE_ALPHA_BLEND (77924) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'R', 'O', 'P', '3', '\0', /* DISABLE_ROP3 (77945, 77953) */
	'S', 'R', 'C', '_', 'S', 'T', 'A', 'T', 'E', '_', 'I', 'D', '\0', /* SRC_STATE_ID (77958) */
	'D', 'I', '_', 'S', 'R', 'C', '_', 'S', 'E', 'L', '_', 'D', 'M', 'A', '\0', /* DI_SRC_SEL_DMA (77971) */
	'D', 'I', '_', 'S', 'R', 'C', '_', 'S', 'E', 'L', '_', 'I', 'M', 'M', 'E', 'D', 'I', 'A', 'T', 'E', '\0', /* DI_SRC_SEL_IMMEDIATE (77986) */
	'D', 'I', '_', 'S', 'R', 'C', '_', 'S', 'E', 'L', '_', 'A', 'U', 'T', 'O', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* DI_SRC_SEL_AUTO_INDEX (78007) */
	'D', 'I', '_', 'S', 'R', 'C', '_', 'S', 'E', 'L', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '\0', /* DI_SRC_SEL_RESERVED (78029) */
	'S', 'O', 'U', 'R', 'C', 'E', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SOURCE_SELECT (78049) */
	'D', 'I', '_', 'M', 'A', 'J', 'O', 'R', '_', 'M', 'O', 'D', 'E', '_', '0', '\0', /* DI_MAJOR_MODE_0 (78063) */
	'D', 'I', '_', 'M', 'A', 'J', 'O', 'R', '_', 'M', 'O', 'D', 'E', '_', '1', '\0', /* DI_MAJOR_MODE_1 (78079) */
	'M', 'A', 'J', 'O', 'R', '_', 'M', 'O', 'D', 'E', '\0', /* MAJOR_MODE (78095) */
	'S', 'P', 'R', 'I', 'T', 'E', '_', 'E', 'N', '_', 'R', '6', 'X', 'X', '\0', /* SPRITE_EN_R6XX (78106) */
	'N', 'O', 'T', '_', 'E', 'O', 'P', '\0', /* NOT_EOP (78121) */
	'U', 'S', 'E', '_', 'O', 'P', 'A', 'Q', 'U', 'E', '\0', /* USE_OPAQUE (78129) */
	'U', 'N', 'R', 'O', 'L', 'L', 'E', 'D', '_', 'I', 'N', 'S', 'T', '\0', /* UNROLLED_INST (78140) */
	'G', 'R', 'B', 'M', '_', 'S', 'K', 'E', 'W', '_', 'N', 'O', '_', 'D', 'E', 'C', '\0', /* GRBM_SKEW_NO_DEC (78154) */
	'R', 'E', 'G', '_', 'R', 'T', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* REG_RT_INDEX (78171) */
	'A', 'D', 'D', 'R', 'E', 'S', 'S', '_', 'L', 'O', 'W', '\0', /* ADDRESS_LOW (78184) */
	'M', 'A', 'X', '_', 'V', 'E', 'R', 'T', 'S', '_', 'P', 'E', 'R', '_', 'S', 'U', 'B', 'G', 'R', 'O', 'U', 'P', '\0', /* MAX_VERTS_PER_SUBGROUP (78196) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* STENCIL_ENABLE (78219) */
	'Z', '_', 'W', 'R', 'I', 'T', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* Z_WRITE_ENABLE (78234) */
	'D', 'E', 'P', 'T', 'H', '_', 'B', 'O', 'U', 'N', 'D', 'S', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* DEPTH_BOUNDS_ENABLE (78249) */
	'B', 'A', 'C', 'K', 'F', 'A', 'C', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* BACKFACE_ENABLE (78269) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'F', 'U', 'N', 'C', '\0', /* STENCILFUNC (78285) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', 'F', 'U', 'N', 'C', '_', 'B', 'F', '\0', /* STENCILFUNC_BF (78297) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'C', 'O', 'L', 'O', 'R', '_', 'W', 'R', 'I', 'T', 'E', 'S', '_', 'O', 'N', '_', 'D', 'E', 'P', 'T', 'H', '_', 'F', 'A', 'I', 'L', '\0', /* ENABLE_COLOR_WRITES_ON_DEPTH_FAIL (78312) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'C', 'O', 'L', 'O', 'R', '_', 'W', 'R', 'I', 'T', 'E', 'S', '_', 'O', 'N', '_', 'D', 'E', 'P', 'T', 'H', '_', 'P', 'A', 'S', 'S', '\0', /* DISABLE_COLOR_WRITES_ON_DEPTH_PASS (78346) */
	'M', 'A', 'X', '_', 'A', 'N', 'C', 'H', 'O', 'R', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '\0', /* MAX_ANCHOR_SAMPLES (78381) */
	'P', 'S', '_', 'I', 'T', 'E', 'R', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '\0', /* PS_ITER_SAMPLES (78400) */
	'M', 'A', 'S', 'K', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'N', 'U', 'M', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '\0', /* MASK_EXPORT_NUM_SAMPLES (78416) */
	'A', 'L', 'P', 'H', 'A', '_', 'T', 'O', '_', 'M', 'A', 'S', 'K', '_', 'N', 'U', 'M', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '\0', /* ALPHA_TO_MASK_NUM_SAMPLES (78440) */
	'H', 'I', 'G', 'H', '_', 'Q', 'U', 'A', 'L', 'I', 'T', 'Y', '_', 'I', 'N', 'T', 'E', 'R', 'S', 'E', 'C', 'T', 'I', 'O', 'N', 'S', '\0', /* HIGH_QUALITY_INTERSECTIONS (78466) */
	'I', 'N', 'C', 'O', 'H', 'E', 'R', 'E', 'N', 'T', '_', 'E', 'Q', 'A', 'A', '_', 'R', 'E', 'A', 'D', 'S', '\0', /* INCOHERENT_EQAA_READS (78493) */
	'I', 'N', 'T', 'E', 'R', 'P', 'O', 'L', 'A', 'T', 'E', '_', 'C', 'O', 'M', 'P', '_', 'Z', '\0', /* INTERPOLATE_COMP_Z (78515) */
	'I', 'N', 'T', 'E', 'R', 'P', 'O', 'L', 'A', 'T', 'E', '_', 'S', 'R', 'C', '_', 'Z', '\0', /* INTERPOLATE_SRC_Z (78534) */
	'S', 'T', 'A', 'T', 'I', 'C', '_', 'A', 'N', 'C', 'H', 'O', 'R', '_', 'A', 'S', 'S', 'O', 'C', 'I', 'A', 'T', 'I', 'O', 'N', 'S', '\0', /* STATIC_ANCHOR_ASSOCIATIONS (78552) */
	'A', 'L', 'P', 'H', 'A', '_', 'T', 'O', '_', 'M', 'A', 'S', 'K', '_', 'E', 'Q', 'A', 'A', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* ALPHA_TO_MASK_EQAA_DISABLE (78579) */
	'O', 'V', 'E', 'R', 'R', 'A', 'S', 'T', 'E', 'R', 'I', 'Z', 'A', 'T', 'I', 'O', 'N', '_', 'A', 'M', 'O', 'U', 'N', 'T', '\0', /* OVERRASTERIZATION_AMOUNT (78606) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'P', 'O', 'S', 'T', 'Z', '_', 'O', 'V', 'E', 'R', 'R', 'A', 'S', 'T', 'E', 'R', 'I', 'Z', 'A', 'T', 'I', 'O', 'N', '\0', /* ENABLE_POSTZ_OVERRASTERIZATION (78631) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'D', 'U', 'A', 'L', '_', 'Q', 'U', 'A', 'D', '\0', /* DISABLE_DUAL_QUAD (78662) */
	'D', 'E', 'G', 'A', 'M', 'M', 'A', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* DEGAMMA_ENABLE (78680) */
	'C', 'B', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* CB_DISABLE (78695) */
	'C', 'B', '_', 'N', 'O', 'R', 'M', 'A', 'L', '\0', /* CB_NORMAL (78706) */
	'C', 'B', '_', 'E', 'L', 'I', 'M', 'I', 'N', 'A', 'T', 'E', '_', 'F', 'A', 'S', 'T', '_', 'C', 'L', 'E', 'A', 'R', '\0', /* CB_ELIMINATE_FAST_CLEAR (78716, 78729) */
	'C', 'B', '_', 'R', 'E', 'S', 'O', 'L', 'V', 'E', '\0', /* CB_RESOLVE (78740) */
	'C', 'B', '_', 'D', 'E', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '\0', /* CB_DECOMPRESS (78751) */
	'C', 'B', '_', 'F', 'M', 'A', 'S', 'K', '_', 'D', 'E', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '\0', /* CB_FMASK_DECOMPRESS (78765) */
	'C', 'B', '_', 'D', 'C', 'C', '_', 'D', 'E', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '\0', /* CB_DCC_DECOMPRESS (78785) */
	'C', 'B', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '\0', /* CB_RESERVED (78803) */
	'R', 'O', 'P', '3', '_', 'C', 'L', 'E', 'A', 'R', '\0', /* ROP3_CLEAR (78815) */
	'X', '_', '0', 'X', '0', '5', '\0', /* X_0X05 (78826) */
	'X', '_', '0', 'X', '0', 'A', '\0', /* X_0X0A (78833) */
	'X', '_', '0', 'X', '0', 'F', '\0', /* X_0X0F (78840) */
	'R', 'O', 'P', '3', '_', 'N', 'O', 'R', '\0', /* ROP3_NOR (78847) */
	'R', 'O', 'P', '3', '_', 'A', 'N', 'D', '_', 'I', 'N', 'V', 'E', 'R', 'T', 'E', 'D', '\0', /* ROP3_AND_INVERTED (78856) */
	'R', 'O', 'P', '3', '_', 'C', 'O', 'P', 'Y', '_', 'I', 'N', 'V', 'E', 'R', 'T', 'E', 'D', '\0', /* ROP3_COPY_INVERTED (78874) */
	'R', 'O', 'P', '3', '_', 'A', 'N', 'D', '_', 'R', 'E', 'V', 'E', 'R', 'S', 'E', '\0', /* ROP3_AND_REVERSE (78893) */
	'X', '_', '0', 'X', '5', '0', '\0', /* X_0X50 (78910) */
	'R', 'O', 'P', '3', '_', 'I', 'N', 'V', 'E', 'R', 'T', '\0', /* ROP3_INVERT (78917) */
	'X', '_', '0', 'X', '5', 'A', '\0', /* X_0X5A (78929) */
	'X', '_', '0', 'X', '5', 'F', '\0', /* X_0X5F (78936) */
	'R', 'O', 'P', '3', '_', 'X', 'O', 'R', '\0', /* ROP3_XOR (78943) */
	'R', 'O', 'P', '3', '_', 'N', 'A', 'N', 'D', '\0', /* ROP3_NAND (78952) */
	'R', 'O', 'P', '3', '_', 'A', 'N', 'D', '\0', /* ROP3_AND (78962) */
	'R', 'O', 'P', '3', '_', 'E', 'Q', 'U', 'I', 'V', 'A', 'L', 'E', 'N', 'T', '\0', /* ROP3_EQUIVALENT (78971) */
	'X', '_', '0', 'X', 'A', '0', '\0', /* X_0XA0 (78987) */
	'X', '_', '0', 'X', 'A', '5', '\0', /* X_0XA5 (78994) */
	'R', 'O', 'P', '3', '_', 'N', 'O', '_', 'O', 'P', '\0', /* ROP3_NO_OP (79001) */
	'X', '_', '0', 'X', 'A', 'F', '\0', /* X_0XAF (79012) */
	'R', 'O', 'P', '3', '_', 'O', 'R', '_', 'I', 'N', 'V', 'E', 'R', 'T', 'E', 'D', '\0', /* ROP3_OR_INVERTED (79019) */
	'R', 'O', 'P', '3', '_', 'C', 'O', 'P', 'Y', '\0', /* ROP3_COPY (79036) */
	'R', 'O', 'P', '3', '_', 'O', 'R', '_', 'R', 'E', 'V', 'E', 'R', 'S', 'E', '\0', /* ROP3_OR_REVERSE (79046) */
	'R', 'O', 'P', '3', '_', 'O', 'R', '\0', /* ROP3_OR (79062) */
	'X', '_', '0', 'X', 'F', '0', '\0', /* X_0XF0 (79070) */
	'X', '_', '0', 'X', 'F', '5', '\0', /* X_0XF5 (79077) */
	'X', '_', '0', 'X', 'F', 'A', '\0', /* X_0XFA (79084) */
	'R', 'O', 'P', '3', '_', 'S', 'E', 'T', '\0', /* ROP3_SET (79091) */
	'Z', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* Z_EXPORT_ENABLE (79100) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'T', 'E', 'S', 'T', '_', 'V', 'A', 'L', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* STENCIL_TEST_VAL_EXPORT_ENABLE (79116) */
	'S', 'T', 'E', 'N', 'C', 'I', 'L', '_', 'O', 'P', '_', 'V', 'A', 'L', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* STENCIL_OP_VAL_EXPORT_ENABLE (79147) */
	'L', 'A', 'T', 'E', '_', 'Z', '\0', /* LATE_Z (79176) */
	'E', 'A', 'R', 'L', 'Y', '_', 'Z', '_', 'T', 'H', 'E', 'N', '_', 'L', 'A', 'T', 'E', '_', 'Z', '\0', /* EARLY_Z_THEN_LATE_Z (79183) */
	'R', 'E', '_', 'Z', '\0', /* RE_Z (79203) */
	'E', 'A', 'R', 'L', 'Y', '_', 'Z', '_', 'T', 'H', 'E', 'N', '_', 'R', 'E', '_', 'Z', '\0', /* EARLY_Z_THEN_RE_Z (79208) */
	'K', 'I', 'L', 'L', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* KILL_ENABLE (79226) */
	'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'T', 'O', '_', 'M', 'A', 'S', 'K', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* COVERAGE_TO_MASK_ENABLE (79238) */
	'M', 'A', 'S', 'K', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* MASK_EXPORT_ENABLE (79262) */
	'E', 'X', 'E', 'C', '_', 'O', 'N', '_', 'H', 'I', 'E', 'R', '_', 'F', 'A', 'I', 'L', '\0', /* EXEC_ON_HIER_FAIL (79281) */
	'E', 'X', 'E', 'C', '_', 'O', 'N', '_', 'N', 'O', 'O', 'P', '\0', /* EXEC_ON_NOOP (79299) */
	'A', 'L', 'P', 'H', 'A', '_', 'T', 'O', '_', 'M', 'A', 'S', 'K', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* ALPHA_TO_MASK_DISABLE (79312) */
	'D', 'E', 'P', 'T', 'H', '_', 'B', 'E', 'F', 'O', 'R', 'E', '_', 'S', 'H', 'A', 'D', 'E', 'R', '\0', /* DEPTH_BEFORE_SHADER (79334) */
	'E', 'X', 'P', 'O', 'R', 'T', '_', 'A', 'N', 'Y', '_', 'Z', '\0', /* EXPORT_ANY_Z (79354) */
	'E', 'X', 'P', 'O', 'R', 'T', '_', 'L', 'E', 'S', 'S', '_', 'T', 'H', 'A', 'N', '_', 'Z', '\0', /* EXPORT_LESS_THAN_Z (79367) */
	'E', 'X', 'P', 'O', 'R', 'T', '_', 'G', 'R', 'E', 'A', 'T', 'E', 'R', '_', 'T', 'H', 'A', 'N', '_', 'Z', '\0', /* EXPORT_GREATER_THAN_Z (79386) */
	'E', 'X', 'P', 'O', 'R', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '\0', /* EXPORT_RESERVED (79408) */
	'C', 'O', 'N', 'S', 'E', 'R', 'V', 'A', 'T', 'I', 'V', 'E', '_', 'Z', '_', 'E', 'X', 'P', 'O', 'R', 'T', '\0', /* CONSERVATIVE_Z_EXPORT (79424) */
	'D', 'U', 'A', 'L', '_', 'Q', 'U', 'A', 'D', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* DUAL_QUAD_DISABLE (79446) */
	'P', 'R', 'I', 'M', 'I', 'T', 'I', 'V', 'E', '_', 'O', 'R', 'D', 'E', 'R', 'E', 'D', '_', 'P', 'I', 'X', 'E', 'L', '_', 'S', 'H', 'A', 'D', 'E', 'R', '\0', /* PRIMITIVE_ORDERED_PIXEL_SHADER (79464) */
	'E', 'X', 'E', 'C', '_', 'I', 'F', '_', 'O', 'V', 'E', 'R', 'L', 'A', 'P', 'P', 'E', 'D', '\0', /* EXEC_IF_OVERLAPPED (79495) */
	'P', 'O', 'P', 'S', '_', 'O', 'V', 'E', 'R', 'L', 'A', 'P', '_', 'N', 'U', 'M', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '\0', /* POPS_OVERLAP_NUM_SAMPLES (79514) */
	'P', 'R', 'E', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* PRE_SHADER_DEPTH_COVERAGE_ENABLE (79539) */
	'U', 'C', 'P', '_', 'E', 'N', 'A', '_', '0', '\0', /* UCP_ENA_0 (79572) */
	'U', 'C', 'P', '_', 'E', 'N', 'A', '_', '1', '\0', /* UCP_ENA_1 (79582) */
	'U', 'C', 'P', '_', 'E', 'N', 'A', '_', '2', '\0', /* UCP_ENA_2 (79592) */
	'U', 'C', 'P', '_', 'E', 'N', 'A', '_', '3', '\0', /* UCP_ENA_3 (79602) */
	'U', 'C', 'P', '_', 'E', 'N', 'A', '_', '4', '\0', /* UCP_ENA_4 (79612) */
	'U', 'C', 'P', '_', 'E', 'N', 'A', '_', '5', '\0', /* UCP_ENA_5 (79622) */
	'P', 'S', '_', 'U', 'C', 'P', '_', 'Y', '_', 'S', 'C', 'A', 'L', 'E', '_', 'N', 'E', 'G', '\0', /* PS_UCP_Y_SCALE_NEG (79632) */
	'P', 'S', '_', 'U', 'C', 'P', '_', 'M', 'O', 'D', 'E', '\0', /* PS_UCP_MODE (79651) */
	'C', 'L', 'I', 'P', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* CLIP_DISABLE (79663) */
	'U', 'C', 'P', '_', 'C', 'U', 'L', 'L', '_', 'O', 'N', 'L', 'Y', '_', 'E', 'N', 'A', '\0', /* UCP_CULL_ONLY_ENA (79676) */
	'B', 'O', 'U', 'N', 'D', 'A', 'R', 'Y', '_', 'E', 'D', 'G', 'E', '_', 'F', 'L', 'A', 'G', '_', 'E', 'N', 'A', '\0', /* BOUNDARY_EDGE_FLAG_ENA (79694) */
	'D', 'X', '_', 'C', 'L', 'I', 'P', '_', 'S', 'P', 'A', 'C', 'E', '_', 'D', 'E', 'F', '\0', /* DX_CLIP_SPACE_DEF (79717) */
	'D', 'I', 'S', '_', 'C', 'L', 'I', 'P', '_', 'E', 'R', 'R', '_', 'D', 'E', 'T', 'E', 'C', 'T', '\0', /* DIS_CLIP_ERR_DETECT (79735) */
	'V', 'T', 'X', '_', 'K', 'I', 'L', 'L', '_', 'O', 'R', '\0', /* VTX_KILL_OR (79755) */
	'D', 'X', '_', 'R', 'A', 'S', 'T', 'E', 'R', 'I', 'Z', 'A', 'T', 'I', 'O', 'N', '_', 'K', 'I', 'L', 'L', '\0', /* DX_RASTERIZATION_KILL (79767) */
	'D', 'X', '_', 'L', 'I', 'N', 'E', 'A', 'R', '_', 'A', 'T', 'T', 'R', '_', 'C', 'L', 'I', 'P', '_', 'E', 'N', 'A', '\0', /* DX_LINEAR_ATTR_CLIP_ENA (79789) */
	'V', 'T', 'E', '_', 'V', 'P', 'O', 'R', 'T', '_', 'P', 'R', 'O', 'V', 'O', 'K', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* VTE_VPORT_PROVOKE_DISABLE (79813) */
	'Z', 'C', 'L', 'I', 'P', '_', 'N', 'E', 'A', 'R', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* ZCLIP_NEAR_DISABLE (79839) */
	'Z', 'C', 'L', 'I', 'P', '_', 'F', 'A', 'R', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* ZCLIP_FAR_DISABLE (79858) */
	'Z', 'C', 'L', 'I', 'P', '_', 'P', 'R', 'O', 'G', '_', 'N', 'E', 'A', 'R', '_', 'E', 'N', 'A', '\0', /* ZCLIP_PROG_NEAR_ENA (79876) */
	'C', 'U', 'L', 'L', '_', 'F', 'R', 'O', 'N', 'T', '\0', /* CULL_FRONT (79896) */
	'C', 'U', 'L', 'L', '_', 'B', 'A', 'C', 'K', '\0', /* CULL_BACK (79907) */
	'X', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'P', 'O', 'L', 'Y', '_', 'M', 'O', 'D', 'E', '\0', /* X_DISABLE_POLY_MODE (79917, 79927) */
	'X', '_', 'D', 'U', 'A', 'L', '_', 'M', 'O', 'D', 'E', '\0', /* X_DUAL_MODE (79937) */
	'X', '_', 'D', 'R', 'A', 'W', '_', 'P', 'O', 'I', 'N', 'T', 'S', '\0', /* X_DRAW_POINTS (79949) */
	'X', '_', 'D', 'R', 'A', 'W', '_', 'L', 'I', 'N', 'E', 'S', '\0', /* X_DRAW_LINES (79963) */
	'X', '_', 'D', 'R', 'A', 'W', '_', 'T', 'R', 'I', 'A', 'N', 'G', 'L', 'E', 'S', '\0', /* X_DRAW_TRIANGLES (79976) */
	'P', 'O', 'L', 'Y', 'M', 'O', 'D', 'E', '_', 'F', 'R', 'O', 'N', 'T', '_', 'P', 'T', 'Y', 'P', 'E', '\0', /* POLYMODE_FRONT_PTYPE (79993) */
	'P', 'O', 'L', 'Y', 'M', 'O', 'D', 'E', '_', 'B', 'A', 'C', 'K', '_', 'P', 'T', 'Y', 'P', 'E', '\0', /* POLYMODE_BACK_PTYPE (80014) */
	'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'F', 'R', 'O', 'N', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* POLY_OFFSET_FRONT_ENABLE (80034) */
	'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'B', 'A', 'C', 'K', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* POLY_OFFSET_BACK_ENABLE (80059) */
	'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'P', 'A', 'R', 'A', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* POLY_OFFSET_PARA_ENABLE (80083) */
	'V', 'T', 'X', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* VTX_WINDOW_OFFSET_ENABLE (80107) */
	'P', 'R', 'O', 'V', 'O', 'K', 'I', 'N', 'G', '_', 'V', 'T', 'X', '_', 'L', 'A', 'S', 'T', '\0', /* PROVOKING_VTX_LAST (80132) */
	'P', 'E', 'R', 'S', 'P', '_', 'C', 'O', 'R', 'R', '_', 'D', 'I', 'S', '\0', /* PERSP_CORR_DIS (80151) */
	'M', 'U', 'L', 'T', 'I', '_', 'P', 'R', 'I', 'M', '_', 'I', 'B', '_', 'E', 'N', 'A', '\0', /* MULTI_PRIM_IB_ENA (80166) */
	'R', 'I', 'G', 'H', 'T', '_', 'T', 'R', 'I', 'A', 'N', 'G', 'L', 'E', '_', 'A', 'L', 'T', 'E', 'R', 'N', 'A', 'T', 'E', '_', 'G', 'R', 'A', 'D', 'I', 'E', 'N', 'T', '_', 'R', 'E', 'F', '\0', /* RIGHT_TRIANGLE_ALTERNATE_GRADIENT_REF (80184) */
	'N', 'E', 'W', '_', 'Q', 'U', 'A', 'D', '_', 'D', 'E', 'C', 'O', 'M', 'P', 'O', 'S', 'I', 'T', 'I', 'O', 'N', '\0', /* NEW_QUAD_DECOMPOSITION (80222) */
	'K', 'E', 'E', 'P', '_', 'T', 'O', 'G', 'E', 'T', 'H', 'E', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* KEEP_TOGETHER_ENABLE (80245) */
	'V', 'P', 'O', 'R', 'T', '_', 'X', '_', 'S', 'C', 'A', 'L', 'E', '_', 'E', 'N', 'A', '\0', /* VPORT_X_SCALE_ENA (80266) */
	'V', 'P', 'O', 'R', 'T', '_', 'X', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'E', 'N', 'A', '\0', /* VPORT_X_OFFSET_ENA (80284) */
	'V', 'P', 'O', 'R', 'T', '_', 'Y', '_', 'S', 'C', 'A', 'L', 'E', '_', 'E', 'N', 'A', '\0', /* VPORT_Y_SCALE_ENA (80303) */
	'V', 'P', 'O', 'R', 'T', '_', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'E', 'N', 'A', '\0', /* VPORT_Y_OFFSET_ENA (80321) */
	'V', 'P', 'O', 'R', 'T', '_', 'Z', '_', 'S', 'C', 'A', 'L', 'E', '_', 'E', 'N', 'A', '\0', /* VPORT_Z_SCALE_ENA (80340) */
	'V', 'P', 'O', 'R', 'T', '_', 'Z', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'E', 'N', 'A', '\0', /* VPORT_Z_OFFSET_ENA (80358) */
	'V', 'T', 'X', '_', 'X', 'Y', '_', 'F', 'M', 'T', '\0', /* VTX_XY_FMT (80377) */
	'V', 'T', 'X', '_', 'Z', '_', 'F', 'M', 'T', '\0', /* VTX_Z_FMT (80388) */
	'V', 'T', 'X', '_', 'W', '0', '_', 'F', 'M', 'T', '\0', /* VTX_W0_FMT (80398) */
	'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'R', 'E', 'F', '\0', /* PERFCOUNTER_REF (80409) */
	'C', 'L', 'I', 'P', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '0', '\0', /* CLIP_DIST_ENA_0 (80425) */
	'C', 'L', 'I', 'P', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '1', '\0', /* CLIP_DIST_ENA_1 (80441) */
	'C', 'L', 'I', 'P', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '2', '\0', /* CLIP_DIST_ENA_2 (80457) */
	'C', 'L', 'I', 'P', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '3', '\0', /* CLIP_DIST_ENA_3 (80473) */
	'C', 'L', 'I', 'P', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '4', '\0', /* CLIP_DIST_ENA_4 (80489) */
	'C', 'L', 'I', 'P', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '5', '\0', /* CLIP_DIST_ENA_5 (80505) */
	'C', 'L', 'I', 'P', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '6', '\0', /* CLIP_DIST_ENA_6 (80521) */
	'C', 'L', 'I', 'P', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '7', '\0', /* CLIP_DIST_ENA_7 (80537) */
	'C', 'U', 'L', 'L', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '0', '\0', /* CULL_DIST_ENA_0 (80553) */
	'C', 'U', 'L', 'L', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '1', '\0', /* CULL_DIST_ENA_1 (80569) */
	'C', 'U', 'L', 'L', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '2', '\0', /* CULL_DIST_ENA_2 (80585) */
	'C', 'U', 'L', 'L', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '3', '\0', /* CULL_DIST_ENA_3 (80601) */
	'C', 'U', 'L', 'L', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '4', '\0', /* CULL_DIST_ENA_4 (80617) */
	'C', 'U', 'L', 'L', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '5', '\0', /* CULL_DIST_ENA_5 (80633) */
	'C', 'U', 'L', 'L', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '6', '\0', /* CULL_DIST_ENA_6 (80649) */
	'C', 'U', 'L', 'L', '_', 'D', 'I', 'S', 'T', '_', 'E', 'N', 'A', '_', '7', '\0', /* CULL_DIST_ENA_7 (80665) */
	'U', 'S', 'E', '_', 'V', 'T', 'X', '_', 'P', 'O', 'I', 'N', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* USE_VTX_POINT_SIZE (80681) */
	'U', 'S', 'E', '_', 'V', 'T', 'X', '_', 'E', 'D', 'G', 'E', '_', 'F', 'L', 'A', 'G', '\0', /* USE_VTX_EDGE_FLAG (80700, 80713) */
	'U', 'S', 'E', '_', 'V', 'T', 'X', '_', 'R', 'E', 'N', 'D', 'E', 'R', '_', 'T', 'A', 'R', 'G', 'E', 'T', '_', 'I', 'N', 'D', 'X', '\0', /* USE_VTX_RENDER_TARGET_INDX (80718) */
	'U', 'S', 'E', '_', 'V', 'T', 'X', '_', 'V', 'I', 'E', 'W', 'P', 'O', 'R', 'T', '_', 'I', 'N', 'D', 'X', '\0', /* USE_VTX_VIEWPORT_INDX (80745) */
	'U', 'S', 'E', '_', 'V', 'T', 'X', '_', 'K', 'I', 'L', 'L', '_', 'F', 'L', 'A', 'G', '\0', /* USE_VTX_KILL_FLAG (80767) */
	'V', 'S', '_', 'O', 'U', 'T', '_', 'M', 'I', 'S', 'C', '_', 'V', 'E', 'C', '_', 'E', 'N', 'A', '\0', /* VS_OUT_MISC_VEC_ENA (80785) */
	'V', 'S', '_', 'O', 'U', 'T', '_', 'C', 'C', 'D', 'I', 'S', 'T', '0', '_', 'V', 'E', 'C', '_', 'E', 'N', 'A', '\0', /* VS_OUT_CCDIST0_VEC_ENA (80805) */
	'V', 'S', '_', 'O', 'U', 'T', '_', 'C', 'C', 'D', 'I', 'S', 'T', '1', '_', 'V', 'E', 'C', '_', 'E', 'N', 'A', '\0', /* VS_OUT_CCDIST1_VEC_ENA (80828) */
	'V', 'S', '_', 'O', 'U', 'T', '_', 'M', 'I', 'S', 'C', '_', 'S', 'I', 'D', 'E', '_', 'B', 'U', 'S', '_', 'E', 'N', 'A', '\0', /* VS_OUT_MISC_SIDE_BUS_ENA (80851) */
	'U', 'S', 'E', '_', 'V', 'T', 'X', '_', 'G', 'S', '_', 'C', 'U', 'T', '_', 'F', 'L', 'A', 'G', '\0', /* USE_VTX_GS_CUT_FLAG (80876) */
	'U', 'S', 'E', '_', 'V', 'T', 'X', '_', 'S', 'H', 'D', '_', 'O', 'B', 'J', 'P', 'R', 'I', 'M', '_', 'I', 'D', '\0', /* USE_VTX_SHD_OBJPRIM_ID (80896) */
	'U', 'S', 'E', '_', 'V', 'T', 'X', '_', 'L', 'I', 'N', 'E', '_', 'W', 'I', 'D', 'T', 'H', '\0', /* USE_VTX_LINE_WIDTH (80919) */
	'V', 'T', 'E', '_', 'X', 'Y', '_', 'I', 'N', 'F', '_', 'D', 'I', 'S', 'C', 'A', 'R', 'D', '\0', /* VTE_XY_INF_DISCARD (80938) */
	'V', 'T', 'E', '_', 'Z', '_', 'I', 'N', 'F', '_', 'D', 'I', 'S', 'C', 'A', 'R', 'D', '\0', /* VTE_Z_INF_DISCARD (80957) */
	'V', 'T', 'E', '_', 'W', '_', 'I', 'N', 'F', '_', 'D', 'I', 'S', 'C', 'A', 'R', 'D', '\0', /* VTE_W_INF_DISCARD (80975) */
	'V', 'T', 'E', '_', '0', 'X', 'N', 'A', 'N', 'I', 'N', 'F', '_', 'I', 'S', '_', '0', '\0', /* VTE_0XNANINF_IS_0 (80993) */
	'V', 'T', 'E', '_', 'X', 'Y', '_', 'N', 'A', 'N', '_', 'R', 'E', 'T', 'A', 'I', 'N', '\0', /* VTE_XY_NAN_RETAIN (81011) */
	'V', 'T', 'E', '_', 'Z', '_', 'N', 'A', 'N', '_', 'R', 'E', 'T', 'A', 'I', 'N', '\0', /* VTE_Z_NAN_RETAIN (81029) */
	'V', 'T', 'E', '_', 'W', '_', 'N', 'A', 'N', '_', 'R', 'E', 'T', 'A', 'I', 'N', '\0', /* VTE_W_NAN_RETAIN (81046) */
	'V', 'T', 'E', '_', 'W', '_', 'R', 'E', 'C', 'I', 'P', '_', 'N', 'A', 'N', '_', 'I', 'S', '_', '0', '\0', /* VTE_W_RECIP_NAN_IS_0 (81063) */
	'V', 'S', '_', 'X', 'Y', '_', 'N', 'A', 'N', '_', 'T', 'O', '_', 'I', 'N', 'F', '\0', /* VS_XY_NAN_TO_INF (81084) */
	'V', 'S', '_', 'X', 'Y', '_', 'I', 'N', 'F', '_', 'R', 'E', 'T', 'A', 'I', 'N', '\0', /* VS_XY_INF_RETAIN (81101) */
	'V', 'S', '_', 'Z', '_', 'N', 'A', 'N', '_', 'T', 'O', '_', 'I', 'N', 'F', '\0', /* VS_Z_NAN_TO_INF (81118) */
	'V', 'S', '_', 'Z', '_', 'I', 'N', 'F', '_', 'R', 'E', 'T', 'A', 'I', 'N', '\0', /* VS_Z_INF_RETAIN (81134) */
	'V', 'S', '_', 'W', '_', 'N', 'A', 'N', '_', 'T', 'O', '_', 'I', 'N', 'F', '\0', /* VS_W_NAN_TO_INF (81150) */
	'V', 'S', '_', 'W', '_', 'I', 'N', 'F', '_', 'R', 'E', 'T', 'A', 'I', 'N', '\0', /* VS_W_INF_RETAIN (81166) */
	'V', 'S', '_', 'C', 'L', 'I', 'P', '_', 'D', 'I', 'S', 'T', '_', 'I', 'N', 'F', '_', 'D', 'I', 'S', 'C', 'A', 'R', 'D', '\0', /* VS_CLIP_DIST_INF_DISCARD (81182) */
	'V', 'T', 'E', '_', 'N', 'O', '_', 'O', 'U', 'T', 'P', 'U', 'T', '_', 'N', 'E', 'G', '_', '0', '\0', /* VTE_NO_OUTPUT_NEG_0 (81207) */
	'L', 'I', 'N', 'E', '_', 'S', 'T', 'I', 'P', 'P', 'L', 'E', '_', 'R', 'E', 'S', 'E', 'T', '\0', /* LINE_STIPPLE_RESET (81227) */
	'E', 'X', 'P', 'A', 'N', 'D', '_', 'F', 'U', 'L', 'L', '_', 'L', 'E', 'N', 'G', 'T', 'H', '\0', /* EXPAND_FULL_LENGTH (81246) */
	'F', 'R', 'A', 'C', 'T', 'I', 'O', 'N', 'A', 'L', '_', 'A', 'C', 'C', 'U', 'M', '\0', /* FRACTIONAL_ACCUM (81265) */
	'D', 'I', 'A', 'M', 'O', 'N', 'D', '_', 'A', 'D', 'J', 'U', 'S', 'T', '\0', /* DIAMOND_ADJUST (81282) */
	'T', 'R', 'I', 'A', 'N', 'G', 'L', 'E', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* TRIANGLE_FILTER_DISABLE (81297) */
	'L', 'I', 'N', 'E', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* LINE_FILTER_DISABLE (81321) */
	'P', 'O', 'I', 'N', 'T', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* POINT_FILTER_DISABLE (81341) */
	'R', 'E', 'C', 'T', 'A', 'N', 'G', 'L', 'E', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* RECTANGLE_FILTER_DISABLE (81362) */
	'T', 'R', 'I', 'A', 'N', 'G', 'L', 'E', '_', 'E', 'X', 'P', 'A', 'N', 'D', '_', 'E', 'N', 'A', '\0', /* TRIANGLE_EXPAND_ENA (81387) */
	'L', 'I', 'N', 'E', '_', 'E', 'X', 'P', 'A', 'N', 'D', '_', 'E', 'N', 'A', '\0', /* LINE_EXPAND_ENA (81407) */
	'P', 'O', 'I', 'N', 'T', '_', 'E', 'X', 'P', 'A', 'N', 'D', '_', 'E', 'N', 'A', '\0', /* POINT_EXPAND_ENA (81423) */
	'R', 'E', 'C', 'T', 'A', 'N', 'G', 'L', 'E', '_', 'E', 'X', 'P', 'A', 'N', 'D', '_', 'E', 'N', 'A', '\0', /* RECTANGLE_EXPAND_ENA (81440) */
	'P', 'R', 'I', 'M', '_', 'E', 'X', 'P', 'A', 'N', 'D', '_', 'C', 'O', 'N', 'S', 'T', 'A', 'N', 'T', '\0', /* PRIM_EXPAND_CONSTANT (81461) */
	'X', 'M', 'A', 'X', '_', 'R', 'I', 'G', 'H', 'T', '_', 'E', 'X', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '\0', /* XMAX_RIGHT_EXCLUSION (81482) */
	'Y', 'M', 'A', 'X', '_', 'B', 'O', 'T', 'T', 'O', 'M', '_', 'E', 'X', 'C', 'L', 'U', 'S', 'I', 'O', 'N', '\0', /* YMAX_BOTTOM_EXCLUSION (81503) */
	'S', 'M', 'A', 'L', 'L', '_', 'P', 'R', 'I', 'M', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* SMALL_PRIM_FILTER_ENABLE (81525) */
	'S', 'R', 'B', 'S', 'L', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* SRBSL_ENABLE (81550) */
	'S', 'C', '_', '1', 'X', 'M', 'S', 'A', 'A', '_', 'C', 'O', 'M', 'P', 'A', 'T', 'I', 'B', 'L', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* SC_1XMSAA_COMPATIBLE_DISABLE (81563) */
	'O', 'B', 'J', '_', 'I', 'D', '_', 'S', 'E', 'L', '\0', /* OBJ_ID_SEL (81592) */
	'A', 'D', 'D', '_', 'P', 'I', 'P', 'E', 'D', '_', 'P', 'R', 'I', 'M', '_', 'I', 'D', '\0', /* ADD_PIPED_PRIM_ID (81603) */
	'V', 'E', 'R', 'T', 'E', 'X', '_', 'R', 'E', 'U', 'S', 'E', '_', 'O', 'F', 'F', '\0', /* VERTEX_REUSE_OFF (81621) */
	'I', 'N', 'D', 'E', 'X', '_', 'B', 'U', 'F', '_', 'E', 'D', 'G', 'E', '_', 'F', 'L', 'A', 'G', '_', 'E', 'N', 'A', '\0', /* INDEX_BUF_EDGE_FLAG_ENA (81638) */
	'D', 'I', 'S', 'C', 'A', 'R', 'D', '_', '0', '_', 'A', 'R', 'E', 'A', '_', 'T', 'R', 'I', 'A', 'N', 'G', 'L', 'E', 'S', '\0', /* DISCARD_0_AREA_TRIANGLES (81662) */
	'D', 'I', 'S', 'C', 'A', 'R', 'D', '_', '0', '_', 'A', 'R', 'E', 'A', '_', 'L', 'I', 'N', 'E', 'S', '\0', /* DISCARD_0_AREA_LINES (81687) */
	'D', 'I', 'S', 'C', 'A', 'R', 'D', '_', '0', '_', 'A', 'R', 'E', 'A', '_', 'P', 'O', 'I', 'N', 'T', 'S', '\0', /* DISCARD_0_AREA_POINTS (81708) */
	'D', 'I', 'S', 'C', 'A', 'R', 'D', '_', '0', '_', 'A', 'R', 'E', 'A', '_', 'R', 'E', 'C', 'T', 'A', 'N', 'G', 'L', 'E', 'S', '\0', /* DISCARD_0_AREA_RECTANGLES (81730) */
	'U', 'S', 'E', '_', 'P', 'R', 'O', 'V', 'O', 'K', 'I', 'N', 'G', '_', 'Z', 'W', '\0', /* USE_PROVOKING_ZW (81756) */
	'S', 'T', 'E', 'R', 'E', 'O', '_', 'M', 'O', 'D', 'E', '\0', /* STEREO_MODE (81773) */
	'R', 'T', '_', 'S', 'L', 'I', 'C', 'E', '_', 'M', 'O', 'D', 'E', '\0', /* RT_SLICE_MODE (81785) */
	'R', 'T', '_', 'S', 'L', 'I', 'C', 'E', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* RT_SLICE_OFFSET (81799) */
	'V', 'P', '_', 'I', 'D', '_', 'M', 'O', 'D', 'E', '\0', /* VP_ID_MODE (81815) */
	'V', 'P', '_', 'I', 'D', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* VP_ID_OFFSET (81826) */
	'S', 'T', 'E', 'R', 'E', 'O', '_', 'X', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* STEREO_X_OFFSET (81839) */
	'M', 'I', 'N', '_', 'S', 'I', 'Z', 'E', '\0', /* MIN_SIZE (81855) */
	'L', 'I', 'N', 'E', '_', 'P', 'A', 'T', 'T', 'E', 'R', 'N', '\0', /* LINE_PATTERN (81864) */
	'R', 'E', 'P', 'E', 'A', 'T', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* REPEAT_COUNT (81877) */
	'P', 'A', 'T', 'T', 'E', 'R', 'N', '_', 'B', 'I', 'T', '_', 'O', 'R', 'D', 'E', 'R', '\0', /* PATTERN_BIT_ORDER (81890) */
	'A', 'U', 'T', 'O', '_', 'R', 'E', 'S', 'E', 'T', '_', 'C', 'N', 'T', 'L', '\0', /* AUTO_RESET_CNTL (81908) */
	'P', 'A', 'T', 'H', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PATH_SELECT (81924) */
	'T', 'E', 'S', 'S', '_', 'M', 'O', 'D', 'E', '\0', /* TESS_MODE (81936) */
	'M', 'A', 'X', '_', 'T', 'E', 'S', 'S', '\0', /* MAX_TESS (81946) */
	'M', 'I', 'N', '_', 'T', 'E', 'S', 'S', '\0', /* MIN_TESS (81955) */
	'D', 'I', '_', 'P', 'T', '_', 'N', 'O', 'N', 'E', '\0', /* DI_PT_NONE (81964) */
	'D', 'I', '_', 'P', 'T', '_', 'P', 'O', 'I', 'N', 'T', 'L', 'I', 'S', 'T', '\0', /* DI_PT_POINTLIST (81975, 81981) */
	'D', 'I', '_', 'P', 'T', '_', 'L', 'I', 'N', 'E', 'L', 'I', 'S', 'T', '\0', /* DI_PT_LINELIST (81991) */
	'D', 'I', '_', 'P', 'T', '_', 'L', 'I', 'N', 'E', 'S', 'T', 'R', 'I', 'P', '\0', /* DI_PT_LINESTRIP (82006, 82012) */
	'D', 'I', '_', 'P', 'T', '_', 'T', 'R', 'I', 'L', 'I', 'S', 'T', '\0', /* DI_PT_TRILIST (82022) */
	'D', 'I', '_', 'P', 'T', '_', 'T', 'R', 'I', 'F', 'A', 'N', '\0', /* DI_PT_TRIFAN (82036) */
	'D', 'I', '_', 'P', 'T', '_', 'T', 'R', 'I', 'S', 'T', 'R', 'I', 'P', '\0', /* DI_PT_TRISTRIP (82049, 82055) */
	'D', 'I', '_', 'P', 'T', '_', '2', 'D', '_', 'R', 'E', 'C', 'T', 'A', 'N', 'G', 'L', 'E', '\0', /* DI_PT_2D_RECTANGLE (82064) */
	'D', 'I', '_', 'P', 'T', '_', 'U', 'N', 'U', 'S', 'E', 'D', '_', '1', '\0', /* DI_PT_UNUSED_1 (82083) */
	'D', 'I', '_', 'P', 'T', '_', 'P', 'A', 'T', 'C', 'H', '\0', /* DI_PT_PATCH (82098) */
	'D', 'I', '_', 'P', 'T', '_', 'L', 'I', 'N', 'E', 'L', 'I', 'S', 'T', '_', 'A', 'D', 'J', '\0', /* DI_PT_LINELIST_ADJ (82110) */
	'D', 'I', '_', 'P', 'T', '_', 'L', 'I', 'N', 'E', 'S', 'T', 'R', 'I', 'P', '_', 'A', 'D', 'J', '\0', /* DI_PT_LINESTRIP_ADJ (82129) */
	'D', 'I', '_', 'P', 'T', '_', 'T', 'R', 'I', 'L', 'I', 'S', 'T', '_', 'A', 'D', 'J', '\0', /* DI_PT_TRILIST_ADJ (82149) */
	'D', 'I', '_', 'P', 'T', '_', 'T', 'R', 'I', 'S', 'T', 'R', 'I', 'P', '_', 'A', 'D', 'J', '\0', /* DI_PT_TRISTRIP_ADJ (82167) */
	'D', 'I', '_', 'P', 'T', '_', 'U', 'N', 'U', 'S', 'E', 'D', '_', '3', '\0', /* DI_PT_UNUSED_3 (82186) */
	'D', 'I', '_', 'P', 'T', '_', 'U', 'N', 'U', 'S', 'E', 'D', '_', '4', '\0', /* DI_PT_UNUSED_4 (82201) */
	'D', 'I', '_', 'P', 'T', '_', 'T', 'R', 'I', '_', 'W', 'I', 'T', 'H', '_', 'W', 'F', 'L', 'A', 'G', 'S', '\0', /* DI_PT_TRI_WITH_WFLAGS (82216) */
	'D', 'I', '_', 'P', 'T', '_', 'R', 'E', 'C', 'T', 'L', 'I', 'S', 'T', '\0', /* DI_PT_RECTLIST (82238, 82244) */
	'D', 'I', '_', 'P', 'T', '_', 'L', 'I', 'N', 'E', 'L', 'O', 'O', 'P', '\0', /* DI_PT_LINELOOP (82253) */
	'D', 'I', '_', 'P', 'T', '_', 'Q', 'U', 'A', 'D', 'L', 'I', 'S', 'T', '\0', /* DI_PT_QUADLIST (82268) */
	'D', 'I', '_', 'P', 'T', '_', 'Q', 'U', 'A', 'D', 'S', 'T', 'R', 'I', 'P', '\0', /* DI_PT_QUADSTRIP (82283) */
	'D', 'I', '_', 'P', 'T', '_', 'P', 'O', 'L', 'Y', 'G', 'O', 'N', '\0', /* DI_PT_POLYGON (82299) */
	'R', 'E', 'T', 'A', 'I', 'N', '_', 'O', 'R', 'D', 'E', 'R', '\0', /* RETAIN_ORDER (82313) */
	'R', 'E', 'T', 'A', 'I', 'N', '_', 'Q', 'U', 'A', 'D', 'S', '\0', /* RETAIN_QUADS (82326) */
	'P', 'R', 'I', 'M', '_', 'O', 'R', 'D', 'E', 'R', '\0', /* PRIM_ORDER (82339) */
	'C', 'O', 'M', 'P', '_', 'X', '_', 'E', 'N', '\0', /* COMP_X_EN (82350) */
	'C', 'O', 'M', 'P', '_', 'Y', '_', 'E', 'N', '\0', /* COMP_Y_EN (82360) */
	'C', 'O', 'M', 'P', '_', 'Z', '_', 'E', 'N', '\0', /* COMP_Z_EN (82370) */
	'C', 'O', 'M', 'P', '_', 'W', '_', 'E', 'N', '\0', /* COMP_W_EN (82380) */
	'S', 'H', 'I', 'F', 'T', '\0', /* SHIFT (82390) */
	'X', '_', 'C', 'O', 'N', 'V', '\0', /* X_CONV (82396, 82400) */
	'Y', '_', 'C', 'O', 'N', 'V', '\0', /* Y_CONV (82403) */
	'Z', '_', 'C', 'O', 'N', 'V', '\0', /* Z_CONV (82410) */
	'Z', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* Z_OFFSET (82417) */
	'W', '_', 'C', 'O', 'N', 'V', '\0', /* W_CONV (82426) */
	'G', 'S', '_', 'O', 'F', 'F', '\0', /* GS_OFF (82433) */
	'G', 'S', '_', 'S', 'C', 'E', 'N', 'A', 'R', 'I', 'O', '_', 'A', '\0', /* GS_SCENARIO_A (82440) */
	'G', 'S', '_', 'S', 'C', 'E', 'N', 'A', 'R', 'I', 'O', '_', 'B', '\0', /* GS_SCENARIO_B (82454) */
	'G', 'S', '_', 'S', 'C', 'E', 'N', 'A', 'R', 'I', 'O', '_', 'G', '\0', /* GS_SCENARIO_G (82468) */
	'G', 'S', '_', 'S', 'C', 'E', 'N', 'A', 'R', 'I', 'O', '_', 'C', '\0', /* GS_SCENARIO_C (82482) */
	'S', 'P', 'R', 'I', 'T', 'E', '_', 'E', 'N', '\0', /* SPRITE_EN (82496) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '0', '\0', /* RESERVED_0 (82506) */
	'G', 'S', '_', 'C', 'U', 'T', '_', '1', '0', '2', '4', '\0', /* GS_CUT_1024 (82517) */
	'G', 'S', '_', 'C', 'U', 'T', '_', '5', '1', '2', '\0', /* GS_CUT_512 (82529) */
	'G', 'S', '_', 'C', 'U', 'T', '_', '2', '5', '6', '\0', /* GS_CUT_256 (82540) */
	'G', 'S', '_', 'C', 'U', 'T', '_', '1', '2', '8', '\0', /* GS_CUT_128 (82551) */
	'C', 'U', 'T', '_', 'M', 'O', 'D', 'E', '\0', /* CUT_MODE (82562) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '\0', /* RESERVED_1 (82571) */
	'G', 'S', '_', 'C', '_', 'P', 'A', 'C', 'K', '_', 'E', 'N', '\0', /* GS_C_PACK_EN (82582) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '\0', /* RESERVED_2 (82595) */
	'E', 'S', '_', 'P', 'A', 'S', 'S', 'T', 'H', 'R', 'U', '\0', /* ES_PASSTHRU (82606) */
	'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'M', 'O', 'D', 'E', '\0', /* COMPUTE_MODE (82618) */
	'F', 'A', 'S', 'T', '_', 'C', 'O', 'M', 'P', 'U', 'T', 'E', '_', 'M', 'O', 'D', 'E', '\0', /* FAST_COMPUTE_MODE (82631) */
	'E', 'L', 'E', 'M', 'E', 'N', 'T', '_', 'I', 'N', 'F', 'O', '_', 'E', 'N', '\0', /* ELEMENT_INFO_EN (82649) */
	'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'T', 'H', 'D', '_', 'A', 'T', '_', 'E', 'O', 'I', '\0', /* PARTIAL_THD_AT_EOI (82665) */
	'S', 'U', 'P', 'P', 'R', 'E', 'S', 'S', '_', 'C', 'U', 'T', 'S', '\0', /* SUPPRESS_CUTS (82684) */
	'E', 'S', '_', 'W', 'R', 'I', 'T', 'E', '_', 'O', 'P', 'T', 'I', 'M', 'I', 'Z', 'E', '\0', /* ES_WRITE_OPTIMIZE (82698) */
	'G', 'S', '_', 'W', 'R', 'I', 'T', 'E', '_', 'O', 'P', 'T', 'I', 'M', 'I', 'Z', 'E', '\0', /* GS_WRITE_OPTIMIZE (82716) */
	'O', 'N', 'C', 'H', 'I', 'P', '\0', /* ONCHIP (82734) */
	'E', 'S', '_', 'V', 'E', 'R', 'T', 'S', '_', 'P', 'E', 'R', '_', 'S', 'U', 'B', 'G', 'R', 'P', '\0', /* ES_VERTS_PER_SUBGRP (82741) */
	'G', 'S', '_', 'P', 'R', 'I', 'M', 'S', '_', 'P', 'E', 'R', '_', 'S', 'U', 'B', 'G', 'R', 'P', '\0', /* GS_PRIMS_PER_SUBGRP (82761) */
	'G', 'S', '_', 'I', 'N', 'S', 'T', '_', 'P', 'R', 'I', 'M', 'S', '_', 'I', 'N', '_', 'S', 'U', 'B', 'G', 'R', 'P', '\0', /* GS_INST_PRIMS_IN_SUBGRP (82781) */
	'M', 'S', 'A', 'A', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* MSAA_ENABLE (82805) */
	'V', 'P', 'O', 'R', 'T', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* VPORT_SCISSOR_ENABLE (82817) */
	'L', 'I', 'N', 'E', '_', 'S', 'T', 'I', 'P', 'P', 'L', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* LINE_STIPPLE_ENABLE (82838) */
	'S', 'E', 'N', 'D', '_', 'U', 'N', 'L', 'I', 'T', '_', 'S', 'T', 'I', 'L', 'E', 'S', '_', 'T', 'O', '_', 'P', 'K', 'R', '\0', /* SEND_UNLIT_STILES_TO_PKR (82858) */
	'S', 'C', 'A', 'L', 'E', '_', 'L', 'I', 'N', 'E', '_', 'W', 'I', 'D', 'T', 'H', '_', 'P', 'A', 'D', '\0', /* SCALE_LINE_WIDTH_PAD (82883) */
	'A', 'L', 'T', 'E', 'R', 'N', 'A', 'T', 'E', '_', 'R', 'B', 'S', '_', 'P', 'E', 'R', '_', 'T', 'I', 'L', 'E', '\0', /* ALTERNATE_RBS_PER_TILE (82904) */
	'C', 'O', 'A', 'R', 'S', 'E', '_', 'T', 'I', 'L', 'E', '_', 'S', 'T', 'A', 'R', 'T', 'S', '_', 'O', 'N', '_', 'E', 'V', 'E', 'N', '_', 'R', 'B', '\0', /* COARSE_TILE_STARTS_ON_EVEN_RB (82927) */
	'W', 'A', 'L', 'K', '_', 'S', 'I', 'Z', 'E', '\0', /* WALK_SIZE (82957) */
	'W', 'A', 'L', 'K', '_', 'A', 'L', 'I', 'G', 'N', 'M', 'E', 'N', 'T', '\0', /* WALK_ALIGNMENT (82967) */
	'W', 'A', 'L', 'K', '_', 'A', 'L', 'I', 'G', 'N', '8', '_', 'P', 'R', 'I', 'M', '_', 'F', 'I', 'T', 'S', '_', 'S', 'T', '\0', /* WALK_ALIGN8_PRIM_FITS_ST (82982) */
	'W', 'A', 'L', 'K', '_', 'F', 'E', 'N', 'C', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* WALK_FENCE_ENABLE (83007) */
	'W', 'A', 'L', 'K', '_', 'F', 'E', 'N', 'C', 'E', '_', 'S', 'I', 'Z', 'E', '\0', /* WALK_FENCE_SIZE (83025) */
	'S', 'U', 'P', 'E', 'R', 'T', 'I', 'L', 'E', '_', 'W', 'A', 'L', 'K', '_', 'O', 'R', 'D', 'E', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* SUPERTILE_WALK_ORDER_ENABLE (83041, 83046) */
	'T', 'I', 'L', 'E', '_', 'C', 'O', 'V', 'E', 'R', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* TILE_COVER_DISABLE (83069) */
	'T', 'I', 'L', 'E', '_', 'C', 'O', 'V', 'E', 'R', '_', 'N', 'O', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '\0', /* TILE_COVER_NO_SCISSOR (83088) */
	'Z', 'M', 'M', '_', 'L', 'I', 'N', 'E', '_', 'E', 'X', 'T', 'E', 'N', 'T', '\0', /* ZMM_LINE_EXTENT (83110) */
	'Z', 'M', 'M', '_', 'L', 'I', 'N', 'E', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* ZMM_LINE_OFFSET (83126) */
	'Z', 'M', 'M', '_', 'R', 'E', 'C', 'T', '_', 'E', 'X', 'T', 'E', 'N', 'T', '\0', /* ZMM_RECT_EXTENT (83142) */
	'K', 'I', 'L', 'L', '_', 'P', 'I', 'X', '_', 'P', 'O', 'S', 'T', '_', 'H', 'I', '_', 'Z', '\0', /* KILL_PIX_POST_HI_Z (83158) */
	'K', 'I', 'L', 'L', '_', 'P', 'I', 'X', '_', 'P', 'O', 'S', 'T', '_', 'D', 'E', 'T', 'A', 'I', 'L', '_', 'M', 'A', 'S', 'K', '\0', /* KILL_PIX_POST_DETAIL_MASK (83177) */
	'P', 'S', '_', 'I', 'T', 'E', 'R', '_', 'S', 'A', 'M', 'P', 'L', 'E', '\0', /* PS_ITER_SAMPLE (83203) */
	'M', 'U', 'L', 'T', 'I', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'E', 'N', 'G', 'I', 'N', 'E', '_', 'P', 'R', 'I', 'M', '_', 'D', 'I', 'S', 'C', 'A', 'R', 'D', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* MULTI_SHADER_ENGINE_PRIM_DISCARD_ENABLE (83218) */
	'M', 'U', 'L', 'T', 'I', '_', 'G', 'P', 'U', '_', 'S', 'U', 'P', 'E', 'R', 'T', 'I', 'L', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* MULTI_GPU_SUPERTILE_ENABLE (83258) */
	'G', 'P', 'U', '_', 'I', 'D', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* GPU_ID_OVERRIDE_ENABLE (83285) */
	'G', 'P', 'U', '_', 'I', 'D', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* GPU_ID_OVERRIDE (83308) */
	'M', 'U', 'L', 'T', 'I', '_', 'G', 'P', 'U', '_', 'P', 'R', 'I', 'M', '_', 'D', 'I', 'S', 'C', 'A', 'R', 'D', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* MULTI_GPU_PRIM_DISCARD_ENABLE (83324) */
	'F', 'O', 'R', 'C', 'E', '_', 'E', 'O', 'V', '_', 'C', 'N', 'T', 'D', 'W', 'N', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* FORCE_EOV_CNTDWN_ENABLE (83354) */
	'F', 'O', 'R', 'C', 'E', '_', 'E', 'O', 'V', '_', 'R', 'E', 'Z', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* FORCE_EOV_REZ_ENABLE (83378) */
	'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'P', 'R', 'I', 'M', 'I', 'T', 'I', 'V', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OUT_OF_ORDER_PRIMITIVE_ENABLE (83399) */
	'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'W', 'A', 'T', 'E', 'R', '_', 'M', 'A', 'R', 'K', '\0', /* OUT_OF_ORDER_WATER_MARK (83429) */
	'M', 'I', 'S', 'C', '\0', /* MISC (83453) */
	'O', 'U', 'T', 'P', 'R', 'I', 'M', '_', 'T', 'Y', 'P', 'E', '\0', /* OUTPRIM_TYPE (83458) */
	'O', 'U', 'T', 'P', 'R', 'I', 'M', '_', 'T', 'Y', 'P', 'E', '_', '1', '\0', /* OUTPRIM_TYPE_1 (83471) */
	'O', 'U', 'T', 'P', 'R', 'I', 'M', '_', 'T', 'Y', 'P', 'E', '_', '2', '\0', /* OUTPRIM_TYPE_2 (83486) */
	'O', 'U', 'T', 'P', 'R', 'I', 'M', '_', 'T', 'Y', 'P', 'E', '_', '3', '\0', /* OUTPRIM_TYPE_3 (83501) */
	'U', 'N', 'I', 'Q', 'U', 'E', '_', 'T', 'Y', 'P', 'E', '_', 'P', 'E', 'R', '_', 'S', 'T', 'R', 'E', 'A', 'M', '\0', /* UNIQUE_TYPE_PER_STREAM (83516) */
	'V', 'G', 'T', '_', 'I', 'N', 'D', 'E', 'X', '_', '1', '6', '\0', /* VGT_INDEX_16 (83539) */
	'V', 'G', 'T', '_', 'I', 'N', 'D', 'E', 'X', '_', '3', '2', '\0', /* VGT_INDEX_32 (83552) */
	'V', 'G', 'T', '_', 'I', 'N', 'D', 'E', 'X', '_', '8', '\0', /* VGT_INDEX_8 (83565) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'S', 'W', 'A', 'P', '_', 'N', 'O', 'N', 'E', '\0', /* VGT_DMA_SWAP_NONE (83577) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'S', 'W', 'A', 'P', '_', '1', '6', '_', 'B', 'I', 'T', '\0', /* VGT_DMA_SWAP_16_BIT (83595) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'S', 'W', 'A', 'P', '_', '3', '2', '_', 'B', 'I', 'T', '\0', /* VGT_DMA_SWAP_32_BIT (83615) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'S', 'W', 'A', 'P', '_', 'W', 'O', 'R', 'D', '\0', /* VGT_DMA_SWAP_WORD (83635) */
	'S', 'W', 'A', 'P', '_', 'M', 'O', 'D', 'E', '\0', /* SWAP_MODE (83653) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'B', 'U', 'F', '_', 'M', 'E', 'M', '\0', /* VGT_DMA_BUF_MEM (83663) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'B', 'U', 'F', '_', 'R', 'I', 'N', 'G', '\0', /* VGT_DMA_BUF_RING (83679) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'B', 'U', 'F', '_', 'S', 'E', 'T', 'U', 'P', '\0', /* VGT_DMA_BUF_SETUP (83696) */
	'V', 'G', 'T', '_', 'D', 'M', 'A', '_', 'P', 'T', 'R', '_', 'U', 'P', 'D', 'A', 'T', 'E', '\0', /* VGT_DMA_PTR_UPDATE (83714) */
	'B', 'U', 'F', '_', 'T', 'Y', 'P', 'E', '\0', /* BUF_TYPE (83733) */
	'V', 'G', 'T', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '_', 'L', 'R', 'U', '\0', /* VGT_POLICY_LRU (83742) */
	'V', 'G', 'T', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '_', 'S', 'T', 'R', 'E', 'A', 'M', '\0', /* VGT_POLICY_STREAM (83757) */
	'V', 'G', 'T', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '_', 'B', 'Y', 'P', 'A', 'S', 'S', '\0', /* VGT_POLICY_BYPASS (83775) */
	'R', 'D', 'R', 'E', 'Q', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* RDREQ_POLICY (83793) */
	'A', 'T', 'C', '\0', /* ATC (83806) */
	'R', 'E', 'Q', '_', 'P', 'A', 'T', 'H', '\0', /* REQ_PATH (83810) */
	'M', 'T', 'Y', 'P', 'E', '\0', /* MTYPE (83819) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'R', 'E', 'S', 'E', 'T', '_', 'O', 'N', '_', 'E', 'O', 'I', '\0', /* DISABLE_RESET_ON_EOI (83825) */
	'N', 'G', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'P', 'R', 'O', 'V', 'O', 'K', '_', 'R', 'E', 'U', 'S', 'E', '\0', /* NGG_DISABLE_PROVOK_REUSE (83846) */
	'R', 'e', 's', 'e', 'r', 'v', 'e', 'd', '_', '0', 'x', '0', '0', '\0', /* Reserved_0x00 (83871) */
	'S', 'A', 'M', 'P', 'L', 'E', '_', 'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', 'S', 'T', 'A', 'T', 'S', '1', '\0', /* SAMPLE_STREAMOUTSTATS1 (83885) */
	'S', 'A', 'M', 'P', 'L', 'E', '_', 'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', 'S', 'T', 'A', 'T', 'S', '2', '\0', /* SAMPLE_STREAMOUTSTATS2 (83908) */
	'S', 'A', 'M', 'P', 'L', 'E', '_', 'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', 'S', 'T', 'A', 'T', 'S', '3', '\0', /* SAMPLE_STREAMOUTSTATS3 (83931) */
	'C', 'A', 'C', 'H', 'E', '_', 'F', 'L', 'U', 'S', 'H', '_', 'T', 'S', '\0', /* CACHE_FLUSH_TS (83954) */
	'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'D', 'O', 'N', 'E', '\0', /* CONTEXT_DONE (83969) */
	'C', 'A', 'C', 'H', 'E', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* CACHE_FLUSH (83982) */
	'C', 'S', '_', 'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* CS_PARTIAL_FLUSH (83994) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', '_', 'S', 'Y', 'N', 'C', '\0', /* VGT_STREAMOUT_SYNC (84011) */
	'S', 'E', 'T', '_', 'F', 'E', '_', 'I', 'D', '\0', /* SET_FE_ID (84030) */
	'V', 'G', 'T', '_', 'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', '_', 'R', 'E', 'S', 'E', 'T', '\0', /* VGT_STREAMOUT_RESET (84040) */
	'E', 'N', 'D', '_', 'O', 'F', '_', 'P', 'I', 'P', 'E', '_', 'I', 'N', 'C', 'R', '_', 'D', 'E', '\0', /* END_OF_PIPE_INCR_DE (84060) */
	'E', 'N', 'D', '_', 'O', 'F', '_', 'P', 'I', 'P', 'E', '_', 'I', 'B', '_', 'E', 'N', 'D', '\0', /* END_OF_PIPE_IB_END (84080) */
	'R', 'S', 'T', '_', 'P', 'I', 'X', '_', 'C', 'N', 'T', '\0', /* RST_PIX_CNT (84099) */
	'B', 'R', 'E', 'A', 'K', '_', 'B', 'A', 'T', 'C', 'H', '\0', /* BREAK_BATCH (84111) */
	'V', 'S', '_', 'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* VS_PARTIAL_FLUSH (84123) */
	'P', 'S', '_', 'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* PS_PARTIAL_FLUSH (84140) */
	'F', 'L', 'U', 'S', 'H', '_', 'H', 'S', '_', 'O', 'U', 'T', 'P', 'U', 'T', '\0', /* FLUSH_HS_OUTPUT (84157) */
	'F', 'L', 'U', 'S', 'H', '_', 'D', 'F', 'S', 'M', '\0', /* FLUSH_DFSM (84173) */
	'R', 'E', 'S', 'E', 'T', '_', 'T', 'O', '_', 'L', 'O', 'W', 'E', 'S', 'T', '_', 'V', 'G', 'T', '\0', /* RESET_TO_LOWEST_VGT (84184) */
	'C', 'A', 'C', 'H', 'E', '_', 'F', 'L', 'U', 'S', 'H', '_', 'A', 'N', 'D', '_', 'I', 'N', 'V', '_', 'T', 'S', '_', 'E', 'V', 'E', 'N', 'T', '\0', /* CACHE_FLUSH_AND_INV_TS_EVENT (84204) */
	'Z', 'P', 'A', 'S', 'S', '_', 'D', 'O', 'N', 'E', '\0', /* ZPASS_DONE (84233) */
	'C', 'A', 'C', 'H', 'E', '_', 'F', 'L', 'U', 'S', 'H', '_', 'A', 'N', 'D', '_', 'I', 'N', 'V', '_', 'E', 'V', 'E', 'N', 'T', '\0', /* CACHE_FLUSH_AND_INV_EVENT (84244) */
	'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* PERFCOUNTER_START (84270) */
	'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'T', 'O', 'P', '\0', /* PERFCOUNTER_STOP (84288) */
	'P', 'I', 'P', 'E', 'L', 'I', 'N', 'E', 'S', 'T', 'A', 'T', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* PIPELINESTAT_START (84305) */
	'P', 'I', 'P', 'E', 'L', 'I', 'N', 'E', 'S', 'T', 'A', 'T', '_', 'S', 'T', 'O', 'P', '\0', /* PIPELINESTAT_STOP (84324) */
	'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'A', 'M', 'P', 'L', 'E', '\0', /* PERFCOUNTER_SAMPLE (84342) */
	'F', 'L', 'U', 'S', 'H', '_', 'E', 'S', '_', 'O', 'U', 'T', 'P', 'U', 'T', '\0', /* FLUSH_ES_OUTPUT (84361) */
	'B', 'I', 'N', '_', 'C', 'O', 'N', 'F', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '_', 'C', 'H', 'E', 'C', 'K', '\0', /* BIN_CONF_OVERRIDE_CHECK (84377) */
	'S', 'A', 'M', 'P', 'L', 'E', '_', 'P', 'I', 'P', 'E', 'L', 'I', 'N', 'E', 'S', 'T', 'A', 'T', '\0', /* SAMPLE_PIPELINESTAT (84401) */
	'S', 'O', '_', 'V', 'G', 'T', 'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* SO_VGTSTREAMOUT_FLUSH (84421) */
	'S', 'A', 'M', 'P', 'L', 'E', '_', 'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', 'S', 'T', 'A', 'T', 'S', '\0', /* SAMPLE_STREAMOUTSTATS (84443) */
	'R', 'E', 'S', 'E', 'T', '_', 'V', 'T', 'X', '_', 'C', 'N', 'T', '\0', /* RESET_VTX_CNT (84465) */
	'B', 'L', 'O', 'C', 'K', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'D', 'O', 'N', 'E', '\0', /* BLOCK_CONTEXT_DONE (84479) */
	'C', 'S', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'D', 'O', 'N', 'E', '\0', /* CS_CONTEXT_DONE (84498) */
	'V', 'G', 'T', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* VGT_FLUSH (84514) */
	'T', 'G', 'I', 'D', '_', 'R', 'O', 'L', 'L', 'O', 'V', 'E', 'R', '\0', /* TGID_ROLLOVER (84524) */
	'S', 'Q', '_', 'N', 'O', 'N', '_', 'E', 'V', 'E', 'N', 'T', '\0', /* SQ_NON_EVENT (84538) */
	'S', 'C', '_', 'S', 'E', 'N', 'D', '_', 'D', 'B', '_', 'V', 'P', 'Z', '\0', /* SC_SEND_DB_VPZ (84551) */
	'B', 'O', 'T', 'T', 'O', 'M', '_', 'O', 'F', '_', 'P', 'I', 'P', 'E', '_', 'T', 'S', '\0', /* BOTTOM_OF_PIPE_TS (84566) */
	'F', 'L', 'U', 'S', 'H', '_', 'S', 'X', '_', 'T', 'S', '\0', /* FLUSH_SX_TS (84584) */
	'D', 'B', '_', 'C', 'A', 'C', 'H', 'E', '_', 'F', 'L', 'U', 'S', 'H', '_', 'A', 'N', 'D', '_', 'I', 'N', 'V', '\0', /* DB_CACHE_FLUSH_AND_INV (84596) */
	'F', 'L', 'U', 'S', 'H', '_', 'A', 'N', 'D', '_', 'I', 'N', 'V', '_', 'D', 'B', '_', 'D', 'A', 'T', 'A', '_', 'T', 'S', '\0', /* FLUSH_AND_INV_DB_DATA_TS (84619) */
	'F', 'L', 'U', 'S', 'H', '_', 'A', 'N', 'D', '_', 'I', 'N', 'V', '_', 'D', 'B', '_', 'M', 'E', 'T', 'A', '\0', /* FLUSH_AND_INV_DB_META (84644) */
	'F', 'L', 'U', 'S', 'H', '_', 'A', 'N', 'D', '_', 'I', 'N', 'V', '_', 'C', 'B', '_', 'D', 'A', 'T', 'A', '_', 'T', 'S', '\0', /* FLUSH_AND_INV_CB_DATA_TS (84666) */
	'F', 'L', 'U', 'S', 'H', '_', 'A', 'N', 'D', '_', 'I', 'N', 'V', '_', 'C', 'B', '_', 'M', 'E', 'T', 'A', '\0', /* FLUSH_AND_INV_CB_META (84691) */
	'C', 'S', '_', 'D', 'O', 'N', 'E', '\0', /* CS_DONE (84713) */
	'P', 'S', '_', 'D', 'O', 'N', 'E', '\0', /* PS_DONE (84721) */
	'F', 'L', 'U', 'S', 'H', '_', 'A', 'N', 'D', '_', 'I', 'N', 'V', '_', 'C', 'B', '_', 'P', 'I', 'X', 'E', 'L', '_', 'D', 'A', 'T', 'A', '\0', /* FLUSH_AND_INV_CB_PIXEL_DATA (84729) */
	'S', 'X', '_', 'C', 'B', '_', 'R', 'A', 'T', '_', 'A', 'C', 'K', '_', 'R', 'E', 'Q', 'U', 'E', 'S', 'T', '\0', /* SX_CB_RAT_ACK_REQUEST (84757) */
	'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* THREAD_TRACE_START (84779) */
	'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'S', 'T', 'O', 'P', '\0', /* THREAD_TRACE_STOP (84798) */
	'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'M', 'A', 'R', 'K', 'E', 'R', '\0', /* THREAD_TRACE_MARKER (84816) */
	'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'D', 'R', 'A', 'W', '\0', /* THREAD_TRACE_DRAW (84836) */
	'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'F', 'I', 'N', 'I', 'S', 'H', '\0', /* THREAD_TRACE_FINISH (84854) */
	'P', 'I', 'X', 'E', 'L', '_', 'P', 'I', 'P', 'E', '_', 'S', 'T', 'A', 'T', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* PIXEL_PIPE_STAT_CONTROL (84874) */
	'P', 'I', 'X', 'E', 'L', '_', 'P', 'I', 'P', 'E', '_', 'S', 'T', 'A', 'T', '_', 'D', 'U', 'M', 'P', '\0', /* PIXEL_PIPE_STAT_DUMP (84898) */
	'P', 'I', 'X', 'E', 'L', '_', 'P', 'I', 'P', 'E', '_', 'S', 'T', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'T', '\0', /* PIXEL_PIPE_STAT_RESET (84919) */
	'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'S', 'U', 'S', 'P', 'E', 'N', 'D', '\0', /* CONTEXT_SUSPEND (84941) */
	'O', 'F', 'F', 'C', 'H', 'I', 'P', '_', 'H', 'S', '_', 'D', 'E', 'A', 'L', 'L', 'O', 'C', '\0', /* OFFCHIP_HS_DEALLOC (84957) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'N', 'G', 'G', '_', 'P', 'I', 'P', 'E', 'L', 'I', 'N', 'E', '\0', /* ENABLE_NGG_PIPELINE (84976) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'L', 'E', 'G', 'A', 'C', 'Y', '_', 'P', 'I', 'P', 'E', 'L', 'I', 'N', 'E', '\0', /* ENABLE_LEGACY_PIPELINE (84996) */
	'D', 'R', 'A', 'W', '_', 'D', 'O', 'N', 'E', '\0', /* DRAW_DONE (85019) */
	'E', 'V', 'E', 'N', 'T', '_', 'T', 'Y', 'P', 'E', '\0', /* EVENT_TYPE (85029) */
	'E', 'X', 'T', 'E', 'N', 'D', 'E', 'D', '_', 'E', 'V', 'E', 'N', 'T', '\0', /* EXTENDED_EVENT (85040) */
	'M', 'A', 'T', 'C', 'H', '_', 'A', 'L', 'L', '_', 'B', 'I', 'T', 'S', '\0', /* MATCH_ALL_BITS (85055) */
	'O', 'B', 'J', 'P', 'R', 'I', 'M', '_', 'I', 'D', '_', 'E', 'N', '\0', /* OBJPRIM_ID_EN (85070) */
	'E', 'N', '_', 'R', 'E', 'G', '_', 'R', 'T', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* EN_REG_RT_INDEX (85084) */
	'O', 'B', 'J', 'E', 'C', 'T', '_', 'I', 'D', '_', 'I', 'N', 'S', 'T', '_', 'E', 'N', '\0', /* OBJECT_ID_INST_EN (85100) */
	'E', 'N', '_', 'P', 'R', 'I', 'M', '_', 'P', 'A', 'Y', 'L', 'O', 'A', 'D', '\0', /* EN_PRIM_PAYLOAD (85118) */
	'E', 'N', '_', 'D', 'R', 'A', 'W', '_', 'V', 'P', '\0', /* EN_DRAW_VP (85134) */
	'S', 'T', 'E', 'P', '_', 'R', 'A', 'T', 'E', '\0', /* STEP_RATE (85145) */
	'P', 'R', 'I', 'M', 'G', 'R', 'O', 'U', 'P', '_', 'S', 'I', 'Z', 'E', '\0', /* PRIMGROUP_SIZE (85155) */
	'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'V', 'S', '_', 'W', 'A', 'V', 'E', '_', 'O', 'N', '\0', /* PARTIAL_VS_WAVE_ON (85170) */
	'S', 'W', 'I', 'T', 'C', 'H', '_', 'O', 'N', '_', 'E', 'O', 'P', '\0', /* SWITCH_ON_EOP (85189) */
	'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'E', 'S', '_', 'W', 'A', 'V', 'E', '_', 'O', 'N', '\0', /* PARTIAL_ES_WAVE_ON (85203) */
	'S', 'W', 'I', 'T', 'C', 'H', '_', 'O', 'N', '_', 'E', 'O', 'I', '\0', /* SWITCH_ON_EOI (85222) */
	'W', 'D', '_', 'S', 'W', 'I', 'T', 'C', 'H', '_', 'O', 'N', '_', 'E', 'O', 'P', '\0', /* WD_SWITCH_ON_EOP (85236) */
	'F', 'U', 'L', 'L', '_', 'C', 'A', 'C', 'H', 'E', '\0', /* FULL_CACHE (85253) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'F', 'I', 'E', 'L', 'D', '_', '2', '\0', /* RESERVED_FIELD_2 (85264) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'F', 'I', 'E', 'L', 'D', '_', '3', '\0', /* RESERVED_FIELD_3 (85281) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'F', 'I', 'E', 'L', 'D', '_', '4', '\0', /* RESERVED_FIELD_4 (85298) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'F', 'I', 'E', 'L', 'D', '_', '5', '\0', /* RESERVED_FIELD_5 (85315) */
	'D', 'S', 'T', '_', 'O', 'U', 'T', 'S', 'I', 'D', 'E', '_', 'Z', 'E', 'R', 'O', '_', 'T', 'O', '_', 'O', 'N', 'E', '\0', /* DST_OUTSIDE_ZERO_TO_ONE (85332) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'F', 'I', 'E', 'L', 'D', '_', '6', '\0', /* RESERVED_FIELD_6 (85356) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', 'F', 'U', 'N', 'C', '0', '\0', /* COMPAREFUNC0 (85373) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', 'V', 'A', 'L', 'U', 'E', '0', '\0', /* COMPAREVALUE0 (85386) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', 'M', 'A', 'S', 'K', '0', '\0', /* COMPAREMASK0 (85400) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', 'F', 'U', 'N', 'C', '1', '\0', /* COMPAREFUNC1 (85413) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', 'V', 'A', 'L', 'U', 'E', '1', '\0', /* COMPAREVALUE1 (85426) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', 'M', 'A', 'S', 'K', '1', '\0', /* COMPAREMASK1 (85440) */
	'M', 'A', 'X', '_', 'X', '\0', /* MAX_X (85453) */
	'M', 'A', 'X', '_', 'Y', '\0', /* MAX_Y (85459) */
	'P', 'R', 'I', 'M', '_', 'A', 'M', 'P', '_', 'F', 'A', 'C', 'T', 'O', 'R', '\0', /* PRIM_AMP_FACTOR (85465) */
	'T', 'H', 'D', 'S', '_', 'P', 'E', 'R', '_', 'S', 'U', 'B', 'G', 'R', 'P', '\0', /* THDS_PER_SUBGRP (85481) */
	'A', 'C', 'C', 'U', 'M', '_', 'I', 'S', 'O', 'L', 'I', 'N', 'E', '\0', /* ACCUM_ISOLINE (85497) */
	'A', 'C', 'C', 'U', 'M', '_', 'T', 'R', 'I', '\0', /* ACCUM_TRI (85511) */
	'A', 'C', 'C', 'U', 'M', '_', 'Q', 'U', 'A', 'D', '\0', /* ACCUM_QUAD (85521) */
	'D', 'O', 'N', 'U', 'T', '_', 'S', 'P', 'L', 'I', 'T', '\0', /* DONUT_SPLIT (85532) */
	'T', 'R', 'A', 'P', '_', 'S', 'P', 'L', 'I', 'T', '\0', /* TRAP_SPLIT (85544) */
	'L', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'O', 'F', 'F', '\0', /* LS_STAGE_OFF (85555) */
	'L', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'O', 'N', '\0', /* LS_STAGE_ON (85568) */
	'C', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'O', 'N', '\0', /* CS_STAGE_ON (85580) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'L', 'S', '\0', /* RESERVED_LS (85592) */
	'L', 'S', '_', 'E', 'N', '\0', /* LS_EN (85604) */
	'H', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'O', 'F', 'F', '\0', /* HS_STAGE_OFF (85610) */
	'H', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'O', 'N', '\0', /* HS_STAGE_ON (85623) */
	'H', 'S', '_', 'E', 'N', '\0', /* HS_EN (85635) */
	'E', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'O', 'F', 'F', '\0', /* ES_STAGE_OFF (85641) */
	'E', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'D', 'S', '\0', /* ES_STAGE_DS (85654) */
	'E', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'R', 'E', 'A', 'L', '\0', /* ES_STAGE_REAL (85666) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'E', 'S', '\0', /* RESERVED_ES (85680) */
	'G', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'O', 'F', 'F', '\0', /* GS_STAGE_OFF (85692) */
	'G', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'O', 'N', '\0', /* GS_STAGE_ON (85705) */
	'G', 'S', '_', 'E', 'N', '\0', /* GS_EN (85717) */
	'V', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'R', 'E', 'A', 'L', '\0', /* VS_STAGE_REAL (85723) */
	'V', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'D', 'S', '\0', /* VS_STAGE_DS (85737) */
	'V', 'S', '_', 'S', 'T', 'A', 'G', 'E', '_', 'C', 'O', 'P', 'Y', '_', 'S', 'H', 'A', 'D', 'E', 'R', '\0', /* VS_STAGE_COPY_SHADER (85749) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'V', 'S', '\0', /* RESERVED_VS (85770) */
	'V', 'S', '_', 'E', 'N', '\0', /* VS_EN (85782) */
	'D', 'Y', 'N', 'A', 'M', 'I', 'C', '_', 'H', 'S', '\0', /* DYNAMIC_HS (85788) */
	'D', 'I', 'S', '_', 'D', 'E', 'A', 'L', 'L', 'O', 'C', '_', 'A', 'C', 'C', 'U', 'M', '_', '0', '\0', /* DIS_DEALLOC_ACCUM_0 (85799) */
	'D', 'I', 'S', '_', 'D', 'E', 'A', 'L', 'L', 'O', 'C', '_', 'A', 'C', 'C', 'U', 'M', '_', '1', '\0', /* DIS_DEALLOC_ACCUM_1 (85819) */
	'V', 'S', '_', 'W', 'A', 'V', 'E', '_', 'I', 'D', '_', 'E', 'N', '\0', /* VS_WAVE_ID_EN (85839) */
	'P', 'R', 'I', 'M', 'G', 'E', 'N', '_', 'E', 'N', '\0', /* PRIMGEN_EN (85853) */
	'O', 'R', 'D', 'E', 'R', 'E', 'D', '_', 'I', 'D', '_', 'M', 'O', 'D', 'E', '\0', /* ORDERED_ID_MODE (85864) */
	'M', 'A', 'X', '_', 'P', 'R', 'I', 'M', 'G', 'R', 'P', '_', 'I', 'N', '_', 'W', 'A', 'V', 'E', '\0', /* MAX_PRIMGRP_IN_WAVE (85880) */
	'G', 'S', '_', 'F', 'A', 'S', 'T', '_', 'L', 'A', 'U', 'N', 'C', 'H', '\0', /* GS_FAST_LAUNCH (85900) */
	'H', 'S', '_', 'W', '3', '2', '_', 'E', 'N', '\0', /* HS_W32_EN (85915) */
	'G', 'S', '_', 'W', '3', '2', '_', 'E', 'N', '\0', /* GS_W32_EN (85925) */
	'V', 'S', '_', 'W', '3', '2', '_', 'E', 'N', '\0', /* VS_W32_EN (85935) */
	'N', 'G', 'G', '_', 'W', 'A', 'V', 'E', '_', 'I', 'D', '_', 'E', 'N', '\0', /* NGG_WAVE_ID_EN (85945) */
	'P', 'R', 'I', 'M', 'G', 'E', 'N', '_', 'P', 'A', 'S', 'S', 'T', 'H', 'R', 'U', '_', 'E', 'N', '\0', /* PRIMGEN_PASSTHRU_EN (85960) */
	'N', 'U', 'M', '_', 'P', 'A', 'T', 'C', 'H', 'E', 'S', '\0', /* NUM_PATCHES (85980, 85984) */
	'H', 'S', '_', 'N', 'U', 'M', '_', 'I', 'N', 'P', 'U', 'T', '_', 'C', 'P', '\0', /* HS_NUM_INPUT_CP (85992) */
	'H', 'S', '_', 'N', 'U', 'M', '_', 'O', 'U', 'T', 'P', 'U', 'T', '_', 'C', 'P', '\0', /* HS_NUM_OUTPUT_CP (86008) */
	'T', 'E', 'S', 'S', '_', 'I', 'S', 'O', 'L', 'I', 'N', 'E', '\0', /* TESS_ISOLINE (86025) */
	'T', 'E', 'S', 'S', '_', 'T', 'R', 'I', 'A', 'N', 'G', 'L', 'E', '\0', /* TESS_TRIANGLE (86038) */
	'T', 'E', 'S', 'S', '_', 'Q', 'U', 'A', 'D', '\0', /* TESS_QUAD (86052) */
	'P', 'A', 'R', 'T', '_', 'I', 'N', 'T', 'E', 'G', 'E', 'R', '\0', /* PART_INTEGER (86062) */
	'P', 'A', 'R', 'T', '_', 'P', 'O', 'W', '2', '\0', /* PART_POW2 (86075) */
	'P', 'A', 'R', 'T', '_', 'F', 'R', 'A', 'C', '_', 'O', 'D', 'D', '\0', /* PART_FRAC_ODD (86085) */
	'P', 'A', 'R', 'T', '_', 'F', 'R', 'A', 'C', '_', 'E', 'V', 'E', 'N', '\0', /* PART_FRAC_EVEN (86099) */
	'P', 'A', 'R', 'T', 'I', 'T', 'I', 'O', 'N', 'I', 'N', 'G', '\0', /* PARTITIONING (86114) */
	'O', 'U', 'T', 'P', 'U', 'T', '_', 'P', 'O', 'I', 'N', 'T', '\0', /* OUTPUT_POINT (86127) */
	'O', 'U', 'T', 'P', 'U', 'T', '_', 'L', 'I', 'N', 'E', '\0', /* OUTPUT_LINE (86140) */
	'O', 'U', 'T', 'P', 'U', 'T', '_', 'T', 'R', 'I', 'A', 'N', 'G', 'L', 'E', '_', 'C', 'W', '\0', /* OUTPUT_TRIANGLE_CW (86152) */
	'O', 'U', 'T', 'P', 'U', 'T', '_', 'T', 'R', 'I', 'A', 'N', 'G', 'L', 'E', '_', 'C', 'C', 'W', '\0', /* OUTPUT_TRIANGLE_CCW (86171) */
	'T', 'O', 'P', 'O', 'L', 'O', 'G', 'Y', '\0', /* TOPOLOGY (86191) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'R', 'E', 'D', 'U', 'C', '_', 'A', 'X', 'I', 'S', '\0', /* RESERVED_REDUC_AXIS (86200) */
	'D', 'E', 'P', 'R', 'E', 'C', 'A', 'T', 'E', 'D', '\0', /* DEPRECATED (86220) */
	'N', 'U', 'M', '_', 'D', 'S', '_', 'W', 'A', 'V', 'E', 'S', '_', 'P', 'E', 'R', '_', 'S', 'I', 'M', 'D', '\0', /* NUM_DS_WAVES_PER_SIMD (86231) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'D', 'O', 'N', 'U', 'T', 'S', '\0', /* DISABLE_DONUTS (86253, 86261) */
	'N', 'O', '_', 'D', 'I', 'S', 'T', '\0', /* NO_DIST (86268) */
	'T', 'R', 'A', 'P', 'E', 'Z', 'O', 'I', 'D', 'S', '\0', /* TRAPEZOIDS (86276) */
	'D', 'I', 'S', 'T', 'R', 'I', 'B', 'U', 'T', 'I', 'O', 'N', '_', 'M', 'O', 'D', 'E', '\0', /* DISTRIBUTION_MODE (86287) */
	'P', 'R', 'E', '_', 'C', 'L', 'A', 'M', 'P', '_', 'T', 'F', '1', '\0', /* PRE_CLAMP_TF1 (86305) */
	'P', 'O', 'S', 'T', '_', 'C', 'L', 'A', 'M', 'P', '_', 'T', 'F', '1', '\0', /* POST_CLAMP_TF1 (86319) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'T', 'F', '1', '\0', /* DISABLE_TF1 (86334) */
	'D', 'E', 'T', 'E', 'C', 'T', '_', 'O', 'N', 'E', '\0', /* DETECT_ONE (86346) */
	'P', 'R', 'E', '_', 'C', 'L', 'A', 'M', 'P', '_', 'T', 'F', '0', '\0', /* PRE_CLAMP_TF0 (86357) */
	'P', 'O', 'S', 'T', '_', 'C', 'L', 'A', 'M', 'P', '_', 'T', 'F', '0', '\0', /* POST_CLAMP_TF0 (86371) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'T', 'F', '0', '\0', /* DISABLE_TF0 (86386) */
	'D', 'E', 'T', 'E', 'C', 'T', '_', 'Z', 'E', 'R', 'O', '\0', /* DETECT_ZERO (86398) */
	'A', 'L', 'P', 'H', 'A', '_', 'T', 'O', '_', 'M', 'A', 'S', 'K', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* ALPHA_TO_MASK_ENABLE (86410) */
	'A', 'L', 'P', 'H', 'A', '_', 'T', 'O', '_', 'M', 'A', 'S', 'K', '_', 'O', 'F', 'F', 'S', 'E', 'T', '0', '\0', /* ALPHA_TO_MASK_OFFSET0 (86431) */
	'A', 'L', 'P', 'H', 'A', '_', 'T', 'O', '_', 'M', 'A', 'S', 'K', '_', 'O', 'F', 'F', 'S', 'E', 'T', '1', '\0', /* ALPHA_TO_MASK_OFFSET1 (86453) */
	'A', 'L', 'P', 'H', 'A', '_', 'T', 'O', '_', 'M', 'A', 'S', 'K', '_', 'O', 'F', 'F', 'S', 'E', 'T', '2', '\0', /* ALPHA_TO_MASK_OFFSET2 (86475) */
	'A', 'L', 'P', 'H', 'A', '_', 'T', 'O', '_', 'M', 'A', 'S', 'K', '_', 'O', 'F', 'F', 'S', 'E', 'T', '3', '\0', /* ALPHA_TO_MASK_OFFSET3 (86497) */
	'O', 'F', 'F', 'S', 'E', 'T', '_', 'R', 'O', 'U', 'N', 'D', '\0', /* OFFSET_ROUND (86519) */
	'M', 'A', 'T', 'C', 'H', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* MATCH_INDEX (86532) */
	'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'N', 'E', 'G', '_', 'N', 'U', 'M', '_', 'D', 'B', '_', 'B', 'I', 'T', 'S', '\0', /* POLY_OFFSET_NEG_NUM_DB_BITS (86544) */
	'P', 'O', 'L', 'Y', '_', 'O', 'F', 'F', 'S', 'E', 'T', '_', 'D', 'B', '_', 'I', 'S', '_', 'F', 'L', 'O', 'A', 'T', '_', 'F', 'M', 'T', '\0', /* POLY_OFFSET_DB_IS_FLOAT_FMT (86572) */
	'E', 'N', '_', 'M', 'A', 'X', '_', 'V', 'E', 'R', 'T', '_', 'O', 'U', 'T', '_', 'P', 'E', 'R', '_', 'G', 'S', '_', 'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', '\0', /* EN_MAX_VERT_OUT_PER_GS_INSTANCE (86600) */
	'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', '_', '0', '_', 'E', 'N', '\0', /* STREAMOUT_0_EN (86632) */
	'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', '_', '1', '_', 'E', 'N', '\0', /* STREAMOUT_1_EN (86647) */
	'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', '_', '2', '_', 'E', 'N', '\0', /* STREAMOUT_2_EN (86662) */
	'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', '_', '3', '_', 'E', 'N', '\0', /* STREAMOUT_3_EN (86677) */
	'R', 'A', 'S', 'T', '_', 'S', 'T', 'R', 'E', 'A', 'M', '\0', /* RAST_STREAM (86692) */
	'E', 'N', '_', 'P', 'R', 'I', 'M', 'S', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'N', 'T', '\0', /* EN_PRIMS_NEEDED_CNT (86704) */
	'R', 'A', 'S', 'T', '_', 'S', 'T', 'R', 'E', 'A', 'M', '_', 'M', 'A', 'S', 'K', '\0', /* RAST_STREAM_MASK (86724) */
	'U', 'S', 'E', '_', 'R', 'A', 'S', 'T', '_', 'S', 'T', 'R', 'E', 'A', 'M', '_', 'M', 'A', 'S', 'K', '\0', /* USE_RAST_STREAM_MASK (86741) */
	'S', 'T', 'R', 'E', 'A', 'M', '_', '0', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'E', 'N', '\0', /* STREAM_0_BUFFER_EN (86762) */
	'S', 'T', 'R', 'E', 'A', 'M', '_', '1', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'E', 'N', '\0', /* STREAM_1_BUFFER_EN (86781) */
	'S', 'T', 'R', 'E', 'A', 'M', '_', '2', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'E', 'N', '\0', /* STREAM_2_BUFFER_EN (86800) */
	'S', 'T', 'R', 'E', 'A', 'M', '_', '3', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'E', 'N', '\0', /* STREAM_3_BUFFER_EN (86819) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '0', '\0', /* DISTANCE_0 (86838) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '1', '\0', /* DISTANCE_1 (86849) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '2', '\0', /* DISTANCE_2 (86860) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '3', '\0', /* DISTANCE_3 (86871) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '4', '\0', /* DISTANCE_4 (86882) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '5', '\0', /* DISTANCE_5 (86893) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '6', '\0', /* DISTANCE_6 (86904) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '7', '\0', /* DISTANCE_7 (86915) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '8', '\0', /* DISTANCE_8 (86926) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '9', '\0', /* DISTANCE_9 (86937) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '1', '0', '\0', /* DISTANCE_10 (86948) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '1', '1', '\0', /* DISTANCE_11 (86960) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '1', '2', '\0', /* DISTANCE_12 (86972) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '1', '3', '\0', /* DISTANCE_13 (86984) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '1', '4', '\0', /* DISTANCE_14 (86996) */
	'D', 'I', 'S', 'T', 'A', 'N', 'C', 'E', '_', '1', '5', '\0', /* DISTANCE_15 (87008) */
	'E', 'X', 'P', 'A', 'N', 'D', '_', 'L', 'I', 'N', 'E', '_', 'W', 'I', 'D', 'T', 'H', '\0', /* EXPAND_LINE_WIDTH (87020) */
	'L', 'A', 'S', 'T', '_', 'P', 'I', 'X', 'E', 'L', '\0', /* LAST_PIXEL (87038) */
	'P', 'E', 'R', 'P', 'E', 'N', 'D', 'I', 'C', 'U', 'L', 'A', 'R', '_', 'E', 'N', 'D', 'C', 'A', 'P', '_', 'E', 'N', 'A', '\0', /* PERPENDICULAR_ENDCAP_ENA (87049) */
	'D', 'X', '1', '0', '_', 'D', 'I', 'A', 'M', 'O', 'N', 'D', '_', 'T', 'E', 'S', 'T', '_', 'E', 'N', 'A', '\0', /* DX10_DIAMOND_TEST_ENA (87074) */
	'E', 'X', 'T', 'R', 'A', '_', 'D', 'X', '_', 'D', 'Y', '_', 'P', 'R', 'E', 'C', 'I', 'S', 'I', 'O', 'N', '\0', /* EXTRA_DX_DY_PRECISION (87096) */
	'M', 'S', 'A', 'A', '_', 'N', 'U', 'M', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '\0', /* MSAA_NUM_SAMPLES (87118) */
	'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '_', 'D', 'T', 'M', 'N', '\0', /* AA_MASK_CENTROID_DTMN (87135) */
	'M', 'A', 'X', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'I', 'S', 'T', '\0', /* MAX_SAMPLE_DIST (87157) */
	'M', 'S', 'A', 'A', '_', 'E', 'X', 'P', 'O', 'S', 'E', 'D', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '\0', /* MSAA_EXPOSED_SAMPLES (87173) */
	'D', 'E', 'T', 'A', 'I', 'L', '_', 'T', 'O', '_', 'E', 'X', 'P', 'O', 'S', 'E', 'D', '_', 'M', 'O', 'D', 'E', '\0', /* DETAIL_TO_EXPOSED_MODE (87194) */
	'I', 'N', 'P', 'U', 'T', '_', 'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '\0', /* INPUT_COVERAGE (87217) */
	'I', 'N', 'P', 'U', 'T', '_', 'I', 'N', 'N', 'E', 'R', '_', 'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '\0', /* INPUT_INNER_COVERAGE (87232) */
	'I', 'N', 'P', 'U', 'T', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '\0', /* INPUT_DEPTH_COVERAGE (87253) */
	'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'T', 'O', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* COVERAGE_TO_SHADER_SELECT (87274) */
	'P', 'I', 'X', '_', 'C', 'E', 'N', 'T', 'E', 'R', '\0', /* PIX_CENTER (87300) */
	'X', '_', 'T', 'R', 'U', 'N', 'C', 'A', 'T', 'E', '\0', /* X_TRUNCATE (87311) */
	'X', '_', 'R', 'O', 'U', 'N', 'D', '\0', /* X_ROUND (87322) */
	'X', '_', 'R', 'O', 'U', 'N', 'D', '_', 'T', 'O', '_', 'E', 'V', 'E', 'N', '\0', /* X_ROUND_TO_EVEN (87330) */
	'X', '_', 'R', 'O', 'U', 'N', 'D', '_', 'T', 'O', '_', 'O', 'D', 'D', '\0', /* X_ROUND_TO_ODD (87346) */
	'R', 'O', 'U', 'N', 'D', '_', 'M', 'O', 'D', 'E', '\0', /* ROUND_MODE (87361) */
	'X', '_', '1', '6', '_', '8', '_', 'F', 'I', 'X', 'E', 'D', '_', 'P', 'O', 'I', 'N', 'T', '_', '1', '_', '1', '6', 'T', 'H', '\0', /* X_16_8_FIXED_POINT_1_16TH (87372) */
	'X', '_', '1', '6', '_', '8', '_', 'F', 'I', 'X', 'E', 'D', '_', 'P', 'O', 'I', 'N', 'T', '_', '1', '_', '8', 'T', 'H', '\0', /* X_16_8_FIXED_POINT_1_8TH (87398) */
	'X', '_', '1', '6', '_', '8', '_', 'F', 'I', 'X', 'E', 'D', '_', 'P', 'O', 'I', 'N', 'T', '_', '1', '_', '4', 'T', 'H', '\0', /* X_16_8_FIXED_POINT_1_4TH (87423) */
	'X', '_', '1', '6', '_', '8', '_', 'F', 'I', 'X', 'E', 'D', '_', 'P', 'O', 'I', 'N', 'T', '_', '1', '_', '2', '\0', /* X_16_8_FIXED_POINT_1_2 (87448) */
	'X', '_', '1', '6', '_', '8', '_', 'F', 'I', 'X', 'E', 'D', '_', 'P', 'O', 'I', 'N', 'T', '_', '1', '\0', /* X_16_8_FIXED_POINT_1 (87471) */
	'X', '_', '1', '6', '_', '8', '_', 'F', 'I', 'X', 'E', 'D', '_', 'P', 'O', 'I', 'N', 'T', '_', '1', '_', '2', '5', '6', 'T', 'H', '\0', /* X_16_8_FIXED_POINT_1_256TH (87492) */
	'X', '_', '1', '4', '_', '1', '0', '_', 'F', 'I', 'X', 'E', 'D', '_', 'P', 'O', 'I', 'N', 'T', '_', '1', '_', '1', '0', '2', '4', 'T', 'H', '\0', /* X_14_10_FIXED_POINT_1_1024TH (87519) */
	'X', '_', '1', '2', '_', '1', '2', '_', 'F', 'I', 'X', 'E', 'D', '_', 'P', 'O', 'I', 'N', 'T', '_', '1', '_', '4', '0', '9', '6', 'T', 'H', '\0', /* X_12_12_FIXED_POINT_1_4096TH (87548) */
	'Q', 'U', 'A', 'N', 'T', '_', 'M', 'O', 'D', 'E', '\0', /* QUANT_MODE (87577) */
	'S', '0', '_', 'X', '\0', /* S0_X (87588) */
	'S', '0', '_', 'Y', '\0', /* S0_Y (87593) */
	'S', '1', '_', 'X', '\0', /* S1_X (87598) */
	'S', '1', '_', 'Y', '\0', /* S1_Y (87603) */
	'S', '2', '_', 'X', '\0', /* S2_X (87608) */
	'S', '2', '_', 'Y', '\0', /* S2_Y (87613) */
	'S', '3', '_', 'X', '\0', /* S3_X (87618) */
	'S', '3', '_', 'Y', '\0', /* S3_Y (87623) */
	'S', '4', '_', 'X', '\0', /* S4_X (87628) */
	'S', '4', '_', 'Y', '\0', /* S4_Y (87633) */
	'S', '5', '_', 'X', '\0', /* S5_X (87638) */
	'S', '5', '_', 'Y', '\0', /* S5_Y (87643) */
	'S', '6', '_', 'X', '\0', /* S6_X (87648) */
	'S', '6', '_', 'Y', '\0', /* S6_Y (87653) */
	'S', '7', '_', 'X', '\0', /* S7_X (87658) */
	'S', '7', '_', 'Y', '\0', /* S7_Y (87663) */
	'S', '8', '_', 'X', '\0', /* S8_X (87668) */
	'S', '8', '_', 'Y', '\0', /* S8_Y (87673) */
	'S', '9', '_', 'X', '\0', /* S9_X (87678) */
	'S', '9', '_', 'Y', '\0', /* S9_Y (87683) */
	'S', '1', '0', '_', 'X', '\0', /* S10_X (87688) */
	'S', '1', '0', '_', 'Y', '\0', /* S10_Y (87694) */
	'S', '1', '1', '_', 'X', '\0', /* S11_X (87700) */
	'S', '1', '1', '_', 'Y', '\0', /* S11_Y (87706) */
	'S', '1', '2', '_', 'X', '\0', /* S12_X (87712) */
	'S', '1', '2', '_', 'Y', '\0', /* S12_Y (87718) */
	'S', '1', '3', '_', 'X', '\0', /* S13_X (87724) */
	'S', '1', '3', '_', 'Y', '\0', /* S13_Y (87730) */
	'S', '1', '4', '_', 'X', '\0', /* S14_X (87736) */
	'S', '1', '4', '_', 'Y', '\0', /* S14_Y (87742) */
	'S', '1', '5', '_', 'X', '\0', /* S15_X (87748) */
	'S', '1', '5', '_', 'Y', '\0', /* S15_Y (87754) */
	'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'X', '0', 'Y', '0', '\0', /* AA_MASK_X0Y0 (87760) */
	'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'X', '1', 'Y', '0', '\0', /* AA_MASK_X1Y0 (87773) */
	'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'X', '0', 'Y', '1', '\0', /* AA_MASK_X0Y1 (87786) */
	'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'X', '1', 'Y', '1', '\0', /* AA_MASK_X1Y1 (87799) */
	'R', 'E', 'A', 'L', 'I', 'G', 'N', '_', 'D', 'Q', 'U', 'A', 'D', 'S', '_', 'A', 'F', 'T', 'E', 'R', '_', 'N', '_', 'W', 'A', 'V', 'E', 'S', '\0', /* REALIGN_DQUADS_AFTER_N_WAVES (87812) */
	'W', 'A', 'V', 'E', '_', 'B', 'R', 'E', 'A', 'K', '_', 'R', 'E', 'G', 'I', 'O', 'N', '_', 'S', 'I', 'Z', 'E', '\0', /* WAVE_BREAK_REGION_SIZE (87841) */
	'B', 'I', 'N', 'N', 'I', 'N', 'G', '_', 'A', 'L', 'L', 'O', 'W', 'E', 'D', '\0', /* BINNING_ALLOWED (87864) */
	'F', 'O', 'R', 'C', 'E', '_', 'B', 'I', 'N', 'N', 'I', 'N', 'G', '_', 'O', 'N', '\0', /* FORCE_BINNING_ON (87880) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'B', 'I', 'N', 'N', 'I', 'N', 'G', '_', 'U', 'S', 'E', '_', 'N', 'E', 'W', '_', 'S', 'C', '\0', /* DISABLE_BINNING_USE_NEW_SC (87897) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'B', 'I', 'N', 'N', 'I', 'N', 'G', '_', 'U', 'S', 'E', '_', 'L', 'E', 'G', 'A', 'C', 'Y', '_', 'S', 'C', '\0', /* DISABLE_BINNING_USE_LEGACY_SC (87924) */
	'B', 'I', 'N', 'N', 'I', 'N', 'G', '_', 'M', 'O', 'D', 'E', '\0', /* BINNING_MODE (87954) */
	'B', 'I', 'N', '_', 'S', 'I', 'Z', 'E', '_', 'X', '\0', /* BIN_SIZE_X (87967) */
	'B', 'I', 'N', '_', 'S', 'I', 'Z', 'E', '_', 'Y', '\0', /* BIN_SIZE_Y (87978) */
	'B', 'I', 'N', '_', 'S', 'I', 'Z', 'E', '_', '3', '2', '_', 'P', 'I', 'X', 'E', 'L', 'S', '\0', /* BIN_SIZE_32_PIXELS (87989) */
	'B', 'I', 'N', '_', 'S', 'I', 'Z', 'E', '_', '6', '4', '_', 'P', 'I', 'X', 'E', 'L', 'S', '\0', /* BIN_SIZE_64_PIXELS (88008) */
	'B', 'I', 'N', '_', 'S', 'I', 'Z', 'E', '_', '1', '2', '8', '_', 'P', 'I', 'X', 'E', 'L', 'S', '\0', /* BIN_SIZE_128_PIXELS (88027) */
	'B', 'I', 'N', '_', 'S', 'I', 'Z', 'E', '_', '2', '5', '6', '_', 'P', 'I', 'X', 'E', 'L', 'S', '\0', /* BIN_SIZE_256_PIXELS (88047) */
	'B', 'I', 'N', '_', 'S', 'I', 'Z', 'E', '_', '5', '1', '2', '_', 'P', 'I', 'X', 'E', 'L', 'S', '\0', /* BIN_SIZE_512_PIXELS (88067) */
	'B', 'I', 'N', '_', 'S', 'I', 'Z', 'E', '_', 'X', '_', 'E', 'X', 'T', 'E', 'N', 'D', '\0', /* BIN_SIZE_X_EXTEND (88087) */
	'B', 'I', 'N', '_', 'S', 'I', 'Z', 'E', '_', 'Y', '_', 'E', 'X', 'T', 'E', 'N', 'D', '\0', /* BIN_SIZE_Y_EXTEND (88105) */
	'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'S', 'T', 'A', 'T', 'E', 'S', '_', 'P', 'E', 'R', '_', 'B', 'I', 'N', '\0', /* CONTEXT_STATES_PER_BIN (88123) */
	'P', 'E', 'R', 'S', 'I', 'S', 'T', 'E', 'N', 'T', '_', 'S', 'T', 'A', 'T', 'E', 'S', '_', 'P', 'E', 'R', '_', 'B', 'I', 'N', '\0', /* PERSISTENT_STATES_PER_BIN (88146) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'S', 'T', 'A', 'R', 'T', '_', 'O', 'F', '_', 'P', 'R', 'I', 'M', '\0', /* DISABLE_START_OF_PRIM (88172) */
	'F', 'P', 'O', 'V', 'S', '_', 'P', 'E', 'R', '_', 'B', 'A', 'T', 'C', 'H', '\0', /* FPOVS_PER_BATCH (88194) */
	'O', 'P', 'T', 'I', 'M', 'A', 'L', '_', 'B', 'I', 'N', '_', 'S', 'E', 'L', 'E', 'C', 'T', 'I', 'O', 'N', '\0', /* OPTIMAL_BIN_SELECTION (88210) */
	'F', 'L', 'U', 'S', 'H', '_', 'O', 'N', '_', 'B', 'I', 'N', 'N', 'I', 'N', 'G', '_', 'T', 'R', 'A', 'N', 'S', 'I', 'T', 'I', 'O', 'N', '\0', /* FLUSH_ON_BINNING_TRANSITION (88232) */
	'B', 'I', 'N', '_', 'M', 'A', 'P', '_', 'M', 'O', 'D', 'E', '_', 'N', 'O', 'N', 'E', '\0', /* BIN_MAP_MODE_NONE (88260) */
	'B', 'I', 'N', '_', 'M', 'A', 'P', '_', 'M', 'O', 'D', 'E', '_', 'R', 'T', 'A', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* BIN_MAP_MODE_RTA_INDEX (88278) */
	'B', 'I', 'N', '_', 'M', 'A', 'P', '_', 'M', 'O', 'D', 'E', '_', 'P', 'O', 'P', 'S', '\0', /* BIN_MAP_MODE_POPS (88301) */
	'B', 'I', 'N', '_', 'M', 'A', 'P', 'P', 'I', 'N', 'G', '_', 'M', 'O', 'D', 'E', '\0', /* BIN_MAPPING_MODE (88319) */
	'M', 'A', 'X', '_', 'A', 'L', 'L', 'O', 'C', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* MAX_ALLOC_COUNT (88336) */
	'M', 'A', 'X', '_', 'P', 'R', 'I', 'M', '_', 'P', 'E', 'R', '_', 'B', 'A', 'T', 'C', 'H', '\0', /* MAX_PRIM_PER_BATCH (88352) */
	'O', 'V', 'E', 'R', '_', 'R', 'A', 'S', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OVER_RAST_ENABLE (88371) */
	'O', 'V', 'E', 'R', '_', 'R', 'A', 'S', 'T', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* OVER_RAST_SAMPLE_SELECT (88388) */
	'U', 'N', 'D', 'E', 'R', '_', 'R', 'A', 'S', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* UNDER_RAST_ENABLE (88412) */
	'U', 'N', 'D', 'E', 'R', '_', 'R', 'A', 'S', 'T', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* UNDER_RAST_SAMPLE_SELECT (88430) */
	'P', 'B', 'B', '_', 'U', 'N', 'C', 'E', 'R', 'T', 'A', 'I', 'N', 'T', 'Y', '_', 'R', 'E', 'G', 'I', 'O', 'N', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* PBB_UNCERTAINTY_REGION_ENABLE (88455) */
	'Z', 'M', 'M', '_', 'T', 'R', 'I', '_', 'E', 'X', 'T', 'E', 'N', 'T', '\0', /* ZMM_TRI_EXTENT (88485) */
	'Z', 'M', 'M', '_', 'T', 'R', 'I', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* ZMM_TRI_OFFSET (88500) */
	'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '_', 'O', 'V', 'E', 'R', '_', 'R', 'A', 'S', 'T', '_', 'I', 'N', 'N', 'E', 'R', '_', 'T', 'O', '_', 'N', 'O', 'R', 'M', 'A', 'L', '\0', /* OVERRIDE_OVER_RAST_INNER_TO_NORMAL (88515) */
	'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '_', 'U', 'N', 'D', 'E', 'R', '_', 'R', 'A', 'S', 'T', '_', 'I', 'N', 'N', 'E', 'R', '_', 'T', 'O', '_', 'N', 'O', 'R', 'M', 'A', 'L', '\0', /* OVERRIDE_UNDER_RAST_INNER_TO_NORMAL (88550) */
	'D', 'E', 'G', 'E', 'N', 'E', 'R', 'A', 'T', 'E', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '_', 'I', 'N', 'N', 'E', 'R', '_', 'T', 'O', '_', 'N', 'O', 'R', 'M', 'A', 'L', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* DEGENERATE_OVERRIDE_INNER_TO_NORMAL_DISABLE (88586) */
	'S', 'C', '_', 'H', 'A', 'L', 'F', '_', 'L', 'S', 'B', '\0', /* SC_HALF_LSB (88630) */
	'S', 'C', '_', 'L', 'S', 'B', '_', 'O', 'N', 'E', '_', 'S', 'I', 'D', 'E', 'D', '\0', /* SC_LSB_ONE_SIDED (88642, 88655) */
	'S', 'C', '_', 'L', 'S', 'B', '_', 'T', 'W', 'O', '_', 'S', 'I', 'D', 'E', 'D', '\0', /* SC_LSB_TWO_SIDED (88659) */
	'U', 'N', 'C', 'E', 'R', 'T', 'A', 'I', 'N', 'T', 'Y', '_', 'R', 'E', 'G', 'I', 'O', 'N', '_', 'M', 'O', 'D', 'E', '\0', /* UNCERTAINTY_REGION_MODE (88676) */
	'O', 'U', 'T', 'E', 'R', '_', 'U', 'N', 'C', 'E', 'R', 'T', 'A', 'I', 'N', 'T', 'Y', '_', 'E', 'D', 'G', 'E', 'R', 'U', 'L', 'E', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* OUTER_UNCERTAINTY_EDGERULE_OVERRIDE (88700) */
	'I', 'N', 'N', 'E', 'R', '_', 'U', 'N', 'C', 'E', 'R', 'T', 'A', 'I', 'N', 'T', 'Y', '_', 'E', 'D', 'G', 'E', 'R', 'U', 'L', 'E', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* INNER_UNCERTAINTY_EDGERULE_OVERRIDE (88736) */
	'N', 'U', 'L', 'L', '_', 'S', 'Q', 'U', 'A', 'D', '_', 'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* NULL_SQUAD_AA_MASK_ENABLE (88772) */
	'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* COVERAGE_AA_MASK_ENABLE (88798) */
	'P', 'R', 'E', 'Z', '_', 'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* PREZ_AA_MASK_ENABLE (88822) */
	'P', 'O', 'S', 'T', 'Z', '_', 'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* POSTZ_AA_MASK_ENABLE (88842) */
	'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* CENTROID_SAMPLE_OVERRIDE (88863) */
	'U', 'N', 'C', 'E', 'R', 'T', 'A', 'I', 'N', 'T', 'Y', '_', 'R', 'E', 'G', 'I', 'O', 'N', '_', 'M', 'U', 'L', 'T', '\0', /* UNCERTAINTY_REGION_MULT (88888) */
	'U', 'N', 'C', 'E', 'R', 'T', 'A', 'I', 'N', 'T', 'Y', '_', 'R', 'E', 'G', 'I', 'O', 'N', '_', 'P', 'B', 'B', '_', 'M', 'U', 'L', 'T', '\0', /* UNCERTAINTY_REGION_PBB_MULT (88912) */
	'M', 'A', 'X', '_', 'D', 'E', 'A', 'L', 'L', 'O', 'C', 'S', '_', 'I', 'N', '_', 'W', 'A', 'V', 'E', '\0', /* MAX_DEALLOCS_IN_WAVE (88940) */
	'M', 'A', 'X', '_', 'F', 'P', 'O', 'V', 'S', '_', 'I', 'N', '_', 'W', 'A', 'V', 'E', '\0', /* MAX_FPOVS_IN_WAVE (88961) */
	'V', 'T', 'X', '_', 'R', 'E', 'U', 'S', 'E', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* VTX_REUSE_DEPTH (88979) */
	'D', 'E', 'A', 'L', 'L', 'O', 'C', '_', 'D', 'I', 'S', 'T', '\0', /* DEALLOC_DIST (88995) */
	'T', 'I', 'L', 'E', '_', 'M', 'A', 'X', '\0', /* TILE_MAX (89008) */
	'F', 'M', 'A', 'S', 'K', '_', 'T', 'I', 'L', 'E', '_', 'M', 'A', 'X', '\0', /* FMASK_TILE_MAX (89017) */
	'M', 'I', 'P', '_', 'L', 'E', 'V', 'E', 'L', '\0', /* MIP_LEVEL (89032) */
	'E', 'N', 'D', 'I', 'A', 'N', '_', 'N', 'O', 'N', 'E', '\0', /* ENDIAN_NONE (89042) */
	'E', 'N', 'D', 'I', 'A', 'N', '_', '8', 'I', 'N', '1', '6', '\0', /* ENDIAN_8IN16 (89054) */
	'E', 'N', 'D', 'I', 'A', 'N', '_', '8', 'I', 'N', '3', '2', '\0', /* ENDIAN_8IN32 (89067) */
	'E', 'N', 'D', 'I', 'A', 'N', '_', '8', 'I', 'N', '6', '4', '\0', /* ENDIAN_8IN64 (89080) */
	'E', 'N', 'D', 'I', 'A', 'N', '\0', /* ENDIAN (89093) */
	'C', 'O', 'L', 'O', 'R', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', '\0', /* COLOR_INVALID (89100) */
	'C', 'O', 'L', 'O', 'R', '_', '8', '\0', /* COLOR_8 (89114) */
	'C', 'O', 'L', 'O', 'R', '_', '1', '6', '\0', /* COLOR_16 (89122) */
	'C', 'O', 'L', 'O', 'R', '_', '8', '_', '8', '\0', /* COLOR_8_8 (89131) */
	'C', 'O', 'L', 'O', 'R', '_', '3', '2', '\0', /* COLOR_32 (89141) */
	'C', 'O', 'L', 'O', 'R', '_', '1', '6', '_', '1', '6', '\0', /* COLOR_16_16 (89150) */
	'C', 'O', 'L', 'O', 'R', '_', '1', '0', '_', '1', '1', '_', '1', '1', '\0', /* COLOR_10_11_11 (89162) */
	'C', 'O', 'L', 'O', 'R', '_', '1', '1', '_', '1', '1', '_', '1', '0', '\0', /* COLOR_11_11_10 (89177) */
	'C', 'O', 'L', 'O', 'R', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', '2', '\0', /* COLOR_10_10_10_2 (89192) */
	'C', 'O', 'L', 'O', 'R', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '\0', /* COLOR_2_10_10_10 (89209) */
	'C', 'O', 'L', 'O', 'R', '_', '8', '_', '8', '_', '8', '_', '8', '\0', /* COLOR_8_8_8_8 (89226) */
	'C', 'O', 'L', 'O', 'R', '_', '3', '2', '_', '3', '2', '\0', /* COLOR_32_32 (89240) */
	'C', 'O', 'L', 'O', 'R', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '\0', /* COLOR_16_16_16_16 (89252) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '3', '\0', /* COLOR_RESERVED_13 (89270) */
	'C', 'O', 'L', 'O', 'R', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', '3', '2', '\0', /* COLOR_32_32_32_32 (89288) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '5', '\0', /* COLOR_RESERVED_15 (89306) */
	'C', 'O', 'L', 'O', 'R', '_', '5', '_', '6', '_', '5', '\0', /* COLOR_5_6_5 (89324) */
	'C', 'O', 'L', 'O', 'R', '_', '1', '_', '5', '_', '5', '_', '5', '\0', /* COLOR_1_5_5_5 (89336) */
	'C', 'O', 'L', 'O', 'R', '_', '5', '_', '5', '_', '5', '_', '1', '\0', /* COLOR_5_5_5_1 (89350) */
	'C', 'O', 'L', 'O', 'R', '_', '4', '_', '4', '_', '4', '_', '4', '\0', /* COLOR_4_4_4_4 (89364) */
	'C', 'O', 'L', 'O', 'R', '_', '8', '_', '2', '4', '\0', /* COLOR_8_24 (89378) */
	'C', 'O', 'L', 'O', 'R', '_', '2', '4', '_', '8', '\0', /* COLOR_24_8 (89389) */
	'C', 'O', 'L', 'O', 'R', '_', 'X', '2', '4', '_', '8', '_', '3', '2', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* COLOR_X24_8_32_FLOAT (89400) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '3', '\0', /* COLOR_RESERVED_23 (89421) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '4', '\0', /* COLOR_RESERVED_24 (89439) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '5', '\0', /* COLOR_RESERVED_25 (89457) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '6', '\0', /* COLOR_RESERVED_26 (89475) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '7', '\0', /* COLOR_RESERVED_27 (89493) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '8', '\0', /* COLOR_RESERVED_28 (89511) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '9', '\0', /* COLOR_RESERVED_29 (89529) */
	'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '3', '0', '\0', /* COLOR_RESERVED_30 (89547) */
	'C', 'O', 'L', 'O', 'R', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', '6', 'E', '4', '\0', /* COLOR_2_10_10_10_6E4 (89565) */
	'N', 'U', 'M', 'B', 'E', 'R', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* NUMBER_UNORM (89586) */
	'N', 'U', 'M', 'B', 'E', 'R', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* NUMBER_SNORM (89599) */
	'N', 'U', 'M', 'B', 'E', 'R', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* NUMBER_USCALED (89612) */
	'N', 'U', 'M', 'B', 'E', 'R', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* NUMBER_SSCALED (89627) */
	'N', 'U', 'M', 'B', 'E', 'R', '_', 'U', 'I', 'N', 'T', '\0', /* NUMBER_UINT (89642) */
	'N', 'U', 'M', 'B', 'E', 'R', '_', 'S', 'I', 'N', 'T', '\0', /* NUMBER_SINT (89654) */
	'N', 'U', 'M', 'B', 'E', 'R', '_', 'S', 'R', 'G', 'B', '\0', /* NUMBER_SRGB (89666) */
	'N', 'U', 'M', 'B', 'E', 'R', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* NUMBER_FLOAT (89678) */
	'N', 'U', 'M', 'B', 'E', 'R', '_', 'T', 'Y', 'P', 'E', '\0', /* NUMBER_TYPE (89691) */
	'S', 'W', 'A', 'P', '_', 'S', 'T', 'D', '\0', /* SWAP_STD (89703) */
	'S', 'W', 'A', 'P', '_', 'A', 'L', 'T', '\0', /* SWAP_ALT (89712) */
	'S', 'W', 'A', 'P', '_', 'S', 'T', 'D', '_', 'R', 'E', 'V', '\0', /* SWAP_STD_REV (89721) */
	'S', 'W', 'A', 'P', '_', 'A', 'L', 'T', '_', 'R', 'E', 'V', '\0', /* SWAP_ALT_REV (89734) */
	'C', 'O', 'M', 'P', '_', 'S', 'W', 'A', 'P', '\0', /* COMP_SWAP (89747) */
	'B', 'L', 'E', 'N', 'D', '_', 'C', 'L', 'A', 'M', 'P', '\0', /* BLEND_CLAMP (89757) */
	'B', 'L', 'E', 'N', 'D', '_', 'B', 'Y', 'P', 'A', 'S', 'S', '\0', /* BLEND_BYPASS (89769) */
	'S', 'I', 'M', 'P', 'L', 'E', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* SIMPLE_FLOAT (89782) */
	'C', 'M', 'A', 'S', 'K', '_', 'I', 'S', '_', 'L', 'I', 'N', 'E', 'A', 'R', '\0', /* CMASK_IS_LINEAR (89795, 89804) */
	'F', 'O', 'R', 'C', 'E', '_', 'O', 'P', 'T', '_', 'A', 'U', 'T', 'O', '\0', /* FORCE_OPT_AUTO (89811) */
	'F', 'O', 'R', 'C', 'E', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* FORCE_OPT_DISABLE (89826) */
	'F', 'O', 'R', 'C', 'E', '_', 'O', 'P', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'I', 'F', '_', 'S', 'R', 'C', '_', 'A', '_', '0', '\0', /* FORCE_OPT_ENABLE_IF_SRC_A_0 (89844) */
	'F', 'O', 'R', 'C', 'E', '_', 'O', 'P', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'I', 'F', '_', 'S', 'R', 'C', '_', 'R', 'G', 'B', '_', '0', '\0', /* FORCE_OPT_ENABLE_IF_SRC_RGB_0 (89872) */
	'F', 'O', 'R', 'C', 'E', '_', 'O', 'P', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'I', 'F', '_', 'S', 'R', 'C', '_', 'A', 'R', 'G', 'B', '_', '0', '\0', /* FORCE_OPT_ENABLE_IF_SRC_ARGB_0 (89902) */
	'F', 'O', 'R', 'C', 'E', '_', 'O', 'P', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'I', 'F', '_', 'S', 'R', 'C', '_', 'A', '_', '1', '\0', /* FORCE_OPT_ENABLE_IF_SRC_A_1 (89933) */
	'F', 'O', 'R', 'C', 'E', '_', 'O', 'P', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'I', 'F', '_', 'S', 'R', 'C', '_', 'R', 'G', 'B', '_', '1', '\0', /* FORCE_OPT_ENABLE_IF_SRC_RGB_1 (89961) */
	'F', 'O', 'R', 'C', 'E', '_', 'O', 'P', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'I', 'F', '_', 'S', 'R', 'C', '_', 'A', 'R', 'G', 'B', '_', '1', '\0', /* FORCE_OPT_ENABLE_IF_SRC_ARGB_1 (89991) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'D', 'O', 'N', 'T', '_', 'R', 'D', '_', 'D', 'S', 'T', '\0', /* BLEND_OPT_DONT_RD_DST (90022) */
	'B', 'L', 'E', 'N', 'D', '_', 'O', 'P', 'T', '_', 'D', 'I', 'S', 'C', 'A', 'R', 'D', '_', 'P', 'I', 'X', 'E', 'L', '\0', /* BLEND_OPT_DISCARD_PIXEL (90044) */
	'F', 'M', 'A', 'S', 'K', '_', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', 'I', 'O', 'N', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* FMASK_COMPRESSION_DISABLE (90068) */
	'F', 'M', 'A', 'S', 'K', '_', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '_', '1', 'F', 'R', 'A', 'G', '_', 'O', 'N', 'L', 'Y', '\0', /* FMASK_COMPRESS_1FRAG_ONLY (90094) */
	'D', 'C', 'C', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* DCC_ENABLE (90120) */
	'C', 'M', 'A', 'S', 'K', '_', 'A', 'D', 'D', 'R', '_', 'T', 'I', 'L', 'E', 'D', '\0', /* CMASK_ADDR_TILED (90131) */
	'C', 'M', 'A', 'S', 'K', '_', 'A', 'D', 'D', 'R', '_', 'L', 'I', 'N', 'E', 'A', 'R', '\0', /* CMASK_ADDR_LINEAR (90148) */
	'C', 'M', 'A', 'S', 'K', '_', 'A', 'D', 'D', 'R', '_', 'C', 'O', 'M', 'P', 'A', 'T', 'I', 'B', 'L', 'E', '\0', /* CMASK_ADDR_COMPATIBLE (90166) */
	'C', 'M', 'A', 'S', 'K', '_', 'A', 'D', 'D', 'R', '_', 'T', 'Y', 'P', 'E', '\0', /* CMASK_ADDR_TYPE (90188) */
	'A', 'L', 'T', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '\0', /* ALT_TILE_MODE (90204) */
	'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* TILE_MODE_INDEX (90218) */
	'F', 'M', 'A', 'S', 'K', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* FMASK_TILE_MODE_INDEX (90234) */
	'F', 'M', 'A', 'S', 'K', '_', 'B', 'A', 'N', 'K', '_', 'H', 'E', 'I', 'G', 'H', 'T', '\0', /* FMASK_BANK_HEIGHT (90256) */
	'N', 'U', 'M', '_', 'F', 'R', 'A', 'G', 'M', 'E', 'N', 'T', 'S', '\0', /* NUM_FRAGMENTS (90274) */
	'F', 'O', 'R', 'C', 'E', '_', 'D', 'S', 'T', '_', 'A', 'L', 'P', 'H', 'A', '_', '1', '\0', /* FORCE_DST_ALPHA_1 (90288) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'F', 'M', 'A', 'S', 'K', '_', 'N', 'O', 'F', 'E', 'T', 'C', 'H', '_', 'O', 'P', 'T', '\0', /* DISABLE_FMASK_NOFETCH_OPT (90306) */
	'L', 'I', 'M', 'I', 'T', '_', 'C', 'O', 'L', 'O', 'R', '_', 'F', 'E', 'T', 'C', 'H', '_', 'T', 'O', '_', '2', '5', '6', 'B', '_', 'M', 'A', 'X', '\0', /* LIMIT_COLOR_FETCH_TO_256B_MAX (90332) */
	'K', 'E', 'Y', '_', 'C', 'L', 'E', 'A', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* KEY_CLEAR_ENABLE (90362) */
	'M', 'A', 'X', '_', 'B', 'L', 'O', 'C', 'K', '_', 'S', 'I', 'Z', 'E', '_', '6', '4', 'B', '\0', /* MAX_BLOCK_SIZE_64B (90379) */
	'M', 'A', 'X', '_', 'B', 'L', 'O', 'C', 'K', '_', 'S', 'I', 'Z', 'E', '_', '1', '2', '8', 'B', '\0', /* MAX_BLOCK_SIZE_128B (90398) */
	'M', 'A', 'X', '_', 'B', 'L', 'O', 'C', 'K', '_', 'S', 'I', 'Z', 'E', '_', '2', '5', '6', 'B', '\0', /* MAX_BLOCK_SIZE_256B (90418) */
	'M', 'I', 'N', '_', 'B', 'L', 'O', 'C', 'K', '_', 'S', 'I', 'Z', 'E', '_', '3', '2', 'B', '\0', /* MIN_BLOCK_SIZE_32B (90438) */
	'M', 'I', 'N', '_', 'B', 'L', 'O', 'C', 'K', '_', 'S', 'I', 'Z', 'E', '_', '6', '4', 'B', '\0', /* MIN_BLOCK_SIZE_64B (90457) */
	'M', 'I', 'N', '_', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', 'E', 'D', '_', 'B', 'L', 'O', 'C', 'K', '_', 'S', 'I', 'Z', 'E', '\0', /* MIN_COMPRESSED_BLOCK_SIZE (90476) */
	'I', 'N', 'D', 'E', 'P', 'E', 'N', 'D', 'E', 'N', 'T', '_', '6', '4', 'B', '_', 'B', 'L', 'O', 'C', 'K', 'S', '\0', /* INDEPENDENT_64B_BLOCKS (90502) */
	'L', 'O', 'S', 'S', 'Y', '_', 'R', 'G', 'B', '_', 'P', 'R', 'E', 'C', 'I', 'S', 'I', 'O', 'N', '\0', /* LOSSY_RGB_PRECISION (90525) */
	'L', 'O', 'S', 'S', 'Y', '_', 'A', 'L', 'P', 'H', 'A', '_', 'P', 'R', 'E', 'C', 'I', 'S', 'I', 'O', 'N', '\0', /* LOSSY_ALPHA_PRECISION (90545) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'C', 'O', 'N', 'S', 'T', 'A', 'N', 'T', '_', 'E', 'N', 'C', 'O', 'D', 'E', '_', 'R', 'E', 'G', '_', 'W', 'R', 'I', 'T', 'E', '\0', /* ENABLE_CONSTANT_ENCODE_REG_WRITE (90567) */
	'I', 'N', 'D', 'E', 'P', 'E', 'N', 'D', 'E', 'N', 'T', '_', '1', '2', '8', 'B', '_', 'B', 'L', 'O', 'C', 'K', 'S', '\0', /* INDEPENDENT_128B_BLOCKS (90600) */
	'M', 'I', 'P', '0', '_', 'H', 'E', 'I', 'G', 'H', 'T', '\0', /* MIP0_HEIGHT (90624) */
	'M', 'I', 'P', '0', '_', 'W', 'I', 'D', 'T', 'H', '\0', /* MIP0_WIDTH (90636) */
	'M', 'I', 'P', '0', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* MIP0_DEPTH (90647) */
	'M', 'E', 'T', 'A', '_', 'L', 'I', 'N', 'E', 'A', 'R', '\0', /* META_LINEAR (90658) */
	'C', 'O', 'L', 'O', 'R', '_', 'S', 'W', '_', 'M', 'O', 'D', 'E', '\0', /* COLOR_SW_MODE (90670) */
	'F', 'M', 'A', 'S', 'K', '_', 'S', 'W', '_', 'M', 'O', 'D', 'E', '\0', /* FMASK_SW_MODE (90684) */
	'R', 'E', 'S', 'O', 'U', 'R', 'C', 'E', '_', 'T', 'Y', 'P', 'E', '\0', /* RESOURCE_TYPE (90698) */
	'C', 'M', 'A', 'S', 'K', '_', 'P', 'I', 'P', 'E', '_', 'A', 'L', 'I', 'G', 'N', 'E', 'D', '\0', /* CMASK_PIPE_ALIGNED (90712) */
	'D', 'C', 'C', '_', 'P', 'I', 'P', 'E', '_', 'A', 'L', 'I', 'G', 'N', 'E', 'D', '\0', /* DCC_PIPE_ALIGNED (90731) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'N', 'T', '0', '_', 'L', 'O', '\0', /* NUM_PRIM_WRITTEN_CNT0_LO (90748) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'N', 'T', '0', '_', 'H', 'I', '\0', /* NUM_PRIM_WRITTEN_CNT0_HI (90773) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'N', 'T', '0', '_', 'L', 'O', '\0', /* NUM_PRIM_NEEDED_CNT0_LO (90798) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'N', 'T', '0', '_', 'H', 'I', '\0', /* NUM_PRIM_NEEDED_CNT0_HI (90822) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'N', 'T', '1', '_', 'L', 'O', '\0', /* NUM_PRIM_WRITTEN_CNT1_LO (90846) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'N', 'T', '1', '_', 'H', 'I', '\0', /* NUM_PRIM_WRITTEN_CNT1_HI (90871) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'N', 'T', '1', '_', 'L', 'O', '\0', /* NUM_PRIM_NEEDED_CNT1_LO (90896) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'N', 'T', '1', '_', 'H', 'I', '\0', /* NUM_PRIM_NEEDED_CNT1_HI (90920) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'N', 'T', '2', '_', 'L', 'O', '\0', /* NUM_PRIM_WRITTEN_CNT2_LO (90944) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'N', 'T', '2', '_', 'H', 'I', '\0', /* NUM_PRIM_WRITTEN_CNT2_HI (90969) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'N', 'T', '2', '_', 'L', 'O', '\0', /* NUM_PRIM_NEEDED_CNT2_LO (90994) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'N', 'T', '2', '_', 'H', 'I', '\0', /* NUM_PRIM_NEEDED_CNT2_HI (91018) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'N', 'T', '3', '_', 'L', 'O', '\0', /* NUM_PRIM_WRITTEN_CNT3_LO (91042) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'W', 'R', 'I', 'T', 'T', 'E', 'N', '_', 'C', 'N', 'T', '3', '_', 'H', 'I', '\0', /* NUM_PRIM_WRITTEN_CNT3_HI (91067) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'N', 'T', '3', '_', 'L', 'O', '\0', /* NUM_PRIM_NEEDED_CNT3_LO (91092) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'N', 'E', 'E', 'D', 'E', 'D', '_', 'C', 'N', 'T', '3', '_', 'H', 'I', '\0', /* NUM_PRIM_NEEDED_CNT3_HI (91116) */
	'O', 'B', 'S', 'O', 'L', 'E', 'T', 'E', '\0', /* OBSOLETE (91140) */
	'D', 'O', 'O', 'R', 'B', 'E', 'L', 'L', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* DOORBELL_OFFSET (91149) */
	'C', 'A', 'C', 'H', 'E', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* CACHE_POLICY (91165) */
	'O', 'F', 'F', 'S', 'E', 'T', '_', 'U', 'P', 'D', 'A', 'T', 'E', '_', 'D', 'O', 'N', 'E', '\0', /* OFFSET_UPDATE_DONE (91178) */
	'L', 'A', 'S', 'T', '_', 'F', 'E', 'N', 'C', 'E', '\0', /* LAST_FENCE (91197) */
	'O', 'B', 'S', 'O', 'L', 'E', 'T', 'E', '_', 'U', 'M', 'S', 'K', '\0', /* OBSOLETE_UMSK (91208) */
	'O', 'B', 'S', 'O', 'L', 'E', 'T', 'E', '_', 'S', 'W', 'A', 'P', '\0', /* OBSOLETE_SWAP (91222) */
	'O', 'B', 'S', 'O', 'L', 'E', 'T', 'E', '_', 'A', 'D', 'D', 'R', '\0', /* OBSOLETE_ADDR (91236) */
	'M', 'E', 'M', '_', 'A', 'D', 'D', 'R', '_', 'L', 'O', '\0', /* MEM_ADDR_LO (91250) */
	'M', 'E', 'M', '_', 'A', 'D', 'D', 'R', '_', 'H', 'I', '\0', /* MEM_ADDR_HI (91262) */
	'C', 'S', '_', 'P', 'S', '_', 'S', 'E', 'L', '\0', /* CS_PS_SEL (91274) */
	'S', 'E', 'M', '_', 'A', 'D', 'D', 'R', '_', 'S', 'W', 'A', 'P', '\0', /* SEM_ADDR_SWAP (91284, 91288) */
	'S', 'E', 'M', '_', 'U', 'S', 'E', '_', 'M', 'A', 'I', 'L', 'B', 'O', 'X', '\0', /* SEM_USE_MAILBOX (91298) */
	'S', 'E', 'M', '_', 'S', 'I', 'G', 'N', 'A', 'L', '_', 'T', 'Y', 'P', 'E', '\0', /* SEM_SIGNAL_TYPE (91314) */
	'S', 'E', 'M', '_', 'C', 'L', 'I', 'E', 'N', 'T', '_', 'C', 'O', 'D', 'E', '\0', /* SEM_CLIENT_CODE (91330) */
	'S', 'E', 'M', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SEM_SELECT (91346) */
	'M', 'E', 'M', 'L', 'O', 'G', '_', 'C', 'L', 'E', 'A', 'R', '\0', /* MEMLOG_CLEAR (91357) */
	'S', 'R', 'C', '_', 'C', 'A', 'C', 'H', 'E', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* SRC_CACHE_POLICY (91370) */
	'S', 'R', 'C', '_', 'V', 'O', 'L', 'A', 'T', 'L', 'E', '\0', /* SRC_VOLATLE (91387) */
	'D', 'S', 'T', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* DST_SELECT (91399) */
	'D', 'S', 'T', '_', 'C', 'A', 'C', 'H', 'E', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* DST_CACHE_POLICY (91410) */
	'D', 'S', 'T', '_', 'V', 'O', 'L', 'A', 'T', 'L', 'E', '\0', /* DST_VOLATLE (91427) */
	'S', 'R', 'C', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* SRC_SELECT (91439) */
	'C', 'O', 'H', 'E', 'R', '_', 'B', 'A', 'S', 'E', '_', 'H', 'I', '_', '2', '5', '6', 'B', '\0', /* COHER_BASE_HI_256B (91450) */
	'S', 'T', 'A', 'R', 'T', '_', 'D', 'E', 'L', 'A', 'Y', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* START_DELAY_COUNT (91469) */
	'T', 'C', '_', 'N', 'C', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* TC_NC_ACTION_ENA (91487) */
	'T', 'C', '_', 'W', 'C', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* TC_WC_ACTION_ENA (91504) */
	'T', 'C', '_', 'I', 'N', 'V', '_', 'M', 'E', 'T', 'A', 'D', 'A', 'T', 'A', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* TC_INV_METADATA_ACTION_ENA (91521) */
	'T', 'C', 'L', '1', '_', 'V', 'O', 'L', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* TCL1_VOL_ACTION_ENA (91548) */
	'T', 'C', '_', 'W', 'B', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* TC_WB_ACTION_ENA (91568) */
	'T', 'C', 'L', '1', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* TCL1_ACTION_ENA (91585) */
	'T', 'C', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* TC_ACTION_ENA (91601) */
	'C', 'B', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* CB_ACTION_ENA (91615) */
	'D', 'B', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* DB_ACTION_ENA (91629) */
	'S', 'H', '_', 'K', 'C', 'A', 'C', 'H', 'E', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* SH_KCACHE_ACTION_ENA (91643) */
	'S', 'H', '_', 'K', 'C', 'A', 'C', 'H', 'E', '_', 'V', 'O', 'L', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* SH_KCACHE_VOL_ACTION_ENA (91664) */
	'S', 'H', '_', 'I', 'C', 'A', 'C', 'H', 'E', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* SH_ICACHE_ACTION_ENA (91689) */
	'S', 'H', '_', 'K', 'C', 'A', 'C', 'H', 'E', '_', 'W', 'B', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* SH_KCACHE_WB_ACTION_ENA (91710) */
	'C', 'O', 'H', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '_', '2', '5', '6', 'B', '\0', /* COHER_SIZE_256B (91734) */
	'C', 'O', 'H', 'E', 'R', '_', 'B', 'A', 'S', 'E', '_', '2', '5', '6', 'B', '\0', /* COHER_BASE_256B (91750) */
	'M', 'E', 'I', 'D', '\0', /* MEID (91766) */
	'B', 'Y', 'T', 'E', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* BYTE_COUNT (91771) */
	'S', 'A', 'S', '\0', /* SAS (91782) */
	'D', 'A', 'S', '\0', /* DAS (91786) */
	'S', 'A', 'I', 'C', '\0', /* SAIC (91790) */
	'D', 'A', 'I', 'C', '\0', /* DAIC (91795) */
	'R', 'A', 'W', '_', 'W', 'A', 'I', 'T', '\0', /* RAW_WAIT (91800) */
	'D', 'I', 'S', '_', 'W', 'C', '\0', /* DIS_WC (91809) */
	'U', 'T', 'C', 'L', '1', '_', 'F', 'A', 'U', 'L', 'T', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* UTCL1_FAULT_CONTROL (91816) */
	'W', 'A', 'T', 'C', 'H', '_', 'C', 'O', 'N', 'T', 'R', 'O', 'L', '\0', /* WATCH_CONTROL (91836) */
	'M', 'I', 'N', '_', 'A', 'V', 'A', 'I', 'L', 'S', 'Z', '\0', /* MIN_AVAILSZ (91850) */
	'B', 'U', 'F', 'F', 'E', 'R', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* BUFFER_DEPTH (91862) */
	'P', 'I', 'O', '_', 'F', 'I', 'F', 'O', '_', 'E', 'M', 'P', 'T', 'Y', '\0', /* PIO_FIFO_EMPTY (91875) */
	'P', 'I', 'O', '_', 'F', 'I', 'F', 'O', '_', 'F', 'U', 'L', 'L', '\0', /* PIO_FIFO_FULL (91890) */
	'P', 'I', 'O', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* PIO_COUNT (91904) */
	'D', 'M', 'A', '_', 'R', 'E', 'A', 'D', '_', 'T', 'A', 'G', '\0', /* DMA_READ_TAG (91914) */
	'D', 'M', 'A', '_', 'R', 'E', 'A', 'D', '_', 'T', 'A', 'G', '_', 'V', 'A', 'L', 'I', 'D', '\0', /* DMA_READ_TAG_VALID (91927) */
	'C', 'O', 'H', 'E', 'R', '_', 'S', 'I', 'Z', 'E', '_', 'H', 'I', '_', '2', '5', '6', 'B', '\0', /* COHER_SIZE_HI_256B (91946) */
	'I', 'B', '_', 'E', 'N', '\0', /* IB_EN (91965) */
	'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'E', 'G', '_', 'E', 'N', '\0', /* CONFIG_REG_EN (91971) */
	'C', 'N', 'T', 'X', '_', 'R', 'E', 'G', '_', 'E', 'N', '\0', /* CNTX_REG_EN (91985) */
	'S', 'H', '_', 'G', 'F', 'X', '_', 'R', 'E', 'G', '_', 'E', 'N', '\0', /* SH_GFX_REG_EN (91997) */
	'S', 'H', '_', 'C', 'S', '_', 'R', 'E', 'G', '_', 'E', 'N', '\0', /* SH_CS_REG_EN (92011) */
	'C', 'O', 'N', 'S', 'T', '_', 'E', 'N', 'G', 'I', 'N', 'E', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* CONST_ENGINE_COUNT (92024) */
	'R', 'S', 'V', 'D', '\0', /* RSVD (92043) */
	'I', 'N', 'I', 'T', '_', 'C', 'M', 'D', '_', 'R', 'E', 'Q', 'S', 'Z', '\0', /* INIT_CMD_REQSZ (92048) */
	'I', 'B', '1', '_', 'C', 'M', 'D', '_', 'R', 'E', 'Q', 'S', 'Z', '\0', /* IB1_CMD_REQSZ (92063) */
	'I', 'B', '2', '_', 'C', 'M', 'D', '_', 'R', 'E', 'Q', 'S', 'Z', '\0', /* IB2_CMD_REQSZ (92077) */
	'S', 'T', '_', 'C', 'M', 'D', '_', 'R', 'E', 'Q', 'S', 'Z', '\0', /* ST_CMD_REQSZ (92091) */
	'E', 'O', 'P', '_', 'V', 'O', 'L', 'A', 'T', 'I', 'L', 'E', '\0', /* EOP_VOLATILE (92104) */
	'E', 'X', 'E', 'C', 'U', 'T', 'E', '\0', /* EXECUTE (92117) */
	'D', 'S', 'T', '_', 'S', 'E', 'L', '\0', /* DST_SEL (92125) */
	'I', 'N', 'T', '_', 'S', 'E', 'L', '\0', /* INT_SEL (92133) */
	'D', 'A', 'T', 'A', '_', 'S', 'E', 'L', '\0', /* DATA_SEL (92141) */
	'D', 'B', '_', 'C', 'M', 'D', '_', 'R', 'E', 'Q', 'S', 'Z', '\0', /* DB_CMD_REQSZ (92150) */
	'Z', '_', 'P', 'A', 'S', 'S', '_', 'A', 'C', 'I', 'T', 'V', 'E', '\0', /* Z_PASS_ACITVE (92163) */
	'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', '_', 'A', 'C', 'T', 'I', 'V', 'E', '\0', /* STREAMOUT_ACTIVE (92177) */
	'P', 'I', 'P', 'E', 'L', 'I', 'N', 'E', '_', 'A', 'C', 'T', 'I', 'V', 'E', '\0', /* PIPELINE_ACTIVE (92194) */
	'S', 'T', 'I', 'P', 'P', 'L', 'E', '_', 'A', 'C', 'T', 'I', 'V', 'E', '\0', /* STIPPLE_ACTIVE (92210) */
	'V', 'G', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', 'S', '_', 'A', 'C', 'T', 'I', 'V', 'E', '\0', /* VGT_BUFFERS_ACTIVE (92225) */
	'S', 'C', 'R', 'E', 'E', 'N', '_', 'E', 'X', 'T', '_', 'A', 'C', 'T', 'I', 'V', 'E', '\0', /* SCREEN_EXT_ACTIVE (92244) */
	'D', 'R', 'A', 'W', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '_', 'A', 'C', 'T', 'I', 'V', 'E', '\0', /* DRAW_INDIRECT_ACTIVE (92262) */
	'D', 'I', 'S', 'P', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '_', 'A', 'C', 'T', 'I', 'V', 'E', '\0', /* DISP_INDIRECT_ACTIVE (92283) */
	'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', '0', '_', 'E', 'N', 'A', '\0', /* DEST_BASE_0_ENA (92304) */
	'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', '1', '_', 'E', 'N', 'A', '\0', /* DEST_BASE_1_ENA (92320) */
	'C', 'B', '0', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'E', 'N', 'A', '\0', /* CB0_DEST_BASE_ENA (92336) */
	'C', 'B', '1', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'E', 'N', 'A', '\0', /* CB1_DEST_BASE_ENA (92354) */
	'C', 'B', '2', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'E', 'N', 'A', '\0', /* CB2_DEST_BASE_ENA (92372) */
	'C', 'B', '3', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'E', 'N', 'A', '\0', /* CB3_DEST_BASE_ENA (92390) */
	'C', 'B', '4', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'E', 'N', 'A', '\0', /* CB4_DEST_BASE_ENA (92408) */
	'C', 'B', '5', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'E', 'N', 'A', '\0', /* CB5_DEST_BASE_ENA (92426) */
	'C', 'B', '6', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'E', 'N', 'A', '\0', /* CB6_DEST_BASE_ENA (92444) */
	'C', 'B', '7', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'E', 'N', 'A', '\0', /* CB7_DEST_BASE_ENA (92462) */
	'D', 'B', '_', 'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', 'E', 'N', 'A', '\0', /* DB_DEST_BASE_ENA (92480) */
	'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', '2', '_', 'E', 'N', 'A', '\0', /* DEST_BASE_2_ENA (92497) */
	'D', 'E', 'S', 'T', '_', 'B', 'A', 'S', 'E', '_', '3', '_', 'E', 'N', 'A', '\0', /* DEST_BASE_3_ENA (92513) */
	'M', 'A', 'T', 'C', 'H', 'I', 'N', 'G', '_', 'G', 'F', 'X', '_', 'C', 'N', 'T', 'X', '\0', /* MATCHING_GFX_CNTX (92529) */
	'F', 'E', 'A', 'T', 'U', 'R', 'E', '_', 'S', 'E', 'L', '\0', /* FEATURE_SEL (92547) */
	'S', 'E', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* SE_INDEX (92559) */
	'S', 'A', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* SA_INDEX (92568) */
	'W', 'G', 'P', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* WGP_INDEX (92577) */
	'E', 'V', 'E', 'N', 'T', '_', 'S', 'E', 'L', '\0', /* EVENT_SEL (92587) */
	'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* INSTANCE_INDEX (92597) */
	'S', 'A', '_', 'B', 'R', 'O', 'A', 'D', 'C', 'A', 'S', 'T', '_', 'W', 'R', 'I', 'T', 'E', 'S', '\0', /* SA_BROADCAST_WRITES (92612) */
	'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', '_', 'B', 'R', 'O', 'A', 'D', 'C', 'A', 'S', 'T', '_', 'W', 'R', 'I', 'T', 'E', 'S', '\0', /* INSTANCE_BROADCAST_WRITES (92632) */
	'S', 'E', '_', 'B', 'R', 'O', 'A', 'D', 'C', 'A', 'S', 'T', '_', 'W', 'R', 'I', 'T', 'E', 'S', '\0', /* SE_BROADCAST_WRITES (92658) */
	'M', 'E', 'M', '_', 'S', 'I', 'Z', 'E', '\0', /* MEM_SIZE (92678) */
	'O', 'F', 'F', 'C', 'H', 'I', 'P', '_', 'B', 'U', 'F', 'F', 'E', 'R', 'I', 'N', 'G', '\0', /* OFFCHIP_BUFFERING (92687) */
	'X', '_', '8', 'K', '_', 'D', 'W', 'O', 'R', 'D', 'S', '\0', /* X_8K_DWORDS (92705) */
	'X', '_', '4', 'K', '_', 'D', 'W', 'O', 'R', 'D', 'S', '\0', /* X_4K_DWORDS (92717) */
	'X', '_', '2', 'K', '_', 'D', 'W', 'O', 'R', 'D', 'S', '\0', /* X_2K_DWORDS (92729) */
	'X', '_', '1', 'K', '_', 'D', 'W', 'O', 'R', 'D', 'S', '\0', /* X_1K_DWORDS (92741) */
	'O', 'F', 'F', 'C', 'H', 'I', 'P', '_', 'G', 'R', 'A', 'N', 'U', 'L', 'A', 'R', 'I', 'T', 'Y', '\0', /* OFFCHIP_GRANULARITY (92753) */
	'E', 'N', '_', 'I', 'N', 'S', 'T', '_', 'O', 'P', 'T', '_', 'B', 'A', 'S', 'I', 'C', '\0', /* EN_INST_OPT_BASIC (92773) */
	'E', 'N', '_', 'I', 'N', 'S', 'T', '_', 'O', 'P', 'T', '_', 'A', 'D', 'V', '\0', /* EN_INST_OPT_ADV (92791) */
	'H', 'W', '_', 'U', 'S', 'E', '_', 'O', 'N', 'L', 'Y', '\0', /* HW_USE_ONLY (92807) */
	'P', 'R', 'I', 'M', '_', 'G', 'R', 'P', '_', 'S', 'I', 'Z', 'E', '\0', /* PRIM_GRP_SIZE (92819) */
	'V', 'E', 'R', 'T', '_', 'G', 'R', 'P', '_', 'S', 'I', 'Z', 'E', '\0', /* VERT_GRP_SIZE (92833) */
	'B', 'R', 'E', 'A', 'K', '_', 'W', 'A', 'V', 'E', '_', 'A', 'T', '_', 'E', 'O', 'I', '\0', /* BREAK_WAVE_AT_EOI (92847) */
	'P', 'A', 'C', 'K', 'E', 'T', '_', 'T', 'O', '_', 'O', 'N', 'E', '_', 'P', 'A', '\0', /* PACKET_TO_ONE_PA (92865) */
	'R', 'T', '_', 'S', 'L', 'I', 'C', 'E', '\0', /* RT_SLICE (92882) */
	'V', 'I', 'E', 'W', 'P', 'O', 'R', 'T', '\0', /* VIEWPORT (92891) */
	'E', 'N', '_', 'S', 'T', 'E', 'R', 'E', 'O', '\0', /* EN_STEREO (92900) */
	'O', 'V', 'E', 'R', 'S', 'U', 'B', '_', 'E', 'N', '\0', /* OVERSUB_EN (92910) */
	'N', 'U', 'M', '_', 'P', 'C', '_', 'L', 'I', 'N', 'E', 'S', '\0', /* NUM_PC_LINES (92921) */
	'E', 'N', '_', 'U', 'S', 'E', 'R', '_', 'V', 'G', 'P', 'R', '1', '\0', /* EN_USER_VGPR1 (92934) */
	'E', 'N', '_', 'U', 'S', 'E', 'R', '_', 'V', 'G', 'P', 'R', '2', '\0', /* EN_USER_VGPR2 (92948) */
	'E', 'N', '_', 'U', 'S', 'E', 'R', '_', 'V', 'G', 'P', 'R', '3', '\0', /* EN_USER_VGPR3 (92962) */
	'C', 'U', 'R', 'R', 'E', 'N', 'T', '_', 'P', 'T', 'R', '\0', /* CURRENT_PTR (92976) */
	'C', 'U', 'R', 'R', 'E', 'N', 'T', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* CURRENT_COUNT (92988) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'H', 'V', '_', 'P', 'R', 'E', '_', 'S', 'H', 'A', 'D', 'E', 'R', '\0', /* ENABLE_HV_PRE_SHADER (93002) */
	'F', 'O', 'R', 'C', 'E', '_', 'P', 'R', 'E', '_', 'S', 'H', 'A', 'D', 'E', 'R', '_', 'A', 'L', 'L', '_', 'P', 'I', 'X', 'E', 'L', 'S', '\0', /* FORCE_PRE_SHADER_ALL_PIXELS (93023) */
	'X', '_', 'C', 'O', 'O', 'R', 'D', '\0', /* X_COORD (93051) */
	'Y', '_', 'C', 'O', 'O', 'R', 'D', '\0', /* Y_COORD (93059) */
	'T', 'A', 'R', 'G', 'E', 'T', '_', 'I', 'N', 'S', 'T', '\0', /* TARGET_INST (93067) */
	'T', 'A', 'R', 'G', 'E', 'T', '_', 'D', 'A', 'T', 'A', '\0', /* TARGET_DATA (93079) */
	'I', 'N', 'V', 'A', 'L', 'I', 'D', 'A', 'T', 'E', '\0', /* INVALIDATE (93091) */
	'L', '2', '_', 'W', 'B', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '\0', /* L2_WB_POLICY (93102) */
	'D', 'W', 'B', '\0', /* DWB (93115) */
	'R', 'E', 'A', 'D', '_', 'A', 'D', 'D', 'R', '\0', /* READ_ADDR (93119) */
	'R', 'E', 'A', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* READ_DATA (93129) */
	'W', 'R', 'I', 'T', 'E', '_', 'A', 'D', 'D', 'R', '\0', /* WRITE_ADDR (93139) */
	'A', 'I', 'N', 'C', '\0', /* AINC (93150) */
	'U', 'N', 'U', 'S', 'E', 'D', '1', '\0', /* UNUSED1 (93155) */
	'D', 'M', 'O', 'D', 'E', '\0', /* DMODE (93163) */
	'U', 'N', 'U', 'S', 'E', 'D', '2', '\0', /* UNUSED2 (93169) */
	'R', 'E', 'L', 'E', 'A', 'S', 'E', '_', 'A', 'L', 'L', '\0', /* RELEASE_ALL (93177) */
	'H', 'E', 'A', 'D', '_', 'Q', 'U', 'E', 'U', 'E', '\0', /* HEAD_QUEUE (93189) */
	'H', 'E', 'A', 'D', '_', 'V', 'A', 'L', 'I', 'D', '\0', /* HEAD_VALID (93200) */
	'H', 'E', 'A', 'D', '_', 'F', 'L', 'A', 'G', '\0', /* HEAD_FLAG (93211) */
	'H', 'A', 'L', 'T', 'E', 'D', '\0', /* HALTED (93221) */
	'S', 'P', 'A', 'C', 'E', '_', 'A', 'V', 'A', 'I', 'L', 'A', 'B', 'L', 'E', '\0', /* SPACE_AVAILABLE (93228) */
	'D', 'S', '_', 'A', 'D', 'D', 'R', 'E', 'S', 'S', '\0', /* DS_ADDRESS (93244) */
	'C', 'R', 'A', 'W', 'L', 'E', 'R', '_', 'T', 'Y', 'P', 'E', '\0', /* CRAWLER_TYPE (93255) */
	'C', 'R', 'A', 'W', 'L', 'E', 'R', '\0', /* CRAWLER (93268) */
	'N', 'O', '_', 'A', 'L', 'L', 'O', 'C', '\0', /* NO_ALLOC (93276) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'V', 'A', 'L', 'U', 'E', '\0', /* COMPARE_VALUE (93285) */
	'P', 'E', 'R', 'F', '_', 'S', 'E', 'L', '\0', /* PERF_SEL (93299) */
	'P', 'E', 'R', 'F', '_', 'S', 'E', 'L', '1', '\0', /* PERF_SEL1 (93308) */
	'S', 'P', 'M', '_', 'M', 'O', 'D', 'E', '\0', /* SPM_MODE (93318) */
	'C', 'N', 'T', 'R', '_', 'M', 'O', 'D', 'E', '1', '\0', /* CNTR_MODE1 (93327) */
	'C', 'N', 'T', 'R', '_', 'M', 'O', 'D', 'E', '0', '\0', /* CNTR_MODE0 (93338) */
	'P', 'E', 'R', 'F', '_', 'S', 'E', 'L', '2', '\0', /* PERF_SEL2 (93349) */
	'P', 'E', 'R', 'F', '_', 'S', 'E', 'L', '3', '\0', /* PERF_SEL3 (93359) */
	'C', 'N', 'T', 'R', '_', 'M', 'O', 'D', 'E', '3', '\0', /* CNTR_MODE3 (93369) */
	'C', 'N', 'T', 'R', '_', 'M', 'O', 'D', 'E', '2', '\0', /* CNTR_MODE2 (93380) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'A', 'N', 'D', '_', 'R', 'E', 'S', 'E', 'T', '\0', /* CP_PERFMON_STATE_DISABLE_AND_RESET (93391) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'S', 'T', 'A', 'R', 'T', '_', 'C', 'O', 'U', 'N', 'T', 'I', 'N', 'G', '\0', /* CP_PERFMON_STATE_START_COUNTING (93426) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'S', 'T', 'O', 'P', '_', 'C', 'O', 'U', 'N', 'T', 'I', 'N', 'G', '\0', /* CP_PERFMON_STATE_STOP_COUNTING (93458) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '3', '\0', /* CP_PERFMON_STATE_RESERVED_3 (93489, 93506) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'A', 'N', 'D', '_', 'R', 'E', 'S', 'E', 'T', '_', 'P', 'H', 'A', 'N', 'T', 'O', 'M', '\0', /* CP_PERFMON_STATE_DISABLE_AND_RESET_PHANTOM (93517) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'C', 'O', 'U', 'N', 'T', '_', 'A', 'N', 'D', '_', 'D', 'U', 'M', 'P', '_', 'P', 'H', 'A', 'N', 'T', 'O', 'M', '\0', /* CP_PERFMON_STATE_COUNT_AND_DUMP_PHANTOM (93560) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '\0', /* PERFMON_STATE (93600) */
	'S', 'T', 'R', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'A', 'N', 'D', '_', 'R', 'E', 'S', 'E', 'T', '\0', /* STRM_PERFMON_STATE_DISABLE_AND_RESET (93614) */
	'S', 'T', 'R', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'S', 'T', 'A', 'R', 'T', '_', 'C', 'O', 'U', 'N', 'T', 'I', 'N', 'G', '\0', /* STRM_PERFMON_STATE_START_COUNTING (93651) */
	'S', 'T', 'R', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'S', 'T', 'O', 'P', '_', 'C', 'O', 'U', 'N', 'T', 'I', 'N', 'G', '\0', /* STRM_PERFMON_STATE_STOP_COUNTING (93685) */
	'S', 'T', 'R', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '3', '\0', /* STRM_PERFMON_STATE_RESERVED_3 (93718) */
	'S', 'T', 'R', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'A', 'N', 'D', '_', 'R', 'E', 'S', 'E', 'T', '_', 'P', 'H', 'A', 'N', 'T', 'O', 'M', '\0', /* STRM_PERFMON_STATE_DISABLE_AND_RESET_PHANTOM (93748) */
	'S', 'T', 'R', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '_', 'C', 'O', 'U', 'N', 'T', '_', 'A', 'N', 'D', '_', 'D', 'U', 'M', 'P', '_', 'P', 'H', 'A', 'N', 'T', 'O', 'M', '\0', /* STRM_PERFMON_STATE_COUNT_AND_DUMP_PHANTOM (93793) */
	'S', 'P', 'M', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'T', 'A', 'T', 'E', '\0', /* SPM_PERFMON_STATE (93835) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'M', 'O', 'D', 'E', '_', 'A', 'L', 'W', 'A', 'Y', 'S', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* CP_PERFMON_ENABLE_MODE_ALWAYS_COUNT (93853) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'M', 'O', 'D', 'E', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '\0', /* CP_PERFMON_ENABLE_MODE_RESERVED_1 (93889) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'M', 'O', 'D', 'E', '_', 'C', 'O', 'U', 'N', 'T', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'T', 'R', 'U', 'E', '\0', /* CP_PERFMON_ENABLE_MODE_COUNT_CONTEXT_TRUE (93923) */
	'C', 'P', '_', 'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'M', 'O', 'D', 'E', '_', 'C', 'O', 'U', 'N', 'T', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'F', 'A', 'L', 'S', 'E', '\0', /* CP_PERFMON_ENABLE_MODE_COUNT_CONTEXT_FALSE (93965) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'E', 'N', 'A', 'B', 'L', 'E', '_', 'M', 'O', 'D', 'E', '\0', /* PERFMON_ENABLE_MODE (94008) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* PERFMON_SAMPLE_ENABLE (94028) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'D', 'R', 'A', 'W', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'L', 'O', '_', 'M', 'A', 'X', '\0', /* DISABLE_DRAW_WINDOW_LO_MAX (94050) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'D', 'R', 'A', 'W', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'L', 'O', '_', 'M', 'I', 'N', '\0', /* DISABLE_DRAW_WINDOW_LO_MIN (94077) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'D', 'R', 'A', 'W', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'H', 'I', '\0', /* DISABLE_DRAW_WINDOW_HI (94104) */
	'D', 'B', '_', 'C', 'L', 'E', 'A', 'N', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* DB_CLEAN_USER_DEFINED_MASK (94127) */
	'C', 'B', '_', 'C', 'L', 'E', 'A', 'N', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* CB_CLEAN_USER_DEFINED_MASK (94154) */
	'T', 'A', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* TA_BUSY_USER_DEFINED_MASK (94181) */
	'S', 'X', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* SX_BUSY_USER_DEFINED_MASK (94207) */
	'S', 'P', 'I', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* SPI_BUSY_USER_DEFINED_MASK (94233) */
	'S', 'C', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* SC_BUSY_USER_DEFINED_MASK (94260) */
	'P', 'A', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* PA_BUSY_USER_DEFINED_MASK (94286) */
	'G', 'R', 'B', 'M', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* GRBM_BUSY_USER_DEFINED_MASK (94312) */
	'D', 'B', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* DB_BUSY_USER_DEFINED_MASK (94340) */
	'C', 'B', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* CB_BUSY_USER_DEFINED_MASK (94366) */
	'C', 'P', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* CP_BUSY_USER_DEFINED_MASK (94392) */
	'G', 'D', 'S', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* GDS_BUSY_USER_DEFINED_MASK (94418) */
	'B', 'C', 'I', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* BCI_BUSY_USER_DEFINED_MASK (94445) */
	'R', 'L', 'C', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* RLC_BUSY_USER_DEFINED_MASK (94472) */
	'T', 'C', 'P', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* TCP_BUSY_USER_DEFINED_MASK (94499) */
	'G', 'E', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* GE_BUSY_USER_DEFINED_MASK (94526) */
	'U', 'T', 'C', 'L', '2', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* UTCL2_BUSY_USER_DEFINED_MASK (94552) */
	'E', 'A', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* EA_BUSY_USER_DEFINED_MASK (94581) */
	'R', 'M', 'I', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* RMI_BUSY_USER_DEFINED_MASK (94607) */
	'U', 'T', 'C', 'L', '1', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* UTCL1_BUSY_USER_DEFINED_MASK (94634) */
	'G', 'L', '1', 'C', 'C', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* GL1CC_BUSY_USER_DEFINED_MASK (94663) */
	'G', 'L', '2', 'C', 'C', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* GL2CC_BUSY_USER_DEFINED_MASK (94692) */
	'S', 'D', 'M', 'A', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* SDMA_BUSY_USER_DEFINED_MASK (94721) */
	'C', 'H', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* CH_BUSY_USER_DEFINED_MASK (94749) */
	'P', 'H', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* PH_BUSY_USER_DEFINED_MASK (94775) */
	'P', 'M', 'M', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* PMM_BUSY_USER_DEFINED_MASK (94801) */
	'G', 'U', 'S', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* GUS_BUSY_USER_DEFINED_MASK (94828) */
	'P', 'E', 'R', 'F', '_', 'S', 'E', 'L', '0', '\0', /* PERF_SEL0 (94855) */
	'C', 'N', 'T', 'R', '_', 'M', 'O', 'D', 'E', '\0', /* CNTR_MODE (94865) */
	'P', 'E', 'R', 'F', '_', 'M', 'O', 'D', 'E', '0', '\0', /* PERF_MODE0 (94875) */
	'P', 'E', 'R', 'F', '_', 'M', 'O', 'D', 'E', '1', '\0', /* PERF_MODE1 (94886) */
	'P', 'E', 'R', 'F', '_', 'M', 'O', 'D', 'E', '2', '\0', /* PERF_MODE2 (94897) */
	'P', 'E', 'R', 'F', '_', 'M', 'O', 'D', 'E', '3', '\0', /* PERF_MODE3 (94908) */
	'P', 'E', 'R', 'F', '_', 'M', 'O', 'D', 'E', '\0', /* PERF_MODE (94919) */
	'B', 'I', 'N', '0', '_', 'M', 'I', 'N', '\0', /* BIN0_MIN (94929) */
	'B', 'I', 'N', '0', '_', 'M', 'A', 'X', '\0', /* BIN0_MAX (94938) */
	'B', 'I', 'N', '1', '_', 'M', 'I', 'N', '\0', /* BIN1_MIN (94947) */
	'B', 'I', 'N', '1', '_', 'M', 'A', 'X', '\0', /* BIN1_MAX (94956) */
	'B', 'I', 'N', '2', '_', 'M', 'I', 'N', '\0', /* BIN2_MIN (94965) */
	'B', 'I', 'N', '2', '_', 'M', 'A', 'X', '\0', /* BIN2_MAX (94974) */
	'B', 'I', 'N', '3', '_', 'M', 'I', 'N', '\0', /* BIN3_MIN (94983) */
	'B', 'I', 'N', '3', '_', 'M', 'A', 'X', '\0', /* BIN3_MAX (94992) */
	'S', 'Q', 'C', '_', 'B', 'A', 'N', 'K', '_', 'M', 'A', 'S', 'K', '\0', /* SQC_BANK_MASK (95001) */
	'C', 'S', '_', 'E', 'N', '\0', /* CS_EN (95015) */
	'C', 'N', 'T', 'R', '_', 'R', 'A', 'T', 'E', '\0', /* CNTR_RATE (95021) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* DISABLE_FLUSH (95031) */
	'F', 'O', 'R', 'C', 'E', '_', 'E', 'N', '\0', /* FORCE_EN (95045) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'M', 'O', 'D', 'E', '0', '\0', /* COMPARE_MODE0 (95054) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'M', 'O', 'D', 'E', '1', '\0', /* COMPARE_MODE1 (95068) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'M', 'O', 'D', 'E', '2', '\0', /* COMPARE_MODE2 (95082) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'M', 'O', 'D', 'E', '3', '\0', /* COMPARE_MODE3 (95096) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'V', 'A', 'L', 'U', 'E', '0', '\0', /* COMPARE_VALUE0 (95110) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'V', 'A', 'L', 'U', 'E', '1', '\0', /* COMPARE_VALUE1 (95125) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'V', 'A', 'L', 'U', 'E', '2', '\0', /* COMPARE_VALUE2 (95140) */
	'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'V', 'A', 'L', 'U', 'E', '3', '\0', /* COMPARE_VALUE3 (95155) */
	'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '1', '\0', /* PERFCOUNTER_SELECT1 (95170) */
	'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '2', '\0', /* PERFCOUNTER_SELECT2 (95190) */
	'P', 'E', 'R', 'F', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '3', '\0', /* PERFCOUNTER_SELECT3 (95210) */
	'O', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* OP_FILTER_ENABLE (95230) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', '_', 'O', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '_', 'W', 'R', 'I', 'T', 'E', '_', 'O', 'N', 'L', 'Y', '\0', /* CB_PERF_OP_FILTER_SEL_WRITE_ONLY (95247) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', '_', 'O', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '_', 'N', 'E', 'E', 'D', 'S', '_', 'D', 'E', 'S', 'T', 'I', 'N', 'A', 'T', 'I', 'O', 'N', '\0', /* CB_PERF_OP_FILTER_SEL_NEEDS_DESTINATION (95280) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', '_', 'O', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '_', 'R', 'E', 'S', 'O', 'L', 'V', 'E', '\0', /* CB_PERF_OP_FILTER_SEL_RESOLVE (95320) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', '_', 'O', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '_', 'D', 'E', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '\0', /* CB_PERF_OP_FILTER_SEL_DECOMPRESS (95350) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', '_', 'O', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '_', 'F', 'M', 'A', 'S', 'K', '_', 'D', 'E', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '\0', /* CB_PERF_OP_FILTER_SEL_FMASK_DECOMPRESS (95383) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', '_', 'O', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '_', 'E', 'L', 'I', 'M', 'I', 'N', 'A', 'T', 'E', '_', 'F', 'A', 'S', 'T', '_', 'C', 'L', 'E', 'A', 'R', '\0', /* CB_PERF_OP_FILTER_SEL_ELIMINATE_FAST_CLEAR (95422) */
	'O', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '\0', /* OP_FILTER_SEL (95465) */
	'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* FORMAT_FILTER_ENABLE (95479) */
	'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '\0', /* FORMAT_FILTER_SEL (95500) */
	'C', 'L', 'E', 'A', 'R', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* CLEAR_FILTER_ENABLE (95518) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', '_', 'C', 'L', 'E', 'A', 'R', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '_', 'N', 'O', 'N', 'C', 'L', 'E', 'A', 'R', '\0', /* CB_PERF_CLEAR_FILTER_SEL_NONCLEAR (95538) */
	'C', 'B', '_', 'P', 'E', 'R', 'F', '_', 'C', 'L', 'E', 'A', 'R', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '_', 'C', 'L', 'E', 'A', 'R', '\0', /* CB_PERF_CLEAR_FILTER_SEL_CLEAR (95572) */
	'C', 'L', 'E', 'A', 'R', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '\0', /* CLEAR_FILTER_SEL (95603) */
	'M', 'R', 'T', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* MRT_FILTER_ENABLE (95620) */
	'M', 'R', 'T', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '\0', /* MRT_FILTER_SEL (95638) */
	'N', 'U', 'M', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* NUM_SAMPLES_FILTER_ENABLE (95653) */
	'N', 'U', 'M', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'S', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '\0', /* NUM_SAMPLES_FILTER_SEL (95679) */
	'N', 'U', 'M', '_', 'F', 'R', 'A', 'G', 'M', 'E', 'N', 'T', 'S', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* NUM_FRAGMENTS_FILTER_ENABLE (95702) */
	'N', 'U', 'M', '_', 'F', 'R', 'A', 'G', 'M', 'E', 'N', 'T', 'S', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'S', 'E', 'L', '\0', /* NUM_FRAGMENTS_FILTER_SEL (95730) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'R', 'I', 'N', 'G', '_', 'M', 'O', 'D', 'E', '\0', /* PERFMON_RING_MODE (95755) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'I', 'N', 'T', 'E', 'R', 'V', 'A', 'L', '\0', /* PERFMON_SAMPLE_INTERVAL (95773) */
	'R', 'I', 'N', 'G', '_', 'B', 'A', 'S', 'E', '_', 'S', 'I', 'Z', 'E', '\0', /* RING_BASE_SIZE (95797) */
	'G', 'L', 'O', 'B', 'A', 'L', '_', 'N', 'U', 'M', '_', 'L', 'I', 'N', 'E', '\0', /* GLOBAL_NUM_LINE (95812) */
	'S', 'E', '0', '_', 'N', 'U', 'M', '_', 'L', 'I', 'N', 'E', '\0', /* SE0_NUM_LINE (95828) */
	'S', 'E', '1', '_', 'N', 'U', 'M', '_', 'L', 'I', 'N', 'E', '\0', /* SE1_NUM_LINE (95841) */
	'S', 'E', '2', '_', 'N', 'U', 'M', '_', 'L', 'I', 'N', 'E', '\0', /* SE2_NUM_LINE (95854) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'R', 'I', 'N', 'G', '_', 'R', 'D', 'P', 'T', 'R', '\0', /* PERFMON_RING_RDPTR (95867) */
	'N', 'U', 'M', '_', 'S', 'E', 'G', 'M', 'E', 'N', 'T', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '\0', /* NUM_SEGMENT_THRESHOLD (95886) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'E', 'L', '_', 'A', 'D', 'D', 'R', '\0', /* PERFMON_SEL_ADDR (95908) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'S', 'E', 'L', '_', 'D', 'A', 'T', 'A', '\0', /* PERFMON_SEL_DATA (95925) */
	'G', 'L', 'B', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'D', 'E', 'L', 'A', 'Y', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* GLB_SAMPLEDELAY_INDEX (95942) */
	'd', 'a', 't', 'a', '\0', /* data (95964) */
	'S', 'E', '_', 'S', 'A', 'M', 'P', 'L', 'E', 'D', 'E', 'L', 'A', 'Y', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* SE_SAMPLEDELAY_INDEX (95969) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'R', 'I', 'N', 'G', '_', 'W', 'R', 'P', 'T', 'R', '\0', /* PERFMON_RING_WRPTR (95990) */
	'a', 'd', 'd', 'r', '\0', /* addr (96009) */
	'N', 'u', 'm', 'b', 'S', 'a', 'm', 'p', 'l', 'e', 's', 'C', 'o', 'm', 'p', 'l', 'e', 't', 'e', 'd', '\0', /* NumbSamplesCompleted (96014) */
	'A', 'c', 'c', 'u', 'm', 'D', 'o', 'n', 'e', '\0', /* AccumDone (96035) */
	'S', 'p', 'm', 'D', 'o', 'n', 'e', '\0', /* SpmDone (96045) */
	'A', 'c', 'c', 'u', 'm', 'O', 'v', 'e', 'r', 'f', 'l', 'o', 'w', '\0', /* AccumOverflow (96053) */
	'A', 'c', 'c', 'u', 'm', 'A', 'r', 'm', 'e', 'd', '\0', /* AccumArmed (96067) */
	'S', 'e', 'q', 'u', 'e', 'n', 'c', 'e', 'I', 'n', 'P', 'r', 'o', 'g', 'r', 'e', 's', 's', '\0', /* SequenceInProgress (96078) */
	'F', 'i', 'n', 'a', 'l', 'S', 'e', 'q', 'u', 'e', 'n', 'c', 'e', 'I', 'n', 'P', 'r', 'o', 'g', 'r', 'e', 's', 's', '\0', /* FinalSequenceInProgress (96097) */
	'A', 'l', 'l', 'F', 'i', 'f', 'o', 's', 'E', 'm', 'p', 't', 'y', '\0', /* AllFifosEmpty (96121) */
	'F', 'S', 'M', 'I', 's', 'I', 'd', 'l', 'e', '\0', /* FSMIsIdle (96135) */
	'S', 't', 'r', 'o', 'b', 'e', 'R', 'e', 's', 'e', 't', 'P', 'e', 'r', 'f', 'M', 'o', 'n', 'i', 't', 'o', 'r', 's', '\0', /* StrobeResetPerfMonitors (96145) */
	'S', 't', 'r', 'o', 'b', 'e', 'S', 't', 'a', 'r', 't', 'A', 'c', 'c', 'u', 'm', 'u', 'l', 'a', 't', 'i', 'o', 'n', '\0', /* StrobeStartAccumulation (96169) */
	'S', 't', 'r', 'o', 'b', 'e', 'R', 'e', 'a', 'r', 'm', 'A', 'c', 'c', 'u', 'm', '\0', /* StrobeRearmAccum (96193) */
	'S', 't', 'r', 'o', 'b', 'e', 'S', 'p', 'm', 'D', 'o', 'n', 'e', 'I', 'n', 't', '\0', /* StrobeSpmDoneInt (96210) */
	'S', 't', 'r', 'o', 'b', 'e', 'A', 'c', 'c', 'u', 'm', 'D', 'o', 'n', 'e', 'I', 'n', 't', '\0', /* StrobeAccumDoneInt (96227) */
	'S', 't', 'r', 'o', 'b', 'e', 'R', 'e', 's', 'e', 't', 'A', 'c', 'c', 'u', 'm', '\0', /* StrobeResetAccum (96246) */
	'S', 't', 'r', 'o', 'b', 'e', 'S', 't', 'a', 'r', 't', 'S', 'p', 'm', '\0', /* StrobeStartSpm (96263) */
	'E', 'n', 'a', 'b', 'l', 'e', 'A', 'c', 'c', 'u', 'm', '\0', /* EnableAccum (96278) */
	'A', 'u', 't', 'o', 'A', 'c', 'c', 'u', 'm', 'E', 'n', '\0', /* AutoAccumEn (96290) */
	'A', 'u', 't', 'o', 'S', 'p', 'm', 'E', 'n', '\0', /* AutoSpmEn (96302) */
	'G', 'l', 'o', 'b', 'a', 'l', 's', '_', 'L', 'o', 'a', 'd', 'O', 'v', 'e', 'r', 'r', 'i', 'd', 'e', '\0', /* Globals_LoadOverride (96312) */
	'S', 'E', '0', '_', 'L', 'o', 'a', 'd', 'O', 'v', 'e', 'r', 'r', 'i', 'd', 'e', '\0', /* SE0_LoadOverride (96333) */
	'S', 'E', '1', '_', 'L', 'o', 'a', 'd', 'O', 'v', 'e', 'r', 'r', 'i', 'd', 'e', '\0', /* SE1_LoadOverride (96350) */
	'A', 'u', 't', 'o', 'R', 'e', 's', 'e', 't', 'P', 'e', 'r', 'f', 'm', 'o', 'n', 'D', 'i', 's', 'a', 'b', 'l', 'e', '\0', /* AutoResetPerfmonDisable (96367) */
	'T', 'h', 'r', 'e', 's', 'h', 'o', 'l', 'd', '\0', /* Threshold (96391) */
	'S', 'a', 'm', 'p', 'l', 'e', 's', 'R', 'e', 'q', 'u', 'e', 's', 't', 'e', 'd', '\0', /* SamplesRequested (96401) */
	'D', 'a', 't', 'a', 'R', 'a', 'm', 'W', 'r', 'C', 'o', 'u', 'n', 't', '\0', /* DataRamWrCount (96418) */
	'S', 'E', '3', '_', 'N', 'U', 'M', '_', 'L', 'I', 'N', 'E', '\0', /* SE3_NUM_LINE (96433) */
	'P', 'a', 'u', 's', 'e', 'S', 'p', 'm', 'S', 'a', 'm', 'p', 'l', 'i', 'n', 'g', 'R', 'e', 'q', 'u', 'e', 's', 't', '\0', /* PauseSpmSamplingRequest (96446) */
	'S', 'p', 'm', 'S', 'a', 'm', 'p', 'l', 'i', 'n', 'g', 'P', 'a', 'u', 's', 'e', 'd', '\0', /* SpmSamplingPaused (96470) */
	'M', 'O', 'D', 'E', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* MODE_SELECT (96488) */
	'V', 'F', 'I', 'D', '\0', /* VFID (96500) */
	'C', 'N', 'T', '_', 'I', 'D', '\0', /* CNT_ID (96505) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'C', 'L', 'O', 'C', 'K', '_', 'S', 'T', 'A', 'T', 'E', '\0', /* PERFMON_CLOCK_STATE (96512) */
	'T', 'R', 'A', 'N', 'S', '_', 'B', 'A', 'S', 'E', 'D', '_', 'P', 'E', 'R', 'F', '_', 'E', 'N', '_', 'S', 'E', 'L', '\0', /* TRANS_BASED_PERF_EN_SEL (96532) */
	'E', 'V', 'E', 'N', 'T', '_', 'B', 'A', 'S', 'E', 'D', '_', 'P', 'E', 'R', 'F', '_', 'E', 'N', '_', 'S', 'E', 'L', '\0', /* EVENT_BASED_PERF_EN_SEL (96556) */
	'T', 'C', '_', 'P', 'E', 'R', 'F', '_', 'E', 'N', '_', 'S', 'E', 'L', '\0', /* TC_PERF_EN_SEL (96580) */
	'P', 'E', 'R', 'F', '_', 'E', 'V', 'E', 'N', 'T', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'M', 'A', 'S', 'K', '0', '\0', /* PERF_EVENT_WINDOW_MASK0 (96595) */
	'P', 'E', 'R', 'F', '_', 'E', 'V', 'E', 'N', 'T', '_', 'W', 'I', 'N', 'D', 'O', 'W', '_', 'M', 'A', 'S', 'K', '1', '\0', /* PERF_EVENT_WINDOW_MASK1 (96619) */
	'P', 'E', 'R', 'F', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'C', 'I', 'D', '\0', /* PERF_COUNTER_CID (96643) */
	'P', 'E', 'R', 'F', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'V', 'M', 'I', 'D', '\0', /* PERF_COUNTER_VMID (96660) */
	'P', 'E', 'R', 'F', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'B', 'U', 'R', 'S', 'T', '_', 'L', 'E', 'N', 'G', 'T', 'H', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '\0', /* PERF_COUNTER_BURST_LENGTH_THRESHOLD (96678) */
	'P', 'E', 'R', 'F', '_', 'S', 'O', 'F', 'T', '_', 'R', 'E', 'S', 'E', 'T', '\0', /* PERF_SOFT_RESET (96714) */
	'P', 'E', 'R', 'F', '_', 'C', 'N', 'T', 'R', '_', 'S', 'P', 'M', '_', 'S', 'E', 'L', '\0', /* PERF_CNTR_SPM_SEL (96730) */
	'P', 'E', 'R', 'F', '_', 'S', 'E', 'L', '_', 'E', 'N', 'D', '\0', /* PERF_SEL_END (96748) */
	'P', 'E', 'R', 'F', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', '\0', /* PERF_COUNTER_SELECT (96761) */
	'S', 'T', 'A', 'R', 'T', '_', 'T', 'R', 'I', 'G', 'G', 'E', 'R', '\0', /* START_TRIGGER (96781) */
	'S', 'T', 'O', 'P', '_', 'T', 'R', 'I', 'G', 'G', 'E', 'R', '\0', /* STOP_TRIGGER (96795) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'A', 'N', 'Y', '\0', /* ENABLE_ANY (96808) */
	'C', 'L', 'E', 'A', 'R', '_', 'A', 'L', 'L', '\0', /* CLEAR_ALL (96819) */
	'S', 'T', 'O', 'P', '_', 'A', 'L', 'L', '_', 'O', 'N', '_', 'S', 'A', 'T', 'U', 'R', 'A', 'T', 'E', '\0', /* STOP_ALL_ON_SATURATE (96829) */
	'C', 'N', 'T', 'L', '_', 'M', 'O', 'D', 'E', '\0', /* CNTL_MODE (96850) */
	'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'M', 'O', 'D', 'E', '\0', /* COUNTER_MODE (96860) */
	'M', 'E', 'M', '_', 'M', 'A', 'P', 'P', 'E', 'D', '_', 'R', 'E', 'G', 'I', 'S', 'T', 'E', 'R', '\0', /* MEM_MAPPED_REGISTER (96873) */
	'M', 'E', 'M', '_', 'G', 'R', 'B', 'M', '\0', /* MEM_GRBM (96893) */
	'T', 'C', '_', 'L', '2', '\0', /* TC_L2 (96902) */
	'G', 'D', 'S', '\0', /* GDS (96908) */
	'W', 'R', '_', 'O', 'N', 'E', '_', 'A', 'D', 'D', 'R', '\0', /* WR_ONE_ADDR (96912) */
	'W', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'R', 'M', '\0', /* WR_CONFIRM (96924) */
	'P', 'F', 'P', '\0', /* PFP (96935) */
	'E', 'N', 'G', 'I', 'N', 'E', '_', 'S', 'E', 'L', '\0', /* ENGINE_SEL (96939) */
	'I', 'B', '_', 'S', 'I', 'Z', 'E', '\0', /* IB_SIZE (96950) */
	'C', 'H', 'A', 'I', 'N', '\0', /* CHAIN (96958) */
	'D', 'S', 'T', '_', 'A', 'D', 'D', 'R', '_', 'T', 'C', '_', 'L', '2', '\0', /* DST_ADDR_TC_L2 (96964) */
	'E', 'N', 'G', 'I', 'N', 'E', '\0', /* ENGINE (96979) */
	'S', 'R', 'C', '_', 'A', 'D', 'D', 'R', '_', 'T', 'C', '_', 'L', '2', '\0', /* SRC_ADDR_TC_L2 (96986) */
	'S', 'R', 'C', '_', 'S', 'E', 'L', '\0', /* SRC_SEL (97001) */
	'C', 'P', '_', 'S', 'Y', 'N', 'C', '\0', /* CP_SYNC (97009) */
	'M', 'E', 'M', 'O', 'R', 'Y', '\0', /* MEMORY (97017) */
	'I', 'N', 'C', 'R', 'E', 'M', 'E', 'N', 'T', '\0', /* INCREMENT (97024) */
	'N', 'O', '_', 'I', 'N', 'C', 'R', 'E', 'M', 'E', 'N', 'T', '\0', /* NO_INCREMENT (97034) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'W', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'R', 'M', '\0', /* DISABLE_WR_CONFIRM (97047) */
	'E', 'V', 'E', 'N', 'T', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* EVENT_INDEX (97066) */
	'G', 'L', 'M', '_', 'W', 'B', '\0', /* GLM_WB (97078) */
	'G', 'L', 'M', '_', 'I', 'N', 'V', '\0', /* GLM_INV (97085) */
	'G', 'L', 'V', '_', 'I', 'N', 'V', '\0', /* GLV_INV (97093) */
	'G', 'L', '1', '_', 'I', 'N', 'V', '\0', /* GL1_INV (97101) */
	'G', 'L', '2', '_', 'U', 'S', '\0', /* GL2_US (97109) */
	'G', 'L', '2', '_', 'A', 'L', 'L', '\0', /* GL2_ALL (97116) */
	'G', 'L', '2', '_', 'V', 'O', 'L', '\0', /* GL2_VOL (97124) */
	'G', 'L', '2', '_', 'R', 'A', 'N', 'G', 'E', '\0', /* GL2_RANGE (97132) */
	'G', 'L', '2', '_', 'F', 'I', 'R', 'S', 'T', '_', 'L', 'A', 'S', 'T', '\0', /* GL2_FIRST_LAST (97142) */
	'G', 'L', '2', '_', 'D', 'I', 'S', 'C', 'A', 'R', 'D', '\0', /* GL2_DISCARD (97157) */
	'G', 'L', '2', '_', 'I', 'N', 'V', '\0', /* GL2_INV (97169) */
	'G', 'L', '2', '_', 'W', 'B', '\0', /* GL2_WB (97177) */
	'S', 'E', 'Q', '_', 'P', 'A', 'R', 'A', 'L', 'L', 'E', 'L', '\0', /* SEQ_PARALLEL (97184) */
	'S', 'E', 'Q', '_', 'F', 'O', 'R', 'W', 'A', 'R', 'D', '\0', /* SEQ_FORWARD (97197) */
	'S', 'E', 'Q', '_', 'R', 'E', 'V', 'E', 'R', 'S', 'E', '\0', /* SEQ_REVERSE (97209) */
	'S', 'E', 'Q', '\0', /* SEQ (97221) */
	'G', 'L', 'I', '_', 'N', 'O', 'P', '\0', /* GLI_NOP (97225) */
	'G', 'L', 'I', '_', 'A', 'L', 'L', '\0', /* GLI_ALL (97233) */
	'G', 'L', 'I', '_', 'R', 'A', 'N', 'G', 'E', '\0', /* GLI_RANGE (97241) */
	'G', 'L', 'I', '_', 'F', 'I', 'R', 'S', 'T', '_', 'L', 'A', 'S', 'T', '\0', /* GLI_FIRST_LAST (97251) */
	'G', 'L', 'I', '_', 'I', 'N', 'V', '\0', /* GLI_INV (97266) */
	'G', 'L', '1', '_', 'A', 'L', 'L', '\0', /* GL1_ALL (97274) */
	'G', 'L', '1', '_', 'R', 'A', 'N', 'G', 'E', '\0', /* GL1_RANGE (97282) */
	'G', 'L', '1', '_', 'F', 'I', 'R', 'S', 'T', '_', 'L', 'A', 'S', 'T', '\0', /* GL1_FIRST_LAST (97292) */
	'G', 'L', 'K', '_', 'W', 'B', '\0', /* GLK_WB (97307) */
	'G', 'L', 'K', '_', 'I', 'N', 'V', '\0', /* GLK_INV (97314) */
	'R', 'A', 'N', 'G', 'E', '_', 'I', 'S', '_', 'P', 'A', '\0', /* RANGE_IS_PA (97322) */
	'W', 'A', 'V', 'E', '_', 'S', 'L', 'O', 'T', '\0', /* WAVE_SLOT (97334) */
	'U', 'T', 'C', '_', 'E', 'R', 'R', 'O', 'R', '\0', /* UTC_ERROR (97344) */
	'S', 'D', 'M', 'A', '_', 'S', 'C', 'H', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* SDMA_SCH_RQ_PENDING (97354) */
	'S', 'D', 'M', 'A', '2', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* SDMA2_RQ_PENDING (97374) */
	'S', 'D', 'M', 'A', '3', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* SDMA3_RQ_PENDING (97391) */
	'B', 'O', 'P', '_', 'E', 'V', 'E', 'N', 'T', 'S', '_', 'T', 'O', 'K', 'E', 'N', '_', 'I', 'N', 'C', 'L', 'U', 'D', 'E', '\0', /* BOP_EVENTS_TOKEN_INCLUDE (97408) */
	'R', 'E', 'G', '_', 'E', 'X', 'C', 'L', 'U', 'D', 'E', '\0', /* REG_EXCLUDE (97433) */
	'L', 'O', 'W', 'A', 'T', 'E', 'R', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* LOWATER_OFFSET (97445) */
	'A', 'U', 'T', 'O', '_', 'F', 'L', 'U', 'S', 'H', '_', 'P', 'A', 'D', 'D', 'I', 'N', 'G', '_', 'D', 'I', 'S', '\0', /* AUTO_FLUSH_PADDING_DIS (97460) */
	'A', 'U', 'T', 'O', '_', 'F', 'L', 'U', 'S', 'H', '_', 'M', 'O', 'D', 'E', '\0', /* AUTO_FLUSH_MODE (97483) */
	'O', 'W', 'N', 'E', 'R', '_', 'V', 'M', 'I', 'D', '\0', /* OWNER_VMID (97499) */
	'B', 'U', 'F', '0', '_', 'F', 'U', 'L', 'L', '\0', /* BUF0_FULL (97510) */
	'B', 'U', 'F', '1', '_', 'F', 'U', 'L', 'L', '\0', /* BUF1_FULL (97520) */
	'P', 'A', 'C', 'K', 'E', 'T', '_', 'L', 'O', 'S', 'T', '_', 'B', 'U', 'F', '_', 'N', 'O', '_', 'L', 'O', 'C', 'K', 'D', 'O', 'W', 'N', '\0', /* PACKET_LOST_BUF_NO_LOCKDOWN (97530) */
	'L', 'L', 'C', '_', 'N', 'O', 'A', 'L', 'L', 'O', 'C', '\0', /* LLC_NOALLOC (97558) */
	'F', 'O', 'R', 'C', 'E', '_', 'H', 'A', 'L', 'F', '_', 'R', 'A', 'T', 'E', '_', 'P', 'C', '_', 'E', 'X', 'P', '\0', /* FORCE_HALF_RATE_PC_EXP (97570) */
	'N', 'U', 'M', '_', 'P', 'K', 'R', 'S', '\0', /* NUM_PKRS (97593) */
	'L', 'O', 'A', 'D', '_', 'P', 'R', 'O', 'V', 'O', 'K', 'I', 'N', 'G', '_', 'V', 'T', 'X', '\0', /* LOAD_PROVOKING_VTX (97602) */
	'P', 'S', '_', 'I', 'N', 'V', 'O', 'K', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* PS_INVOKE_DISABLE (97621) */
	'F', 'O', 'R', 'C', 'E', '_', 'V', 'R', 'S', '_', 'R', 'A', 'T', 'E', '_', 'F', 'I', 'N', 'E', '\0', /* FORCE_VRS_RATE_FINE (97639) */
	'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '_', 'C', 'O', 'M', 'P', 'U', 'T', 'A', 'T', 'I', 'O', 'N', '_', 'M', 'O', 'D', 'E', '\0', /* CENTROID_COMPUTATION_MODE (97659) */
	'V', 'R', 'S', '_', 'C', 'O', 'M', 'B', '_', 'M', 'O', 'D', 'E', '_', 'P', 'A', 'S', 'S', 'T', 'H', 'R', 'U', '\0', /* VRS_COMB_MODE_PASSTHRU (97685) */
	'V', 'R', 'S', '_', 'C', 'O', 'M', 'B', '_', 'M', 'O', 'D', 'E', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* VRS_COMB_MODE_OVERRIDE (97708) */
	'V', 'R', 'S', '_', 'C', 'O', 'M', 'B', '_', 'M', 'O', 'D', 'E', '_', 'M', 'I', 'N', '\0', /* VRS_COMB_MODE_MIN (97731) */
	'V', 'R', 'S', '_', 'C', 'O', 'M', 'B', '_', 'M', 'O', 'D', 'E', '_', 'M', 'A', 'X', '\0', /* VRS_COMB_MODE_MAX (97749) */
	'V', 'R', 'S', '_', 'C', 'O', 'M', 'B', '_', 'M', 'O', 'D', 'E', '_', 'S', 'A', 'T', 'U', 'R', 'A', 'T', 'E', '\0', /* VRS_COMB_MODE_SATURATE (97767) */
	'V', 'R', 'S', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '_', 'R', 'A', 'T', 'E', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'E', 'R', '_', 'M', 'O', 'D', 'E', '\0', /* VRS_OVERRIDE_RATE_COMBINER_MODE (97790) */
	'V', 'R', 'S', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '_', 'R', 'A', 'T', 'E', '_', 'X', '\0', /* VRS_OVERRIDE_RATE_X (97822, 97835) */
	'V', 'R', 'S', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '_', 'R', 'A', 'T', 'E', '_', 'Y', '\0', /* VRS_OVERRIDE_RATE_Y (97842, 97855) */
	'Z', '_', 'N', 'O', 'A', 'L', 'L', 'O', 'C', '\0', /* Z_NOALLOC (97862) */
	'S', '_', 'N', 'O', 'A', 'L', 'L', 'O', 'C', '\0', /* S_NOALLOC (97872) */
	'H', 'T', 'I', 'L', 'E', '_', 'N', 'O', 'A', 'L', 'L', 'O', 'C', '\0', /* HTILE_NOALLOC (97882) */
	'Z', 'P', 'C', 'P', 'S', 'D', '_', 'N', 'O', 'A', 'L', 'L', 'O', 'C', '\0', /* ZPCPSD_NOALLOC (97896) */
	'C', 'M', 'A', 'S', 'K', '_', 'L', '3', '_', 'B', 'Y', 'P', 'A', 'S', 'S', '\0', /* CMASK_L3_BYPASS (97911) */
	'F', 'M', 'A', 'S', 'K', '_', 'L', '3', '_', 'B', 'Y', 'P', 'A', 'S', 'S', '\0', /* FMASK_L3_BYPASS (97927) */
	'D', 'C', 'C', '_', 'L', '3', '_', 'B', 'Y', 'P', 'A', 'S', 'S', '\0', /* DCC_L3_BYPASS (97943) */
	'C', 'O', 'L', 'O', 'R', '_', 'L', '3', '_', 'B', 'Y', 'P', 'A', 'S', 'S', '\0', /* COLOR_L3_BYPASS (97957) */
	'R', 'O', 'T', 'A', 'T', 'E', '_', 'P', 'C', '_', 'P', 'T', 'R', '\0', /* ROTATE_PC_PTR (97973) */
	'P', 'R', 'I', 'M', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* PRIM_EXPORT_COUNT (97987) */
	'N', 'U', 'M', '_', 'P', 'R', 'I', 'M', '_', 'I', 'N', 'T', 'E', 'R', 'P', '\0', /* NUM_PRIM_INTERP (98005) */
	'M', 'R', 'T', '0', '_', 'F', 'M', 'T', '_', 'M', 'A', 'P', 'P', 'I', 'N', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT0_FMT_MAPPING_DISABLE (98021) */
	'M', 'R', 'T', '1', '_', 'F', 'M', 'T', '_', 'M', 'A', 'P', 'P', 'I', 'N', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT1_FMT_MAPPING_DISABLE (98046) */
	'M', 'R', 'T', '2', '_', 'F', 'M', 'T', '_', 'M', 'A', 'P', 'P', 'I', 'N', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT2_FMT_MAPPING_DISABLE (98071) */
	'M', 'R', 'T', '3', '_', 'F', 'M', 'T', '_', 'M', 'A', 'P', 'P', 'I', 'N', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT3_FMT_MAPPING_DISABLE (98096) */
	'M', 'R', 'T', '4', '_', 'F', 'M', 'T', '_', 'M', 'A', 'P', 'P', 'I', 'N', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT4_FMT_MAPPING_DISABLE (98121) */
	'M', 'R', 'T', '5', '_', 'F', 'M', 'T', '_', 'M', 'A', 'P', 'P', 'I', 'N', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT5_FMT_MAPPING_DISABLE (98146) */
	'M', 'R', 'T', '6', '_', 'F', 'M', 'T', '_', 'M', 'A', 'P', 'P', 'I', 'N', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT6_FMT_MAPPING_DISABLE (98171) */
	'M', 'R', 'T', '7', '_', 'F', 'M', 'T', '_', 'M', 'A', 'P', 'P', 'I', 'N', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* MRT7_FMT_MAPPING_DISABLE (98196) */
	'S', 'X', '_', 'R', 'T', '_', 'E', 'X', 'P', 'O', 'R', 'T', '_', '9', '_', '9', '_', '9', '_', 'E', '5', '\0', /* SX_RT_EXPORT_9_9_9_E5 (98221) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', '1', 'F', 'R', 'A', 'G', '_', 'P', 'S', '_', 'I', 'N', 'V', 'O', 'K', 'E', '\0', /* ENABLE_1FRAG_PS_INVOKE (98243) */
	'U', 'S', 'E', '_', 'V', 'T', 'X', '_', 'V', 'R', 'S', '_', 'R', 'A', 'T', 'E', '\0', /* USE_VTX_VRS_RATE (98266) */
	'B', 'Y', 'P', 'A', 'S', 'S', '_', 'V', 'T', 'X', '_', 'R', 'A', 'T', 'E', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'E', 'R', '\0', /* BYPASS_VTX_RATE_COMBINER (98283) */
	'B', 'Y', 'P', 'A', 'S', 'S', '_', 'P', 'R', 'I', 'M', '_', 'R', 'A', 'T', 'E', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'E', 'R', '\0', /* BYPASS_PRIM_RATE_COMBINER (98308) */
	'V', 'E', 'R', 'T', 'E', 'X', '_', 'R', 'E', 'U', 'S', 'E', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* VERTEX_REUSE_DEPTH (98334) */
	'V', 'E', 'R', 'T', 'E', 'X', '_', 'R', 'A', 'T', 'E', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'E', 'R', '_', 'M', 'O', 'D', 'E', '\0', /* VERTEX_RATE_COMBINER_MODE (98353) */
	'P', 'R', 'I', 'M', 'I', 'T', 'I', 'V', 'E', '_', 'R', 'A', 'T', 'E', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'E', 'R', '_', 'M', 'O', 'D', 'E', '\0', /* PRIMITIVE_RATE_COMBINER_MODE (98379) */
	'H', 'T', 'I', 'L', 'E', '_', 'R', 'A', 'T', 'E', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'E', 'R', '_', 'M', 'O', 'D', 'E', '\0', /* HTILE_RATE_COMBINER_MODE (98408) */
	'S', 'A', 'M', 'P', 'L', 'E', '_', 'I', 'T', 'E', 'R', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'E', 'R', '_', 'M', 'O', 'D', 'E', '\0', /* SAMPLE_ITER_COMBINER_MODE (98433) */
	'E', 'X', 'P', 'O', 'S', 'E', '_', 'V', 'R', 'S', '_', 'P', 'I', 'X', 'E', 'L', 'S', '_', 'M', 'A', 'S', 'K', '\0', /* EXPOSE_VRS_PIXELS_MASK (98459) */
	'C', 'M', 'A', 'S', 'K', '_', 'R', 'A', 'T', 'E', '_', 'H', 'I', 'N', 'T', '_', 'F', 'O', 'R', 'C', 'E', '_', 'Z', 'E', 'R', 'O', '\0', /* CMASK_RATE_HINT_FORCE_ZERO (98482) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'I', 'N', 'S', 'T', 'A', 'N', 'C', 'E', '_', 'P', 'A', 'C', 'K', 'I', 'N', 'G', '\0', /* DISABLE_INSTANCE_PACKING (98509) */
	'E', 'N', '_', 'V', 'R', 'S', '_', 'R', 'A', 'T', 'E', '\0', /* EN_VRS_RATE (98534) */
	'V', 'R', 'S', '_', 'H', 'T', 'I', 'L', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* VRS_HTILE_DISABLE (98546) */
	'V', 'R', 'S', '_', 'H', 'T', 'I', 'L', 'E', '_', '2', 'B', 'I', 'T', '_', 'E', 'N', 'C', 'O', 'D', 'I', 'N', 'G', '\0', /* VRS_HTILE_2BIT_ENCODING (98564, 98579) */
	'V', 'R', 'S', '_', 'H', 'T', 'I', 'L', 'E', '_', '4', 'B', 'I', 'T', '_', 'E', 'N', 'C', 'O', 'D', 'I', 'N', 'G', '\0', /* VRS_HTILE_4BIT_ENCODING (98588) */
	'V', 'R', 'S', '_', 'H', 'T', 'I', 'L', 'E', '_', 'E', 'N', 'C', 'O', 'D', 'I', 'N', 'G', '\0', /* VRS_HTILE_ENCODING (98612) */
	'P', 'R', 'I', 'M', 'G', 'E', 'N', '_', 'P', 'A', 'S', 'S', 'T', 'H', 'R', 'U', '_', 'N', 'O', '_', 'M', 'S', 'G', '\0', /* PRIMGEN_PASSTHRU_NO_MSG (98631) */
	'S', 'A', 'M', 'P', 'L', 'E', '_', 'C', 'O', 'V', 'E', 'R', 'A', 'G', 'E', '_', 'E', 'N', 'C', 'O', 'D', 'I', 'N', 'G', '\0', /* SAMPLE_COVERAGE_ENCODING (98655) */
	'C', 'O', 'V', 'E', 'R', 'E', 'D', '_', 'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '_', 'I', 'S', '_', 'C', 'E', 'N', 'T', 'E', 'R', '\0', /* COVERED_CENTROID_IS_CENTER (98680) */
	'C', 'O', 'L', 'O', 'R', '_', '5', '_', '9', '_', '9', '_', '9', '\0', /* COLOR_5_9_9_9 (98707) */
	'N', 'B', 'C', '_', 'T', 'I', 'L', 'I', 'N', 'G', '\0', /* NBC_TILING (98721) */
	'S', 'K', 'I', 'P', '_', 'L', 'O', 'W', '_', 'C', 'O', 'M', 'P', '_', 'R', 'A', 'T', 'I', 'O', '\0', /* SKIP_LOW_COMP_RATIO (98732) */
	'D', 'C', 'C', '_', 'C', 'O', 'M', 'P', 'R', 'E', 'S', 'S', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* DCC_COMPRESS_DISABLE (98752) */
	'V', 'R', 'S', '_', 'R', 'A', 'T', 'E', '_', 'H', 'I', 'N', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* VRS_RATE_HINT_ENABLE (98773) */
	'I', 'M', 'M', 'E', 'D', '\0', /* IMMED (98794) */
	'r', 'e', 's', 'e', 'r', 'v', 'e', 'd', '2', '7', '\0', /* reserved27 (98800) */
	'r', 'e', 's', 'e', 'r', 'v', 'e', 'd', '3', '1', '\0', /* reserved31 (98811) */
	'S', 'E', 'M', '_', 'P', 'R', 'I', 'V', '\0', /* SEM_PRIV (98822) */
	'U', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'R', 'E', 'G', '_', 'E', 'N', '\0', /* UCONFIG_REG_EN (98831) */
	'A', 'C', 'T', 'I', 'O', 'N', '_', 'P', 'I', 'P', 'E', '_', 'I', 'D', '\0', /* ACTION_PIPE_ID (98846) */
	'A', 'C', 'T', 'I', 'O', 'N', '_', 'I', 'D', '\0', /* ACTION_ID (98861) */
	'H', 'E', 'A', 'D', '_', 'Q', 'U', 'E', 'U', 'E', '1', '\0', /* HEAD_QUEUE1 (98871) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'P', 'E', 'R', 'F', '\0', /* DISABLE_ME0PIPE0_PERF (98883) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'P', 'E', 'R', 'F', '\0', /* DISABLE_ME0PIPE1_PERF (98905) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'M', 'E', '1', 'P', 'I', 'P', 'E', '0', '_', 'P', 'E', 'R', 'F', '\0', /* DISABLE_ME1PIPE0_PERF (98927) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'M', 'E', '1', 'P', 'I', 'P', 'E', '1', '_', 'P', 'E', 'R', 'F', '\0', /* DISABLE_ME1PIPE1_PERF (98949) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'M', 'E', '1', 'P', 'I', 'P', 'E', '2', '_', 'P', 'E', 'R', 'F', '\0', /* DISABLE_ME1PIPE2_PERF (98971) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'M', 'E', '1', 'P', 'I', 'P', 'E', '3', '_', 'P', 'E', 'R', 'F', '\0', /* DISABLE_ME1PIPE3_PERF (98993) */
	'S', 'w', 'a', 'A', 'c', 'c', 'u', 'm', 'D', 'o', 'n', 'e', '\0', /* SwaAccumDone (99015) */
	'S', 'w', 'a', 'S', 'p', 'm', 'D', 'o', 'n', 'e', '\0', /* SwaSpmDone (99028) */
	'S', 'w', 'a', 'A', 'c', 'c', 'u', 'm', 'O', 'v', 'e', 'r', 'f', 'l', 'o', 'w', '\0', /* SwaAccumOverflow (99039) */
	'S', 'w', 'a', 'A', 'c', 'c', 'u', 'm', 'A', 'r', 'm', 'e', 'd', '\0', /* SwaAccumArmed (99056) */
	'A', 'l', 'l', 'S', 'e', 'g', 's', 'D', 'o', 'n', 'e', '\0', /* AllSegsDone (99070) */
	'R', 'e', 'a', 'r', 'm', 'S', 'w', 'a', 'P', 'e', 'n', 'd', 'i', 'n', 'g', '\0', /* RearmSwaPending (99082) */
	'R', 'e', 'a', 'r', 'm', 'S', 'p', 'p', 'P', 'e', 'n', 'd', 'i', 'n', 'g', '\0', /* RearmSppPending (99098) */
	'S', 't', 'r', 'o', 'b', 'e', 'R', 'e', 's', 'e', 't', 'S', 'p', 'm', 'B', 'l', 'o', 'c', 'k', '\0', /* StrobeResetSpmBlock (99114) */
	'S', 't', 'r', 'o', 'b', 'e', 'R', 'e', 'a', 'r', 'm', 'S', 'w', 'a', 'A', 'c', 'c', 'u', 'm', '\0', /* StrobeRearmSwaAccum (99134) */
	'S', 't', 'r', 'o', 'b', 'e', 'S', 't', 'a', 'r', 't', 'S', 'w', 'a', '\0', /* StrobeStartSwa (99154) */
	'S', 't', 'r', 'o', 'b', 'e', 'P', 'e', 'r', 'f', 'm', 'o', 'n', 'S', 'a', 'm', 'p', 'l', 'e', 'W', 'i', 'r', 'e', 's', '\0', /* StrobePerfmonSampleWires (99169) */
	'E', 'n', 'a', 'b', 'l', 'e', 'S', 'p', 'm', 'W', 'i', 't', 'h', 'A', 'c', 'c', 'u', 'm', 'M', 'o', 'd', 'e', '\0', /* EnableSpmWithAccumMode (99194) */
	'E', 'n', 'a', 'b', 'l', 'e', 'S', 'P', 'P', 'M', 'o', 'd', 'e', '\0', /* EnableSPPMode (99217) */
	'S', 'w', 'a', 'A', 'u', 't', 'o', 'R', 'e', 's', 'e', 't', 'P', 'e', 'r', 'f', 'm', 'o', 'n', 'D', 'i', 's', 'a', 'b', 'l', 'e', '\0', /* SwaAutoResetPerfmonDisable (99231) */
	'S', 'w', 'a', 'A', 'u', 't', 'o', 'A', 'c', 'c', 'u', 'm', 'E', 'n', '\0', /* SwaAutoAccumEn (99258) */
	'S', 'w', 'a', 'A', 'u', 't', 'o', 'S', 'p', 'm', 'E', 'n', '\0', /* SwaAutoSpmEn (99273) */
	'G', 'l', 'o', 'b', 'a', 'l', 's', '_', 'S', 'w', 'a', 'L', 'o', 'a', 'd', 'O', 'v', 'e', 'r', 'r', 'i', 'd', 'e', '\0', /* Globals_SwaLoadOverride (99286) */
	'S', 'E', '0', '_', 'S', 'w', 'a', 'L', 'o', 'a', 'd', 'O', 'v', 'e', 'r', 'r', 'i', 'd', 'e', '\0', /* SE0_SwaLoadOverride (99310) */
	'S', 'E', '1', '_', 'S', 'w', 'a', 'L', 'o', 'a', 'd', 'O', 'v', 'e', 'r', 'r', 'i', 'd', 'e', '\0', /* SE1_SwaLoadOverride (99330) */
	'S', 'E', '2', '_', 'L', 'o', 'a', 'd', 'O', 'v', 'e', 'r', 'r', 'i', 'd', 'e', '\0', /* SE2_LoadOverride (99350) */
	'S', 'E', '2', '_', 'S', 'w', 'a', 'L', 'o', 'a', 'd', 'O', 'v', 'e', 'r', 'r', 'i', 'd', 'e', '\0', /* SE2_SwaLoadOverride (99367) */
	'S', 'E', '3', '_', 'L', 'o', 'a', 'd', 'O', 'v', 'e', 'r', 'r', 'i', 'd', 'e', '\0', /* SE3_LoadOverride (99387) */
	'S', 'E', '3', '_', 'S', 'w', 'a', 'L', 'o', 'a', 'd', 'O', 'v', 'e', 'r', 'r', 'i', 'd', 'e', '\0', /* SE3_SwaLoadOverride (99404) */
	'g', 'l', 'o', 'b', 'a', 'l', '_', 'o', 'f', 'f', 's', 'e', 't', '\0', /* global_offset (99424) */
	's', 'p', 'm', 'w', 'i', 't', 'h', 'a', 'c', 'c', 'u', 'm', '_', 's', 'e', '_', 'o', 'f', 'f', 's', 'e', 't', '\0', /* spmwithaccum_se_offset (99438) */
	's', 'p', 'm', 'w', 'i', 't', 'h', 'a', 'c', 'c', 'u', 'm', '_', 'g', 'l', 'o', 'b', 'a', 'l', '_', 'o', 'f', 'f', 's', 'e', 't', '\0', /* spmwithaccum_global_offset (99461) */
	's', 'p', 'p', '_', 'a', 'd', 'd', 'r', '_', 'r', 'e', 'g', 'i', 'o', 'n', '\0', /* spp_addr_region (99488) */
	's', 'w', 'a', '_', 'a', 'd', 'd', 'r', '_', 'r', 'e', 'g', 'i', 'o', 'n', '\0', /* swa_addr_region (99504) */
	'C', 'M', 'D', '_', 'O', 'P', '\0', /* CMD_OP (99520) */
	'D', 'E', 'B', 'U', 'G', '_', 'E', 'N', '\0', /* DEBUG_EN (99527) */
	'W', 'A', 'V', 'E', '_', 'P', 'R', 'I', 'O', '\0', /* WAVE_PRIO (99536) */
	'T', 'T', 'R', 'A', 'C', 'E', '_', 'C', 'U', '_', 'E', 'N', '\0', /* TTRACE_CU_EN (99546) */
	'C', 'O', 'N', 'D', '_', 'D', 'B', 'G', '_', 'U', 'S', 'E', 'R', '\0', /* COND_DBG_USER (99559) */
	'C', 'O', 'N', 'D', '_', 'D', 'B', 'G', '_', 'S', 'Y', 'S', '\0', /* COND_DBG_SYS (99573) */
	'D', 'A', 'T', 'A', '_', 'A', 'T', 'C', '\0', /* DATA_ATC (99586) */
	'I', 'N', 'S', 'T', '_', 'A', 'T', 'C', '\0', /* INST_ATC (99595) */
	'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'C', 'A', 'C', 'H', 'E', '_', 'C', 'T', 'R', 'L', '\0', /* DISPATCH_CACHE_CTRL (99604) */
	'I', 'B', 'U', 'F', '_', 'S', 'T', '\0', /* IBUF_ST (99624) */
	'P', 'C', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', '\0', /* PC_INVALID (99632) */
	'N', 'E', 'E', 'D', '_', 'N', 'E', 'X', 'T', '_', 'D', 'W', '\0', /* NEED_NEXT_DW (99643) */
	'N', 'O', '_', 'P', 'R', 'E', 'F', 'E', 'T', 'C', 'H', '_', 'C', 'N', 'T', '\0', /* NO_PREFETCH_CNT (99656) */
	'I', 'B', 'U', 'F', '_', 'R', 'P', 'T', 'R', '\0', /* IBUF_RPTR (99672) */
	'I', 'B', 'U', 'F', '_', 'W', 'P', 'T', 'R', '\0', /* IBUF_WPTR (99682) */
	'I', 'N', 'S', 'T', '_', 'S', 'T', 'R', '_', 'S', 'T', '\0', /* INST_STR_ST (99692) */
	'E', 'C', 'C', '_', 'S', 'T', '\0', /* ECC_ST (99704) */
	'I', 'S', '_', 'H', 'Y', 'B', '\0', /* IS_HYB (99711) */
	'H', 'Y', 'B', '_', 'C', 'N', 'T', '\0', /* HYB_CNT (99718) */
	'N', 'E', 'E', 'D', '_', 'K', 'I', 'L', 'L', '_', 'I', 'F', 'E', 'T', 'C', 'H', '\0', /* NEED_KILL_IFETCH (99726) */
	'S', 'D', 'M', 'A', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* SDMA_RQ_PENDING (99743) */
	'T', 'S', 'T', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* TST_RQ_PENDING (99759) */
	'V', 'C', 'E', '0', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* VCE0_RQ_PENDING (99774) */
	'V', 'P', '8', '_', 'B', 'U', 'S', 'Y', '\0', /* VP8_BUSY (99790) */
	'S', 'D', 'M', 'A', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* SDMA1_BUSY (99799) */
	'V', 'C', 'E', '0', '_', 'B', 'U', 'S', 'Y', '\0', /* VCE0_BUSY (99810) */
	'X', 'D', 'M', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* XDMA_BUSY (99820) */
	'C', 'H', 'U', 'B', '_', 'B', 'U', 'S', 'Y', '\0', /* CHUB_BUSY (99830) */
	'S', 'D', 'M', 'A', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* SDMA2_BUSY (99840) */
	'S', 'D', 'M', 'A', '3', '_', 'B', 'U', 'S', 'Y', '\0', /* SDMA3_BUSY (99851) */
	'S', 'A', 'M', 'S', 'C', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* SAMSCP_BUSY (99862) */
	'I', 'S', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* ISP_BUSY (99874) */
	'V', 'C', 'E', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* VCE1_BUSY (99883) */
	'O', 'D', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* ODE_BUSY (99893) */
	'S', 'A', 'M', 'S', 'C', 'P', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* SAMSCP_RQ_PENDING (99902) */
	'I', 'S', 'P', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ISP_RQ_PENDING (99920) */
	'V', 'C', 'E', '1', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* VCE1_RQ_PENDING (99935) */
	'U', 'V', 'D', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* UVD_RQ_PENDING (99951) */
	'S', 'A', 'M', 'M', 'S', 'P', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* SAMMSP_RQ_PENDING (99966) */
	'A', 'C', 'P', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* ACP_RQ_PENDING (99984) */
	'G', 'R', 'B', 'M', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* GRBM_RQ_PENDING (99999) */
	'H', 'I', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* HI_RQ_PENDING (100015) */
	'V', 'M', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* VMC_BUSY (100029) */
	'M', 'C', 'B', '_', 'B', 'U', 'S', 'Y', '\0', /* MCB_BUSY (100038) */
	'M', 'C', 'B', '_', 'N', 'O', 'N', '_', 'D', 'I', 'S', 'P', 'L', 'A', 'Y', '_', 'B', 'U', 'S', 'Y', '\0', /* MCB_NON_DISPLAY_BUSY (100047) */
	'M', 'C', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* MCC_BUSY (100068) */
	'M', 'C', 'D', '_', 'B', 'U', 'S', 'Y', '\0', /* MCD_BUSY (100077) */
	'V', 'M', 'C', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* VMC1_BUSY (100086) */
	'S', 'E', 'M', '_', 'B', 'U', 'S', 'Y', '\0', /* SEM_BUSY (100096) */
	'A', 'C', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* ACP_BUSY (100105) */
	'I', 'H', '_', 'B', 'U', 'S', 'Y', '\0', /* IH_BUSY (100114) */
	'U', 'V', 'D', '_', 'B', 'U', 'S', 'Y', '\0', /* UVD_BUSY (100122) */
	'S', 'A', 'M', 'M', 'S', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* SAMMSP_BUSY (100131) */
	'G', 'C', 'A', 'T', 'C', 'L', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* GCATCL2_BUSY (100143) */
	'O', 'S', 'A', 'T', 'C', 'L', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* OSATCL2_BUSY (100156) */
	'B', 'I', 'F', '_', 'B', 'U', 'S', 'Y', '\0', /* BIF_BUSY (100169) */
	'M', 'C', 'C', '0', '_', 'B', 'U', 'S', 'Y', '\0', /* MCC0_BUSY (100178) */
	'M', 'C', 'C', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* MCC1_BUSY (100188) */
	'M', 'C', 'C', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* MCC2_BUSY (100198) */
	'M', 'C', 'C', '3', '_', 'B', 'U', 'S', 'Y', '\0', /* MCC3_BUSY (100208) */
	'M', 'C', 'C', '4', '_', 'B', 'U', 'S', 'Y', '\0', /* MCC4_BUSY (100218) */
	'M', 'C', 'C', '5', '_', 'B', 'U', 'S', 'Y', '\0', /* MCC5_BUSY (100228) */
	'M', 'C', 'C', '6', '_', 'B', 'U', 'S', 'Y', '\0', /* MCC6_BUSY (100238) */
	'M', 'C', 'C', '7', '_', 'B', 'U', 'S', 'Y', '\0', /* MCC7_BUSY (100248) */
	'M', 'C', 'D', '0', '_', 'B', 'U', 'S', 'Y', '\0', /* MCD0_BUSY (100258) */
	'M', 'C', 'D', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* MCD1_BUSY (100268) */
	'M', 'C', 'D', '2', '_', 'B', 'U', 'S', 'Y', '\0', /* MCD2_BUSY (100278) */
	'M', 'C', 'D', '3', '_', 'B', 'U', 'S', 'Y', '\0', /* MCD3_BUSY (100288) */
	'M', 'C', 'D', '4', '_', 'B', 'U', 'S', 'Y', '\0', /* MCD4_BUSY (100298) */
	'M', 'C', 'D', '5', '_', 'B', 'U', 'S', 'Y', '\0', /* MCD5_BUSY (100308) */
	'M', 'C', 'D', '6', '_', 'B', 'U', 'S', 'Y', '\0', /* MCD6_BUSY (100318) */
	'M', 'C', 'D', '7', '_', 'B', 'U', 'S', 'Y', '\0', /* MCD7_BUSY (100328) */
	'R', 'E', 'A', 'D', '_', 'T', 'I', 'M', 'E', 'O', 'U', 'T', '\0', /* READ_TIMEOUT (100338) */
	'S', 'K', 'E', 'W', '_', 'T', 'O', 'P', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '\0', /* SKEW_TOP_THRESHOLD (100351) */
	'S', 'K', 'E', 'W', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* SKEW_COUNT (100370) */
	'R', 'E', 'Q', '_', 'T', 'Y', 'P', 'E', '\0', /* REQ_TYPE (100381) */
	'R', 'S', 'P', '_', 'T', 'Y', 'P', 'E', '\0', /* RSP_TYPE (100390) */
	'S', 'R', 'B', 'M', '_', 'R', 'Q', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* SRBM_RQ_PENDING (100399) */
	'W', 'D', '_', 'B', 'U', 'S', 'Y', '_', 'N', 'O', '_', 'D', 'M', 'A', '\0', /* WD_BUSY_NO_DMA (100415) */
	'V', 'G', 'T', '_', 'B', 'U', 'S', 'Y', '\0', /* VGT_BUSY (100430) */
	'I', 'A', '_', 'B', 'U', 'S', 'Y', '_', 'N', 'O', '_', 'D', 'M', 'A', '\0', /* IA_BUSY_NO_DMA (100439) */
	'I', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* IA_BUSY (100454) */
	'W', 'D', '_', 'B', 'U', 'S', 'Y', '\0', /* WD_BUSY (100462) */
	'S', 'O', 'F', 'T', '_', 'R', 'E', 'S', 'E', 'T', '_', 'C', 'P', '\0', /* SOFT_RESET_CP (100470) */
	'S', 'O', 'F', 'T', '_', 'R', 'E', 'S', 'E', 'T', '_', 'R', 'L', 'C', '\0', /* SOFT_RESET_RLC (100484) */
	'S', 'O', 'F', 'T', '_', 'R', 'E', 'S', 'E', 'T', '_', 'G', 'F', 'X', '\0', /* SOFT_RESET_GFX (100499) */
	'S', 'O', 'F', 'T', '_', 'R', 'E', 'S', 'E', 'T', '_', 'C', 'P', 'F', '\0', /* SOFT_RESET_CPF (100514) */
	'S', 'O', 'F', 'T', '_', 'R', 'E', 'S', 'E', 'T', '_', 'C', 'P', 'C', '\0', /* SOFT_RESET_CPC (100529) */
	'S', 'O', 'F', 'T', '_', 'R', 'E', 'S', 'E', 'T', '_', 'C', 'P', 'G', '\0', /* SOFT_RESET_CPG (100544) */
	'G', 'R', 'B', 'M', '_', 'D', 'E', 'B', 'U', 'G', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* GRBM_DEBUG_INDEX (100559) */
	'S', 'H', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* SH_INDEX (100576) */
	'S', 'H', '_', 'B', 'R', 'O', 'A', 'D', 'C', 'A', 'S', 'T', '_', 'W', 'R', 'I', 'T', 'E', 'S', '\0', /* SH_BROADCAST_WRITES (100585) */
	'P', 'R', 'E', 'F', 'I', 'X', '_', 'D', 'E', 'L', 'A', 'Y', '_', 'C', 'N', 'T', '\0', /* PREFIX_DELAY_CNT (100605) */
	'P', 'O', 'S', 'T', '_', 'D', 'E', 'L', 'A', 'Y', '_', 'C', 'N', 'T', '\0', /* POST_DELAY_CNT (100622) */
	'I', 'G', 'N', 'O', 'R', 'E', '_', 'R', 'D', 'Y', '\0', /* IGNORE_RDY (100637) */
	'I', 'G', 'N', 'O', 'R', 'E', '_', 'F', 'A', 'O', '\0', /* IGNORE_FAO (100648) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'R', 'E', 'A', 'D', '_', 'T', 'I', 'M', 'E', 'O', 'U', 'T', '\0', /* DISABLE_READ_TIMEOUT (100659) */
	'S', 'N', 'A', 'P', 'S', 'H', 'O', 'T', '_', 'F', 'R', 'E', 'E', '_', 'C', 'N', 'T', 'R', 'S', '\0', /* SNAPSHOT_FREE_CNTRS (100680) */
	'H', 'Y', 'S', 'T', 'E', 'R', 'E', 'S', 'I', 'S', '_', 'G', 'U', 'I', '_', 'A', 'C', 'T', 'I', 'V', 'E', '\0', /* HYSTERESIS_GUI_ACTIVE (100700) */
	'G', 'F', 'X', '_', 'C', 'L', 'O', 'C', 'K', '_', 'D', 'O', 'M', 'A', 'I', 'N', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* GFX_CLOCK_DOMAIN_OVERRIDE (100722) */
	'C', 'P', 'F', '_', 'R', 'D', 'Y', '\0', /* CPF_RDY (100748) */
	'C', 'P', 'G', '_', 'R', 'D', 'Y', '\0', /* CPG_RDY (100756) */
	'S', 'R', 'B', 'M', '_', 'R', 'D', 'Y', '\0', /* SRBM_RDY (100764) */
	'W', 'D', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'R', 'D', 'Y', '\0', /* WD_ME0PIPE0_RDY (100773) */
	'W', 'D', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'R', 'D', 'Y', '\0', /* WD_ME0PIPE1_RDY (100789) */
	'S', 'E', '0', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'R', 'D', 'Y', '0', '\0', /* SE0SPI_ME0PIPE0_RDY0 (100805) */
	'S', 'E', '0', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'R', 'D', 'Y', '0', '\0', /* SE0SPI_ME0PIPE1_RDY0 (100826) */
	'S', 'E', '1', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'R', 'D', 'Y', '0', '\0', /* SE1SPI_ME0PIPE0_RDY0 (100847) */
	'G', 'D', 'S', '_', 'R', 'D', 'Y', '\0', /* GDS_RDY (100868) */
	'S', 'E', '1', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'R', 'D', 'Y', '0', '\0', /* SE1SPI_ME0PIPE1_RDY0 (100876) */
	'S', 'E', '2', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'R', 'D', 'Y', '0', '\0', /* SE2SPI_ME0PIPE0_RDY0 (100897) */
	'S', 'E', '2', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'R', 'D', 'Y', '0', '\0', /* SE2SPI_ME0PIPE1_RDY0 (100918) */
	'S', 'E', '3', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'R', 'D', 'Y', '0', '\0', /* SE3SPI_ME0PIPE0_RDY0 (100939) */
	'S', 'E', '3', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'R', 'D', 'Y', '0', '\0', /* SE3SPI_ME0PIPE1_RDY0 (100960) */
	'S', 'E', '0', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'R', 'D', 'Y', '1', '\0', /* SE0SPI_ME0PIPE0_RDY1 (100981) */
	'S', 'E', '0', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'R', 'D', 'Y', '1', '\0', /* SE0SPI_ME0PIPE1_RDY1 (101002) */
	'S', 'E', '1', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'R', 'D', 'Y', '1', '\0', /* SE1SPI_ME0PIPE0_RDY1 (101023) */
	'S', 'E', '1', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'R', 'D', 'Y', '1', '\0', /* SE1SPI_ME0PIPE1_RDY1 (101044) */
	'S', 'E', '2', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'R', 'D', 'Y', '1', '\0', /* SE2SPI_ME0PIPE0_RDY1 (101065) */
	'S', 'E', '2', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'R', 'D', 'Y', '1', '\0', /* SE2SPI_ME0PIPE1_RDY1 (101086) */
	'S', 'E', '3', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '0', '_', 'R', 'D', 'Y', '1', '\0', /* SE3SPI_ME0PIPE0_RDY1 (101107) */
	'S', 'E', '3', 'S', 'P', 'I', '_', 'M', 'E', '0', 'P', 'I', 'P', 'E', '1', '_', 'R', 'D', 'Y', '1', '\0', /* SE3SPI_ME0PIPE1_RDY1 (101128) */
	'R', 'E', 'A', 'D', '_', 'A', 'D', 'D', 'R', 'E', 'S', 'S', '\0', /* READ_ADDRESS (101149) */
	'R', 'E', 'A', 'D', '_', 'P', 'I', 'P', 'E', 'I', 'D', '\0', /* READ_PIPEID (101162) */
	'R', 'E', 'A', 'D', '_', 'M', 'E', 'I', 'D', '\0', /* READ_MEID (101174) */
	'R', 'D', 'E', 'R', 'R', '_', 'I', 'N', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* RDERR_INT_ENABLE (101184) */
	'G', 'U', 'I', '_', 'I', 'D', 'L', 'E', '_', 'I', 'N', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* GUI_IDLE_INT_ENABLE (101201) */
	'V', 'G', 'T', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* VGT_BUSY_USER_DEFINED_MASK (101221) */
	'I', 'A', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* IA_BUSY_USER_DEFINED_MASK (101248) */
	'T', 'C', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* TC_BUSY_USER_DEFINED_MASK (101274) */
	'W', 'D', '_', 'B', 'U', 'S', 'Y', '_', 'U', 'S', 'E', 'R', '_', 'D', 'E', 'F', 'I', 'N', 'E', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* WD_BUSY_USER_DEFINED_MASK (101300) */
	'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '\0', /* THREAD_TRACE (101326) */
	'W', 'L', 'T', '\0', /* WLT (101339) */
	'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'B', 'U', 'F', '_', 'F', 'U', 'L', 'L', '\0', /* THREAD_TRACE_BUF_FULL (101343) */
	'R', 'E', 'G', '_', 'T', 'I', 'M', 'E', 'S', 'T', 'A', 'M', 'P', '\0', /* REG_TIMESTAMP (101365) */
	'C', 'M', 'D', '_', 'T', 'I', 'M', 'E', 'S', 'T', 'A', 'M', 'P', '\0', /* CMD_TIMESTAMP (101379) */
	'H', 'O', 'S', 'T', '_', 'C', 'M', 'D', '_', 'O', 'V', 'E', 'R', 'F', 'L', 'O', 'W', '\0', /* HOST_CMD_OVERFLOW (101393, 101398) */
	'H', 'O', 'S', 'T', '_', 'R', 'E', 'G', '_', 'O', 'V', 'E', 'R', 'F', 'L', 'O', 'W', '\0', /* HOST_REG_OVERFLOW (101411) */
	'I', 'M', 'M', 'E', 'D', '_', 'O', 'V', 'E', 'R', 'F', 'L', 'O', 'W', '\0', /* IMMED_OVERFLOW (101429) */
	'S', 'T', 'R', 'E', 'A', 'M', '_', 'O', 'U', 'T', '_', 'A', 'D', 'D', 'R', '_', 'S', 'W', 'A', 'P', '\0', /* STREAM_OUT_ADDR_SWAP (101444) */
	'P', 'I', 'P', 'E', '_', 'S', 'T', 'A', 'T', 'S', '_', 'A', 'D', 'D', 'R', '_', 'S', 'W', 'A', 'P', '\0', /* PIPE_STATS_ADDR_SWAP (101465) */
	'M', 'E', '_', 'M', 'C', '_', 'W', 'A', 'D', 'D', 'R', '_', 'S', 'W', 'A', 'P', '\0', /* ME_MC_WADDR_SWAP (101486) */
	'M', 'E', '_', 'M', 'C', '_', 'R', 'A', 'D', 'D', 'R', '_', 'S', 'W', 'A', 'P', '\0', /* ME_MC_RADDR_SWAP (101503) */
	'T', 'C', '_', 'V', 'O', 'L', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* TC_VOL_ACTION_ENA (101520) */
	'P', 'H', 'A', 'S', 'E', '1', '_', 'S', 'T', 'A', 'T', 'U', 'S', '\0', /* PHASE1_STATUS (101538) */
	'S', 'R', 'C', '_', 'S', 'W', 'A', 'P', '\0', /* SRC_SWAP (101552) */
	'D', 'S', 'T', '_', 'S', 'W', 'A', 'P', '\0', /* DST_SWAP (101561) */
	'C', 'E', '_', 'T', 'O', '_', 'C', 'S', 'F', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* CE_TO_CSF_NOT_RDY_TO_RCV (101570) */
	'C', 'E', '_', 'T', 'O', '_', 'R', 'A', 'M', '_', 'I', 'N', 'I', 'T', '_', 'F', 'E', 'T', 'C', 'H', 'E', 'R', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* CE_TO_RAM_INIT_FETCHER_NOT_RDY_TO_RCV (101595) */
	'C', 'E', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'D', 'A', 'T', 'A', '_', 'F', 'R', 'O', 'M', '_', 'R', 'A', 'M', '_', 'I', 'N', 'I', 'T', '_', 'F', 'E', 'T', 'C', 'H', 'E', 'R', '\0', /* CE_WAITING_ON_DATA_FROM_RAM_INIT_FETCHER (101633) */
	'C', 'E', '_', 'T', 'O', '_', 'R', 'A', 'M', '_', 'I', 'N', 'I', 'T', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '\0', /* CE_TO_RAM_INIT_NOT_RDY (101674) */
	'C', 'E', '_', 'T', 'O', '_', 'R', 'A', 'M', '_', 'D', 'U', 'M', 'P', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '\0', /* CE_TO_RAM_DUMP_NOT_RDY (101697) */
	'C', 'E', '_', 'T', 'O', '_', 'R', 'A', 'M', '_', 'W', 'R', 'I', 'T', 'E', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '\0', /* CE_TO_RAM_WRITE_NOT_RDY (101720) */
	'C', 'E', '_', 'T', 'O', '_', 'I', 'N', 'C', '_', 'F', 'I', 'F', 'O', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* CE_TO_INC_FIFO_NOT_RDY_TO_RCV (101744) */
	'C', 'E', '_', 'T', 'O', '_', 'W', 'R', '_', 'F', 'I', 'F', 'O', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* CE_TO_WR_FIFO_NOT_RDY_TO_RCV (101774) */
	'C', 'E', '_', 'T', 'O', '_', 'M', 'I', 'U', '_', 'W', 'R', 'I', 'T', 'E', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* CE_TO_MIU_WRITE_NOT_RDY_TO_RCV (101803) */
	'C', 'E', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'D', 'A', 'T', 'A', '\0', /* CE_WAITING_ON_BUFFER_DATA (101834) */
	'C', 'E', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'C', 'E', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'F', 'L', 'A', 'G', '\0', /* CE_WAITING_ON_CE_BUFFER_FLAG (101860) */
	'C', 'E', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'D', 'E', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '\0', /* CE_WAITING_ON_DE_COUNTER (101889) */
	'C', 'E', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'D', 'E', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '_', 'U', 'N', 'D', 'E', 'R', 'F', 'L', 'O', 'W', '\0', /* CE_WAITING_ON_DE_COUNTER_UNDERFLOW (101914) */
	'R', 'B', 'I', 'U', '_', 'T', 'O', '_', 'D', 'M', 'A', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* RBIU_TO_DMA_NOT_RDY_TO_RCV (101949) */
	'R', 'B', 'I', 'U', '_', 'T', 'O', '_', 'S', 'E', 'M', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* RBIU_TO_SEM_NOT_RDY_TO_RCV (101976) */
	'R', 'B', 'I', 'U', '_', 'T', 'O', '_', 'M', 'E', 'M', 'W', 'R', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* RBIU_TO_MEMWR_NOT_RDY_TO_RCV (102003) */
	'M', 'E', '_', 'H', 'A', 'S', '_', 'A', 'C', 'T', 'I', 'V', 'E', '_', 'C', 'E', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'F', 'L', 'A', 'G', '\0', /* ME_HAS_ACTIVE_CE_BUFFER_FLAG (102032) */
	'M', 'E', '_', 'H', 'A', 'S', '_', 'A', 'C', 'T', 'I', 'V', 'E', '_', 'D', 'E', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'F', 'L', 'A', 'G', '\0', /* ME_HAS_ACTIVE_DE_BUFFER_FLAG (102061) */
	'M', 'E', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'O', 'N', '_', 'T', 'C', '_', 'W', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'R', 'M', '\0', /* ME_STALLED_ON_TC_WR_CONFIRM (102090) */
	'M', 'E', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'O', 'N', '_', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'R', 'T', 'N', '_', 'D', 'A', 'T', 'A', '\0', /* ME_STALLED_ON_ATOMIC_RTN_DATA (102118) */
	'M', 'E', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'M', 'C', '_', 'R', 'E', 'A', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* ME_WAITING_ON_MC_READ_DATA (102148) */
	'M', 'E', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'R', 'E', 'G', '_', 'R', 'E', 'A', 'D', '_', 'D', 'A', 'T', 'A', '\0', /* ME_WAITING_ON_REG_READ_DATA (102175) */
	'M', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'R', 'D', 'R', 'E', 'Q', '_', 'F', 'R', 'E', 'E', '\0', /* MIU_WAITING_ON_RDREQ_FREE (102203) */
	'M', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'W', 'R', 'R', 'E', 'Q', '_', 'F', 'R', 'E', 'E', '\0', /* MIU_WAITING_ON_WRREQ_FREE (102229) */
	'R', 'C', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'G', 'D', 'S', '_', 'F', 'R', 'E', 'E', '\0', /* RCIU_WAITING_ON_GDS_FREE (102255) */
	'R', 'C', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'G', 'R', 'B', 'M', '_', 'F', 'R', 'E', 'E', '\0', /* RCIU_WAITING_ON_GRBM_FREE (102280) */
	'R', 'C', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'V', 'G', 'T', '_', 'F', 'R', 'E', 'E', '\0', /* RCIU_WAITING_ON_VGT_FREE (102306) */
	'R', 'C', 'I', 'U', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'O', 'N', '_', 'M', 'E', '_', 'R', 'E', 'A', 'D', '\0', /* RCIU_STALLED_ON_ME_READ (102331) */
	'R', 'C', 'I', 'U', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'O', 'N', '_', 'D', 'M', 'A', '_', 'R', 'E', 'A', 'D', '\0', /* RCIU_STALLED_ON_DMA_READ (102355) */
	'R', 'C', 'I', 'U', '_', 'H', 'A', 'L', 'T', 'E', 'D', '_', 'B', 'Y', '_', 'R', 'E', 'G', '_', 'V', 'I', 'O', 'L', 'A', 'T', 'I', 'O', 'N', '\0', /* RCIU_HALTED_BY_REG_VIOLATION (102380) */
	'R', 'C', 'I', 'U', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'O', 'N', '_', 'A', 'P', 'P', 'E', 'N', 'D', '_', 'R', 'E', 'A', 'D', '\0', /* RCIU_STALLED_ON_APPEND_READ (102409) */
	'P', 'F', 'P', '_', 'T', 'O', '_', 'C', 'S', 'F', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* PFP_TO_CSF_NOT_RDY_TO_RCV (102437) */
	'P', 'F', 'P', '_', 'T', 'O', '_', 'M', 'E', 'Q', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* PFP_TO_MEQ_NOT_RDY_TO_RCV (102463) */
	'P', 'F', 'P', '_', 'T', 'O', '_', 'R', 'C', 'I', 'U', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* PFP_TO_RCIU_NOT_RDY_TO_RCV (102489) */
	'P', 'F', 'P', '_', 'T', 'O', '_', 'V', 'G', 'T', '_', 'W', 'R', 'I', 'T', 'E', 'S', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* PFP_TO_VGT_WRITES_PENDING (102516) */
	'P', 'F', 'P', '_', 'R', 'C', 'I', 'U', '_', 'R', 'E', 'A', 'D', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* PFP_RCIU_READ_PENDING (102542) */
	'P', 'F', 'P', '_', 'M', 'I', 'U', '_', 'R', 'E', 'A', 'D', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* PFP_MIU_READ_PENDING (102564) */
	'P', 'F', 'P', '_', 'T', 'O', '_', 'M', 'I', 'U', '_', 'W', 'R', 'I', 'T', 'E', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* PFP_TO_MIU_WRITE_NOT_RDY_TO_RCV (102585) */
	'P', 'F', 'P', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'D', 'A', 'T', 'A', '\0', /* PFP_WAITING_ON_BUFFER_DATA (102617) */
	'M', 'E', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'C', 'E', '_', 'C', 'O', 'U', 'N', 'T', 'E', 'R', '\0', /* ME_WAIT_ON_CE_COUNTER (102644) */
	'M', 'E', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'A', 'V', 'A', 'I', 'L', '_', 'B', 'U', 'F', 'F', 'E', 'R', '\0', /* ME_WAIT_ON_AVAIL_BUFFER (102666) */
	'G', 'F', 'X', '_', 'C', 'N', 'T', 'X', '_', 'N', 'O', 'T', '_', 'A', 'V', 'A', 'I', 'L', '_', 'T', 'O', '_', 'M', 'E', '\0', /* GFX_CNTX_NOT_AVAIL_TO_ME (102690) */
	'M', 'E', '_', 'R', 'C', 'I', 'U', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* ME_RCIU_NOT_RDY_TO_RCV (102715) */
	'M', 'E', '_', 'T', 'O', '_', 'C', 'O', 'N', 'S', 'T', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* ME_TO_CONST_NOT_RDY_TO_RCV (102738) */
	'M', 'E', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'R', 'O', 'M', '_', 'P', 'F', 'P', '\0', /* ME_WAITING_DATA_FROM_PFP (102765) */
	'M', 'E', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'P', 'A', 'R', 'T', 'I', 'A', 'L', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* ME_WAITING_ON_PARTIAL_FLUSH (102790) */
	'M', 'E', 'Q', '_', 'T', 'O', '_', 'M', 'E', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* MEQ_TO_ME_NOT_RDY_TO_RCV (102818) */
	'S', 'T', 'Q', '_', 'T', 'O', '_', 'M', 'E', '_', 'N', 'O', 'T', '_', 'R', 'D', 'Y', '_', 'T', 'O', '_', 'R', 'C', 'V', '\0', /* STQ_TO_ME_NOT_RDY_TO_RCV (102843) */
	'M', 'E', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'R', 'O', 'M', '_', 'S', 'T', 'Q', '\0', /* ME_WAITING_DATA_FROM_STQ (102868) */
	'P', 'F', 'P', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'O', 'N', '_', 'T', 'C', '_', 'W', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'R', 'M', '\0', /* PFP_STALLED_ON_TC_WR_CONFIRM (102893) */
	'P', 'F', 'P', '_', 'S', 'T', 'A', 'L', 'L', 'E', 'D', '_', 'O', 'N', '_', 'A', 'T', 'O', 'M', 'I', 'C', '_', 'R', 'T', 'N', '_', 'D', 'A', 'T', 'A', '\0', /* PFP_STALLED_ON_ATOMIC_RTN_DATA (102922) */
	'E', 'O', 'P', 'D', '_', 'F', 'I', 'F', 'O', '_', 'N', 'E', 'E', 'D', 'S', '_', 'S', 'C', '_', 'E', 'O', 'P', '_', 'D', 'O', 'N', 'E', '\0', /* EOPD_FIFO_NEEDS_SC_EOP_DONE (102953) */
	'E', 'O', 'P', 'D', '_', 'F', 'I', 'F', 'O', '_', 'N', 'E', 'E', 'D', 'S', '_', 'W', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'R', 'M', '\0', /* EOPD_FIFO_NEEDS_WR_CONFIRM (102981) */
	'S', 'T', 'R', 'M', 'O', '_', 'W', 'R', '_', 'O', 'F', '_', 'P', 'R', 'I', 'M', '_', 'D', 'A', 'T', 'A', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* STRMO_WR_OF_PRIM_DATA_PENDING (103008) */
	'P', 'I', 'P', 'E', '_', 'S', 'T', 'A', 'T', 'S', '_', 'W', 'R', '_', 'D', 'A', 'T', 'A', '_', 'P', 'E', 'N', 'D', 'I', 'N', 'G', '\0', /* PIPE_STATS_WR_DATA_PENDING (103038) */
	'A', 'P', 'P', 'E', 'N', 'D', '_', 'R', 'D', 'Y', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'C', 'S', '_', 'D', 'O', 'N', 'E', '\0', /* APPEND_RDY_WAIT_ON_CS_DONE (103065) */
	'A', 'P', 'P', 'E', 'N', 'D', '_', 'R', 'D', 'Y', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'P', 'S', '_', 'D', 'O', 'N', 'E', '\0', /* APPEND_RDY_WAIT_ON_PS_DONE (103092) */
	'A', 'P', 'P', 'E', 'N', 'D', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'W', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'R', 'M', '\0', /* APPEND_WAIT_ON_WR_CONFIRM (103119) */
	'A', 'P', 'P', 'E', 'N', 'D', '_', 'A', 'C', 'T', 'I', 'V', 'E', '_', 'P', 'A', 'R', 'T', 'I', 'T', 'I', 'O', 'N', '\0', /* APPEND_ACTIVE_PARTITION (103145) */
	'A', 'P', 'P', 'E', 'N', 'D', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'T', 'O', '_', 'S', 'E', 'N', 'D', '_', 'M', 'E', 'M', 'W', 'R', 'I', 'T', 'E', '\0', /* APPEND_WAITING_TO_SEND_MEMWRITE (103169) */
	'S', 'U', 'R', 'F', '_', 'S', 'Y', 'N', 'C', '_', 'N', 'E', 'E', 'D', 'S', '_', 'I', 'D', 'L', 'E', '_', 'C', 'N', 'T', 'X', 'S', '\0', /* SURF_SYNC_NEEDS_IDLE_CNTXS (103201) */
	'S', 'U', 'R', 'F', '_', 'S', 'Y', 'N', 'C', '_', 'N', 'E', 'E', 'D', 'S', '_', 'A', 'L', 'L', '_', 'C', 'L', 'E', 'A', 'N', '\0', /* SURF_SYNC_NEEDS_ALL_CLEAN (103228) */
	'C', 'O', 'H', 'E', 'R', '_', 'C', 'N', 'T', '_', 'N', 'E', 'Q', '_', 'Z', 'E', 'R', 'O', '\0', /* COHER_CNT_NEQ_ZERO (103254) */
	'P', 'F', 'P', '_', 'P', 'A', 'R', 'S', 'I', 'N', 'G', '_', 'P', 'A', 'C', 'K', 'E', 'T', 'S', '\0', /* PFP_PARSING_PACKETS (103273) */
	'M', 'E', '_', 'P', 'A', 'R', 'S', 'I', 'N', 'G', '_', 'P', 'A', 'C', 'K', 'E', 'T', 'S', '\0', /* ME_PARSING_PACKETS (103293) */
	'R', 'C', 'I', 'U', '_', 'P', 'F', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* RCIU_PFP_BUSY (103312, 103317) */
	'R', 'C', 'I', 'U', '_', 'M', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* RCIU_ME_BUSY (103326, 103331) */
	'S', 'E', 'M', '_', 'C', 'M', 'D', 'F', 'I', 'F', 'O', '_', 'N', 'O', 'T', '_', 'E', 'M', 'P', 'T', 'Y', '\0', /* SEM_CMDFIFO_NOT_EMPTY (103339) */
	'S', 'E', 'M', '_', 'F', 'A', 'I', 'L', 'E', 'D', '_', 'A', 'N', 'D', '_', 'H', 'O', 'L', 'D', 'I', 'N', 'G', '\0', /* SEM_FAILED_AND_HOLDING (103361) */
	'S', 'E', 'M', '_', 'P', 'O', 'L', 'L', 'I', 'N', 'G', '_', 'F', 'O', 'R', '_', 'P', 'A', 'S', 'S', '\0', /* SEM_POLLING_FOR_PASS (103384) */
	'G', 'F', 'X', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'B', 'U', 'S', 'Y', '\0', /* GFX_CONTEXT_BUSY (103405) */
	'M', 'E', '_', 'P', 'A', 'R', 'S', 'E', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* ME_PARSER_BUSY (103422) */
	'E', 'O', 'P', '_', 'D', 'O', 'N', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* EOP_DONE_BUSY (103437) */
	'S', 'T', 'R', 'M', '_', 'O', 'U', 'T', '_', 'B', 'U', 'S', 'Y', '\0', /* STRM_OUT_BUSY (103451) */
	'P', 'I', 'P', 'E', '_', 'S', 'T', 'A', 'T', 'S', '_', 'B', 'U', 'S', 'Y', '\0', /* PIPE_STATS_BUSY (103465) */
	'R', 'C', 'I', 'U', '_', 'C', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* RCIU_CE_BUSY (103481, 103486) */
	'C', 'E', '_', 'P', 'A', 'R', 'S', 'I', 'N', 'G', '_', 'P', 'A', 'C', 'K', 'E', 'T', 'S', '\0', /* CE_PARSING_PACKETS (103494) */
	'M', 'I', 'U', '_', 'R', 'D', 'R', 'E', 'Q', '_', 'B', 'U', 'S', 'Y', '\0', /* MIU_RDREQ_BUSY (103513) */
	'M', 'I', 'U', '_', 'W', 'R', 'R', 'E', 'Q', '_', 'B', 'U', 'S', 'Y', '\0', /* MIU_WRREQ_BUSY (103528) */
	'D', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* DC_BUSY (103543) */
	'M', 'E', 'Q', '_', 'B', 'U', 'S', 'Y', '\0', /* MEQ_BUSY (103551) */
	'Q', 'U', 'E', 'R', 'Y', '_', 'B', 'U', 'S', 'Y', '\0', /* QUERY_BUSY (103560) */
	'S', 'U', 'R', 'F', 'A', 'C', 'E', '_', 'S', 'Y', 'N', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* SURFACE_SYNC_BUSY (103571) */
	'C', 'P', 'C', '_', 'C', 'P', 'G', '_', 'B', 'U', 'S', 'Y', '\0', /* CPC_CPG_BUSY (103589) */
	'F', 'R', 'E', 'E', '_', 'C', 'O', 'U', 'N', 'T', '_', 'G', 'D', 'S', '\0', /* FREE_COUNT_GDS (103602) */
	'F', 'R', 'E', 'E', '_', 'C', 'O', 'U', 'N', 'T', '_', 'P', 'F', 'P', '\0', /* FREE_COUNT_PFP (103617) */
	'B', 'U', 'F', 'F', 'E', 'R', '_', 'S', 'L', 'O', 'T', 'S', '_', 'A', 'L', 'L', 'O', 'C', 'A', 'T', 'E', 'D', '\0', /* BUFFER_SLOTS_ALLOCATED (103632) */
	'B', 'U', 'F', 'F', 'E', 'R', '_', 'R', 'E', 'Q', 'U', 'E', 'S', 'T', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* BUFFER_REQUEST_COUNT (103655) */
	'F', 'E', 'T', 'C', 'H', '_', 'B', 'U', 'F', 'F', 'E', 'R', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* FETCH_BUFFER_DEPTH (103676) */
	'C', 'E', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', 'A', 'T', 'E', '_', 'I', 'C', 'A', 'C', 'H', 'E', '\0', /* CE_INVALIDATE_ICACHE (103695) */
	'P', 'F', 'P', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', 'A', 'T', 'E', '_', 'I', 'C', 'A', 'C', 'H', 'E', '\0', /* PFP_INVALIDATE_ICACHE (103716) */
	'M', 'E', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', 'A', 'T', 'E', '_', 'I', 'C', 'A', 'C', 'H', 'E', '\0', /* ME_INVALIDATE_ICACHE (103738) */
	'C', 'E', '_', 'H', 'A', 'L', 'T', '\0', /* CE_HALT (103759) */
	'C', 'E', '_', 'S', 'T', 'E', 'P', '\0', /* CE_STEP (103767) */
	'P', 'F', 'P', '_', 'H', 'A', 'L', 'T', '\0', /* PFP_HALT (103775) */
	'P', 'F', 'P', '_', 'S', 'T', 'E', 'P', '\0', /* PFP_STEP (103784) */
	'M', 'E', '_', 'H', 'A', 'L', 'T', '\0', /* ME_HALT (103793) */
	'M', 'E', '_', 'S', 'T', 'E', 'P', '\0', /* ME_STEP (103801) */
	'A', 'C', 'T', 'I', 'V', 'E', '_', 'H', 'P', '3', 'D', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', 'S', '\0', /* ACTIVE_HP3D_CONTEXTS (103809) */
	'C', 'U', 'R', 'R', 'E', 'N', 'T', '_', 'H', 'P', '3', 'D', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '\0', /* CURRENT_HP3D_CONTEXT (103830) */
	'A', 'C', 'T', 'I', 'V', 'E', '_', 'G', 'F', 'X', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', 'S', '\0', /* ACTIVE_GFX_CONTEXTS (103851) */
	'C', 'U', 'R', 'R', 'E', 'N', 'T', '_', 'G', 'F', 'X', '_', 'C', 'O', 'N', 'T', 'E', 'X', 'T', '\0', /* CURRENT_GFX_CONTEXT (103871) */
	'M', 'E', '_', 'C', 'N', 'T', 'X', 'S', 'W', '_', 'P', 'R', 'E', 'E', 'M', 'P', 'T', 'I', 'O', 'N', '\0', /* ME_CNTXSW_PREEMPTION (103891) */
	'R', 'B', '_', 'R', 'P', 'T', 'R', '\0', /* RB_RPTR (103912) */
	'P', 'R', 'E', '_', 'W', 'R', 'I', 'T', 'E', '_', 'T', 'I', 'M', 'E', 'R', '\0', /* PRE_WRITE_TIMER (103920) */
	'P', 'R', 'E', '_', 'W', 'R', 'I', 'T', 'E', '_', 'L', 'I', 'M', 'I', 'T', '\0', /* PRE_WRITE_LIMIT (103936) */
	'P', 'O', 'L', 'L', '_', 'F', 'R', 'E', 'Q', 'U', 'E', 'N', 'C', 'Y', '\0', /* POLL_FREQUENCY (103952) */
	'I', 'D', 'L', 'E', '_', 'P', 'O', 'L', 'L', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* IDLE_POLL_COUNT (103967) */
	'R', 'B', '1', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* RB1_START (103983) */
	'R', 'B', '2', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* RB2_START (103993) */
	'R', '0', '_', 'I', 'B', '1', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* R0_IB1_START (104003) */
	'R', '1', '_', 'I', 'B', '1', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* R1_IB1_START (104016) */
	'R', '2', '_', 'I', 'B', '1', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* R2_IB1_START (104029) */
	'R', '0', '_', 'I', 'B', '2', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* R0_IB2_START (104042) */
	'R', '1', '_', 'I', 'B', '2', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* R1_IB2_START (104055) */
	'R', '2', '_', 'I', 'B', '2', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* R2_IB2_START (104068) */
	'S', 'T', 'Q', '0', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* STQ0_START (104081) */
	'S', 'T', 'Q', '1', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* STQ1_START (104092) */
	'S', 'T', 'Q', '2', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* STQ2_START (104103) */
	'R', 'O', 'Q', '_', 'I', 'B', '1', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* ROQ_IB1_START (104114) */
	'R', 'O', 'Q', '_', 'I', 'B', '2', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* ROQ_IB2_START (104128) */
	'M', 'E', 'Q', '1', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* MEQ1_START (104142) */
	'M', 'E', 'Q', '2', '_', 'S', 'T', 'A', 'R', 'T', '\0', /* MEQ2_START (104153) */
	'R', 'O', 'Q', '_', 'C', 'N', 'T', '_', 'R', 'I', 'N', 'G', '\0', /* ROQ_CNT_RING (104164) */
	'R', 'O', 'Q', '_', 'C', 'N', 'T', '_', 'I', 'B', '1', '\0', /* ROQ_CNT_IB1 (104177) */
	'S', 'T', 'Q', '_', 'C', 'N', 'T', '\0', /* STQ_CNT (104189) */
	'R', 'O', 'Q', '_', 'C', 'N', 'T', '_', 'I', 'B', '2', '\0', /* ROQ_CNT_IB2 (104197) */
	'M', 'E', 'Q', '_', 'C', 'N', 'T', '\0', /* MEQ_CNT (104209) */
	'C', 'M', 'D', '_', 'M', 'E', '_', 'S', 'E', 'L', '\0', /* CMD_ME_SEL (104217) */
	'C', 'M', 'D', '_', 'Q', 'U', 'E', 'U', 'E', '_', 'S', 'E', 'L', '\0', /* CMD_QUEUE_SEL (104228) */
	'R', 'O', 'Q', '_', 'R', 'P', 'T', 'R', '_', 'P', 'R', 'I', 'M', 'A', 'R', 'Y', '\0', /* ROQ_RPTR_PRIMARY (104242) */
	'R', 'O', 'Q', '_', 'W', 'P', 'T', 'R', '_', 'P', 'R', 'I', 'M', 'A', 'R', 'Y', '\0', /* ROQ_WPTR_PRIMARY (104259) */
	'R', 'O', 'Q', '_', 'R', 'P', 'T', 'R', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '1', '\0', /* ROQ_RPTR_INDIRECT1 (104276) */
	'R', 'O', 'Q', '_', 'W', 'P', 'T', 'R', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '1', '\0', /* ROQ_WPTR_INDIRECT1 (104295) */
	'R', 'O', 'Q', '_', 'R', 'P', 'T', 'R', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '2', '\0', /* ROQ_RPTR_INDIRECT2 (104314) */
	'R', 'O', 'Q', '_', 'W', 'P', 'T', 'R', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '2', '\0', /* ROQ_WPTR_INDIRECT2 (104333) */
	'S', 'T', 'Q', '_', 'R', 'P', 'T', 'R', '\0', /* STQ_RPTR (104352) */
	'M', 'E', 'Q', '_', 'R', 'P', 'T', 'R', '\0', /* MEQ_RPTR (104361) */
	'M', 'E', 'Q', '_', 'W', 'P', 'T', 'R', '\0', /* MEQ_WPTR (104370) */
	'C', 'E', 'Q', '_', 'C', 'N', 'T', '_', 'R', 'I', 'N', 'G', '\0', /* CEQ_CNT_RING (104379) */
	'C', 'E', 'Q', '_', 'C', 'N', 'T', '_', 'I', 'B', '1', '\0', /* CEQ_CNT_IB1 (104392) */
	'C', 'E', 'Q', '_', 'C', 'N', 'T', '_', 'I', 'B', '2', '\0', /* CEQ_CNT_IB2 (104404) */
	'C', 'E', 'Q', '_', 'R', 'P', 'T', 'R', '_', 'P', 'R', 'I', 'M', 'A', 'R', 'Y', '\0', /* CEQ_RPTR_PRIMARY (104416) */
	'C', 'E', 'Q', '_', 'W', 'P', 'T', 'R', '_', 'P', 'R', 'I', 'M', 'A', 'R', 'Y', '\0', /* CEQ_WPTR_PRIMARY (104433) */
	'C', 'E', 'Q', '_', 'R', 'P', 'T', 'R', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '1', '\0', /* CEQ_RPTR_INDIRECT1 (104450) */
	'C', 'E', 'Q', '_', 'W', 'P', 'T', 'R', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '1', '\0', /* CEQ_WPTR_INDIRECT1 (104469) */
	'C', 'E', 'Q', '_', 'R', 'P', 'T', 'R', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '2', '\0', /* CEQ_RPTR_INDIRECT2 (104488) */
	'C', 'E', 'Q', '_', 'W', 'P', 'T', 'R', '_', 'I', 'N', 'D', 'I', 'R', 'E', 'C', 'T', '2', '\0', /* CEQ_WPTR_INDIRECT2 (104507) */
	'C', 'P', '_', 'E', 'C', 'C', '_', 'E', 'R', 'R', 'O', 'R', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* CP_ECC_ERROR_INT_ASSERTED (104526) */
	'W', 'R', 'M', '_', 'P', 'O', 'L', 'L', '_', 'T', 'I', 'M', 'E', 'O', 'U', 'T', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* WRM_POLL_TIMEOUT_INT_ASSERTED (104552) */
	'C', 'N', 'T', 'X', '_', 'B', 'U', 'S', 'Y', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* CNTX_BUSY_INT_ASSERTED (104582) */
	'C', 'N', 'T', 'X', '_', 'E', 'M', 'P', 'T', 'Y', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* CNTX_EMPTY_INT_ASSERTED (104605) */
	'P', 'R', 'I', 'V', '_', 'I', 'N', 'S', 'T', 'R', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* PRIV_INSTR_INT_ASSERTED (104629) */
	'P', 'R', 'I', 'V', '_', 'R', 'E', 'G', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* PRIV_REG_INT_ASSERTED (104653) */
	'O', 'P', 'C', 'O', 'D', 'E', '_', 'E', 'R', 'R', 'O', 'R', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* OPCODE_ERROR_INT_ASSERTED (104675) */
	'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'M', 'P', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* TIME_STAMP_INT_ASSERTED (104701) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', 'B', 'I', 'T', '_', 'E', 'R', 'R', 'O', 'R', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* RESERVED_BIT_ERROR_INT_ASSERTED (104725) */
	'G', 'E', 'N', 'E', 'R', 'I', 'C', '2', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* GENERIC2_INT_ASSERTED (104757) */
	'G', 'E', 'N', 'E', 'R', 'I', 'C', '1', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* GENERIC1_INT_ASSERTED (104779) */
	'G', 'E', 'N', 'E', 'R', 'I', 'C', '0', '_', 'I', 'N', 'T', '_', 'A', 'S', 'S', 'E', 'R', 'T', 'E', 'D', '\0', /* GENERIC0_INT_ASSERTED (104801) */
	'P', 'R', 'I', 'M', '_', 'C', 'O', 'U', 'N', 'T', '\0', /* PRIM_COUNT (104823) */
	'D', 'S', 'T', '_', 'S', 'T', 'A', 'T', 'E', '_', 'I', 'D', '\0', /* DST_STATE_ID (104834) */
	'V', 'S', '_', 'N', 'O', '_', 'E', 'X', 'T', 'R', 'A', '_', 'B', 'U', 'F', 'F', 'E', 'R', '\0', /* VS_NO_EXTRA_BUFFER (104847) */
	'A', 'U', 'T', 'O', '_', 'I', 'N', 'V', 'L', 'D', '_', 'E', 'N', '\0', /* AUTO_INVLD_EN (104866) */
	'U', 'S', 'E', '_', 'G', 'S', '_', 'D', 'O', 'N', 'E', '\0', /* USE_GS_DONE (104880) */
	'D', 'I', 'S', '_', 'R', 'A', 'N', 'G', 'E', '_', 'F', 'U', 'L', 'L', '_', 'I', 'N', 'V', 'L', 'D', '\0', /* DIS_RANGE_FULL_INVLD (104892) */
	'G', 'S', '_', 'L', 'A', 'T', 'E', '_', 'A', 'L', 'L', 'O', 'C', '_', 'E', 'N', '\0', /* GS_LATE_ALLOC_EN (104913) */
	'S', 'T', 'R', 'E', 'A', 'M', 'O', 'U', 'T', '_', 'F', 'U', 'L', 'L', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* STREAMOUT_FULL_FLUSH (104930) */
	'E', 'S', '_', 'L', 'I', 'M', 'I', 'T', '\0', /* ES_LIMIT (104951) */
	'V', 'S', '_', 'D', 'E', 'A', 'L', 'L', 'O', 'C', '_', 'T', 'B', 'L', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* VS_DEALLOC_TBL_DEPTH (104960) */
	'C', 'L', 'I', 'P', 'P', '_', 'F', 'I', 'F', 'O', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* CLIPP_FIFO_DEPTH (104981) */
	'V', 'E', 'R', 'T', '_', 'R', 'E', 'U', 'S', 'E', '\0', /* VERT_REUSE (104998) */
	'M', 'C', '_', 'T', 'I', 'M', 'E', '_', 'S', 'T', 'A', 'M', 'P', '_', 'R', 'E', 'S', '\0', /* MC_TIME_STAMP_RES (105009) */
	'I', 'A', '_', 'D', 'M', 'A', '_', 'B', 'U', 'S', 'Y', '\0', /* IA_DMA_BUSY (105027) */
	'I', 'A', '_', 'D', 'M', 'A', '_', 'R', 'E', 'Q', '_', 'B', 'U', 'S', 'Y', '\0', /* IA_DMA_REQ_BUSY (105039) */
	'I', 'A', '_', 'G', 'R', 'P', '_', 'B', 'U', 'S', 'Y', '\0', /* IA_GRP_BUSY (105055) */
	'I', 'A', '_', 'A', 'D', 'C', '_', 'B', 'U', 'S', 'Y', '\0', /* IA_ADC_BUSY (105067) */
	'V', 'G', 'T', '_', 'D', 'E', 'B', 'U', 'G', '_', 'I', 'N', 'D', 'X', '\0', /* VGT_DEBUG_INDX (105079) */
	'V', 'G', 'T', '_', 'D', 'E', 'B', 'U', 'G', '_', 'S', 'E', 'L', '_', 'B', 'U', 'S', '_', 'B', '\0', /* VGT_DEBUG_SEL_BUS_B (105094) */
	'I', 'A', '_', 'D', 'E', 'B', 'U', 'G', '_', 'I', 'N', 'D', 'X', '\0', /* IA_DEBUG_INDX (105114) */
	'I', 'A', '_', 'D', 'E', 'B', 'U', 'G', '_', 'S', 'E', 'L', '_', 'B', 'U', 'S', '_', 'B', '\0', /* IA_DEBUG_SEL_BUS_B (105128) */
	'V', 'G', 'T', '_', 'O', 'U', 'T', '_', 'I', 'N', 'D', 'X', '_', 'B', 'U', 'S', 'Y', '\0', /* VGT_OUT_INDX_BUSY (105147) */
	'V', 'G', 'T', '_', 'O', 'U', 'T', '_', 'B', 'U', 'S', 'Y', '\0', /* VGT_OUT_BUSY (105165) */
	'V', 'G', 'T', '_', 'P', 'T', '_', 'B', 'U', 'S', 'Y', '\0', /* VGT_PT_BUSY (105178) */
	'V', 'G', 'T', '_', 'T', 'E', '_', 'B', 'U', 'S', 'Y', '\0', /* VGT_TE_BUSY (105190) */
	'V', 'G', 'T', '_', 'V', 'R', '_', 'B', 'U', 'S', 'Y', '\0', /* VGT_VR_BUSY (105202) */
	'V', 'G', 'T', '_', 'P', 'I', '_', 'B', 'U', 'S', 'Y', '\0', /* VGT_PI_BUSY (105214) */
	'V', 'G', 'T', '_', 'G', 'S', '_', 'B', 'U', 'S', 'Y', '\0', /* VGT_GS_BUSY (105226) */
	'V', 'G', 'T', '_', 'H', 'S', '_', 'B', 'U', 'S', 'Y', '\0', /* VGT_HS_BUSY (105238) */
	'V', 'G', 'T', '_', 'T', 'E', '1', '1', '_', 'B', 'U', 'S', 'Y', '\0', /* VGT_TE11_BUSY (105250) */
	'P', 'E', 'R', 'F', '_', 'S', 'E', 'I', 'D', '_', 'I', 'G', 'N', 'O', 'R', 'E', '_', 'M', 'A', 'S', 'K', '\0', /* PERF_SEID_IGNORE_MASK (105264) */
	'D', 'I', '_', 'P', 'T', '_', 'U', 'N', 'U', 'S', 'E', 'D', '_', '0', '\0', /* DI_PT_UNUSED_0 (105286) */
	'D', 'I', '_', 'P', 'T', '_', '2', 'D', '_', 'C', 'O', 'P', 'Y', '_', 'R', 'E', 'C', 'T', '_', 'L', 'I', 'S', 'T', '_', 'V', '0', '\0', /* DI_PT_2D_COPY_RECT_LIST_V0 (105301) */
	'D', 'I', '_', 'P', 'T', '_', '2', 'D', '_', 'C', 'O', 'P', 'Y', '_', 'R', 'E', 'C', 'T', '_', 'L', 'I', 'S', 'T', '_', 'V', '1', '\0', /* DI_PT_2D_COPY_RECT_LIST_V1 (105328) */
	'D', 'I', '_', 'P', 'T', '_', '2', 'D', '_', 'C', 'O', 'P', 'Y', '_', 'R', 'E', 'C', 'T', '_', 'L', 'I', 'S', 'T', '_', 'V', '2', '\0', /* DI_PT_2D_COPY_RECT_LIST_V2 (105355) */
	'D', 'I', '_', 'P', 'T', '_', '2', 'D', '_', 'C', 'O', 'P', 'Y', '_', 'R', 'E', 'C', 'T', '_', 'L', 'I', 'S', 'T', '_', 'V', '3', '\0', /* DI_PT_2D_COPY_RECT_LIST_V3 (105382) */
	'D', 'I', '_', 'P', 'T', '_', '2', 'D', '_', 'F', 'I', 'L', 'L', '_', 'R', 'E', 'C', 'T', '_', 'L', 'I', 'S', 'T', '\0', /* DI_PT_2D_FILL_RECT_LIST (105409) */
	'D', 'I', '_', 'P', 'T', '_', '2', 'D', '_', 'L', 'I', 'N', 'E', '_', 'S', 'T', 'R', 'I', 'P', '\0', /* DI_PT_2D_LINE_STRIP (105433) */
	'D', 'I', '_', 'P', 'T', '_', '2', 'D', '_', 'T', 'R', 'I', '_', 'S', 'T', 'R', 'I', 'P', '\0', /* DI_PT_2D_TRI_STRIP (105453) */
	'O', 'N', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* ON_DELAY (105472) */
	'O', 'F', 'F', '_', 'H', 'Y', 'S', 'T', 'E', 'R', 'E', 'S', 'I', 'S', '\0', /* OFF_HYSTERESIS (105481) */
	'S', 'O', 'F', 'T', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '7', '\0', /* SOFT_OVERRIDE7 (105496) */
	'P', 'E', 'R', 'F', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* PERF_ENABLE (105511) */
	'D', 'B', 'G', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* DBG_ENABLE (105523) */
	'S', 'O', 'F', 'T', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '4', '\0', /* SOFT_OVERRIDE4 (105534) */
	'S', 'O', 'F', 'T', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '3', '\0', /* SOFT_OVERRIDE3 (105549) */
	'G', 'S', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* GS_OVERRIDE (105564) */
	'C', 'O', 'R', 'E', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* CORE_OVERRIDE (105576) */
	'R', 'E', 'G', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* REG_OVERRIDE (105590) */
	'S', 'O', 'F', 'T', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '2', '\0', /* SOFT_OVERRIDE2 (105603) */
	'D', 'U', 'A', 'L', '_', 'C', 'O', 'R', 'E', '_', 'E', 'N', '\0', /* DUAL_CORE_EN (105618) */
	'M', 'A', 'X', '_', 'L', 'S', '_', 'H', 'S', '_', 'T', 'H', 'D', 'G', 'R', 'P', '\0', /* MAX_LS_HS_THDGRP (105631) */
	'A', 'D', 'C', '_', 'E', 'V', 'E', 'N', 'T', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* ADC_EVENT_FILTER_DISABLE (105648) */
	'D', 'P', 'F', 'P', '_', 'R', 'A', 'T', 'E', '\0', /* DPFP_RATE (105673) */
	'S', 'Q', 'C', '_', 'B', 'A', 'L', 'A', 'N', 'C', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* SQC_BALANCE_DISABLE (105683) */
	'H', 'A', 'L', 'F', '_', 'L', 'D', 'S', '\0', /* HALF_LDS (105703) */
	'I', 'N', 'A', 'C', 'T', 'I', 'V', 'E', '_', 'C', 'U', 'S', '\0', /* INACTIVE_CUS (105712) */
	'S', 'U', '_', 'D', 'E', 'B', 'U', 'G', '_', 'I', 'N', 'D', 'X', '\0', /* SU_DEBUG_INDX (105725) */
	'C', 'L', '_', 'B', 'U', 'S', 'Y', '\0', /* CL_BUSY (105739) */
	'C', 'L', 'I', 'P', '_', 'V', 'T', 'X', '_', 'R', 'E', 'O', 'R', 'D', 'E', 'R', '_', 'E', 'N', 'A', '\0', /* CLIP_VTX_REORDER_ENA (105747) */
	'N', 'U', 'M', '_', 'C', 'L', 'I', 'P', '_', 'S', 'E', 'Q', '\0', /* NUM_CLIP_SEQ (105768) */
	'C', 'L', 'I', 'P', 'P', 'E', 'D', '_', 'P', 'R', 'I', 'M', '_', 'S', 'E', 'Q', '_', 'S', 'T', 'A', 'L', 'L', '\0', /* CLIPPED_PRIM_SEQ_STALL (105781) */
	'V', 'E', '_', 'N', 'A', 'N', '_', 'P', 'R', 'O', 'C', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* VE_NAN_PROC_DISABLE (105804) */
	'X', 'T', 'R', 'A', '_', 'D', 'E', 'B', 'U', 'G', '_', 'R', 'E', 'G', '_', 'S', 'E', 'L', '\0', /* XTRA_DEBUG_REG_SEL (105824) */
	'E', 'C', 'O', '_', 'S', 'P', 'A', 'R', 'E', '3', '\0', /* ECO_SPARE3 (105843) */
	'E', 'C', 'O', '_', 'S', 'P', 'A', 'R', 'E', '2', '\0', /* ECO_SPARE2 (105854) */
	'E', 'C', 'O', '_', 'S', 'P', 'A', 'R', 'E', '1', '\0', /* ECO_SPARE1 (105865) */
	'E', 'C', 'O', '_', 'S', 'P', 'A', 'R', 'E', '0', '\0', /* ECO_SPARE0 (105876) */
	'S', 'O', 'F', 'T', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '6', '\0', /* SOFT_OVERRIDE6 (105887) */
	'S', 'O', 'F', 'T', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '5', '\0', /* SOFT_OVERRIDE5 (105902) */
	'S', 'U', '_', 'C', 'L', 'K', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* SU_CLK_OVERRIDE (105917) */
	'C', 'L', '_', 'C', 'L', 'K', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* CL_CLK_OVERRIDE (105933) */
	'R', 'E', 'G', '_', 'C', 'L', 'K', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '\0', /* REG_CLK_OVERRIDE (105949) */
	'S', 'U', '_', 'B', 'U', 'S', 'Y', '\0', /* SU_BUSY (105966) */
	'F', 'O', 'R', 'C', 'E', '_', 'E', 'O', 'V', '_', 'M', 'A', 'X', '_', 'C', 'L', 'K', '_', 'C', 'N', 'T', '\0', /* FORCE_EOV_MAX_CLK_CNT (105974) */
	'F', 'O', 'R', 'C', 'E', '_', 'E', 'O', 'V', '_', 'M', 'A', 'X', '_', 'R', 'E', 'Z', '_', 'C', 'N', 'T', '\0', /* FORCE_EOV_MAX_REZ_CNT (105996) */
	'S', 'O', 'F', 'T', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '1', '\0', /* SOFT_OVERRIDE1 (106018) */
	'S', 'O', 'F', 'T', '_', 'O', 'V', 'E', 'R', 'R', 'I', 'D', 'E', '0', '\0', /* SOFT_OVERRIDE0 (106033) */
	'S', 'C', '_', 'F', 'R', 'O', 'N', 'T', 'E', 'N', 'D', '_', 'P', 'R', 'I', 'M', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* SC_FRONTEND_PRIM_FIFO_SIZE (106048) */
	'S', 'C', '_', 'B', 'A', 'C', 'K', 'E', 'N', 'D', '_', 'P', 'R', 'I', 'M', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* SC_BACKEND_PRIM_FIFO_SIZE (106075) */
	'S', 'C', '_', 'H', 'I', 'Z', '_', 'T', 'I', 'L', 'E', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* SC_HIZ_TILE_FIFO_SIZE (106101) */
	'S', 'C', '_', 'E', 'A', 'R', 'L', 'Y', 'Z', '_', 'T', 'I', 'L', 'E', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* SC_EARLYZ_TILE_FIFO_SIZE (106123) */
	'S', 'C', '_', 'D', 'B', '_', 'T', 'I', 'L', 'E', '_', 'I', 'F', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* SC_DB_TILE_IF_FIFO_SIZE (106148) */
	'S', 'C', '_', 'D', 'B', '_', 'Q', 'U', 'A', 'D', '_', 'I', 'F', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* SC_DB_QUAD_IF_FIFO_SIZE (106172) */
	'S', 'C', '_', 'S', 'P', 'I', '_', 'I', 'F', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* SC_SPI_IF_FIFO_SIZE (106196) */
	'S', 'C', '_', 'B', 'C', 'I', '_', 'I', 'F', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* SC_BCI_IF_FIFO_SIZE (106216) */
	'S', 'C', '_', 'D', 'E', 'B', 'U', 'G', '_', 'I', 'N', 'D', 'X', '\0', /* SC_DEBUG_INDX (106236) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'P', 'A', '_', 'S', 'C', '_', 'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '\0', /* ENABLE_PA_SC_OUT_OF_ORDER (106250) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'S', 'C', '_', 'D', 'B', '_', 'T', 'I', 'L', 'E', '_', 'F', 'I', 'X', '\0', /* DISABLE_SC_DB_TILE_FIX (106276) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'A', 'A', '_', 'M', 'A', 'S', 'K', '_', 'F', 'U', 'L', 'L', '_', 'F', 'I', 'X', '\0', /* DISABLE_AA_MASK_FULL_FIX (106299) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', '1', 'X', 'M', 'S', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', 'A', 'T', 'I', 'O', 'N', 'S', '\0', /* ENABLE_1XMSAA_SAMPLE_LOCATIONS (106324) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', '1', 'X', 'M', 'S', 'A', 'A', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'L', 'O', 'C', '_', 'C', 'E', 'N', 'T', 'R', 'O', 'I', 'D', '\0', /* ENABLE_1XMSAA_SAMPLE_LOC_CENTROID (106355) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'S', 'C', 'I', 'S', 'S', 'O', 'R', '_', 'F', 'I', 'X', '\0', /* DISABLE_SCISSOR_FIX (106389) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'P', 'W', '_', 'B', 'U', 'B', 'B', 'L', 'E', '_', 'C', 'O', 'L', 'L', 'A', 'P', 'S', 'E', '\0', /* DISABLE_PW_BUBBLE_COLLAPSE (106409) */
	'S', 'E', 'N', 'D', '_', 'U', 'N', 'L', 'I', 'T', '_', 'S', 'T', 'I', 'L', 'E', 'S', '_', 'T', 'O', '_', 'P', 'A', 'C', 'K', 'E', 'R', '\0', /* SEND_UNLIT_STILES_TO_PACKER (106436) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'D', 'U', 'A', 'L', 'G', 'R', 'A', 'D', '_', 'P', 'E', 'R', 'F', '_', 'O', 'P', 'T', 'I', 'M', 'I', 'Z', 'A', 'T', 'I', 'O', 'N', '\0', /* DISABLE_DUALGRAD_PERF_OPTIMIZATION (106464) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'S', 'C', '_', 'P', 'R', 'O', 'C', 'E', 'S', 'S', '_', 'R', 'E', 'S', 'E', 'T', '_', 'P', 'R', 'I', 'M', '\0', /* DISABLE_SC_PROCESS_RESET_PRIM (106499) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'S', 'C', '_', 'P', 'R', 'O', 'C', 'E', 'S', 'S', '_', 'R', 'E', 'S', 'E', 'T', '_', 'S', 'U', 'P', 'E', 'R', 'T', 'I', 'L', 'E', '\0', /* DISABLE_SC_PROCESS_RESET_SUPERTILE (106529) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'S', 'C', '_', 'P', 'R', 'O', 'C', 'E', 'S', 'S', '_', 'R', 'E', 'S', 'E', 'T', '_', 'T', 'I', 'L', 'E', '\0', /* DISABLE_SC_PROCESS_RESET_TILE (106564) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'P', 'A', '_', 'S', 'C', '_', 'G', 'U', 'I', 'D', 'A', 'N', 'C', 'E', '\0', /* DISABLE_PA_SC_GUIDANCE (106594) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'E', 'O', 'V', '_', 'A', 'L', 'L', '_', 'C', 'T', 'R', 'L', '_', 'O', 'N', 'L', 'Y', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'A', 'T', 'I', 'O', 'N', 'S', '\0', /* DISABLE_EOV_ALL_CTRL_ONLY_COMBINATIONS (106617) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'M', 'U', 'L', 'T', 'I', 'C', 'Y', 'C', 'L', 'E', '_', 'B', 'U', 'B', 'B', 'L', 'E', '_', 'F', 'R', 'E', 'E', 'Z', 'E', '\0', /* ENABLE_MULTICYCLE_BUBBLE_FREEZE (106656) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'P', 'A', '_', 'S', 'C', '_', 'G', 'U', 'I', 'D', 'A', 'N', 'C', 'E', '\0', /* DISABLE_OUT_OF_ORDER_PA_SC_GUIDANCE (106688) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'P', 'O', 'L', 'Y', '_', 'M', 'O', 'D', 'E', '\0', /* ENABLE_OUT_OF_ORDER_POLY_MODE (106724) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'E', 'O', 'P', '_', 'S', 'Y', 'N', 'C', '_', 'N', 'U', 'L', 'L', '_', 'P', 'R', 'I', 'M', 'S', '_', 'L', 'A', 'S', 'T', '\0', /* DISABLE_OUT_OF_ORDER_EOP_SYNC_NULL_PRIMS_LAST (106754) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '_', 'S', 'W', 'I', 'T', 'C', 'H', 'I', 'N', 'G', '\0', /* DISABLE_OUT_OF_ORDER_THRESHOLD_SWITCHING (106800) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'T', 'H', 'R', 'E', 'S', 'H', 'O', 'L', 'D', '_', 'S', 'W', 'I', 'T', 'C', 'H', '_', 'A', 'T', '_', 'E', 'O', 'P', 'G', '_', 'O', 'N', 'L', 'Y', '\0', /* ENABLE_OUT_OF_ORDER_THRESHOLD_SWITCH_AT_EOPG_ONLY (106841) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'D', 'E', 'S', 'I', 'R', 'E', 'D', '_', 'F', 'I', 'F', 'O', '_', 'E', 'M', 'P', 'T', 'Y', '_', 'S', 'W', 'I', 'T', 'C', 'H', 'I', 'N', 'G', '\0', /* DISABLE_OUT_OF_ORDER_DESIRED_FIFO_EMPTY_SWITCHING (106891) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'S', 'E', 'L', 'E', 'C', 'T', 'E', 'D', '_', 'F', 'I', 'F', 'O', '_', 'E', 'M', 'P', 'T', 'Y', '_', 'S', 'W', 'I', 'T', 'C', 'H', 'I', 'N', 'G', '\0', /* DISABLE_OUT_OF_ORDER_SELECTED_FIFO_EMPTY_SWITCHING (106941) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'E', 'M', 'P', 'T', 'Y', '_', 'S', 'W', 'I', 'T', 'C', 'H', 'I', 'N', 'G', '_', 'H', 'Y', 'S', 'T', 'E', 'R', 'Y', 'S', 'I', 'S', '\0', /* DISABLE_OUT_OF_ORDER_EMPTY_SWITCHING_HYSTERYSIS (106992) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'O', 'U', 'T', '_', 'O', 'F', '_', 'O', 'R', 'D', 'E', 'R', '_', 'D', 'E', 'S', 'I', 'R', 'E', 'D', '_', 'F', 'I', 'F', 'O', '_', 'I', 'S', '_', 'N', 'E', 'X', 'T', '_', 'F', 'E', 'I', 'D', '\0', /* ENABLE_OUT_OF_ORDER_DESIRED_FIFO_IS_NEXT_FEID (107040) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'S', 'C', 'A', '_', 'B', 'Y', 'P', 'A', 'S', 'S', '\0', /* DISABLE_SCA_BYPASS (107086) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'I', 'B', '_', 'D', 'E', 'P', '_', 'C', 'H', 'E', 'C', 'K', '\0', /* DISABLE_IB_DEP_CHECK (107105) */
	'E', 'N', 'A', 'B', 'L', 'E', '_', 'S', 'O', 'F', 'T', '_', 'C', 'L', 'A', 'U', 'S', 'E', '\0', /* ENABLE_SOFT_CLAUSE (107126) */
	'E', 'A', 'R', 'L', 'Y', '_', 'T', 'A', '_', 'D', 'O', 'N', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* EARLY_TA_DONE_DISABLE (107145) */
	'D', 'U', 'A', '_', 'F', 'L', 'A', 'T', '_', 'L', 'O', 'C', 'K', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* DUA_FLAT_LOCK_ENABLE (107167) */
	'D', 'U', 'A', '_', 'L', 'D', 'S', '_', 'B', 'Y', 'P', 'A', 'S', 'S', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* DUA_LDS_BYPASS_DISABLE (107188) */
	'D', 'U', 'A', '_', 'F', 'L', 'A', 'T', '_', 'L', 'D', 'S', '_', 'P', 'I', 'N', 'G', 'P', 'O', 'N', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* DUA_FLAT_LDS_PINGPONG_DISABLE (107211) */
	'I', 'N', 'S', 'T', '_', 'C', 'A', 'C', 'H', 'E', '_', 'S', 'I', 'Z', 'E', '\0', /* INST_CACHE_SIZE (107241) */
	'D', 'A', 'T', 'A', '_', 'C', 'A', 'C', 'H', 'E', '_', 'S', 'I', 'Z', 'E', '\0', /* DATA_CACHE_SIZE (107257) */
	'M', 'I', 'S', 'S', '_', 'F', 'I', 'F', 'O', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* MISS_FIFO_DEPTH (107273) */
	'H', 'I', 'T', '_', 'F', 'I', 'F', 'O', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* HIT_FIFO_DEPTH (107289) */
	'F', 'O', 'R', 'C', 'E', '_', 'A', 'L', 'W', 'A', 'Y', 'S', '_', 'M', 'I', 'S', 'S', '\0', /* FORCE_ALWAYS_MISS (107304) */
	'F', 'O', 'R', 'C', 'E', '_', 'I', 'N', '_', 'O', 'R', 'D', 'E', 'R', '\0', /* FORCE_IN_ORDER (107322) */
	'I', 'D', 'E', 'N', 'T', 'I', 'T', 'Y', '_', 'H', 'A', 'S', 'H', '_', 'B', 'A', 'N', 'K', '\0', /* IDENTITY_HASH_BANK (107337) */
	'I', 'D', 'E', 'N', 'T', 'I', 'T', 'Y', '_', 'H', 'A', 'S', 'H', '_', 'S', 'E', 'T', '\0', /* IDENTITY_HASH_SET (107356) */
	'P', 'E', 'R', '_', 'V', 'M', 'I', 'D', '_', 'I', 'N', 'V', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* PER_VMID_INV_DISABLE (107374) */
	'I', 'N', 'S', 'T', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', 'A', 'T', 'E', '\0', /* INST_INVALIDATE (107395) */
	'D', 'A', 'T', 'A', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', 'A', 'T', 'E', '\0', /* DATA_INVALIDATE (107411) */
	'I', 'N', 'V', 'A', 'L', 'I', 'D', 'A', 'T', 'E', '_', 'V', 'O', 'L', 'A', 'T', 'I', 'L', 'E', '\0', /* INVALIDATE_VOLATILE (107427) */
	'R', 'E', 'T', '\0', /* RET (107447) */
	'R', 'U', 'I', '\0', /* RUI (107451) */
	'R', 'N', 'G', '\0', /* RNG (107455) */
	'S', 'R', 'B', 'M', '_', 'C', 'R', 'E', 'D', 'I', 'T', 'S', '\0', /* SRBM_CREDITS (107459) */
	'C', 'M', 'D', '_', 'C', 'R', 'E', 'D', 'I', 'T', 'S', '\0', /* CMD_CREDITS (107472) */
	'R', 'E', 'G', '_', 'B', 'U', 'S', 'Y', '\0', /* REG_BUSY (107484) */
	'S', 'R', 'B', 'M', '_', 'O', 'V', 'E', 'R', 'F', 'L', 'O', 'W', '\0', /* SRBM_OVERFLOW (107493) */
	'I', 'N', 'T', 'E', 'R', 'R', 'U', 'P', 'T', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* INTERRUPT_FIFO_SIZE (107507) */
	'T', 'T', 'R', 'A', 'C', 'E', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* TTRACE_FIFO_SIZE (107527) */
	'E', 'X', 'P', 'O', 'R', 'T', '_', 'B', 'U', 'F', '_', 'S', 'I', 'Z', 'E', '\0', /* EXPORT_BUF_SIZE (107544) */
	'V', 'M', 'E', 'M', '_', 'D', 'A', 'T', 'A', '_', 'F', 'I', 'F', 'O', '_', 'S', 'I', 'Z', 'E', '\0', /* VMEM_DATA_FIFO_SIZE (107560) */
	'S', 'Q', 'C', '0', '_', 'B', 'A', 'N', 'K', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* SQC0_BANK_DISABLE (107580) */
	'S', 'Q', 'C', '1', '_', 'B', 'A', 'N', 'K', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* SQC1_BANK_DISABLE (107598) */
	'S', 'Q', 'C', '2', '_', 'B', 'A', 'N', 'K', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* SQC2_BANK_DISABLE (107616) */
	'S', 'Q', 'C', '3', '_', 'B', 'A', 'N', 'K', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* SQC3_BANK_DISABLE (107634) */
	'I', 'N', 'T', 'E', 'R', 'R', 'U', 'P', 'T', '_', 'M', 'S', 'G', '_', 'B', 'U', 'S', 'Y', '\0', /* INTERRUPT_MSG_BUSY (107652) */
	'W', 'A', 'V', 'E', '_', 'L', 'E', 'V', 'E', 'L', '_', 'S', 'H', '0', '\0', /* WAVE_LEVEL_SH0 (107671) */
	'W', 'A', 'V', 'E', '_', 'L', 'E', 'V', 'E', 'L', '_', 'S', 'H', '1', '\0', /* WAVE_LEVEL_SH1 (107686) */
	'S', 'Q', 'C', '_', 'C', 'L', 'I', 'E', 'N', 'T', '_', 'M', 'A', 'S', 'K', '\0', /* SQC_CLIENT_MASK (107701) */
	'S', 'I', 'M', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* SIMD_MASK (107717) */
	'F', 'O', 'R', 'C', 'E', '_', 'C', 'U', '_', 'O', 'N', '_', 'S', 'H', '0', '\0', /* FORCE_CU_ON_SH0 (107727) */
	'F', 'O', 'R', 'C', 'E', '_', 'C', 'U', '_', 'O', 'N', '_', 'S', 'H', '1', '\0', /* FORCE_CU_ON_SH1 (107743) */
	'T', 'H', 'R', 'E', 'A', 'D', '_', 'I', 'D', '\0', /* THREAD_ID (107759) */
	'A', 'U', 'T', 'O', '_', 'I', 'N', 'C', 'R', '\0', /* AUTO_INCR (107769) */
	'F', 'O', 'R', 'C', 'E', '_', 'R', 'E', 'A', 'D', '\0', /* FORCE_READ (107779) */
	'U', 'N', 'I', 'N', 'D', 'E', 'X', 'E', 'D', '\0', /* UNINDEXED (107790) */
	'T', 'I', 'M', 'E', '\0', /* TIME (107800) */
	'C', 'U', '_', 'S', 'E', 'L', '\0', /* CU_SEL (107805) */
	'S', 'H', '_', 'S', 'E', 'L', '\0', /* SH_SEL (107812) */
	'V', 'M', '_', 'I', 'D', '_', 'M', 'A', 'S', 'K', '\0', /* VM_ID_MASK (107819) */
	'R', 'A', 'N', 'D', 'O', 'M', '_', 'S', 'E', 'E', 'D', '\0', /* RANDOM_SEED (107830) */
	'R', 'E', 'G', '_', 'M', 'A', 'S', 'K', '\0', /* REG_MASK (107842) */
	'S', 'H', '0', '_', 'M', 'A', 'S', 'K', '\0', /* SH0_MASK (107851) */
	'S', 'H', '1', '_', 'M', 'A', 'S', 'K', '\0', /* SH1_MASK (107860) */
	'R', 'E', 'A', 'D', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* READ_OFFSET (107869) */
	'N', 'E', 'W', '_', 'B', 'U', 'F', '\0', /* NEW_BUF (107881) */
	'M', 'A', 'S', 'K', '_', 'P', 'S', '\0', /* MASK_PS (107889) */
	'M', 'A', 'S', 'K', '_', 'V', 'S', '\0', /* MASK_VS (107897) */
	'M', 'A', 'S', 'K', '_', 'G', 'S', '\0', /* MASK_GS (107905) */
	'M', 'A', 'S', 'K', '_', 'E', 'S', '\0', /* MASK_ES (107913) */
	'M', 'A', 'S', 'K', '_', 'H', 'S', '\0', /* MASK_HS (107921) */
	'M', 'A', 'S', 'K', '_', 'L', 'S', '\0', /* MASK_LS (107929) */
	'M', 'A', 'S', 'K', '_', 'C', 'S', '\0', /* MASK_CS (107937) */
	'C', 'A', 'P', 'T', 'U', 'R', 'E', '_', 'M', 'O', 'D', 'E', '\0', /* CAPTURE_MODE (107945) */
	'A', 'U', 'T', 'O', 'F', 'L', 'U', 'S', 'H', '_', 'E', 'N', '\0', /* AUTOFLUSH_EN (107958) */
	'I', 'S', 'S', 'U', 'E', '_', 'M', 'A', 'S', 'K', '\0', /* ISSUE_MASK (107971) */
	'T', 'E', 'S', 'T', '_', 'M', 'O', 'D', 'E', '\0', /* TEST_MODE (107982) */
	'R', 'E', 'S', 'E', 'T', '_', 'B', 'U', 'F', 'F', 'E', 'R', '\0', /* RESET_BUFFER (107992) */
	'M', 'I', 'N', '_', 'P', 'O', 'W', 'E', 'R', '\0', /* MIN_POWER (108005) */
	'M', 'A', 'X', '_', 'P', 'O', 'W', 'E', 'R', '\0', /* MAX_POWER (108015) */
	'P', 'H', 'A', 'S', 'E', '_', 'O', 'F', 'F', 'S', 'E', 'T', '\0', /* PHASE_OFFSET (108025) */
	'M', 'A', 'X', '_', 'P', 'O', 'W', 'E', 'R', '_', 'D', 'E', 'L', 'T', 'A', '\0', /* MAX_POWER_DELTA (108038) */
	'S', 'H', 'O', 'R', 'T', '_', 'T', 'E', 'R', 'M', '_', 'I', 'N', 'T', 'E', 'R', 'V', 'A', 'L', '_', 'S', 'I', 'Z', 'E', '\0', /* SHORT_TERM_INTERVAL_SIZE (108054) */
	'L', 'O', 'N', 'G', '_', 'T', 'E', 'R', 'M', '_', 'I', 'N', 'T', 'E', 'R', 'V', 'A', 'L', '_', 'R', 'A', 'T', 'I', 'O', '\0', /* LONG_TERM_INTERVAL_RATIO (108079) */
	'U', 'S', 'E', '_', 'R', 'E', 'F', '_', 'C', 'L', 'O', 'C', 'K', '\0', /* USE_REF_CLOCK (108104) */
	'I', 'N', 'S', 'T', '_', 'S', 'E', 'C', '\0', /* INST_SEC (108118) */
	'I', 'N', 'S', 'T', '_', 'D', 'E', 'D', '\0', /* INST_DED (108127) */
	'D', 'A', 'T', 'A', '_', 'S', 'E', 'C', '\0', /* DATA_SEC (108136) */
	'D', 'A', 'T', 'A', '_', 'D', 'E', 'D', '\0', /* DATA_DED (108145) */
	'L', 'D', 'S', '_', 'S', 'E', 'C', '\0', /* LDS_SEC (108154) */
	'S', 'G', 'P', 'R', '_', 'S', 'E', 'C', '\0', /* SGPR_SEC (108162) */
	'V', 'G', 'P', 'R', '_', 'S', 'E', 'C', '\0', /* VGPR_SEC (108171) */
	'L', 'D', 'S', '_', 'D', 'E', 'D', '\0', /* LDS_DED (108180) */
	'S', 'G', 'P', 'R', '_', 'D', 'E', 'D', '\0', /* SGPR_DED (108188) */
	'V', 'G', 'P', 'R', '_', 'D', 'E', 'D', '\0', /* VGPR_DED (108197) */
	'S', 'Q', '_', 'S', 'E', 'L', '_', '0', '\0', /* SQ_SEL_0 (108206) */
	'S', 'Q', '_', 'S', 'E', 'L', '_', '1', '\0', /* SQ_SEL_1 (108215) */
	'S', 'Q', '_', 'S', 'E', 'L', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '0', '\0', /* SQ_SEL_RESERVED_0 (108224) */
	'S', 'Q', '_', 'S', 'E', 'L', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '\0', /* SQ_SEL_RESERVED_1 (108242) */
	'S', 'Q', '_', 'S', 'E', 'L', '_', 'X', '\0', /* SQ_SEL_X (108260) */
	'S', 'Q', '_', 'S', 'E', 'L', '_', 'Y', '\0', /* SQ_SEL_Y (108269) */
	'S', 'Q', '_', 'S', 'E', 'L', '_', 'Z', '\0', /* SQ_SEL_Z (108278) */
	'S', 'Q', '_', 'S', 'E', 'L', '_', 'W', '\0', /* SQ_SEL_W (108287) */
	'B', 'U', 'F', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* BUF_NUM_FORMAT_UNORM (108296) */
	'B', 'U', 'F', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* BUF_NUM_FORMAT_SNORM (108317) */
	'B', 'U', 'F', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* BUF_NUM_FORMAT_USCALED (108338) */
	'B', 'U', 'F', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* BUF_NUM_FORMAT_SSCALED (108361) */
	'B', 'U', 'F', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'I', 'N', 'T', '\0', /* BUF_NUM_FORMAT_UINT (108384) */
	'B', 'U', 'F', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', 'I', 'N', 'T', '\0', /* BUF_NUM_FORMAT_SINT (108404) */
	'B', 'U', 'F', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', 'N', 'O', 'R', 'M', '_', 'O', 'G', 'L', '\0', /* BUF_NUM_FORMAT_SNORM_OGL (108424) */
	'B', 'U', 'F', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* BUF_NUM_FORMAT_FLOAT (108449) */
	'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* NUM_FORMAT (108470) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', '\0', /* BUF_DATA_FORMAT_INVALID (108481) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '\0', /* BUF_DATA_FORMAT_8 (108505) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '\0', /* BUF_DATA_FORMAT_16 (108523) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '\0', /* BUF_DATA_FORMAT_8_8 (108542) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '\0', /* BUF_DATA_FORMAT_32 (108562) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '\0', /* BUF_DATA_FORMAT_16_16 (108581) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '1', '_', '1', '1', '\0', /* BUF_DATA_FORMAT_10_11_11 (108603) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '1', '_', '1', '1', '_', '1', '0', '\0', /* BUF_DATA_FORMAT_11_11_10 (108628) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', '2', '\0', /* BUF_DATA_FORMAT_10_10_10_2 (108653) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '\0', /* BUF_DATA_FORMAT_2_10_10_10 (108680) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', '8', '_', '8', '\0', /* BUF_DATA_FORMAT_8_8_8_8 (108707) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '\0', /* BUF_DATA_FORMAT_32_32 (108731) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '\0', /* BUF_DATA_FORMAT_16_16_16_16 (108753) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', '3', '2', '\0', /* BUF_DATA_FORMAT_32_32_32 (108781) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', '3', '2', '\0', /* BUF_DATA_FORMAT_32_32_32_32 (108806) */
	'B', 'U', 'F', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '5', '\0', /* BUF_DATA_FORMAT_RESERVED_15 (108834) */
	'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '\0', /* DATA_FORMAT (108862) */
	'E', 'L', 'E', 'M', 'E', 'N', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* ELEMENT_SIZE (108874) */
	'H', 'A', 'S', 'H', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* HASH_ENABLE (108887) */
	'H', 'E', 'A', 'P', '\0', /* HEAP (108899) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'B', 'U', 'F', '\0', /* SQ_RSRC_BUF (108904) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'B', 'U', 'F', '_', 'R', 'S', 'V', 'D', '_', '1', '\0', /* SQ_RSRC_BUF_RSVD_1 (108916) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'B', 'U', 'F', '_', 'R', 'S', 'V', 'D', '_', '2', '\0', /* SQ_RSRC_BUF_RSVD_2 (108935) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'B', 'U', 'F', '_', 'R', 'S', 'V', 'D', '_', '3', '\0', /* SQ_RSRC_BUF_RSVD_3 (108954) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'I', 'N', 'V', 'A', 'L', 'I', 'D', '\0', /* IMG_DATA_FORMAT_INVALID (108973) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '\0', /* IMG_DATA_FORMAT_8 (108997) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '\0', /* IMG_DATA_FORMAT_16 (109015) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '\0', /* IMG_DATA_FORMAT_8_8 (109034) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_32 (109054) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '\0', /* IMG_DATA_FORMAT_16_16 (109073) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '1', '_', '1', '1', '\0', /* IMG_DATA_FORMAT_10_11_11 (109095) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '1', '_', '1', '1', '_', '1', '0', '\0', /* IMG_DATA_FORMAT_11_11_10 (109120) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '0', '_', '1', '0', '_', '1', '0', '_', '2', '\0', /* IMG_DATA_FORMAT_10_10_10_2 (109145) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '_', '1', '0', '_', '1', '0', '_', '1', '0', '\0', /* IMG_DATA_FORMAT_2_10_10_10 (109172) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '8', '_', '8', '_', '8', '\0', /* IMG_DATA_FORMAT_8_8_8_8 (109199) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_32_32 (109223) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '\0', /* IMG_DATA_FORMAT_16_16_16_16 (109245) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_32_32_32 (109273) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_32_32_32_32 (109298) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '5', '\0', /* IMG_DATA_FORMAT_RESERVED_15 (109326) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '5', '_', '6', '_', '5', '\0', /* IMG_DATA_FORMAT_5_6_5 (109354) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '_', '5', '_', '5', '_', '5', '\0', /* IMG_DATA_FORMAT_1_5_5_5 (109376) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '5', '_', '5', '_', '5', '_', '1', '\0', /* IMG_DATA_FORMAT_5_5_5_1 (109400) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '4', '_', '4', '_', '4', '_', '4', '\0', /* IMG_DATA_FORMAT_4_4_4_4 (109424) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', '2', '4', '\0', /* IMG_DATA_FORMAT_8_24 (109448) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '2', '4', '_', '8', '\0', /* IMG_DATA_FORMAT_24_8 (109469) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'X', '2', '4', '_', '8', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_X24_8_32 (109490) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '3', '\0', /* IMG_DATA_FORMAT_RESERVED_23 (109515) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '4', '\0', /* IMG_DATA_FORMAT_RESERVED_24 (109543) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '5', '\0', /* IMG_DATA_FORMAT_RESERVED_25 (109571) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '6', '\0', /* IMG_DATA_FORMAT_RESERVED_26 (109599) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '7', '\0', /* IMG_DATA_FORMAT_RESERVED_27 (109627) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '8', '\0', /* IMG_DATA_FORMAT_RESERVED_28 (109655) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '2', '9', '\0', /* IMG_DATA_FORMAT_RESERVED_29 (109683) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '3', '0', '\0', /* IMG_DATA_FORMAT_RESERVED_30 (109711) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '3', '1', '\0', /* IMG_DATA_FORMAT_RESERVED_31 (109739) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'G', 'B', '_', 'G', 'R', '\0', /* IMG_DATA_FORMAT_GB_GR (109767) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'G', '_', 'R', 'G', '\0', /* IMG_DATA_FORMAT_BG_RG (109789) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '5', '_', '9', '_', '9', '_', '9', '\0', /* IMG_DATA_FORMAT_5_9_9_9 (109811) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '1', '\0', /* IMG_DATA_FORMAT_BC1 (109835) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '2', '\0', /* IMG_DATA_FORMAT_BC2 (109855) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '3', '\0', /* IMG_DATA_FORMAT_BC3 (109875) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '4', '\0', /* IMG_DATA_FORMAT_BC4 (109895) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '5', '\0', /* IMG_DATA_FORMAT_BC5 (109915) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '6', '\0', /* IMG_DATA_FORMAT_BC6 (109935) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'B', 'C', '7', '\0', /* IMG_DATA_FORMAT_BC7 (109955) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '4', '2', '\0', /* IMG_DATA_FORMAT_RESERVED_42 (109975) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '4', '3', '\0', /* IMG_DATA_FORMAT_RESERVED_43 (110003) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '2', '_', 'F', '1', '\0', /* IMG_DATA_FORMAT_FMASK8_S2_F1 (110031) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '4', '_', 'F', '1', '\0', /* IMG_DATA_FORMAT_FMASK8_S4_F1 (110060) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '8', '_', 'F', '1', '\0', /* IMG_DATA_FORMAT_FMASK8_S8_F1 (110089) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '2', '_', 'F', '2', '\0', /* IMG_DATA_FORMAT_FMASK8_S2_F2 (110118) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '4', '_', 'F', '2', '\0', /* IMG_DATA_FORMAT_FMASK8_S4_F2 (110147) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '8', '_', 'S', '4', '_', 'F', '4', '\0', /* IMG_DATA_FORMAT_FMASK8_S4_F4 (110176) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '1', '6', '_', 'S', '1', '6', '_', 'F', '1', '\0', /* IMG_DATA_FORMAT_FMASK16_S16_F1 (110205) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '1', '6', '_', 'S', '8', '_', 'F', '2', '\0', /* IMG_DATA_FORMAT_FMASK16_S8_F2 (110236) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '3', '2', '_', 'S', '1', '6', '_', 'F', '2', '\0', /* IMG_DATA_FORMAT_FMASK32_S16_F2 (110266) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '3', '2', '_', 'S', '8', '_', 'F', '4', '\0', /* IMG_DATA_FORMAT_FMASK32_S8_F4 (110297) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '3', '2', '_', 'S', '8', '_', 'F', '8', '\0', /* IMG_DATA_FORMAT_FMASK32_S8_F8 (110327) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '6', '4', '_', 'S', '1', '6', '_', 'F', '4', '\0', /* IMG_DATA_FORMAT_FMASK64_S16_F4 (110357) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '6', '4', '_', 'S', '1', '6', '_', 'F', '8', '\0', /* IMG_DATA_FORMAT_FMASK64_S16_F8 (110388) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '4', '_', '4', '\0', /* IMG_DATA_FORMAT_4_4 (110419) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '6', '_', '5', '_', '5', '\0', /* IMG_DATA_FORMAT_6_5_5 (110439) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '\0', /* IMG_DATA_FORMAT_1 (110461) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '_', 'R', 'E', 'V', 'E', 'R', 'S', 'E', 'D', '\0', /* IMG_DATA_FORMAT_1_REVERSED (110479) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', 'A', 'S', '_', '8', '\0', /* IMG_DATA_FORMAT_32_AS_8 (110506) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', 'A', 'S', '_', '8', '_', '8', '\0', /* IMG_DATA_FORMAT_32_AS_8_8 (110530) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '3', '2', '_', 'A', 'S', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_32_AS_32_32_32_32 (110556) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'N', 'O', 'R', 'M', '\0', /* IMG_NUM_FORMAT_UNORM (110590) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', 'N', 'O', 'R', 'M', '\0', /* IMG_NUM_FORMAT_SNORM (110611) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_NUM_FORMAT_USCALED (110632) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_NUM_FORMAT_SSCALED (110655) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_NUM_FORMAT_UINT (110678) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', 'I', 'N', 'T', '\0', /* IMG_NUM_FORMAT_SINT (110698) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', 'N', 'O', 'R', 'M', '_', 'O', 'G', 'L', '\0', /* IMG_NUM_FORMAT_SNORM_OGL (110718) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'L', 'O', 'A', 'T', '\0', /* IMG_NUM_FORMAT_FLOAT (110743) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '8', '\0', /* IMG_NUM_FORMAT_RESERVED_8 (110764) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_NUM_FORMAT_SRGB (110790) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'B', 'N', 'O', 'R', 'M', '\0', /* IMG_NUM_FORMAT_UBNORM (110810) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'B', 'N', 'O', 'R', 'M', '_', 'O', 'G', 'L', '\0', /* IMG_NUM_FORMAT_UBNORM_OGL (110832) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'B', 'I', 'N', 'T', '\0', /* IMG_NUM_FORMAT_UBINT (110858) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'B', 'S', 'C', 'A', 'L', 'E', 'D', '\0', /* IMG_NUM_FORMAT_UBSCALED (110879) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '4', '\0', /* IMG_NUM_FORMAT_RESERVED_14 (110903) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '5', '\0', /* IMG_NUM_FORMAT_RESERVED_15 (110930) */
	'I', 'N', 'T', 'E', 'R', 'L', 'A', 'C', 'E', 'D', '\0', /* INTERLACED (110957) */
	'T', 'I', 'L', 'I', 'N', 'G', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* TILING_INDEX (110968) */
	'P', 'O', 'W', '2', '_', 'P', 'A', 'D', '\0', /* POW2_PAD (110981) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', 'R', 'S', 'V', 'D', '_', '0', '\0', /* SQ_RSRC_IMG_RSVD_0 (110990) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', 'R', 'S', 'V', 'D', '_', '1', '\0', /* SQ_RSRC_IMG_RSVD_1 (111009) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', 'R', 'S', 'V', 'D', '_', '2', '\0', /* SQ_RSRC_IMG_RSVD_2 (111028) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', 'R', 'S', 'V', 'D', '_', '3', '\0', /* SQ_RSRC_IMG_RSVD_3 (111047) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', 'R', 'S', 'V', 'D', '_', '4', '\0', /* SQ_RSRC_IMG_RSVD_4 (111066) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', 'R', 'S', 'V', 'D', '_', '5', '\0', /* SQ_RSRC_IMG_RSVD_5 (111085) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', 'R', 'S', 'V', 'D', '_', '6', '\0', /* SQ_RSRC_IMG_RSVD_6 (111104) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', 'R', 'S', 'V', 'D', '_', '7', '\0', /* SQ_RSRC_IMG_RSVD_7 (111123) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', '1', 'D', '\0', /* SQ_RSRC_IMG_1D (111142) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', '2', 'D', '\0', /* SQ_RSRC_IMG_2D (111157) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', '3', 'D', '\0', /* SQ_RSRC_IMG_3D (111172) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', 'C', 'U', 'B', 'E', '\0', /* SQ_RSRC_IMG_CUBE (111187) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', '1', 'D', '_', 'A', 'R', 'R', 'A', 'Y', '\0', /* SQ_RSRC_IMG_1D_ARRAY (111204) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', '2', 'D', '_', 'A', 'R', 'R', 'A', 'Y', '\0', /* SQ_RSRC_IMG_2D_ARRAY (111225) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', '2', 'D', '_', 'M', 'S', 'A', 'A', '\0', /* SQ_RSRC_IMG_2D_MSAA (111246) */
	'S', 'Q', '_', 'R', 'S', 'R', 'C', '_', 'I', 'M', 'G', '_', '2', 'D', '_', 'M', 'S', 'A', 'A', '_', 'A', 'R', 'R', 'A', 'Y', '\0', /* SQ_RSRC_IMG_2D_MSAA_ARRAY (111266) */
	'L', 'A', 'S', 'T', '_', 'A', 'R', 'R', 'A', 'Y', '\0', /* LAST_ARRAY (111292) */
	'U', 'N', 'U', 'N', 'S', 'E', 'D', '\0', /* UNUNSED (111303) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'W', 'R', 'A', 'P', '\0', /* SQ_TEX_WRAP (111311) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'M', 'I', 'R', 'R', 'O', 'R', '\0', /* SQ_TEX_MIRROR (111323) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'C', 'L', 'A', 'M', 'P', '_', 'L', 'A', 'S', 'T', '_', 'T', 'E', 'X', 'E', 'L', '\0', /* SQ_TEX_CLAMP_LAST_TEXEL (111337) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'M', 'I', 'R', 'R', 'O', 'R', '_', 'O', 'N', 'C', 'E', '_', 'L', 'A', 'S', 'T', '_', 'T', 'E', 'X', 'E', 'L', '\0', /* SQ_TEX_MIRROR_ONCE_LAST_TEXEL (111361) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'C', 'L', 'A', 'M', 'P', '_', 'H', 'A', 'L', 'F', '_', 'B', 'O', 'R', 'D', 'E', 'R', '\0', /* SQ_TEX_CLAMP_HALF_BORDER (111391) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'M', 'I', 'R', 'R', 'O', 'R', '_', 'O', 'N', 'C', 'E', '_', 'H', 'A', 'L', 'F', '_', 'B', 'O', 'R', 'D', 'E', 'R', '\0', /* SQ_TEX_MIRROR_ONCE_HALF_BORDER (111416) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'C', 'L', 'A', 'M', 'P', '_', 'B', 'O', 'R', 'D', 'E', 'R', '\0', /* SQ_TEX_CLAMP_BORDER (111447) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'M', 'I', 'R', 'R', 'O', 'R', '_', 'O', 'N', 'C', 'E', '_', 'B', 'O', 'R', 'D', 'E', 'R', '\0', /* SQ_TEX_MIRROR_ONCE_BORDER (111467) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'N', 'E', 'V', 'E', 'R', '\0', /* SQ_TEX_DEPTH_COMPARE_NEVER (111493) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'L', 'E', 'S', 'S', '\0', /* SQ_TEX_DEPTH_COMPARE_LESS (111520) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'E', 'Q', 'U', 'A', 'L', '\0', /* SQ_TEX_DEPTH_COMPARE_EQUAL (111546) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'L', 'E', 'S', 'S', 'E', 'Q', 'U', 'A', 'L', '\0', /* SQ_TEX_DEPTH_COMPARE_LESSEQUAL (111573) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'G', 'R', 'E', 'A', 'T', 'E', 'R', '\0', /* SQ_TEX_DEPTH_COMPARE_GREATER (111604) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'N', 'O', 'T', 'E', 'Q', 'U', 'A', 'L', '\0', /* SQ_TEX_DEPTH_COMPARE_NOTEQUAL (111633) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'G', 'R', 'E', 'A', 'T', 'E', 'R', 'E', 'Q', 'U', 'A', 'L', '\0', /* SQ_TEX_DEPTH_COMPARE_GREATEREQUAL (111663) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'D', 'E', 'P', 'T', 'H', '_', 'C', 'O', 'M', 'P', 'A', 'R', 'E', '_', 'A', 'L', 'W', 'A', 'Y', 'S', '\0', /* SQ_TEX_DEPTH_COMPARE_ALWAYS (111697) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'M', 'O', 'D', 'E', '_', 'B', 'L', 'E', 'N', 'D', '\0', /* SQ_IMG_FILTER_MODE_BLEND (111725) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'M', 'O', 'D', 'E', '_', 'M', 'I', 'N', '\0', /* SQ_IMG_FILTER_MODE_MIN (111750) */
	'S', 'Q', '_', 'I', 'M', 'G', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'M', 'O', 'D', 'E', '_', 'M', 'A', 'X', '\0', /* SQ_IMG_FILTER_MODE_MAX (111773) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'X', 'Y', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'P', 'O', 'I', 'N', 'T', '\0', /* SQ_TEX_XY_FILTER_POINT (111796) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'X', 'Y', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'B', 'I', 'L', 'I', 'N', 'E', 'A', 'R', '\0', /* SQ_TEX_XY_FILTER_BILINEAR (111819) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'X', 'Y', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'A', 'N', 'I', 'S', 'O', '_', 'P', 'O', 'I', 'N', 'T', '\0', /* SQ_TEX_XY_FILTER_ANISO_POINT (111845) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'X', 'Y', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'A', 'N', 'I', 'S', 'O', '_', 'B', 'I', 'L', 'I', 'N', 'E', 'A', 'R', '\0', /* SQ_TEX_XY_FILTER_ANISO_BILINEAR (111874) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'Z', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'N', 'O', 'N', 'E', '\0', /* SQ_TEX_Z_FILTER_NONE (111906) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'Z', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'P', 'O', 'I', 'N', 'T', '\0', /* SQ_TEX_Z_FILTER_POINT (111927) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'Z', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'L', 'I', 'N', 'E', 'A', 'R', '\0', /* SQ_TEX_Z_FILTER_LINEAR (111949) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'M', 'I', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'N', 'O', 'N', 'E', '\0', /* SQ_TEX_MIP_FILTER_NONE (111972) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'M', 'I', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'P', 'O', 'I', 'N', 'T', '\0', /* SQ_TEX_MIP_FILTER_POINT (111995) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'M', 'I', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'L', 'I', 'N', 'E', 'A', 'R', '\0', /* SQ_TEX_MIP_FILTER_LINEAR (112019) */
	'D', 'I', 'S', 'A', 'B', 'L', 'E', '_', 'L', 'S', 'B', '_', 'C', 'E', 'I', 'L', '\0', /* DISABLE_LSB_CEIL (112044) */
	'F', 'I', 'L', 'T', 'E', 'R', '_', 'P', 'R', 'E', 'C', '_', 'F', 'I', 'X', '\0', /* FILTER_PREC_FIX (112061) */
	'U', 'P', 'G', 'R', 'A', 'D', 'E', 'D', '_', 'D', 'E', 'P', 'T', 'H', '\0', /* UPGRADED_DEPTH (112077) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'B', 'O', 'R', 'D', 'E', 'R', '_', 'C', 'O', 'L', 'O', 'R', '_', 'T', 'R', 'A', 'N', 'S', '_', 'B', 'L', 'A', 'C', 'K', '\0', /* SQ_TEX_BORDER_COLOR_TRANS_BLACK (112092) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'B', 'O', 'R', 'D', 'E', 'R', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'P', 'A', 'Q', 'U', 'E', '_', 'B', 'L', 'A', 'C', 'K', '\0', /* SQ_TEX_BORDER_COLOR_OPAQUE_BLACK (112124) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'B', 'O', 'R', 'D', 'E', 'R', '_', 'C', 'O', 'L', 'O', 'R', '_', 'O', 'P', 'A', 'Q', 'U', 'E', '_', 'W', 'H', 'I', 'T', 'E', '\0', /* SQ_TEX_BORDER_COLOR_OPAQUE_WHITE (112157) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'B', 'O', 'R', 'D', 'E', 'R', '_', 'C', 'O', 'L', 'O', 'R', '_', 'R', 'E', 'G', 'I', 'S', 'T', 'E', 'R', '\0', /* SQ_TEX_BORDER_COLOR_REGISTER (112190) */
	'B', 'A', 'N', 'K', '_', 'I', 'N', 'T', 'E', 'R', 'L', 'E', 'A', 'V', 'E', '_', 'S', 'I', 'Z', 'E', '\0', /* BANK_INTERLEAVE_SIZE (112219) */
	'S', 'H', 'A', 'D', 'E', 'R', '_', 'E', 'N', 'G', 'I', 'N', 'E', '_', 'T', 'I', 'L', 'E', '_', 'S', 'I', 'Z', 'E', '\0', /* SHADER_ENGINE_TILE_SIZE (112240) */
	'N', 'U', 'M', '_', 'G', 'P', 'U', 'S', '\0', /* NUM_GPUS (112264) */
	'M', 'U', 'L', 'T', 'I', '_', 'G', 'P', 'U', '_', 'T', 'I', 'L', 'E', '_', 'S', 'I', 'Z', 'E', '\0', /* MULTI_GPU_TILE_SIZE (112273) */
	'R', 'O', 'W', '_', 'S', 'I', 'Z', 'E', '\0', /* ROW_SIZE (112293) */
	'N', 'U', 'M', '_', 'L', 'O', 'W', 'E', 'R', '_', 'P', 'I', 'P', 'E', 'S', '\0', /* NUM_LOWER_PIPES (112302) */
	'A', 'D', 'D', 'R', '_', 'S', 'U', 'R', 'F', '_', 'T', 'H', 'I', 'C', 'K', '_', 'M', 'I', 'C', 'R', 'O', '_', 'T', 'I', 'L', 'I', 'N', 'G', '_', 'G', 'F', 'X', '6', '\0', /* ADDR_SURF_THICK_MICRO_TILING_GFX6 (112318) */
	'M', 'I', 'C', 'R', 'O', '_', 'T', 'I', 'L', 'E', '_', 'M', 'O', 'D', 'E', '\0', /* MICRO_TILE_MODE (112352) */
	'D', 'E', 'B', 'U', 'G', '_', 'M', 'O', 'D', 'E', '\0', /* DEBUG_MODE (112368) */
	'C', 'A', 'C', 'H', 'E', '_', 'C', 'T', 'L', '\0', /* CACHE_CTL (112379) */
	'C', 'D', 'B', 'G', '_', 'U', 'S', 'E', 'R', '\0', /* CDBG_USER (112389) */
	'D', 'I', 'S', 'P', 'A', 'T', 'C', 'H', '_', 'C', 'A', 'C', 'H', 'E', '_', 'C', 'N', 'T', 'L', '\0', /* DISPATCH_CACHE_CNTL (112399) */
	'W', 'A', 'V', 'E', 'S', '_', 'P', 'E', 'R', '_', 'S', 'H', '_', 'G', 'F', 'X', '6', '\0', /* WAVES_PER_SH_GFX6 (112419) */
	'S', 'H', '0', '_', 'C', 'U', '_', 'E', 'N', '\0', /* SH0_CU_EN (112437) */
	'S', 'H', '1', '_', 'C', 'U', '_', 'E', 'N', '\0', /* SH1_CU_EN (112447) */
	'R', 'E', 'G', '_', 'I', 'D', 'L', 'E', '\0', /* REG_IDLE (112457) */
	'R', 'B', '_', 'E', 'M', 'P', 'T', 'Y', '\0', /* RB_EMPTY (112466) */
	'R', 'B', '_', 'F', 'U', 'L', 'L', '\0', /* RB_FULL (112475) */
	'R', 'B', '_', 'C', 'M', 'D', '_', 'I', 'D', 'L', 'E', '\0', /* RB_CMD_IDLE (112483) */
	'R', 'B', '_', 'C', 'M', 'D', '_', 'F', 'U', 'L', 'L', '\0', /* RB_CMD_FULL (112495) */
	'I', 'B', '_', 'C', 'M', 'D', '_', 'I', 'D', 'L', 'E', '\0', /* IB_CMD_IDLE (112507) */
	'I', 'B', '_', 'C', 'M', 'D', '_', 'F', 'U', 'L', 'L', '\0', /* IB_CMD_FULL (112519) */
	'B', 'L', 'O', 'C', 'K', '_', 'I', 'D', 'L', 'E', '\0', /* BLOCK_IDLE (112531) */
	'I', 'N', 'S', 'I', 'D', 'E', '_', 'I', 'B', '\0', /* INSIDE_IB (112542) */
	'E', 'X', '_', 'I', 'D', 'L', 'E', '\0', /* EX_IDLE (112552) */
	'E', 'X', '_', 'I', 'D', 'L', 'E', '_', 'P', 'O', 'L', 'L', '_', 'T', 'I', 'M', 'E', 'R', '_', 'E', 'X', 'P', 'I', 'R', 'E', '\0', /* EX_IDLE_POLL_TIMER_EXPIRE (112560) */
	'P', 'A', 'C', 'K', 'E', 'T', '_', 'R', 'E', 'A', 'D', 'Y', '\0', /* PACKET_READY (112586) */
	'M', 'C', '_', 'W', 'R', '_', 'I', 'D', 'L', 'E', '\0', /* MC_WR_IDLE (112599) */
	'S', 'R', 'B', 'M', '_', 'I', 'D', 'L', 'E', '\0', /* SRBM_IDLE (112610) */
	'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'E', 'M', 'P', 'T', 'Y', '\0', /* CONTEXT_EMPTY (112620) */
	'D', 'E', 'L', 'T', 'A', '_', 'R', 'P', 'T', 'R', '_', 'F', 'U', 'L', 'L', '\0', /* DELTA_RPTR_FULL (112634) */
	'R', 'B', '_', 'M', 'C', '_', 'R', 'R', 'E', 'Q', '_', 'I', 'D', 'L', 'E', '\0', /* RB_MC_RREQ_IDLE (112650) */
	'I', 'B', '_', 'M', 'C', '_', 'R', 'R', 'E', 'Q', '_', 'I', 'D', 'L', 'E', '\0', /* IB_MC_RREQ_IDLE (112666) */
	'M', 'C', '_', 'R', 'D', '_', 'I', 'D', 'L', 'E', '\0', /* MC_RD_IDLE (112682) */
	'D', 'E', 'L', 'T', 'A', '_', 'R', 'P', 'T', 'R', '_', 'E', 'M', 'P', 'T', 'Y', '\0', /* DELTA_RPTR_EMPTY (112693) */
	'M', 'C', '_', 'R', 'D', '_', 'R', 'E', 'T', '_', 'S', 'T', 'A', 'L', 'L', '\0', /* MC_RD_RET_STALL (112710) */
	'M', 'C', '_', 'R', 'D', '_', 'N', 'O', '_', 'P', 'O', 'L', 'L', '_', 'I', 'D', 'L', 'E', '\0', /* MC_RD_NO_POLL_IDLE (112726) */
	'P', 'R', 'E', 'V', '_', 'C', 'M', 'D', '_', 'I', 'D', 'L', 'E', '\0', /* PREV_CMD_IDLE (112745) */
	'S', 'E', 'M', '_', 'I', 'D', 'L', 'E', '\0', /* SEM_IDLE (112759) */
	'S', 'E', 'M', '_', 'R', 'E', 'Q', '_', 'S', 'T', 'A', 'L', 'L', '\0', /* SEM_REQ_STALL (112768) */
	'S', 'E', 'M', '_', 'R', 'E', 'S', 'P', '_', 'S', 'T', 'A', 'T', 'E', '\0', /* SEM_RESP_STATE (112782) */
	'I', 'N', 'T', '_', 'I', 'D', 'L', 'E', '\0', /* INT_IDLE (112797) */
	'I', 'N', 'T', '_', 'R', 'E', 'Q', '_', 'S', 'T', 'A', 'L', 'L', '\0', /* INT_REQ_STALL (112806) */
	'A', 'D', 'D', 'R', '5', '_', 'S', 'W', 'I', 'Z', 'Z', 'L', 'E', '_', 'M', 'A', 'S', 'K', '\0', /* ADDR5_SWIZZLE_MASK (112820) */
	'P', 'I', 'T', 'C', 'H', '_', 'T', 'I', 'L', 'E', '_', 'M', 'A', 'X', '\0', /* PITCH_TILE_MAX (112839) */
	'H', 'E', 'I', 'G', 'H', 'T', '_', 'T', 'I', 'L', 'E', '_', 'M', 'A', 'X', '\0', /* HEIGHT_TILE_MAX (112854) */
	'S', 'L', 'I', 'C', 'E', '_', 'T', 'I', 'L', 'E', '_', 'M', 'A', 'X', '\0', /* SLICE_TILE_MAX (112870) */
	'V', 'G', 'T', '_', 'P', 'O', 'L', 'I', 'C', 'Y', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '\0', /* VGT_POLICY_RESERVED (112885) */
	'R', 'e', 's', 'e', 'r', 'v', 'e', 'd', '_', '0', 'x', '0', '9', '\0', /* Reserved_0x09 (112905) */
	'R', 'e', 's', 'e', 'r', 'v', 'e', 'd', '_', '0', 'x', '0', 'E', '\0', /* Reserved_0x0E (112919) */
	'F', 'L', 'U', 'S', 'H', '_', 'L', 'S', '_', 'O', 'U', 'T', 'P', 'U', 'T', '\0', /* FLUSH_LS_OUTPUT (112933) */
	'R', 'e', 's', 'e', 'r', 'v', 'e', 'd', '_', '0', 'x', '1', '3', '\0', /* Reserved_0x13 (112949) */
	'F', 'L', 'U', 'S', 'H', '_', 'G', 'S', '_', 'O', 'U', 'T', 'P', 'U', 'T', '\0', /* FLUSH_GS_OUTPUT (112963) */
	'R', 'e', 's', 'e', 'r', 'v', 'e', 'd', '_', '0', 'x', '2', '5', '\0', /* Reserved_0x25 (112979) */
	'T', 'H', 'R', 'E', 'A', 'D', '_', 'T', 'R', 'A', 'C', 'E', '_', 'F', 'L', 'U', 'S', 'H', '\0', /* THREAD_TRACE_FLUSH (112993) */
	'H', 'T', 'I', 'L', 'E', '_', 'U', 'S', 'E', 'S', '_', 'P', 'R', 'E', 'L', 'O', 'A', 'D', '_', 'W', 'I', 'N', '\0', /* HTILE_USES_PRELOAD_WIN (113012) */
	'P', 'R', 'E', 'L', 'O', 'A', 'D', '\0', /* PRELOAD (113035) */
	'P', 'R', 'E', 'F', 'E', 'T', 'C', 'H', '_', 'W', 'I', 'D', 'T', 'H', '\0', /* PREFETCH_WIDTH (113043) */
	'P', 'R', 'E', 'F', 'E', 'T', 'C', 'H', '_', 'H', 'E', 'I', 'G', 'H', 'T', '\0', /* PREFETCH_HEIGHT (113058) */
	'8', '_', 'I', 'N', '_', '1', '6', '\0', /* 8_IN_16 (113074) */
	'8', '_', 'I', 'N', '_', '3', '2', '\0', /* 8_IN_32 (113082) */
	'8', '_', 'I', 'N', '_', '6', '4', '\0', /* 8_IN_64 (113090) */
	'M', 'I', 'U', '_', 'R', 'D', 'R', 'E', 'Q', '_', 'F', 'R', 'E', 'E', '_', 'S', 'T', 'A', 'L', 'L', '\0', /* MIU_RDREQ_FREE_STALL (113098) */
	'M', 'I', 'U', '_', 'W', 'R', 'R', 'E', 'Q', '_', 'F', 'R', 'E', 'E', '_', 'S', 'T', 'A', 'L', 'L', '\0', /* MIU_WRREQ_FREE_STALL (113119) */
	'M', 'E', 'C', '1', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'M', 'C', '_', 'R', 'E', 'A', 'D', '\0', /* MEC1_WAIT_ON_MC_READ (113140) */
	'M', 'E', 'C', '1', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'M', 'C', '_', 'W', 'R', '_', 'A', 'C', 'K', '\0', /* MEC1_WAIT_ON_MC_WR_ACK (113161) */
	'M', 'E', 'C', '2', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'M', 'C', '_', 'R', 'E', 'A', 'D', '\0', /* MEC2_WAIT_ON_MC_READ (113184) */
	'M', 'E', 'C', '2', '_', 'W', 'A', 'I', 'T', '_', 'O', 'N', '_', 'M', 'C', '_', 'W', 'R', '_', 'A', 'C', 'K', '\0', /* MEC2_WAIT_ON_MC_WR_ACK (113205) */
	'O', 'U', 'T', 'S', 'T', 'A', 'N', 'D', 'I', 'N', 'G', '_', 'R', 'E', 'A', 'D', '_', 'T', 'A', 'G', 'S', '\0', /* OUTSTANDING_READ_TAGS (113228) */
	'I', 'N', 'S', 'T', '_', 'M', 'A', 'S', 'K', '\0', /* INST_MASK (113250) */
	'S', 'R', 'C', '_', 'A', 'T', 'C', '\0', /* SRC_ATC (113260) */
	'S', 'R', 'C', '_', 'V', 'O', 'L', 'A', 'T', 'I', 'L', 'E', '\0', /* SRC_VOLATILE (113268) */
	'D', 'S', 'T', '_', 'A', 'T', 'C', '\0', /* DST_ATC (113281) */
	'D', 'S', 'T', '_', 'V', 'O', 'L', 'A', 'T', 'I', 'L', 'E', '\0', /* DST_VOLATILE (113289) */
	'W', 'B', 'I', 'N', 'V', '_', 'T', 'C', '_', 'O', 'P', '\0', /* WBINV_TC_OP (113302) */
	'W', 'B', 'I', 'N', 'V', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* WBINV_ACTION_ENA (113314) */
	'G', 'P', 'R', '_', 'I', 'D', 'X', '_', 'E', 'N', '\0', /* GPR_IDX_EN (113331) */
	'A', 'L', 'L', 'O', 'W', '_', 'R', 'E', 'P', 'L', 'A', 'Y', '\0', /* ALLOW_REPLAY (113342) */
	'I', 'X', 'N', 'A', 'C', 'K', '\0', /* IXNACK (113355) */
	'T', 'C', 'C', '_', 'C', 'C', '_', 'R', 'E', 'S', 'I', 'D', 'E', 'N', 'T', '\0', /* TCC_CC_RESIDENT (113362) */
	'A', 'T', 'C', 'L', '2', 'I', 'U', '_', 'B', 'U', 'S', 'Y', '\0', /* ATCL2IU_BUSY (113378) */
	'A', 'T', 'C', 'L', '2', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'F', 'R', 'E', 'E', '\0', /* ATCL2IU_WAITING_ON_FREE (113391) */
	'A', 'T', 'C', 'L', '2', 'I', 'U', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'T', 'A', 'G', 'S', '\0', /* ATCL2IU_WAITING_ON_TAGS (113415) */
	'A', 'T', 'C', 'L', '1', '_', 'W', 'A', 'I', 'T', 'I', 'N', 'G', '_', 'O', 'N', '_', 'T', 'R', 'A', 'N', 'S', '\0', /* ATCL1_WAITING_ON_TRANS (113439) */
	'B', 'U', 'F', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '6', '\0', /* BUF_NUM_FORMAT_RESERVED_6 (113462) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '6', '\0', /* IMG_NUM_FORMAT_RESERVED_6 (113488) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '0', '\0', /* IMG_NUM_FORMAT_RESERVED_10 (113514) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '1', '\0', /* IMG_NUM_FORMAT_RESERVED_11 (113541) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '2', '\0', /* IMG_NUM_FORMAT_RESERVED_12 (113568) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '3', '\0', /* IMG_NUM_FORMAT_RESERVED_13 (113595) */
	'L', 'O', 'S', 'T', '_', 'A', 'L', 'P', 'H', 'A', '_', 'B', 'I', 'T', 'S', '\0', /* LOST_ALPHA_BITS (113622) */
	'L', 'O', 'S', 'T', '_', 'C', 'O', 'L', 'O', 'R', '_', 'B', 'I', 'T', 'S', '\0', /* LOST_COLOR_BITS (113638) */
	'M', 'E', 'T', 'A', '_', 'D', 'A', 'T', 'A', '_', 'A', 'D', 'D', 'R', 'E', 'S', 'S', '\0', /* META_DATA_ADDRESS (113654) */
	'C', 'O', 'M', 'P', 'A', 'T', '_', 'M', 'O', 'D', 'E', '\0', /* COMPAT_MODE (113672) */
	'S', 'Q', '_', 'T', 'E', 'X', '_', 'M', 'I', 'P', '_', 'F', 'I', 'L', 'T', 'E', 'R', '_', 'P', 'O', 'I', 'N', 'T', '_', 'A', 'N', 'I', 'S', 'O', '_', 'A', 'D', 'J', '\0', /* SQ_TEX_MIP_FILTER_POINT_ANISO_ADJ (113684) */
	'C', 'L', 'E', 'A', 'R', '_', 'D', 'I', 'S', 'A', 'L', 'L', 'O', 'W', 'E', 'D', '\0', /* CLEAR_DISALLOWED (113718) */
	'O', 'V', 'E', 'R', 'W', 'R', 'I', 'T', 'E', '_', 'C', 'O', 'M', 'B', 'I', 'N', 'E', 'R', '_', 'M', 'R', 'T', '_', 'S', 'H', 'A', 'R', 'I', 'N', 'G', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* OVERWRITE_COMBINER_MRT_SHARING_DISABLE (113735) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '4', '\0', /* RESERVED_4 (113774) */
	'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '5', '\0', /* RESERVED_5 (113785) */
	'T', 'C', '_', 'C', 'O', 'M', 'P', 'A', 'T', 'I', 'B', 'L', 'E', '\0', /* TC_COMPATIBLE (113796) */
	'S', 'R', 'C', '_', 'M', 'T', 'Y', 'P', 'E', '\0', /* SRC_MTYPE (113810) */
	'D', 'S', 'T', '_', 'M', 'T', 'Y', 'P', 'E', '\0', /* DST_MTYPE (113820) */
	'T', 'C', '_', 'S', 'D', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* TC_SD_ACTION_ENA (113830) */
	'S', 'H', '_', 'S', 'D', '_', 'A', 'C', 'T', 'I', 'O', 'N', '_', 'E', 'N', 'A', '\0', /* SH_SD_ACTION_ENA (113847) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', 'A', 'S', '_', '3', '2', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_16_AS_32_32 (113864) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', 'A', 'S', '_', '8', '_', '8', '_', '8', '_', '8', '\0', /* IMG_DATA_FORMAT_8_AS_8_8_8_8 (113892) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'E', 'T', 'C', '2', '_', 'R', 'G', 'B', '\0', /* IMG_DATA_FORMAT_ETC2_RGB (113921) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'E', 'T', 'C', '2', '_', 'R', 'G', 'B', 'A', '\0', /* IMG_DATA_FORMAT_ETC2_RGBA (113946) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'E', 'T', 'C', '2', '_', 'R', '\0', /* IMG_DATA_FORMAT_ETC2_R (113972) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'E', 'T', 'C', '2', '_', 'R', 'G', '\0', /* IMG_DATA_FORMAT_ETC2_RG (113995) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'E', 'T', 'C', '2', '_', 'R', 'G', 'B', 'A', '1', '\0', /* IMG_DATA_FORMAT_ETC2_RGBA1 (114019) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', 'A', 'S', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '\0', /* IMG_DATA_FORMAT_16_AS_16_16_16_16 (114046) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '1', '6', '_', 'A', 'S', '_', '3', '2', '_', '3', '2', '_', '3', '2', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_16_AS_32_32_32_32 (114080) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', 'A', 'S', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_8_AS_32 (114114) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '8', '_', 'A', 'S', '_', '3', '2', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_8_AS_32_32 (114138) */
	'P', 'O', 'P', 'S', '_', 'P', 'A', 'C', 'K', 'E', 'R', '0', '\0', /* POPS_PACKER0 (114165) */
	'P', 'O', 'P', 'S', '_', 'P', 'A', 'C', 'K', 'E', 'R', '1', '\0', /* POPS_PACKER1 (114178) */
	'N', 'O', '_', 'P', 'R', 'E', 'F', 'E', 'T', 'C', 'H', '_', 'C', 'N', 'T', '_', 'H', 'I', '\0', /* NO_PREFETCH_CNT_HI (114191) */
	'B', 'U', 'F', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'N', 'O', 'R', 'M', '_', 'U', 'I', 'N', 'T', '\0', /* BUF_NUM_FORMAT_UNORM_UINT (114210) */
	'U', 'S', 'E', 'R', '_', 'V', 'M', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* USER_VM_ENABLE (114236) */
	'U', 'S', 'E', 'R', '_', 'V', 'M', '_', 'M', 'O', 'D', 'E', '\0', /* USER_VM_MODE (114251) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', '6', 'E', '4', '\0', /* IMG_DATA_FORMAT_6E4 (114264) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '\0', /* IMG_DATA_FORMAT_FMASK (114284) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'A', 'S', 'T', 'C', '_', '2', 'D', '_', 'L', 'D', 'R', '\0', /* IMG_DATA_FORMAT_ASTC_2D_LDR (114306) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'A', 'S', 'T', 'C', '_', '2', 'D', '_', 'H', 'D', 'R', '\0', /* IMG_DATA_FORMAT_ASTC_2D_HDR (114334) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'A', 'S', 'T', 'C', '_', '2', 'D', '_', 'L', 'D', 'R', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_DATA_FORMAT_ASTC_2D_LDR_SRGB (114362) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'A', 'S', 'T', 'C', '_', '3', 'D', '_', 'L', 'D', 'R', '\0', /* IMG_DATA_FORMAT_ASTC_3D_LDR (114395) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'A', 'S', 'T', 'C', '_', '3', 'D', '_', 'H', 'D', 'R', '\0', /* IMG_DATA_FORMAT_ASTC_3D_HDR (114423) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'A', 'S', 'T', 'C', '_', '3', 'D', '_', 'L', 'D', 'R', '_', 'S', 'R', 'G', 'B', '\0', /* IMG_DATA_FORMAT_ASTC_3D_LDR_SRGB (114451) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'N', '_', 'I', 'N', '_', '1', '6', '\0', /* IMG_DATA_FORMAT_N_IN_16 (114484) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'N', '_', 'I', 'N', '_', '1', '6', '_', '1', '6', '\0', /* IMG_DATA_FORMAT_N_IN_16_16 (114508) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'N', '_', 'I', 'N', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '\0', /* IMG_DATA_FORMAT_N_IN_16_16_16_16 (114535) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'N', '_', 'I', 'N', '_', '1', '6', '_', 'A', 'S', '_', '1', '6', '_', '1', '6', '_', '1', '6', '_', '1', '6', '\0', /* IMG_DATA_FORMAT_N_IN_16_AS_16_16_16_16 (114568) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '5', '6', '\0', /* IMG_DATA_FORMAT_RESERVED_56 (114607) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '5', '9', '\0', /* IMG_DATA_FORMAT_RESERVED_59 (114635) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '6', '0', '\0', /* IMG_DATA_FORMAT_RESERVED_60 (114663) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', '8', '_', '1', '6', '\0', /* IMG_DATA_FORMAT_S8_16 (114691) */
	'I', 'M', 'G', '_', 'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', '8', '_', '3', '2', '\0', /* IMG_DATA_FORMAT_S8_32 (114713) */
	'D', 'A', 'T', 'A', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'S', 'T', 'E', 'N', 'C', 'I', 'L', '\0', /* DATA_FORMAT_STENCIL (114735) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'U', 'N', 'O', 'R', 'M', '_', 'U', 'I', 'N', 'T', '\0', /* IMG_NUM_FORMAT_UNORM_UINT (114755) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '8', '_', '2', '_', '1', '\0', /* IMG_NUM_FORMAT_FMASK_8_2_1 (114781) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '8', '_', '4', '_', '1', '\0', /* IMG_NUM_FORMAT_FMASK_8_4_1 (114808) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '8', '_', '8', '_', '1', '\0', /* IMG_NUM_FORMAT_FMASK_8_8_1 (114835) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '8', '_', '2', '_', '2', '\0', /* IMG_NUM_FORMAT_FMASK_8_2_2 (114862) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '8', '_', '4', '_', '2', '\0', /* IMG_NUM_FORMAT_FMASK_8_4_2 (114889) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '8', '_', '4', '_', '4', '\0', /* IMG_NUM_FORMAT_FMASK_8_4_4 (114916) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '1', '6', '_', '1', '6', '_', '1', '\0', /* IMG_NUM_FORMAT_FMASK_16_16_1 (114943) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '1', '6', '_', '8', '_', '2', '\0', /* IMG_NUM_FORMAT_FMASK_16_8_2 (114972) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '3', '2', '_', '1', '6', '_', '2', '\0', /* IMG_NUM_FORMAT_FMASK_32_16_2 (115000) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '3', '2', '_', '8', '_', '4', '\0', /* IMG_NUM_FORMAT_FMASK_32_8_4 (115029) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '3', '2', '_', '8', '_', '8', '\0', /* IMG_NUM_FORMAT_FMASK_32_8_8 (115057) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '6', '4', '_', '1', '6', '_', '4', '\0', /* IMG_NUM_FORMAT_FMASK_64_16_4 (115085) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', '6', '4', '_', '1', '6', '_', '8', '\0', /* IMG_NUM_FORMAT_FMASK_64_16_8 (115114) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '3', '\0', /* IMG_NUM_FORMAT_FMASK_RESERVED_13 (115143) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '4', '\0', /* IMG_NUM_FORMAT_FMASK_RESERVED_14 (115176) */
	'I', 'M', 'G', '_', 'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '_', 'R', 'E', 'S', 'E', 'R', 'V', 'E', 'D', '_', '1', '5', '\0', /* IMG_NUM_FORMAT_FMASK_RESERVED_15 (115209) */
	'N', 'U', 'M', '_', 'F', 'O', 'R', 'M', 'A', 'T', '_', 'F', 'M', 'A', 'S', 'K', '\0', /* NUM_FORMAT_FMASK (115242) */
	'M', 'E', 'T', 'A', '_', 'D', 'I', 'R', 'E', 'C', 'T', '\0', /* META_DIRECT (115259) */
	'M', 'E', 'T', 'A', '_', 'R', 'B', '_', 'A', 'L', 'I', 'G', 'N', 'E', 'D', '\0', /* META_RB_ALIGNED (115271, 115276) */
	'S', 'E', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* SE_ENABLE (115287) */
	'S', 'I', 'M', 'D', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* SIMD_DISABLE (115297) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'X', 'S', 'E', 'L', '_', '1', '2', '8', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_XSEL_128_WIDE_TILE (115310) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'Y', 'S', 'E', 'L', '_', '1', '2', '8', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_YSEL_128_WIDE_TILE (115346) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'X', 'S', 'E', 'L', '_', '1', '2', '8', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_PAIR_XSEL_128_WIDE_TILE (115382) */
	'R', 'A', 'S', 'T', 'E', 'R', '_', 'C', 'O', 'N', 'F', 'I', 'G', '_', 'S', 'E', '_', 'P', 'A', 'I', 'R', '_', 'Y', 'S', 'E', 'L', '_', '1', '2', '8', '_', 'W', 'I', 'D', 'E', '_', 'T', 'I', 'L', 'E', '\0', /* RASTER_CONFIG_SE_PAIR_YSEL_128_WIDE_TILE (115423) */
	'E', 'N', '_', '3', '2', 'B', 'I', 'T', '_', 'O', 'B', 'J', 'P', 'R', 'I', 'M', 'I', 'D', '\0', /* EN_32BIT_OBJPRIMID (115464) */
	'A', 'v', 'a', 'i', 'l', 'a', 'b', 'l', 'e', '_', '0', 'x', '1', 'c', '\0', /* Available_0x1c (115483) */
	'A', 'v', 'a', 'i', 'l', 'a', 'b', 'l', 'e', '_', '0', 'x', '1', 'd', '\0', /* Available_0x1d (115498) */
	'R', 'e', 's', 'e', 'r', 'v', 'e', 'd', '_', '0', 'x', '3', 'f', '\0', /* Reserved_0x3f (115513) */
	'E', 'N', '_', 'P', 'I', 'P', 'E', 'L', 'I', 'N', 'E', '_', 'P', 'R', 'I', 'M', 'I', 'D', '\0', /* EN_PIPELINE_PRIMID (115527) */
	'C', 'U', '_', 'I', 'N', 'D', 'E', 'X', '\0', /* CU_INDEX (115546) */
	'T', 'C', '_', 'P', 'E', 'R', 'F', '_', 'E', 'N', '\0', /* TC_PERF_EN (115555) */
	'V', 'T', 'X', '_', 'D', 'O', 'N', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* VTX_DONE_DELAY (115566) */
	'I', 'N', 'T', 'E', 'R', 'P', '_', 'O', 'N', 'E', '_', 'P', 'R', 'I', 'M', '_', 'P', 'E', 'R', '_', 'R', 'O', 'W', '\0', /* INTERP_ONE_PRIM_PER_ROW (115581) */
	'B', 'A', 'T', 'O', 'N', '_', 'R', 'E', 'S', 'E', 'T', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* BATON_RESET_DISABLE (115605) */
	'P', 'C', '_', 'L', 'I', 'M', 'I', 'T', '_', 'E', 'N', 'A', 'B', 'L', 'E', '\0', /* PC_LIMIT_ENABLE (115625) */
	'P', 'C', '_', 'L', 'I', 'M', 'I', 'T', '_', 'S', 'T', 'R', 'I', 'C', 'T', '\0', /* PC_LIMIT_STRICT (115641) */
	'C', 'R', 'C', '_', 'S', 'I', 'M', 'D', '_', 'I', 'D', '_', 'W', 'A', 'D', 'D', 'R', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* CRC_SIMD_ID_WADDR_DISABLE (115657) */
	'L', 'B', 'P', 'W', '_', 'C', 'U', '_', 'C', 'H', 'K', '_', 'M', 'O', 'D', 'E', '\0', /* LBPW_CU_CHK_MODE (115683) */
	'L', 'B', 'P', 'W', '_', 'C', 'U', '_', 'C', 'H', 'K', '_', 'C', 'N', 'T', '\0', /* LBPW_CU_CHK_CNT (115700) */
	'C', 'S', 'C', '_', 'P', 'W', 'R', '_', 'S', 'A', 'V', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* CSC_PWR_SAVE_DISABLE (115716) */
	'C', 'S', 'G', '_', 'P', 'W', 'R', '_', 'S', 'A', 'V', 'E', '_', 'D', 'I', 'S', 'A', 'B', 'L', 'E', '\0', /* CSG_PWR_SAVE_DISABLE (115737) */
	'P', 'C', '_', 'L', 'I', 'M', 'I', 'T', '_', 'S', 'I', 'Z', 'E', '\0', /* PC_LIMIT_SIZE (115758) */
	'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'S', 'A', 'V', 'E', '_', 'W', 'A', 'I', 'T', '_', 'G', 'D', 'S', '_', 'R', 'E', 'Q', 'U', 'E', 'S', 'T', '_', 'C', 'Y', 'C', 'L', 'E', '_', 'O', 'V', 'H', 'D', '\0', /* CONTEXT_SAVE_WAIT_GDS_REQUEST_CYCLE_OVHD (115772) */
	'C', 'O', 'N', 'T', 'E', 'X', 'T', '_', 'S', 'A', 'V', 'E', '_', 'W', 'A', 'I', 'T', '_', 'G', 'D', 'S', '_', 'G', 'R', 'A', 'N', 'T', '_', 'C', 'Y', 'C', 'L', 'E', '_', 'O', 'V', 'H', 'D', '\0', /* CONTEXT_SAVE_WAIT_GDS_GRANT_CYCLE_OVHD (115813) */
	'P', 'S', '_', 'W', 'A', 'V', 'E', '_', 'G', 'R', 'A', 'N', '\0', /* PS_WAVE_GRAN (115852) */
	'V', 'S', '_', 'W', 'A', 'V', 'E', '_', 'G', 'R', 'A', 'N', '\0', /* VS_WAVE_GRAN (115865) */
	'G', 'S', '_', 'W', 'A', 'V', 'E', '_', 'G', 'R', 'A', 'N', '\0', /* GS_WAVE_GRAN (115878) */
	'H', 'S', '_', 'W', 'A', 'V', 'E', '_', 'G', 'R', 'A', 'N', '\0', /* HS_WAVE_GRAN (115891) */
	'C', 'N', 'T', 'R', '_', 'S', 'E', 'L', '0', '\0', /* CNTR_SEL0 (115904) */
	'C', 'N', 'T', 'R', '_', 'S', 'E', 'L', '1', '\0', /* CNTR_SEL1 (115914) */
	'C', 'N', 'T', 'R', '_', 'S', 'E', 'L', '2', '\0', /* CNTR_SEL2 (115924) */
	'C', 'N', 'T', 'R', '_', 'S', 'E', 'L', '3', '\0', /* CNTR_SEL3 (115934) */
	'P', 'E', 'R', 'F', 'M', 'O', 'N', '_', 'M', 'A', 'X', '_', 'S', 'A', 'M', 'P', 'L', 'E', '_', 'D', 'E', 'L', 'A', 'Y', '\0', /* PERFMON_MAX_SAMPLE_DELAY (115944) */
};

static const int sid_strings_offsets[] = {
	/* 0 */ -1, 55140, 55148, -1, 55163, -1, -1, -1, 55178, -1, -1, -1, -1, -1, -1, -1, 55187, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 55197, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 55205, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 55224, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 55238,
	/* 257 */ -1, 59583, 59606, -1, 59628, -1, -1, -1, 59651, -1, -1, -1, -1, -1, -1, -1, 59673, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 59694, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 59718, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 59736, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 59756, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 59775, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 59797, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 59821,
	/* 2306 */ -1, 59854, 59872, -1, 59890, -1, -1, -1, 59910, -1, -1, -1, -1, -1, -1, -1, 59927, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 59947, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 59966, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 59984,
	/* 2435 */ 60313, -1, -1, -1, -1, -1, -1, -1, 60324, 60336, -1, -1, 60348, -1, -1, -1, -1, -1, -1, -1, 60359, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 60371,
	/* 2468 */ 60507, 60526, 60545, 60564, 60585, 60606, 60624, 60642, 60662, 60682, 60704, 60726, 60745, 60764, 60784, 60805, 60826, 60849, 60872, 60892, 60912, 60931, 60950, 60970, 60993, 61016, 61041, 61066, 61088, 61110, 61133, 61159, 61185, 61213, 61241, 61266, 61291, 61317, 61343, 61369, 61397, 61425, 61450, 61475, 61501, 61529, 61557, 61587, 61617, 61644, 61671, 61699, 61727, 61757, 61787, 61814, 61841, 61866, 61891, 61918, 61945, 61969, 61993, 62015, 62037, 62060, 62089, 62118, 62149, 62180, 62208, 62236, 62265, 62290, 62315, 62341, 62369, 62397, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 62426, 62444, 62464, 62488, 62509, 62534, 62557, 62582, 62607, 62632, 62653, 62672, 62700, 62726, 62748, 62769, 62791, 62812, 62837, 62863, 62886, 62909, 62931, 62953, 62976, 62999, 63021, -1, 63043, 63067, 63091, 63115, 63139, 63163, 63187, 63213, 63238, 63264, 63289, 63314, 63340, 63366, 63387, 63407, 63428, 63448, 63469, 63489, 63510, 63531, 63552, 63573, 63595, 63617, 63638, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 63658, 63680, 63701, 63725, 63748, 63776, 63803, 63829, 63854, 63883, 63911, 63942, 63972, 64004, 64035, 64064, 64092, 64124, 64155, 64194, 64231, 64252, 64275, 64298, 64323, 64348, 64370, 64392,
	/* 2761 */ 64457, 64491, 64513, 64533,
	/* 2765 */ 65205, 65226, 65247, 65268, 65289, 65310, 65332, 65357, 65378, 65400, 65422, 65447, 65472, 65493, 65514, 65536,
	/* 2781 */ 65572, 65585, 65608, 65631, 65654, 65672, 65691, 65710, 65729, 65753, 65777, 65801, 65826, 65851, 65876, 65901, 65924, 65949, 65975,
	/* 2800 */ 66001, 66026, 66052, 66078, 66104, 66129, 66154,
	/* 2807 */ 66190, 66221, 66249, 66278, 66309,
	/* 2812 */ 66371, 66394, 66417, 66440,
	/* 2816 */ 66474, 66498, 66522, 66546,
	/* 2820 */ 66582, 66607, 66632, 66657,
	/* 2824 */ 66700, 66717, 66734, 66751,
	/* 2828 */ 66827, 66843, 66859, 66875, 66891, 66907,
	/* 2834 */ -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 67285, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 67299, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 67313,
	/* 3075 */ 69110, 69120, 69133, 69147,
	/* 3079 */ 69444, 69459, 69475, 69491,
	/* 3083 */ 69656, 69666, 69684, 69694,
	/* 3087 */ 69966, 69977, 69987, 69998, 70010, 70023, 70037, 70049,
	/* 3095 */ 245, 70213, 69110, 10365,
	/* 3099 */ 70335, 70345, 70350, 70355,
	/* 3103 */ 70378, 70389, 70399, 70410,
	/* 3107 */ 70579, 70595,
	/* 3109 */ 70626, 70639, 70652, 70665,
	/* 3113 */ 70734, 70747, 70757, 70769,
	/* 3117 */ -1, 19698, 12992, -1, 13030, -1, -1, -1, 13372, -1, -1, -1, -1, -1, -1, -1, 13068, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70936, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70942, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70948, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 13106, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70955, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70961, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70967, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70974, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70980, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70987, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 70994,
	/* 35886 */ 71380, 71403, 71426, 71449,
	/* 35890 */ 71496, 71521, 71546, 71571,
	/* 35894 */ 71605, 71629,
	/* 35896 */ 71661, 71685,
	/* 35898 */ 71717, 71741, 71765, 71789,
	/* 35902 */ 71821, 71846, 71871, 71896,
	/* 35906 */ 71930, 71955, 71980, 72005,
	/* 35910 */ 72039, 72065, 72091, 72117,
	/* 35914 */ 72153, 72176, 72199, 72222,
	/* 35918 */ 72252, 72286, 72321, 72356,
	/* 35922 */ 72399, 72433, 72468, 72503,
	/* 35926 */ 72546, 72569, 72592, 72615,
	/* 35930 */ 72645, 72679, 72714, 72749,
	/* 35934 */ 72792, 72826, 72861, 72896,
	/* 35938 */ 72939, 72967, 72995, 73023,
	/* 35942 */ 73063, 73102, 73142, 73182,
	/* 35946 */ 73235, 73274, 73314, 73354,
	/* 35950 */ 74056, 74069, 74082, 74095, 74116, 74135, 74153, 74171, 74186, 74203, 74220, 74232, 74243, 74255, 74268, 74280,
	/* 35966 */ 75018, 75039, 75060, 75081, 75102,
	/* 35971 */ 75430, 75446, 75463, 75480, 75501,
	/* 35976 */ 75632, 75648, 75664, 75681, 75698, 75719, 75743, 75767, 75790, 75813,
	/* 35986 */ 76000, 76027, 76045, 76063, 76085, 76109, 76130, 76149, 76170, 76191, 76213,
	/* 35997 */ 55199, 76275, -1, 76288, -1, -1, 76301, -1, -1, -1, -1, 76313, -1, 76325, -1, 76337,
	/* 36013 */ 76844, 76879, 76914, 76946, 76978, 77010, 77042, 77076,
	/* 36021 */ 77140, 77154, 77167, 77185, 77198, 77211, 77232, 77256,
	/* 36029 */ 77332, 77343, 77353, 77369, 77395, 77411, 77437, 77453, 77479, 77495, 77521, 77546, 77567, 77592, 77613, 77644, 77661, 77682, 77699, 77720, 77741,
	/* 36050 */ 77787, 77805, 77824, 77841, 77858,
	/* 36055 */ 77971, 77986, 78007, 78029,
	/* 36059 */ 78063, 78079,
	/* 36061 */ 78695, 78706, 78716, 78740, 78751, 78765, 78785, 78803,
	/* 36069 */ 78815, -1, -1, -1, -1, 78826, -1, -1, -1, -1, 78833, -1, -1, -1, -1, 78840, -1, 78847, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 78856, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 78874, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 78893, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 78910, -1, -1, -1, -1, 78917, -1, -1, -1, -1, 78929, -1, -1, -1, -1, 78936, -1, -1, -1, -1, -1, -1, 78943, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 78952, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 78962, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 78971, -1, -1, -1, -1, -1, -1, 78987, -1, -1, -1, -1, 78994, -1, -1, -1, -1, 79001, -1, -1, -1, -1, 79012, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 79019, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 79036, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 79046, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 79062, -1, 79070, -1, -1, -1, -1, 79077, -1, -1, -1, -1, 79084, -1, -1, -1, -1, 79091,
	/* 36325 */ 79176, 79183, 79203, 79208,
	/* 36329 */ 79354, 79367, 79386, 79408,
	/* 36333 */ 79917, 79937,
	/* 36335 */ 79949, 79963, 79976,
	/* 36338 */ 81964, 81975, 81991, 82006, 82022, 82036, 82049, 82064, 82083, 82098, 82110, 82129, 82149, 82167, 82186, 82201, 82216, 82238, 82253, 82268, 82283, 82299,
	/* 36360 */ 82433, 82440, 82454, 82468, 82482, 82496,
	/* 36366 */ 82517, 82529, 82540, 82551,
	/* 36370 */ 81981, 82012, 82055, 82244,
	/* 36374 */ 83539, 83552, 83565,
	/* 36377 */ 83577, 83595, 83615, 83635,
	/* 36381 */ 83663, 83679, 83696, 83714,
	/* 36385 */ 83742, 83757, 83775,
	/* 36388 */ 83871, 83885, 83908, 83931, 83954, 83969, 83982, 83994, 84011, 84030, 84040, 84060, 84080, 84099, 84111, 84123, 84140, 84157, 84173, 84184, 84204, 84233, 84244, 84270, 84288, 84305, 84324, 84342, 84361, 84377, 84401, 84421, 84443, 84465, 84479, 84498, 84514, 84524, 84538, 84551, 84566, 84584, 84596, 84619, 84644, 84666, 84691, 84713, 84721, 84729, 84757, 84779, 84798, 84816, 84836, 84854, 84874, 84898, 84919, 84941, 84957, 84976, 84996, 85019,
	/* 36452 */ 85555, 85568, 85580, 85592,
	/* 36456 */ 85610, 85623,
	/* 36458 */ 85641, 85654, 85666, 85680,
	/* 36462 */ 85692, 85705,
	/* 36464 */ 85723, 85737, 85749, 85770,
	/* 36468 */ 86025, 86038, 86052,
	/* 36471 */ 86062, 86075, 86085, 86099,
	/* 36475 */ 86127, 86140, 86152, 86171,
	/* 36479 */ 86268, 85984, 86261, 86276,
	/* 36483 */ 86305, 86319, 86334,
	/* 36486 */ 86357, 86371, 86386,
	/* 36489 */ 87217, 87232, 87253, 64544,
	/* 36493 */ 87311, 87322, 87330, 87346,
	/* 36497 */ 87372, 87398, 87423, 87448, 87471, 87492, 87519, 87548,
	/* 36505 */ 87864, 87880, 87897, 87924,
	/* 36509 */ 87989, 88008, 88027, 88047, 88067,
	/* 36514 */ 88260, 88278, 88301,
	/* 36517 */ 88630, 88642, 88659,
	/* 36520 */ 89042, 89054, 89067, 89080,
	/* 36524 */ 89100, 89114, 89122, 89131, 89141, 89150, 89162, 89177, 89192, 89209, 89226, 89240, 89252, 89270, 89288, 89306, 89324, 89336, 89350, 89364, 89378, 89389, 89400, 89421, 89439, 89457, 89475, 89493, 89511, 89529, 89547, 89565,
	/* 36556 */ 89586, 89599, 89612, 89627, 89642, 89654, 89666, 89678,
	/* 36564 */ 89703, 89712, 89721, 89734,
	/* 36568 */ 89811, 89826, 89844, 89872, 89902, 89933, 89961, 89991,
	/* 36576 */ 90131, 90148, 90166,
	/* 36579 */ 90379, 90398, 90418,
	/* 36582 */ 90438, 90457,
	/* 36584 */ 92705, 92717, 92729, 92741,
	/* 36588 */ 93391, 93426, 93458, 93489, 93517, 93560,
	/* 36594 */ 93614, 93651, 93685, 93718, 93748, 93793,
	/* 36600 */ 93853, 93889, 93923, 93965,
	/* 36604 */ 95247, 95280, 95320, 95350, 95383, 95422,
	/* 36610 */ 95538, 95572,
	/* 36612 */ 96873, 96893, 96902, 96908, 10365, 456,
	/* 36618 */ 509, 96935, 18682, 984,
	/* 36622 */ 26612, 96908, 11049, 96964,
	/* 36626 */ 26571, 96908, 391, 96986,
	/* 36630 */ 97017, 74509,
	/* 36632 */ 97024, 97034,
	/* 36634 */ 97116, 97124, 97132, 97142,
	/* 36638 */ 97184, 97197, 97209,
	/* 36641 */ 97225, 97233, 97241, 97251,
	/* 36645 */ 97274, -1, 97282, 97292,
	/* 36649 */ 97685, 97708, 97731, 97749, 97767,
	/* 36654 */ 76000, 76027, 76045, 76063, 76085, 76109, 76130, 76149, 76170, 76191, 76213, 98221,
	/* 36666 */ 98546, 98564, 98588,
	/* 36669 */ 89100, 89114, 89122, 89131, 89141, 89150, 89162, 89177, 89192, 89209, 89226, 89240, 89252, -1, 89288, -1, 89324, 89336, 89350, 89364, 89378, 89389, 89400, -1, 98707,
	/* 36694 */ 81964, 81975, 81991, 82006, 82022, 82036, 82049, 105286, 82083, 82098, 82110, 82129, 82149, 82167, 82186, 82201, 82216, 82238, 82253, 82268, 82283, 82299, 105301, 105328, 105355, 105382, 105409, 105433, 105453,
	/* 36723 */ 108206, 108215, 108224, 108242, 108260, 108269, 108278, 108287,
	/* 36731 */ 108296, 108317, 108338, 108361, 108384, 108404, 108424, 108449,
	/* 36739 */ 108481, 108505, 108523, 108542, 108562, 108581, 108603, 108628, 108653, 108680, 108707, 108731, 108753, 108781, 108806, 108834,
	/* 36755 */ 108904, 108916, 108935, 108954,
	/* 36759 */ 108973, 108997, 109015, 109034, 109054, 109073, 109095, 109120, 109145, 109172, 109199, 109223, 109245, 109273, 109298, 109326, 109354, 109376, 109400, 109424, 109448, 109469, 109490, 109515, 109543, 109571, 109599, 109627, 109655, 109683, 109711, 109739, 109767, 109789, 109811, 109835, 109855, 109875, 109895, 109915, 109935, 109955, 109975, 110003, 110031, 110060, 110089, 110118, 110147, 110176, 110205, 110236, 110266, 110297, 110327, 110357, 110388, 110419, 110439, 110461, 110479, 110506, 110530, 110556,
	/* 36823 */ 110590, 110611, 110632, 110655, 110678, 110698, 110718, 110743, 110764, 110790, 110810, 110832, 110858, 110879, 110903, 110930,
	/* 36839 */ 110990, 111009, 111028, 111047, 111066, 111085, 111104, 111123, 111142, 111157, 111172, 111187, 111204, 111225, 111246, 111266,
	/* 36855 */ 111311, 111323, 111337, 111361, 111391, 111416, 111447, 111467,
	/* 36863 */ 111493, 111520, 111546, 111573, 111604, 111633, 111663, 111697,
	/* 36871 */ 111725, 111750, 111773,
	/* 36874 */ 111796, 111819, 111845, 111874,
	/* 36878 */ 111906, 111927, 111949,
	/* 36881 */ 111972, 111995, 112019,
	/* 36884 */ 112092, 112124, 112157, 112190,
	/* 36888 */ 66190, 66221, 66249, 112318,
	/* 36892 */ 83742, 83757, 83775, 112885,
	/* 36896 */ 83871, 83885, 83908, 83931, 83954, 83969, 83982, 83994, 84011, 112905, 84040, 84060, 84080, 84099, 112919, 84123, 84140, 84157, 112933, 112949, 84204, 84233, 84244, 84270, 84288, 84305, 84324, 84342, 84361, 112963, 84401, 84421, 84443, 84465, 84479, 84498, 84514, 112979, 84538, 84551, 84566, 84584, 84596, 84619, 84644, 84666, 84691, 84713, 84721, 84729, 84757, 84779, 84798, 84816, 112993, 84854, 84874, 84898, 84919, 84941,
	/* 36956 */ 75121, 113074, 113082, 113090,
	/* 36960 */ 26612, 96908, -1, 96964,
	/* 36964 */ 108296, 108317, 108338, 108361, 108384, 108404, 113462, 108449,
	/* 36972 */ 110590, 110611, 110632, 110655, 110678, 110698, 113488, 110743, 110764, 110790, 113514, 113541, 113568, 113595, 110903, 110930,
	/* 36988 */ 111972, 111995, 112019, 113684,
	/* 36992 */ 83871, 83885, 83908, 83931, 83954, 83969, 83982, 83994, 84011, 112905, 84040, 84060, 84080, 84099, 112919, 84123, 84140, 84157, 112933, 112949, 84204, 84233, 84244, 84270, 84288, 84305, 84324, 84342, 84361, 112963, 84401, 84421, 84443, 84465, 84479, 84498, 84514, 84524, 84538, 84551, 84566, 84584, 84596, 84619, 84644, 84666, 84691, 84713, 84721, 84729, 84757, 84779, 84798, 84816, 112993, 84854, 84874, 84898, 84919, 84941, 84957,
	/* 37053 */ 108973, 108997, 109015, 109034, 109054, 109073, 109095, 109120, 109145, 109172, 109199, 109223, 109245, 109273, 109298, 113864, 109354, 109376, 109400, 109424, 109448, 109469, 109490, 113892, 113921, 113946, 113972, 113995, 114019, 109683, 109711, 109739, 109767, 109789, 109811, 109835, 109855, 109875, 109895, 109915, 109935, 109955, 114046, 114080, 110031, 110060, 110089, 110118, 110147, 110176, 110205, 110236, 110266, 110297, 110327, 110357, 110388, 110419, 110439, 110461, 110479, 114114, 114138, 110556,
	/* 37117 */ 108296, 108317, 108338, 108361, 108384, 108404, 114210, 108449,
	/* 37125 */ 108973, 108997, 109015, 109034, 109054, 109073, 109095, 109120, 109145, 109172, 109199, 109223, 109245, 109273, 109298, 109326, 109354, 109376, 109400, 109424, 109448, 109469, 109490, 113892, 113921, 113946, 113972, 113995, 114019, 109683, 109711, 114264, 109767, 109789, 109811, 109835, 109855, 109875, 109895, 109915, 109935, 109955, 113864, 114046, 114080, 114284, 114306, 114334, 114362, 114395, 114423, 114451, 114484, 114508, 114535, 114568, 114607, 110419, 110439, 114635, 114663, 114114, 114138, 110556,
	/* 37189 */ -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 114691, 114713,
	/* 37250 */ 110590, 110611, 110632, 110655, 110678, 110698, 114755, 110743, 110764, 110790, 113514, 113541, 113568, 113595, 110903, 110930,
	/* 37266 */ 114781, 114808, 114835, 114862, 114889, 114916, 114943, 114972, 115000, 115029, 115057, 115085, 115114, 115143, 115176, 115209,
	/* 37282 */ 72645, 72679, 72714, 72749, 115310,
	/* 37287 */ 72792, 72826, 72861, 72896, 115346,
	/* 37292 */ 73063, 73102, 73142, 73182, 115382,
	/* 37297 */ 73235, 73274, 73314, 73354, 115423,
	/* 37302 */ 83871, 83885, 83908, 83931, 83954, 83969, 83982, 83994, 84011, 112905, 84040, 84060, 84080, 84099, 84111, 84123, 84140, 84157, 84173, 84184, 84204, 84233, 84244, 84270, 84288, 84305, 84324, 84342, 115483, 115498, 84401, 84421, 84443, 84465, 84479, 84498, 84514, 84524, 84538, 84551, 84566, 84584, 84596, 84619, 84644, 84666, 84691, 84713, 84721, 84729, 84757, 84779, 84798, 84816, 112993, 84854, 84874, 84898, 84919, 84941, 84957, 84976, 84996, 115513,
};

#endif
